#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1391
#define LARGE_STATE_COUNT 812
#define SYMBOL_COUNT 440
#define ALIAS_COUNT 43
#define TOKEN_COUNT 204
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 45

enum ts_symbol_identifiers {
  sym_comment = 1,
  sym_number = 2,
  aux_sym_boolean_token1 = 3,
  aux_sym_boolean_token2 = 4,
  aux_sym_boolean_token3 = 5,
  aux_sym_boolean_token4 = 6,
  aux_sym_pattern_token1 = 7,
  sym_time_format = 8,
  aux_sym_host_token1 = 9,
  aux_sym_host_token2 = 10,
  anon_sym_EQ = 11,
  anon_sym_DQUOTE = 12,
  aux_sym_match_token1 = 13,
  aux_sym_add_keys_to_agent_token1 = 14,
  aux_sym_address_family_token1 = 15,
  aux_sym_address_family_value_token1 = 16,
  aux_sym_address_family_value_token2 = 17,
  aux_sym_address_family_value_token3 = 18,
  aux_sym_batch_mode_token1 = 19,
  aux_sym_bind_address_token1 = 20,
  aux_sym_bind_interface_token1 = 21,
  aux_sym_canonical_domains_token1 = 22,
  aux_sym_canonicalize_fallback_local_token1 = 23,
  aux_sym_canonicalize_hostname_token1 = 24,
  aux_sym_canonicalize_hostname_value_token1 = 25,
  aux_sym_canonicalize_hostname_value_token2 = 26,
  aux_sym_canonicalize_max_dots_token1 = 27,
  aux_sym_canonicalize_permitted_cnames_token1 = 28,
  aux_sym_ca_signature_algorithms_token1 = 29,
  aux_sym_certificate_file_token1 = 30,
  aux_sym_challenge_response_authentication_token1 = 31,
  aux_sym_channel_timeout_token1 = 32,
  aux_sym_channel_timeout_type_token1 = 33,
  aux_sym_channel_timeout_type_token2 = 34,
  aux_sym_channel_timeout_type_token3 = 35,
  aux_sym_channel_timeout_type_token4 = 36,
  aux_sym_channel_timeout_type_token5 = 37,
  aux_sym_channel_timeout_type_token6 = 38,
  aux_sym_channel_timeout_type_token7 = 39,
  aux_sym_channel_timeout_type_token8 = 40,
  aux_sym_check_host_ip_token1 = 41,
  aux_sym_ciphers_token1 = 42,
  aux_sym_cipher_token1 = 43,
  aux_sym_clear_all_forwardings_token1 = 44,
  aux_sym_compression_token1 = 45,
  aux_sym_connection_attempts_token1 = 46,
  aux_sym_connect_timeout_token1 = 47,
  aux_sym_control_master_token1 = 48,
  aux_sym_control_master_value_token1 = 49,
  aux_sym_control_master_value_token2 = 50,
  aux_sym_control_master_value_token3 = 51,
  aux_sym_control_path_token1 = 52,
  aux_sym_control_persist_token1 = 53,
  aux_sym_dynamic_forward_token1 = 54,
  aux_sym_enable_escape_commandline_token1 = 55,
  aux_sym_enable_ssh_keysign_token1 = 56,
  aux_sym_escape_char_token1 = 57,
  anon_sym_none = 58,
  aux_sym_escape_char_value_token1 = 59,
  aux_sym_exit_on_forward_failure_token1 = 60,
  aux_sym_fingerprint_hash_token1 = 61,
  anon_sym_md5 = 62,
  anon_sym_sha256 = 63,
  aux_sym_fork_after_authentication_token1 = 64,
  aux_sym_forward_agent_token1 = 65,
  aux_sym_forward_x11_token1 = 66,
  aux_sym_forward_x11_timeout_token1 = 67,
  aux_sym_forward_x11_trusted_token1 = 68,
  aux_sym_gateway_ports_token1 = 69,
  aux_sym_global_known_hosts_file_token1 = 70,
  aux_sym_gssapi_authentication_token1 = 71,
  aux_sym_gssapi_client_identity_token1 = 72,
  aux_sym_gssapi_delegate_credentials_token1 = 73,
  aux_sym_gssapi_key_exchange_token1 = 74,
  aux_sym_gssapi_renewal_forces_rekey_token1 = 75,
  aux_sym_gssapi_server_identity_token1 = 76,
  aux_sym_gssapi_trust_dns_token1 = 77,
  aux_sym_gssapi_kex_algorithms_token1 = 78,
  aux_sym_hash_known_hosts_token1 = 79,
  aux_sym_hostbased_accepted_algorithms_token1 = 80,
  aux_sym_hostbased_authentication_token1 = 81,
  aux_sym_host_key_algorithms_token1 = 82,
  aux_sym_host_key_alias_token1 = 83,
  aux_sym_hostname_token1 = 84,
  aux_sym_identities_only_token1 = 85,
  aux_sym_identity_agent_token1 = 86,
  aux_sym_identity_file_token1 = 87,
  aux_sym_ignore_unknown_token1 = 88,
  aux_sym_include_token1 = 89,
  aux_sym_ip_qos_token1 = 90,
  anon_sym_af11 = 91,
  anon_sym_af12 = 92,
  anon_sym_af13 = 93,
  anon_sym_af21 = 94,
  anon_sym_af22 = 95,
  anon_sym_af23 = 96,
  anon_sym_af31 = 97,
  anon_sym_af32 = 98,
  anon_sym_af33 = 99,
  anon_sym_af41 = 100,
  anon_sym_af42 = 101,
  anon_sym_af43 = 102,
  anon_sym_cs0 = 103,
  anon_sym_cs1 = 104,
  anon_sym_cs2 = 105,
  anon_sym_cs3 = 106,
  anon_sym_cs4 = 107,
  anon_sym_cs5 = 108,
  anon_sym_cs6 = 109,
  anon_sym_cs7 = 110,
  anon_sym_ef = 111,
  anon_sym_le = 112,
  anon_sym_lowdelay = 113,
  anon_sym_throughput = 114,
  anon_sym_reliability = 115,
  aux_sym_kbd_interactive_authentication_token1 = 116,
  aux_sym_kbd_interactive_devices_token1 = 117,
  aux_sym_kex_algorithms_token1 = 118,
  aux_sym_known_hosts_command_token1 = 119,
  aux_sym_local_command_token1 = 120,
  aux_sym_local_forward_token1 = 121,
  aux_sym_log_level_token1 = 122,
  aux_sym_log_level_value_token1 = 123,
  aux_sym_log_level_value_token2 = 124,
  aux_sym_log_level_value_token3 = 125,
  aux_sym_log_level_value_token4 = 126,
  aux_sym_log_level_value_token5 = 127,
  aux_sym_log_level_value_token6 = 128,
  aux_sym_log_level_value_token7 = 129,
  aux_sym_log_level_value_token8 = 130,
  aux_sym_log_level_value_token9 = 131,
  aux_sym_log_verbose_token1 = 132,
  aux_sym_macs_token1 = 133,
  aux_sym_no_host_authentication_for_localhost_token1 = 134,
  aux_sym_number_of_password_prompts_token1 = 135,
  aux_sym_obscure_keystroke_timing_token1 = 136,
  aux_sym_obscure_keystroke_timing_value_token1 = 137,
  aux_sym_password_authentication_token1 = 138,
  aux_sym_permit_local_command_token1 = 139,
  aux_sym_permit_remote_open_token1 = 140,
  aux_sym_pkcs11_provider_token1 = 141,
  aux_sym_port_token1 = 142,
  aux_sym_preferred_authentications_token1 = 143,
  aux_sym_protocol_token1 = 144,
  anon_sym_1 = 145,
  anon_sym_2 = 146,
  aux_sym_proxy_command_token1 = 147,
  aux_sym_proxy_jump_token1 = 148,
  aux_sym_proxy_use_fdpass_token1 = 149,
  aux_sym_pubkey_accepted_algorithms_token1 = 150,
  aux_sym_pubkey_accepted_key_types_token1 = 151,
  aux_sym_pubkey_authentication_token1 = 152,
  aux_sym_pubkey_authentication_value_token1 = 153,
  aux_sym_pubkey_authentication_value_token2 = 154,
  aux_sym_rekey_limit_token1 = 155,
  aux_sym_remote_command_token1 = 156,
  aux_sym_remote_forward_token1 = 157,
  aux_sym_request_tty_token1 = 158,
  aux_sym_request_tty_value_token1 = 159,
  aux_sym_required_rsa_size_token1 = 160,
  aux_sym_revoked_host_keys_token1 = 161,
  aux_sym_security_key_provider_token1 = 162,
  aux_sym_send_env_token1 = 163,
  aux_sym_server_alive_count_max_token1 = 164,
  aux_sym_server_alive_interval_token1 = 165,
  aux_sym_session_type_token1 = 166,
  aux_sym_session_type_value_token1 = 167,
  aux_sym_session_type_value_token2 = 168,
  aux_sym_set_env_token1 = 169,
  aux_sym_stdin_null_token1 = 170,
  aux_sym_stream_local_bind_mask_token1 = 171,
  aux_sym_stream_local_bind_unlink_token1 = 172,
  aux_sym_strict_host_key_checking_token1 = 173,
  aux_sym_strict_host_key_checking_value_token1 = 174,
  aux_sym_strict_host_key_checking_value_token2 = 175,
  aux_sym_syslog_facility_token1 = 176,
  anon_sym_DAEMON = 177,
  anon_sym_USER = 178,
  anon_sym_AUTH = 179,
  anon_sym_LOCAL0 = 180,
  anon_sym_LOCAL1 = 181,
  anon_sym_LOCAL2 = 182,
  anon_sym_LOCAL3 = 183,
  anon_sym_LOCAL4 = 184,
  anon_sym_LOCAL5 = 185,
  anon_sym_LOCAL6 = 186,
  anon_sym_LOCAL7 = 187,
  aux_sym_tcp_keep_alive_token1 = 188,
  aux_sym_keep_alive_token1 = 189,
  aux_sym_tag_token1 = 190,
  aux_sym_tunnel_token1 = 191,
  aux_sym_tunnel_value_token1 = 192,
  aux_sym_tunnel_value_token2 = 193,
  aux_sym_tunnel_device_token1 = 194,
  aux_sym_update_host_keys_token1 = 195,
  aux_sym_use_keychain_token1 = 196,
  aux_sym_use_roaming_token1 = 197,
  aux_sym_user_token1 = 198,
  aux_sym_user_known_hosts_file_token1 = 199,
  aux_sym_verify_host_key_dns_token1 = 200,
  aux_sym_version_addendum_token1 = 201,
  aux_sym_visual_host_key_token1 = 202,
  aux_sym_xauth_location_token1 = 203,
  sym_client_config = 204,
  sym__option = 205,
  sym_boolean = 206,
  sym_pattern = 207,
  sym_host = 208,
  sym_host_value = 209,
  sym_match = 210,
  sym_match_value = 211,
  sym_add_keys_to_agent = 212,
  sym_add_keys_to_agent_value = 213,
  sym_address_family = 214,
  sym_address_family_value = 215,
  sym_batch_mode = 216,
  sym_batch_mode_value = 217,
  sym_bind_address = 218,
  sym_bind_address_value = 219,
  sym_bind_interface = 220,
  sym_bind_interface_value = 221,
  sym_canonical_domains = 222,
  sym_canonical_domains_value = 223,
  sym_canonicalize_fallback_local = 224,
  sym_canonicalize_fallback_local_value = 225,
  sym_canonicalize_hostname = 226,
  sym_canonicalize_hostname_value = 227,
  sym_canonicalize_max_dots = 228,
  sym_canonicalize_max_dots_value = 229,
  sym_canonicalize_permitted_cnames = 230,
  sym_canonicalize_permitted_cnames_value = 231,
  sym_ca_signature_algorithms = 232,
  sym_ca_signature_algorithms_value = 233,
  sym_certificate_file = 234,
  sym_certificate_file_value = 235,
  sym_challenge_response_authentication = 236,
  sym_challenge_response_authentication_value = 237,
  sym_channel_timeout = 238,
  sym_channel_timeout_type = 239,
  aux_sym__channel_timeout_value = 240,
  sym_check_host_ip = 241,
  sym_check_host_ip_value = 242,
  sym_ciphers = 243,
  sym_ciphers_value = 244,
  sym_cipher = 245,
  sym_cipher_value = 246,
  sym_clear_all_forwardings = 247,
  sym_clear_all_forwardings_value = 248,
  sym_compression = 249,
  sym_compression_value = 250,
  sym_connection_attempts = 251,
  sym_connection_attempts_value = 252,
  sym_connect_timeout = 253,
  sym_connect_timeout_value = 254,
  sym_control_master = 255,
  sym_control_master_value = 256,
  sym_control_path = 257,
  sym_control_path_value = 258,
  sym_control_persist = 259,
  sym_control_persist_value = 260,
  sym_dynamic_forward = 261,
  sym_dynamic_forward_value = 262,
  sym_enable_escape_commandline = 263,
  sym_enable_escape_commandline_value = 264,
  sym_enable_ssh_keysign = 265,
  sym_enable_ssh_keysign_value = 266,
  sym_escape_char = 267,
  sym_escape_char_value = 268,
  sym_exit_on_forward_failure = 269,
  sym_exit_on_forward_failure_value = 270,
  sym_fingerprint_hash = 271,
  sym_fingerprint_hash_value = 272,
  sym_fork_after_authentication = 273,
  sym_fork_after_authentication_value = 274,
  sym_forward_agent = 275,
  sym_forward_agent_value = 276,
  sym_forward_x11 = 277,
  sym_forward_x11_value = 278,
  sym_forward_x11_timeout = 279,
  sym_forward_x11_timeout_value = 280,
  sym_forward_x11_trusted = 281,
  sym_forward_x11_trusted_value = 282,
  sym_gateway_ports = 283,
  sym_gateway_ports_value = 284,
  sym_global_known_hosts_file = 285,
  sym_global_known_hosts_file_value = 286,
  sym_gssapi_authentication = 287,
  sym_gssapi_authentication_value = 288,
  sym_gssapi_client_identity = 289,
  sym_gssapi_client_identity_value = 290,
  sym_gssapi_delegate_credentials = 291,
  sym_gssapi_delegate_credentials_value = 292,
  sym_gssapi_key_exchange = 293,
  sym_gssapi_key_exchange_value = 294,
  sym_gssapi_renewal_forces_rekey = 295,
  sym_gssapi_renewal_forces_rekey_value = 296,
  sym_gssapi_server_identity = 297,
  sym_gssapi_server_identity_value = 298,
  sym_gssapi_trust_dns = 299,
  sym_gssapi_trust_dns_value = 300,
  sym_gssapi_kex_algorithms = 301,
  sym_gssapi_kex_algorithms_value = 302,
  sym_hash_known_hosts = 303,
  sym_hash_known_hosts_value = 304,
  sym_hostbased_accepted_algorithms = 305,
  sym_hostbased_accepted_algorithms_value = 306,
  sym_hostbased_authentication = 307,
  sym_hostbased_authentication_value = 308,
  sym_host_key_algorithms = 309,
  sym_host_key_algorithms_value = 310,
  sym_host_key_alias = 311,
  sym_host_key_alias_value = 312,
  sym_hostname = 313,
  sym_hostname_value = 314,
  sym_identities_only = 315,
  sym_identities_only_value = 316,
  sym_identity_agent = 317,
  sym_identity_agent_value = 318,
  sym_identity_file = 319,
  sym_identity_file_value = 320,
  sym_ignore_unknown = 321,
  sym_ignore_unknown_value = 322,
  sym_include = 323,
  sym_include_value = 324,
  sym_ip_qos = 325,
  sym_ip_qos_value = 326,
  sym_kbd_interactive_authentication = 327,
  sym_kbd_interactive_authentication_value = 328,
  sym_kbd_interactive_devices = 329,
  sym_kbd_interactive_devices_value = 330,
  sym_kex_algorithms = 331,
  sym_kex_algorithms_value = 332,
  sym_known_hosts_command = 333,
  sym_known_hosts_command_value = 334,
  sym_local_command = 335,
  sym_local_command_value = 336,
  sym_local_forward = 337,
  sym_local_forward_value = 338,
  sym_log_level = 339,
  sym_log_level_value = 340,
  sym_log_verbose = 341,
  sym_log_verbose_value = 342,
  sym_macs = 343,
  sym_macs_value = 344,
  sym_no_host_authentication_for_localhost = 345,
  sym_no_host_authentication_for_localhost_value = 346,
  sym_number_of_password_prompts = 347,
  sym_number_of_password_prompts_value = 348,
  sym_obscure_keystroke_timing = 349,
  sym_obscure_keystroke_timing_value = 350,
  sym_password_authentication = 351,
  sym_password_authentication_value = 352,
  sym_permit_local_command = 353,
  sym_permit_local_command_value = 354,
  sym_permit_remote_open = 355,
  sym_permit_remote_open_value = 356,
  sym_pkcs11_provider = 357,
  sym_pkcs11_provider_value = 358,
  sym_port = 359,
  sym_port_value = 360,
  sym_preferred_authentications = 361,
  sym_preferred_authentications_value = 362,
  sym_protocol = 363,
  sym_protocol_value = 364,
  sym_proxy_command = 365,
  sym_proxy_command_value = 366,
  sym_proxy_jump = 367,
  sym_proxy_jump_value = 368,
  sym_proxy_use_fdpass = 369,
  sym_proxy_use_fdpass_value = 370,
  sym_pubkey_accepted_algorithms = 371,
  sym_pubkey_accepted_algorithms_value = 372,
  sym_pubkey_accepted_key_types = 373,
  sym_pubkey_accepted_key_types_value = 374,
  sym_pubkey_authentication = 375,
  sym_pubkey_authentication_value = 376,
  sym_rekey_limit = 377,
  sym_rekey_limit_value = 378,
  sym_remote_command = 379,
  sym_remote_command_value = 380,
  sym_remote_forward = 381,
  sym_remote_forward_value = 382,
  sym_request_tty = 383,
  sym_request_tty_value = 384,
  sym_required_rsa_size = 385,
  sym_required_rsa_size_value = 386,
  sym_revoked_host_keys = 387,
  sym_revoked_host_keys_value = 388,
  sym_security_key_provider = 389,
  sym_security_key_provider_value = 390,
  sym_send_env = 391,
  sym_send_env_value = 392,
  sym_server_alive_count_max = 393,
  sym_server_alive_count_max_value = 394,
  sym_server_alive_interval = 395,
  sym_server_alive_interval_value = 396,
  sym_session_type = 397,
  sym_session_type_value = 398,
  sym_set_env = 399,
  sym_set_env_value = 400,
  sym_stdin_null = 401,
  sym_stdin_null_value = 402,
  sym_stream_local_bind_mask = 403,
  sym_stream_local_bind_mask_value = 404,
  sym_stream_local_bind_unlink = 405,
  sym_stream_local_bind_unlink_value = 406,
  sym_strict_host_key_checking = 407,
  sym_strict_host_key_checking_value = 408,
  sym_syslog_facility = 409,
  sym_syslog_facility_value = 410,
  sym_tcp_keep_alive = 411,
  sym_tcp_keep_alive_value = 412,
  sym_keep_alive = 413,
  sym_keep_alive_value = 414,
  sym_tag = 415,
  sym_tag_value = 416,
  sym_tunnel = 417,
  sym_tunnel_value = 418,
  sym_tunnel_device = 419,
  sym_tunnel_device_value = 420,
  sym_update_host_keys = 421,
  sym_update_host_keys_value = 422,
  sym_use_keychain = 423,
  sym_use_keychain_value = 424,
  sym_use_roaming = 425,
  sym_use_roaming_value = 426,
  sym_user = 427,
  sym_user_value = 428,
  sym_user_known_hosts_file = 429,
  sym_user_known_hosts_file_value = 430,
  sym_verify_host_key_dns = 431,
  sym_verify_host_key_dns_value = 432,
  sym_version_addendum = 433,
  sym_version_addendum_value = 434,
  sym_visual_host_key = 435,
  sym_visual_host_key_value = 436,
  sym_xauth_location = 437,
  sym_xauth_location_value = 438,
  aux_sym_client_config_repeat1 = 439,
  anon_alias_sym_batch_mode_value = 440,
  anon_alias_sym_canonicalize_fallback_local_value = 441,
  anon_alias_sym_challenge_response_authentication_value = 442,
  anon_alias_sym_check_host_ip_value = 443,
  anon_alias_sym_clear_all_forwardings_value = 444,
  anon_alias_sym_compression_value = 445,
  anon_alias_sym_connect_timeout_value = 446,
  anon_alias_sym_connection_attempts_value = 447,
  anon_alias_sym_control_persist_value = 448,
  anon_alias_sym_enable_escape_commandline_value = 449,
  anon_alias_sym_enable_ssh_keysign_value = 450,
  anon_alias_sym_exit_on_forward_failure_value = 451,
  anon_alias_sym_fork_after_authentication_value = 452,
  anon_alias_sym_forward_x11_timeout_value = 453,
  anon_alias_sym_forward_x11_trusted_value = 454,
  anon_alias_sym_forward_x11_value = 455,
  anon_alias_sym_gateway_ports_value = 456,
  anon_alias_sym_gssapi_authentication_value = 457,
  anon_alias_sym_gssapi_delegate_credentials_value = 458,
  anon_alias_sym_gssapi_key_exchange_value = 459,
  anon_alias_sym_gssapi_renewal_forces_rekey_value = 460,
  anon_alias_sym_gssapi_trust_dns_value = 461,
  anon_alias_sym_hash_known_hosts_value = 462,
  anon_alias_sym_hostbased_authentication_value = 463,
  anon_alias_sym_identities_only_value = 464,
  anon_alias_sym_kbd_interactive_authentication_value = 465,
  anon_alias_sym_keep_alive_value = 466,
  anon_alias_sym_match_value = 467,
  anon_alias_sym_no_host_authentication_for_localhost_value = 468,
  anon_alias_sym_number_of_password_prompts_value = 469,
  anon_alias_sym_password_authentication_value = 470,
  anon_alias_sym_permit_local_command_value = 471,
  anon_alias_sym_port_value = 472,
  anon_alias_sym_proxy_use_fdpass_value = 473,
  anon_alias_sym_required_rsa_size_value = 474,
  anon_alias_sym_server_alive_count_max_value = 475,
  anon_alias_sym_server_alive_interval_value = 476,
  anon_alias_sym_stdin_null_value = 477,
  anon_alias_sym_stream_local_bind_unlink_value = 478,
  anon_alias_sym_tcp_keep_alive_value = 479,
  anon_alias_sym_use_keychain_value = 480,
  anon_alias_sym_use_roaming_value = 481,
  anon_alias_sym_visual_host_key_value = 482,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_comment] = "comment",
  [sym_number] = "canonicalize_max_dots_value",
  [aux_sym_boolean_token1] = "boolean_token1",
  [aux_sym_boolean_token2] = "boolean_token2",
  [aux_sym_boolean_token3] = "boolean_token3",
  [aux_sym_boolean_token4] = "boolean_token4",
  [aux_sym_pattern_token1] = "pattern_token1",
  [sym_time_format] = "time_format",
  [aux_sym_host_token1] = "Host",
  [aux_sym_host_token2] = "host_token2",
  [anon_sym_EQ] = "=",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_match_token1] = "Match",
  [aux_sym_add_keys_to_agent_token1] = "AddKeysToAgent",
  [aux_sym_address_family_token1] = "AddressFamily",
  [aux_sym_address_family_value_token1] = "address_family_value_token1",
  [aux_sym_address_family_value_token2] = "address_family_value_token2",
  [aux_sym_address_family_value_token3] = "address_family_value_token3",
  [aux_sym_batch_mode_token1] = "BatchMode",
  [aux_sym_bind_address_token1] = "BindAddress",
  [aux_sym_bind_interface_token1] = "BindInterface",
  [aux_sym_canonical_domains_token1] = "CanonicalDomains",
  [aux_sym_canonicalize_fallback_local_token1] = "CanonicalizeFallbackLocal",
  [aux_sym_canonicalize_hostname_token1] = "CanonicalizeHostname",
  [aux_sym_canonicalize_hostname_value_token1] = "canonicalize_hostname_value_token1",
  [aux_sym_canonicalize_hostname_value_token2] = "canonicalize_hostname_value_token2",
  [aux_sym_canonicalize_max_dots_token1] = "CanonicalizeMaxDots",
  [aux_sym_canonicalize_permitted_cnames_token1] = "CanonicalizePermittedCNAMEs",
  [aux_sym_ca_signature_algorithms_token1] = "CASignatureAlgorithms",
  [aux_sym_certificate_file_token1] = "CertificateFile",
  [aux_sym_challenge_response_authentication_token1] = "ChallengeResponseAuthentication",
  [aux_sym_channel_timeout_token1] = "ChannelTimeout",
  [aux_sym_channel_timeout_type_token1] = "channel_timeout_type_token1",
  [aux_sym_channel_timeout_type_token2] = "channel_timeout_type_token2",
  [aux_sym_channel_timeout_type_token3] = "channel_timeout_type_token3",
  [aux_sym_channel_timeout_type_token4] = "channel_timeout_type_token4",
  [aux_sym_channel_timeout_type_token5] = "channel_timeout_type_token5",
  [aux_sym_channel_timeout_type_token6] = "channel_timeout_type_token6",
  [aux_sym_channel_timeout_type_token7] = "channel_timeout_type_token7",
  [aux_sym_channel_timeout_type_token8] = "channel_timeout_type_token8",
  [aux_sym_check_host_ip_token1] = "CheckHostIP",
  [aux_sym_ciphers_token1] = "Ciphers",
  [aux_sym_cipher_token1] = "Cipher",
  [aux_sym_clear_all_forwardings_token1] = "ClearAllForwardings",
  [aux_sym_compression_token1] = "Compression",
  [aux_sym_connection_attempts_token1] = "ConnectionAttempts",
  [aux_sym_connect_timeout_token1] = "ConnectTimeout",
  [aux_sym_control_master_token1] = "ControlMaster",
  [aux_sym_control_master_value_token1] = "control_master_value_token1",
  [aux_sym_control_master_value_token2] = "control_master_value_token2",
  [aux_sym_control_master_value_token3] = "control_master_value_token3",
  [aux_sym_control_path_token1] = "ControlPath",
  [aux_sym_control_persist_token1] = "ControlPersist",
  [aux_sym_dynamic_forward_token1] = "DynamicForward",
  [aux_sym_enable_escape_commandline_token1] = "EnableEscapeCommandline",
  [aux_sym_enable_ssh_keysign_token1] = "EnableSSHKeysign",
  [aux_sym_escape_char_token1] = "EscapeChar",
  [anon_sym_none] = "none",
  [aux_sym_escape_char_value_token1] = "escape_char_value_token1",
  [aux_sym_exit_on_forward_failure_token1] = "ExitOnForwardFailure",
  [aux_sym_fingerprint_hash_token1] = "FingerprintHash",
  [anon_sym_md5] = "md5",
  [anon_sym_sha256] = "sha256",
  [aux_sym_fork_after_authentication_token1] = "ForkAfterAuthentication",
  [aux_sym_forward_agent_token1] = "ForwardAgent",
  [aux_sym_forward_x11_token1] = "ForwardX11",
  [aux_sym_forward_x11_timeout_token1] = "ForwardX11Timeout",
  [aux_sym_forward_x11_trusted_token1] = "ForwardX11Trusted",
  [aux_sym_gateway_ports_token1] = "GatewayPorts",
  [aux_sym_global_known_hosts_file_token1] = "GlobalKnownHostsFile",
  [aux_sym_gssapi_authentication_token1] = "GSSAPIAuthentication",
  [aux_sym_gssapi_client_identity_token1] = "GSSAPIClientIdentity",
  [aux_sym_gssapi_delegate_credentials_token1] = "GSSAPIDelegateCredentials",
  [aux_sym_gssapi_key_exchange_token1] = "GSSAPIKeyExchange",
  [aux_sym_gssapi_renewal_forces_rekey_token1] = "GSSAPIRenewalForcesRekey",
  [aux_sym_gssapi_server_identity_token1] = "GSSAPIServerIdentity",
  [aux_sym_gssapi_trust_dns_token1] = "GSSAPITrustDns",
  [aux_sym_gssapi_kex_algorithms_token1] = "GSSAPIKexAlgorithms",
  [aux_sym_hash_known_hosts_token1] = "HashKnownHosts",
  [aux_sym_hostbased_accepted_algorithms_token1] = "HostbasedAcceptedAlgorithms",
  [aux_sym_hostbased_authentication_token1] = "HostbasedAuthentication",
  [aux_sym_host_key_algorithms_token1] = "HostKeyAlgorithms",
  [aux_sym_host_key_alias_token1] = "HostKeyAlias",
  [aux_sym_hostname_token1] = "Hostname",
  [aux_sym_identities_only_token1] = "IdentitiesOnly",
  [aux_sym_identity_agent_token1] = "IdentityAgent",
  [aux_sym_identity_file_token1] = "IdentityFile",
  [aux_sym_ignore_unknown_token1] = "IgnoreUnknown",
  [aux_sym_include_token1] = "Include",
  [aux_sym_ip_qos_token1] = "IPQoS",
  [anon_sym_af11] = "ip_qos_value",
  [anon_sym_af12] = "ip_qos_value",
  [anon_sym_af13] = "ip_qos_value",
  [anon_sym_af21] = "ip_qos_value",
  [anon_sym_af22] = "ip_qos_value",
  [anon_sym_af23] = "ip_qos_value",
  [anon_sym_af31] = "ip_qos_value",
  [anon_sym_af32] = "ip_qos_value",
  [anon_sym_af33] = "ip_qos_value",
  [anon_sym_af41] = "ip_qos_value",
  [anon_sym_af42] = "ip_qos_value",
  [anon_sym_af43] = "ip_qos_value",
  [anon_sym_cs0] = "ip_qos_value",
  [anon_sym_cs1] = "ip_qos_value",
  [anon_sym_cs2] = "ip_qos_value",
  [anon_sym_cs3] = "ip_qos_value",
  [anon_sym_cs4] = "ip_qos_value",
  [anon_sym_cs5] = "ip_qos_value",
  [anon_sym_cs6] = "ip_qos_value",
  [anon_sym_cs7] = "ip_qos_value",
  [anon_sym_ef] = "ip_qos_value",
  [anon_sym_le] = "ip_qos_value",
  [anon_sym_lowdelay] = "ip_qos_value",
  [anon_sym_throughput] = "ip_qos_value",
  [anon_sym_reliability] = "ip_qos_value",
  [aux_sym_kbd_interactive_authentication_token1] = "KbdInteractiveAuthentication",
  [aux_sym_kbd_interactive_devices_token1] = "KbdInteractiveDevices",
  [aux_sym_kex_algorithms_token1] = "KexAlgorithms",
  [aux_sym_known_hosts_command_token1] = "KnownHostsCommand",
  [aux_sym_local_command_token1] = "LocalCommand",
  [aux_sym_local_forward_token1] = "LocalForward",
  [aux_sym_log_level_token1] = "LogLevel",
  [aux_sym_log_level_value_token1] = "log_level_value_token1",
  [aux_sym_log_level_value_token2] = "log_level_value_token2",
  [aux_sym_log_level_value_token3] = "log_level_value_token3",
  [aux_sym_log_level_value_token4] = "log_level_value_token4",
  [aux_sym_log_level_value_token5] = "log_level_value_token5",
  [aux_sym_log_level_value_token6] = "log_level_value_token6",
  [aux_sym_log_level_value_token7] = "log_level_value_token7",
  [aux_sym_log_level_value_token8] = "log_level_value_token8",
  [aux_sym_log_level_value_token9] = "log_level_value_token9",
  [aux_sym_log_verbose_token1] = "LogVerbose",
  [aux_sym_macs_token1] = "MACs",
  [aux_sym_no_host_authentication_for_localhost_token1] = "NoHostAuthenticationForLocalhost",
  [aux_sym_number_of_password_prompts_token1] = "NumberOfPasswordPrompts",
  [aux_sym_obscure_keystroke_timing_token1] = "ObscureKeystrokeTiming",
  [aux_sym_obscure_keystroke_timing_value_token1] = "obscure_keystroke_timing_value_token1",
  [aux_sym_password_authentication_token1] = "PasswordAuthentication",
  [aux_sym_permit_local_command_token1] = "PermitLocalCommand",
  [aux_sym_permit_remote_open_token1] = "PermitRemoteOpen",
  [aux_sym_pkcs11_provider_token1] = "PKCS11Provider",
  [aux_sym_port_token1] = "Port",
  [aux_sym_preferred_authentications_token1] = "PreferredAuthentications",
  [aux_sym_protocol_token1] = "Protocol",
  [anon_sym_1] = "1",
  [anon_sym_2] = "2",
  [aux_sym_proxy_command_token1] = "ProxyCommand",
  [aux_sym_proxy_jump_token1] = "ProxyJump",
  [aux_sym_proxy_use_fdpass_token1] = "ProxyUseFdpass",
  [aux_sym_pubkey_accepted_algorithms_token1] = "PubkeyAcceptedAlgorithms",
  [aux_sym_pubkey_accepted_key_types_token1] = "PubkeyAcceptedKeyTypes",
  [aux_sym_pubkey_authentication_token1] = "PubkeyAuthentication",
  [aux_sym_pubkey_authentication_value_token1] = "pubkey_authentication_value_token1",
  [aux_sym_pubkey_authentication_value_token2] = "pubkey_authentication_value_token2",
  [aux_sym_rekey_limit_token1] = "RekeyLimit",
  [aux_sym_remote_command_token1] = "RemoteCommand",
  [aux_sym_remote_forward_token1] = "RemoteForward",
  [aux_sym_request_tty_token1] = "RequestTTY",
  [aux_sym_request_tty_value_token1] = "request_tty_value_token1",
  [aux_sym_required_rsa_size_token1] = "RequiredRSASize",
  [aux_sym_revoked_host_keys_token1] = "RevokedHostKeys",
  [aux_sym_security_key_provider_token1] = "SecurityKeyProvider",
  [aux_sym_send_env_token1] = "SendEnv",
  [aux_sym_server_alive_count_max_token1] = "ServerAliveCountMax",
  [aux_sym_server_alive_interval_token1] = "ServerAliveInterval",
  [aux_sym_session_type_token1] = "SessionType",
  [aux_sym_session_type_value_token1] = "session_type_value_token1",
  [aux_sym_session_type_value_token2] = "session_type_value_token2",
  [aux_sym_set_env_token1] = "SetEnv",
  [aux_sym_stdin_null_token1] = "StdinNull",
  [aux_sym_stream_local_bind_mask_token1] = "StreamLocalBindMask",
  [aux_sym_stream_local_bind_unlink_token1] = "StreamLocalBindUnlink",
  [aux_sym_strict_host_key_checking_token1] = "StrictHostKeyChecking",
  [aux_sym_strict_host_key_checking_value_token1] = "strict_host_key_checking_value_token1",
  [aux_sym_strict_host_key_checking_value_token2] = "strict_host_key_checking_value_token2",
  [aux_sym_syslog_facility_token1] = "SyslogFacility",
  [anon_sym_DAEMON] = "DAEMON",
  [anon_sym_USER] = "USER",
  [anon_sym_AUTH] = "AUTH",
  [anon_sym_LOCAL0] = "LOCAL0",
  [anon_sym_LOCAL1] = "LOCAL1",
  [anon_sym_LOCAL2] = "LOCAL2",
  [anon_sym_LOCAL3] = "LOCAL3",
  [anon_sym_LOCAL4] = "LOCAL4",
  [anon_sym_LOCAL5] = "LOCAL5",
  [anon_sym_LOCAL6] = "LOCAL6",
  [anon_sym_LOCAL7] = "LOCAL7",
  [aux_sym_tcp_keep_alive_token1] = "TCPKeepAlive",
  [aux_sym_keep_alive_token1] = "KeepAlive",
  [aux_sym_tag_token1] = "Tag",
  [aux_sym_tunnel_token1] = "Tunnel",
  [aux_sym_tunnel_value_token1] = "tunnel_value_token1",
  [aux_sym_tunnel_value_token2] = "tunnel_value_token2",
  [aux_sym_tunnel_device_token1] = "TunnelDevice",
  [aux_sym_update_host_keys_token1] = "UpdateHostKeys",
  [aux_sym_use_keychain_token1] = "UseKeychain",
  [aux_sym_use_roaming_token1] = "UseRoaming",
  [aux_sym_user_token1] = "User",
  [aux_sym_user_known_hosts_file_token1] = "UserKnownHostsFile",
  [aux_sym_verify_host_key_dns_token1] = "VerifyHostKeyDNS",
  [aux_sym_version_addendum_token1] = "VersionAddendum",
  [aux_sym_visual_host_key_token1] = "VisualHostKey",
  [aux_sym_xauth_location_token1] = "XAuthLocation",
  [sym_client_config] = "client_config",
  [sym__option] = "_option",
  [sym_boolean] = "add_keys_to_agent_value",
  [sym_pattern] = "host_value",
  [sym_host] = "host",
  [sym_host_value] = "host_value",
  [sym_match] = "match",
  [sym_match_value] = "match_value",
  [sym_add_keys_to_agent] = "add_keys_to_agent",
  [sym_add_keys_to_agent_value] = "add_keys_to_agent_value",
  [sym_address_family] = "address_family",
  [sym_address_family_value] = "address_family_value",
  [sym_batch_mode] = "batch_mode",
  [sym_batch_mode_value] = "batch_mode_value",
  [sym_bind_address] = "bind_address",
  [sym_bind_address_value] = "bind_address_value",
  [sym_bind_interface] = "bind_interface",
  [sym_bind_interface_value] = "bind_interface_value",
  [sym_canonical_domains] = "canonical_domains",
  [sym_canonical_domains_value] = "canonical_domains_value",
  [sym_canonicalize_fallback_local] = "canonicalize_fallback_local",
  [sym_canonicalize_fallback_local_value] = "canonicalize_fallback_local_value",
  [sym_canonicalize_hostname] = "canonicalize_hostname",
  [sym_canonicalize_hostname_value] = "canonicalize_hostname_value",
  [sym_canonicalize_max_dots] = "canonicalize_max_dots",
  [sym_canonicalize_max_dots_value] = "canonicalize_max_dots_value",
  [sym_canonicalize_permitted_cnames] = "canonicalize_permitted_cnames",
  [sym_canonicalize_permitted_cnames_value] = "canonicalize_permitted_cnames_value",
  [sym_ca_signature_algorithms] = "ca_signature_algorithms",
  [sym_ca_signature_algorithms_value] = "ca_signature_algorithms_value",
  [sym_certificate_file] = "certificate_file",
  [sym_certificate_file_value] = "certificate_file_value",
  [sym_challenge_response_authentication] = "challenge_response_authentication",
  [sym_challenge_response_authentication_value] = "challenge_response_authentication_value",
  [sym_channel_timeout] = "channel_timeout",
  [sym_channel_timeout_type] = "channel_timeout_type",
  [aux_sym__channel_timeout_value] = "_channel_timeout_value",
  [sym_check_host_ip] = "check_host_ip",
  [sym_check_host_ip_value] = "check_host_ip_value",
  [sym_ciphers] = "ciphers",
  [sym_ciphers_value] = "ciphers_value",
  [sym_cipher] = "cipher",
  [sym_cipher_value] = "cipher_value",
  [sym_clear_all_forwardings] = "clear_all_forwardings",
  [sym_clear_all_forwardings_value] = "clear_all_forwardings_value",
  [sym_compression] = "compression",
  [sym_compression_value] = "compression_value",
  [sym_connection_attempts] = "connection_attempts",
  [sym_connection_attempts_value] = "connection_attempts_value",
  [sym_connect_timeout] = "connect_timeout",
  [sym_connect_timeout_value] = "connect_timeout_value",
  [sym_control_master] = "control_master",
  [sym_control_master_value] = "control_master_value",
  [sym_control_path] = "control_path",
  [sym_control_path_value] = "control_path_value",
  [sym_control_persist] = "control_persist",
  [sym_control_persist_value] = "control_persist_value",
  [sym_dynamic_forward] = "dynamic_forward",
  [sym_dynamic_forward_value] = "dynamic_forward_value",
  [sym_enable_escape_commandline] = "enable_escape_commandline",
  [sym_enable_escape_commandline_value] = "enable_escape_commandline_value",
  [sym_enable_ssh_keysign] = "enable_ssh_keysign",
  [sym_enable_ssh_keysign_value] = "enable_ssh_keysign_value",
  [sym_escape_char] = "escape_char",
  [sym_escape_char_value] = "escape_char_value",
  [sym_exit_on_forward_failure] = "exit_on_forward_failure",
  [sym_exit_on_forward_failure_value] = "exit_on_forward_failure_value",
  [sym_fingerprint_hash] = "fingerprint_hash",
  [sym_fingerprint_hash_value] = "fingerprint_hash_value",
  [sym_fork_after_authentication] = "fork_after_authentication",
  [sym_fork_after_authentication_value] = "fork_after_authentication_value",
  [sym_forward_agent] = "forward_agent",
  [sym_forward_agent_value] = "forward_agent_value",
  [sym_forward_x11] = "forward_x11",
  [sym_forward_x11_value] = "forward_x11_value",
  [sym_forward_x11_timeout] = "forward_x11_timeout",
  [sym_forward_x11_timeout_value] = "forward_x11_timeout_value",
  [sym_forward_x11_trusted] = "forward_x11_trusted",
  [sym_forward_x11_trusted_value] = "forward_x11_trusted_value",
  [sym_gateway_ports] = "gateway_ports",
  [sym_gateway_ports_value] = "gateway_ports_value",
  [sym_global_known_hosts_file] = "global_known_hosts_file",
  [sym_global_known_hosts_file_value] = "global_known_hosts_file_value",
  [sym_gssapi_authentication] = "gssapi_authentication",
  [sym_gssapi_authentication_value] = "gssapi_authentication_value",
  [sym_gssapi_client_identity] = "gssapi_client_identity",
  [sym_gssapi_client_identity_value] = "gssapi_client_identity_value",
  [sym_gssapi_delegate_credentials] = "gssapi_delegate_credentials",
  [sym_gssapi_delegate_credentials_value] = "gssapi_delegate_credentials_value",
  [sym_gssapi_key_exchange] = "gssapi_key_exchange",
  [sym_gssapi_key_exchange_value] = "gssapi_key_exchange_value",
  [sym_gssapi_renewal_forces_rekey] = "gssapi_renewal_forces_rekey",
  [sym_gssapi_renewal_forces_rekey_value] = "gssapi_renewal_forces_rekey_value",
  [sym_gssapi_server_identity] = "gssapi_server_identity",
  [sym_gssapi_server_identity_value] = "gssapi_server_identity_value",
  [sym_gssapi_trust_dns] = "gssapi_trust_dns",
  [sym_gssapi_trust_dns_value] = "gssapi_trust_dns_value",
  [sym_gssapi_kex_algorithms] = "gssapi_kex_algorithms",
  [sym_gssapi_kex_algorithms_value] = "gssapi_kex_algorithms_value",
  [sym_hash_known_hosts] = "hash_known_hosts",
  [sym_hash_known_hosts_value] = "hash_known_hosts_value",
  [sym_hostbased_accepted_algorithms] = "hostbased_accepted_algorithms",
  [sym_hostbased_accepted_algorithms_value] = "hostbased_accepted_algorithms_value",
  [sym_hostbased_authentication] = "hostbased_authentication",
  [sym_hostbased_authentication_value] = "hostbased_authentication_value",
  [sym_host_key_algorithms] = "host_key_algorithms",
  [sym_host_key_algorithms_value] = "host_key_algorithms_value",
  [sym_host_key_alias] = "host_key_alias",
  [sym_host_key_alias_value] = "host_key_alias_value",
  [sym_hostname] = "hostname",
  [sym_hostname_value] = "hostname_value",
  [sym_identities_only] = "identities_only",
  [sym_identities_only_value] = "identities_only_value",
  [sym_identity_agent] = "identity_agent",
  [sym_identity_agent_value] = "identity_agent_value",
  [sym_identity_file] = "identity_file",
  [sym_identity_file_value] = "identity_file_value",
  [sym_ignore_unknown] = "ignore_unknown",
  [sym_ignore_unknown_value] = "ignore_unknown_value",
  [sym_include] = "include",
  [sym_include_value] = "include_value",
  [sym_ip_qos] = "ip_qos",
  [sym_ip_qos_value] = "ip_qos_value",
  [sym_kbd_interactive_authentication] = "kbd_interactive_authentication",
  [sym_kbd_interactive_authentication_value] = "kbd_interactive_authentication_value",
  [sym_kbd_interactive_devices] = "kbd_interactive_devices",
  [sym_kbd_interactive_devices_value] = "kbd_interactive_devices_value",
  [sym_kex_algorithms] = "kex_algorithms",
  [sym_kex_algorithms_value] = "kex_algorithms_value",
  [sym_known_hosts_command] = "known_hosts_command",
  [sym_known_hosts_command_value] = "known_hosts_command_value",
  [sym_local_command] = "local_command",
  [sym_local_command_value] = "local_command_value",
  [sym_local_forward] = "local_forward",
  [sym_local_forward_value] = "local_forward_value",
  [sym_log_level] = "log_level",
  [sym_log_level_value] = "log_level_value",
  [sym_log_verbose] = "log_verbose",
  [sym_log_verbose_value] = "log_verbose_value",
  [sym_macs] = "macs",
  [sym_macs_value] = "macs_value",
  [sym_no_host_authentication_for_localhost] = "no_host_authentication_for_localhost",
  [sym_no_host_authentication_for_localhost_value] = "no_host_authentication_for_localhost_value",
  [sym_number_of_password_prompts] = "number_of_password_prompts",
  [sym_number_of_password_prompts_value] = "number_of_password_prompts_value",
  [sym_obscure_keystroke_timing] = "obscure_keystroke_timing",
  [sym_obscure_keystroke_timing_value] = "obscure_keystroke_timing_value",
  [sym_password_authentication] = "password_authentication",
  [sym_password_authentication_value] = "password_authentication_value",
  [sym_permit_local_command] = "permit_local_command",
  [sym_permit_local_command_value] = "permit_local_command_value",
  [sym_permit_remote_open] = "permit_remote_open",
  [sym_permit_remote_open_value] = "permit_remote_open_value",
  [sym_pkcs11_provider] = "pkcs11_provider",
  [sym_pkcs11_provider_value] = "pkcs11_provider_value",
  [sym_port] = "port",
  [sym_port_value] = "port_value",
  [sym_preferred_authentications] = "preferred_authentications",
  [sym_preferred_authentications_value] = "preferred_authentications_value",
  [sym_protocol] = "protocol",
  [sym_protocol_value] = "protocol_value",
  [sym_proxy_command] = "proxy_command",
  [sym_proxy_command_value] = "proxy_command_value",
  [sym_proxy_jump] = "proxy_jump",
  [sym_proxy_jump_value] = "proxy_jump_value",
  [sym_proxy_use_fdpass] = "proxy_use_fdpass",
  [sym_proxy_use_fdpass_value] = "proxy_use_fdpass_value",
  [sym_pubkey_accepted_algorithms] = "pubkey_accepted_algorithms",
  [sym_pubkey_accepted_algorithms_value] = "pubkey_accepted_algorithms_value",
  [sym_pubkey_accepted_key_types] = "pubkey_accepted_key_types",
  [sym_pubkey_accepted_key_types_value] = "pubkey_accepted_key_types_value",
  [sym_pubkey_authentication] = "pubkey_authentication",
  [sym_pubkey_authentication_value] = "pubkey_authentication_value",
  [sym_rekey_limit] = "rekey_limit",
  [sym_rekey_limit_value] = "rekey_limit_value",
  [sym_remote_command] = "remote_command",
  [sym_remote_command_value] = "remote_command_value",
  [sym_remote_forward] = "remote_forward",
  [sym_remote_forward_value] = "remote_forward_value",
  [sym_request_tty] = "request_tty",
  [sym_request_tty_value] = "request_tty_value",
  [sym_required_rsa_size] = "required_rsa_size",
  [sym_required_rsa_size_value] = "required_rsa_size_value",
  [sym_revoked_host_keys] = "revoked_host_keys",
  [sym_revoked_host_keys_value] = "revoked_host_keys_value",
  [sym_security_key_provider] = "security_key_provider",
  [sym_security_key_provider_value] = "security_key_provider_value",
  [sym_send_env] = "send_env",
  [sym_send_env_value] = "send_env_value",
  [sym_server_alive_count_max] = "server_alive_count_max",
  [sym_server_alive_count_max_value] = "server_alive_count_max_value",
  [sym_server_alive_interval] = "server_alive_interval",
  [sym_server_alive_interval_value] = "server_alive_interval_value",
  [sym_session_type] = "session_type",
  [sym_session_type_value] = "session_type_value",
  [sym_set_env] = "set_env",
  [sym_set_env_value] = "set_env_value",
  [sym_stdin_null] = "stdin_null",
  [sym_stdin_null_value] = "stdin_null_value",
  [sym_stream_local_bind_mask] = "stream_local_bind_mask",
  [sym_stream_local_bind_mask_value] = "stream_local_bind_mask_value",
  [sym_stream_local_bind_unlink] = "stream_local_bind_unlink",
  [sym_stream_local_bind_unlink_value] = "stream_local_bind_unlink_value",
  [sym_strict_host_key_checking] = "strict_host_key_checking",
  [sym_strict_host_key_checking_value] = "strict_host_key_checking_value",
  [sym_syslog_facility] = "syslog_facility",
  [sym_syslog_facility_value] = "syslog_facility_value",
  [sym_tcp_keep_alive] = "tcp_keep_alive",
  [sym_tcp_keep_alive_value] = "tcp_keep_alive_value",
  [sym_keep_alive] = "keep_alive",
  [sym_keep_alive_value] = "keep_alive_value",
  [sym_tag] = "tag",
  [sym_tag_value] = "tag_value",
  [sym_tunnel] = "tunnel",
  [sym_tunnel_value] = "tunnel_value",
  [sym_tunnel_device] = "tunnel_device",
  [sym_tunnel_device_value] = "tunnel_device_value",
  [sym_update_host_keys] = "update_host_keys",
  [sym_update_host_keys_value] = "update_host_keys_value",
  [sym_use_keychain] = "use_keychain",
  [sym_use_keychain_value] = "use_keychain_value",
  [sym_use_roaming] = "use_roaming",
  [sym_use_roaming_value] = "use_roaming_value",
  [sym_user] = "user",
  [sym_user_value] = "user_value",
  [sym_user_known_hosts_file] = "user_known_hosts_file",
  [sym_user_known_hosts_file_value] = "user_known_hosts_file_value",
  [sym_verify_host_key_dns] = "verify_host_key_dns",
  [sym_verify_host_key_dns_value] = "verify_host_key_dns_value",
  [sym_version_addendum] = "version_addendum",
  [sym_version_addendum_value] = "version_addendum_value",
  [sym_visual_host_key] = "visual_host_key",
  [sym_visual_host_key_value] = "visual_host_key_value",
  [sym_xauth_location] = "xauth_location",
  [sym_xauth_location_value] = "xauth_location_value",
  [aux_sym_client_config_repeat1] = "client_config_repeat1",
  [anon_alias_sym_batch_mode_value] = "batch_mode_value",
  [anon_alias_sym_canonicalize_fallback_local_value] = "canonicalize_fallback_local_value",
  [anon_alias_sym_challenge_response_authentication_value] = "challenge_response_authentication_value",
  [anon_alias_sym_check_host_ip_value] = "check_host_ip_value",
  [anon_alias_sym_clear_all_forwardings_value] = "clear_all_forwardings_value",
  [anon_alias_sym_compression_value] = "compression_value",
  [anon_alias_sym_connect_timeout_value] = "connect_timeout_value",
  [anon_alias_sym_connection_attempts_value] = "connection_attempts_value",
  [anon_alias_sym_control_persist_value] = "control_persist_value",
  [anon_alias_sym_enable_escape_commandline_value] = "enable_escape_commandline_value",
  [anon_alias_sym_enable_ssh_keysign_value] = "enable_ssh_keysign_value",
  [anon_alias_sym_exit_on_forward_failure_value] = "exit_on_forward_failure_value",
  [anon_alias_sym_fork_after_authentication_value] = "fork_after_authentication_value",
  [anon_alias_sym_forward_x11_timeout_value] = "forward_x11_timeout_value",
  [anon_alias_sym_forward_x11_trusted_value] = "forward_x11_trusted_value",
  [anon_alias_sym_forward_x11_value] = "forward_x11_value",
  [anon_alias_sym_gateway_ports_value] = "gateway_ports_value",
  [anon_alias_sym_gssapi_authentication_value] = "gssapi_authentication_value",
  [anon_alias_sym_gssapi_delegate_credentials_value] = "gssapi_delegate_credentials_value",
  [anon_alias_sym_gssapi_key_exchange_value] = "gssapi_key_exchange_value",
  [anon_alias_sym_gssapi_renewal_forces_rekey_value] = "gssapi_renewal_forces_rekey_value",
  [anon_alias_sym_gssapi_trust_dns_value] = "gssapi_trust_dns_value",
  [anon_alias_sym_hash_known_hosts_value] = "hash_known_hosts_value",
  [anon_alias_sym_hostbased_authentication_value] = "hostbased_authentication_value",
  [anon_alias_sym_identities_only_value] = "identities_only_value",
  [anon_alias_sym_kbd_interactive_authentication_value] = "kbd_interactive_authentication_value",
  [anon_alias_sym_keep_alive_value] = "keep_alive_value",
  [anon_alias_sym_match_value] = "match_value",
  [anon_alias_sym_no_host_authentication_for_localhost_value] = "no_host_authentication_for_localhost_value",
  [anon_alias_sym_number_of_password_prompts_value] = "number_of_password_prompts_value",
  [anon_alias_sym_password_authentication_value] = "password_authentication_value",
  [anon_alias_sym_permit_local_command_value] = "permit_local_command_value",
  [anon_alias_sym_port_value] = "port_value",
  [anon_alias_sym_proxy_use_fdpass_value] = "proxy_use_fdpass_value",
  [anon_alias_sym_required_rsa_size_value] = "required_rsa_size_value",
  [anon_alias_sym_server_alive_count_max_value] = "server_alive_count_max_value",
  [anon_alias_sym_server_alive_interval_value] = "server_alive_interval_value",
  [anon_alias_sym_stdin_null_value] = "stdin_null_value",
  [anon_alias_sym_stream_local_bind_unlink_value] = "stream_local_bind_unlink_value",
  [anon_alias_sym_tcp_keep_alive_value] = "tcp_keep_alive_value",
  [anon_alias_sym_use_keychain_value] = "use_keychain_value",
  [anon_alias_sym_use_roaming_value] = "use_roaming_value",
  [anon_alias_sym_visual_host_key_value] = "visual_host_key_value",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_comment] = sym_comment,
  [sym_number] = sym_number,
  [aux_sym_boolean_token1] = aux_sym_boolean_token1,
  [aux_sym_boolean_token2] = aux_sym_boolean_token2,
  [aux_sym_boolean_token3] = aux_sym_boolean_token3,
  [aux_sym_boolean_token4] = aux_sym_boolean_token4,
  [aux_sym_pattern_token1] = aux_sym_pattern_token1,
  [sym_time_format] = sym_time_format,
  [aux_sym_host_token1] = aux_sym_host_token1,
  [aux_sym_host_token2] = aux_sym_host_token2,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_match_token1] = aux_sym_match_token1,
  [aux_sym_add_keys_to_agent_token1] = aux_sym_add_keys_to_agent_token1,
  [aux_sym_address_family_token1] = aux_sym_address_family_token1,
  [aux_sym_address_family_value_token1] = aux_sym_address_family_value_token1,
  [aux_sym_address_family_value_token2] = aux_sym_address_family_value_token2,
  [aux_sym_address_family_value_token3] = aux_sym_address_family_value_token3,
  [aux_sym_batch_mode_token1] = aux_sym_batch_mode_token1,
  [aux_sym_bind_address_token1] = aux_sym_bind_address_token1,
  [aux_sym_bind_interface_token1] = aux_sym_bind_interface_token1,
  [aux_sym_canonical_domains_token1] = aux_sym_canonical_domains_token1,
  [aux_sym_canonicalize_fallback_local_token1] = aux_sym_canonicalize_fallback_local_token1,
  [aux_sym_canonicalize_hostname_token1] = aux_sym_canonicalize_hostname_token1,
  [aux_sym_canonicalize_hostname_value_token1] = aux_sym_canonicalize_hostname_value_token1,
  [aux_sym_canonicalize_hostname_value_token2] = aux_sym_canonicalize_hostname_value_token2,
  [aux_sym_canonicalize_max_dots_token1] = aux_sym_canonicalize_max_dots_token1,
  [aux_sym_canonicalize_permitted_cnames_token1] = aux_sym_canonicalize_permitted_cnames_token1,
  [aux_sym_ca_signature_algorithms_token1] = aux_sym_ca_signature_algorithms_token1,
  [aux_sym_certificate_file_token1] = aux_sym_certificate_file_token1,
  [aux_sym_challenge_response_authentication_token1] = aux_sym_challenge_response_authentication_token1,
  [aux_sym_channel_timeout_token1] = aux_sym_channel_timeout_token1,
  [aux_sym_channel_timeout_type_token1] = aux_sym_channel_timeout_type_token1,
  [aux_sym_channel_timeout_type_token2] = aux_sym_channel_timeout_type_token2,
  [aux_sym_channel_timeout_type_token3] = aux_sym_channel_timeout_type_token3,
  [aux_sym_channel_timeout_type_token4] = aux_sym_channel_timeout_type_token4,
  [aux_sym_channel_timeout_type_token5] = aux_sym_channel_timeout_type_token5,
  [aux_sym_channel_timeout_type_token6] = aux_sym_channel_timeout_type_token6,
  [aux_sym_channel_timeout_type_token7] = aux_sym_channel_timeout_type_token7,
  [aux_sym_channel_timeout_type_token8] = aux_sym_channel_timeout_type_token8,
  [aux_sym_check_host_ip_token1] = aux_sym_check_host_ip_token1,
  [aux_sym_ciphers_token1] = aux_sym_ciphers_token1,
  [aux_sym_cipher_token1] = aux_sym_cipher_token1,
  [aux_sym_clear_all_forwardings_token1] = aux_sym_clear_all_forwardings_token1,
  [aux_sym_compression_token1] = aux_sym_compression_token1,
  [aux_sym_connection_attempts_token1] = aux_sym_connection_attempts_token1,
  [aux_sym_connect_timeout_token1] = aux_sym_connect_timeout_token1,
  [aux_sym_control_master_token1] = aux_sym_control_master_token1,
  [aux_sym_control_master_value_token1] = aux_sym_control_master_value_token1,
  [aux_sym_control_master_value_token2] = aux_sym_control_master_value_token2,
  [aux_sym_control_master_value_token3] = aux_sym_control_master_value_token3,
  [aux_sym_control_path_token1] = aux_sym_control_path_token1,
  [aux_sym_control_persist_token1] = aux_sym_control_persist_token1,
  [aux_sym_dynamic_forward_token1] = aux_sym_dynamic_forward_token1,
  [aux_sym_enable_escape_commandline_token1] = aux_sym_enable_escape_commandline_token1,
  [aux_sym_enable_ssh_keysign_token1] = aux_sym_enable_ssh_keysign_token1,
  [aux_sym_escape_char_token1] = aux_sym_escape_char_token1,
  [anon_sym_none] = anon_sym_none,
  [aux_sym_escape_char_value_token1] = aux_sym_escape_char_value_token1,
  [aux_sym_exit_on_forward_failure_token1] = aux_sym_exit_on_forward_failure_token1,
  [aux_sym_fingerprint_hash_token1] = aux_sym_fingerprint_hash_token1,
  [anon_sym_md5] = anon_sym_md5,
  [anon_sym_sha256] = anon_sym_sha256,
  [aux_sym_fork_after_authentication_token1] = aux_sym_fork_after_authentication_token1,
  [aux_sym_forward_agent_token1] = aux_sym_forward_agent_token1,
  [aux_sym_forward_x11_token1] = aux_sym_forward_x11_token1,
  [aux_sym_forward_x11_timeout_token1] = aux_sym_forward_x11_timeout_token1,
  [aux_sym_forward_x11_trusted_token1] = aux_sym_forward_x11_trusted_token1,
  [aux_sym_gateway_ports_token1] = aux_sym_gateway_ports_token1,
  [aux_sym_global_known_hosts_file_token1] = aux_sym_global_known_hosts_file_token1,
  [aux_sym_gssapi_authentication_token1] = aux_sym_gssapi_authentication_token1,
  [aux_sym_gssapi_client_identity_token1] = aux_sym_gssapi_client_identity_token1,
  [aux_sym_gssapi_delegate_credentials_token1] = aux_sym_gssapi_delegate_credentials_token1,
  [aux_sym_gssapi_key_exchange_token1] = aux_sym_gssapi_key_exchange_token1,
  [aux_sym_gssapi_renewal_forces_rekey_token1] = aux_sym_gssapi_renewal_forces_rekey_token1,
  [aux_sym_gssapi_server_identity_token1] = aux_sym_gssapi_server_identity_token1,
  [aux_sym_gssapi_trust_dns_token1] = aux_sym_gssapi_trust_dns_token1,
  [aux_sym_gssapi_kex_algorithms_token1] = aux_sym_gssapi_kex_algorithms_token1,
  [aux_sym_hash_known_hosts_token1] = aux_sym_hash_known_hosts_token1,
  [aux_sym_hostbased_accepted_algorithms_token1] = aux_sym_hostbased_accepted_algorithms_token1,
  [aux_sym_hostbased_authentication_token1] = aux_sym_hostbased_authentication_token1,
  [aux_sym_host_key_algorithms_token1] = aux_sym_host_key_algorithms_token1,
  [aux_sym_host_key_alias_token1] = aux_sym_host_key_alias_token1,
  [aux_sym_hostname_token1] = aux_sym_hostname_token1,
  [aux_sym_identities_only_token1] = aux_sym_identities_only_token1,
  [aux_sym_identity_agent_token1] = aux_sym_identity_agent_token1,
  [aux_sym_identity_file_token1] = aux_sym_identity_file_token1,
  [aux_sym_ignore_unknown_token1] = aux_sym_ignore_unknown_token1,
  [aux_sym_include_token1] = aux_sym_include_token1,
  [aux_sym_ip_qos_token1] = aux_sym_ip_qos_token1,
  [anon_sym_af11] = anon_sym_af11,
  [anon_sym_af12] = anon_sym_af11,
  [anon_sym_af13] = anon_sym_af11,
  [anon_sym_af21] = anon_sym_af11,
  [anon_sym_af22] = anon_sym_af11,
  [anon_sym_af23] = anon_sym_af11,
  [anon_sym_af31] = anon_sym_af11,
  [anon_sym_af32] = anon_sym_af11,
  [anon_sym_af33] = anon_sym_af11,
  [anon_sym_af41] = anon_sym_af11,
  [anon_sym_af42] = anon_sym_af11,
  [anon_sym_af43] = anon_sym_af11,
  [anon_sym_cs0] = anon_sym_af11,
  [anon_sym_cs1] = anon_sym_af11,
  [anon_sym_cs2] = anon_sym_af11,
  [anon_sym_cs3] = anon_sym_af11,
  [anon_sym_cs4] = anon_sym_af11,
  [anon_sym_cs5] = anon_sym_af11,
  [anon_sym_cs6] = anon_sym_af11,
  [anon_sym_cs7] = anon_sym_af11,
  [anon_sym_ef] = anon_sym_af11,
  [anon_sym_le] = anon_sym_af11,
  [anon_sym_lowdelay] = anon_sym_af11,
  [anon_sym_throughput] = anon_sym_af11,
  [anon_sym_reliability] = anon_sym_af11,
  [aux_sym_kbd_interactive_authentication_token1] = aux_sym_kbd_interactive_authentication_token1,
  [aux_sym_kbd_interactive_devices_token1] = aux_sym_kbd_interactive_devices_token1,
  [aux_sym_kex_algorithms_token1] = aux_sym_kex_algorithms_token1,
  [aux_sym_known_hosts_command_token1] = aux_sym_known_hosts_command_token1,
  [aux_sym_local_command_token1] = aux_sym_local_command_token1,
  [aux_sym_local_forward_token1] = aux_sym_local_forward_token1,
  [aux_sym_log_level_token1] = aux_sym_log_level_token1,
  [aux_sym_log_level_value_token1] = aux_sym_log_level_value_token1,
  [aux_sym_log_level_value_token2] = aux_sym_log_level_value_token2,
  [aux_sym_log_level_value_token3] = aux_sym_log_level_value_token3,
  [aux_sym_log_level_value_token4] = aux_sym_log_level_value_token4,
  [aux_sym_log_level_value_token5] = aux_sym_log_level_value_token5,
  [aux_sym_log_level_value_token6] = aux_sym_log_level_value_token6,
  [aux_sym_log_level_value_token7] = aux_sym_log_level_value_token7,
  [aux_sym_log_level_value_token8] = aux_sym_log_level_value_token8,
  [aux_sym_log_level_value_token9] = aux_sym_log_level_value_token9,
  [aux_sym_log_verbose_token1] = aux_sym_log_verbose_token1,
  [aux_sym_macs_token1] = aux_sym_macs_token1,
  [aux_sym_no_host_authentication_for_localhost_token1] = aux_sym_no_host_authentication_for_localhost_token1,
  [aux_sym_number_of_password_prompts_token1] = aux_sym_number_of_password_prompts_token1,
  [aux_sym_obscure_keystroke_timing_token1] = aux_sym_obscure_keystroke_timing_token1,
  [aux_sym_obscure_keystroke_timing_value_token1] = aux_sym_obscure_keystroke_timing_value_token1,
  [aux_sym_password_authentication_token1] = aux_sym_password_authentication_token1,
  [aux_sym_permit_local_command_token1] = aux_sym_permit_local_command_token1,
  [aux_sym_permit_remote_open_token1] = aux_sym_permit_remote_open_token1,
  [aux_sym_pkcs11_provider_token1] = aux_sym_pkcs11_provider_token1,
  [aux_sym_port_token1] = aux_sym_port_token1,
  [aux_sym_preferred_authentications_token1] = aux_sym_preferred_authentications_token1,
  [aux_sym_protocol_token1] = aux_sym_protocol_token1,
  [anon_sym_1] = anon_sym_1,
  [anon_sym_2] = anon_sym_2,
  [aux_sym_proxy_command_token1] = aux_sym_proxy_command_token1,
  [aux_sym_proxy_jump_token1] = aux_sym_proxy_jump_token1,
  [aux_sym_proxy_use_fdpass_token1] = aux_sym_proxy_use_fdpass_token1,
  [aux_sym_pubkey_accepted_algorithms_token1] = aux_sym_pubkey_accepted_algorithms_token1,
  [aux_sym_pubkey_accepted_key_types_token1] = aux_sym_pubkey_accepted_key_types_token1,
  [aux_sym_pubkey_authentication_token1] = aux_sym_pubkey_authentication_token1,
  [aux_sym_pubkey_authentication_value_token1] = aux_sym_pubkey_authentication_value_token1,
  [aux_sym_pubkey_authentication_value_token2] = aux_sym_pubkey_authentication_value_token2,
  [aux_sym_rekey_limit_token1] = aux_sym_rekey_limit_token1,
  [aux_sym_remote_command_token1] = aux_sym_remote_command_token1,
  [aux_sym_remote_forward_token1] = aux_sym_remote_forward_token1,
  [aux_sym_request_tty_token1] = aux_sym_request_tty_token1,
  [aux_sym_request_tty_value_token1] = aux_sym_request_tty_value_token1,
  [aux_sym_required_rsa_size_token1] = aux_sym_required_rsa_size_token1,
  [aux_sym_revoked_host_keys_token1] = aux_sym_revoked_host_keys_token1,
  [aux_sym_security_key_provider_token1] = aux_sym_security_key_provider_token1,
  [aux_sym_send_env_token1] = aux_sym_send_env_token1,
  [aux_sym_server_alive_count_max_token1] = aux_sym_server_alive_count_max_token1,
  [aux_sym_server_alive_interval_token1] = aux_sym_server_alive_interval_token1,
  [aux_sym_session_type_token1] = aux_sym_session_type_token1,
  [aux_sym_session_type_value_token1] = aux_sym_session_type_value_token1,
  [aux_sym_session_type_value_token2] = aux_sym_session_type_value_token2,
  [aux_sym_set_env_token1] = aux_sym_set_env_token1,
  [aux_sym_stdin_null_token1] = aux_sym_stdin_null_token1,
  [aux_sym_stream_local_bind_mask_token1] = aux_sym_stream_local_bind_mask_token1,
  [aux_sym_stream_local_bind_unlink_token1] = aux_sym_stream_local_bind_unlink_token1,
  [aux_sym_strict_host_key_checking_token1] = aux_sym_strict_host_key_checking_token1,
  [aux_sym_strict_host_key_checking_value_token1] = aux_sym_strict_host_key_checking_value_token1,
  [aux_sym_strict_host_key_checking_value_token2] = aux_sym_strict_host_key_checking_value_token2,
  [aux_sym_syslog_facility_token1] = aux_sym_syslog_facility_token1,
  [anon_sym_DAEMON] = anon_sym_DAEMON,
  [anon_sym_USER] = anon_sym_USER,
  [anon_sym_AUTH] = anon_sym_AUTH,
  [anon_sym_LOCAL0] = anon_sym_LOCAL0,
  [anon_sym_LOCAL1] = anon_sym_LOCAL1,
  [anon_sym_LOCAL2] = anon_sym_LOCAL2,
  [anon_sym_LOCAL3] = anon_sym_LOCAL3,
  [anon_sym_LOCAL4] = anon_sym_LOCAL4,
  [anon_sym_LOCAL5] = anon_sym_LOCAL5,
  [anon_sym_LOCAL6] = anon_sym_LOCAL6,
  [anon_sym_LOCAL7] = anon_sym_LOCAL7,
  [aux_sym_tcp_keep_alive_token1] = aux_sym_tcp_keep_alive_token1,
  [aux_sym_keep_alive_token1] = aux_sym_keep_alive_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_tunnel_token1] = aux_sym_tunnel_token1,
  [aux_sym_tunnel_value_token1] = aux_sym_tunnel_value_token1,
  [aux_sym_tunnel_value_token2] = aux_sym_tunnel_value_token2,
  [aux_sym_tunnel_device_token1] = aux_sym_tunnel_device_token1,
  [aux_sym_update_host_keys_token1] = aux_sym_update_host_keys_token1,
  [aux_sym_use_keychain_token1] = aux_sym_use_keychain_token1,
  [aux_sym_use_roaming_token1] = aux_sym_use_roaming_token1,
  [aux_sym_user_token1] = aux_sym_user_token1,
  [aux_sym_user_known_hosts_file_token1] = aux_sym_user_known_hosts_file_token1,
  [aux_sym_verify_host_key_dns_token1] = aux_sym_verify_host_key_dns_token1,
  [aux_sym_version_addendum_token1] = aux_sym_version_addendum_token1,
  [aux_sym_visual_host_key_token1] = aux_sym_visual_host_key_token1,
  [aux_sym_xauth_location_token1] = aux_sym_xauth_location_token1,
  [sym_client_config] = sym_client_config,
  [sym__option] = sym__option,
  [sym_boolean] = sym_boolean,
  [sym_pattern] = sym_pattern,
  [sym_host] = sym_host,
  [sym_host_value] = sym_host_value,
  [sym_match] = sym_match,
  [sym_match_value] = sym_match_value,
  [sym_add_keys_to_agent] = sym_add_keys_to_agent,
  [sym_add_keys_to_agent_value] = sym_add_keys_to_agent_value,
  [sym_address_family] = sym_address_family,
  [sym_address_family_value] = sym_address_family_value,
  [sym_batch_mode] = sym_batch_mode,
  [sym_batch_mode_value] = sym_batch_mode_value,
  [sym_bind_address] = sym_bind_address,
  [sym_bind_address_value] = sym_bind_address_value,
  [sym_bind_interface] = sym_bind_interface,
  [sym_bind_interface_value] = sym_bind_interface_value,
  [sym_canonical_domains] = sym_canonical_domains,
  [sym_canonical_domains_value] = sym_canonical_domains_value,
  [sym_canonicalize_fallback_local] = sym_canonicalize_fallback_local,
  [sym_canonicalize_fallback_local_value] = sym_canonicalize_fallback_local_value,
  [sym_canonicalize_hostname] = sym_canonicalize_hostname,
  [sym_canonicalize_hostname_value] = sym_canonicalize_hostname_value,
  [sym_canonicalize_max_dots] = sym_canonicalize_max_dots,
  [sym_canonicalize_max_dots_value] = sym_canonicalize_max_dots_value,
  [sym_canonicalize_permitted_cnames] = sym_canonicalize_permitted_cnames,
  [sym_canonicalize_permitted_cnames_value] = sym_canonicalize_permitted_cnames_value,
  [sym_ca_signature_algorithms] = sym_ca_signature_algorithms,
  [sym_ca_signature_algorithms_value] = sym_ca_signature_algorithms_value,
  [sym_certificate_file] = sym_certificate_file,
  [sym_certificate_file_value] = sym_certificate_file_value,
  [sym_challenge_response_authentication] = sym_challenge_response_authentication,
  [sym_challenge_response_authentication_value] = sym_challenge_response_authentication_value,
  [sym_channel_timeout] = sym_channel_timeout,
  [sym_channel_timeout_type] = sym_channel_timeout_type,
  [aux_sym__channel_timeout_value] = aux_sym__channel_timeout_value,
  [sym_check_host_ip] = sym_check_host_ip,
  [sym_check_host_ip_value] = sym_check_host_ip_value,
  [sym_ciphers] = sym_ciphers,
  [sym_ciphers_value] = sym_ciphers_value,
  [sym_cipher] = sym_cipher,
  [sym_cipher_value] = sym_cipher_value,
  [sym_clear_all_forwardings] = sym_clear_all_forwardings,
  [sym_clear_all_forwardings_value] = sym_clear_all_forwardings_value,
  [sym_compression] = sym_compression,
  [sym_compression_value] = sym_compression_value,
  [sym_connection_attempts] = sym_connection_attempts,
  [sym_connection_attempts_value] = sym_connection_attempts_value,
  [sym_connect_timeout] = sym_connect_timeout,
  [sym_connect_timeout_value] = sym_connect_timeout_value,
  [sym_control_master] = sym_control_master,
  [sym_control_master_value] = sym_control_master_value,
  [sym_control_path] = sym_control_path,
  [sym_control_path_value] = sym_control_path_value,
  [sym_control_persist] = sym_control_persist,
  [sym_control_persist_value] = sym_control_persist_value,
  [sym_dynamic_forward] = sym_dynamic_forward,
  [sym_dynamic_forward_value] = sym_dynamic_forward_value,
  [sym_enable_escape_commandline] = sym_enable_escape_commandline,
  [sym_enable_escape_commandline_value] = sym_enable_escape_commandline_value,
  [sym_enable_ssh_keysign] = sym_enable_ssh_keysign,
  [sym_enable_ssh_keysign_value] = sym_enable_ssh_keysign_value,
  [sym_escape_char] = sym_escape_char,
  [sym_escape_char_value] = sym_escape_char_value,
  [sym_exit_on_forward_failure] = sym_exit_on_forward_failure,
  [sym_exit_on_forward_failure_value] = sym_exit_on_forward_failure_value,
  [sym_fingerprint_hash] = sym_fingerprint_hash,
  [sym_fingerprint_hash_value] = sym_fingerprint_hash_value,
  [sym_fork_after_authentication] = sym_fork_after_authentication,
  [sym_fork_after_authentication_value] = sym_fork_after_authentication_value,
  [sym_forward_agent] = sym_forward_agent,
  [sym_forward_agent_value] = sym_forward_agent_value,
  [sym_forward_x11] = sym_forward_x11,
  [sym_forward_x11_value] = sym_forward_x11_value,
  [sym_forward_x11_timeout] = sym_forward_x11_timeout,
  [sym_forward_x11_timeout_value] = sym_forward_x11_timeout_value,
  [sym_forward_x11_trusted] = sym_forward_x11_trusted,
  [sym_forward_x11_trusted_value] = sym_forward_x11_trusted_value,
  [sym_gateway_ports] = sym_gateway_ports,
  [sym_gateway_ports_value] = sym_gateway_ports_value,
  [sym_global_known_hosts_file] = sym_global_known_hosts_file,
  [sym_global_known_hosts_file_value] = sym_global_known_hosts_file_value,
  [sym_gssapi_authentication] = sym_gssapi_authentication,
  [sym_gssapi_authentication_value] = sym_gssapi_authentication_value,
  [sym_gssapi_client_identity] = sym_gssapi_client_identity,
  [sym_gssapi_client_identity_value] = sym_gssapi_client_identity_value,
  [sym_gssapi_delegate_credentials] = sym_gssapi_delegate_credentials,
  [sym_gssapi_delegate_credentials_value] = sym_gssapi_delegate_credentials_value,
  [sym_gssapi_key_exchange] = sym_gssapi_key_exchange,
  [sym_gssapi_key_exchange_value] = sym_gssapi_key_exchange_value,
  [sym_gssapi_renewal_forces_rekey] = sym_gssapi_renewal_forces_rekey,
  [sym_gssapi_renewal_forces_rekey_value] = sym_gssapi_renewal_forces_rekey_value,
  [sym_gssapi_server_identity] = sym_gssapi_server_identity,
  [sym_gssapi_server_identity_value] = sym_gssapi_server_identity_value,
  [sym_gssapi_trust_dns] = sym_gssapi_trust_dns,
  [sym_gssapi_trust_dns_value] = sym_gssapi_trust_dns_value,
  [sym_gssapi_kex_algorithms] = sym_gssapi_kex_algorithms,
  [sym_gssapi_kex_algorithms_value] = sym_gssapi_kex_algorithms_value,
  [sym_hash_known_hosts] = sym_hash_known_hosts,
  [sym_hash_known_hosts_value] = sym_hash_known_hosts_value,
  [sym_hostbased_accepted_algorithms] = sym_hostbased_accepted_algorithms,
  [sym_hostbased_accepted_algorithms_value] = sym_hostbased_accepted_algorithms_value,
  [sym_hostbased_authentication] = sym_hostbased_authentication,
  [sym_hostbased_authentication_value] = sym_hostbased_authentication_value,
  [sym_host_key_algorithms] = sym_host_key_algorithms,
  [sym_host_key_algorithms_value] = sym_host_key_algorithms_value,
  [sym_host_key_alias] = sym_host_key_alias,
  [sym_host_key_alias_value] = sym_host_key_alias_value,
  [sym_hostname] = sym_hostname,
  [sym_hostname_value] = sym_hostname_value,
  [sym_identities_only] = sym_identities_only,
  [sym_identities_only_value] = sym_identities_only_value,
  [sym_identity_agent] = sym_identity_agent,
  [sym_identity_agent_value] = sym_identity_agent_value,
  [sym_identity_file] = sym_identity_file,
  [sym_identity_file_value] = sym_identity_file_value,
  [sym_ignore_unknown] = sym_ignore_unknown,
  [sym_ignore_unknown_value] = sym_ignore_unknown_value,
  [sym_include] = sym_include,
  [sym_include_value] = sym_include_value,
  [sym_ip_qos] = sym_ip_qos,
  [sym_ip_qos_value] = sym_ip_qos_value,
  [sym_kbd_interactive_authentication] = sym_kbd_interactive_authentication,
  [sym_kbd_interactive_authentication_value] = sym_kbd_interactive_authentication_value,
  [sym_kbd_interactive_devices] = sym_kbd_interactive_devices,
  [sym_kbd_interactive_devices_value] = sym_kbd_interactive_devices_value,
  [sym_kex_algorithms] = sym_kex_algorithms,
  [sym_kex_algorithms_value] = sym_kex_algorithms_value,
  [sym_known_hosts_command] = sym_known_hosts_command,
  [sym_known_hosts_command_value] = sym_known_hosts_command_value,
  [sym_local_command] = sym_local_command,
  [sym_local_command_value] = sym_local_command_value,
  [sym_local_forward] = sym_local_forward,
  [sym_local_forward_value] = sym_local_forward_value,
  [sym_log_level] = sym_log_level,
  [sym_log_level_value] = sym_log_level_value,
  [sym_log_verbose] = sym_log_verbose,
  [sym_log_verbose_value] = sym_log_verbose_value,
  [sym_macs] = sym_macs,
  [sym_macs_value] = sym_macs_value,
  [sym_no_host_authentication_for_localhost] = sym_no_host_authentication_for_localhost,
  [sym_no_host_authentication_for_localhost_value] = sym_no_host_authentication_for_localhost_value,
  [sym_number_of_password_prompts] = sym_number_of_password_prompts,
  [sym_number_of_password_prompts_value] = sym_number_of_password_prompts_value,
  [sym_obscure_keystroke_timing] = sym_obscure_keystroke_timing,
  [sym_obscure_keystroke_timing_value] = sym_obscure_keystroke_timing_value,
  [sym_password_authentication] = sym_password_authentication,
  [sym_password_authentication_value] = sym_password_authentication_value,
  [sym_permit_local_command] = sym_permit_local_command,
  [sym_permit_local_command_value] = sym_permit_local_command_value,
  [sym_permit_remote_open] = sym_permit_remote_open,
  [sym_permit_remote_open_value] = sym_permit_remote_open_value,
  [sym_pkcs11_provider] = sym_pkcs11_provider,
  [sym_pkcs11_provider_value] = sym_pkcs11_provider_value,
  [sym_port] = sym_port,
  [sym_port_value] = sym_port_value,
  [sym_preferred_authentications] = sym_preferred_authentications,
  [sym_preferred_authentications_value] = sym_preferred_authentications_value,
  [sym_protocol] = sym_protocol,
  [sym_protocol_value] = sym_protocol_value,
  [sym_proxy_command] = sym_proxy_command,
  [sym_proxy_command_value] = sym_proxy_command_value,
  [sym_proxy_jump] = sym_proxy_jump,
  [sym_proxy_jump_value] = sym_proxy_jump_value,
  [sym_proxy_use_fdpass] = sym_proxy_use_fdpass,
  [sym_proxy_use_fdpass_value] = sym_proxy_use_fdpass_value,
  [sym_pubkey_accepted_algorithms] = sym_pubkey_accepted_algorithms,
  [sym_pubkey_accepted_algorithms_value] = sym_pubkey_accepted_algorithms_value,
  [sym_pubkey_accepted_key_types] = sym_pubkey_accepted_key_types,
  [sym_pubkey_accepted_key_types_value] = sym_pubkey_accepted_key_types_value,
  [sym_pubkey_authentication] = sym_pubkey_authentication,
  [sym_pubkey_authentication_value] = sym_pubkey_authentication_value,
  [sym_rekey_limit] = sym_rekey_limit,
  [sym_rekey_limit_value] = sym_rekey_limit_value,
  [sym_remote_command] = sym_remote_command,
  [sym_remote_command_value] = sym_remote_command_value,
  [sym_remote_forward] = sym_remote_forward,
  [sym_remote_forward_value] = sym_remote_forward_value,
  [sym_request_tty] = sym_request_tty,
  [sym_request_tty_value] = sym_request_tty_value,
  [sym_required_rsa_size] = sym_required_rsa_size,
  [sym_required_rsa_size_value] = sym_required_rsa_size_value,
  [sym_revoked_host_keys] = sym_revoked_host_keys,
  [sym_revoked_host_keys_value] = sym_revoked_host_keys_value,
  [sym_security_key_provider] = sym_security_key_provider,
  [sym_security_key_provider_value] = sym_security_key_provider_value,
  [sym_send_env] = sym_send_env,
  [sym_send_env_value] = sym_send_env_value,
  [sym_server_alive_count_max] = sym_server_alive_count_max,
  [sym_server_alive_count_max_value] = sym_server_alive_count_max_value,
  [sym_server_alive_interval] = sym_server_alive_interval,
  [sym_server_alive_interval_value] = sym_server_alive_interval_value,
  [sym_session_type] = sym_session_type,
  [sym_session_type_value] = sym_session_type_value,
  [sym_set_env] = sym_set_env,
  [sym_set_env_value] = sym_set_env_value,
  [sym_stdin_null] = sym_stdin_null,
  [sym_stdin_null_value] = sym_stdin_null_value,
  [sym_stream_local_bind_mask] = sym_stream_local_bind_mask,
  [sym_stream_local_bind_mask_value] = sym_stream_local_bind_mask_value,
  [sym_stream_local_bind_unlink] = sym_stream_local_bind_unlink,
  [sym_stream_local_bind_unlink_value] = sym_stream_local_bind_unlink_value,
  [sym_strict_host_key_checking] = sym_strict_host_key_checking,
  [sym_strict_host_key_checking_value] = sym_strict_host_key_checking_value,
  [sym_syslog_facility] = sym_syslog_facility,
  [sym_syslog_facility_value] = sym_syslog_facility_value,
  [sym_tcp_keep_alive] = sym_tcp_keep_alive,
  [sym_tcp_keep_alive_value] = sym_tcp_keep_alive_value,
  [sym_keep_alive] = sym_keep_alive,
  [sym_keep_alive_value] = sym_keep_alive_value,
  [sym_tag] = sym_tag,
  [sym_tag_value] = sym_tag_value,
  [sym_tunnel] = sym_tunnel,
  [sym_tunnel_value] = sym_tunnel_value,
  [sym_tunnel_device] = sym_tunnel_device,
  [sym_tunnel_device_value] = sym_tunnel_device_value,
  [sym_update_host_keys] = sym_update_host_keys,
  [sym_update_host_keys_value] = sym_update_host_keys_value,
  [sym_use_keychain] = sym_use_keychain,
  [sym_use_keychain_value] = sym_use_keychain_value,
  [sym_use_roaming] = sym_use_roaming,
  [sym_use_roaming_value] = sym_use_roaming_value,
  [sym_user] = sym_user,
  [sym_user_value] = sym_user_value,
  [sym_user_known_hosts_file] = sym_user_known_hosts_file,
  [sym_user_known_hosts_file_value] = sym_user_known_hosts_file_value,
  [sym_verify_host_key_dns] = sym_verify_host_key_dns,
  [sym_verify_host_key_dns_value] = sym_verify_host_key_dns_value,
  [sym_version_addendum] = sym_version_addendum,
  [sym_version_addendum_value] = sym_version_addendum_value,
  [sym_visual_host_key] = sym_visual_host_key,
  [sym_visual_host_key_value] = sym_visual_host_key_value,
  [sym_xauth_location] = sym_xauth_location,
  [sym_xauth_location_value] = sym_xauth_location_value,
  [aux_sym_client_config_repeat1] = aux_sym_client_config_repeat1,
  [anon_alias_sym_batch_mode_value] = anon_alias_sym_batch_mode_value,
  [anon_alias_sym_canonicalize_fallback_local_value] = anon_alias_sym_canonicalize_fallback_local_value,
  [anon_alias_sym_challenge_response_authentication_value] = anon_alias_sym_challenge_response_authentication_value,
  [anon_alias_sym_check_host_ip_value] = anon_alias_sym_check_host_ip_value,
  [anon_alias_sym_clear_all_forwardings_value] = anon_alias_sym_clear_all_forwardings_value,
  [anon_alias_sym_compression_value] = anon_alias_sym_compression_value,
  [anon_alias_sym_connect_timeout_value] = anon_alias_sym_connect_timeout_value,
  [anon_alias_sym_connection_attempts_value] = anon_alias_sym_connection_attempts_value,
  [anon_alias_sym_control_persist_value] = anon_alias_sym_control_persist_value,
  [anon_alias_sym_enable_escape_commandline_value] = anon_alias_sym_enable_escape_commandline_value,
  [anon_alias_sym_enable_ssh_keysign_value] = anon_alias_sym_enable_ssh_keysign_value,
  [anon_alias_sym_exit_on_forward_failure_value] = anon_alias_sym_exit_on_forward_failure_value,
  [anon_alias_sym_fork_after_authentication_value] = anon_alias_sym_fork_after_authentication_value,
  [anon_alias_sym_forward_x11_timeout_value] = anon_alias_sym_forward_x11_timeout_value,
  [anon_alias_sym_forward_x11_trusted_value] = anon_alias_sym_forward_x11_trusted_value,
  [anon_alias_sym_forward_x11_value] = anon_alias_sym_forward_x11_value,
  [anon_alias_sym_gateway_ports_value] = anon_alias_sym_gateway_ports_value,
  [anon_alias_sym_gssapi_authentication_value] = anon_alias_sym_gssapi_authentication_value,
  [anon_alias_sym_gssapi_delegate_credentials_value] = anon_alias_sym_gssapi_delegate_credentials_value,
  [anon_alias_sym_gssapi_key_exchange_value] = anon_alias_sym_gssapi_key_exchange_value,
  [anon_alias_sym_gssapi_renewal_forces_rekey_value] = anon_alias_sym_gssapi_renewal_forces_rekey_value,
  [anon_alias_sym_gssapi_trust_dns_value] = anon_alias_sym_gssapi_trust_dns_value,
  [anon_alias_sym_hash_known_hosts_value] = anon_alias_sym_hash_known_hosts_value,
  [anon_alias_sym_hostbased_authentication_value] = anon_alias_sym_hostbased_authentication_value,
  [anon_alias_sym_identities_only_value] = anon_alias_sym_identities_only_value,
  [anon_alias_sym_kbd_interactive_authentication_value] = anon_alias_sym_kbd_interactive_authentication_value,
  [anon_alias_sym_keep_alive_value] = anon_alias_sym_keep_alive_value,
  [anon_alias_sym_match_value] = anon_alias_sym_match_value,
  [anon_alias_sym_no_host_authentication_for_localhost_value] = anon_alias_sym_no_host_authentication_for_localhost_value,
  [anon_alias_sym_number_of_password_prompts_value] = anon_alias_sym_number_of_password_prompts_value,
  [anon_alias_sym_password_authentication_value] = anon_alias_sym_password_authentication_value,
  [anon_alias_sym_permit_local_command_value] = anon_alias_sym_permit_local_command_value,
  [anon_alias_sym_port_value] = anon_alias_sym_port_value,
  [anon_alias_sym_proxy_use_fdpass_value] = anon_alias_sym_proxy_use_fdpass_value,
  [anon_alias_sym_required_rsa_size_value] = anon_alias_sym_required_rsa_size_value,
  [anon_alias_sym_server_alive_count_max_value] = anon_alias_sym_server_alive_count_max_value,
  [anon_alias_sym_server_alive_interval_value] = anon_alias_sym_server_alive_interval_value,
  [anon_alias_sym_stdin_null_value] = anon_alias_sym_stdin_null_value,
  [anon_alias_sym_stream_local_bind_unlink_value] = anon_alias_sym_stream_local_bind_unlink_value,
  [anon_alias_sym_tcp_keep_alive_value] = anon_alias_sym_tcp_keep_alive_value,
  [anon_alias_sym_use_keychain_value] = anon_alias_sym_use_keychain_value,
  [anon_alias_sym_use_roaming_value] = anon_alias_sym_use_roaming_value,
  [anon_alias_sym_visual_host_key_value] = anon_alias_sym_visual_host_key_value,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_boolean_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_boolean_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_boolean_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_time_format] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_host_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_host_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_add_keys_to_agent_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_address_family_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_address_family_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_address_family_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_address_family_value_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_batch_mode_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bind_address_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bind_interface_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonical_domains_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_fallback_local_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_hostname_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_hostname_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_canonicalize_hostname_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_canonicalize_max_dots_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_permitted_cnames_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ca_signature_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_certificate_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_challenge_response_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_channel_timeout_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_check_host_ip_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ciphers_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cipher_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clear_all_forwardings_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_compression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_connection_attempts_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_connect_timeout_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_master_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_master_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_control_master_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_control_master_value_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_control_path_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_persist_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_dynamic_forward_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enable_escape_commandline_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enable_ssh_keysign_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_char_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_none] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_char_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exit_on_forward_failure_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_fingerprint_hash_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_md5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sha256] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_fork_after_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_agent_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_x11_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_x11_timeout_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_x11_trusted_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gateway_ports_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_known_hosts_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_client_identity_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_delegate_credentials_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_key_exchange_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_renewal_forces_rekey_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_server_identity_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_trust_dns_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_kex_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hash_known_hosts_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hostbased_accepted_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hostbased_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_host_key_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_host_key_alias_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hostname_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identities_only_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identity_agent_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identity_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ignore_unknown_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ip_qos_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af11] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af12] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af13] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af21] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af22] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af23] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af31] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af33] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af41] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af42] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af43] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs7] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_le] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lowdelay] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throughput] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reliability] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kbd_interactive_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kbd_interactive_devices_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kex_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_known_hosts_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_local_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_local_forward_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_log_level_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_log_level_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_verbose_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_macs_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_no_host_authentication_for_localhost_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_of_password_prompts_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_obscure_keystroke_timing_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_obscure_keystroke_timing_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_password_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_permit_local_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_permit_remote_open_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pkcs11_provider_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_port_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preferred_authentications_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_protocol_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_proxy_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_proxy_jump_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_proxy_use_fdpass_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_accepted_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_accepted_key_types_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_authentication_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pubkey_authentication_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rekey_limit_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_remote_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_remote_forward_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_request_tty_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_request_tty_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_required_rsa_size_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_revoked_host_keys_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_security_key_provider_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_send_env_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_server_alive_count_max_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_server_alive_interval_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_session_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_session_type_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_session_type_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_env_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stdin_null_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stream_local_bind_mask_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stream_local_bind_unlink_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_strict_host_key_checking_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_strict_host_key_checking_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_strict_host_key_checking_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_syslog_facility_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DAEMON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_USER] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AUTH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tcp_keep_alive_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keep_alive_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tunnel_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tunnel_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tunnel_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tunnel_device_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_update_host_keys_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_keychain_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_roaming_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_known_hosts_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_verify_host_key_dns_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_version_addendum_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visual_host_key_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_xauth_location_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_client_config] = {
    .visible = true,
    .named = true,
  },
  [sym__option] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [sym_pattern] = {
    .visible = true,
    .named = false,
  },
  [sym_host] = {
    .visible = true,
    .named = true,
  },
  [sym_host_value] = {
    .visible = true,
    .named = true,
  },
  [sym_match] = {
    .visible = true,
    .named = true,
  },
  [sym_match_value] = {
    .visible = true,
    .named = true,
  },
  [sym_add_keys_to_agent] = {
    .visible = true,
    .named = true,
  },
  [sym_add_keys_to_agent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_address_family] = {
    .visible = true,
    .named = true,
  },
  [sym_address_family_value] = {
    .visible = true,
    .named = true,
  },
  [sym_batch_mode] = {
    .visible = true,
    .named = true,
  },
  [sym_batch_mode_value] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_address] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_address_value] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_interface_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonical_domains] = {
    .visible = true,
    .named = true,
  },
  [sym_canonical_domains_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_fallback_local] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_fallback_local_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_hostname] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_hostname_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_max_dots] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_max_dots_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_permitted_cnames] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_permitted_cnames_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ca_signature_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_ca_signature_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_certificate_file] = {
    .visible = true,
    .named = true,
  },
  [sym_certificate_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_challenge_response_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_challenge_response_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_timeout] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_timeout_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__channel_timeout_value] = {
    .visible = false,
    .named = false,
  },
  [sym_check_host_ip] = {
    .visible = true,
    .named = true,
  },
  [sym_check_host_ip_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ciphers] = {
    .visible = true,
    .named = true,
  },
  [sym_ciphers_value] = {
    .visible = true,
    .named = true,
  },
  [sym_cipher] = {
    .visible = true,
    .named = true,
  },
  [sym_cipher_value] = {
    .visible = true,
    .named = true,
  },
  [sym_clear_all_forwardings] = {
    .visible = true,
    .named = true,
  },
  [sym_clear_all_forwardings_value] = {
    .visible = true,
    .named = true,
  },
  [sym_compression] = {
    .visible = true,
    .named = true,
  },
  [sym_compression_value] = {
    .visible = true,
    .named = true,
  },
  [sym_connection_attempts] = {
    .visible = true,
    .named = true,
  },
  [sym_connection_attempts_value] = {
    .visible = true,
    .named = true,
  },
  [sym_connect_timeout] = {
    .visible = true,
    .named = true,
  },
  [sym_connect_timeout_value] = {
    .visible = true,
    .named = true,
  },
  [sym_control_master] = {
    .visible = true,
    .named = true,
  },
  [sym_control_master_value] = {
    .visible = true,
    .named = true,
  },
  [sym_control_path] = {
    .visible = true,
    .named = true,
  },
  [sym_control_path_value] = {
    .visible = true,
    .named = true,
  },
  [sym_control_persist] = {
    .visible = true,
    .named = true,
  },
  [sym_control_persist_value] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_forward] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_forward_value] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_escape_commandline] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_escape_commandline_value] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_ssh_keysign] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_ssh_keysign_value] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_char] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_char_value] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_on_forward_failure] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_on_forward_failure_value] = {
    .visible = true,
    .named = true,
  },
  [sym_fingerprint_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_fingerprint_hash_value] = {
    .visible = true,
    .named = true,
  },
  [sym_fork_after_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_fork_after_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_agent] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_agent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_timeout] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_timeout_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_trusted] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_trusted_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gateway_ports] = {
    .visible = true,
    .named = true,
  },
  [sym_gateway_ports_value] = {
    .visible = true,
    .named = true,
  },
  [sym_global_known_hosts_file] = {
    .visible = true,
    .named = true,
  },
  [sym_global_known_hosts_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_client_identity] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_client_identity_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_delegate_credentials] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_delegate_credentials_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_key_exchange] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_key_exchange_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_renewal_forces_rekey] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_renewal_forces_rekey_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_server_identity] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_server_identity_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_trust_dns] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_trust_dns_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_kex_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_kex_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_known_hosts] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_known_hosts_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_accepted_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_accepted_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_alias_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname_value] = {
    .visible = true,
    .named = true,
  },
  [sym_identities_only] = {
    .visible = true,
    .named = true,
  },
  [sym_identities_only_value] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_agent] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_agent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_file] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ignore_unknown] = {
    .visible = true,
    .named = true,
  },
  [sym_ignore_unknown_value] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym_include_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ip_qos] = {
    .visible = true,
    .named = true,
  },
  [sym_ip_qos_value] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_devices] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_devices_value] = {
    .visible = true,
    .named = true,
  },
  [sym_kex_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_kex_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_known_hosts_command] = {
    .visible = true,
    .named = true,
  },
  [sym_known_hosts_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_local_command] = {
    .visible = true,
    .named = true,
  },
  [sym_local_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_local_forward] = {
    .visible = true,
    .named = true,
  },
  [sym_local_forward_value] = {
    .visible = true,
    .named = true,
  },
  [sym_log_level] = {
    .visible = true,
    .named = true,
  },
  [sym_log_level_value] = {
    .visible = true,
    .named = true,
  },
  [sym_log_verbose] = {
    .visible = true,
    .named = true,
  },
  [sym_log_verbose_value] = {
    .visible = true,
    .named = true,
  },
  [sym_macs] = {
    .visible = true,
    .named = true,
  },
  [sym_macs_value] = {
    .visible = true,
    .named = true,
  },
  [sym_no_host_authentication_for_localhost] = {
    .visible = true,
    .named = true,
  },
  [sym_no_host_authentication_for_localhost_value] = {
    .visible = true,
    .named = true,
  },
  [sym_number_of_password_prompts] = {
    .visible = true,
    .named = true,
  },
  [sym_number_of_password_prompts_value] = {
    .visible = true,
    .named = true,
  },
  [sym_obscure_keystroke_timing] = {
    .visible = true,
    .named = true,
  },
  [sym_obscure_keystroke_timing_value] = {
    .visible = true,
    .named = true,
  },
  [sym_password_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_password_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_local_command] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_local_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_remote_open] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_remote_open_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pkcs11_provider] = {
    .visible = true,
    .named = true,
  },
  [sym_pkcs11_provider_value] = {
    .visible = true,
    .named = true,
  },
  [sym_port] = {
    .visible = true,
    .named = true,
  },
  [sym_port_value] = {
    .visible = true,
    .named = true,
  },
  [sym_preferred_authentications] = {
    .visible = true,
    .named = true,
  },
  [sym_preferred_authentications_value] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_value] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_command] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_jump] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_jump_value] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_use_fdpass] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_use_fdpass_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_key_types] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_key_types_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_rekey_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_rekey_limit_value] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_command] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_forward] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_forward_value] = {
    .visible = true,
    .named = true,
  },
  [sym_request_tty] = {
    .visible = true,
    .named = true,
  },
  [sym_request_tty_value] = {
    .visible = true,
    .named = true,
  },
  [sym_required_rsa_size] = {
    .visible = true,
    .named = true,
  },
  [sym_required_rsa_size_value] = {
    .visible = true,
    .named = true,
  },
  [sym_revoked_host_keys] = {
    .visible = true,
    .named = true,
  },
  [sym_revoked_host_keys_value] = {
    .visible = true,
    .named = true,
  },
  [sym_security_key_provider] = {
    .visible = true,
    .named = true,
  },
  [sym_security_key_provider_value] = {
    .visible = true,
    .named = true,
  },
  [sym_send_env] = {
    .visible = true,
    .named = true,
  },
  [sym_send_env_value] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_count_max] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_count_max_value] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_interval_value] = {
    .visible = true,
    .named = true,
  },
  [sym_session_type] = {
    .visible = true,
    .named = true,
  },
  [sym_session_type_value] = {
    .visible = true,
    .named = true,
  },
  [sym_set_env] = {
    .visible = true,
    .named = true,
  },
  [sym_set_env_value] = {
    .visible = true,
    .named = true,
  },
  [sym_stdin_null] = {
    .visible = true,
    .named = true,
  },
  [sym_stdin_null_value] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_mask] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_mask_value] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_unlink] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_unlink_value] = {
    .visible = true,
    .named = true,
  },
  [sym_strict_host_key_checking] = {
    .visible = true,
    .named = true,
  },
  [sym_strict_host_key_checking_value] = {
    .visible = true,
    .named = true,
  },
  [sym_syslog_facility] = {
    .visible = true,
    .named = true,
  },
  [sym_syslog_facility_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tcp_keep_alive] = {
    .visible = true,
    .named = true,
  },
  [sym_tcp_keep_alive_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keep_alive] = {
    .visible = true,
    .named = true,
  },
  [sym_keep_alive_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel_device] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel_device_value] = {
    .visible = true,
    .named = true,
  },
  [sym_update_host_keys] = {
    .visible = true,
    .named = true,
  },
  [sym_update_host_keys_value] = {
    .visible = true,
    .named = true,
  },
  [sym_use_keychain] = {
    .visible = true,
    .named = true,
  },
  [sym_use_keychain_value] = {
    .visible = true,
    .named = true,
  },
  [sym_use_roaming] = {
    .visible = true,
    .named = true,
  },
  [sym_use_roaming_value] = {
    .visible = true,
    .named = true,
  },
  [sym_user] = {
    .visible = true,
    .named = true,
  },
  [sym_user_value] = {
    .visible = true,
    .named = true,
  },
  [sym_user_known_hosts_file] = {
    .visible = true,
    .named = true,
  },
  [sym_user_known_hosts_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_verify_host_key_dns] = {
    .visible = true,
    .named = true,
  },
  [sym_verify_host_key_dns_value] = {
    .visible = true,
    .named = true,
  },
  [sym_version_addendum] = {
    .visible = true,
    .named = true,
  },
  [sym_version_addendum_value] = {
    .visible = true,
    .named = true,
  },
  [sym_visual_host_key] = {
    .visible = true,
    .named = true,
  },
  [sym_visual_host_key_value] = {
    .visible = true,
    .named = true,
  },
  [sym_xauth_location] = {
    .visible = true,
    .named = true,
  },
  [sym_xauth_location_value] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_client_config_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_batch_mode_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_canonicalize_fallback_local_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_challenge_response_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_check_host_ip_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_clear_all_forwardings_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_compression_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_connect_timeout_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_connection_attempts_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_control_persist_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_enable_escape_commandline_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_enable_ssh_keysign_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_exit_on_forward_failure_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_fork_after_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_forward_x11_timeout_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_forward_x11_trusted_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_forward_x11_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gateway_ports_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_delegate_credentials_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_key_exchange_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_renewal_forces_rekey_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_trust_dns_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_hash_known_hosts_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_hostbased_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_identities_only_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_kbd_interactive_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_keep_alive_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_match_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_no_host_authentication_for_localhost_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_number_of_password_prompts_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_password_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_permit_local_command_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_port_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_proxy_use_fdpass_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_required_rsa_size_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_server_alive_count_max_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_server_alive_interval_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_stdin_null_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_stream_local_bind_unlink_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_tcp_keep_alive_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_use_keychain_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_use_roaming_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_visual_host_key_value] = {
    .visible = true,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_match_value,
  },
  [2] = {
    [0] = anon_alias_sym_batch_mode_value,
  },
  [3] = {
    [0] = anon_alias_sym_canonicalize_fallback_local_value,
  },
  [4] = {
    [0] = anon_alias_sym_challenge_response_authentication_value,
  },
  [5] = {
    [0] = anon_alias_sym_check_host_ip_value,
  },
  [6] = {
    [0] = anon_alias_sym_clear_all_forwardings_value,
  },
  [7] = {
    [0] = anon_alias_sym_compression_value,
  },
  [8] = {
    [0] = anon_alias_sym_connection_attempts_value,
  },
  [9] = {
    [0] = anon_alias_sym_connect_timeout_value,
  },
  [10] = {
    [0] = anon_alias_sym_control_persist_value,
  },
  [11] = {
    [0] = anon_alias_sym_enable_escape_commandline_value,
  },
  [12] = {
    [0] = anon_alias_sym_enable_ssh_keysign_value,
  },
  [13] = {
    [0] = anon_alias_sym_exit_on_forward_failure_value,
  },
  [14] = {
    [0] = anon_alias_sym_fork_after_authentication_value,
  },
  [15] = {
    [0] = anon_alias_sym_forward_x11_value,
  },
  [16] = {
    [0] = anon_alias_sym_forward_x11_timeout_value,
  },
  [17] = {
    [0] = anon_alias_sym_forward_x11_trusted_value,
  },
  [18] = {
    [0] = anon_alias_sym_gateway_ports_value,
  },
  [19] = {
    [0] = anon_alias_sym_gssapi_authentication_value,
  },
  [20] = {
    [0] = anon_alias_sym_gssapi_delegate_credentials_value,
  },
  [21] = {
    [0] = anon_alias_sym_gssapi_key_exchange_value,
  },
  [22] = {
    [0] = anon_alias_sym_gssapi_renewal_forces_rekey_value,
  },
  [23] = {
    [0] = anon_alias_sym_gssapi_trust_dns_value,
  },
  [24] = {
    [0] = anon_alias_sym_hash_known_hosts_value,
  },
  [25] = {
    [0] = anon_alias_sym_hostbased_authentication_value,
  },
  [26] = {
    [0] = anon_alias_sym_identities_only_value,
  },
  [27] = {
    [0] = anon_sym_af11,
  },
  [28] = {
    [0] = anon_alias_sym_kbd_interactive_authentication_value,
  },
  [29] = {
    [0] = anon_alias_sym_no_host_authentication_for_localhost_value,
  },
  [30] = {
    [0] = anon_alias_sym_number_of_password_prompts_value,
  },
  [31] = {
    [0] = anon_alias_sym_password_authentication_value,
  },
  [32] = {
    [0] = anon_alias_sym_permit_local_command_value,
  },
  [33] = {
    [0] = anon_alias_sym_port_value,
  },
  [34] = {
    [0] = anon_alias_sym_proxy_use_fdpass_value,
  },
  [35] = {
    [0] = anon_alias_sym_required_rsa_size_value,
  },
  [36] = {
    [0] = anon_alias_sym_server_alive_count_max_value,
  },
  [37] = {
    [0] = anon_alias_sym_server_alive_interval_value,
  },
  [38] = {
    [0] = anon_alias_sym_stdin_null_value,
  },
  [39] = {
    [0] = anon_alias_sym_stream_local_bind_unlink_value,
  },
  [40] = {
    [0] = anon_alias_sym_tcp_keep_alive_value,
  },
  [41] = {
    [0] = anon_alias_sym_keep_alive_value,
  },
  [42] = {
    [0] = anon_alias_sym_use_keychain_value,
  },
  [43] = {
    [0] = anon_alias_sym_use_roaming_value,
  },
  [44] = {
    [0] = anon_alias_sym_visual_host_key_value,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_boolean, 35,
    sym_boolean,
    anon_alias_sym_batch_mode_value,
    anon_alias_sym_canonicalize_fallback_local_value,
    anon_alias_sym_challenge_response_authentication_value,
    anon_alias_sym_check_host_ip_value,
    anon_alias_sym_clear_all_forwardings_value,
    anon_alias_sym_compression_value,
    anon_alias_sym_control_persist_value,
    anon_alias_sym_enable_escape_commandline_value,
    anon_alias_sym_enable_ssh_keysign_value,
    anon_alias_sym_exit_on_forward_failure_value,
    anon_alias_sym_fork_after_authentication_value,
    anon_alias_sym_forward_x11_trusted_value,
    anon_alias_sym_forward_x11_value,
    anon_alias_sym_gateway_ports_value,
    anon_alias_sym_gssapi_authentication_value,
    anon_alias_sym_gssapi_delegate_credentials_value,
    anon_alias_sym_gssapi_key_exchange_value,
    anon_alias_sym_gssapi_renewal_forces_rekey_value,
    anon_alias_sym_gssapi_trust_dns_value,
    anon_alias_sym_hash_known_hosts_value,
    anon_alias_sym_hostbased_authentication_value,
    anon_alias_sym_identities_only_value,
    anon_alias_sym_kbd_interactive_authentication_value,
    anon_alias_sym_keep_alive_value,
    anon_alias_sym_no_host_authentication_for_localhost_value,
    anon_alias_sym_password_authentication_value,
    anon_alias_sym_permit_local_command_value,
    anon_alias_sym_proxy_use_fdpass_value,
    anon_alias_sym_stdin_null_value,
    anon_alias_sym_stream_local_bind_unlink_value,
    anon_alias_sym_tcp_keep_alive_value,
    anon_alias_sym_use_keychain_value,
    anon_alias_sym_use_roaming_value,
    anon_alias_sym_visual_host_key_value,
  sym_pattern, 2,
    sym_pattern,
    anon_alias_sym_match_value,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(1528);
      ADVANCE_MAP(
        '"', 1543,
        '#', 1529,
        '1', 1683,
        '2', 1685,
        '=', 1541,
        'A', 68,
        'C', 114,
        'D', 43,
        'E', 880,
        'I', 349,
        'L', 58,
        'M', 115,
        'R', 372,
        'S', 373,
        'T', 116,
        'U', 65,
        'a', 80,
        'c', 103,
        'd', 404,
        'e', 82,
        'i', 56,
        'l', 59,
        'm', 75,
        'r', 48,
        's', 85,
        't', 86,
        'u', 883,
        'B', 121,
        'b', 121,
        'F', 118,
        'f', 118,
        'G', 124,
        'g', 124,
        'H', 125,
        'h', 125,
        'K', 231,
        'k', 231,
        'N', 974,
        'n', 974,
        'O', 235,
        'o', 235,
        'P', 133,
        'p', 133,
        'Q', 1427,
        'q', 1427,
        'V', 416,
        'v', 416,
        'X', 24,
        'x', 24,
        'Y', 422,
        'y', 422,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1530);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '"', 1543,
        '#', 1529,
        '1', 1682,
        '2', 1684,
        '=', 1541,
        'A', 1446,
        'a', 1446,
        'F', 172,
        'f', 172,
        'N', 977,
        'n', 977,
        'T', 1133,
        't', 1133,
        'Y', 422,
        'y', 422,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '"', 1543,
        '#', 1529,
        '=', 1541,
        'A', 69,
        'D', 42,
        'L', 61,
        'U', 66,
        'a', 246,
        'i', 98,
        'u', 882,
        'E', 1296,
        'e', 1296,
        'F', 171,
        'f', 171,
        'H', 1053,
        'h', 1053,
        'N', 977,
        'n', 977,
        'O', 539,
        'o', 539,
        'P', 1051,
        'p', 1051,
        'T', 1133,
        't', 1133,
        'Y', 422,
        'y', 422,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1538);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(1543);
      if (lookahead == '#') ADVANCE(1592);
      if (lookahead == '=') ADVANCE(1541);
      if (lookahead == '^') ADVANCE(1526);
      if (lookahead == 'n') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1593);
      if (lookahead != 0) ADVANCE(1592);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(1543);
      if (lookahead == '#') ADVANCE(1592);
      if (lookahead == '^') ADVANCE(1526);
      if (lookahead == 'n') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1594);
      if (lookahead != 0) ADVANCE(1592);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(1544);
      if (lookahead == '#') ADVANCE(1536);
      if (lookahead == '=') ADVANCE(1542);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead != 0) ADVANCE(1536);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(1544);
      if (lookahead == '#') ADVANCE(1536);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0) ADVANCE(1536);
      END_STATE();
    case 7:
      if (lookahead == '#') ADVANCE(1529);
      if (lookahead == '=') ADVANCE(1541);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1540);
      if (('\n' <= lookahead && lookahead <= '\r')) SKIP(7);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(1536);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead != 0) ADVANCE(1536);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(1592);
      if (lookahead == '^') ADVANCE(1526);
      if (lookahead == 'n') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1595);
      if (lookahead != 0) ADVANCE(1592);
      END_STATE();
    case 10:
      if (lookahead == '-') ADVANCE(1250);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(288);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 12:
      if (lookahead == '-') ADVANCE(1102);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(1335);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(927);
      END_STATE();
    case 15:
      if (lookahead == '-') ADVANCE(1295);
      END_STATE();
    case 16:
      if (lookahead == '-') ADVANCE(244);
      END_STATE();
    case 17:
      if (lookahead == '-') ADVANCE(318);
      END_STATE();
    case 18:
      if (lookahead == '-') ADVANCE(319);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(273);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(274);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '0', 1640,
        '1', 1641,
        '2', 1642,
        '3', 1643,
        '4', 1644,
        '5', 1645,
        '6', 1646,
        '7', 1647,
      );
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '0', 1719,
        '1', 1720,
        '2', 1721,
        '3', 1722,
        '4', 1723,
        '5', 1724,
        '6', 1725,
        '7', 1726,
      );
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '0', 1719,
        '1', 1720,
        '2', 1721,
        '3', 1722,
        '4', 1723,
        '5', 1724,
        '6', 1725,
        '7', 1726,
        'C', 983,
        'c', 983,
        'F', 998,
        'f', 998,
      );
      END_STATE();
    case 24:
      if (lookahead == '1') ADVANCE(26);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1432);
      END_STATE();
    case 25:
      if (lookahead == '1') ADVANCE(27);
      if (lookahead == '2') ADVANCE(28);
      if (lookahead == '3') ADVANCE(29);
      if (lookahead == '4') ADVANCE(30);
      END_STATE();
    case 26:
      if (lookahead == '1') ADVANCE(17);
      END_STATE();
    case 27:
      if (lookahead == '1') ADVANCE(1628);
      if (lookahead == '2') ADVANCE(1629);
      if (lookahead == '3') ADVANCE(1630);
      END_STATE();
    case 28:
      if (lookahead == '1') ADVANCE(1631);
      if (lookahead == '2') ADVANCE(1632);
      if (lookahead == '3') ADVANCE(1633);
      END_STATE();
    case 29:
      if (lookahead == '1') ADVANCE(1634);
      if (lookahead == '2') ADVANCE(1635);
      if (lookahead == '3') ADVANCE(1636);
      END_STATE();
    case 30:
      if (lookahead == '1') ADVANCE(1637);
      if (lookahead == '2') ADVANCE(1638);
      if (lookahead == '3') ADVANCE(1639);
      END_STATE();
    case 31:
      if (lookahead == '1') ADVANCE(1603);
      END_STATE();
    case 32:
      if (lookahead == '1') ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == '1') ADVANCE(31);
      END_STATE();
    case 34:
      if (lookahead == '1') ADVANCE(1109);
      END_STATE();
    case 35:
      if (lookahead == '2') ADVANCE(37);
      END_STATE();
    case 36:
      if (lookahead == '5') ADVANCE(1599);
      END_STATE();
    case 37:
      if (lookahead == '5') ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '6') ADVANCE(1600);
      END_STATE();
    case 39:
      if (lookahead == ':') ADVANCE(1525);
      END_STATE();
    case 40:
      if (lookahead == '@') ADVANCE(1058);
      END_STATE();
    case 41:
      if (lookahead == '@') ADVANCE(1071);
      END_STATE();
    case 42:
      if (lookahead == 'A') ADVANCE(49);
      END_STATE();
    case 43:
      if (lookahead == 'A') ADVANCE(49);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1138);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(889);
      END_STATE();
    case 44:
      if (lookahead == 'A') ADVANCE(53);
      if (lookahead == 'a') ADVANCE(750);
      END_STATE();
    case 45:
      if (lookahead == 'A') ADVANCE(54);
      END_STATE();
    case 46:
      if (lookahead == 'C') ADVANCE(44);
      if (lookahead == 'c') ADVANCE(131);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(772);
      END_STATE();
    case 47:
      if (lookahead == 'C') ADVANCE(45);
      END_STATE();
    case 48:
      if (lookahead == 'E') ADVANCE(727);
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 49:
      if (lookahead == 'E') ADVANCE(55);
      END_STATE();
    case 50:
      if (lookahead == 'E') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(731);
      END_STATE();
    case 51:
      if (lookahead == 'E') ADVANCE(64);
      END_STATE();
    case 52:
      if (lookahead == 'H') ADVANCE(1718);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1583);
      END_STATE();
    case 53:
      if (lookahead == 'L') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(266);
      END_STATE();
    case 54:
      if (lookahead == 'L') ADVANCE(22);
      END_STATE();
    case 55:
      if (lookahead == 'M') ADVANCE(60);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        'N', 248,
        'n', 105,
        'D', 418,
        'd', 418,
        'G', 890,
        'g', 890,
        'P', 1122,
        'p', 1122,
      );
      END_STATE();
    case 57:
      if (lookahead == 'N') ADVANCE(1716);
      END_STATE();
    case 58:
      if (lookahead == 'O') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(257);
      END_STATE();
    case 59:
      if (lookahead == 'O') ADVANCE(257);
      if (lookahead == 'e') ADVANCE(1649);
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 60:
      if (lookahead == 'O') ADVANCE(57);
      END_STATE();
    case 61:
      if (lookahead == 'O') ADVANCE(47);
      END_STATE();
    case 62:
      if (lookahead == 'O') ADVANCE(612);
      if (lookahead == 'o') ADVANCE(97);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(818);
      END_STATE();
    case 63:
      if (lookahead == 'R') ADVANCE(1737);
      if (lookahead == 'r') ADVANCE(1737);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(413);
      END_STATE();
    case 64:
      if (lookahead == 'R') ADVANCE(1717);
      END_STATE();
    case 65:
      if (lookahead == 'S') ADVANCE(50);
      if (lookahead == 's') ADVANCE(406);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(338);
      END_STATE();
    case 66:
      if (lookahead == 'S') ADVANCE(51);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(52);
      if (lookahead == 't') ADVANCE(975);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        'U', 67,
        'u', 1317,
        'C', 252,
        'c', 252,
        'D', 321,
        'd', 321,
        'G', 417,
        'g', 417,
        'L', 1474,
        'l', 1474,
        'N', 1493,
        'n', 1493,
        'S', 722,
        's', 722,
      );
      END_STATE();
    case 69:
      if (lookahead == 'U') ADVANCE(67);
      if (lookahead == 'u') ADVANCE(1317);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(252);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(722);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(112);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(93);
      END_STATE();
    case 74:
      if (lookahead == 'b') ADVANCE(91);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(36);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(77);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(1591);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        'f', 25,
        'C', 252,
        'c', 252,
        'D', 321,
        'd', 321,
        'G', 417,
        'g', 417,
        'L', 1474,
        'l', 1474,
        'N', 1493,
        'n', 1493,
        'S', 722,
        's', 722,
        'U', 1317,
        'u', 1317,
      );
      END_STATE();
    case 81:
      if (lookahead == 'f') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(321);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(417);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        'f', 1648,
        'N', 128,
        'n', 128,
        'R', 1136,
        'r', 1136,
        'S', 255,
        's', 255,
        'T', 588,
        't', 588,
        'X', 657,
        'x', 657,
      );
      END_STATE();
    case 83:
      if (lookahead == 'f') ADVANCE(1648);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(128);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(255);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(657);
      END_STATE();
    case 84:
      if (lookahead == 'g') ADVANCE(88);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        'h', 70,
        'E', 253,
        'e', 253,
        'T', 337,
        't', 337,
        'U', 236,
        'u', 236,
        'Y', 1230,
        'y', 1230,
      );
      END_STATE();
    case 86:
      ADVANCE_MAP(
        'h', 101,
        'A', 560,
        'a', 560,
        'C', 1093,
        'c', 1093,
        'R', 1434,
        'r', 1434,
        'U', 862,
        'u', 862,
      );
      END_STATE();
    case 87:
      if (lookahead == 'h') ADVANCE(101);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(560);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1093);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(862);
      END_STATE();
    case 88:
      if (lookahead == 'h') ADVANCE(100);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        'l', 90,
        'K', 407,
        'k', 407,
        'M', 1023,
        'm', 1023,
        'Q', 1428,
        'q', 1428,
        'V', 1030,
        'v', 1030,
      );
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(72);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1050);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 99:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 102:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        's', 21,
        'A', 887,
        'a', 887,
        'E', 1135,
        'e', 1135,
        'H', 119,
        'h', 119,
        'I', 1118,
        'i', 1118,
        'L', 409,
        'l', 409,
        'O', 817,
        'o', 817,
      );
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(79);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(765);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1297);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(976);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(1651);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 108:
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 109:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 110:
      if (lookahead == 'v') ADVANCE(73);
      END_STATE();
    case 111:
      if (lookahead == 'w') ADVANCE(76);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(131);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(772);
      END_STATE();
    case 112:
      if (lookahead == 'y') ADVANCE(1650);
      END_STATE();
    case 113:
      if (lookahead == 'y') ADVANCE(1652);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        'A', 887,
        'a', 887,
        'E', 1135,
        'e', 1135,
        'H', 119,
        'h', 119,
        'I', 1118,
        'i', 1118,
        'L', 409,
        'l', 409,
        'O', 817,
        'o', 817,
      );
      END_STATE();
    case 115:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        'A', 560,
        'a', 560,
        'C', 1093,
        'c', 1093,
        'R', 1434,
        'r', 1434,
        'U', 862,
        'u', 862,
      );
      END_STATE();
    case 117:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(560);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1093);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(862);
      END_STATE();
    case 118:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(769);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(884);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1123);
      END_STATE();
    case 119:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(762);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 120:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 121:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1322);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(888);
      END_STATE();
    case 122:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1508);
      END_STATE();
    case 123:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1490);
      END_STATE();
    case 124:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1326);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(980);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1240);
      END_STATE();
    case 125:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1228);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1233);
      END_STATE();
    case 126:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(849);
      END_STATE();
    case 127:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1489);
      END_STATE();
    case 128:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 129:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(827);
      END_STATE();
    case 130:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(557);
      END_STATE();
    case 131:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(750);
      END_STATE();
    case 132:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1107);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        'A', 1243,
        'a', 1243,
        'E', 1134,
        'e', 1134,
        'K', 264,
        'k', 264,
        'O', 663,
        'o', 663,
        'R', 405,
        'r', 405,
        'U', 242,
        'u', 242,
      );
      END_STATE();
    case 134:
      ADVANCE_MAP(
        'A', 1243,
        'a', 1243,
        'E', 1134,
        'e', 1134,
        'K', 264,
        'k', 264,
        'O', 1139,
        'o', 1139,
        'R', 405,
        'r', 405,
        'U', 242,
        'u', 242,
      );
      END_STATE();
    case 135:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(751);
      END_STATE();
    case 136:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(339);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(940);
      END_STATE();
    case 137:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1144);
      END_STATE();
    case 138:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1095);
      END_STATE();
    case 139:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(763);
      END_STATE();
    case 140:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1433);
      END_STATE();
    case 141:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1503);
      END_STATE();
    case 142:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(812);
      END_STATE();
    case 143:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(801);
      END_STATE();
    case 144:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(842);
      END_STATE();
    case 145:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(360);
      END_STATE();
    case 146:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(774);
      END_STATE();
    case 147:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1140);
      END_STATE();
    case 149:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(258);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(756);
      END_STATE();
    case 151:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1385);
      END_STATE();
    case 152:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(758);
      END_STATE();
    case 153:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(764);
      END_STATE();
    case 154:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1127);
      END_STATE();
    case 155:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(811);
      END_STATE();
    case 156:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1143);
      END_STATE();
    case 157:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(658);
      END_STATE();
    case 158:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1325);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1150);
      END_STATE();
    case 159:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1146);
      END_STATE();
    case 160:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1147);
      END_STATE();
    case 161:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1249);
      END_STATE();
    case 162:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(759);
      END_STATE();
    case 163:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1205);
      END_STATE();
    case 164:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1148);
      END_STATE();
    case 165:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(760);
      END_STATE();
    case 166:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1177);
      END_STATE();
    case 167:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(781);
      END_STATE();
    case 168:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(761);
      END_STATE();
    case 169:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1381);
      END_STATE();
    case 170:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1241);
      END_STATE();
    case 171:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(768);
      END_STATE();
    case 172:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(768);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1176);
      END_STATE();
    case 173:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1237);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(573);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(33);
      END_STATE();
    case 175:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(822);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        'A', 1439,
        'a', 1439,
        'C', 786,
        'c', 786,
        'D', 478,
        'd', 478,
        'K', 382,
        'k', 382,
        'R', 497,
        'r', 497,
        'S', 452,
        's', 452,
        'T', 1141,
        't', 1141,
      );
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(937);
      END_STATE();
    case 178:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(771);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(838);
      END_STATE();
    case 180:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1342);
      END_STATE();
    case 181:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(901);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(836);
      END_STATE();
    case 183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1260);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(779);
      END_STATE();
    case 185:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(903);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(643);
      END_STATE();
    case 188:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1388);
      END_STATE();
    case 189:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(905);
      END_STATE();
    case 190:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(664);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1257);
      END_STATE();
    case 192:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1350);
      END_STATE();
    case 193:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(912);
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(916);
      END_STATE();
    case 195:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(917);
      END_STATE();
    case 196:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1371);
      END_STATE();
    case 197:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1110);
      END_STATE();
    case 198:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 199:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(793);
      END_STATE();
    case 200:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1287);
      END_STATE();
    case 201:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(794);
      END_STATE();
    case 202:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(844);
      END_STATE();
    case 203:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(797);
      END_STATE();
    case 204:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(297);
      END_STATE();
    case 205:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(852);
      END_STATE();
    case 206:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1283);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(803);
      END_STATE();
    case 208:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(574);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(670);
      END_STATE();
    case 209:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(576);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1396);
      END_STATE();
    case 211:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1397);
      END_STATE();
    case 212:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1398);
      END_STATE();
    case 213:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1399);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1400);
      END_STATE();
    case 215:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1401);
      END_STATE();
    case 216:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1402);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1403);
      END_STATE();
    case 218:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1404);
      END_STATE();
    case 219:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(805);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(804);
      END_STATE();
    case 221:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(807);
      END_STATE();
    case 222:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(809);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(444);
      END_STATE();
    case 223:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(810);
      END_STATE();
    case 224:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(861);
      END_STATE();
    case 225:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1453);
      END_STATE();
    case 226:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1454);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1455);
      END_STATE();
    case 228:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1456);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(517);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1457);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1458);
      END_STATE();
    case 231:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(351);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(411);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(979);
      END_STATE();
    case 232:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1429);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(140);
      END_STATE();
    case 233:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(778);
      END_STATE();
    case 234:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1236);
      END_STATE();
    case 235:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1236);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(540);
      END_STATE();
    case 236:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1271);
      END_STATE();
    case 237:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(987);
      END_STATE();
    case 238:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(142);
      END_STATE();
    case 239:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(486);
      END_STATE();
    case 240:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(682);
      END_STATE();
    case 241:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(149);
      END_STATE();
    case 242:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(733);
      END_STATE();
    case 243:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1028);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(541);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(639);
      END_STATE();
    case 244:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1054);
      END_STATE();
    case 245:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1040);
      END_STATE();
    case 246:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(252);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(722);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1317);
      END_STATE();
    case 247:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(765);
      END_STATE();
    case 248:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(765);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1297);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(976);
      END_STATE();
    case 249:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(726);
      END_STATE();
    case 250:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(582);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(587);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(414);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        'C', 1435,
        'c', 1435,
        'N', 355,
        'n', 355,
        'R', 1461,
        'r', 1461,
        'S', 1234,
        's', 1234,
        'T', 425,
        't', 425,
      );
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(597);
      END_STATE();
    case 257:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(131);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(772);
      END_STATE();
    case 258:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(748);
      END_STATE();
    case 259:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(591);
      END_STATE();
    case 260:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1200);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(250);
      END_STATE();
    case 261:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1445);
      END_STATE();
    case 262:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1319);
      END_STATE();
    case 263:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1387);
      END_STATE();
    case 264:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1229);
      END_STATE();
    case 265:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1302);
      END_STATE();
    case 266:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(983);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(998);
      END_STATE();
    case 267:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(644);
      END_STATE();
    case 268:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 269:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(378);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(130);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 270:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(150);
      END_STATE();
    case 271:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(995);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(954);
      END_STATE();
    case 272:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(188);
      END_STATE();
    case 273:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(990);
      END_STATE();
    case 274:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(993);
      END_STATE();
    case 275:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 276:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(155);
      END_STATE();
    case 277:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(162);
      END_STATE();
    case 278:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(434);
      END_STATE();
    case 279:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(168);
      END_STATE();
    case 280:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 281:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 282:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(278);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1418);
      END_STATE();
    case 283:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1099);
      END_STATE();
    case 284:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(999);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(602);
      END_STATE();
    case 286:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1101);
      END_STATE();
    case 287:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(593);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1027);
      END_STATE();
    case 289:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(469);
      END_STATE();
    case 290:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(930);
      END_STATE();
    case 291:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(470);
      END_STATE();
    case 292:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1393);
      END_STATE();
    case 293:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1160);
      END_STATE();
    case 294:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(197);
      END_STATE();
    case 295:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(192);
      END_STATE();
    case 296:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(510);
      END_STATE();
    case 297:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(296);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1421);
      END_STATE();
    case 298:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(207);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1392);
      END_STATE();
    case 300:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1394);
      END_STATE();
    case 301:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1395);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(558);
      END_STATE();
    case 303:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1076);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(1431);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1262);
      END_STATE();
    case 304:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 305:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(220);
      END_STATE();
    case 306:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1081);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1072);
      END_STATE();
    case 307:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 308:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1083);
      END_STATE();
    case 309:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 310:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1084);
      END_STATE();
    case 311:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 312:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1085);
      END_STATE();
    case 313:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(214);
      END_STATE();
    case 314:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(215);
      END_STATE();
    case 315:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(216);
      END_STATE();
    case 316:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(217);
      END_STATE();
    case 317:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(218);
      END_STATE();
    case 318:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1086);
      END_STATE();
    case 319:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1087);
      END_STATE();
    case 320:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(321);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(417);
      END_STATE();
    case 321:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(729);
      END_STATE();
    case 322:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1692);
      END_STATE();
    case 323:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(174);
      END_STATE();
    case 324:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1657);
      END_STATE();
    case 325:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1658);
      END_STATE();
    case 326:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1686);
      END_STATE();
    case 327:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1695);
      END_STATE();
    case 328:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1696);
      END_STATE();
    case 329:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1587);
      END_STATE();
    case 330:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(222);
      END_STATE();
    case 331:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(830);
      END_STATE();
    case 332:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1605);
      END_STATE();
    case 333:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1656);
      END_STATE();
    case 334:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1676);
      END_STATE();
    case 335:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1693);
      END_STATE();
    case 336:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 337:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(634);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(435);
      END_STATE();
    case 338:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(180);
      END_STATE();
    case 339:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(365);
      END_STATE();
    case 340:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1436);
      END_STATE();
    case 341:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(290);
      END_STATE();
    case 342:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1164);
      END_STATE();
    case 343:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(920);
      END_STATE();
    case 344:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1026);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1523);
      END_STATE();
    case 345:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1019);
      END_STATE();
    case 346:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(225);
      END_STATE();
    case 347:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(380);
      END_STATE();
    case 348:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 349:
      ADVANCE_MAP(
        'D', 418,
        'd', 418,
        'G', 890,
        'g', 890,
        'N', 248,
        'n', 248,
        'P', 1122,
        'p', 1122,
      );
      END_STATE();
    case 350:
      ADVANCE_MAP(
        'D', 418,
        'd', 418,
        'G', 890,
        'g', 890,
        'N', 247,
        'n', 247,
        'P', 1122,
        'p', 1122,
      );
      END_STATE();
    case 351:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(635);
      END_STATE();
    case 352:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1108);
      END_STATE();
    case 353:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(545);
      END_STATE();
    case 354:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(925);
      END_STATE();
    case 355:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(441);
      END_STATE();
    case 356:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(648);
      END_STATE();
    case 357:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(501);
      END_STATE();
    case 358:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(464);
      END_STATE();
    case 359:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(466);
      END_STATE();
    case 360:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(357);
      END_STATE();
    case 361:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1111);
      END_STATE();
    case 362:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(792);
      END_STATE();
    case 363:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(516);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(15);
      END_STATE();
    case 365:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1185);
      END_STATE();
    case 366:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(204);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(518);
      END_STATE();
    case 368:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(521);
      END_STATE();
    case 369:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(615);
      END_STATE();
    case 370:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(223);
      END_STATE();
    case 371:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(227);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(727);
      END_STATE();
    case 373:
      ADVANCE_MAP(
        'E', 253,
        'e', 253,
        'T', 337,
        't', 337,
        'U', 236,
        'u', 236,
        'Y', 1230,
        'y', 1230,
      );
      END_STATE();
    case 374:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(253);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(337);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1230);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1532);
      END_STATE();
    case 376:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1558);
      END_STATE();
    case 377:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1535);
      END_STATE();
    case 378:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1698);
      END_STATE();
    case 379:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(451);
      END_STATE();
    case 380:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1626);
      END_STATE();
    case 381:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1664);
      END_STATE();
    case 382:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1492);
      END_STATE();
    case 383:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1621);
      END_STATE();
    case 384:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1551);
      END_STATE();
    case 385:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 386:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1669);
      END_STATE();
    case 387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1491);
      END_STATE();
    case 388:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 389:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1705);
      END_STATE();
    case 390:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(547);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1624);
      END_STATE();
    case 392:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1727);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1733);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1553);
      END_STATE();
    case 395:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1562);
      END_STATE();
    case 397:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1699);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1611);
      END_STATE();
    case 399:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1556);
      END_STATE();
    case 400:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1597);
      END_STATE();
    case 401:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1607);
      END_STATE();
    case 402:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1588);
      END_STATE();
    case 403:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1739);
      END_STATE();
    case 404:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1138);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(889);
      END_STATE();
    case 405:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(548);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1328);
      END_STATE();
    case 406:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(731);
      END_STATE();
    case 407:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1504);
      END_STATE();
    case 408:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(732);
      END_STATE();
    case 409:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 410:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1473);
      END_STATE();
    case 411:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1097);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(139);
      END_STATE();
    case 412:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1462);
      END_STATE();
    case 413:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1505);
      END_STATE();
    case 414:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1096);
      END_STATE();
    case 415:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1511);
      END_STATE();
    case 416:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1124);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1235);
      END_STATE();
    case 417:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(892);
      END_STATE();
    case 418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(933);
      END_STATE();
    case 419:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 420:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 421:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 422:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1199);
      END_STATE();
    case 423:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(813);
      END_STATE();
    case 424:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1167);
      END_STATE();
    case 425:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      END_STATE();
    case 426:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 427:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(752);
      END_STATE();
    case 428:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1300);
      END_STATE();
    case 429:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(837);
      END_STATE();
    case 430:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1438);
      END_STATE();
    case 431:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 432:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 433:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1126);
      END_STATE();
    case 434:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1115);
      END_STATE();
    case 435:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(126);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(263);
      END_STATE();
    case 436:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1520);
      END_STATE();
    case 437:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1163);
      END_STATE();
    case 438:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(788);
      END_STATE();
    case 439:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1497);
      END_STATE();
    case 440:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1165);
      END_STATE();
    case 441:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      END_STATE();
    case 442:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 443:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1174);
      END_STATE();
    case 444:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1516);
      END_STATE();
    case 445:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(754);
      END_STATE();
    case 446:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 447:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 448:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1502);
      END_STATE();
    case 449:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1305);
      END_STATE();
    case 450:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1166);
      END_STATE();
    case 451:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1290);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1239);
      END_STATE();
    case 452:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1173);
      END_STATE();
    case 453:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1277);
      END_STATE();
    case 454:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 455:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1244);
      END_STATE();
    case 456:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1031);
      END_STATE();
    case 457:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(523);
      END_STATE();
    case 458:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 459:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1196);
      END_STATE();
    case 460:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(991);
      END_STATE();
    case 461:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1128);
      END_STATE();
    case 462:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(872);
      END_STATE();
    case 463:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 464:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1129);
      END_STATE();
    case 465:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1137);
      END_STATE();
    case 466:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1130);
      END_STATE();
    case 467:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1132);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1235);
      END_STATE();
    case 468:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(941);
      END_STATE();
    case 469:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1286);
      END_STATE();
    case 470:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1220);
      END_STATE();
    case 471:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1221);
      END_STATE();
    case 472:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1226);
      END_STATE();
    case 473:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1476);
      END_STATE();
    case 474:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1464);
      END_STATE();
    case 475:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1245);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1156);
      END_STATE();
    case 476:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(845);
      END_STATE();
    case 477:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(553);
      END_STATE();
    case 478:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(780);
      END_STATE();
    case 479:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1506);
      END_STATE();
    case 480:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1512);
      END_STATE();
    case 481:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1247);
      END_STATE();
    case 482:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1193);
      END_STATE();
    case 483:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1522);
      END_STATE();
    case 484:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 485:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1510);
      END_STATE();
    case 486:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1145);
      END_STATE();
    case 487:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1281);
      END_STATE();
    case 488:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1153);
      END_STATE();
    case 489:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 490:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1478);
      END_STATE();
    case 491:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(370);
      END_STATE();
    case 492:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1519);
      END_STATE();
    case 493:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(744);
      END_STATE();
    case 494:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(919);
      END_STATE();
    case 495:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1252);
      END_STATE();
    case 496:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1198);
      END_STATE();
    case 497:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      END_STATE();
    case 498:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 499:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(921);
      END_STATE();
    case 500:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1514);
      END_STATE();
    case 501:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(907);
      END_STATE();
    case 502:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(924);
      END_STATE();
    case 503:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      END_STATE();
    case 504:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1362);
      END_STATE();
    case 505:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(739);
      END_STATE();
    case 506:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1184);
      END_STATE();
    case 507:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(946);
      END_STATE();
    case 508:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(943);
      END_STATE();
    case 509:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1171);
      END_STATE();
    case 510:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1117);
      END_STATE();
    case 511:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1035);
      END_STATE();
    case 512:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(944);
      END_STATE();
    case 513:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1039);
      END_STATE();
    case 514:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(606);
      END_STATE();
    case 515:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 516:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(945);
      END_STATE();
    case 517:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1471);
      END_STATE();
    case 518:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      END_STATE();
    case 519:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 520:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(951);
      END_STATE();
    case 521:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      END_STATE();
    case 522:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 523:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1120);
      END_STATE();
    case 524:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 525:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 526:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 527:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 528:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 529:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(965);
      END_STATE();
    case 530:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(966);
      END_STATE();
    case 531:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      END_STATE();
    case 532:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(968);
      END_STATE();
    case 533:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(969);
      END_STATE();
    case 534:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(970);
      END_STATE();
    case 535:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(971);
      END_STATE();
    case 536:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(972);
      END_STATE();
    case 537:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 538:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 539:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(540);
      END_STATE();
    case 540:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1713);
      END_STATE();
    case 541:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1521);
      END_STATE();
    case 542:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(352);
      END_STATE();
    case 543:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(147);
      END_STATE();
    case 544:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(185);
      END_STATE();
    case 545:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 546:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1103);
      END_STATE();
    case 547:
      ADVANCE_MAP(
        'F', 184,
        'f', 184,
        'H', 1049,
        'h', 1049,
        'M', 123,
        'm', 123,
        'P', 506,
        'p', 506,
      );
      END_STATE();
    case 548:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(443);
      END_STATE();
    case 549:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1011);
      END_STATE();
    case 550:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1014);
      END_STATE();
    case 551:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(179);
      END_STATE();
    case 552:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(668);
      END_STATE();
    case 553:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(675);
      END_STATE();
    case 554:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(677);
      END_STATE();
    case 555:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(680);
      END_STATE();
    case 556:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1069);
      END_STATE();
    case 557:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1390);
      END_STATE();
    case 558:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1073);
      END_STATE();
    case 559:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1074);
      END_STATE();
    case 560:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1729);
      END_STATE();
    case 561:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1665);
      END_STATE();
    case 562:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1712);
      END_STATE();
    case 563:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1673);
      END_STATE();
    case 564:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1736);
      END_STATE();
    case 565:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(543);
      END_STATE();
    case 566:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(871);
      END_STATE();
    case 567:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1217);
      END_STATE();
    case 568:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(398);
      END_STATE();
    case 569:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(906);
      END_STATE();
    case 570:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1055);
      END_STATE();
    case 571:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(440);
      END_STATE();
    case 572:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(509);
      END_STATE();
    case 573:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(494);
      END_STATE();
    case 574:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(499);
      END_STATE();
    case 575:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(196);
      END_STATE();
    case 576:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(502);
      END_STATE();
    case 577:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1061);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 578:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1063);
      END_STATE();
    case 579:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1065);
      END_STATE();
    case 580:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1066);
      END_STATE();
    case 581:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1067);
      END_STATE();
    case 582:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1545);
      END_STATE();
    case 583:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1585);
      END_STATE();
    case 584:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1598);
      END_STATE();
    case 585:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(19);
      END_STATE();
    case 586:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(740);
      END_STATE();
    case 587:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(823);
      END_STATE();
    case 588:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(424);
      END_STATE();
    case 589:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(825);
      END_STATE();
    case 590:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1032);
      END_STATE();
    case 591:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(187);
      END_STATE();
    case 592:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(170);
      END_STATE();
    case 593:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(177);
      END_STATE();
    case 594:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(776);
      END_STATE();
    case 595:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(433);
      END_STATE();
    case 596:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(828);
      END_STATE();
    case 597:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(154);
      END_STATE();
    case 598:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1001);
      END_STATE();
    case 599:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(829);
      END_STATE();
    case 600:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(831);
      END_STATE();
    case 601:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(833);
      END_STATE();
    case 602:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(447);
      END_STATE();
    case 603:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(835);
      END_STATE();
    case 604:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(20);
      END_STATE();
    case 605:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1036);
      END_STATE();
    case 606:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1060);
      END_STATE();
    case 607:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(512);
      END_STATE();
    case 608:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1062);
      END_STATE();
    case 609:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1064);
      END_STATE();
    case 610:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1043);
      END_STATE();
    case 611:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1048);
      END_STATE();
    case 612:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1050);
      END_STATE();
    case 613:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1052);
      END_STATE();
    case 614:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(745);
      END_STATE();
    case 615:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1079);
      END_STATE();
    case 616:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1078);
      END_STATE();
    case 617:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(529);
      END_STATE();
    case 618:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(530);
      END_STATE();
    case 619:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(531);
      END_STATE();
    case 620:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(532);
      END_STATE();
    case 621:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(533);
      END_STATE();
    case 622:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(534);
      END_STATE();
    case 623:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(535);
      END_STATE();
    case 624:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(536);
      END_STATE();
    case 625:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(176);
      END_STATE();
    case 626:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1138);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(889);
      END_STATE();
    case 627:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(569);
      END_STATE();
    case 628:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(541);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(639);
      END_STATE();
    case 629:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(552);
      END_STATE();
    case 630:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(884);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1131);
      END_STATE();
    case 631:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(566);
      END_STATE();
    case 632:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 633:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1089);
      END_STATE();
    case 634:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(902);
      END_STATE();
    case 635:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(939);
      END_STATE();
    case 636:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 637:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1090);
      END_STATE();
    case 638:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1301);
      END_STATE();
    case 639:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1029);
      END_STATE();
    case 640:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1091);
      END_STATE();
    case 641:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1304);
      END_STATE();
    case 642:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1324);
      END_STATE();
    case 643:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(865);
      END_STATE();
    case 644:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(790);
      END_STATE();
    case 645:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(766);
      END_STATE();
    case 646:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1306);
      END_STATE();
    case 647:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1357);
      END_STATE();
    case 648:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(896);
      END_STATE();
    case 649:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(894);
      END_STATE();
    case 650:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(898);
      END_STATE();
    case 651:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      END_STATE();
    case 652:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1331);
      END_STATE();
    case 653:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(900);
      END_STATE();
    case 654:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 655:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1333);
      END_STATE();
    case 656:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1334);
      END_STATE();
    case 657:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1358);
      END_STATE();
    case 658:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(796);
      END_STATE();
    case 659:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1524);
      END_STATE();
    case 660:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 661:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(834);
      END_STATE();
    case 662:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(897);
      END_STATE();
    case 663:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(897);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1299);
      END_STATE();
    case 664:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(923);
      END_STATE();
    case 665:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(280);
      END_STATE();
    case 666:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1465);
      END_STATE();
    case 667:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(453);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(208);
      END_STATE();
    case 668:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 669:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(997);
      END_STATE();
    case 670:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(782);
      END_STATE();
    case 671:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 672:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(915);
      END_STATE();
    case 673:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1467);
      END_STATE();
    case 674:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(843);
      END_STATE();
    case 675:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(783);
      END_STATE();
    case 676:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1000);
      END_STATE();
    case 677:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(784);
      END_STATE();
    case 678:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(931);
      END_STATE();
    case 679:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1468);
      END_STATE();
    case 680:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(785);
      END_STATE();
    case 681:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1469);
      END_STATE();
    case 682:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(909);
      END_STATE();
    case 683:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1003);
      END_STATE();
    case 684:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(926);
      END_STATE();
    case 685:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1261);
      END_STATE();
    case 686:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1004);
      END_STATE();
    case 687:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1005);
      END_STATE();
    case 688:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 689:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1010);
      END_STATE();
    case 690:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1012);
      END_STATE();
    case 691:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1013);
      END_STATE();
    case 692:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1015);
      END_STATE();
    case 693:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1016);
      END_STATE();
    case 694:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1037);
      END_STATE();
    case 695:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1017);
      END_STATE();
    case 696:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1018);
      END_STATE();
    case 697:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(840);
      END_STATE();
    case 698:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1033);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(703);
      END_STATE();
    case 699:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1364);
      END_STATE();
    case 700:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1384);
      END_STATE();
    case 701:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(508);
      END_STATE();
    case 702:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1057);
      END_STATE();
    case 703:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(848);
      END_STATE();
    case 704:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(359);
      END_STATE();
    case 705:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 706:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(367);
      END_STATE();
    case 707:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1367);
      END_STATE();
    case 708:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(851);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1452);
      END_STATE();
    case 709:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 710:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1373);
      END_STATE();
    case 711:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1377);
      END_STATE();
    case 712:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(304);
      END_STATE();
    case 713:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(368);
      END_STATE();
    case 714:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 715:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 716:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(311);
      END_STATE();
    case 717:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(313);
      END_STATE();
    case 718:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(314);
      END_STATE();
    case 719:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(315);
      END_STATE();
    case 720:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 721:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(317);
      END_STATE();
    case 722:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1581);
      END_STATE();
    case 723:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1584);
      END_STATE();
    case 724:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1710);
      END_STATE();
    case 725:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1711);
      END_STATE();
    case 726:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(598);
      END_STATE();
    case 727:
      ADVANCE_MAP(
        'K', 407,
        'k', 407,
        'M', 1023,
        'm', 1023,
        'Q', 1428,
        'q', 1428,
        'V', 1030,
        'v', 1030,
      );
      END_STATE();
    case 728:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(130);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 729:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(485);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(481);
      END_STATE();
    case 730:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(457);
      END_STATE();
    case 731:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(413);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1737);
      END_STATE();
    case 732:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(413);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1738);
      END_STATE();
    case 733:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(415);
      END_STATE();
    case 734:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(421);
      END_STATE();
    case 735:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(483);
      END_STATE();
    case 736:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(436);
      END_STATE();
    case 737:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(439);
      END_STATE();
    case 738:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(504);
      END_STATE();
    case 739:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(448);
      END_STATE();
    case 740:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(957);
      END_STATE();
    case 741:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(479);
      END_STATE();
    case 742:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(932);
      END_STATE();
    case 743:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(650);
      END_STATE();
    case 744:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(492);
      END_STATE();
    case 745:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(498);
      END_STATE();
    case 746:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(500);
      END_STATE();
    case 747:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(503);
      END_STATE();
    case 748:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(800);
      END_STATE();
    case 749:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(960);
      END_STATE();
    case 750:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(266);
      END_STATE();
    case 751:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1661);
      END_STATE();
    case 752:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1730);
      END_STATE();
    case 753:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(824);
      END_STATE();
    case 754:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1659);
      END_STATE();
    case 755:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1681);
      END_STATE();
    case 756:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 757:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1709);
      END_STATE();
    case 758:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(577);
      END_STATE();
    case 759:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 760:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1704);
      END_STATE();
    case 761:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1555);
      END_STATE();
    case 762:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(789);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(908);
      END_STATE();
    case 763:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(570);
      END_STATE();
    case 764:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 765:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1430);
      END_STATE();
    case 766:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1496);
      END_STATE();
    case 767:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(697);
      END_STATE();
    case 768:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1246);
      END_STATE();
    case 769:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1246);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(135);
      END_STATE();
    case 770:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(981);
      END_STATE();
    case 771:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(666);
      END_STATE();
    case 772:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(474);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(437);
      END_STATE();
    case 773:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1498);
      END_STATE();
    case 774:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(808);
      END_STATE();
    case 775:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1303);
      END_STATE();
    case 776:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1034);
      END_STATE();
    case 777:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(757);
      END_STATE();
    case 778:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 779:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(787);
      END_STATE();
    case 780:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 781:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1225);
      END_STATE();
    case 782:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(391);
      END_STATE();
    case 783:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(396);
      END_STATE();
    case 784:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(401);
      END_STATE();
    case 785:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(403);
      END_STATE();
    case 786:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(701);
      END_STATE();
    case 787:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 788:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1329);
      END_STATE();
    case 789:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(507);
      END_STATE();
    case 790:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(652);
      END_STATE();
    case 791:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(649);
      END_STATE();
    case 792:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(678);
      END_STATE();
    case 793:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(549);
      END_STATE();
    case 794:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(673);
      END_STATE();
    case 795:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1038);
      END_STATE();
    case 796:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1450);
      END_STATE();
    case 797:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(679);
      END_STATE();
    case 798:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1041);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(476);
      END_STATE();
    case 799:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1042);
      END_STATE();
    case 800:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1044);
      END_STATE();
    case 801:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(609);
      END_STATE();
    case 802:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1046);
      END_STATE();
    case 803:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(613);
      END_STATE();
    case 804:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 805:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(578);
      END_STATE();
    case 806:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1077);
      END_STATE();
    case 807:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(579);
      END_STATE();
    case 808:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 809:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 810:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(581);
      END_STATE();
    case 811:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(310);
      END_STATE();
    case 812:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(749);
      END_STATE();
    case 813:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1706);
      END_STATE();
    case 814:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1741);
      END_STATE();
    case 815:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1567);
      END_STATE();
    case 816:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1569);
      END_STATE();
    case 817:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1094);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(948);
      END_STATE();
    case 818:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(239);
      END_STATE();
    case 819:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(638);
      END_STATE();
    case 820:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(826);
      END_STATE();
    case 821:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1088);
      END_STATE();
    case 822:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(632);
      END_STATE();
    case 823:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1025);
      END_STATE();
    case 824:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(200);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(158);
      END_STATE();
    case 825:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1206);
      END_STATE();
    case 826:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 827:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(383);
      END_STATE();
    case 828:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1214);
      END_STATE();
    case 829:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1218);
      END_STATE();
    case 830:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(913);
      END_STATE();
    case 831:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1219);
      END_STATE();
    case 832:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(127);
      END_STATE();
    case 833:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1224);
      END_STATE();
    case 834:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(456);
      END_STATE();
    case 835:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1227);
      END_STATE();
    case 836:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(399);
      END_STATE();
    case 837:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1104);
      END_STATE();
    case 838:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(645);
      END_STATE();
    case 839:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1105);
      END_STATE();
    case 840:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(646);
      END_STATE();
    case 841:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(700);
      END_STATE();
    case 842:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 843:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(651);
      END_STATE();
    case 844:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(653);
      END_STATE();
    case 845:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1045);
      END_STATE();
    case 846:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(190);
      END_STATE();
    case 847:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(186);
      END_STATE();
    case 848:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(511);
      END_STATE();
    case 849:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(795);
      END_STATE();
    case 850:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(189);
      END_STATE();
    case 851:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(513);
      END_STATE();
    case 852:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(799);
      END_STATE();
    case 853:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(193);
      END_STATE();
    case 854:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(194);
      END_STATE();
    case 855:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(195);
      END_STATE();
    case 856:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(847);
      END_STATE();
    case 857:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(850);
      END_STATE();
    case 858:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(853);
      END_STATE();
    case 859:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(854);
      END_STATE();
    case 860:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(855);
      END_STATE();
    case 861:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(806);
      END_STATE();
    case 862:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(11);
      END_STATE();
    case 863:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1570);
      END_STATE();
    case 864:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1577);
      END_STATE();
    case 865:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1735);
      END_STATE();
    case 866:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1625);
      END_STATE();
    case 867:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1743);
      END_STATE();
    case 868:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1571);
      END_STATE();
    case 869:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1572);
      END_STATE();
    case 870:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1565);
      END_STATE();
    case 871:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1589);
      END_STATE();
    case 872:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1677);
      END_STATE();
    case 873:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1608);
      END_STATE();
    case 874:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1691);
      END_STATE();
    case 875:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1675);
      END_STATE();
    case 876:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1601);
      END_STATE();
    case 877:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1618);
      END_STATE();
    case 878:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1653);
      END_STATE();
    case 879:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1563);
      END_STATE();
    case 880:
      ADVANCE_MAP(
        'N', 128,
        'n', 128,
        'R', 1136,
        'r', 1136,
        'S', 255,
        's', 255,
        'T', 588,
        't', 588,
        'X', 657,
        'x', 657,
      );
      END_STATE();
    case 881:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(128);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(255);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(657);
      END_STATE();
    case 882:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 883:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(338);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(406);
      END_STATE();
    case 884:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(571);
      END_STATE();
    case 885:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1459);
      END_STATE();
    case 886:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1460);
      END_STATE();
    case 887:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(984);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(627);
      END_STATE();
    case 888:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 889:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 890:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1022);
      END_STATE();
    case 891:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(556);
      END_STATE();
    case 892:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1417);
      END_STATE();
    case 893:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(322);
      END_STATE();
    case 894:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(725);
      END_STATE();
    case 895:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(660);
      END_STATE();
    case 896:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(567);
      END_STATE();
    case 897:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1316);
      END_STATE();
    case 898:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 899:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(563);
      END_STATE();
    case 900:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 901:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 902:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(935);
      END_STATE();
    case 903:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 904:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(938);
      END_STATE();
    case 905:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 906:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 907:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(340);
      END_STATE();
    case 908:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(438);
      END_STATE();
    case 909:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 910:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(145);
      END_STATE();
    case 911:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(773);
      END_STATE();
    case 912:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 913:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(791);
      END_STATE();
    case 914:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 915:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1361);
      END_STATE();
    case 916:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 917:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 918:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(335);
      END_STATE();
    case 919:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1307);
      END_STATE();
    case 920:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1208);
      END_STATE();
    case 921:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1308);
      END_STATE();
    case 922:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 923:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1212);
      END_STATE();
    case 924:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1309);
      END_STATE();
    case 925:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1213);
      END_STATE();
    case 926:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1313);
      END_STATE();
    case 927:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(410);
      END_STATE();
    case 928:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1366);
      END_STATE();
    case 929:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1223);
      END_STATE();
    case 930:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 931:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(402);
      END_STATE();
    case 932:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1021);
      END_STATE();
    case 933:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1360);
      END_STATE();
    case 934:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(590);
      END_STATE();
    case 935:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1444);
      END_STATE();
    case 936:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(182);
      END_STATE();
    case 937:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(568);
      END_STATE();
    case 938:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(442);
      END_STATE();
    case 939:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1386);
      END_STATE();
    case 940:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1374);
      END_STATE();
    case 941:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1267);
      END_STATE();
    case 942:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1270);
      END_STATE();
    case 943:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1338);
      END_STATE();
    case 944:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1389);
      END_STATE();
    case 945:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1340);
      END_STATE();
    case 946:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(572);
      END_STATE();
    case 947:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(742);
      END_STATE();
    case 948:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(489);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1142);
      END_STATE();
    case 949:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(490);
      END_STATE();
    case 950:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1379);
      END_STATE();
    case 951:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1285);
      END_STATE();
    case 952:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(550);
      END_STATE();
    case 953:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1380);
      END_STATE();
    case 954:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1383);
      END_STATE();
    case 955:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(610);
      END_STATE();
    case 956:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(611);
      END_STATE();
    case 957:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1075);
      END_STATE();
    case 958:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(524);
      END_STATE();
    case 959:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(616);
      END_STATE();
    case 960:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1080);
      END_STATE();
    case 961:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(526);
      END_STATE();
    case 962:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1082);
      END_STATE();
    case 963:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(958);
      END_STATE();
    case 964:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(961);
      END_STATE();
    case 965:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1408);
      END_STATE();
    case 966:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1409);
      END_STATE();
    case 967:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1410);
      END_STATE();
    case 968:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1411);
      END_STATE();
    case 969:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1412);
      END_STATE();
    case 970:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1413);
      END_STATE();
    case 971:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1414);
      END_STATE();
    case 972:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1415);
      END_STATE();
    case 973:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(257);
      END_STATE();
    case 974:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1534);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(818);
      END_STATE();
    case 975:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1583);
      END_STATE();
    case 976:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1663);
      END_STATE();
    case 977:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1533);
      END_STATE();
    case 978:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1582);
      END_STATE();
    case 979:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1475);
      END_STATE();
    case 980:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(238);
      END_STATE();
    case 981:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 982:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(12);
      END_STATE();
    case 983:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(820);
      END_STATE();
    case 984:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(895);
      END_STATE();
    case 985:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1125);
      END_STATE();
    case 986:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(546);
      END_STATE();
    case 987:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1443);
      END_STATE();
    case 988:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(284);
      END_STATE();
    case 989:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(891);
      END_STATE();
    case 990:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(815);
      END_STATE();
    case 991:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1113);
      END_STATE();
    case 992:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1201);
      END_STATE();
    case 993:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(816);
      END_STATE();
    case 994:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(753);
      END_STATE();
    case 995:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1449);
      END_STATE();
    case 996:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1162);
      END_STATE();
    case 997:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(863);
      END_STATE();
    case 998:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1168);
      END_STATE();
    case 999:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(755);
      END_STATE();
    case 1000:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(864);
      END_STATE();
    case 1001:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1275);
      END_STATE();
    case 1002:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(911);
      END_STATE();
    case 1003:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(867);
      END_STATE();
    case 1004:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(868);
      END_STATE();
    case 1005:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(869);
      END_STATE();
    case 1006:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(942);
      END_STATE();
    case 1007:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(870);
      END_STATE();
    case 1008:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(209);
      END_STATE();
    case 1009:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1152);
      END_STATE();
    case 1010:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(873);
      END_STATE();
    case 1011:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1172);
      END_STATE();
    case 1012:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(874);
      END_STATE();
    case 1013:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(875);
      END_STATE();
    case 1014:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1194);
      END_STATE();
    case 1015:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(876);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(877);
      END_STATE();
    case 1017:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(878);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(879);
      END_STATE();
    case 1019:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1348);
      END_STATE();
    case 1020:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1155);
      END_STATE();
    case 1021:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1477);
      END_STATE();
    case 1022:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1151);
      END_STATE();
    case 1023:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1339);
      END_STATE();
    case 1024:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1463);
      END_STATE();
    case 1025:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(348);
      END_STATE();
    case 1026:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(846);
      END_STATE();
    case 1027:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(904);
      END_STATE();
    case 1028:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1255);
      END_STATE();
    case 1029:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(910);
      END_STATE();
    case 1030:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(734);
      END_STATE();
    case 1031:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1440);
      END_STATE();
    case 1032:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1251);
      END_STATE();
    case 1033:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(922);
      END_STATE();
    case 1034:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(272);
      END_STATE();
    case 1035:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1441);
      END_STATE();
    case 1036:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1253);
      END_STATE();
    case 1037:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(929);
      END_STATE();
    case 1038:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 1039:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1442);
      END_STATE();
    case 1040:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1265);
      END_STATE();
    case 1041:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(276);
      END_STATE();
    case 1042:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 1043:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1259);
      END_STATE();
    case 1044:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(279);
      END_STATE();
    case 1045:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1351);
      END_STATE();
    case 1046:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 1047:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(738);
      END_STATE();
    case 1048:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1263);
      END_STATE();
    case 1049:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1264);
      END_STATE();
    case 1050:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1266);
      END_STATE();
    case 1051:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(662);
      END_STATE();
    case 1052:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1268);
      END_STATE();
    case 1053:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1269);
      END_STATE();
    case 1054:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1451);
      END_STATE();
    case 1055:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1175);
      END_STATE();
    case 1056:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(839);
      END_STATE();
    case 1057:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(952);
      END_STATE();
    case 1058:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1114);
      END_STATE();
    case 1059:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(684);
      END_STATE();
    case 1060:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1284);
      END_STATE();
    case 1061:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1183);
      END_STATE();
    case 1062:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1288);
      END_STATE();
    case 1063:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1187);
      END_STATE();
    case 1064:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1289);
      END_STATE();
    case 1065:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1189);
      END_STATE();
    case 1066:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1191);
      END_STATE();
    case 1067:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1192);
      END_STATE();
    case 1068:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(612);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(818);
      END_STATE();
    case 1069:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1182);
      END_STATE();
    case 1070:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1472);
      END_STATE();
    case 1071:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1119);
      END_STATE();
    case 1072:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1186);
      END_STATE();
    case 1073:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1188);
      END_STATE();
    case 1074:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1190);
      END_STATE();
    case 1075:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1486);
      END_STATE();
    case 1076:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(856);
      END_STATE();
    case 1077:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 1078:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1293);
      END_STATE();
    case 1079:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1294);
      END_STATE();
    case 1080:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1487);
      END_STATE();
    case 1081:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(857);
      END_STATE();
    case 1082:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1488);
      END_STATE();
    case 1083:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(858);
      END_STATE();
    case 1084:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(859);
      END_STATE();
    case 1085:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(860);
      END_STATE();
    case 1086:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(963);
      END_STATE();
    case 1087:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(964);
      END_STATE();
    case 1088:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1687);
      END_STATE();
    case 1089:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1573);
      END_STATE();
    case 1090:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1566);
      END_STATE();
    case 1091:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1568);
      END_STATE();
    case 1092:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(338);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(408);
      END_STATE();
    case 1093:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(730);
      END_STATE();
    case 1094:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1181);
      END_STATE();
    case 1095:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(625);
      END_STATE();
    case 1096:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1318);
      END_STATE();
    case 1097:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(178);
      END_STATE();
    case 1098:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1169);
      END_STATE();
    case 1099:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(637);
      END_STATE();
    case 1100:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1020);
      END_STATE();
    case 1101:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(640);
      END_STATE();
    case 1102:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1059);
      END_STATE();
    case 1103:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(206);
      END_STATE();
    case 1104:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1347);
      END_STATE();
    case 1105:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1349);
      END_STATE();
    case 1106:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 1107:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 1108:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 1109:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1149);
      END_STATE();
    case 1110:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(528);
      END_STATE();
    case 1111:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1154);
      END_STATE();
    case 1112:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(471);
      END_STATE();
    case 1113:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(462);
      END_STATE();
    case 1114:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(468);
      END_STATE();
    case 1115:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1352);
      END_STATE();
    case 1116:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1006);
      END_STATE();
    case 1117:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1391);
      END_STATE();
    case 1118:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(595);
      END_STATE();
    case 1119:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(520);
      END_STATE();
    case 1120:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(203);
      END_STATE();
    case 1121:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1195);
      END_STATE();
    case 1122:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(992);
      END_STATE();
    case 1123:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(269);
      END_STATE();
    case 1124:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 1125:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1662);
      END_STATE();
    case 1126:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1575);
      END_STATE();
    case 1127:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1590);
      END_STATE();
    case 1128:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1580);
      END_STATE();
    case 1129:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1678);
      END_STATE();
    case 1130:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1701);
      END_STATE();
    case 1131:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(728);
      END_STATE();
    case 1132:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(628);
      END_STATE();
    case 1133:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1434);
      END_STATE();
    case 1134:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(819);
      END_STATE();
    case 1135:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1321);
      END_STATE();
    case 1136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(985);
      END_STATE();
    case 1137:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1466);
      END_STATE();
    case 1138:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(420);
      END_STATE();
    case 1139:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1299);
      END_STATE();
    case 1140:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(323);
      END_STATE();
    case 1141:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1447);
      END_STATE();
    case 1142:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(994);
      END_STATE();
    case 1143:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 1144:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 1145:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(986);
      END_STATE();
    case 1146:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 1147:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 1148:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(329);
      END_STATE();
    case 1149:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1024);
      END_STATE();
    case 1150:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1248);
      END_STATE();
    case 1151:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(430);
      END_STATE();
    case 1152:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 1153:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 1154:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1056);
      END_STATE();
    case 1155:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1341);
      END_STATE();
    case 1156:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(432);
      END_STATE();
    case 1157:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(493);
      END_STATE();
    case 1158:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 1159:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(519);
      END_STATE();
    case 1160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(515);
      END_STATE();
    case 1161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(400);
      END_STATE();
    case 1162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(346);
      END_STATE();
    case 1163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 1164:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1258);
      END_STATE();
    case 1165:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1098);
      END_STATE();
    case 1166:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(544);
      END_STATE();
    case 1167:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(914);
      END_STATE();
    case 1168:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1480);
      END_STATE();
    case 1169:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(672);
      END_STATE();
    case 1170:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(642);
      END_STATE();
    case 1171:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(455);
      END_STATE();
    case 1172:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 1173:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1470);
      END_STATE();
    case 1174:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1180);
      END_STATE();
    case 1175:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(647);
      END_STATE();
    case 1176:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 1177:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(356);
      END_STATE();
    case 1178:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1047);
      END_STATE();
    case 1179:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(505);
      END_STATE();
    case 1180:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(537);
      END_STATE();
    case 1181:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(487);
      END_STATE();
    case 1182:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1481);
      END_STATE();
    case 1183:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(699);
      END_STATE();
    case 1184:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(841);
      END_STATE();
    case 1185:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(495);
      END_STATE();
    case 1186:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1483);
      END_STATE();
    case 1187:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(707);
      END_STATE();
    case 1188:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1484);
      END_STATE();
    case 1189:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(709);
      END_STATE();
    case 1190:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1485);
      END_STATE();
    case 1191:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(710);
      END_STATE();
    case 1192:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(711);
      END_STATE();
    case 1193:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 1194:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(802);
      END_STATE();
    case 1195:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1070);
      END_STATE();
    case 1196:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(713);
      END_STATE();
    case 1197:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(527);
      END_STATE();
    case 1198:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 1199:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1531);
      END_STATE();
    case 1200:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1670);
      END_STATE();
    case 1201:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1627);
      END_STATE();
    case 1202:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1557);
      END_STATE();
    case 1203:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1552);
      END_STATE();
    case 1204:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1606);
      END_STATE();
    case 1205:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1620);
      END_STATE();
    case 1206:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1655);
      END_STATE();
    case 1207:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1734);
      END_STATE();
    case 1208:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1614);
      END_STATE();
    case 1209:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1616);
      END_STATE();
    case 1210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1688);
      END_STATE();
    case 1211:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1700);
      END_STATE();
    case 1212:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1554);
      END_STATE();
    case 1213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1740);
      END_STATE();
    case 1214:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1619);
      END_STATE();
    case 1215:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1578);
      END_STATE();
    case 1216:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1559);
      END_STATE();
    case 1217:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1576);
      END_STATE();
    case 1218:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1615);
      END_STATE();
    case 1219:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1561);
      END_STATE();
    case 1220:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1654);
      END_STATE();
    case 1221:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1690);
      END_STATE();
    case 1222:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1672);
      END_STATE();
    case 1223:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1680);
      END_STATE();
    case 1224:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1689);
      END_STATE();
    case 1225:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1610);
      END_STATE();
    case 1226:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1560);
      END_STATE();
    case 1227:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1617);
      END_STATE();
    case 1228:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(586);
      END_STATE();
    case 1229:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(32);
      END_STATE();
    case 1230:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(770);
      END_STATE();
    case 1231:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1479);
      END_STATE();
    case 1232:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(723);
      END_STATE();
    case 1233:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1298);
      END_STATE();
    case 1234:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(669);
      END_STATE();
    case 1235:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1437);
      END_STATE();
    case 1236:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(261);
      END_STATE();
    case 1237:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(724);
      END_STATE();
    case 1238:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(551);
      END_STATE();
    case 1239:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(614);
      END_STATE();
    case 1240:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(138);
      END_STATE();
    case 1241:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(584);
      END_STATE();
    case 1242:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(585);
      END_STATE();
    case 1243:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1231);
      END_STATE();
    case 1244:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1116);
      END_STATE();
    case 1245:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1363);
      END_STATE();
    case 1246:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(377);
      END_STATE();
    case 1247:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1238);
      END_STATE();
    case 1248:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(685);
      END_STATE();
    case 1249:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(659);
      END_STATE();
    case 1250:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1376);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(283);
      END_STATE();
    case 1251:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1359);
      END_STATE();
    case 1252:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1203);
      END_STATE();
    case 1253:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1372);
      END_STATE();
    case 1254:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1332);
      END_STATE();
    case 1255:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(381);
      END_STATE();
    case 1256:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1369);
      END_STATE();
    case 1257:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1210);
      END_STATE();
    case 1258:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(161);
      END_STATE();
    case 1259:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1343);
      END_STATE();
    case 1260:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(484);
      END_STATE();
    case 1261:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1312);
      END_STATE();
    case 1262:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(426);
      END_STATE();
    case 1263:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1346);
      END_STATE();
    case 1264:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1368);
      END_STATE();
    case 1265:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(386);
      END_STATE();
    case 1266:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1426);
      END_STATE();
    case 1267:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1242);
      END_STATE();
    case 1268:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1315);
      END_STATE();
    case 1269:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1323);
      END_STATE();
    case 1270:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(538);
      END_STATE();
    case 1271:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1509);
      END_STATE();
    case 1272:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(631);
      END_STATE();
    case 1273:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(308);
      END_STATE();
    case 1274:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1336);
      END_STATE();
    case 1275:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1330);
      END_STATE();
    case 1276:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1345);
      END_STATE();
    case 1277:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1002);
      END_STATE();
    case 1278:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 1279:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1482);
      END_STATE();
    case 1280:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(676);
      END_STATE();
    case 1281:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1280);
      END_STATE();
    case 1282:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(604);
      END_STATE();
    case 1283:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1279);
      END_STATE();
    case 1284:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1405);
      END_STATE();
    case 1285:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1282);
      END_STATE();
    case 1286:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 1287:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1382);
      END_STATE();
    case 1288:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1375);
      END_STATE();
    case 1289:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1378);
      END_STATE();
    case 1290:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(294);
      END_STATE();
    case 1291:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(554);
      END_STATE();
    case 1292:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(555);
      END_STATE();
    case 1293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1407);
      END_STATE();
    case 1294:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1406);
      END_STATE();
    case 1295:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1416);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(286);
      END_STATE();
    case 1296:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(588);
      END_STATE();
    case 1297:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1549);
      END_STATE();
    case 1298:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1539);
      END_STATE();
    case 1299:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1679);
      END_STATE();
    case 1300:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1660);
      END_STATE();
    case 1301:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(798);
      END_STATE();
    case 1302:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(698);
      END_STATE();
    case 1303:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1707);
      END_STATE();
    case 1304:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(667);
      END_STATE();
    case 1305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1732);
      END_STATE();
    case 1306:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1694);
      END_STATE();
    case 1307:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1602);
      END_STATE();
    case 1308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1623);
      END_STATE();
    case 1309:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1546);
      END_STATE();
    case 1310:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1564);
      END_STATE();
    case 1311:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1579);
      END_STATE();
    case 1312:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1586);
      END_STATE();
    case 1313:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1731);
      END_STATE();
    case 1314:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1604);
      END_STATE();
    case 1315:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1671);
      END_STATE();
    case 1316:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(13);
      END_STATE();
    case 1317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(975);
      END_STATE();
    case 1318:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(14);
      END_STATE();
    case 1319:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(10);
      END_STATE();
    case 1320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(594);
      END_STATE();
    case 1321:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(629);
      END_STATE();
    case 1322:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(251);
      END_STATE();
    case 1323:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(16);
      END_STATE();
    case 1324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1518);
      END_STATE();
    case 1325:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(583);
      END_STATE();
    case 1326:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(473);
      END_STATE();
    case 1327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1495);
      END_STATE();
    case 1328:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(988);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1494);
      END_STATE();
    case 1329:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(661);
      END_STATE();
    case 1330:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(633);
      END_STATE();
    case 1331:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1499);
      END_STATE();
    case 1332:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(343);
      END_STATE();
    case 1333:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1500);
      END_STATE();
    case 1334:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1501);
      END_STATE();
    case 1335:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(982);
      END_STATE();
    case 1336:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1008);
      END_STATE();
    case 1337:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1327);
      END_STATE();
    case 1338:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(706);
      END_STATE();
    case 1339:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(522);
      END_STATE();
    case 1340:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(654);
      END_STATE();
    case 1341:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1204);
      END_STATE();
    case 1342:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(514);
      END_STATE();
    case 1343:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1209);
      END_STATE();
    case 1344:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(978);
      END_STATE();
    case 1345:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(423);
      END_STATE();
    case 1346:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1291);
      END_STATE();
    case 1347:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1215);
      END_STATE();
    case 1348:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1216);
      END_STATE();
    case 1349:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1222);
      END_STATE();
    case 1350:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(477);
      END_STATE();
    case 1351:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(460);
      END_STATE();
    case 1352:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(454);
      END_STATE();
    case 1353:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(429);
      END_STATE();
    case 1354:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(458);
      END_STATE();
    case 1355:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(463);
      END_STATE();
    case 1356:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(607);
      END_STATE();
    case 1357:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(589);
      END_STATE();
    case 1358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(989);
      END_STATE();
    case 1359:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1273);
      END_STATE();
    case 1360:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(641);
      END_STATE();
    case 1361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(592);
      END_STATE();
    case 1362:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(674);
      END_STATE();
    case 1363:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1337);
      END_STATE();
    case 1364:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(596);
      END_STATE();
    case 1365:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1507);
      END_STATE();
    case 1366:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(832);
      END_STATE();
    case 1367:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(599);
      END_STATE();
    case 1368:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(936);
      END_STATE();
    case 1369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1178);
      END_STATE();
    case 1370:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(600);
      END_STATE();
    case 1371:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(446);
      END_STATE();
    case 1372:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(741);
      END_STATE();
    case 1373:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(601);
      END_STATE();
    case 1374:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(450);
      END_STATE();
    case 1375:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(736);
      END_STATE();
    case 1376:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1159);
      END_STATE();
    case 1377:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(603);
      END_STATE();
    case 1378:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(737);
      END_STATE();
    case 1379:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(655);
      END_STATE();
    case 1380:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(656);
      END_STATE();
    case 1381:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1353);
      END_STATE();
    case 1382:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(461);
      END_STATE();
    case 1383:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(465);
      END_STATE();
    case 1384:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1355);
      END_STATE();
    case 1385:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1448);
      END_STATE();
    case 1386:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(488);
      END_STATE();
    case 1387:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(605);
      END_STATE();
    case 1388:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(683);
      END_STATE();
    case 1389:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(712);
      END_STATE();
    case 1390:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(496);
      END_STATE();
    case 1391:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(491);
      END_STATE();
    case 1392:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(686);
      END_STATE();
    case 1393:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(681);
      END_STATE();
    case 1394:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(687);
      END_STATE();
    case 1395:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(688);
      END_STATE();
    case 1396:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(689);
      END_STATE();
    case 1397:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(690);
      END_STATE();
    case 1398:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(691);
      END_STATE();
    case 1399:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(692);
      END_STATE();
    case 1400:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(693);
      END_STATE();
    case 1401:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(694);
      END_STATE();
    case 1402:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(695);
      END_STATE();
    case 1403:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(696);
      END_STATE();
    case 1404:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(702);
      END_STATE();
    case 1405:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(746);
      END_STATE();
    case 1406:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(747);
      END_STATE();
    case 1407:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1292);
      END_STATE();
    case 1408:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(714);
      END_STATE();
    case 1409:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(715);
      END_STATE();
    case 1410:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(716);
      END_STATE();
    case 1411:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(717);
      END_STATE();
    case 1412:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(718);
      END_STATE();
    case 1413:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(719);
      END_STATE();
    case 1414:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(720);
      END_STATE();
    case 1415:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(721);
      END_STATE();
    case 1416:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1197);
      END_STATE();
    case 1417:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(18);
      END_STATE();
    case 1418:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(617);
      END_STATE();
    case 1419:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(618);
      END_STATE();
    case 1420:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(619);
      END_STATE();
    case 1421:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(620);
      END_STATE();
    case 1422:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(621);
      END_STATE();
    case 1423:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(622);
      END_STATE();
    case 1424:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(623);
      END_STATE();
    case 1425:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(624);
      END_STATE();
    case 1426:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(230);
      END_STATE();
    case 1427:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(636);
      END_STATE();
    case 1428:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(475);
      END_STATE();
    case 1429:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(561);
      END_STATE();
    case 1430:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 1431:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(821);
      END_STATE();
    case 1432:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1320);
      END_STATE();
    case 1433:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(775);
      END_STATE();
    case 1434:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(375);
      END_STATE();
    case 1435:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1170);
      END_STATE();
    case 1436:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(814);
      END_STATE();
    case 1437:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(143);
      END_STATE();
    case 1438:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(947);
      END_STATE();
    case 1439:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1356);
      END_STATE();
    case 1440:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1310);
      END_STATE();
    case 1441:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1311);
      END_STATE();
    case 1442:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1314);
      END_STATE();
    case 1443:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(893);
      END_STATE();
    case 1444:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(777);
      END_STATE();
    case 1445:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1157);
      END_STATE();
    case 1446:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1344);
      END_STATE();
    case 1447:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1254);
      END_STATE();
    case 1448:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1158);
      END_STATE();
    case 1449:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(928);
      END_STATE();
    case 1450:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1161);
      END_STATE();
    case 1451:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(918);
      END_STATE();
    case 1452:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1278);
      END_STATE();
    case 1453:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1419);
      END_STATE();
    case 1454:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1420);
      END_STATE();
    case 1455:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1422);
      END_STATE();
    case 1456:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1423);
      END_STATE();
    case 1457:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1424);
      END_STATE();
    case 1458:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1425);
      END_STATE();
    case 1459:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1708);
      END_STATE();
    case 1460:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1702);
      END_STATE();
    case 1461:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(482);
      END_STATE();
    case 1462:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(665);
      END_STATE();
    case 1463:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(671);
      END_STATE();
    case 1464:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(445);
      END_STATE();
    case 1465:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(385);
      END_STATE();
    case 1466:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(165);
      END_STATE();
    case 1467:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(388);
      END_STATE();
    case 1468:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(392);
      END_STATE();
    case 1469:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(395);
      END_STATE();
    case 1470:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(459);
      END_STATE();
    case 1471:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(705);
      END_STATE();
    case 1472:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(704);
      END_STATE();
    case 1473:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1714);
      END_STATE();
    case 1474:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(122);
      END_STATE();
    case 1475:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(934);
      END_STATE();
    case 1476:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(141);
      END_STATE();
    case 1477:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(866);
      END_STATE();
    case 1478:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(199);
      END_STATE();
    case 1479:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(996);
      END_STATE();
    case 1480:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(156);
      END_STATE();
    case 1481:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(159);
      END_STATE();
    case 1482:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1009);
      END_STATE();
    case 1483:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(160);
      END_STATE();
    case 1484:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(164);
      END_STATE();
    case 1485:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 1486:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(955);
      END_STATE();
    case 1487:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(956);
      END_STATE();
    case 1488:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(959);
      END_STATE();
    case 1489:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1703);
      END_STATE();
    case 1490:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(345);
      END_STATE();
    case 1491:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(287);
      END_STATE();
    case 1492:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(219);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(387);
      END_STATE();
    case 1493:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1548);
      END_STATE();
    case 1494:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(303);
      END_STATE();
    case 1495:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1697);
      END_STATE();
    case 1496:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1547);
      END_STATE();
    case 1497:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1742);
      END_STATE();
    case 1498:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1622);
      END_STATE();
    case 1499:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1715);
      END_STATE();
    case 1500:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1609);
      END_STATE();
    case 1501:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1613);
      END_STATE();
    case 1502:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1612);
      END_STATE();
    case 1503:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1100);
      END_STATE();
    case 1504:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(767);
      END_STATE();
    case 1505:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(259);
      END_STATE();
    case 1506:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(285);
      END_STATE();
    case 1507:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1112);
      END_STATE();
    case 1508:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1202);
      END_STATE();
    case 1509:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1276);
      END_STATE();
    case 1510:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1274);
      END_STATE();
    case 1511:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 1512:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(152);
      END_STATE();
    case 1513:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1272);
      END_STATE();
    case 1514:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1207);
      END_STATE();
    case 1515:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1211);
      END_STATE();
    case 1516:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1365);
      END_STATE();
    case 1517:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1106);
      END_STATE();
    case 1518:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(735);
      END_STATE();
    case 1519:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1256);
      END_STATE();
    case 1520:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(354);
      END_STATE();
    case 1521:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(608);
      END_STATE();
    case 1522:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1121);
      END_STATE();
    case 1523:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(390);
      END_STATE();
    case 1524:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(397);
      END_STATE();
    case 1525:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1674);
      END_STATE();
    case 1526:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1592);
      END_STATE();
    case 1527:
      if (eof) ADVANCE(1528);
      ADVANCE_MAP(
        '"', 1543,
        '#', 1529,
        '=', 1541,
        'A', 320,
        'C', 114,
        'E', 881,
        'L', 973,
        'N', 1068,
        'R', 372,
        'T', 117,
        'a', 81,
        'c', 103,
        'e', 83,
        'l', 59,
        'n', 62,
        'r', 48,
        't', 87,
        'B', 121,
        'b', 121,
        'D', 626,
        'd', 626,
        'F', 630,
        'f', 630,
        'G', 124,
        'g', 124,
        'H', 125,
        'h', 125,
        'I', 350,
        'i', 350,
        'K', 231,
        'k', 231,
        'M', 115,
        'm', 115,
        'O', 234,
        'o', 234,
        'P', 134,
        'p', 134,
        'S', 374,
        's', 374,
        'U', 1092,
        'u', 1092,
        'V', 467,
        'v', 467,
        'X', 24,
        'x', 24,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1527);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1530);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1529);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1530);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_boolean_token1);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_boolean_token2);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_boolean_token3);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_boolean_token3);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(376);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_boolean_token4);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_pattern_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1536);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(sym_time_format);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(sym_time_format);
      ADVANCE_MAP(
        'D', 1537,
        'H', 1537,
        'M', 1537,
        'S', 1537,
        'W', 1537,
        'd', 1537,
        'h', 1537,
        'm', 1537,
        's', 1537,
        'w', 1537,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1538);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_host_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(183);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(480);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_host_token2);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1540);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1536);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1536);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_match_token1);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_add_keys_to_agent_token1);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_address_family_token1);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_address_family_value_token1);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_address_family_value_token2);
      if (lookahead == '6') ADVANCE(1550);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_address_family_value_token3);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_batch_mode_token1);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_bind_address_token1);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_bind_interface_token1);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_canonical_domains_token1);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_canonicalize_fallback_local_token1);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_canonicalize_hostname_token1);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym_canonicalize_hostname_value_token1);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym_canonicalize_hostname_value_token2);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_canonicalize_max_dots_token1);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_canonicalize_permitted_cnames_token1);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_ca_signature_algorithms_token1);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_certificate_file_token1);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_challenge_response_authentication_token1);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_channel_timeout_token1);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token1);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token2);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token3);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token4);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token5);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token6);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1517);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token7);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token8);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_check_host_ip_token1);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_ciphers_token1);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_cipher_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1574);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_clear_all_forwardings_token1);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_compression_token1);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_connection_attempts_token1);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_connect_timeout_token1);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_control_master_token1);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_control_master_value_token1);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_control_master_value_token2);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_control_master_value_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1232);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_control_master_value_token3);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_control_path_token1);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_control_persist_token1);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_dynamic_forward_token1);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_enable_escape_commandline_token1);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_enable_ssh_keysign_token1);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_escape_char_token1);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(anon_sym_none);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == '"') ADVANCE(1543);
      if (lookahead == '#') ADVANCE(1592);
      if (lookahead == '=') ADVANCE(1541);
      if (lookahead == '^') ADVANCE(1526);
      if (lookahead == 'n') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1593);
      if (lookahead != 0) ADVANCE(1592);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == '"') ADVANCE(1543);
      if (lookahead == '#') ADVANCE(1592);
      if (lookahead == '^') ADVANCE(1526);
      if (lookahead == 'n') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1594);
      if (lookahead != 0) ADVANCE(1592);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == '#') ADVANCE(1592);
      if (lookahead == '^') ADVANCE(1526);
      if (lookahead == 'n') ADVANCE(1596);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1595);
      if (lookahead != 0) ADVANCE(1592);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym_exit_on_forward_failure_token1);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym_fingerprint_hash_token1);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(anon_sym_md5);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(anon_sym_sha256);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym_fork_after_authentication_token1);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym_forward_agent_token1);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym_forward_x11_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(708);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym_forward_x11_timeout_token1);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym_forward_x11_trusted_token1);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym_gateway_ports_token1);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym_global_known_hosts_file_token1);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym_gssapi_authentication_token1);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym_gssapi_client_identity_token1);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_gssapi_delegate_credentials_token1);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_gssapi_key_exchange_token1);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_gssapi_renewal_forces_rekey_token1);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_gssapi_server_identity_token1);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_gssapi_trust_dns_token1);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_gssapi_kex_algorithms_token1);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_hash_known_hosts_token1);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_hostbased_accepted_algorithms_token1);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_hostbased_authentication_token1);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_host_key_algorithms_token1);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_host_key_alias_token1);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym_hostname_token1);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(aux_sym_identities_only_token1);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(aux_sym_identity_agent_token1);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(aux_sym_identity_file_token1);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(aux_sym_ignore_unknown_token1);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym_include_token1);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(aux_sym_ip_qos_token1);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(anon_sym_af11);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(anon_sym_af12);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(anon_sym_af13);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(anon_sym_af21);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(anon_sym_af22);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(anon_sym_af23);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(anon_sym_af31);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(anon_sym_af32);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(anon_sym_af33);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(anon_sym_af41);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(anon_sym_af42);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(anon_sym_af43);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(anon_sym_cs0);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(anon_sym_cs1);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(anon_sym_cs2);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(anon_sym_cs3);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(anon_sym_cs4);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(anon_sym_cs5);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(anon_sym_cs6);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(anon_sym_cs7);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(anon_sym_ef);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(anon_sym_le);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(anon_sym_lowdelay);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(anon_sym_throughput);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(anon_sym_reliability);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym_kbd_interactive_authentication_token1);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym_kbd_interactive_devices_token1);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym_kex_algorithms_token1);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym_known_hosts_command_token1);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym_local_command_token1);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym_local_forward_token1);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym_log_level_token1);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym_log_level_value_token1);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym_log_level_value_token2);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym_log_level_value_token3);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym_log_level_value_token4);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym_log_level_value_token5);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym_log_level_value_token6);
      if (lookahead == '1') ADVANCE(1666);
      if (lookahead == '2') ADVANCE(1667);
      if (lookahead == '3') ADVANCE(1668);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym_log_level_value_token7);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym_log_level_value_token8);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym_log_level_value_token9);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym_log_verbose_token1);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(aux_sym_macs_token1);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(aux_sym_no_host_authentication_for_localhost_token1);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(aux_sym_number_of_password_prompts_token1);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym_obscure_keystroke_timing_token1);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(aux_sym_obscure_keystroke_timing_value_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1674);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym_password_authentication_token1);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym_permit_local_command_token1);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym_permit_remote_open_token1);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(aux_sym_pkcs11_provider_token1);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(aux_sym_port_token1);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(aux_sym_preferred_authentications_token1);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym_protocol_token1);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(anon_sym_1);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(anon_sym_1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1530);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(anon_sym_2);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(anon_sym_2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1530);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_proxy_command_token1);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_proxy_jump_token1);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_proxy_use_fdpass_token1);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_pubkey_accepted_algorithms_token1);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_pubkey_accepted_key_types_token1);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_pubkey_authentication_token1);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym_pubkey_authentication_value_token1);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym_pubkey_authentication_value_token2);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym_rekey_limit_token1);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym_remote_command_token1);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym_remote_forward_token1);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym_request_tty_token1);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_request_tty_value_token1);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym_required_rsa_size_token1);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym_revoked_host_keys_token1);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym_security_key_provider_token1);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym_send_env_token1);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym_server_alive_count_max_token1);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym_server_alive_interval_token1);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(aux_sym_session_type_token1);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(aux_sym_session_type_value_token1);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(aux_sym_session_type_value_token2);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(aux_sym_set_env_token1);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(aux_sym_stdin_null_token1);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(aux_sym_stream_local_bind_mask_token1);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(aux_sym_stream_local_bind_unlink_token1);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(aux_sym_strict_host_key_checking_token1);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(aux_sym_strict_host_key_checking_value_token1);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(aux_sym_strict_host_key_checking_value_token2);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(aux_sym_syslog_facility_token1);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(anon_sym_DAEMON);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(anon_sym_USER);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(anon_sym_AUTH);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(anon_sym_LOCAL0);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(anon_sym_LOCAL1);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(anon_sym_LOCAL2);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(anon_sym_LOCAL3);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(anon_sym_LOCAL4);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(anon_sym_LOCAL5);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(anon_sym_LOCAL6);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(anon_sym_LOCAL7);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(aux_sym_tcp_keep_alive_token1);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(aux_sym_keep_alive_token1);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(aux_sym_tunnel_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(412);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(aux_sym_tunnel_value_token1);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(aux_sym_tunnel_value_token2);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(aux_sym_tunnel_device_token1);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(aux_sym_update_host_keys_token1);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(aux_sym_use_keychain_token1);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(aux_sym_use_roaming_token1);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(aux_sym_user_token1);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(aux_sym_user_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(962);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(202);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(aux_sym_user_known_hosts_file_token1);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(aux_sym_verify_host_key_dns_token1);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(aux_sym_version_addendum_token1);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(aux_sym_visual_host_key_token1);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(aux_sym_xauth_location_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 1527},
  [2] = {.lex_state = 1527},
  [3] = {.lex_state = 1527},
  [4] = {.lex_state = 1527},
  [5] = {.lex_state = 1527},
  [6] = {.lex_state = 1527},
  [7] = {.lex_state = 1527},
  [8] = {.lex_state = 1527},
  [9] = {.lex_state = 1527},
  [10] = {.lex_state = 1527},
  [11] = {.lex_state = 1527},
  [12] = {.lex_state = 1527},
  [13] = {.lex_state = 1527},
  [14] = {.lex_state = 1527},
  [15] = {.lex_state = 1527},
  [16] = {.lex_state = 1527},
  [17] = {.lex_state = 1527},
  [18] = {.lex_state = 1527},
  [19] = {.lex_state = 1527},
  [20] = {.lex_state = 1527},
  [21] = {.lex_state = 1527},
  [22] = {.lex_state = 1527},
  [23] = {.lex_state = 1527},
  [24] = {.lex_state = 1527},
  [25] = {.lex_state = 1527},
  [26] = {.lex_state = 1527},
  [27] = {.lex_state = 1527},
  [28] = {.lex_state = 1527},
  [29] = {.lex_state = 1527},
  [30] = {.lex_state = 1527},
  [31] = {.lex_state = 1527},
  [32] = {.lex_state = 1527},
  [33] = {.lex_state = 1527},
  [34] = {.lex_state = 1527},
  [35] = {.lex_state = 1527},
  [36] = {.lex_state = 1527},
  [37] = {.lex_state = 1527},
  [38] = {.lex_state = 1527},
  [39] = {.lex_state = 1527},
  [40] = {.lex_state = 1527},
  [41] = {.lex_state = 1527},
  [42] = {.lex_state = 1527},
  [43] = {.lex_state = 1527},
  [44] = {.lex_state = 1527},
  [45] = {.lex_state = 1527},
  [46] = {.lex_state = 1527},
  [47] = {.lex_state = 1527},
  [48] = {.lex_state = 1527},
  [49] = {.lex_state = 1527},
  [50] = {.lex_state = 1527},
  [51] = {.lex_state = 1527},
  [52] = {.lex_state = 1527},
  [53] = {.lex_state = 1527},
  [54] = {.lex_state = 1527},
  [55] = {.lex_state = 1527},
  [56] = {.lex_state = 1527},
  [57] = {.lex_state = 1527},
  [58] = {.lex_state = 1527},
  [59] = {.lex_state = 1527},
  [60] = {.lex_state = 1527},
  [61] = {.lex_state = 1527},
  [62] = {.lex_state = 1527},
  [63] = {.lex_state = 1527},
  [64] = {.lex_state = 1527},
  [65] = {.lex_state = 1527},
  [66] = {.lex_state = 1527},
  [67] = {.lex_state = 1527},
  [68] = {.lex_state = 1527},
  [69] = {.lex_state = 1527},
  [70] = {.lex_state = 1527},
  [71] = {.lex_state = 1527},
  [72] = {.lex_state = 1527},
  [73] = {.lex_state = 1527},
  [74] = {.lex_state = 1527},
  [75] = {.lex_state = 1527},
  [76] = {.lex_state = 1527},
  [77] = {.lex_state = 1527},
  [78] = {.lex_state = 1527},
  [79] = {.lex_state = 1527},
  [80] = {.lex_state = 1527},
  [81] = {.lex_state = 1527},
  [82] = {.lex_state = 1527},
  [83] = {.lex_state = 1527},
  [84] = {.lex_state = 1527},
  [85] = {.lex_state = 1527},
  [86] = {.lex_state = 1527},
  [87] = {.lex_state = 1527},
  [88] = {.lex_state = 1527},
  [89] = {.lex_state = 1527},
  [90] = {.lex_state = 1527},
  [91] = {.lex_state = 1527},
  [92] = {.lex_state = 1527},
  [93] = {.lex_state = 1527},
  [94] = {.lex_state = 1527},
  [95] = {.lex_state = 1527},
  [96] = {.lex_state = 1527},
  [97] = {.lex_state = 1527},
  [98] = {.lex_state = 1527},
  [99] = {.lex_state = 1527},
  [100] = {.lex_state = 1527},
  [101] = {.lex_state = 1527},
  [102] = {.lex_state = 1527},
  [103] = {.lex_state = 1527},
  [104] = {.lex_state = 1527},
  [105] = {.lex_state = 1527},
  [106] = {.lex_state = 1527},
  [107] = {.lex_state = 1527},
  [108] = {.lex_state = 1527},
  [109] = {.lex_state = 1527},
  [110] = {.lex_state = 1527},
  [111] = {.lex_state = 1527},
  [112] = {.lex_state = 1527},
  [113] = {.lex_state = 1527},
  [114] = {.lex_state = 1527},
  [115] = {.lex_state = 1527},
  [116] = {.lex_state = 1527},
  [117] = {.lex_state = 1527},
  [118] = {.lex_state = 1527},
  [119] = {.lex_state = 1527},
  [120] = {.lex_state = 1527},
  [121] = {.lex_state = 1527},
  [122] = {.lex_state = 1527},
  [123] = {.lex_state = 1527},
  [124] = {.lex_state = 1527},
  [125] = {.lex_state = 1527},
  [126] = {.lex_state = 1527},
  [127] = {.lex_state = 1527},
  [128] = {.lex_state = 1527},
  [129] = {.lex_state = 1527},
  [130] = {.lex_state = 1527},
  [131] = {.lex_state = 1527},
  [132] = {.lex_state = 1527},
  [133] = {.lex_state = 1527},
  [134] = {.lex_state = 1527},
  [135] = {.lex_state = 1527},
  [136] = {.lex_state = 1527},
  [137] = {.lex_state = 1527},
  [138] = {.lex_state = 1527},
  [139] = {.lex_state = 1527},
  [140] = {.lex_state = 1527},
  [141] = {.lex_state = 1527},
  [142] = {.lex_state = 1527},
  [143] = {.lex_state = 1527},
  [144] = {.lex_state = 1527},
  [145] = {.lex_state = 1527},
  [146] = {.lex_state = 1527},
  [147] = {.lex_state = 1527},
  [148] = {.lex_state = 1527},
  [149] = {.lex_state = 1527},
  [150] = {.lex_state = 1527},
  [151] = {.lex_state = 1527},
  [152] = {.lex_state = 1527},
  [153] = {.lex_state = 1527},
  [154] = {.lex_state = 1527},
  [155] = {.lex_state = 1527},
  [156] = {.lex_state = 1527},
  [157] = {.lex_state = 1527},
  [158] = {.lex_state = 1527},
  [159] = {.lex_state = 1527},
  [160] = {.lex_state = 1527},
  [161] = {.lex_state = 1527},
  [162] = {.lex_state = 1527},
  [163] = {.lex_state = 1527},
  [164] = {.lex_state = 1527},
  [165] = {.lex_state = 1527},
  [166] = {.lex_state = 1527},
  [167] = {.lex_state = 1527},
  [168] = {.lex_state = 1527},
  [169] = {.lex_state = 1527},
  [170] = {.lex_state = 1527},
  [171] = {.lex_state = 1527},
  [172] = {.lex_state = 1527},
  [173] = {.lex_state = 1527},
  [174] = {.lex_state = 1527},
  [175] = {.lex_state = 1527},
  [176] = {.lex_state = 1527},
  [177] = {.lex_state = 1527},
  [178] = {.lex_state = 1527},
  [179] = {.lex_state = 1527},
  [180] = {.lex_state = 1527},
  [181] = {.lex_state = 1527},
  [182] = {.lex_state = 1527},
  [183] = {.lex_state = 1527},
  [184] = {.lex_state = 1527},
  [185] = {.lex_state = 1527},
  [186] = {.lex_state = 1527},
  [187] = {.lex_state = 1527},
  [188] = {.lex_state = 1527},
  [189] = {.lex_state = 1527},
  [190] = {.lex_state = 1527},
  [191] = {.lex_state = 1527},
  [192] = {.lex_state = 1527},
  [193] = {.lex_state = 1527},
  [194] = {.lex_state = 1527},
  [195] = {.lex_state = 1527},
  [196] = {.lex_state = 1527},
  [197] = {.lex_state = 1527},
  [198] = {.lex_state = 1527},
  [199] = {.lex_state = 1527},
  [200] = {.lex_state = 1527},
  [201] = {.lex_state = 1527},
  [202] = {.lex_state = 1527},
  [203] = {.lex_state = 1527},
  [204] = {.lex_state = 1527},
  [205] = {.lex_state = 1527},
  [206] = {.lex_state = 1527},
  [207] = {.lex_state = 1527},
  [208] = {.lex_state = 1527},
  [209] = {.lex_state = 1527},
  [210] = {.lex_state = 1527},
  [211] = {.lex_state = 1527},
  [212] = {.lex_state = 1527},
  [213] = {.lex_state = 1527},
  [214] = {.lex_state = 1527},
  [215] = {.lex_state = 1527},
  [216] = {.lex_state = 1527},
  [217] = {.lex_state = 1527},
  [218] = {.lex_state = 1527},
  [219] = {.lex_state = 1527},
  [220] = {.lex_state = 1527},
  [221] = {.lex_state = 1527},
  [222] = {.lex_state = 1527},
  [223] = {.lex_state = 1527},
  [224] = {.lex_state = 1527},
  [225] = {.lex_state = 1527},
  [226] = {.lex_state = 1527},
  [227] = {.lex_state = 1527},
  [228] = {.lex_state = 1527},
  [229] = {.lex_state = 1527},
  [230] = {.lex_state = 1527},
  [231] = {.lex_state = 1527},
  [232] = {.lex_state = 1527},
  [233] = {.lex_state = 1527},
  [234] = {.lex_state = 1527},
  [235] = {.lex_state = 1527},
  [236] = {.lex_state = 1527},
  [237] = {.lex_state = 1527},
  [238] = {.lex_state = 1527},
  [239] = {.lex_state = 1527},
  [240] = {.lex_state = 1527},
  [241] = {.lex_state = 1527},
  [242] = {.lex_state = 1527},
  [243] = {.lex_state = 1527},
  [244] = {.lex_state = 1527},
  [245] = {.lex_state = 1527},
  [246] = {.lex_state = 1527},
  [247] = {.lex_state = 1527},
  [248] = {.lex_state = 1527},
  [249] = {.lex_state = 1527},
  [250] = {.lex_state = 1527},
  [251] = {.lex_state = 1527},
  [252] = {.lex_state = 1527},
  [253] = {.lex_state = 1527},
  [254] = {.lex_state = 1527},
  [255] = {.lex_state = 1527},
  [256] = {.lex_state = 1527},
  [257] = {.lex_state = 1527},
  [258] = {.lex_state = 1527},
  [259] = {.lex_state = 1527},
  [260] = {.lex_state = 1527},
  [261] = {.lex_state = 1527},
  [262] = {.lex_state = 1527},
  [263] = {.lex_state = 1527},
  [264] = {.lex_state = 1527},
  [265] = {.lex_state = 1527},
  [266] = {.lex_state = 1527},
  [267] = {.lex_state = 1527},
  [268] = {.lex_state = 1527},
  [269] = {.lex_state = 1527},
  [270] = {.lex_state = 1527},
  [271] = {.lex_state = 1527},
  [272] = {.lex_state = 1527},
  [273] = {.lex_state = 1527},
  [274] = {.lex_state = 1527},
  [275] = {.lex_state = 1527},
  [276] = {.lex_state = 1527},
  [277] = {.lex_state = 1527},
  [278] = {.lex_state = 1527},
  [279] = {.lex_state = 1527},
  [280] = {.lex_state = 1527},
  [281] = {.lex_state = 1527},
  [282] = {.lex_state = 1527},
  [283] = {.lex_state = 1527},
  [284] = {.lex_state = 1527},
  [285] = {.lex_state = 1527},
  [286] = {.lex_state = 1527},
  [287] = {.lex_state = 1527},
  [288] = {.lex_state = 1527},
  [289] = {.lex_state = 1527},
  [290] = {.lex_state = 1527},
  [291] = {.lex_state = 1527},
  [292] = {.lex_state = 1527},
  [293] = {.lex_state = 1527},
  [294] = {.lex_state = 1527},
  [295] = {.lex_state = 1527},
  [296] = {.lex_state = 1527},
  [297] = {.lex_state = 1527},
  [298] = {.lex_state = 1527},
  [299] = {.lex_state = 1527},
  [300] = {.lex_state = 1527},
  [301] = {.lex_state = 1527},
  [302] = {.lex_state = 1527},
  [303] = {.lex_state = 1527},
  [304] = {.lex_state = 1527},
  [305] = {.lex_state = 1527},
  [306] = {.lex_state = 1527},
  [307] = {.lex_state = 1527},
  [308] = {.lex_state = 1527},
  [309] = {.lex_state = 1527},
  [310] = {.lex_state = 1527},
  [311] = {.lex_state = 1527},
  [312] = {.lex_state = 1527},
  [313] = {.lex_state = 1527},
  [314] = {.lex_state = 1527},
  [315] = {.lex_state = 1527},
  [316] = {.lex_state = 1527},
  [317] = {.lex_state = 1527},
  [318] = {.lex_state = 1527},
  [319] = {.lex_state = 1527},
  [320] = {.lex_state = 1527},
  [321] = {.lex_state = 1527},
  [322] = {.lex_state = 1527},
  [323] = {.lex_state = 1527},
  [324] = {.lex_state = 1527},
  [325] = {.lex_state = 1527},
  [326] = {.lex_state = 1527},
  [327] = {.lex_state = 1527},
  [328] = {.lex_state = 1527},
  [329] = {.lex_state = 1527},
  [330] = {.lex_state = 1527},
  [331] = {.lex_state = 1527},
  [332] = {.lex_state = 1527},
  [333] = {.lex_state = 1527},
  [334] = {.lex_state = 1527},
  [335] = {.lex_state = 1527},
  [336] = {.lex_state = 1527},
  [337] = {.lex_state = 1527},
  [338] = {.lex_state = 1527},
  [339] = {.lex_state = 1527},
  [340] = {.lex_state = 1527},
  [341] = {.lex_state = 1527},
  [342] = {.lex_state = 1527},
  [343] = {.lex_state = 1527},
  [344] = {.lex_state = 1527},
  [345] = {.lex_state = 1527},
  [346] = {.lex_state = 1527},
  [347] = {.lex_state = 1527},
  [348] = {.lex_state = 1527},
  [349] = {.lex_state = 1527},
  [350] = {.lex_state = 1527},
  [351] = {.lex_state = 1527},
  [352] = {.lex_state = 1527},
  [353] = {.lex_state = 1527},
  [354] = {.lex_state = 1527},
  [355] = {.lex_state = 1527},
  [356] = {.lex_state = 1527},
  [357] = {.lex_state = 1527},
  [358] = {.lex_state = 1527},
  [359] = {.lex_state = 1527},
  [360] = {.lex_state = 1527},
  [361] = {.lex_state = 1527},
  [362] = {.lex_state = 1527},
  [363] = {.lex_state = 1527},
  [364] = {.lex_state = 1527},
  [365] = {.lex_state = 1527},
  [366] = {.lex_state = 1527},
  [367] = {.lex_state = 1527},
  [368] = {.lex_state = 1527},
  [369] = {.lex_state = 1527},
  [370] = {.lex_state = 1527},
  [371] = {.lex_state = 1527},
  [372] = {.lex_state = 1527},
  [373] = {.lex_state = 1527},
  [374] = {.lex_state = 1527},
  [375] = {.lex_state = 1527},
  [376] = {.lex_state = 1527},
  [377] = {.lex_state = 1527},
  [378] = {.lex_state = 1527},
  [379] = {.lex_state = 1527},
  [380] = {.lex_state = 1527},
  [381] = {.lex_state = 1527},
  [382] = {.lex_state = 1527},
  [383] = {.lex_state = 1527},
  [384] = {.lex_state = 1527},
  [385] = {.lex_state = 1527},
  [386] = {.lex_state = 1527},
  [387] = {.lex_state = 1527},
  [388] = {.lex_state = 1527},
  [389] = {.lex_state = 1527},
  [390] = {.lex_state = 1527},
  [391] = {.lex_state = 1527},
  [392] = {.lex_state = 1527},
  [393] = {.lex_state = 1527},
  [394] = {.lex_state = 1527},
  [395] = {.lex_state = 1527},
  [396] = {.lex_state = 1527},
  [397] = {.lex_state = 1527},
  [398] = {.lex_state = 1527},
  [399] = {.lex_state = 1527},
  [400] = {.lex_state = 1527},
  [401] = {.lex_state = 1527},
  [402] = {.lex_state = 1527},
  [403] = {.lex_state = 1527},
  [404] = {.lex_state = 1527},
  [405] = {.lex_state = 1527},
  [406] = {.lex_state = 1527},
  [407] = {.lex_state = 1527},
  [408] = {.lex_state = 1527},
  [409] = {.lex_state = 1527},
  [410] = {.lex_state = 1527},
  [411] = {.lex_state = 1527},
  [412] = {.lex_state = 1527},
  [413] = {.lex_state = 1527},
  [414] = {.lex_state = 1527},
  [415] = {.lex_state = 1527},
  [416] = {.lex_state = 1527},
  [417] = {.lex_state = 1527},
  [418] = {.lex_state = 1527},
  [419] = {.lex_state = 1527},
  [420] = {.lex_state = 1527},
  [421] = {.lex_state = 1527},
  [422] = {.lex_state = 1527},
  [423] = {.lex_state = 1527},
  [424] = {.lex_state = 1527},
  [425] = {.lex_state = 1527},
  [426] = {.lex_state = 1527},
  [427] = {.lex_state = 1527},
  [428] = {.lex_state = 1527},
  [429] = {.lex_state = 1527},
  [430] = {.lex_state = 1527},
  [431] = {.lex_state = 1527},
  [432] = {.lex_state = 1527},
  [433] = {.lex_state = 1527},
  [434] = {.lex_state = 1527},
  [435] = {.lex_state = 1527},
  [436] = {.lex_state = 1527},
  [437] = {.lex_state = 1527},
  [438] = {.lex_state = 1527},
  [439] = {.lex_state = 1527},
  [440] = {.lex_state = 1527},
  [441] = {.lex_state = 1527},
  [442] = {.lex_state = 1527},
  [443] = {.lex_state = 1527},
  [444] = {.lex_state = 1527},
  [445] = {.lex_state = 1527},
  [446] = {.lex_state = 1527},
  [447] = {.lex_state = 1527},
  [448] = {.lex_state = 1527},
  [449] = {.lex_state = 1527},
  [450] = {.lex_state = 1527},
  [451] = {.lex_state = 1527},
  [452] = {.lex_state = 1527},
  [453] = {.lex_state = 1527},
  [454] = {.lex_state = 1527},
  [455] = {.lex_state = 1527},
  [456] = {.lex_state = 1527},
  [457] = {.lex_state = 1527},
  [458] = {.lex_state = 1527},
  [459] = {.lex_state = 1527},
  [460] = {.lex_state = 1527},
  [461] = {.lex_state = 1527},
  [462] = {.lex_state = 1527},
  [463] = {.lex_state = 1527},
  [464] = {.lex_state = 1527},
  [465] = {.lex_state = 1527},
  [466] = {.lex_state = 1527},
  [467] = {.lex_state = 1527},
  [468] = {.lex_state = 1527},
  [469] = {.lex_state = 1527},
  [470] = {.lex_state = 1527},
  [471] = {.lex_state = 1527},
  [472] = {.lex_state = 1527},
  [473] = {.lex_state = 1527},
  [474] = {.lex_state = 1527},
  [475] = {.lex_state = 1527},
  [476] = {.lex_state = 1527},
  [477] = {.lex_state = 1527},
  [478] = {.lex_state = 1527},
  [479] = {.lex_state = 1527},
  [480] = {.lex_state = 1527},
  [481] = {.lex_state = 1527},
  [482] = {.lex_state = 1527},
  [483] = {.lex_state = 1527},
  [484] = {.lex_state = 1527},
  [485] = {.lex_state = 1527},
  [486] = {.lex_state = 1527},
  [487] = {.lex_state = 1527},
  [488] = {.lex_state = 1527},
  [489] = {.lex_state = 1527},
  [490] = {.lex_state = 1527},
  [491] = {.lex_state = 1527},
  [492] = {.lex_state = 1527},
  [493] = {.lex_state = 1527},
  [494] = {.lex_state = 1527},
  [495] = {.lex_state = 1527},
  [496] = {.lex_state = 1527},
  [497] = {.lex_state = 1527},
  [498] = {.lex_state = 1527},
  [499] = {.lex_state = 1527},
  [500] = {.lex_state = 1527},
  [501] = {.lex_state = 1527},
  [502] = {.lex_state = 1527},
  [503] = {.lex_state = 1527},
  [504] = {.lex_state = 1527},
  [505] = {.lex_state = 1527},
  [506] = {.lex_state = 1527},
  [507] = {.lex_state = 1527},
  [508] = {.lex_state = 1527},
  [509] = {.lex_state = 1527},
  [510] = {.lex_state = 1527},
  [511] = {.lex_state = 1527},
  [512] = {.lex_state = 1527},
  [513] = {.lex_state = 1527},
  [514] = {.lex_state = 1527},
  [515] = {.lex_state = 1527},
  [516] = {.lex_state = 1527},
  [517] = {.lex_state = 1527},
  [518] = {.lex_state = 1527},
  [519] = {.lex_state = 1527},
  [520] = {.lex_state = 1527},
  [521] = {.lex_state = 1527},
  [522] = {.lex_state = 1527},
  [523] = {.lex_state = 1527},
  [524] = {.lex_state = 1527},
  [525] = {.lex_state = 1527},
  [526] = {.lex_state = 1527},
  [527] = {.lex_state = 1527},
  [528] = {.lex_state = 1527},
  [529] = {.lex_state = 1527},
  [530] = {.lex_state = 1527},
  [531] = {.lex_state = 1527},
  [532] = {.lex_state = 1527},
  [533] = {.lex_state = 1527},
  [534] = {.lex_state = 1527},
  [535] = {.lex_state = 1527},
  [536] = {.lex_state = 1527},
  [537] = {.lex_state = 1527},
  [538] = {.lex_state = 1527},
  [539] = {.lex_state = 1527},
  [540] = {.lex_state = 1527},
  [541] = {.lex_state = 1527},
  [542] = {.lex_state = 1527},
  [543] = {.lex_state = 1527},
  [544] = {.lex_state = 1527},
  [545] = {.lex_state = 1527},
  [546] = {.lex_state = 1527},
  [547] = {.lex_state = 1527},
  [548] = {.lex_state = 1527},
  [549] = {.lex_state = 1527},
  [550] = {.lex_state = 1527},
  [551] = {.lex_state = 1527},
  [552] = {.lex_state = 1527},
  [553] = {.lex_state = 1527},
  [554] = {.lex_state = 1527},
  [555] = {.lex_state = 1527},
  [556] = {.lex_state = 1527},
  [557] = {.lex_state = 1527},
  [558] = {.lex_state = 1527},
  [559] = {.lex_state = 1527},
  [560] = {.lex_state = 1527},
  [561] = {.lex_state = 1527},
  [562] = {.lex_state = 1527},
  [563] = {.lex_state = 1527},
  [564] = {.lex_state = 1527},
  [565] = {.lex_state = 1527},
  [566] = {.lex_state = 1527},
  [567] = {.lex_state = 1527},
  [568] = {.lex_state = 1527},
  [569] = {.lex_state = 1527},
  [570] = {.lex_state = 1527},
  [571] = {.lex_state = 1527},
  [572] = {.lex_state = 1527},
  [573] = {.lex_state = 1527},
  [574] = {.lex_state = 1527},
  [575] = {.lex_state = 1527},
  [576] = {.lex_state = 1527},
  [577] = {.lex_state = 1527},
  [578] = {.lex_state = 1527},
  [579] = {.lex_state = 1527},
  [580] = {.lex_state = 1527},
  [581] = {.lex_state = 1527},
  [582] = {.lex_state = 1527},
  [583] = {.lex_state = 1527},
  [584] = {.lex_state = 1527},
  [585] = {.lex_state = 1527},
  [586] = {.lex_state = 1527},
  [587] = {.lex_state = 1527},
  [588] = {.lex_state = 1527},
  [589] = {.lex_state = 1527},
  [590] = {.lex_state = 1527},
  [591] = {.lex_state = 1527},
  [592] = {.lex_state = 1527},
  [593] = {.lex_state = 1527},
  [594] = {.lex_state = 1527},
  [595] = {.lex_state = 1527},
  [596] = {.lex_state = 1527},
  [597] = {.lex_state = 1527},
  [598] = {.lex_state = 1527},
  [599] = {.lex_state = 1527},
  [600] = {.lex_state = 1527},
  [601] = {.lex_state = 1527},
  [602] = {.lex_state = 1527},
  [603] = {.lex_state = 1527},
  [604] = {.lex_state = 1527},
  [605] = {.lex_state = 1527},
  [606] = {.lex_state = 1527},
  [607] = {.lex_state = 1527},
  [608] = {.lex_state = 1527},
  [609] = {.lex_state = 1527},
  [610] = {.lex_state = 1527},
  [611] = {.lex_state = 1527},
  [612] = {.lex_state = 1527},
  [613] = {.lex_state = 1527},
  [614] = {.lex_state = 1527},
  [615] = {.lex_state = 1527},
  [616] = {.lex_state = 1527},
  [617] = {.lex_state = 1527},
  [618] = {.lex_state = 1527},
  [619] = {.lex_state = 1527},
  [620] = {.lex_state = 1527},
  [621] = {.lex_state = 1527},
  [622] = {.lex_state = 1527},
  [623] = {.lex_state = 1527},
  [624] = {.lex_state = 1527},
  [625] = {.lex_state = 1527},
  [626] = {.lex_state = 1527},
  [627] = {.lex_state = 1527},
  [628] = {.lex_state = 1527},
  [629] = {.lex_state = 1527},
  [630] = {.lex_state = 1527},
  [631] = {.lex_state = 1527},
  [632] = {.lex_state = 1527},
  [633] = {.lex_state = 1527},
  [634] = {.lex_state = 1527},
  [635] = {.lex_state = 1527},
  [636] = {.lex_state = 1527},
  [637] = {.lex_state = 1527},
  [638] = {.lex_state = 1527},
  [639] = {.lex_state = 1527},
  [640] = {.lex_state = 1527},
  [641] = {.lex_state = 1527},
  [642] = {.lex_state = 1527},
  [643] = {.lex_state = 1527},
  [644] = {.lex_state = 1527},
  [645] = {.lex_state = 1527},
  [646] = {.lex_state = 1527},
  [647] = {.lex_state = 1527},
  [648] = {.lex_state = 1527},
  [649] = {.lex_state = 1527},
  [650] = {.lex_state = 1527},
  [651] = {.lex_state = 1527},
  [652] = {.lex_state = 1527},
  [653] = {.lex_state = 1527},
  [654] = {.lex_state = 1527},
  [655] = {.lex_state = 1527},
  [656] = {.lex_state = 1527},
  [657] = {.lex_state = 1527},
  [658] = {.lex_state = 1527},
  [659] = {.lex_state = 1527},
  [660] = {.lex_state = 1527},
  [661] = {.lex_state = 1527},
  [662] = {.lex_state = 1527},
  [663] = {.lex_state = 1527},
  [664] = {.lex_state = 1527},
  [665] = {.lex_state = 1527},
  [666] = {.lex_state = 1527},
  [667] = {.lex_state = 1527},
  [668] = {.lex_state = 1527},
  [669] = {.lex_state = 1527},
  [670] = {.lex_state = 1527},
  [671] = {.lex_state = 1527},
  [672] = {.lex_state = 1527},
  [673] = {.lex_state = 1527},
  [674] = {.lex_state = 1527},
  [675] = {.lex_state = 1527},
  [676] = {.lex_state = 1527},
  [677] = {.lex_state = 1527},
  [678] = {.lex_state = 1527},
  [679] = {.lex_state = 1527},
  [680] = {.lex_state = 1527},
  [681] = {.lex_state = 1527},
  [682] = {.lex_state = 1527},
  [683] = {.lex_state = 1527},
  [684] = {.lex_state = 1527},
  [685] = {.lex_state = 1527},
  [686] = {.lex_state = 1527},
  [687] = {.lex_state = 1527},
  [688] = {.lex_state = 1527},
  [689] = {.lex_state = 1527},
  [690] = {.lex_state = 1527},
  [691] = {.lex_state = 1527},
  [692] = {.lex_state = 1527},
  [693] = {.lex_state = 1527},
  [694] = {.lex_state = 1527},
  [695] = {.lex_state = 1527},
  [696] = {.lex_state = 1527},
  [697] = {.lex_state = 1527},
  [698] = {.lex_state = 1527},
  [699] = {.lex_state = 1527},
  [700] = {.lex_state = 1527},
  [701] = {.lex_state = 1527},
  [702] = {.lex_state = 1527},
  [703] = {.lex_state = 1527},
  [704] = {.lex_state = 1527},
  [705] = {.lex_state = 1527},
  [706] = {.lex_state = 1527},
  [707] = {.lex_state = 1527},
  [708] = {.lex_state = 1527},
  [709] = {.lex_state = 1527},
  [710] = {.lex_state = 1527},
  [711] = {.lex_state = 1527},
  [712] = {.lex_state = 1527},
  [713] = {.lex_state = 1527},
  [714] = {.lex_state = 1527},
  [715] = {.lex_state = 1527},
  [716] = {.lex_state = 1527},
  [717] = {.lex_state = 1527},
  [718] = {.lex_state = 1527},
  [719] = {.lex_state = 1527},
  [720] = {.lex_state = 1527},
  [721] = {.lex_state = 1527},
  [722] = {.lex_state = 1527},
  [723] = {.lex_state = 1527},
  [724] = {.lex_state = 1527},
  [725] = {.lex_state = 1527},
  [726] = {.lex_state = 1527},
  [727] = {.lex_state = 1527},
  [728] = {.lex_state = 1527},
  [729] = {.lex_state = 1527},
  [730] = {.lex_state = 1527},
  [731] = {.lex_state = 1527},
  [732] = {.lex_state = 1527},
  [733] = {.lex_state = 1527},
  [734] = {.lex_state = 1527},
  [735] = {.lex_state = 1527},
  [736] = {.lex_state = 1527},
  [737] = {.lex_state = 1527},
  [738] = {.lex_state = 1527},
  [739] = {.lex_state = 1527},
  [740] = {.lex_state = 1527},
  [741] = {.lex_state = 1527},
  [742] = {.lex_state = 1527},
  [743] = {.lex_state = 1527},
  [744] = {.lex_state = 1527},
  [745] = {.lex_state = 1527},
  [746] = {.lex_state = 1527},
  [747] = {.lex_state = 1527},
  [748] = {.lex_state = 1527},
  [749] = {.lex_state = 1527},
  [750] = {.lex_state = 1527},
  [751] = {.lex_state = 1527},
  [752] = {.lex_state = 1527},
  [753] = {.lex_state = 1527},
  [754] = {.lex_state = 1527},
  [755] = {.lex_state = 1527},
  [756] = {.lex_state = 1527},
  [757] = {.lex_state = 1527},
  [758] = {.lex_state = 1527},
  [759] = {.lex_state = 1527},
  [760] = {.lex_state = 1527},
  [761] = {.lex_state = 1527},
  [762] = {.lex_state = 1527},
  [763] = {.lex_state = 1527},
  [764] = {.lex_state = 1527},
  [765] = {.lex_state = 1527},
  [766] = {.lex_state = 1527},
  [767] = {.lex_state = 1527},
  [768] = {.lex_state = 1527},
  [769] = {.lex_state = 1527},
  [770] = {.lex_state = 1527},
  [771] = {.lex_state = 1527},
  [772] = {.lex_state = 1527},
  [773] = {.lex_state = 1527},
  [774] = {.lex_state = 1527},
  [775] = {.lex_state = 1527},
  [776] = {.lex_state = 1527},
  [777] = {.lex_state = 1527},
  [778] = {.lex_state = 1527},
  [779] = {.lex_state = 1527},
  [780] = {.lex_state = 1527},
  [781] = {.lex_state = 1527},
  [782] = {.lex_state = 1527},
  [783] = {.lex_state = 1527},
  [784] = {.lex_state = 1527},
  [785] = {.lex_state = 1527},
  [786] = {.lex_state = 1527},
  [787] = {.lex_state = 1527},
  [788] = {.lex_state = 1527},
  [789] = {.lex_state = 1527},
  [790] = {.lex_state = 1527},
  [791] = {.lex_state = 1527},
  [792] = {.lex_state = 1527},
  [793] = {.lex_state = 1527},
  [794] = {.lex_state = 1527},
  [795] = {.lex_state = 1527},
  [796] = {.lex_state = 1527},
  [797] = {.lex_state = 1527},
  [798] = {.lex_state = 1527},
  [799] = {.lex_state = 1527},
  [800] = {.lex_state = 1527},
  [801] = {.lex_state = 1527},
  [802] = {.lex_state = 1527},
  [803] = {.lex_state = 1527},
  [804] = {.lex_state = 1527},
  [805] = {.lex_state = 1527},
  [806] = {.lex_state = 1527},
  [807] = {.lex_state = 1527},
  [808] = {.lex_state = 1527},
  [809] = {.lex_state = 1527},
  [810] = {.lex_state = 1527},
  [811] = {.lex_state = 1527},
  [812] = {.lex_state = 1527},
  [813] = {.lex_state = 1527},
  [814] = {.lex_state = 1527},
  [815] = {.lex_state = 1527},
  [816] = {.lex_state = 2},
  [817] = {.lex_state = 2},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 2},
  [821] = {.lex_state = 2},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 2},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 2},
  [830] = {.lex_state = 2},
  [831] = {.lex_state = 1},
  [832] = {.lex_state = 2},
  [833] = {.lex_state = 2},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 2},
  [836] = {.lex_state = 2},
  [837] = {.lex_state = 2},
  [838] = {.lex_state = 2},
  [839] = {.lex_state = 2},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 2},
  [842] = {.lex_state = 2},
  [843] = {.lex_state = 2},
  [844] = {.lex_state = 1},
  [845] = {.lex_state = 2},
  [846] = {.lex_state = 2},
  [847] = {.lex_state = 2},
  [848] = {.lex_state = 2},
  [849] = {.lex_state = 2},
  [850] = {.lex_state = 2},
  [851] = {.lex_state = 2},
  [852] = {.lex_state = 2},
  [853] = {.lex_state = 2},
  [854] = {.lex_state = 2},
  [855] = {.lex_state = 2},
  [856] = {.lex_state = 2},
  [857] = {.lex_state = 2},
  [858] = {.lex_state = 2},
  [859] = {.lex_state = 2},
  [860] = {.lex_state = 2},
  [861] = {.lex_state = 2},
  [862] = {.lex_state = 2},
  [863] = {.lex_state = 2},
  [864] = {.lex_state = 2},
  [865] = {.lex_state = 2},
  [866] = {.lex_state = 2},
  [867] = {.lex_state = 2},
  [868] = {.lex_state = 2},
  [869] = {.lex_state = 2},
  [870] = {.lex_state = 2},
  [871] = {.lex_state = 2},
  [872] = {.lex_state = 2},
  [873] = {.lex_state = 2},
  [874] = {.lex_state = 2},
  [875] = {.lex_state = 2},
  [876] = {.lex_state = 2},
  [877] = {.lex_state = 2},
  [878] = {.lex_state = 2},
  [879] = {.lex_state = 2},
  [880] = {.lex_state = 2},
  [881] = {.lex_state = 1},
  [882] = {.lex_state = 1},
  [883] = {.lex_state = 2},
  [884] = {.lex_state = 2},
  [885] = {.lex_state = 2},
  [886] = {.lex_state = 2},
  [887] = {.lex_state = 2},
  [888] = {.lex_state = 2},
  [889] = {.lex_state = 2},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 2},
  [892] = {.lex_state = 2},
  [893] = {.lex_state = 2},
  [894] = {.lex_state = 2},
  [895] = {.lex_state = 2},
  [896] = {.lex_state = 2},
  [897] = {.lex_state = 2},
  [898] = {.lex_state = 2},
  [899] = {.lex_state = 2},
  [900] = {.lex_state = 2},
  [901] = {.lex_state = 2},
  [902] = {.lex_state = 2},
  [903] = {.lex_state = 2},
  [904] = {.lex_state = 2},
  [905] = {.lex_state = 2},
  [906] = {.lex_state = 2},
  [907] = {.lex_state = 2},
  [908] = {.lex_state = 2},
  [909] = {.lex_state = 2},
  [910] = {.lex_state = 2},
  [911] = {.lex_state = 2},
  [912] = {.lex_state = 2},
  [913] = {.lex_state = 2},
  [914] = {.lex_state = 2},
  [915] = {.lex_state = 2},
  [916] = {.lex_state = 2},
  [917] = {.lex_state = 2},
  [918] = {.lex_state = 2},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 2},
  [921] = {.lex_state = 2},
  [922] = {.lex_state = 2},
  [923] = {.lex_state = 2},
  [924] = {.lex_state = 2},
  [925] = {.lex_state = 2},
  [926] = {.lex_state = 2},
  [927] = {.lex_state = 2},
  [928] = {.lex_state = 2},
  [929] = {.lex_state = 2},
  [930] = {.lex_state = 2},
  [931] = {.lex_state = 2},
  [932] = {.lex_state = 2},
  [933] = {.lex_state = 2},
  [934] = {.lex_state = 2},
  [935] = {.lex_state = 2},
  [936] = {.lex_state = 2},
  [937] = {.lex_state = 2},
  [938] = {.lex_state = 2},
  [939] = {.lex_state = 2},
  [940] = {.lex_state = 2},
  [941] = {.lex_state = 2},
  [942] = {.lex_state = 2},
  [943] = {.lex_state = 2},
  [944] = {.lex_state = 2},
  [945] = {.lex_state = 2},
  [946] = {.lex_state = 2},
  [947] = {.lex_state = 2},
  [948] = {.lex_state = 2},
  [949] = {.lex_state = 2},
  [950] = {.lex_state = 2},
  [951] = {.lex_state = 2},
  [952] = {.lex_state = 2},
  [953] = {.lex_state = 2},
  [954] = {.lex_state = 2},
  [955] = {.lex_state = 2},
  [956] = {.lex_state = 2},
  [957] = {.lex_state = 2},
  [958] = {.lex_state = 2},
  [959] = {.lex_state = 2},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 2},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 2},
  [964] = {.lex_state = 2},
  [965] = {.lex_state = 2},
  [966] = {.lex_state = 2},
  [967] = {.lex_state = 2},
  [968] = {.lex_state = 2},
  [969] = {.lex_state = 2},
  [970] = {.lex_state = 2},
  [971] = {.lex_state = 2},
  [972] = {.lex_state = 2},
  [973] = {.lex_state = 2},
  [974] = {.lex_state = 2},
  [975] = {.lex_state = 2},
  [976] = {.lex_state = 2},
  [977] = {.lex_state = 2},
  [978] = {.lex_state = 2},
  [979] = {.lex_state = 2},
  [980] = {.lex_state = 2},
  [981] = {.lex_state = 2},
  [982] = {.lex_state = 2},
  [983] = {.lex_state = 2},
  [984] = {.lex_state = 2},
  [985] = {.lex_state = 2},
  [986] = {.lex_state = 2},
  [987] = {.lex_state = 2},
  [988] = {.lex_state = 2},
  [989] = {.lex_state = 2},
  [990] = {.lex_state = 2},
  [991] = {.lex_state = 2},
  [992] = {.lex_state = 2},
  [993] = {.lex_state = 2},
  [994] = {.lex_state = 2},
  [995] = {.lex_state = 2},
  [996] = {.lex_state = 2},
  [997] = {.lex_state = 2},
  [998] = {.lex_state = 2},
  [999] = {.lex_state = 2},
  [1000] = {.lex_state = 2},
  [1001] = {.lex_state = 2},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 2},
  [1004] = {.lex_state = 2},
  [1005] = {.lex_state = 5},
  [1006] = {.lex_state = 1},
  [1007] = {.lex_state = 5},
  [1008] = {.lex_state = 3},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 5},
  [1012] = {.lex_state = 2},
  [1013] = {.lex_state = 5},
  [1014] = {.lex_state = 2},
  [1015] = {.lex_state = 1},
  [1016] = {.lex_state = 5},
  [1017] = {.lex_state = 5},
  [1018] = {.lex_state = 5},
  [1019] = {.lex_state = 5},
  [1020] = {.lex_state = 5},
  [1021] = {.lex_state = 4},
  [1022] = {.lex_state = 5},
  [1023] = {.lex_state = 1527},
  [1024] = {.lex_state = 5},
  [1025] = {.lex_state = 5},
  [1026] = {.lex_state = 5},
  [1027] = {.lex_state = 5},
  [1028] = {.lex_state = 5},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 5},
  [1031] = {.lex_state = 5},
  [1032] = {.lex_state = 5},
  [1033] = {.lex_state = 5},
  [1034] = {.lex_state = 5},
  [1035] = {.lex_state = 5},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 5},
  [1038] = {.lex_state = 5},
  [1039] = {.lex_state = 5},
  [1040] = {.lex_state = 5},
  [1041] = {.lex_state = 5},
  [1042] = {.lex_state = 5},
  [1043] = {.lex_state = 5},
  [1044] = {.lex_state = 5},
  [1045] = {.lex_state = 1527},
  [1046] = {.lex_state = 5},
  [1047] = {.lex_state = 5},
  [1048] = {.lex_state = 5},
  [1049] = {.lex_state = 5},
  [1050] = {.lex_state = 5},
  [1051] = {.lex_state = 5},
  [1052] = {.lex_state = 1527},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 1527},
  [1055] = {.lex_state = 6},
  [1056] = {.lex_state = 5},
  [1057] = {.lex_state = 5},
  [1058] = {.lex_state = 1527},
  [1059] = {.lex_state = 5},
  [1060] = {.lex_state = 5},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 5},
  [1063] = {.lex_state = 5},
  [1064] = {.lex_state = 5},
  [1065] = {.lex_state = 5},
  [1066] = {.lex_state = 5},
  [1067] = {.lex_state = 5},
  [1068] = {.lex_state = 5},
  [1069] = {.lex_state = 5},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 1527},
  [1072] = {.lex_state = 5},
  [1073] = {.lex_state = 2},
  [1074] = {.lex_state = 5},
  [1075] = {.lex_state = 6},
  [1076] = {.lex_state = 5},
  [1077] = {.lex_state = 5},
  [1078] = {.lex_state = 1527},
  [1079] = {.lex_state = 1527},
  [1080] = {.lex_state = 5},
  [1081] = {.lex_state = 5},
  [1082] = {.lex_state = 6},
  [1083] = {.lex_state = 6},
  [1084] = {.lex_state = 6},
  [1085] = {.lex_state = 6},
  [1086] = {.lex_state = 6},
  [1087] = {.lex_state = 6},
  [1088] = {.lex_state = 6},
  [1089] = {.lex_state = 6},
  [1090] = {.lex_state = 6},
  [1091] = {.lex_state = 1527},
  [1092] = {.lex_state = 6},
  [1093] = {.lex_state = 6},
  [1094] = {.lex_state = 1527},
  [1095] = {.lex_state = 6},
  [1096] = {.lex_state = 6},
  [1097] = {.lex_state = 8},
  [1098] = {.lex_state = 8},
  [1099] = {.lex_state = 8},
  [1100] = {.lex_state = 6},
  [1101] = {.lex_state = 6},
  [1102] = {.lex_state = 6},
  [1103] = {.lex_state = 1527},
  [1104] = {.lex_state = 8},
  [1105] = {.lex_state = 9},
  [1106] = {.lex_state = 6},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 1},
  [1109] = {.lex_state = 6},
  [1110] = {.lex_state = 6},
  [1111] = {.lex_state = 1},
  [1112] = {.lex_state = 2},
  [1113] = {.lex_state = 6},
  [1114] = {.lex_state = 6},
  [1115] = {.lex_state = 1527},
  [1116] = {.lex_state = 6},
  [1117] = {.lex_state = 9},
  [1118] = {.lex_state = 6},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 6},
  [1121] = {.lex_state = 6},
  [1122] = {.lex_state = 6},
  [1123] = {.lex_state = 6},
  [1124] = {.lex_state = 6},
  [1125] = {.lex_state = 6},
  [1126] = {.lex_state = 6},
  [1127] = {.lex_state = 6},
  [1128] = {.lex_state = 6},
  [1129] = {.lex_state = 6},
  [1130] = {.lex_state = 6},
  [1131] = {.lex_state = 6},
  [1132] = {.lex_state = 6},
  [1133] = {.lex_state = 1527},
  [1134] = {.lex_state = 6},
  [1135] = {.lex_state = 6},
  [1136] = {.lex_state = 6},
  [1137] = {.lex_state = 6},
  [1138] = {.lex_state = 6},
  [1139] = {.lex_state = 6},
  [1140] = {.lex_state = 6},
  [1141] = {.lex_state = 1527},
  [1142] = {.lex_state = 6},
  [1143] = {.lex_state = 1527},
  [1144] = {.lex_state = 6},
  [1145] = {.lex_state = 1527},
  [1146] = {.lex_state = 6},
  [1147] = {.lex_state = 6},
  [1148] = {.lex_state = 6},
  [1149] = {.lex_state = 6},
  [1150] = {.lex_state = 6},
  [1151] = {.lex_state = 6},
  [1152] = {.lex_state = 8},
  [1153] = {.lex_state = 7},
  [1154] = {.lex_state = 7},
  [1155] = {.lex_state = 8},
  [1156] = {.lex_state = 7},
  [1157] = {.lex_state = 8},
  [1158] = {.lex_state = 8},
  [1159] = {.lex_state = 8},
  [1160] = {.lex_state = 8},
  [1161] = {.lex_state = 7},
  [1162] = {.lex_state = 7},
  [1163] = {.lex_state = 7},
  [1164] = {.lex_state = 7},
  [1165] = {.lex_state = 7},
  [1166] = {.lex_state = 7},
  [1167] = {.lex_state = 7},
  [1168] = {.lex_state = 1527},
  [1169] = {.lex_state = 7},
  [1170] = {.lex_state = 7},
  [1171] = {.lex_state = 8},
  [1172] = {.lex_state = 7},
  [1173] = {.lex_state = 8},
  [1174] = {.lex_state = 8},
  [1175] = {.lex_state = 7},
  [1176] = {.lex_state = 7},
  [1177] = {.lex_state = 8},
  [1178] = {.lex_state = 8},
  [1179] = {.lex_state = 8},
  [1180] = {.lex_state = 8},
  [1181] = {.lex_state = 7},
  [1182] = {.lex_state = 8},
  [1183] = {.lex_state = 1527},
  [1184] = {.lex_state = 7},
  [1185] = {.lex_state = 7},
  [1186] = {.lex_state = 7},
  [1187] = {.lex_state = 7},
  [1188] = {.lex_state = 8},
  [1189] = {.lex_state = 1527},
  [1190] = {.lex_state = 7},
  [1191] = {.lex_state = 8},
  [1192] = {.lex_state = 8},
  [1193] = {.lex_state = 8},
  [1194] = {.lex_state = 8},
  [1195] = {.lex_state = 8},
  [1196] = {.lex_state = 7},
  [1197] = {.lex_state = 7},
  [1198] = {.lex_state = 8},
  [1199] = {.lex_state = 7},
  [1200] = {.lex_state = 7},
  [1201] = {.lex_state = 8},
  [1202] = {.lex_state = 7},
  [1203] = {.lex_state = 7},
  [1204] = {.lex_state = 7},
  [1205] = {.lex_state = 7},
  [1206] = {.lex_state = 7},
  [1207] = {.lex_state = 8},
  [1208] = {.lex_state = 7},
  [1209] = {.lex_state = 7},
  [1210] = {.lex_state = 7},
  [1211] = {.lex_state = 8},
  [1212] = {.lex_state = 7},
  [1213] = {.lex_state = 8},
  [1214] = {.lex_state = 8},
  [1215] = {.lex_state = 8},
  [1216] = {.lex_state = 7},
  [1217] = {.lex_state = 7},
  [1218] = {.lex_state = 8},
  [1219] = {.lex_state = 2},
  [1220] = {.lex_state = 7},
  [1221] = {.lex_state = 7},
  [1222] = {.lex_state = 7},
  [1223] = {.lex_state = 1527},
  [1224] = {.lex_state = 7},
  [1225] = {.lex_state = 8},
  [1226] = {.lex_state = 1527},
  [1227] = {.lex_state = 7},
  [1228] = {.lex_state = 7},
  [1229] = {.lex_state = 8},
  [1230] = {.lex_state = 7},
  [1231] = {.lex_state = 7},
  [1232] = {.lex_state = 8},
  [1233] = {.lex_state = 7},
  [1234] = {.lex_state = 7},
  [1235] = {.lex_state = 8},
  [1236] = {.lex_state = 7},
  [1237] = {.lex_state = 8},
  [1238] = {.lex_state = 8},
  [1239] = {.lex_state = 8},
  [1240] = {.lex_state = 7},
  [1241] = {.lex_state = 8},
  [1242] = {.lex_state = 7},
  [1243] = {.lex_state = 7},
  [1244] = {.lex_state = 7},
  [1245] = {.lex_state = 7},
  [1246] = {.lex_state = 7},
  [1247] = {.lex_state = 7},
  [1248] = {.lex_state = 7},
  [1249] = {.lex_state = 1527},
  [1250] = {.lex_state = 7},
  [1251] = {.lex_state = 7},
  [1252] = {.lex_state = 7},
  [1253] = {.lex_state = 8},
  [1254] = {.lex_state = 8},
  [1255] = {.lex_state = 7},
  [1256] = {.lex_state = 8},
  [1257] = {.lex_state = 7},
  [1258] = {.lex_state = 7},
  [1259] = {.lex_state = 8},
  [1260] = {.lex_state = 7},
  [1261] = {.lex_state = 7},
  [1262] = {.lex_state = 7},
  [1263] = {.lex_state = 8},
  [1264] = {.lex_state = 7},
  [1265] = {.lex_state = 2},
  [1266] = {.lex_state = 8},
  [1267] = {.lex_state = 7},
  [1268] = {.lex_state = 8},
  [1269] = {.lex_state = 7},
  [1270] = {.lex_state = 8},
  [1271] = {.lex_state = 7},
  [1272] = {.lex_state = 8},
  [1273] = {.lex_state = 7},
  [1274] = {.lex_state = 8},
  [1275] = {.lex_state = 7},
  [1276] = {.lex_state = 8},
  [1277] = {.lex_state = 8},
  [1278] = {.lex_state = 8},
  [1279] = {.lex_state = 7},
  [1280] = {.lex_state = 8},
  [1281] = {.lex_state = 8},
  [1282] = {.lex_state = 8},
  [1283] = {.lex_state = 8},
  [1284] = {.lex_state = 7},
  [1285] = {.lex_state = 7},
  [1286] = {.lex_state = 7},
  [1287] = {.lex_state = 8},
  [1288] = {.lex_state = 8},
  [1289] = {.lex_state = 7},
  [1290] = {.lex_state = 8},
  [1291] = {.lex_state = 8},
  [1292] = {.lex_state = 8},
  [1293] = {.lex_state = 7},
  [1294] = {.lex_state = 8},
  [1295] = {.lex_state = 7},
  [1296] = {.lex_state = 7},
  [1297] = {.lex_state = 7},
  [1298] = {.lex_state = 8},
  [1299] = {.lex_state = 8},
  [1300] = {.lex_state = 7},
  [1301] = {.lex_state = 7},
  [1302] = {.lex_state = 7},
  [1303] = {.lex_state = 8},
  [1304] = {.lex_state = 8},
  [1305] = {.lex_state = 7},
  [1306] = {.lex_state = 8},
  [1307] = {.lex_state = 8},
  [1308] = {.lex_state = 8},
  [1309] = {.lex_state = 7},
  [1310] = {.lex_state = 8},
  [1311] = {.lex_state = 8},
  [1312] = {.lex_state = 7},
  [1313] = {.lex_state = 8},
  [1314] = {.lex_state = 7},
  [1315] = {.lex_state = 7},
  [1316] = {.lex_state = 8},
  [1317] = {.lex_state = 8},
  [1318] = {.lex_state = 7},
  [1319] = {.lex_state = 7},
  [1320] = {.lex_state = 7},
  [1321] = {.lex_state = 7},
  [1322] = {.lex_state = 8},
  [1323] = {.lex_state = 7},
  [1324] = {.lex_state = 1527},
  [1325] = {.lex_state = 8},
  [1326] = {.lex_state = 7},
  [1327] = {.lex_state = 8},
  [1328] = {.lex_state = 8},
  [1329] = {.lex_state = 8},
  [1330] = {.lex_state = 7},
  [1331] = {.lex_state = 8},
  [1332] = {.lex_state = 7},
  [1333] = {.lex_state = 7},
  [1334] = {.lex_state = 8},
  [1335] = {.lex_state = 7},
  [1336] = {.lex_state = 8},
  [1337] = {.lex_state = 8},
  [1338] = {.lex_state = 1527},
  [1339] = {.lex_state = 8},
  [1340] = {.lex_state = 8},
  [1341] = {.lex_state = 7},
  [1342] = {.lex_state = 7},
  [1343] = {.lex_state = 8},
  [1344] = {.lex_state = 8},
  [1345] = {.lex_state = 8},
  [1346] = {.lex_state = 8},
  [1347] = {.lex_state = 8},
  [1348] = {.lex_state = 8},
  [1349] = {.lex_state = 8},
  [1350] = {.lex_state = 7},
  [1351] = {.lex_state = 7},
  [1352] = {.lex_state = 8},
  [1353] = {.lex_state = 7},
  [1354] = {.lex_state = 7},
  [1355] = {.lex_state = 7},
  [1356] = {.lex_state = 8},
  [1357] = {.lex_state = 7},
  [1358] = {.lex_state = 8},
  [1359] = {.lex_state = 1527},
  [1360] = {.lex_state = 7},
  [1361] = {.lex_state = 8},
  [1362] = {.lex_state = 8},
  [1363] = {.lex_state = 7},
  [1364] = {.lex_state = 8},
  [1365] = {.lex_state = 1527},
  [1366] = {.lex_state = 1527},
  [1367] = {.lex_state = 1527},
  [1368] = {.lex_state = 8},
  [1369] = {.lex_state = 7},
  [1370] = {.lex_state = 7},
  [1371] = {.lex_state = 1527},
  [1372] = {.lex_state = 7},
  [1373] = {.lex_state = 1527},
  [1374] = {.lex_state = 8},
  [1375] = {.lex_state = 1527},
  [1376] = {.lex_state = 7},
  [1377] = {.lex_state = 7},
  [1378] = {.lex_state = 7},
  [1379] = {.lex_state = 8},
  [1380] = {.lex_state = 8},
  [1381] = {.lex_state = 8},
  [1382] = {.lex_state = 8},
  [1383] = {.lex_state = 7},
  [1384] = {.lex_state = 7},
  [1385] = {.lex_state = 1527},
  [1386] = {.lex_state = 8},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1),
    [aux_sym_boolean_token1] = ACTIONS(1),
    [aux_sym_boolean_token2] = ACTIONS(1),
    [aux_sym_boolean_token3] = ACTIONS(1),
    [aux_sym_boolean_token4] = ACTIONS(1),
    [aux_sym_host_token1] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_match_token1] = ACTIONS(1),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1),
    [aux_sym_address_family_token1] = ACTIONS(1),
    [aux_sym_address_family_value_token1] = ACTIONS(1),
    [aux_sym_address_family_value_token2] = ACTIONS(1),
    [aux_sym_address_family_value_token3] = ACTIONS(1),
    [aux_sym_batch_mode_token1] = ACTIONS(1),
    [aux_sym_bind_address_token1] = ACTIONS(1),
    [aux_sym_bind_interface_token1] = ACTIONS(1),
    [aux_sym_canonical_domains_token1] = ACTIONS(1),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1),
    [aux_sym_canonicalize_hostname_value_token1] = ACTIONS(1),
    [aux_sym_canonicalize_hostname_value_token2] = ACTIONS(1),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1),
    [aux_sym_certificate_file_token1] = ACTIONS(1),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1),
    [aux_sym_channel_timeout_token1] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(1),
    [aux_sym_check_host_ip_token1] = ACTIONS(1),
    [aux_sym_ciphers_token1] = ACTIONS(1),
    [aux_sym_cipher_token1] = ACTIONS(1),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1),
    [aux_sym_compression_token1] = ACTIONS(1),
    [aux_sym_connection_attempts_token1] = ACTIONS(1),
    [aux_sym_connect_timeout_token1] = ACTIONS(1),
    [aux_sym_control_master_token1] = ACTIONS(1),
    [aux_sym_control_master_value_token1] = ACTIONS(1),
    [aux_sym_control_master_value_token2] = ACTIONS(1),
    [aux_sym_control_master_value_token3] = ACTIONS(1),
    [aux_sym_control_path_token1] = ACTIONS(1),
    [aux_sym_control_persist_token1] = ACTIONS(1),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1),
    [aux_sym_escape_char_token1] = ACTIONS(1),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1),
    [anon_sym_md5] = ACTIONS(1),
    [anon_sym_sha256] = ACTIONS(1),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1),
    [aux_sym_forward_agent_token1] = ACTIONS(1),
    [aux_sym_forward_x11_token1] = ACTIONS(1),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1),
    [aux_sym_gateway_ports_token1] = ACTIONS(1),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1),
    [aux_sym_host_key_alias_token1] = ACTIONS(1),
    [aux_sym_hostname_token1] = ACTIONS(1),
    [aux_sym_identities_only_token1] = ACTIONS(1),
    [aux_sym_identity_agent_token1] = ACTIONS(1),
    [aux_sym_identity_file_token1] = ACTIONS(1),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1),
    [aux_sym_include_token1] = ACTIONS(1),
    [aux_sym_ip_qos_token1] = ACTIONS(1),
    [anon_sym_af11] = ACTIONS(1),
    [anon_sym_af12] = ACTIONS(1),
    [anon_sym_af13] = ACTIONS(1),
    [anon_sym_af21] = ACTIONS(1),
    [anon_sym_af22] = ACTIONS(1),
    [anon_sym_af23] = ACTIONS(1),
    [anon_sym_af31] = ACTIONS(1),
    [anon_sym_af32] = ACTIONS(1),
    [anon_sym_af33] = ACTIONS(1),
    [anon_sym_af41] = ACTIONS(1),
    [anon_sym_af42] = ACTIONS(1),
    [anon_sym_af43] = ACTIONS(1),
    [anon_sym_cs0] = ACTIONS(1),
    [anon_sym_cs1] = ACTIONS(1),
    [anon_sym_cs2] = ACTIONS(1),
    [anon_sym_cs3] = ACTIONS(1),
    [anon_sym_cs4] = ACTIONS(1),
    [anon_sym_cs5] = ACTIONS(1),
    [anon_sym_cs6] = ACTIONS(1),
    [anon_sym_cs7] = ACTIONS(1),
    [anon_sym_ef] = ACTIONS(1),
    [anon_sym_le] = ACTIONS(1),
    [anon_sym_lowdelay] = ACTIONS(1),
    [anon_sym_throughput] = ACTIONS(1),
    [anon_sym_reliability] = ACTIONS(1),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1),
    [aux_sym_local_command_token1] = ACTIONS(1),
    [aux_sym_local_forward_token1] = ACTIONS(1),
    [aux_sym_log_level_token1] = ACTIONS(1),
    [aux_sym_log_level_value_token1] = ACTIONS(1),
    [aux_sym_log_level_value_token2] = ACTIONS(1),
    [aux_sym_log_level_value_token3] = ACTIONS(1),
    [aux_sym_log_level_value_token4] = ACTIONS(1),
    [aux_sym_log_level_value_token5] = ACTIONS(1),
    [aux_sym_log_level_value_token6] = ACTIONS(1),
    [aux_sym_log_level_value_token7] = ACTIONS(1),
    [aux_sym_log_level_value_token8] = ACTIONS(1),
    [aux_sym_log_level_value_token9] = ACTIONS(1),
    [aux_sym_log_verbose_token1] = ACTIONS(1),
    [aux_sym_macs_token1] = ACTIONS(1),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1),
    [aux_sym_obscure_keystroke_timing_value_token1] = ACTIONS(1),
    [aux_sym_password_authentication_token1] = ACTIONS(1),
    [aux_sym_permit_local_command_token1] = ACTIONS(1),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1),
    [aux_sym_port_token1] = ACTIONS(1),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1),
    [aux_sym_protocol_token1] = ACTIONS(1),
    [anon_sym_1] = ACTIONS(1),
    [anon_sym_2] = ACTIONS(1),
    [aux_sym_proxy_command_token1] = ACTIONS(1),
    [aux_sym_proxy_jump_token1] = ACTIONS(1),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1),
    [aux_sym_pubkey_authentication_value_token1] = ACTIONS(1),
    [aux_sym_pubkey_authentication_value_token2] = ACTIONS(1),
    [aux_sym_rekey_limit_token1] = ACTIONS(1),
    [aux_sym_remote_command_token1] = ACTIONS(1),
    [aux_sym_remote_forward_token1] = ACTIONS(1),
    [aux_sym_request_tty_token1] = ACTIONS(1),
    [aux_sym_request_tty_value_token1] = ACTIONS(1),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1),
    [aux_sym_security_key_provider_token1] = ACTIONS(1),
    [aux_sym_send_env_token1] = ACTIONS(1),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1),
    [aux_sym_session_type_token1] = ACTIONS(1),
    [aux_sym_session_type_value_token1] = ACTIONS(1),
    [aux_sym_session_type_value_token2] = ACTIONS(1),
    [aux_sym_set_env_token1] = ACTIONS(1),
    [aux_sym_stdin_null_token1] = ACTIONS(1),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1),
    [aux_sym_strict_host_key_checking_value_token1] = ACTIONS(1),
    [aux_sym_strict_host_key_checking_value_token2] = ACTIONS(1),
    [aux_sym_syslog_facility_token1] = ACTIONS(1),
    [anon_sym_DAEMON] = ACTIONS(1),
    [anon_sym_USER] = ACTIONS(1),
    [anon_sym_AUTH] = ACTIONS(1),
    [anon_sym_LOCAL0] = ACTIONS(1),
    [anon_sym_LOCAL1] = ACTIONS(1),
    [anon_sym_LOCAL2] = ACTIONS(1),
    [anon_sym_LOCAL3] = ACTIONS(1),
    [anon_sym_LOCAL4] = ACTIONS(1),
    [anon_sym_LOCAL5] = ACTIONS(1),
    [anon_sym_LOCAL6] = ACTIONS(1),
    [anon_sym_LOCAL7] = ACTIONS(1),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1),
    [aux_sym_keep_alive_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_tunnel_token1] = ACTIONS(1),
    [aux_sym_tunnel_value_token1] = ACTIONS(1),
    [aux_sym_tunnel_value_token2] = ACTIONS(1),
    [aux_sym_tunnel_device_token1] = ACTIONS(1),
    [aux_sym_update_host_keys_token1] = ACTIONS(1),
    [aux_sym_use_keychain_token1] = ACTIONS(1),
    [aux_sym_user_token1] = ACTIONS(1),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1),
    [aux_sym_version_addendum_token1] = ACTIONS(1),
    [aux_sym_visual_host_key_token1] = ACTIONS(1),
    [aux_sym_xauth_location_token1] = ACTIONS(1),
  },
  [1] = {
    [sym_client_config] = STATE(1389),
    [sym__option] = STATE(2),
    [sym_host] = STATE(2),
    [sym_match] = STATE(2),
    [sym_add_keys_to_agent] = STATE(2),
    [sym_address_family] = STATE(2),
    [sym_batch_mode] = STATE(2),
    [sym_bind_address] = STATE(2),
    [sym_bind_interface] = STATE(2),
    [sym_canonical_domains] = STATE(2),
    [sym_canonicalize_fallback_local] = STATE(2),
    [sym_canonicalize_hostname] = STATE(2),
    [sym_canonicalize_max_dots] = STATE(2),
    [sym_canonicalize_permitted_cnames] = STATE(2),
    [sym_ca_signature_algorithms] = STATE(2),
    [sym_certificate_file] = STATE(2),
    [sym_challenge_response_authentication] = STATE(2),
    [sym_channel_timeout] = STATE(2),
    [sym_check_host_ip] = STATE(2),
    [sym_ciphers] = STATE(2),
    [sym_cipher] = STATE(2),
    [sym_clear_all_forwardings] = STATE(2),
    [sym_compression] = STATE(2),
    [sym_connection_attempts] = STATE(2),
    [sym_connect_timeout] = STATE(2),
    [sym_control_master] = STATE(2),
    [sym_control_path] = STATE(2),
    [sym_control_persist] = STATE(2),
    [sym_dynamic_forward] = STATE(2),
    [sym_enable_escape_commandline] = STATE(2),
    [sym_enable_ssh_keysign] = STATE(2),
    [sym_escape_char] = STATE(2),
    [sym_exit_on_forward_failure] = STATE(2),
    [sym_fingerprint_hash] = STATE(2),
    [sym_fork_after_authentication] = STATE(2),
    [sym_forward_agent] = STATE(2),
    [sym_forward_x11] = STATE(2),
    [sym_forward_x11_timeout] = STATE(2),
    [sym_forward_x11_trusted] = STATE(2),
    [sym_gateway_ports] = STATE(2),
    [sym_global_known_hosts_file] = STATE(2),
    [sym_gssapi_authentication] = STATE(2),
    [sym_gssapi_client_identity] = STATE(2),
    [sym_gssapi_delegate_credentials] = STATE(2),
    [sym_gssapi_key_exchange] = STATE(2),
    [sym_gssapi_renewal_forces_rekey] = STATE(2),
    [sym_gssapi_server_identity] = STATE(2),
    [sym_gssapi_trust_dns] = STATE(2),
    [sym_gssapi_kex_algorithms] = STATE(2),
    [sym_hash_known_hosts] = STATE(2),
    [sym_hostbased_accepted_algorithms] = STATE(2),
    [sym_hostbased_authentication] = STATE(2),
    [sym_host_key_algorithms] = STATE(2),
    [sym_host_key_alias] = STATE(2),
    [sym_hostname] = STATE(2),
    [sym_identities_only] = STATE(2),
    [sym_identity_agent] = STATE(2),
    [sym_identity_file] = STATE(2),
    [sym_ignore_unknown] = STATE(2),
    [sym_include] = STATE(2),
    [sym_ip_qos] = STATE(2),
    [sym_kbd_interactive_authentication] = STATE(2),
    [sym_kbd_interactive_devices] = STATE(2),
    [sym_kex_algorithms] = STATE(2),
    [sym_known_hosts_command] = STATE(2),
    [sym_local_command] = STATE(2),
    [sym_local_forward] = STATE(2),
    [sym_log_level] = STATE(2),
    [sym_log_verbose] = STATE(2),
    [sym_macs] = STATE(2),
    [sym_no_host_authentication_for_localhost] = STATE(2),
    [sym_number_of_password_prompts] = STATE(2),
    [sym_obscure_keystroke_timing] = STATE(2),
    [sym_password_authentication] = STATE(2),
    [sym_permit_local_command] = STATE(2),
    [sym_permit_remote_open] = STATE(2),
    [sym_pkcs11_provider] = STATE(2),
    [sym_port] = STATE(2),
    [sym_preferred_authentications] = STATE(2),
    [sym_protocol] = STATE(2),
    [sym_proxy_command] = STATE(2),
    [sym_proxy_jump] = STATE(2),
    [sym_proxy_use_fdpass] = STATE(2),
    [sym_pubkey_accepted_algorithms] = STATE(2),
    [sym_pubkey_accepted_key_types] = STATE(2),
    [sym_pubkey_authentication] = STATE(2),
    [sym_rekey_limit] = STATE(2),
    [sym_remote_command] = STATE(2),
    [sym_remote_forward] = STATE(2),
    [sym_request_tty] = STATE(2),
    [sym_required_rsa_size] = STATE(2),
    [sym_revoked_host_keys] = STATE(2),
    [sym_security_key_provider] = STATE(2),
    [sym_send_env] = STATE(2),
    [sym_server_alive_count_max] = STATE(2),
    [sym_server_alive_interval] = STATE(2),
    [sym_session_type] = STATE(2),
    [sym_set_env] = STATE(2),
    [sym_stdin_null] = STATE(2),
    [sym_stream_local_bind_mask] = STATE(2),
    [sym_stream_local_bind_unlink] = STATE(2),
    [sym_strict_host_key_checking] = STATE(2),
    [sym_syslog_facility] = STATE(2),
    [sym_tcp_keep_alive] = STATE(2),
    [sym_keep_alive] = STATE(2),
    [sym_tag] = STATE(2),
    [sym_tunnel] = STATE(2),
    [sym_tunnel_device] = STATE(2),
    [sym_update_host_keys] = STATE(2),
    [sym_use_keychain] = STATE(2),
    [sym_use_roaming] = STATE(2),
    [sym_user] = STATE(2),
    [sym_user_known_hosts_file] = STATE(2),
    [sym_verify_host_key_dns] = STATE(2),
    [sym_version_addendum] = STATE(2),
    [sym_visual_host_key] = STATE(2),
    [sym_xauth_location] = STATE(2),
    [aux_sym_client_config_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(7),
    [aux_sym_match_token1] = ACTIONS(9),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(11),
    [aux_sym_address_family_token1] = ACTIONS(13),
    [aux_sym_batch_mode_token1] = ACTIONS(15),
    [aux_sym_bind_address_token1] = ACTIONS(17),
    [aux_sym_bind_interface_token1] = ACTIONS(19),
    [aux_sym_canonical_domains_token1] = ACTIONS(21),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(23),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(25),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(27),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(29),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(31),
    [aux_sym_certificate_file_token1] = ACTIONS(33),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(35),
    [aux_sym_channel_timeout_token1] = ACTIONS(37),
    [aux_sym_check_host_ip_token1] = ACTIONS(39),
    [aux_sym_ciphers_token1] = ACTIONS(41),
    [aux_sym_cipher_token1] = ACTIONS(43),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(45),
    [aux_sym_compression_token1] = ACTIONS(47),
    [aux_sym_connection_attempts_token1] = ACTIONS(49),
    [aux_sym_connect_timeout_token1] = ACTIONS(51),
    [aux_sym_control_master_token1] = ACTIONS(53),
    [aux_sym_control_path_token1] = ACTIONS(55),
    [aux_sym_control_persist_token1] = ACTIONS(57),
    [aux_sym_dynamic_forward_token1] = ACTIONS(59),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(61),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(63),
    [aux_sym_escape_char_token1] = ACTIONS(65),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(67),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(69),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(71),
    [aux_sym_forward_agent_token1] = ACTIONS(73),
    [aux_sym_forward_x11_token1] = ACTIONS(75),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(77),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(79),
    [aux_sym_gateway_ports_token1] = ACTIONS(81),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(83),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(85),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(87),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(89),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(91),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(93),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(95),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(97),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(99),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(101),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(103),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(105),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(107),
    [aux_sym_host_key_alias_token1] = ACTIONS(109),
    [aux_sym_hostname_token1] = ACTIONS(111),
    [aux_sym_identities_only_token1] = ACTIONS(113),
    [aux_sym_identity_agent_token1] = ACTIONS(115),
    [aux_sym_identity_file_token1] = ACTIONS(117),
    [aux_sym_ignore_unknown_token1] = ACTIONS(119),
    [aux_sym_include_token1] = ACTIONS(121),
    [aux_sym_ip_qos_token1] = ACTIONS(123),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(125),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(129),
    [aux_sym_known_hosts_command_token1] = ACTIONS(131),
    [aux_sym_local_command_token1] = ACTIONS(133),
    [aux_sym_local_forward_token1] = ACTIONS(135),
    [aux_sym_log_level_token1] = ACTIONS(137),
    [aux_sym_log_verbose_token1] = ACTIONS(139),
    [aux_sym_macs_token1] = ACTIONS(141),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(143),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(147),
    [aux_sym_password_authentication_token1] = ACTIONS(149),
    [aux_sym_permit_local_command_token1] = ACTIONS(151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(153),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(155),
    [aux_sym_port_token1] = ACTIONS(157),
    [aux_sym_preferred_authentications_token1] = ACTIONS(159),
    [aux_sym_protocol_token1] = ACTIONS(161),
    [aux_sym_proxy_command_token1] = ACTIONS(163),
    [aux_sym_proxy_jump_token1] = ACTIONS(165),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(167),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(169),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(171),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(173),
    [aux_sym_rekey_limit_token1] = ACTIONS(175),
    [aux_sym_remote_command_token1] = ACTIONS(177),
    [aux_sym_remote_forward_token1] = ACTIONS(179),
    [aux_sym_request_tty_token1] = ACTIONS(181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(183),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(185),
    [aux_sym_security_key_provider_token1] = ACTIONS(187),
    [aux_sym_send_env_token1] = ACTIONS(189),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(191),
    [aux_sym_server_alive_interval_token1] = ACTIONS(193),
    [aux_sym_session_type_token1] = ACTIONS(195),
    [aux_sym_set_env_token1] = ACTIONS(197),
    [aux_sym_stdin_null_token1] = ACTIONS(199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(201),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(203),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(205),
    [aux_sym_syslog_facility_token1] = ACTIONS(207),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(209),
    [aux_sym_keep_alive_token1] = ACTIONS(211),
    [aux_sym_tag_token1] = ACTIONS(213),
    [aux_sym_tunnel_token1] = ACTIONS(215),
    [aux_sym_tunnel_device_token1] = ACTIONS(217),
    [aux_sym_update_host_keys_token1] = ACTIONS(219),
    [aux_sym_use_keychain_token1] = ACTIONS(221),
    [aux_sym_use_roaming_token1] = ACTIONS(223),
    [aux_sym_user_token1] = ACTIONS(225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(227),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(229),
    [aux_sym_version_addendum_token1] = ACTIONS(231),
    [aux_sym_visual_host_key_token1] = ACTIONS(233),
    [aux_sym_xauth_location_token1] = ACTIONS(235),
  },
  [2] = {
    [sym__option] = STATE(3),
    [sym_host] = STATE(3),
    [sym_match] = STATE(3),
    [sym_add_keys_to_agent] = STATE(3),
    [sym_address_family] = STATE(3),
    [sym_batch_mode] = STATE(3),
    [sym_bind_address] = STATE(3),
    [sym_bind_interface] = STATE(3),
    [sym_canonical_domains] = STATE(3),
    [sym_canonicalize_fallback_local] = STATE(3),
    [sym_canonicalize_hostname] = STATE(3),
    [sym_canonicalize_max_dots] = STATE(3),
    [sym_canonicalize_permitted_cnames] = STATE(3),
    [sym_ca_signature_algorithms] = STATE(3),
    [sym_certificate_file] = STATE(3),
    [sym_challenge_response_authentication] = STATE(3),
    [sym_channel_timeout] = STATE(3),
    [sym_check_host_ip] = STATE(3),
    [sym_ciphers] = STATE(3),
    [sym_cipher] = STATE(3),
    [sym_clear_all_forwardings] = STATE(3),
    [sym_compression] = STATE(3),
    [sym_connection_attempts] = STATE(3),
    [sym_connect_timeout] = STATE(3),
    [sym_control_master] = STATE(3),
    [sym_control_path] = STATE(3),
    [sym_control_persist] = STATE(3),
    [sym_dynamic_forward] = STATE(3),
    [sym_enable_escape_commandline] = STATE(3),
    [sym_enable_ssh_keysign] = STATE(3),
    [sym_escape_char] = STATE(3),
    [sym_exit_on_forward_failure] = STATE(3),
    [sym_fingerprint_hash] = STATE(3),
    [sym_fork_after_authentication] = STATE(3),
    [sym_forward_agent] = STATE(3),
    [sym_forward_x11] = STATE(3),
    [sym_forward_x11_timeout] = STATE(3),
    [sym_forward_x11_trusted] = STATE(3),
    [sym_gateway_ports] = STATE(3),
    [sym_global_known_hosts_file] = STATE(3),
    [sym_gssapi_authentication] = STATE(3),
    [sym_gssapi_client_identity] = STATE(3),
    [sym_gssapi_delegate_credentials] = STATE(3),
    [sym_gssapi_key_exchange] = STATE(3),
    [sym_gssapi_renewal_forces_rekey] = STATE(3),
    [sym_gssapi_server_identity] = STATE(3),
    [sym_gssapi_trust_dns] = STATE(3),
    [sym_gssapi_kex_algorithms] = STATE(3),
    [sym_hash_known_hosts] = STATE(3),
    [sym_hostbased_accepted_algorithms] = STATE(3),
    [sym_hostbased_authentication] = STATE(3),
    [sym_host_key_algorithms] = STATE(3),
    [sym_host_key_alias] = STATE(3),
    [sym_hostname] = STATE(3),
    [sym_identities_only] = STATE(3),
    [sym_identity_agent] = STATE(3),
    [sym_identity_file] = STATE(3),
    [sym_ignore_unknown] = STATE(3),
    [sym_include] = STATE(3),
    [sym_ip_qos] = STATE(3),
    [sym_kbd_interactive_authentication] = STATE(3),
    [sym_kbd_interactive_devices] = STATE(3),
    [sym_kex_algorithms] = STATE(3),
    [sym_known_hosts_command] = STATE(3),
    [sym_local_command] = STATE(3),
    [sym_local_forward] = STATE(3),
    [sym_log_level] = STATE(3),
    [sym_log_verbose] = STATE(3),
    [sym_macs] = STATE(3),
    [sym_no_host_authentication_for_localhost] = STATE(3),
    [sym_number_of_password_prompts] = STATE(3),
    [sym_obscure_keystroke_timing] = STATE(3),
    [sym_password_authentication] = STATE(3),
    [sym_permit_local_command] = STATE(3),
    [sym_permit_remote_open] = STATE(3),
    [sym_pkcs11_provider] = STATE(3),
    [sym_port] = STATE(3),
    [sym_preferred_authentications] = STATE(3),
    [sym_protocol] = STATE(3),
    [sym_proxy_command] = STATE(3),
    [sym_proxy_jump] = STATE(3),
    [sym_proxy_use_fdpass] = STATE(3),
    [sym_pubkey_accepted_algorithms] = STATE(3),
    [sym_pubkey_accepted_key_types] = STATE(3),
    [sym_pubkey_authentication] = STATE(3),
    [sym_rekey_limit] = STATE(3),
    [sym_remote_command] = STATE(3),
    [sym_remote_forward] = STATE(3),
    [sym_request_tty] = STATE(3),
    [sym_required_rsa_size] = STATE(3),
    [sym_revoked_host_keys] = STATE(3),
    [sym_security_key_provider] = STATE(3),
    [sym_send_env] = STATE(3),
    [sym_server_alive_count_max] = STATE(3),
    [sym_server_alive_interval] = STATE(3),
    [sym_session_type] = STATE(3),
    [sym_set_env] = STATE(3),
    [sym_stdin_null] = STATE(3),
    [sym_stream_local_bind_mask] = STATE(3),
    [sym_stream_local_bind_unlink] = STATE(3),
    [sym_strict_host_key_checking] = STATE(3),
    [sym_syslog_facility] = STATE(3),
    [sym_tcp_keep_alive] = STATE(3),
    [sym_keep_alive] = STATE(3),
    [sym_tag] = STATE(3),
    [sym_tunnel] = STATE(3),
    [sym_tunnel_device] = STATE(3),
    [sym_update_host_keys] = STATE(3),
    [sym_use_keychain] = STATE(3),
    [sym_use_roaming] = STATE(3),
    [sym_user] = STATE(3),
    [sym_user_known_hosts_file] = STATE(3),
    [sym_verify_host_key_dns] = STATE(3),
    [sym_version_addendum] = STATE(3),
    [sym_visual_host_key] = STATE(3),
    [sym_xauth_location] = STATE(3),
    [aux_sym_client_config_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(7),
    [aux_sym_match_token1] = ACTIONS(9),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(11),
    [aux_sym_address_family_token1] = ACTIONS(13),
    [aux_sym_batch_mode_token1] = ACTIONS(15),
    [aux_sym_bind_address_token1] = ACTIONS(17),
    [aux_sym_bind_interface_token1] = ACTIONS(19),
    [aux_sym_canonical_domains_token1] = ACTIONS(21),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(23),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(25),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(27),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(29),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(31),
    [aux_sym_certificate_file_token1] = ACTIONS(33),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(35),
    [aux_sym_channel_timeout_token1] = ACTIONS(37),
    [aux_sym_check_host_ip_token1] = ACTIONS(39),
    [aux_sym_ciphers_token1] = ACTIONS(41),
    [aux_sym_cipher_token1] = ACTIONS(43),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(45),
    [aux_sym_compression_token1] = ACTIONS(47),
    [aux_sym_connection_attempts_token1] = ACTIONS(49),
    [aux_sym_connect_timeout_token1] = ACTIONS(51),
    [aux_sym_control_master_token1] = ACTIONS(53),
    [aux_sym_control_path_token1] = ACTIONS(55),
    [aux_sym_control_persist_token1] = ACTIONS(57),
    [aux_sym_dynamic_forward_token1] = ACTIONS(59),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(61),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(63),
    [aux_sym_escape_char_token1] = ACTIONS(65),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(67),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(69),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(71),
    [aux_sym_forward_agent_token1] = ACTIONS(73),
    [aux_sym_forward_x11_token1] = ACTIONS(75),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(77),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(79),
    [aux_sym_gateway_ports_token1] = ACTIONS(81),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(83),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(85),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(87),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(89),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(91),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(93),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(95),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(97),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(99),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(101),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(103),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(105),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(107),
    [aux_sym_host_key_alias_token1] = ACTIONS(109),
    [aux_sym_hostname_token1] = ACTIONS(111),
    [aux_sym_identities_only_token1] = ACTIONS(113),
    [aux_sym_identity_agent_token1] = ACTIONS(115),
    [aux_sym_identity_file_token1] = ACTIONS(117),
    [aux_sym_ignore_unknown_token1] = ACTIONS(119),
    [aux_sym_include_token1] = ACTIONS(121),
    [aux_sym_ip_qos_token1] = ACTIONS(123),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(125),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(129),
    [aux_sym_known_hosts_command_token1] = ACTIONS(131),
    [aux_sym_local_command_token1] = ACTIONS(133),
    [aux_sym_local_forward_token1] = ACTIONS(135),
    [aux_sym_log_level_token1] = ACTIONS(137),
    [aux_sym_log_verbose_token1] = ACTIONS(139),
    [aux_sym_macs_token1] = ACTIONS(141),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(143),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(147),
    [aux_sym_password_authentication_token1] = ACTIONS(149),
    [aux_sym_permit_local_command_token1] = ACTIONS(151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(153),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(155),
    [aux_sym_port_token1] = ACTIONS(157),
    [aux_sym_preferred_authentications_token1] = ACTIONS(159),
    [aux_sym_protocol_token1] = ACTIONS(161),
    [aux_sym_proxy_command_token1] = ACTIONS(163),
    [aux_sym_proxy_jump_token1] = ACTIONS(165),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(167),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(169),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(171),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(173),
    [aux_sym_rekey_limit_token1] = ACTIONS(175),
    [aux_sym_remote_command_token1] = ACTIONS(177),
    [aux_sym_remote_forward_token1] = ACTIONS(179),
    [aux_sym_request_tty_token1] = ACTIONS(181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(183),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(185),
    [aux_sym_security_key_provider_token1] = ACTIONS(187),
    [aux_sym_send_env_token1] = ACTIONS(189),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(191),
    [aux_sym_server_alive_interval_token1] = ACTIONS(193),
    [aux_sym_session_type_token1] = ACTIONS(195),
    [aux_sym_set_env_token1] = ACTIONS(197),
    [aux_sym_stdin_null_token1] = ACTIONS(199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(201),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(203),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(205),
    [aux_sym_syslog_facility_token1] = ACTIONS(207),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(209),
    [aux_sym_keep_alive_token1] = ACTIONS(211),
    [aux_sym_tag_token1] = ACTIONS(213),
    [aux_sym_tunnel_token1] = ACTIONS(215),
    [aux_sym_tunnel_device_token1] = ACTIONS(217),
    [aux_sym_update_host_keys_token1] = ACTIONS(219),
    [aux_sym_use_keychain_token1] = ACTIONS(221),
    [aux_sym_use_roaming_token1] = ACTIONS(223),
    [aux_sym_user_token1] = ACTIONS(225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(227),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(229),
    [aux_sym_version_addendum_token1] = ACTIONS(231),
    [aux_sym_visual_host_key_token1] = ACTIONS(233),
    [aux_sym_xauth_location_token1] = ACTIONS(235),
  },
  [3] = {
    [sym__option] = STATE(3),
    [sym_host] = STATE(3),
    [sym_match] = STATE(3),
    [sym_add_keys_to_agent] = STATE(3),
    [sym_address_family] = STATE(3),
    [sym_batch_mode] = STATE(3),
    [sym_bind_address] = STATE(3),
    [sym_bind_interface] = STATE(3),
    [sym_canonical_domains] = STATE(3),
    [sym_canonicalize_fallback_local] = STATE(3),
    [sym_canonicalize_hostname] = STATE(3),
    [sym_canonicalize_max_dots] = STATE(3),
    [sym_canonicalize_permitted_cnames] = STATE(3),
    [sym_ca_signature_algorithms] = STATE(3),
    [sym_certificate_file] = STATE(3),
    [sym_challenge_response_authentication] = STATE(3),
    [sym_channel_timeout] = STATE(3),
    [sym_check_host_ip] = STATE(3),
    [sym_ciphers] = STATE(3),
    [sym_cipher] = STATE(3),
    [sym_clear_all_forwardings] = STATE(3),
    [sym_compression] = STATE(3),
    [sym_connection_attempts] = STATE(3),
    [sym_connect_timeout] = STATE(3),
    [sym_control_master] = STATE(3),
    [sym_control_path] = STATE(3),
    [sym_control_persist] = STATE(3),
    [sym_dynamic_forward] = STATE(3),
    [sym_enable_escape_commandline] = STATE(3),
    [sym_enable_ssh_keysign] = STATE(3),
    [sym_escape_char] = STATE(3),
    [sym_exit_on_forward_failure] = STATE(3),
    [sym_fingerprint_hash] = STATE(3),
    [sym_fork_after_authentication] = STATE(3),
    [sym_forward_agent] = STATE(3),
    [sym_forward_x11] = STATE(3),
    [sym_forward_x11_timeout] = STATE(3),
    [sym_forward_x11_trusted] = STATE(3),
    [sym_gateway_ports] = STATE(3),
    [sym_global_known_hosts_file] = STATE(3),
    [sym_gssapi_authentication] = STATE(3),
    [sym_gssapi_client_identity] = STATE(3),
    [sym_gssapi_delegate_credentials] = STATE(3),
    [sym_gssapi_key_exchange] = STATE(3),
    [sym_gssapi_renewal_forces_rekey] = STATE(3),
    [sym_gssapi_server_identity] = STATE(3),
    [sym_gssapi_trust_dns] = STATE(3),
    [sym_gssapi_kex_algorithms] = STATE(3),
    [sym_hash_known_hosts] = STATE(3),
    [sym_hostbased_accepted_algorithms] = STATE(3),
    [sym_hostbased_authentication] = STATE(3),
    [sym_host_key_algorithms] = STATE(3),
    [sym_host_key_alias] = STATE(3),
    [sym_hostname] = STATE(3),
    [sym_identities_only] = STATE(3),
    [sym_identity_agent] = STATE(3),
    [sym_identity_file] = STATE(3),
    [sym_ignore_unknown] = STATE(3),
    [sym_include] = STATE(3),
    [sym_ip_qos] = STATE(3),
    [sym_kbd_interactive_authentication] = STATE(3),
    [sym_kbd_interactive_devices] = STATE(3),
    [sym_kex_algorithms] = STATE(3),
    [sym_known_hosts_command] = STATE(3),
    [sym_local_command] = STATE(3),
    [sym_local_forward] = STATE(3),
    [sym_log_level] = STATE(3),
    [sym_log_verbose] = STATE(3),
    [sym_macs] = STATE(3),
    [sym_no_host_authentication_for_localhost] = STATE(3),
    [sym_number_of_password_prompts] = STATE(3),
    [sym_obscure_keystroke_timing] = STATE(3),
    [sym_password_authentication] = STATE(3),
    [sym_permit_local_command] = STATE(3),
    [sym_permit_remote_open] = STATE(3),
    [sym_pkcs11_provider] = STATE(3),
    [sym_port] = STATE(3),
    [sym_preferred_authentications] = STATE(3),
    [sym_protocol] = STATE(3),
    [sym_proxy_command] = STATE(3),
    [sym_proxy_jump] = STATE(3),
    [sym_proxy_use_fdpass] = STATE(3),
    [sym_pubkey_accepted_algorithms] = STATE(3),
    [sym_pubkey_accepted_key_types] = STATE(3),
    [sym_pubkey_authentication] = STATE(3),
    [sym_rekey_limit] = STATE(3),
    [sym_remote_command] = STATE(3),
    [sym_remote_forward] = STATE(3),
    [sym_request_tty] = STATE(3),
    [sym_required_rsa_size] = STATE(3),
    [sym_revoked_host_keys] = STATE(3),
    [sym_security_key_provider] = STATE(3),
    [sym_send_env] = STATE(3),
    [sym_server_alive_count_max] = STATE(3),
    [sym_server_alive_interval] = STATE(3),
    [sym_session_type] = STATE(3),
    [sym_set_env] = STATE(3),
    [sym_stdin_null] = STATE(3),
    [sym_stream_local_bind_mask] = STATE(3),
    [sym_stream_local_bind_unlink] = STATE(3),
    [sym_strict_host_key_checking] = STATE(3),
    [sym_syslog_facility] = STATE(3),
    [sym_tcp_keep_alive] = STATE(3),
    [sym_keep_alive] = STATE(3),
    [sym_tag] = STATE(3),
    [sym_tunnel] = STATE(3),
    [sym_tunnel_device] = STATE(3),
    [sym_update_host_keys] = STATE(3),
    [sym_use_keychain] = STATE(3),
    [sym_use_roaming] = STATE(3),
    [sym_user] = STATE(3),
    [sym_user_known_hosts_file] = STATE(3),
    [sym_verify_host_key_dns] = STATE(3),
    [sym_version_addendum] = STATE(3),
    [sym_visual_host_key] = STATE(3),
    [sym_xauth_location] = STATE(3),
    [aux_sym_client_config_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(239),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(241),
    [aux_sym_match_token1] = ACTIONS(244),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(247),
    [aux_sym_address_family_token1] = ACTIONS(250),
    [aux_sym_batch_mode_token1] = ACTIONS(253),
    [aux_sym_bind_address_token1] = ACTIONS(256),
    [aux_sym_bind_interface_token1] = ACTIONS(259),
    [aux_sym_canonical_domains_token1] = ACTIONS(262),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(265),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(268),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(271),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(274),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(277),
    [aux_sym_certificate_file_token1] = ACTIONS(280),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(283),
    [aux_sym_channel_timeout_token1] = ACTIONS(286),
    [aux_sym_check_host_ip_token1] = ACTIONS(289),
    [aux_sym_ciphers_token1] = ACTIONS(292),
    [aux_sym_cipher_token1] = ACTIONS(295),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(298),
    [aux_sym_compression_token1] = ACTIONS(301),
    [aux_sym_connection_attempts_token1] = ACTIONS(304),
    [aux_sym_connect_timeout_token1] = ACTIONS(307),
    [aux_sym_control_master_token1] = ACTIONS(310),
    [aux_sym_control_path_token1] = ACTIONS(313),
    [aux_sym_control_persist_token1] = ACTIONS(316),
    [aux_sym_dynamic_forward_token1] = ACTIONS(319),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(322),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(325),
    [aux_sym_escape_char_token1] = ACTIONS(328),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(331),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(334),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(337),
    [aux_sym_forward_agent_token1] = ACTIONS(340),
    [aux_sym_forward_x11_token1] = ACTIONS(343),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(346),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(349),
    [aux_sym_gateway_ports_token1] = ACTIONS(352),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(355),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(358),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(361),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(364),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(367),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(370),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(373),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(376),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(379),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(382),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(385),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(388),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(391),
    [aux_sym_host_key_alias_token1] = ACTIONS(394),
    [aux_sym_hostname_token1] = ACTIONS(397),
    [aux_sym_identities_only_token1] = ACTIONS(400),
    [aux_sym_identity_agent_token1] = ACTIONS(403),
    [aux_sym_identity_file_token1] = ACTIONS(406),
    [aux_sym_ignore_unknown_token1] = ACTIONS(409),
    [aux_sym_include_token1] = ACTIONS(412),
    [aux_sym_ip_qos_token1] = ACTIONS(415),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(418),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(421),
    [aux_sym_kex_algorithms_token1] = ACTIONS(424),
    [aux_sym_known_hosts_command_token1] = ACTIONS(427),
    [aux_sym_local_command_token1] = ACTIONS(430),
    [aux_sym_local_forward_token1] = ACTIONS(433),
    [aux_sym_log_level_token1] = ACTIONS(436),
    [aux_sym_log_verbose_token1] = ACTIONS(439),
    [aux_sym_macs_token1] = ACTIONS(442),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(445),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(448),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(451),
    [aux_sym_password_authentication_token1] = ACTIONS(454),
    [aux_sym_permit_local_command_token1] = ACTIONS(457),
    [aux_sym_permit_remote_open_token1] = ACTIONS(460),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(463),
    [aux_sym_port_token1] = ACTIONS(466),
    [aux_sym_preferred_authentications_token1] = ACTIONS(469),
    [aux_sym_protocol_token1] = ACTIONS(472),
    [aux_sym_proxy_command_token1] = ACTIONS(475),
    [aux_sym_proxy_jump_token1] = ACTIONS(478),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(481),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(484),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(487),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(490),
    [aux_sym_rekey_limit_token1] = ACTIONS(493),
    [aux_sym_remote_command_token1] = ACTIONS(496),
    [aux_sym_remote_forward_token1] = ACTIONS(499),
    [aux_sym_request_tty_token1] = ACTIONS(502),
    [aux_sym_required_rsa_size_token1] = ACTIONS(505),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(508),
    [aux_sym_security_key_provider_token1] = ACTIONS(511),
    [aux_sym_send_env_token1] = ACTIONS(514),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(517),
    [aux_sym_server_alive_interval_token1] = ACTIONS(520),
    [aux_sym_session_type_token1] = ACTIONS(523),
    [aux_sym_set_env_token1] = ACTIONS(526),
    [aux_sym_stdin_null_token1] = ACTIONS(529),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(532),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(535),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(538),
    [aux_sym_syslog_facility_token1] = ACTIONS(541),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(544),
    [aux_sym_keep_alive_token1] = ACTIONS(547),
    [aux_sym_tag_token1] = ACTIONS(550),
    [aux_sym_tunnel_token1] = ACTIONS(553),
    [aux_sym_tunnel_device_token1] = ACTIONS(556),
    [aux_sym_update_host_keys_token1] = ACTIONS(559),
    [aux_sym_use_keychain_token1] = ACTIONS(562),
    [aux_sym_use_roaming_token1] = ACTIONS(565),
    [aux_sym_user_token1] = ACTIONS(568),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(571),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(574),
    [aux_sym_version_addendum_token1] = ACTIONS(577),
    [aux_sym_visual_host_key_token1] = ACTIONS(580),
    [aux_sym_xauth_location_token1] = ACTIONS(583),
  },
  [4] = {
    [sym_channel_timeout_type] = STATE(1388),
    [aux_sym__channel_timeout_value] = STATE(6),
    [ts_builtin_sym_end] = ACTIONS(586),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(588),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [aux_sym_match_token1] = ACTIONS(586),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(586),
    [aux_sym_address_family_token1] = ACTIONS(586),
    [aux_sym_batch_mode_token1] = ACTIONS(586),
    [aux_sym_bind_address_token1] = ACTIONS(586),
    [aux_sym_bind_interface_token1] = ACTIONS(586),
    [aux_sym_canonical_domains_token1] = ACTIONS(586),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(586),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(586),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(586),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(586),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(586),
    [aux_sym_certificate_file_token1] = ACTIONS(586),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(586),
    [aux_sym_channel_timeout_token1] = ACTIONS(586),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(594),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(592),
    [aux_sym_check_host_ip_token1] = ACTIONS(586),
    [aux_sym_ciphers_token1] = ACTIONS(586),
    [aux_sym_cipher_token1] = ACTIONS(588),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(586),
    [aux_sym_compression_token1] = ACTIONS(586),
    [aux_sym_connection_attempts_token1] = ACTIONS(586),
    [aux_sym_connect_timeout_token1] = ACTIONS(586),
    [aux_sym_control_master_token1] = ACTIONS(586),
    [aux_sym_control_path_token1] = ACTIONS(586),
    [aux_sym_control_persist_token1] = ACTIONS(586),
    [aux_sym_dynamic_forward_token1] = ACTIONS(586),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(586),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(586),
    [aux_sym_escape_char_token1] = ACTIONS(586),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(586),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(586),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(586),
    [aux_sym_forward_agent_token1] = ACTIONS(586),
    [aux_sym_forward_x11_token1] = ACTIONS(588),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(586),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(586),
    [aux_sym_gateway_ports_token1] = ACTIONS(586),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(586),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(586),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(586),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(586),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(586),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(586),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(586),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(586),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(586),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(586),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(586),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(586),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(586),
    [aux_sym_host_key_alias_token1] = ACTIONS(586),
    [aux_sym_hostname_token1] = ACTIONS(586),
    [aux_sym_identities_only_token1] = ACTIONS(586),
    [aux_sym_identity_agent_token1] = ACTIONS(586),
    [aux_sym_identity_file_token1] = ACTIONS(586),
    [aux_sym_ignore_unknown_token1] = ACTIONS(586),
    [aux_sym_include_token1] = ACTIONS(586),
    [aux_sym_ip_qos_token1] = ACTIONS(586),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(586),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(586),
    [aux_sym_kex_algorithms_token1] = ACTIONS(586),
    [aux_sym_known_hosts_command_token1] = ACTIONS(586),
    [aux_sym_local_command_token1] = ACTIONS(586),
    [aux_sym_local_forward_token1] = ACTIONS(586),
    [aux_sym_log_level_token1] = ACTIONS(586),
    [aux_sym_log_verbose_token1] = ACTIONS(586),
    [aux_sym_macs_token1] = ACTIONS(586),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(586),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(586),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(586),
    [aux_sym_password_authentication_token1] = ACTIONS(586),
    [aux_sym_permit_local_command_token1] = ACTIONS(586),
    [aux_sym_permit_remote_open_token1] = ACTIONS(586),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(586),
    [aux_sym_port_token1] = ACTIONS(586),
    [aux_sym_preferred_authentications_token1] = ACTIONS(586),
    [aux_sym_protocol_token1] = ACTIONS(586),
    [aux_sym_proxy_command_token1] = ACTIONS(586),
    [aux_sym_proxy_jump_token1] = ACTIONS(586),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(586),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(586),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(586),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(586),
    [aux_sym_rekey_limit_token1] = ACTIONS(586),
    [aux_sym_remote_command_token1] = ACTIONS(586),
    [aux_sym_remote_forward_token1] = ACTIONS(586),
    [aux_sym_request_tty_token1] = ACTIONS(586),
    [aux_sym_required_rsa_size_token1] = ACTIONS(586),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(586),
    [aux_sym_security_key_provider_token1] = ACTIONS(586),
    [aux_sym_send_env_token1] = ACTIONS(586),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(586),
    [aux_sym_server_alive_interval_token1] = ACTIONS(586),
    [aux_sym_session_type_token1] = ACTIONS(586),
    [aux_sym_set_env_token1] = ACTIONS(586),
    [aux_sym_stdin_null_token1] = ACTIONS(586),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(586),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(586),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(586),
    [aux_sym_syslog_facility_token1] = ACTIONS(586),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(586),
    [aux_sym_keep_alive_token1] = ACTIONS(586),
    [aux_sym_tag_token1] = ACTIONS(586),
    [aux_sym_tunnel_token1] = ACTIONS(588),
    [aux_sym_tunnel_device_token1] = ACTIONS(586),
    [aux_sym_update_host_keys_token1] = ACTIONS(586),
    [aux_sym_use_keychain_token1] = ACTIONS(586),
    [aux_sym_use_roaming_token1] = ACTIONS(586),
    [aux_sym_user_token1] = ACTIONS(588),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(586),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(586),
    [aux_sym_version_addendum_token1] = ACTIONS(586),
    [aux_sym_visual_host_key_token1] = ACTIONS(586),
    [aux_sym_xauth_location_token1] = ACTIONS(586),
  },
  [5] = {
    [sym_channel_timeout_type] = STATE(1388),
    [aux_sym__channel_timeout_value] = STATE(6),
    [ts_builtin_sym_end] = ACTIONS(596),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(598),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [aux_sym_match_token1] = ACTIONS(596),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(596),
    [aux_sym_address_family_token1] = ACTIONS(596),
    [aux_sym_batch_mode_token1] = ACTIONS(596),
    [aux_sym_bind_address_token1] = ACTIONS(596),
    [aux_sym_bind_interface_token1] = ACTIONS(596),
    [aux_sym_canonical_domains_token1] = ACTIONS(596),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(596),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(596),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(596),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(596),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(596),
    [aux_sym_certificate_file_token1] = ACTIONS(596),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(596),
    [aux_sym_channel_timeout_token1] = ACTIONS(596),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(594),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(592),
    [aux_sym_check_host_ip_token1] = ACTIONS(596),
    [aux_sym_ciphers_token1] = ACTIONS(596),
    [aux_sym_cipher_token1] = ACTIONS(598),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(596),
    [aux_sym_compression_token1] = ACTIONS(596),
    [aux_sym_connection_attempts_token1] = ACTIONS(596),
    [aux_sym_connect_timeout_token1] = ACTIONS(596),
    [aux_sym_control_master_token1] = ACTIONS(596),
    [aux_sym_control_path_token1] = ACTIONS(596),
    [aux_sym_control_persist_token1] = ACTIONS(596),
    [aux_sym_dynamic_forward_token1] = ACTIONS(596),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(596),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(596),
    [aux_sym_escape_char_token1] = ACTIONS(596),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(596),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(596),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(596),
    [aux_sym_forward_agent_token1] = ACTIONS(596),
    [aux_sym_forward_x11_token1] = ACTIONS(598),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(596),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(596),
    [aux_sym_gateway_ports_token1] = ACTIONS(596),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(596),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(596),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(596),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(596),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(596),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(596),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(596),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(596),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(596),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(596),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(596),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(596),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(596),
    [aux_sym_host_key_alias_token1] = ACTIONS(596),
    [aux_sym_hostname_token1] = ACTIONS(596),
    [aux_sym_identities_only_token1] = ACTIONS(596),
    [aux_sym_identity_agent_token1] = ACTIONS(596),
    [aux_sym_identity_file_token1] = ACTIONS(596),
    [aux_sym_ignore_unknown_token1] = ACTIONS(596),
    [aux_sym_include_token1] = ACTIONS(596),
    [aux_sym_ip_qos_token1] = ACTIONS(596),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(596),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(596),
    [aux_sym_kex_algorithms_token1] = ACTIONS(596),
    [aux_sym_known_hosts_command_token1] = ACTIONS(596),
    [aux_sym_local_command_token1] = ACTIONS(596),
    [aux_sym_local_forward_token1] = ACTIONS(596),
    [aux_sym_log_level_token1] = ACTIONS(596),
    [aux_sym_log_verbose_token1] = ACTIONS(596),
    [aux_sym_macs_token1] = ACTIONS(596),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(596),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(596),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(596),
    [aux_sym_password_authentication_token1] = ACTIONS(596),
    [aux_sym_permit_local_command_token1] = ACTIONS(596),
    [aux_sym_permit_remote_open_token1] = ACTIONS(596),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(596),
    [aux_sym_port_token1] = ACTIONS(596),
    [aux_sym_preferred_authentications_token1] = ACTIONS(596),
    [aux_sym_protocol_token1] = ACTIONS(596),
    [aux_sym_proxy_command_token1] = ACTIONS(596),
    [aux_sym_proxy_jump_token1] = ACTIONS(596),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(596),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(596),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(596),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(596),
    [aux_sym_rekey_limit_token1] = ACTIONS(596),
    [aux_sym_remote_command_token1] = ACTIONS(596),
    [aux_sym_remote_forward_token1] = ACTIONS(596),
    [aux_sym_request_tty_token1] = ACTIONS(596),
    [aux_sym_required_rsa_size_token1] = ACTIONS(596),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(596),
    [aux_sym_security_key_provider_token1] = ACTIONS(596),
    [aux_sym_send_env_token1] = ACTIONS(596),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(596),
    [aux_sym_server_alive_interval_token1] = ACTIONS(596),
    [aux_sym_session_type_token1] = ACTIONS(596),
    [aux_sym_set_env_token1] = ACTIONS(596),
    [aux_sym_stdin_null_token1] = ACTIONS(596),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(596),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(596),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(596),
    [aux_sym_syslog_facility_token1] = ACTIONS(596),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(596),
    [aux_sym_keep_alive_token1] = ACTIONS(596),
    [aux_sym_tag_token1] = ACTIONS(596),
    [aux_sym_tunnel_token1] = ACTIONS(598),
    [aux_sym_tunnel_device_token1] = ACTIONS(596),
    [aux_sym_update_host_keys_token1] = ACTIONS(596),
    [aux_sym_use_keychain_token1] = ACTIONS(596),
    [aux_sym_use_roaming_token1] = ACTIONS(596),
    [aux_sym_user_token1] = ACTIONS(598),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(596),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(596),
    [aux_sym_version_addendum_token1] = ACTIONS(596),
    [aux_sym_visual_host_key_token1] = ACTIONS(596),
    [aux_sym_xauth_location_token1] = ACTIONS(596),
  },
  [6] = {
    [sym_channel_timeout_type] = STATE(1388),
    [aux_sym__channel_timeout_value] = STATE(6),
    [ts_builtin_sym_end] = ACTIONS(602),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(604),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [aux_sym_match_token1] = ACTIONS(602),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(602),
    [aux_sym_address_family_token1] = ACTIONS(602),
    [aux_sym_batch_mode_token1] = ACTIONS(602),
    [aux_sym_bind_address_token1] = ACTIONS(602),
    [aux_sym_bind_interface_token1] = ACTIONS(602),
    [aux_sym_canonical_domains_token1] = ACTIONS(602),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(602),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(602),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(602),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(602),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(602),
    [aux_sym_certificate_file_token1] = ACTIONS(602),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(602),
    [aux_sym_channel_timeout_token1] = ACTIONS(602),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(606),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(606),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(606),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(606),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(606),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(609),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(606),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(606),
    [aux_sym_check_host_ip_token1] = ACTIONS(602),
    [aux_sym_ciphers_token1] = ACTIONS(602),
    [aux_sym_cipher_token1] = ACTIONS(604),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(602),
    [aux_sym_compression_token1] = ACTIONS(602),
    [aux_sym_connection_attempts_token1] = ACTIONS(602),
    [aux_sym_connect_timeout_token1] = ACTIONS(602),
    [aux_sym_control_master_token1] = ACTIONS(602),
    [aux_sym_control_path_token1] = ACTIONS(602),
    [aux_sym_control_persist_token1] = ACTIONS(602),
    [aux_sym_dynamic_forward_token1] = ACTIONS(602),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(602),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(602),
    [aux_sym_escape_char_token1] = ACTIONS(602),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(602),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(602),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(602),
    [aux_sym_forward_agent_token1] = ACTIONS(602),
    [aux_sym_forward_x11_token1] = ACTIONS(604),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(602),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(602),
    [aux_sym_gateway_ports_token1] = ACTIONS(602),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(602),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(602),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(602),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(602),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(602),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(602),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(602),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(602),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(602),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(602),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(602),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(602),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(602),
    [aux_sym_host_key_alias_token1] = ACTIONS(602),
    [aux_sym_hostname_token1] = ACTIONS(602),
    [aux_sym_identities_only_token1] = ACTIONS(602),
    [aux_sym_identity_agent_token1] = ACTIONS(602),
    [aux_sym_identity_file_token1] = ACTIONS(602),
    [aux_sym_ignore_unknown_token1] = ACTIONS(602),
    [aux_sym_include_token1] = ACTIONS(602),
    [aux_sym_ip_qos_token1] = ACTIONS(602),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(602),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(602),
    [aux_sym_kex_algorithms_token1] = ACTIONS(602),
    [aux_sym_known_hosts_command_token1] = ACTIONS(602),
    [aux_sym_local_command_token1] = ACTIONS(602),
    [aux_sym_local_forward_token1] = ACTIONS(602),
    [aux_sym_log_level_token1] = ACTIONS(602),
    [aux_sym_log_verbose_token1] = ACTIONS(602),
    [aux_sym_macs_token1] = ACTIONS(602),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(602),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(602),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(602),
    [aux_sym_password_authentication_token1] = ACTIONS(602),
    [aux_sym_permit_local_command_token1] = ACTIONS(602),
    [aux_sym_permit_remote_open_token1] = ACTIONS(602),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(602),
    [aux_sym_port_token1] = ACTIONS(602),
    [aux_sym_preferred_authentications_token1] = ACTIONS(602),
    [aux_sym_protocol_token1] = ACTIONS(602),
    [aux_sym_proxy_command_token1] = ACTIONS(602),
    [aux_sym_proxy_jump_token1] = ACTIONS(602),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(602),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(602),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(602),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(602),
    [aux_sym_rekey_limit_token1] = ACTIONS(602),
    [aux_sym_remote_command_token1] = ACTIONS(602),
    [aux_sym_remote_forward_token1] = ACTIONS(602),
    [aux_sym_request_tty_token1] = ACTIONS(602),
    [aux_sym_required_rsa_size_token1] = ACTIONS(602),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(602),
    [aux_sym_security_key_provider_token1] = ACTIONS(602),
    [aux_sym_send_env_token1] = ACTIONS(602),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(602),
    [aux_sym_server_alive_interval_token1] = ACTIONS(602),
    [aux_sym_session_type_token1] = ACTIONS(602),
    [aux_sym_set_env_token1] = ACTIONS(602),
    [aux_sym_stdin_null_token1] = ACTIONS(602),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(602),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(602),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(602),
    [aux_sym_syslog_facility_token1] = ACTIONS(602),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(602),
    [aux_sym_keep_alive_token1] = ACTIONS(602),
    [aux_sym_tag_token1] = ACTIONS(602),
    [aux_sym_tunnel_token1] = ACTIONS(604),
    [aux_sym_tunnel_device_token1] = ACTIONS(602),
    [aux_sym_update_host_keys_token1] = ACTIONS(602),
    [aux_sym_use_keychain_token1] = ACTIONS(602),
    [aux_sym_use_roaming_token1] = ACTIONS(602),
    [aux_sym_user_token1] = ACTIONS(604),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(602),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(602),
    [aux_sym_version_addendum_token1] = ACTIONS(602),
    [aux_sym_visual_host_key_token1] = ACTIONS(602),
    [aux_sym_xauth_location_token1] = ACTIONS(602),
  },
  [7] = {
    [sym_channel_timeout_type] = STATE(1388),
    [aux_sym__channel_timeout_value] = STATE(6),
    [ts_builtin_sym_end] = ACTIONS(612),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [aux_sym_match_token1] = ACTIONS(612),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(612),
    [aux_sym_address_family_token1] = ACTIONS(612),
    [aux_sym_batch_mode_token1] = ACTIONS(612),
    [aux_sym_bind_address_token1] = ACTIONS(612),
    [aux_sym_bind_interface_token1] = ACTIONS(612),
    [aux_sym_canonical_domains_token1] = ACTIONS(612),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(612),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(612),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(612),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(612),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(612),
    [aux_sym_certificate_file_token1] = ACTIONS(612),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(612),
    [aux_sym_channel_timeout_token1] = ACTIONS(612),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(594),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(592),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(592),
    [aux_sym_check_host_ip_token1] = ACTIONS(612),
    [aux_sym_ciphers_token1] = ACTIONS(612),
    [aux_sym_cipher_token1] = ACTIONS(614),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(612),
    [aux_sym_compression_token1] = ACTIONS(612),
    [aux_sym_connection_attempts_token1] = ACTIONS(612),
    [aux_sym_connect_timeout_token1] = ACTIONS(612),
    [aux_sym_control_master_token1] = ACTIONS(612),
    [aux_sym_control_path_token1] = ACTIONS(612),
    [aux_sym_control_persist_token1] = ACTIONS(612),
    [aux_sym_dynamic_forward_token1] = ACTIONS(612),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(612),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(612),
    [aux_sym_escape_char_token1] = ACTIONS(612),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(612),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(612),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(612),
    [aux_sym_forward_agent_token1] = ACTIONS(612),
    [aux_sym_forward_x11_token1] = ACTIONS(614),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(612),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(612),
    [aux_sym_gateway_ports_token1] = ACTIONS(612),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(612),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(612),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(612),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(612),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(612),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(612),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(612),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(612),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(612),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(612),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(612),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(612),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(612),
    [aux_sym_host_key_alias_token1] = ACTIONS(612),
    [aux_sym_hostname_token1] = ACTIONS(612),
    [aux_sym_identities_only_token1] = ACTIONS(612),
    [aux_sym_identity_agent_token1] = ACTIONS(612),
    [aux_sym_identity_file_token1] = ACTIONS(612),
    [aux_sym_ignore_unknown_token1] = ACTIONS(612),
    [aux_sym_include_token1] = ACTIONS(612),
    [aux_sym_ip_qos_token1] = ACTIONS(612),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(612),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(612),
    [aux_sym_kex_algorithms_token1] = ACTIONS(612),
    [aux_sym_known_hosts_command_token1] = ACTIONS(612),
    [aux_sym_local_command_token1] = ACTIONS(612),
    [aux_sym_local_forward_token1] = ACTIONS(612),
    [aux_sym_log_level_token1] = ACTIONS(612),
    [aux_sym_log_verbose_token1] = ACTIONS(612),
    [aux_sym_macs_token1] = ACTIONS(612),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(612),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(612),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(612),
    [aux_sym_password_authentication_token1] = ACTIONS(612),
    [aux_sym_permit_local_command_token1] = ACTIONS(612),
    [aux_sym_permit_remote_open_token1] = ACTIONS(612),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(612),
    [aux_sym_port_token1] = ACTIONS(612),
    [aux_sym_preferred_authentications_token1] = ACTIONS(612),
    [aux_sym_protocol_token1] = ACTIONS(612),
    [aux_sym_proxy_command_token1] = ACTIONS(612),
    [aux_sym_proxy_jump_token1] = ACTIONS(612),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(612),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(612),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(612),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(612),
    [aux_sym_rekey_limit_token1] = ACTIONS(612),
    [aux_sym_remote_command_token1] = ACTIONS(612),
    [aux_sym_remote_forward_token1] = ACTIONS(612),
    [aux_sym_request_tty_token1] = ACTIONS(612),
    [aux_sym_required_rsa_size_token1] = ACTIONS(612),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(612),
    [aux_sym_security_key_provider_token1] = ACTIONS(612),
    [aux_sym_send_env_token1] = ACTIONS(612),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(612),
    [aux_sym_server_alive_interval_token1] = ACTIONS(612),
    [aux_sym_session_type_token1] = ACTIONS(612),
    [aux_sym_set_env_token1] = ACTIONS(612),
    [aux_sym_stdin_null_token1] = ACTIONS(612),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(612),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(612),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(612),
    [aux_sym_syslog_facility_token1] = ACTIONS(612),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(612),
    [aux_sym_keep_alive_token1] = ACTIONS(612),
    [aux_sym_tag_token1] = ACTIONS(612),
    [aux_sym_tunnel_token1] = ACTIONS(614),
    [aux_sym_tunnel_device_token1] = ACTIONS(612),
    [aux_sym_update_host_keys_token1] = ACTIONS(612),
    [aux_sym_use_keychain_token1] = ACTIONS(612),
    [aux_sym_use_roaming_token1] = ACTIONS(612),
    [aux_sym_user_token1] = ACTIONS(614),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(612),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(612),
    [aux_sym_version_addendum_token1] = ACTIONS(612),
    [aux_sym_visual_host_key_token1] = ACTIONS(612),
    [aux_sym_xauth_location_token1] = ACTIONS(612),
  },
  [8] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [aux_sym_match_token1] = ACTIONS(618),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(618),
    [aux_sym_address_family_token1] = ACTIONS(618),
    [aux_sym_batch_mode_token1] = ACTIONS(618),
    [aux_sym_bind_address_token1] = ACTIONS(618),
    [aux_sym_bind_interface_token1] = ACTIONS(618),
    [aux_sym_canonical_domains_token1] = ACTIONS(618),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(618),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(618),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(618),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(618),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(618),
    [aux_sym_certificate_file_token1] = ACTIONS(618),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(618),
    [aux_sym_channel_timeout_token1] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(620),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(618),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(618),
    [aux_sym_check_host_ip_token1] = ACTIONS(618),
    [aux_sym_ciphers_token1] = ACTIONS(618),
    [aux_sym_cipher_token1] = ACTIONS(620),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(618),
    [aux_sym_compression_token1] = ACTIONS(618),
    [aux_sym_connection_attempts_token1] = ACTIONS(618),
    [aux_sym_connect_timeout_token1] = ACTIONS(618),
    [aux_sym_control_master_token1] = ACTIONS(618),
    [aux_sym_control_path_token1] = ACTIONS(618),
    [aux_sym_control_persist_token1] = ACTIONS(618),
    [aux_sym_dynamic_forward_token1] = ACTIONS(618),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(618),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(618),
    [aux_sym_escape_char_token1] = ACTIONS(618),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(618),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(618),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(618),
    [aux_sym_forward_agent_token1] = ACTIONS(618),
    [aux_sym_forward_x11_token1] = ACTIONS(620),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(618),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(618),
    [aux_sym_gateway_ports_token1] = ACTIONS(618),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(618),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(618),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(618),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(618),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(618),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(618),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(618),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(618),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(618),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(618),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(618),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(618),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(618),
    [aux_sym_host_key_alias_token1] = ACTIONS(618),
    [aux_sym_hostname_token1] = ACTIONS(618),
    [aux_sym_identities_only_token1] = ACTIONS(618),
    [aux_sym_identity_agent_token1] = ACTIONS(618),
    [aux_sym_identity_file_token1] = ACTIONS(618),
    [aux_sym_ignore_unknown_token1] = ACTIONS(618),
    [aux_sym_include_token1] = ACTIONS(618),
    [aux_sym_ip_qos_token1] = ACTIONS(618),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(618),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(618),
    [aux_sym_kex_algorithms_token1] = ACTIONS(618),
    [aux_sym_known_hosts_command_token1] = ACTIONS(618),
    [aux_sym_local_command_token1] = ACTIONS(618),
    [aux_sym_local_forward_token1] = ACTIONS(618),
    [aux_sym_log_level_token1] = ACTIONS(618),
    [aux_sym_log_verbose_token1] = ACTIONS(618),
    [aux_sym_macs_token1] = ACTIONS(618),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(618),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(618),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(618),
    [aux_sym_password_authentication_token1] = ACTIONS(618),
    [aux_sym_permit_local_command_token1] = ACTIONS(618),
    [aux_sym_permit_remote_open_token1] = ACTIONS(618),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(618),
    [aux_sym_port_token1] = ACTIONS(618),
    [aux_sym_preferred_authentications_token1] = ACTIONS(618),
    [aux_sym_protocol_token1] = ACTIONS(618),
    [aux_sym_proxy_command_token1] = ACTIONS(618),
    [aux_sym_proxy_jump_token1] = ACTIONS(618),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(618),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(618),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(618),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(618),
    [aux_sym_rekey_limit_token1] = ACTIONS(618),
    [aux_sym_remote_command_token1] = ACTIONS(618),
    [aux_sym_remote_forward_token1] = ACTIONS(618),
    [aux_sym_request_tty_token1] = ACTIONS(618),
    [aux_sym_required_rsa_size_token1] = ACTIONS(618),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(618),
    [aux_sym_security_key_provider_token1] = ACTIONS(618),
    [aux_sym_send_env_token1] = ACTIONS(618),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(618),
    [aux_sym_server_alive_interval_token1] = ACTIONS(618),
    [aux_sym_session_type_token1] = ACTIONS(618),
    [aux_sym_set_env_token1] = ACTIONS(618),
    [aux_sym_stdin_null_token1] = ACTIONS(618),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(618),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(618),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(618),
    [aux_sym_syslog_facility_token1] = ACTIONS(618),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(618),
    [aux_sym_keep_alive_token1] = ACTIONS(618),
    [aux_sym_tag_token1] = ACTIONS(618),
    [aux_sym_tunnel_token1] = ACTIONS(620),
    [aux_sym_tunnel_device_token1] = ACTIONS(618),
    [aux_sym_update_host_keys_token1] = ACTIONS(618),
    [aux_sym_use_keychain_token1] = ACTIONS(618),
    [aux_sym_use_roaming_token1] = ACTIONS(618),
    [aux_sym_user_token1] = ACTIONS(620),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(618),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(618),
    [aux_sym_version_addendum_token1] = ACTIONS(618),
    [aux_sym_visual_host_key_token1] = ACTIONS(618),
    [aux_sym_xauth_location_token1] = ACTIONS(618),
  },
  [9] = {
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(626),
    [aux_sym_match_token1] = ACTIONS(622),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(622),
    [aux_sym_address_family_token1] = ACTIONS(622),
    [aux_sym_batch_mode_token1] = ACTIONS(622),
    [aux_sym_bind_address_token1] = ACTIONS(622),
    [aux_sym_bind_interface_token1] = ACTIONS(622),
    [aux_sym_canonical_domains_token1] = ACTIONS(622),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(622),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(622),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(622),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(622),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(622),
    [aux_sym_certificate_file_token1] = ACTIONS(622),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(622),
    [aux_sym_channel_timeout_token1] = ACTIONS(622),
    [aux_sym_check_host_ip_token1] = ACTIONS(622),
    [aux_sym_ciphers_token1] = ACTIONS(622),
    [aux_sym_cipher_token1] = ACTIONS(624),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(622),
    [aux_sym_compression_token1] = ACTIONS(622),
    [aux_sym_connection_attempts_token1] = ACTIONS(622),
    [aux_sym_connect_timeout_token1] = ACTIONS(622),
    [aux_sym_control_master_token1] = ACTIONS(622),
    [aux_sym_control_path_token1] = ACTIONS(622),
    [aux_sym_control_persist_token1] = ACTIONS(622),
    [aux_sym_dynamic_forward_token1] = ACTIONS(622),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(622),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(622),
    [aux_sym_escape_char_token1] = ACTIONS(622),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(622),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(622),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(622),
    [aux_sym_forward_agent_token1] = ACTIONS(622),
    [aux_sym_forward_x11_token1] = ACTIONS(624),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(622),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(622),
    [aux_sym_gateway_ports_token1] = ACTIONS(622),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(622),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(622),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(622),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(622),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(622),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(622),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(622),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(622),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(622),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(622),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(622),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(622),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(622),
    [aux_sym_host_key_alias_token1] = ACTIONS(622),
    [aux_sym_hostname_token1] = ACTIONS(622),
    [aux_sym_identities_only_token1] = ACTIONS(622),
    [aux_sym_identity_agent_token1] = ACTIONS(622),
    [aux_sym_identity_file_token1] = ACTIONS(622),
    [aux_sym_ignore_unknown_token1] = ACTIONS(622),
    [aux_sym_include_token1] = ACTIONS(622),
    [aux_sym_ip_qos_token1] = ACTIONS(622),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(622),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(622),
    [aux_sym_kex_algorithms_token1] = ACTIONS(622),
    [aux_sym_known_hosts_command_token1] = ACTIONS(622),
    [aux_sym_local_command_token1] = ACTIONS(622),
    [aux_sym_local_forward_token1] = ACTIONS(622),
    [aux_sym_log_level_token1] = ACTIONS(622),
    [aux_sym_log_verbose_token1] = ACTIONS(622),
    [aux_sym_macs_token1] = ACTIONS(622),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(622),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(622),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(622),
    [aux_sym_password_authentication_token1] = ACTIONS(622),
    [aux_sym_permit_local_command_token1] = ACTIONS(622),
    [aux_sym_permit_remote_open_token1] = ACTIONS(622),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(622),
    [aux_sym_port_token1] = ACTIONS(622),
    [aux_sym_preferred_authentications_token1] = ACTIONS(622),
    [aux_sym_protocol_token1] = ACTIONS(622),
    [aux_sym_proxy_command_token1] = ACTIONS(622),
    [aux_sym_proxy_jump_token1] = ACTIONS(622),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(622),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(622),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(622),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(622),
    [aux_sym_rekey_limit_token1] = ACTIONS(622),
    [aux_sym_remote_command_token1] = ACTIONS(622),
    [aux_sym_remote_forward_token1] = ACTIONS(622),
    [aux_sym_request_tty_token1] = ACTIONS(622),
    [aux_sym_required_rsa_size_token1] = ACTIONS(622),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(622),
    [aux_sym_security_key_provider_token1] = ACTIONS(622),
    [aux_sym_send_env_token1] = ACTIONS(622),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(622),
    [aux_sym_server_alive_interval_token1] = ACTIONS(622),
    [aux_sym_session_type_token1] = ACTIONS(622),
    [aux_sym_set_env_token1] = ACTIONS(622),
    [aux_sym_stdin_null_token1] = ACTIONS(622),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(622),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(622),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(622),
    [aux_sym_syslog_facility_token1] = ACTIONS(622),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(622),
    [aux_sym_keep_alive_token1] = ACTIONS(622),
    [aux_sym_tag_token1] = ACTIONS(622),
    [aux_sym_tunnel_token1] = ACTIONS(624),
    [aux_sym_tunnel_device_token1] = ACTIONS(622),
    [aux_sym_update_host_keys_token1] = ACTIONS(622),
    [aux_sym_use_keychain_token1] = ACTIONS(622),
    [aux_sym_use_roaming_token1] = ACTIONS(622),
    [aux_sym_user_token1] = ACTIONS(624),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(622),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(622),
    [aux_sym_version_addendum_token1] = ACTIONS(622),
    [aux_sym_visual_host_key_token1] = ACTIONS(622),
    [aux_sym_xauth_location_token1] = ACTIONS(622),
  },
  [10] = {
    [ts_builtin_sym_end] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(630),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [aux_sym_match_token1] = ACTIONS(628),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(628),
    [aux_sym_address_family_token1] = ACTIONS(628),
    [aux_sym_batch_mode_token1] = ACTIONS(628),
    [aux_sym_bind_address_token1] = ACTIONS(628),
    [aux_sym_bind_interface_token1] = ACTIONS(628),
    [aux_sym_canonical_domains_token1] = ACTIONS(628),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(628),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(628),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(628),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(628),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(628),
    [aux_sym_certificate_file_token1] = ACTIONS(628),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(628),
    [aux_sym_channel_timeout_token1] = ACTIONS(628),
    [aux_sym_check_host_ip_token1] = ACTIONS(628),
    [aux_sym_ciphers_token1] = ACTIONS(628),
    [aux_sym_cipher_token1] = ACTIONS(630),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(628),
    [aux_sym_compression_token1] = ACTIONS(628),
    [aux_sym_connection_attempts_token1] = ACTIONS(628),
    [aux_sym_connect_timeout_token1] = ACTIONS(628),
    [aux_sym_control_master_token1] = ACTIONS(628),
    [aux_sym_control_path_token1] = ACTIONS(628),
    [aux_sym_control_persist_token1] = ACTIONS(628),
    [aux_sym_dynamic_forward_token1] = ACTIONS(628),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(628),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(628),
    [aux_sym_escape_char_token1] = ACTIONS(628),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(628),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(628),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(628),
    [aux_sym_forward_agent_token1] = ACTIONS(628),
    [aux_sym_forward_x11_token1] = ACTIONS(630),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(628),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(628),
    [aux_sym_gateway_ports_token1] = ACTIONS(628),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(628),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(628),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(628),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(628),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(628),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(628),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(628),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(628),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(628),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(628),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(628),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(628),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(628),
    [aux_sym_host_key_alias_token1] = ACTIONS(628),
    [aux_sym_hostname_token1] = ACTIONS(628),
    [aux_sym_identities_only_token1] = ACTIONS(628),
    [aux_sym_identity_agent_token1] = ACTIONS(628),
    [aux_sym_identity_file_token1] = ACTIONS(628),
    [aux_sym_ignore_unknown_token1] = ACTIONS(628),
    [aux_sym_include_token1] = ACTIONS(628),
    [aux_sym_ip_qos_token1] = ACTIONS(628),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(628),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(628),
    [aux_sym_kex_algorithms_token1] = ACTIONS(628),
    [aux_sym_known_hosts_command_token1] = ACTIONS(628),
    [aux_sym_local_command_token1] = ACTIONS(628),
    [aux_sym_local_forward_token1] = ACTIONS(628),
    [aux_sym_log_level_token1] = ACTIONS(628),
    [aux_sym_log_verbose_token1] = ACTIONS(628),
    [aux_sym_macs_token1] = ACTIONS(628),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(628),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(628),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(628),
    [aux_sym_password_authentication_token1] = ACTIONS(628),
    [aux_sym_permit_local_command_token1] = ACTIONS(628),
    [aux_sym_permit_remote_open_token1] = ACTIONS(628),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(628),
    [aux_sym_port_token1] = ACTIONS(628),
    [aux_sym_preferred_authentications_token1] = ACTIONS(628),
    [aux_sym_protocol_token1] = ACTIONS(628),
    [aux_sym_proxy_command_token1] = ACTIONS(628),
    [aux_sym_proxy_jump_token1] = ACTIONS(628),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(628),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(628),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(628),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(628),
    [aux_sym_rekey_limit_token1] = ACTIONS(628),
    [aux_sym_remote_command_token1] = ACTIONS(628),
    [aux_sym_remote_forward_token1] = ACTIONS(628),
    [aux_sym_request_tty_token1] = ACTIONS(628),
    [aux_sym_required_rsa_size_token1] = ACTIONS(628),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(628),
    [aux_sym_security_key_provider_token1] = ACTIONS(628),
    [aux_sym_send_env_token1] = ACTIONS(628),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(628),
    [aux_sym_server_alive_interval_token1] = ACTIONS(628),
    [aux_sym_session_type_token1] = ACTIONS(628),
    [aux_sym_set_env_token1] = ACTIONS(628),
    [aux_sym_stdin_null_token1] = ACTIONS(628),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(628),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(628),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(628),
    [aux_sym_syslog_facility_token1] = ACTIONS(628),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(628),
    [aux_sym_keep_alive_token1] = ACTIONS(628),
    [aux_sym_tag_token1] = ACTIONS(628),
    [aux_sym_tunnel_token1] = ACTIONS(630),
    [aux_sym_tunnel_device_token1] = ACTIONS(628),
    [aux_sym_update_host_keys_token1] = ACTIONS(628),
    [aux_sym_use_keychain_token1] = ACTIONS(628),
    [aux_sym_use_roaming_token1] = ACTIONS(628),
    [aux_sym_user_token1] = ACTIONS(630),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(628),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(628),
    [aux_sym_version_addendum_token1] = ACTIONS(628),
    [aux_sym_visual_host_key_token1] = ACTIONS(628),
    [aux_sym_xauth_location_token1] = ACTIONS(628),
  },
  [11] = {
    [ts_builtin_sym_end] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(634),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [aux_sym_match_token1] = ACTIONS(632),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(632),
    [aux_sym_address_family_token1] = ACTIONS(632),
    [aux_sym_batch_mode_token1] = ACTIONS(632),
    [aux_sym_bind_address_token1] = ACTIONS(632),
    [aux_sym_bind_interface_token1] = ACTIONS(632),
    [aux_sym_canonical_domains_token1] = ACTIONS(632),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(632),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(632),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(632),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(632),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(632),
    [aux_sym_certificate_file_token1] = ACTIONS(632),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(632),
    [aux_sym_channel_timeout_token1] = ACTIONS(632),
    [aux_sym_check_host_ip_token1] = ACTIONS(632),
    [aux_sym_ciphers_token1] = ACTIONS(632),
    [aux_sym_cipher_token1] = ACTIONS(634),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(632),
    [aux_sym_compression_token1] = ACTIONS(632),
    [aux_sym_connection_attempts_token1] = ACTIONS(632),
    [aux_sym_connect_timeout_token1] = ACTIONS(632),
    [aux_sym_control_master_token1] = ACTIONS(632),
    [aux_sym_control_path_token1] = ACTIONS(632),
    [aux_sym_control_persist_token1] = ACTIONS(632),
    [aux_sym_dynamic_forward_token1] = ACTIONS(632),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(632),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(632),
    [aux_sym_escape_char_token1] = ACTIONS(632),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(632),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(632),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(632),
    [aux_sym_forward_agent_token1] = ACTIONS(632),
    [aux_sym_forward_x11_token1] = ACTIONS(634),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(632),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(632),
    [aux_sym_gateway_ports_token1] = ACTIONS(632),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(632),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(632),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(632),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(632),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(632),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(632),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(632),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(632),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(632),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(632),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(632),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(632),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(632),
    [aux_sym_host_key_alias_token1] = ACTIONS(632),
    [aux_sym_hostname_token1] = ACTIONS(632),
    [aux_sym_identities_only_token1] = ACTIONS(632),
    [aux_sym_identity_agent_token1] = ACTIONS(632),
    [aux_sym_identity_file_token1] = ACTIONS(632),
    [aux_sym_ignore_unknown_token1] = ACTIONS(632),
    [aux_sym_include_token1] = ACTIONS(632),
    [aux_sym_ip_qos_token1] = ACTIONS(632),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(632),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(632),
    [aux_sym_kex_algorithms_token1] = ACTIONS(632),
    [aux_sym_known_hosts_command_token1] = ACTIONS(632),
    [aux_sym_local_command_token1] = ACTIONS(632),
    [aux_sym_local_forward_token1] = ACTIONS(632),
    [aux_sym_log_level_token1] = ACTIONS(632),
    [aux_sym_log_verbose_token1] = ACTIONS(632),
    [aux_sym_macs_token1] = ACTIONS(632),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(632),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(632),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(632),
    [aux_sym_password_authentication_token1] = ACTIONS(632),
    [aux_sym_permit_local_command_token1] = ACTIONS(632),
    [aux_sym_permit_remote_open_token1] = ACTIONS(632),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(632),
    [aux_sym_port_token1] = ACTIONS(632),
    [aux_sym_preferred_authentications_token1] = ACTIONS(632),
    [aux_sym_protocol_token1] = ACTIONS(632),
    [aux_sym_proxy_command_token1] = ACTIONS(632),
    [aux_sym_proxy_jump_token1] = ACTIONS(632),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(632),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(632),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(632),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(632),
    [aux_sym_rekey_limit_token1] = ACTIONS(632),
    [aux_sym_remote_command_token1] = ACTIONS(632),
    [aux_sym_remote_forward_token1] = ACTIONS(632),
    [aux_sym_request_tty_token1] = ACTIONS(632),
    [aux_sym_required_rsa_size_token1] = ACTIONS(632),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(632),
    [aux_sym_security_key_provider_token1] = ACTIONS(632),
    [aux_sym_send_env_token1] = ACTIONS(632),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(632),
    [aux_sym_server_alive_interval_token1] = ACTIONS(632),
    [aux_sym_session_type_token1] = ACTIONS(632),
    [aux_sym_set_env_token1] = ACTIONS(632),
    [aux_sym_stdin_null_token1] = ACTIONS(632),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(632),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(632),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(632),
    [aux_sym_syslog_facility_token1] = ACTIONS(632),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(632),
    [aux_sym_keep_alive_token1] = ACTIONS(632),
    [aux_sym_tag_token1] = ACTIONS(632),
    [aux_sym_tunnel_token1] = ACTIONS(634),
    [aux_sym_tunnel_device_token1] = ACTIONS(632),
    [aux_sym_update_host_keys_token1] = ACTIONS(632),
    [aux_sym_use_keychain_token1] = ACTIONS(632),
    [aux_sym_use_roaming_token1] = ACTIONS(632),
    [aux_sym_user_token1] = ACTIONS(634),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(632),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(632),
    [aux_sym_version_addendum_token1] = ACTIONS(632),
    [aux_sym_visual_host_key_token1] = ACTIONS(632),
    [aux_sym_xauth_location_token1] = ACTIONS(632),
  },
  [12] = {
    [ts_builtin_sym_end] = ACTIONS(636),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(638),
    [anon_sym_DQUOTE] = ACTIONS(640),
    [aux_sym_match_token1] = ACTIONS(636),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(636),
    [aux_sym_address_family_token1] = ACTIONS(636),
    [aux_sym_batch_mode_token1] = ACTIONS(636),
    [aux_sym_bind_address_token1] = ACTIONS(636),
    [aux_sym_bind_interface_token1] = ACTIONS(636),
    [aux_sym_canonical_domains_token1] = ACTIONS(636),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(636),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(636),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(636),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(636),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(636),
    [aux_sym_certificate_file_token1] = ACTIONS(636),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(636),
    [aux_sym_channel_timeout_token1] = ACTIONS(636),
    [aux_sym_check_host_ip_token1] = ACTIONS(636),
    [aux_sym_ciphers_token1] = ACTIONS(636),
    [aux_sym_cipher_token1] = ACTIONS(638),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(636),
    [aux_sym_compression_token1] = ACTIONS(636),
    [aux_sym_connection_attempts_token1] = ACTIONS(636),
    [aux_sym_connect_timeout_token1] = ACTIONS(636),
    [aux_sym_control_master_token1] = ACTIONS(636),
    [aux_sym_control_path_token1] = ACTIONS(636),
    [aux_sym_control_persist_token1] = ACTIONS(636),
    [aux_sym_dynamic_forward_token1] = ACTIONS(636),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(636),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(636),
    [aux_sym_escape_char_token1] = ACTIONS(636),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(636),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(636),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(636),
    [aux_sym_forward_agent_token1] = ACTIONS(636),
    [aux_sym_forward_x11_token1] = ACTIONS(638),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(636),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(636),
    [aux_sym_gateway_ports_token1] = ACTIONS(636),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(636),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(636),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(636),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(636),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(636),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(636),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(636),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(636),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(636),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(636),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(636),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(636),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(636),
    [aux_sym_host_key_alias_token1] = ACTIONS(636),
    [aux_sym_hostname_token1] = ACTIONS(636),
    [aux_sym_identities_only_token1] = ACTIONS(636),
    [aux_sym_identity_agent_token1] = ACTIONS(636),
    [aux_sym_identity_file_token1] = ACTIONS(636),
    [aux_sym_ignore_unknown_token1] = ACTIONS(636),
    [aux_sym_include_token1] = ACTIONS(636),
    [aux_sym_ip_qos_token1] = ACTIONS(636),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(636),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(636),
    [aux_sym_kex_algorithms_token1] = ACTIONS(636),
    [aux_sym_known_hosts_command_token1] = ACTIONS(636),
    [aux_sym_local_command_token1] = ACTIONS(636),
    [aux_sym_local_forward_token1] = ACTIONS(636),
    [aux_sym_log_level_token1] = ACTIONS(636),
    [aux_sym_log_verbose_token1] = ACTIONS(636),
    [aux_sym_macs_token1] = ACTIONS(636),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(636),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(636),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(636),
    [aux_sym_password_authentication_token1] = ACTIONS(636),
    [aux_sym_permit_local_command_token1] = ACTIONS(636),
    [aux_sym_permit_remote_open_token1] = ACTIONS(636),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(636),
    [aux_sym_port_token1] = ACTIONS(636),
    [aux_sym_preferred_authentications_token1] = ACTIONS(636),
    [aux_sym_protocol_token1] = ACTIONS(636),
    [aux_sym_proxy_command_token1] = ACTIONS(636),
    [aux_sym_proxy_jump_token1] = ACTIONS(636),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(636),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(636),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(636),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(636),
    [aux_sym_rekey_limit_token1] = ACTIONS(636),
    [aux_sym_remote_command_token1] = ACTIONS(636),
    [aux_sym_remote_forward_token1] = ACTIONS(636),
    [aux_sym_request_tty_token1] = ACTIONS(636),
    [aux_sym_required_rsa_size_token1] = ACTIONS(636),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(636),
    [aux_sym_security_key_provider_token1] = ACTIONS(636),
    [aux_sym_send_env_token1] = ACTIONS(636),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(636),
    [aux_sym_server_alive_interval_token1] = ACTIONS(636),
    [aux_sym_session_type_token1] = ACTIONS(636),
    [aux_sym_set_env_token1] = ACTIONS(636),
    [aux_sym_stdin_null_token1] = ACTIONS(636),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(636),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(636),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(636),
    [aux_sym_syslog_facility_token1] = ACTIONS(636),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(636),
    [aux_sym_keep_alive_token1] = ACTIONS(636),
    [aux_sym_tag_token1] = ACTIONS(636),
    [aux_sym_tunnel_token1] = ACTIONS(638),
    [aux_sym_tunnel_device_token1] = ACTIONS(636),
    [aux_sym_update_host_keys_token1] = ACTIONS(636),
    [aux_sym_use_keychain_token1] = ACTIONS(636),
    [aux_sym_use_roaming_token1] = ACTIONS(636),
    [aux_sym_user_token1] = ACTIONS(638),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(636),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(636),
    [aux_sym_version_addendum_token1] = ACTIONS(636),
    [aux_sym_visual_host_key_token1] = ACTIONS(636),
    [aux_sym_xauth_location_token1] = ACTIONS(636),
  },
  [13] = {
    [ts_builtin_sym_end] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(644),
    [anon_sym_DQUOTE] = ACTIONS(642),
    [aux_sym_match_token1] = ACTIONS(642),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(642),
    [aux_sym_address_family_token1] = ACTIONS(642),
    [aux_sym_batch_mode_token1] = ACTIONS(642),
    [aux_sym_bind_address_token1] = ACTIONS(642),
    [aux_sym_bind_interface_token1] = ACTIONS(642),
    [aux_sym_canonical_domains_token1] = ACTIONS(642),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(642),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(642),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(642),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(642),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(642),
    [aux_sym_certificate_file_token1] = ACTIONS(642),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(642),
    [aux_sym_channel_timeout_token1] = ACTIONS(642),
    [aux_sym_check_host_ip_token1] = ACTIONS(642),
    [aux_sym_ciphers_token1] = ACTIONS(642),
    [aux_sym_cipher_token1] = ACTIONS(644),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(642),
    [aux_sym_compression_token1] = ACTIONS(642),
    [aux_sym_connection_attempts_token1] = ACTIONS(642),
    [aux_sym_connect_timeout_token1] = ACTIONS(642),
    [aux_sym_control_master_token1] = ACTIONS(642),
    [aux_sym_control_path_token1] = ACTIONS(642),
    [aux_sym_control_persist_token1] = ACTIONS(642),
    [aux_sym_dynamic_forward_token1] = ACTIONS(642),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(642),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(642),
    [aux_sym_escape_char_token1] = ACTIONS(642),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(642),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(642),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(642),
    [aux_sym_forward_agent_token1] = ACTIONS(642),
    [aux_sym_forward_x11_token1] = ACTIONS(644),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(642),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(642),
    [aux_sym_gateway_ports_token1] = ACTIONS(642),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(642),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(642),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(642),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(642),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(642),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(642),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(642),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(642),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(642),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(642),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(642),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(642),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(642),
    [aux_sym_host_key_alias_token1] = ACTIONS(642),
    [aux_sym_hostname_token1] = ACTIONS(642),
    [aux_sym_identities_only_token1] = ACTIONS(642),
    [aux_sym_identity_agent_token1] = ACTIONS(642),
    [aux_sym_identity_file_token1] = ACTIONS(642),
    [aux_sym_ignore_unknown_token1] = ACTIONS(642),
    [aux_sym_include_token1] = ACTIONS(642),
    [aux_sym_ip_qos_token1] = ACTIONS(642),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(642),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(642),
    [aux_sym_kex_algorithms_token1] = ACTIONS(642),
    [aux_sym_known_hosts_command_token1] = ACTIONS(642),
    [aux_sym_local_command_token1] = ACTIONS(642),
    [aux_sym_local_forward_token1] = ACTIONS(642),
    [aux_sym_log_level_token1] = ACTIONS(642),
    [aux_sym_log_verbose_token1] = ACTIONS(642),
    [aux_sym_macs_token1] = ACTIONS(642),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(642),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(642),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(642),
    [aux_sym_password_authentication_token1] = ACTIONS(642),
    [aux_sym_permit_local_command_token1] = ACTIONS(642),
    [aux_sym_permit_remote_open_token1] = ACTIONS(642),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(642),
    [aux_sym_port_token1] = ACTIONS(642),
    [aux_sym_preferred_authentications_token1] = ACTIONS(642),
    [aux_sym_protocol_token1] = ACTIONS(642),
    [aux_sym_proxy_command_token1] = ACTIONS(642),
    [aux_sym_proxy_jump_token1] = ACTIONS(642),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(642),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(642),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(642),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(642),
    [aux_sym_rekey_limit_token1] = ACTIONS(642),
    [aux_sym_remote_command_token1] = ACTIONS(642),
    [aux_sym_remote_forward_token1] = ACTIONS(642),
    [aux_sym_request_tty_token1] = ACTIONS(642),
    [aux_sym_required_rsa_size_token1] = ACTIONS(642),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(642),
    [aux_sym_security_key_provider_token1] = ACTIONS(642),
    [aux_sym_send_env_token1] = ACTIONS(642),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(642),
    [aux_sym_server_alive_interval_token1] = ACTIONS(642),
    [aux_sym_session_type_token1] = ACTIONS(642),
    [aux_sym_set_env_token1] = ACTIONS(642),
    [aux_sym_stdin_null_token1] = ACTIONS(642),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(642),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(642),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(642),
    [aux_sym_syslog_facility_token1] = ACTIONS(642),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(642),
    [aux_sym_keep_alive_token1] = ACTIONS(642),
    [aux_sym_tag_token1] = ACTIONS(642),
    [aux_sym_tunnel_token1] = ACTIONS(644),
    [aux_sym_tunnel_device_token1] = ACTIONS(642),
    [aux_sym_update_host_keys_token1] = ACTIONS(642),
    [aux_sym_use_keychain_token1] = ACTIONS(642),
    [aux_sym_use_roaming_token1] = ACTIONS(642),
    [aux_sym_user_token1] = ACTIONS(644),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(642),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(642),
    [aux_sym_version_addendum_token1] = ACTIONS(642),
    [aux_sym_visual_host_key_token1] = ACTIONS(642),
    [aux_sym_xauth_location_token1] = ACTIONS(642),
  },
  [14] = {
    [ts_builtin_sym_end] = ACTIONS(646),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [aux_sym_match_token1] = ACTIONS(646),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(646),
    [aux_sym_address_family_token1] = ACTIONS(646),
    [aux_sym_batch_mode_token1] = ACTIONS(646),
    [aux_sym_bind_address_token1] = ACTIONS(646),
    [aux_sym_bind_interface_token1] = ACTIONS(646),
    [aux_sym_canonical_domains_token1] = ACTIONS(646),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(646),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(646),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(646),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(646),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(646),
    [aux_sym_certificate_file_token1] = ACTIONS(646),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(646),
    [aux_sym_channel_timeout_token1] = ACTIONS(646),
    [aux_sym_check_host_ip_token1] = ACTIONS(646),
    [aux_sym_ciphers_token1] = ACTIONS(646),
    [aux_sym_cipher_token1] = ACTIONS(648),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(646),
    [aux_sym_compression_token1] = ACTIONS(646),
    [aux_sym_connection_attempts_token1] = ACTIONS(646),
    [aux_sym_connect_timeout_token1] = ACTIONS(646),
    [aux_sym_control_master_token1] = ACTIONS(646),
    [aux_sym_control_path_token1] = ACTIONS(646),
    [aux_sym_control_persist_token1] = ACTIONS(646),
    [aux_sym_dynamic_forward_token1] = ACTIONS(646),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(646),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(646),
    [aux_sym_escape_char_token1] = ACTIONS(646),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(646),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(646),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(646),
    [aux_sym_forward_agent_token1] = ACTIONS(646),
    [aux_sym_forward_x11_token1] = ACTIONS(648),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(646),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(646),
    [aux_sym_gateway_ports_token1] = ACTIONS(646),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(646),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(646),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(646),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(646),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(646),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(646),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(646),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(646),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(646),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(646),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(646),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(646),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(646),
    [aux_sym_host_key_alias_token1] = ACTIONS(646),
    [aux_sym_hostname_token1] = ACTIONS(646),
    [aux_sym_identities_only_token1] = ACTIONS(646),
    [aux_sym_identity_agent_token1] = ACTIONS(646),
    [aux_sym_identity_file_token1] = ACTIONS(646),
    [aux_sym_ignore_unknown_token1] = ACTIONS(646),
    [aux_sym_include_token1] = ACTIONS(646),
    [aux_sym_ip_qos_token1] = ACTIONS(646),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(646),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(646),
    [aux_sym_kex_algorithms_token1] = ACTIONS(646),
    [aux_sym_known_hosts_command_token1] = ACTIONS(646),
    [aux_sym_local_command_token1] = ACTIONS(646),
    [aux_sym_local_forward_token1] = ACTIONS(646),
    [aux_sym_log_level_token1] = ACTIONS(646),
    [aux_sym_log_verbose_token1] = ACTIONS(646),
    [aux_sym_macs_token1] = ACTIONS(646),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(646),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(646),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(646),
    [aux_sym_password_authentication_token1] = ACTIONS(646),
    [aux_sym_permit_local_command_token1] = ACTIONS(646),
    [aux_sym_permit_remote_open_token1] = ACTIONS(646),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(646),
    [aux_sym_port_token1] = ACTIONS(646),
    [aux_sym_preferred_authentications_token1] = ACTIONS(646),
    [aux_sym_protocol_token1] = ACTIONS(646),
    [aux_sym_proxy_command_token1] = ACTIONS(646),
    [aux_sym_proxy_jump_token1] = ACTIONS(646),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(646),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(646),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(646),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(646),
    [aux_sym_rekey_limit_token1] = ACTIONS(646),
    [aux_sym_remote_command_token1] = ACTIONS(646),
    [aux_sym_remote_forward_token1] = ACTIONS(646),
    [aux_sym_request_tty_token1] = ACTIONS(646),
    [aux_sym_required_rsa_size_token1] = ACTIONS(646),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(646),
    [aux_sym_security_key_provider_token1] = ACTIONS(646),
    [aux_sym_send_env_token1] = ACTIONS(646),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(646),
    [aux_sym_server_alive_interval_token1] = ACTIONS(646),
    [aux_sym_session_type_token1] = ACTIONS(646),
    [aux_sym_set_env_token1] = ACTIONS(646),
    [aux_sym_stdin_null_token1] = ACTIONS(646),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(646),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(646),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(646),
    [aux_sym_syslog_facility_token1] = ACTIONS(646),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(646),
    [aux_sym_keep_alive_token1] = ACTIONS(646),
    [aux_sym_tag_token1] = ACTIONS(646),
    [aux_sym_tunnel_token1] = ACTIONS(648),
    [aux_sym_tunnel_device_token1] = ACTIONS(646),
    [aux_sym_update_host_keys_token1] = ACTIONS(646),
    [aux_sym_use_keychain_token1] = ACTIONS(646),
    [aux_sym_use_roaming_token1] = ACTIONS(646),
    [aux_sym_user_token1] = ACTIONS(648),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(646),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(646),
    [aux_sym_version_addendum_token1] = ACTIONS(646),
    [aux_sym_visual_host_key_token1] = ACTIONS(646),
    [aux_sym_xauth_location_token1] = ACTIONS(646),
  },
  [15] = {
    [ts_builtin_sym_end] = ACTIONS(652),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(654),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [aux_sym_match_token1] = ACTIONS(652),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(652),
    [aux_sym_address_family_token1] = ACTIONS(652),
    [aux_sym_batch_mode_token1] = ACTIONS(652),
    [aux_sym_bind_address_token1] = ACTIONS(652),
    [aux_sym_bind_interface_token1] = ACTIONS(652),
    [aux_sym_canonical_domains_token1] = ACTIONS(652),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(652),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(652),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(652),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(652),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(652),
    [aux_sym_certificate_file_token1] = ACTIONS(652),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(652),
    [aux_sym_channel_timeout_token1] = ACTIONS(652),
    [aux_sym_check_host_ip_token1] = ACTIONS(652),
    [aux_sym_ciphers_token1] = ACTIONS(652),
    [aux_sym_cipher_token1] = ACTIONS(654),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(652),
    [aux_sym_compression_token1] = ACTIONS(652),
    [aux_sym_connection_attempts_token1] = ACTIONS(652),
    [aux_sym_connect_timeout_token1] = ACTIONS(652),
    [aux_sym_control_master_token1] = ACTIONS(652),
    [aux_sym_control_path_token1] = ACTIONS(652),
    [aux_sym_control_persist_token1] = ACTIONS(652),
    [aux_sym_dynamic_forward_token1] = ACTIONS(652),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(652),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(652),
    [aux_sym_escape_char_token1] = ACTIONS(652),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(652),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(652),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(652),
    [aux_sym_forward_agent_token1] = ACTIONS(652),
    [aux_sym_forward_x11_token1] = ACTIONS(654),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(652),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(652),
    [aux_sym_gateway_ports_token1] = ACTIONS(652),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(652),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(652),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(652),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(652),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(652),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(652),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(652),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(652),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(652),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(652),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(652),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(652),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(652),
    [aux_sym_host_key_alias_token1] = ACTIONS(652),
    [aux_sym_hostname_token1] = ACTIONS(652),
    [aux_sym_identities_only_token1] = ACTIONS(652),
    [aux_sym_identity_agent_token1] = ACTIONS(652),
    [aux_sym_identity_file_token1] = ACTIONS(652),
    [aux_sym_ignore_unknown_token1] = ACTIONS(652),
    [aux_sym_include_token1] = ACTIONS(652),
    [aux_sym_ip_qos_token1] = ACTIONS(652),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(652),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(652),
    [aux_sym_kex_algorithms_token1] = ACTIONS(652),
    [aux_sym_known_hosts_command_token1] = ACTIONS(652),
    [aux_sym_local_command_token1] = ACTIONS(652),
    [aux_sym_local_forward_token1] = ACTIONS(652),
    [aux_sym_log_level_token1] = ACTIONS(652),
    [aux_sym_log_verbose_token1] = ACTIONS(652),
    [aux_sym_macs_token1] = ACTIONS(652),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(652),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(652),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(652),
    [aux_sym_password_authentication_token1] = ACTIONS(652),
    [aux_sym_permit_local_command_token1] = ACTIONS(652),
    [aux_sym_permit_remote_open_token1] = ACTIONS(652),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(652),
    [aux_sym_port_token1] = ACTIONS(652),
    [aux_sym_preferred_authentications_token1] = ACTIONS(652),
    [aux_sym_protocol_token1] = ACTIONS(652),
    [aux_sym_proxy_command_token1] = ACTIONS(652),
    [aux_sym_proxy_jump_token1] = ACTIONS(652),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(652),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(652),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(652),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(652),
    [aux_sym_rekey_limit_token1] = ACTIONS(652),
    [aux_sym_remote_command_token1] = ACTIONS(652),
    [aux_sym_remote_forward_token1] = ACTIONS(652),
    [aux_sym_request_tty_token1] = ACTIONS(652),
    [aux_sym_required_rsa_size_token1] = ACTIONS(652),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(652),
    [aux_sym_security_key_provider_token1] = ACTIONS(652),
    [aux_sym_send_env_token1] = ACTIONS(652),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(652),
    [aux_sym_server_alive_interval_token1] = ACTIONS(652),
    [aux_sym_session_type_token1] = ACTIONS(652),
    [aux_sym_set_env_token1] = ACTIONS(652),
    [aux_sym_stdin_null_token1] = ACTIONS(652),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(652),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(652),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(652),
    [aux_sym_syslog_facility_token1] = ACTIONS(652),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(652),
    [aux_sym_keep_alive_token1] = ACTIONS(652),
    [aux_sym_tag_token1] = ACTIONS(652),
    [aux_sym_tunnel_token1] = ACTIONS(654),
    [aux_sym_tunnel_device_token1] = ACTIONS(652),
    [aux_sym_update_host_keys_token1] = ACTIONS(652),
    [aux_sym_use_keychain_token1] = ACTIONS(652),
    [aux_sym_use_roaming_token1] = ACTIONS(652),
    [aux_sym_user_token1] = ACTIONS(654),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(652),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(652),
    [aux_sym_version_addendum_token1] = ACTIONS(652),
    [aux_sym_visual_host_key_token1] = ACTIONS(652),
    [aux_sym_xauth_location_token1] = ACTIONS(652),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(656),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(658),
    [anon_sym_DQUOTE] = ACTIONS(656),
    [aux_sym_match_token1] = ACTIONS(656),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(656),
    [aux_sym_address_family_token1] = ACTIONS(656),
    [aux_sym_batch_mode_token1] = ACTIONS(656),
    [aux_sym_bind_address_token1] = ACTIONS(656),
    [aux_sym_bind_interface_token1] = ACTIONS(656),
    [aux_sym_canonical_domains_token1] = ACTIONS(656),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(656),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(656),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(656),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(656),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(656),
    [aux_sym_certificate_file_token1] = ACTIONS(656),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(656),
    [aux_sym_channel_timeout_token1] = ACTIONS(656),
    [aux_sym_check_host_ip_token1] = ACTIONS(656),
    [aux_sym_ciphers_token1] = ACTIONS(656),
    [aux_sym_cipher_token1] = ACTIONS(658),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(656),
    [aux_sym_compression_token1] = ACTIONS(656),
    [aux_sym_connection_attempts_token1] = ACTIONS(656),
    [aux_sym_connect_timeout_token1] = ACTIONS(656),
    [aux_sym_control_master_token1] = ACTIONS(656),
    [aux_sym_control_path_token1] = ACTIONS(656),
    [aux_sym_control_persist_token1] = ACTIONS(656),
    [aux_sym_dynamic_forward_token1] = ACTIONS(656),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(656),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(656),
    [aux_sym_escape_char_token1] = ACTIONS(656),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(656),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(656),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(656),
    [aux_sym_forward_agent_token1] = ACTIONS(656),
    [aux_sym_forward_x11_token1] = ACTIONS(658),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(656),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(656),
    [aux_sym_gateway_ports_token1] = ACTIONS(656),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(656),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(656),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(656),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(656),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(656),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(656),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(656),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(656),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(656),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(656),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(656),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(656),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(656),
    [aux_sym_host_key_alias_token1] = ACTIONS(656),
    [aux_sym_hostname_token1] = ACTIONS(656),
    [aux_sym_identities_only_token1] = ACTIONS(656),
    [aux_sym_identity_agent_token1] = ACTIONS(656),
    [aux_sym_identity_file_token1] = ACTIONS(656),
    [aux_sym_ignore_unknown_token1] = ACTIONS(656),
    [aux_sym_include_token1] = ACTIONS(656),
    [aux_sym_ip_qos_token1] = ACTIONS(656),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(656),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(656),
    [aux_sym_kex_algorithms_token1] = ACTIONS(656),
    [aux_sym_known_hosts_command_token1] = ACTIONS(656),
    [aux_sym_local_command_token1] = ACTIONS(656),
    [aux_sym_local_forward_token1] = ACTIONS(656),
    [aux_sym_log_level_token1] = ACTIONS(656),
    [aux_sym_log_verbose_token1] = ACTIONS(656),
    [aux_sym_macs_token1] = ACTIONS(656),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(656),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(656),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(656),
    [aux_sym_password_authentication_token1] = ACTIONS(656),
    [aux_sym_permit_local_command_token1] = ACTIONS(656),
    [aux_sym_permit_remote_open_token1] = ACTIONS(656),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(656),
    [aux_sym_port_token1] = ACTIONS(656),
    [aux_sym_preferred_authentications_token1] = ACTIONS(656),
    [aux_sym_protocol_token1] = ACTIONS(656),
    [aux_sym_proxy_command_token1] = ACTIONS(656),
    [aux_sym_proxy_jump_token1] = ACTIONS(656),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(656),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(656),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(656),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(656),
    [aux_sym_rekey_limit_token1] = ACTIONS(656),
    [aux_sym_remote_command_token1] = ACTIONS(656),
    [aux_sym_remote_forward_token1] = ACTIONS(656),
    [aux_sym_request_tty_token1] = ACTIONS(656),
    [aux_sym_required_rsa_size_token1] = ACTIONS(656),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(656),
    [aux_sym_security_key_provider_token1] = ACTIONS(656),
    [aux_sym_send_env_token1] = ACTIONS(656),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(656),
    [aux_sym_server_alive_interval_token1] = ACTIONS(656),
    [aux_sym_session_type_token1] = ACTIONS(656),
    [aux_sym_set_env_token1] = ACTIONS(656),
    [aux_sym_stdin_null_token1] = ACTIONS(656),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(656),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(656),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(656),
    [aux_sym_syslog_facility_token1] = ACTIONS(656),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(656),
    [aux_sym_keep_alive_token1] = ACTIONS(656),
    [aux_sym_tag_token1] = ACTIONS(656),
    [aux_sym_tunnel_token1] = ACTIONS(658),
    [aux_sym_tunnel_device_token1] = ACTIONS(656),
    [aux_sym_update_host_keys_token1] = ACTIONS(656),
    [aux_sym_use_keychain_token1] = ACTIONS(656),
    [aux_sym_use_roaming_token1] = ACTIONS(656),
    [aux_sym_user_token1] = ACTIONS(658),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(656),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(656),
    [aux_sym_version_addendum_token1] = ACTIONS(656),
    [aux_sym_visual_host_key_token1] = ACTIONS(656),
    [aux_sym_xauth_location_token1] = ACTIONS(656),
  },
  [17] = {
    [ts_builtin_sym_end] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(662),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [aux_sym_match_token1] = ACTIONS(660),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(660),
    [aux_sym_address_family_token1] = ACTIONS(660),
    [aux_sym_batch_mode_token1] = ACTIONS(660),
    [aux_sym_bind_address_token1] = ACTIONS(660),
    [aux_sym_bind_interface_token1] = ACTIONS(660),
    [aux_sym_canonical_domains_token1] = ACTIONS(660),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(660),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(660),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(660),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(660),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(660),
    [aux_sym_certificate_file_token1] = ACTIONS(660),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(660),
    [aux_sym_channel_timeout_token1] = ACTIONS(660),
    [aux_sym_check_host_ip_token1] = ACTIONS(660),
    [aux_sym_ciphers_token1] = ACTIONS(660),
    [aux_sym_cipher_token1] = ACTIONS(662),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(660),
    [aux_sym_compression_token1] = ACTIONS(660),
    [aux_sym_connection_attempts_token1] = ACTIONS(660),
    [aux_sym_connect_timeout_token1] = ACTIONS(660),
    [aux_sym_control_master_token1] = ACTIONS(660),
    [aux_sym_control_path_token1] = ACTIONS(660),
    [aux_sym_control_persist_token1] = ACTIONS(660),
    [aux_sym_dynamic_forward_token1] = ACTIONS(660),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(660),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(660),
    [aux_sym_escape_char_token1] = ACTIONS(660),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(660),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(660),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(660),
    [aux_sym_forward_agent_token1] = ACTIONS(660),
    [aux_sym_forward_x11_token1] = ACTIONS(662),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(660),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(660),
    [aux_sym_gateway_ports_token1] = ACTIONS(660),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(660),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(660),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(660),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(660),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(660),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(660),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(660),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(660),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(660),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(660),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(660),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(660),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(660),
    [aux_sym_host_key_alias_token1] = ACTIONS(660),
    [aux_sym_hostname_token1] = ACTIONS(660),
    [aux_sym_identities_only_token1] = ACTIONS(660),
    [aux_sym_identity_agent_token1] = ACTIONS(660),
    [aux_sym_identity_file_token1] = ACTIONS(660),
    [aux_sym_ignore_unknown_token1] = ACTIONS(660),
    [aux_sym_include_token1] = ACTIONS(660),
    [aux_sym_ip_qos_token1] = ACTIONS(660),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(660),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(660),
    [aux_sym_kex_algorithms_token1] = ACTIONS(660),
    [aux_sym_known_hosts_command_token1] = ACTIONS(660),
    [aux_sym_local_command_token1] = ACTIONS(660),
    [aux_sym_local_forward_token1] = ACTIONS(660),
    [aux_sym_log_level_token1] = ACTIONS(660),
    [aux_sym_log_verbose_token1] = ACTIONS(660),
    [aux_sym_macs_token1] = ACTIONS(660),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(660),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(660),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(660),
    [aux_sym_password_authentication_token1] = ACTIONS(660),
    [aux_sym_permit_local_command_token1] = ACTIONS(660),
    [aux_sym_permit_remote_open_token1] = ACTIONS(660),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(660),
    [aux_sym_port_token1] = ACTIONS(660),
    [aux_sym_preferred_authentications_token1] = ACTIONS(660),
    [aux_sym_protocol_token1] = ACTIONS(660),
    [aux_sym_proxy_command_token1] = ACTIONS(660),
    [aux_sym_proxy_jump_token1] = ACTIONS(660),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(660),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(660),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(660),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(660),
    [aux_sym_rekey_limit_token1] = ACTIONS(660),
    [aux_sym_remote_command_token1] = ACTIONS(660),
    [aux_sym_remote_forward_token1] = ACTIONS(660),
    [aux_sym_request_tty_token1] = ACTIONS(660),
    [aux_sym_required_rsa_size_token1] = ACTIONS(660),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(660),
    [aux_sym_security_key_provider_token1] = ACTIONS(660),
    [aux_sym_send_env_token1] = ACTIONS(660),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(660),
    [aux_sym_server_alive_interval_token1] = ACTIONS(660),
    [aux_sym_session_type_token1] = ACTIONS(660),
    [aux_sym_set_env_token1] = ACTIONS(660),
    [aux_sym_stdin_null_token1] = ACTIONS(660),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(660),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(660),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(660),
    [aux_sym_syslog_facility_token1] = ACTIONS(660),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(660),
    [aux_sym_keep_alive_token1] = ACTIONS(660),
    [aux_sym_tag_token1] = ACTIONS(660),
    [aux_sym_tunnel_token1] = ACTIONS(662),
    [aux_sym_tunnel_device_token1] = ACTIONS(660),
    [aux_sym_update_host_keys_token1] = ACTIONS(660),
    [aux_sym_use_keychain_token1] = ACTIONS(660),
    [aux_sym_use_roaming_token1] = ACTIONS(660),
    [aux_sym_user_token1] = ACTIONS(662),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(660),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(660),
    [aux_sym_version_addendum_token1] = ACTIONS(660),
    [aux_sym_visual_host_key_token1] = ACTIONS(660),
    [aux_sym_xauth_location_token1] = ACTIONS(660),
  },
  [18] = {
    [ts_builtin_sym_end] = ACTIONS(666),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(668),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [aux_sym_match_token1] = ACTIONS(666),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(666),
    [aux_sym_address_family_token1] = ACTIONS(666),
    [aux_sym_batch_mode_token1] = ACTIONS(666),
    [aux_sym_bind_address_token1] = ACTIONS(666),
    [aux_sym_bind_interface_token1] = ACTIONS(666),
    [aux_sym_canonical_domains_token1] = ACTIONS(666),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(666),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(666),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(666),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(666),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(666),
    [aux_sym_certificate_file_token1] = ACTIONS(666),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(666),
    [aux_sym_channel_timeout_token1] = ACTIONS(666),
    [aux_sym_check_host_ip_token1] = ACTIONS(666),
    [aux_sym_ciphers_token1] = ACTIONS(666),
    [aux_sym_cipher_token1] = ACTIONS(668),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(666),
    [aux_sym_compression_token1] = ACTIONS(666),
    [aux_sym_connection_attempts_token1] = ACTIONS(666),
    [aux_sym_connect_timeout_token1] = ACTIONS(666),
    [aux_sym_control_master_token1] = ACTIONS(666),
    [aux_sym_control_path_token1] = ACTIONS(666),
    [aux_sym_control_persist_token1] = ACTIONS(666),
    [aux_sym_dynamic_forward_token1] = ACTIONS(666),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(666),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(666),
    [aux_sym_escape_char_token1] = ACTIONS(666),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(666),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(666),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(666),
    [aux_sym_forward_agent_token1] = ACTIONS(666),
    [aux_sym_forward_x11_token1] = ACTIONS(668),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(666),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(666),
    [aux_sym_gateway_ports_token1] = ACTIONS(666),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(666),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(666),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(666),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(666),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(666),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(666),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(666),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(666),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(666),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(666),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(666),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(666),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(666),
    [aux_sym_host_key_alias_token1] = ACTIONS(666),
    [aux_sym_hostname_token1] = ACTIONS(666),
    [aux_sym_identities_only_token1] = ACTIONS(666),
    [aux_sym_identity_agent_token1] = ACTIONS(666),
    [aux_sym_identity_file_token1] = ACTIONS(666),
    [aux_sym_ignore_unknown_token1] = ACTIONS(666),
    [aux_sym_include_token1] = ACTIONS(666),
    [aux_sym_ip_qos_token1] = ACTIONS(666),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(666),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(666),
    [aux_sym_kex_algorithms_token1] = ACTIONS(666),
    [aux_sym_known_hosts_command_token1] = ACTIONS(666),
    [aux_sym_local_command_token1] = ACTIONS(666),
    [aux_sym_local_forward_token1] = ACTIONS(666),
    [aux_sym_log_level_token1] = ACTIONS(666),
    [aux_sym_log_verbose_token1] = ACTIONS(666),
    [aux_sym_macs_token1] = ACTIONS(666),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(666),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(666),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(666),
    [aux_sym_password_authentication_token1] = ACTIONS(666),
    [aux_sym_permit_local_command_token1] = ACTIONS(666),
    [aux_sym_permit_remote_open_token1] = ACTIONS(666),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(666),
    [aux_sym_port_token1] = ACTIONS(666),
    [aux_sym_preferred_authentications_token1] = ACTIONS(666),
    [aux_sym_protocol_token1] = ACTIONS(666),
    [aux_sym_proxy_command_token1] = ACTIONS(666),
    [aux_sym_proxy_jump_token1] = ACTIONS(666),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(666),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(666),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(666),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(666),
    [aux_sym_rekey_limit_token1] = ACTIONS(666),
    [aux_sym_remote_command_token1] = ACTIONS(666),
    [aux_sym_remote_forward_token1] = ACTIONS(666),
    [aux_sym_request_tty_token1] = ACTIONS(666),
    [aux_sym_required_rsa_size_token1] = ACTIONS(666),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(666),
    [aux_sym_security_key_provider_token1] = ACTIONS(666),
    [aux_sym_send_env_token1] = ACTIONS(666),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(666),
    [aux_sym_server_alive_interval_token1] = ACTIONS(666),
    [aux_sym_session_type_token1] = ACTIONS(666),
    [aux_sym_set_env_token1] = ACTIONS(666),
    [aux_sym_stdin_null_token1] = ACTIONS(666),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(666),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(666),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(666),
    [aux_sym_syslog_facility_token1] = ACTIONS(666),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(666),
    [aux_sym_keep_alive_token1] = ACTIONS(666),
    [aux_sym_tag_token1] = ACTIONS(666),
    [aux_sym_tunnel_token1] = ACTIONS(668),
    [aux_sym_tunnel_device_token1] = ACTIONS(666),
    [aux_sym_update_host_keys_token1] = ACTIONS(666),
    [aux_sym_use_keychain_token1] = ACTIONS(666),
    [aux_sym_use_roaming_token1] = ACTIONS(666),
    [aux_sym_user_token1] = ACTIONS(668),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(666),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(666),
    [aux_sym_version_addendum_token1] = ACTIONS(666),
    [aux_sym_visual_host_key_token1] = ACTIONS(666),
    [aux_sym_xauth_location_token1] = ACTIONS(666),
  },
  [19] = {
    [ts_builtin_sym_end] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(672),
    [anon_sym_DQUOTE] = ACTIONS(670),
    [aux_sym_match_token1] = ACTIONS(670),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(670),
    [aux_sym_address_family_token1] = ACTIONS(670),
    [aux_sym_batch_mode_token1] = ACTIONS(670),
    [aux_sym_bind_address_token1] = ACTIONS(670),
    [aux_sym_bind_interface_token1] = ACTIONS(670),
    [aux_sym_canonical_domains_token1] = ACTIONS(670),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(670),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(670),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(670),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(670),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(670),
    [aux_sym_certificate_file_token1] = ACTIONS(670),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(670),
    [aux_sym_channel_timeout_token1] = ACTIONS(670),
    [aux_sym_check_host_ip_token1] = ACTIONS(670),
    [aux_sym_ciphers_token1] = ACTIONS(670),
    [aux_sym_cipher_token1] = ACTIONS(672),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(670),
    [aux_sym_compression_token1] = ACTIONS(670),
    [aux_sym_connection_attempts_token1] = ACTIONS(670),
    [aux_sym_connect_timeout_token1] = ACTIONS(670),
    [aux_sym_control_master_token1] = ACTIONS(670),
    [aux_sym_control_path_token1] = ACTIONS(670),
    [aux_sym_control_persist_token1] = ACTIONS(670),
    [aux_sym_dynamic_forward_token1] = ACTIONS(670),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(670),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(670),
    [aux_sym_escape_char_token1] = ACTIONS(670),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(670),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(670),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(670),
    [aux_sym_forward_agent_token1] = ACTIONS(670),
    [aux_sym_forward_x11_token1] = ACTIONS(672),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(670),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(670),
    [aux_sym_gateway_ports_token1] = ACTIONS(670),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(670),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(670),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(670),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(670),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(670),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(670),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(670),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(670),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(670),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(670),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(670),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(670),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(670),
    [aux_sym_host_key_alias_token1] = ACTIONS(670),
    [aux_sym_hostname_token1] = ACTIONS(670),
    [aux_sym_identities_only_token1] = ACTIONS(670),
    [aux_sym_identity_agent_token1] = ACTIONS(670),
    [aux_sym_identity_file_token1] = ACTIONS(670),
    [aux_sym_ignore_unknown_token1] = ACTIONS(670),
    [aux_sym_include_token1] = ACTIONS(670),
    [aux_sym_ip_qos_token1] = ACTIONS(670),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(670),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(670),
    [aux_sym_kex_algorithms_token1] = ACTIONS(670),
    [aux_sym_known_hosts_command_token1] = ACTIONS(670),
    [aux_sym_local_command_token1] = ACTIONS(670),
    [aux_sym_local_forward_token1] = ACTIONS(670),
    [aux_sym_log_level_token1] = ACTIONS(670),
    [aux_sym_log_verbose_token1] = ACTIONS(670),
    [aux_sym_macs_token1] = ACTIONS(670),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(670),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(670),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(670),
    [aux_sym_password_authentication_token1] = ACTIONS(670),
    [aux_sym_permit_local_command_token1] = ACTIONS(670),
    [aux_sym_permit_remote_open_token1] = ACTIONS(670),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(670),
    [aux_sym_port_token1] = ACTIONS(670),
    [aux_sym_preferred_authentications_token1] = ACTIONS(670),
    [aux_sym_protocol_token1] = ACTIONS(670),
    [aux_sym_proxy_command_token1] = ACTIONS(670),
    [aux_sym_proxy_jump_token1] = ACTIONS(670),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(670),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(670),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(670),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(670),
    [aux_sym_rekey_limit_token1] = ACTIONS(670),
    [aux_sym_remote_command_token1] = ACTIONS(670),
    [aux_sym_remote_forward_token1] = ACTIONS(670),
    [aux_sym_request_tty_token1] = ACTIONS(670),
    [aux_sym_required_rsa_size_token1] = ACTIONS(670),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(670),
    [aux_sym_security_key_provider_token1] = ACTIONS(670),
    [aux_sym_send_env_token1] = ACTIONS(670),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(670),
    [aux_sym_server_alive_interval_token1] = ACTIONS(670),
    [aux_sym_session_type_token1] = ACTIONS(670),
    [aux_sym_set_env_token1] = ACTIONS(670),
    [aux_sym_stdin_null_token1] = ACTIONS(670),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(670),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(670),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(670),
    [aux_sym_syslog_facility_token1] = ACTIONS(670),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(670),
    [aux_sym_keep_alive_token1] = ACTIONS(670),
    [aux_sym_tag_token1] = ACTIONS(670),
    [aux_sym_tunnel_token1] = ACTIONS(672),
    [aux_sym_tunnel_device_token1] = ACTIONS(670),
    [aux_sym_update_host_keys_token1] = ACTIONS(670),
    [aux_sym_use_keychain_token1] = ACTIONS(670),
    [aux_sym_use_roaming_token1] = ACTIONS(670),
    [aux_sym_user_token1] = ACTIONS(672),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(670),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(670),
    [aux_sym_version_addendum_token1] = ACTIONS(670),
    [aux_sym_visual_host_key_token1] = ACTIONS(670),
    [aux_sym_xauth_location_token1] = ACTIONS(670),
  },
  [20] = {
    [ts_builtin_sym_end] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(676),
    [anon_sym_DQUOTE] = ACTIONS(678),
    [aux_sym_match_token1] = ACTIONS(674),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(674),
    [aux_sym_address_family_token1] = ACTIONS(674),
    [aux_sym_batch_mode_token1] = ACTIONS(674),
    [aux_sym_bind_address_token1] = ACTIONS(674),
    [aux_sym_bind_interface_token1] = ACTIONS(674),
    [aux_sym_canonical_domains_token1] = ACTIONS(674),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(674),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(674),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(674),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(674),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(674),
    [aux_sym_certificate_file_token1] = ACTIONS(674),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(674),
    [aux_sym_channel_timeout_token1] = ACTIONS(674),
    [aux_sym_check_host_ip_token1] = ACTIONS(674),
    [aux_sym_ciphers_token1] = ACTIONS(674),
    [aux_sym_cipher_token1] = ACTIONS(676),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(674),
    [aux_sym_compression_token1] = ACTIONS(674),
    [aux_sym_connection_attempts_token1] = ACTIONS(674),
    [aux_sym_connect_timeout_token1] = ACTIONS(674),
    [aux_sym_control_master_token1] = ACTIONS(674),
    [aux_sym_control_path_token1] = ACTIONS(674),
    [aux_sym_control_persist_token1] = ACTIONS(674),
    [aux_sym_dynamic_forward_token1] = ACTIONS(674),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(674),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(674),
    [aux_sym_escape_char_token1] = ACTIONS(674),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(674),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(674),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(674),
    [aux_sym_forward_agent_token1] = ACTIONS(674),
    [aux_sym_forward_x11_token1] = ACTIONS(676),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(674),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(674),
    [aux_sym_gateway_ports_token1] = ACTIONS(674),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(674),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(674),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(674),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(674),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(674),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(674),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(674),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(674),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(674),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(674),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(674),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(674),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(674),
    [aux_sym_host_key_alias_token1] = ACTIONS(674),
    [aux_sym_hostname_token1] = ACTIONS(674),
    [aux_sym_identities_only_token1] = ACTIONS(674),
    [aux_sym_identity_agent_token1] = ACTIONS(674),
    [aux_sym_identity_file_token1] = ACTIONS(674),
    [aux_sym_ignore_unknown_token1] = ACTIONS(674),
    [aux_sym_include_token1] = ACTIONS(674),
    [aux_sym_ip_qos_token1] = ACTIONS(674),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(674),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(674),
    [aux_sym_kex_algorithms_token1] = ACTIONS(674),
    [aux_sym_known_hosts_command_token1] = ACTIONS(674),
    [aux_sym_local_command_token1] = ACTIONS(674),
    [aux_sym_local_forward_token1] = ACTIONS(674),
    [aux_sym_log_level_token1] = ACTIONS(674),
    [aux_sym_log_verbose_token1] = ACTIONS(674),
    [aux_sym_macs_token1] = ACTIONS(674),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(674),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(674),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(674),
    [aux_sym_password_authentication_token1] = ACTIONS(674),
    [aux_sym_permit_local_command_token1] = ACTIONS(674),
    [aux_sym_permit_remote_open_token1] = ACTIONS(674),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(674),
    [aux_sym_port_token1] = ACTIONS(674),
    [aux_sym_preferred_authentications_token1] = ACTIONS(674),
    [aux_sym_protocol_token1] = ACTIONS(674),
    [aux_sym_proxy_command_token1] = ACTIONS(674),
    [aux_sym_proxy_jump_token1] = ACTIONS(674),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(674),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(674),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(674),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(674),
    [aux_sym_rekey_limit_token1] = ACTIONS(674),
    [aux_sym_remote_command_token1] = ACTIONS(674),
    [aux_sym_remote_forward_token1] = ACTIONS(674),
    [aux_sym_request_tty_token1] = ACTIONS(674),
    [aux_sym_required_rsa_size_token1] = ACTIONS(674),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(674),
    [aux_sym_security_key_provider_token1] = ACTIONS(674),
    [aux_sym_send_env_token1] = ACTIONS(674),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(674),
    [aux_sym_server_alive_interval_token1] = ACTIONS(674),
    [aux_sym_session_type_token1] = ACTIONS(674),
    [aux_sym_set_env_token1] = ACTIONS(674),
    [aux_sym_stdin_null_token1] = ACTIONS(674),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(674),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(674),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(674),
    [aux_sym_syslog_facility_token1] = ACTIONS(674),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(674),
    [aux_sym_keep_alive_token1] = ACTIONS(674),
    [aux_sym_tag_token1] = ACTIONS(674),
    [aux_sym_tunnel_token1] = ACTIONS(676),
    [aux_sym_tunnel_device_token1] = ACTIONS(674),
    [aux_sym_update_host_keys_token1] = ACTIONS(674),
    [aux_sym_use_keychain_token1] = ACTIONS(674),
    [aux_sym_use_roaming_token1] = ACTIONS(674),
    [aux_sym_user_token1] = ACTIONS(676),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(674),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(674),
    [aux_sym_version_addendum_token1] = ACTIONS(674),
    [aux_sym_visual_host_key_token1] = ACTIONS(674),
    [aux_sym_xauth_location_token1] = ACTIONS(674),
  },
  [21] = {
    [ts_builtin_sym_end] = ACTIONS(680),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(680),
    [aux_sym_match_token1] = ACTIONS(680),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(680),
    [aux_sym_address_family_token1] = ACTIONS(680),
    [aux_sym_batch_mode_token1] = ACTIONS(680),
    [aux_sym_bind_address_token1] = ACTIONS(680),
    [aux_sym_bind_interface_token1] = ACTIONS(680),
    [aux_sym_canonical_domains_token1] = ACTIONS(680),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(680),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(680),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(680),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(680),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(680),
    [aux_sym_certificate_file_token1] = ACTIONS(680),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(680),
    [aux_sym_channel_timeout_token1] = ACTIONS(680),
    [aux_sym_check_host_ip_token1] = ACTIONS(680),
    [aux_sym_ciphers_token1] = ACTIONS(680),
    [aux_sym_cipher_token1] = ACTIONS(682),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(680),
    [aux_sym_compression_token1] = ACTIONS(680),
    [aux_sym_connection_attempts_token1] = ACTIONS(680),
    [aux_sym_connect_timeout_token1] = ACTIONS(680),
    [aux_sym_control_master_token1] = ACTIONS(680),
    [aux_sym_control_path_token1] = ACTIONS(680),
    [aux_sym_control_persist_token1] = ACTIONS(680),
    [aux_sym_dynamic_forward_token1] = ACTIONS(680),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(680),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(680),
    [aux_sym_escape_char_token1] = ACTIONS(680),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(680),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(680),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(680),
    [aux_sym_forward_agent_token1] = ACTIONS(680),
    [aux_sym_forward_x11_token1] = ACTIONS(682),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(680),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(680),
    [aux_sym_gateway_ports_token1] = ACTIONS(680),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(680),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(680),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(680),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(680),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(680),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(680),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(680),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(680),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(680),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(680),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(680),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(680),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(680),
    [aux_sym_host_key_alias_token1] = ACTIONS(680),
    [aux_sym_hostname_token1] = ACTIONS(680),
    [aux_sym_identities_only_token1] = ACTIONS(680),
    [aux_sym_identity_agent_token1] = ACTIONS(680),
    [aux_sym_identity_file_token1] = ACTIONS(680),
    [aux_sym_ignore_unknown_token1] = ACTIONS(680),
    [aux_sym_include_token1] = ACTIONS(680),
    [aux_sym_ip_qos_token1] = ACTIONS(680),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(680),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(680),
    [aux_sym_kex_algorithms_token1] = ACTIONS(680),
    [aux_sym_known_hosts_command_token1] = ACTIONS(680),
    [aux_sym_local_command_token1] = ACTIONS(680),
    [aux_sym_local_forward_token1] = ACTIONS(680),
    [aux_sym_log_level_token1] = ACTIONS(680),
    [aux_sym_log_verbose_token1] = ACTIONS(680),
    [aux_sym_macs_token1] = ACTIONS(680),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(680),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(680),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(680),
    [aux_sym_password_authentication_token1] = ACTIONS(680),
    [aux_sym_permit_local_command_token1] = ACTIONS(680),
    [aux_sym_permit_remote_open_token1] = ACTIONS(680),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(680),
    [aux_sym_port_token1] = ACTIONS(680),
    [aux_sym_preferred_authentications_token1] = ACTIONS(680),
    [aux_sym_protocol_token1] = ACTIONS(680),
    [aux_sym_proxy_command_token1] = ACTIONS(680),
    [aux_sym_proxy_jump_token1] = ACTIONS(680),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(680),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(680),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(680),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(680),
    [aux_sym_rekey_limit_token1] = ACTIONS(680),
    [aux_sym_remote_command_token1] = ACTIONS(680),
    [aux_sym_remote_forward_token1] = ACTIONS(680),
    [aux_sym_request_tty_token1] = ACTIONS(680),
    [aux_sym_required_rsa_size_token1] = ACTIONS(680),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(680),
    [aux_sym_security_key_provider_token1] = ACTIONS(680),
    [aux_sym_send_env_token1] = ACTIONS(680),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(680),
    [aux_sym_server_alive_interval_token1] = ACTIONS(680),
    [aux_sym_session_type_token1] = ACTIONS(680),
    [aux_sym_set_env_token1] = ACTIONS(680),
    [aux_sym_stdin_null_token1] = ACTIONS(680),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(680),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(680),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(680),
    [aux_sym_syslog_facility_token1] = ACTIONS(680),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(680),
    [aux_sym_keep_alive_token1] = ACTIONS(680),
    [aux_sym_tag_token1] = ACTIONS(680),
    [aux_sym_tunnel_token1] = ACTIONS(682),
    [aux_sym_tunnel_device_token1] = ACTIONS(680),
    [aux_sym_update_host_keys_token1] = ACTIONS(680),
    [aux_sym_use_keychain_token1] = ACTIONS(680),
    [aux_sym_use_roaming_token1] = ACTIONS(680),
    [aux_sym_user_token1] = ACTIONS(682),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(680),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(680),
    [aux_sym_version_addendum_token1] = ACTIONS(680),
    [aux_sym_visual_host_key_token1] = ACTIONS(680),
    [aux_sym_xauth_location_token1] = ACTIONS(680),
  },
  [22] = {
    [ts_builtin_sym_end] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(688),
    [aux_sym_match_token1] = ACTIONS(684),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(684),
    [aux_sym_address_family_token1] = ACTIONS(684),
    [aux_sym_batch_mode_token1] = ACTIONS(684),
    [aux_sym_bind_address_token1] = ACTIONS(684),
    [aux_sym_bind_interface_token1] = ACTIONS(684),
    [aux_sym_canonical_domains_token1] = ACTIONS(684),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(684),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(684),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(684),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(684),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(684),
    [aux_sym_certificate_file_token1] = ACTIONS(684),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(684),
    [aux_sym_channel_timeout_token1] = ACTIONS(684),
    [aux_sym_check_host_ip_token1] = ACTIONS(684),
    [aux_sym_ciphers_token1] = ACTIONS(684),
    [aux_sym_cipher_token1] = ACTIONS(686),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(684),
    [aux_sym_compression_token1] = ACTIONS(684),
    [aux_sym_connection_attempts_token1] = ACTIONS(684),
    [aux_sym_connect_timeout_token1] = ACTIONS(684),
    [aux_sym_control_master_token1] = ACTIONS(684),
    [aux_sym_control_path_token1] = ACTIONS(684),
    [aux_sym_control_persist_token1] = ACTIONS(684),
    [aux_sym_dynamic_forward_token1] = ACTIONS(684),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(684),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(684),
    [aux_sym_escape_char_token1] = ACTIONS(684),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(684),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(684),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(684),
    [aux_sym_forward_agent_token1] = ACTIONS(684),
    [aux_sym_forward_x11_token1] = ACTIONS(686),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(684),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(684),
    [aux_sym_gateway_ports_token1] = ACTIONS(684),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(684),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(684),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(684),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(684),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(684),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(684),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(684),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(684),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(684),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(684),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(684),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(684),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(684),
    [aux_sym_host_key_alias_token1] = ACTIONS(684),
    [aux_sym_hostname_token1] = ACTIONS(684),
    [aux_sym_identities_only_token1] = ACTIONS(684),
    [aux_sym_identity_agent_token1] = ACTIONS(684),
    [aux_sym_identity_file_token1] = ACTIONS(684),
    [aux_sym_ignore_unknown_token1] = ACTIONS(684),
    [aux_sym_include_token1] = ACTIONS(684),
    [aux_sym_ip_qos_token1] = ACTIONS(684),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(684),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(684),
    [aux_sym_kex_algorithms_token1] = ACTIONS(684),
    [aux_sym_known_hosts_command_token1] = ACTIONS(684),
    [aux_sym_local_command_token1] = ACTIONS(684),
    [aux_sym_local_forward_token1] = ACTIONS(684),
    [aux_sym_log_level_token1] = ACTIONS(684),
    [aux_sym_log_verbose_token1] = ACTIONS(684),
    [aux_sym_macs_token1] = ACTIONS(684),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(684),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(684),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(684),
    [aux_sym_password_authentication_token1] = ACTIONS(684),
    [aux_sym_permit_local_command_token1] = ACTIONS(684),
    [aux_sym_permit_remote_open_token1] = ACTIONS(684),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(684),
    [aux_sym_port_token1] = ACTIONS(684),
    [aux_sym_preferred_authentications_token1] = ACTIONS(684),
    [aux_sym_protocol_token1] = ACTIONS(684),
    [aux_sym_proxy_command_token1] = ACTIONS(684),
    [aux_sym_proxy_jump_token1] = ACTIONS(684),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(684),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(684),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(684),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(684),
    [aux_sym_rekey_limit_token1] = ACTIONS(684),
    [aux_sym_remote_command_token1] = ACTIONS(684),
    [aux_sym_remote_forward_token1] = ACTIONS(684),
    [aux_sym_request_tty_token1] = ACTIONS(684),
    [aux_sym_required_rsa_size_token1] = ACTIONS(684),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(684),
    [aux_sym_security_key_provider_token1] = ACTIONS(684),
    [aux_sym_send_env_token1] = ACTIONS(684),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(684),
    [aux_sym_server_alive_interval_token1] = ACTIONS(684),
    [aux_sym_session_type_token1] = ACTIONS(684),
    [aux_sym_set_env_token1] = ACTIONS(684),
    [aux_sym_stdin_null_token1] = ACTIONS(684),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(684),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(684),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(684),
    [aux_sym_syslog_facility_token1] = ACTIONS(684),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(684),
    [aux_sym_keep_alive_token1] = ACTIONS(684),
    [aux_sym_tag_token1] = ACTIONS(684),
    [aux_sym_tunnel_token1] = ACTIONS(686),
    [aux_sym_tunnel_device_token1] = ACTIONS(684),
    [aux_sym_update_host_keys_token1] = ACTIONS(684),
    [aux_sym_use_keychain_token1] = ACTIONS(684),
    [aux_sym_use_roaming_token1] = ACTIONS(684),
    [aux_sym_user_token1] = ACTIONS(686),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(684),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(684),
    [aux_sym_version_addendum_token1] = ACTIONS(684),
    [aux_sym_visual_host_key_token1] = ACTIONS(684),
    [aux_sym_xauth_location_token1] = ACTIONS(684),
  },
  [23] = {
    [ts_builtin_sym_end] = ACTIONS(690),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(692),
    [anon_sym_DQUOTE] = ACTIONS(690),
    [aux_sym_match_token1] = ACTIONS(690),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(690),
    [aux_sym_address_family_token1] = ACTIONS(690),
    [aux_sym_batch_mode_token1] = ACTIONS(690),
    [aux_sym_bind_address_token1] = ACTIONS(690),
    [aux_sym_bind_interface_token1] = ACTIONS(690),
    [aux_sym_canonical_domains_token1] = ACTIONS(690),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(690),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(690),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(690),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(690),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(690),
    [aux_sym_certificate_file_token1] = ACTIONS(690),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(690),
    [aux_sym_channel_timeout_token1] = ACTIONS(690),
    [aux_sym_check_host_ip_token1] = ACTIONS(690),
    [aux_sym_ciphers_token1] = ACTIONS(690),
    [aux_sym_cipher_token1] = ACTIONS(692),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(690),
    [aux_sym_compression_token1] = ACTIONS(690),
    [aux_sym_connection_attempts_token1] = ACTIONS(690),
    [aux_sym_connect_timeout_token1] = ACTIONS(690),
    [aux_sym_control_master_token1] = ACTIONS(690),
    [aux_sym_control_path_token1] = ACTIONS(690),
    [aux_sym_control_persist_token1] = ACTIONS(690),
    [aux_sym_dynamic_forward_token1] = ACTIONS(690),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(690),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(690),
    [aux_sym_escape_char_token1] = ACTIONS(690),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(690),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(690),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(690),
    [aux_sym_forward_agent_token1] = ACTIONS(690),
    [aux_sym_forward_x11_token1] = ACTIONS(692),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(690),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(690),
    [aux_sym_gateway_ports_token1] = ACTIONS(690),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(690),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(690),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(690),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(690),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(690),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(690),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(690),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(690),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(690),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(690),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(690),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(690),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(690),
    [aux_sym_host_key_alias_token1] = ACTIONS(690),
    [aux_sym_hostname_token1] = ACTIONS(690),
    [aux_sym_identities_only_token1] = ACTIONS(690),
    [aux_sym_identity_agent_token1] = ACTIONS(690),
    [aux_sym_identity_file_token1] = ACTIONS(690),
    [aux_sym_ignore_unknown_token1] = ACTIONS(690),
    [aux_sym_include_token1] = ACTIONS(690),
    [aux_sym_ip_qos_token1] = ACTIONS(690),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(690),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(690),
    [aux_sym_kex_algorithms_token1] = ACTIONS(690),
    [aux_sym_known_hosts_command_token1] = ACTIONS(690),
    [aux_sym_local_command_token1] = ACTIONS(690),
    [aux_sym_local_forward_token1] = ACTIONS(690),
    [aux_sym_log_level_token1] = ACTIONS(690),
    [aux_sym_log_verbose_token1] = ACTIONS(690),
    [aux_sym_macs_token1] = ACTIONS(690),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(690),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(690),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(690),
    [aux_sym_password_authentication_token1] = ACTIONS(690),
    [aux_sym_permit_local_command_token1] = ACTIONS(690),
    [aux_sym_permit_remote_open_token1] = ACTIONS(690),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(690),
    [aux_sym_port_token1] = ACTIONS(690),
    [aux_sym_preferred_authentications_token1] = ACTIONS(690),
    [aux_sym_protocol_token1] = ACTIONS(690),
    [aux_sym_proxy_command_token1] = ACTIONS(690),
    [aux_sym_proxy_jump_token1] = ACTIONS(690),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(690),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(690),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(690),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(690),
    [aux_sym_rekey_limit_token1] = ACTIONS(690),
    [aux_sym_remote_command_token1] = ACTIONS(690),
    [aux_sym_remote_forward_token1] = ACTIONS(690),
    [aux_sym_request_tty_token1] = ACTIONS(690),
    [aux_sym_required_rsa_size_token1] = ACTIONS(690),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(690),
    [aux_sym_security_key_provider_token1] = ACTIONS(690),
    [aux_sym_send_env_token1] = ACTIONS(690),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(690),
    [aux_sym_server_alive_interval_token1] = ACTIONS(690),
    [aux_sym_session_type_token1] = ACTIONS(690),
    [aux_sym_set_env_token1] = ACTIONS(690),
    [aux_sym_stdin_null_token1] = ACTIONS(690),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(690),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(690),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(690),
    [aux_sym_syslog_facility_token1] = ACTIONS(690),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(690),
    [aux_sym_keep_alive_token1] = ACTIONS(690),
    [aux_sym_tag_token1] = ACTIONS(690),
    [aux_sym_tunnel_token1] = ACTIONS(692),
    [aux_sym_tunnel_device_token1] = ACTIONS(690),
    [aux_sym_update_host_keys_token1] = ACTIONS(690),
    [aux_sym_use_keychain_token1] = ACTIONS(690),
    [aux_sym_use_roaming_token1] = ACTIONS(690),
    [aux_sym_user_token1] = ACTIONS(692),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(690),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(690),
    [aux_sym_version_addendum_token1] = ACTIONS(690),
    [aux_sym_visual_host_key_token1] = ACTIONS(690),
    [aux_sym_xauth_location_token1] = ACTIONS(690),
  },
  [24] = {
    [ts_builtin_sym_end] = ACTIONS(694),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [aux_sym_match_token1] = ACTIONS(694),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(694),
    [aux_sym_address_family_token1] = ACTIONS(694),
    [aux_sym_batch_mode_token1] = ACTIONS(694),
    [aux_sym_bind_address_token1] = ACTIONS(694),
    [aux_sym_bind_interface_token1] = ACTIONS(694),
    [aux_sym_canonical_domains_token1] = ACTIONS(694),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(694),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(694),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(694),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(694),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(694),
    [aux_sym_certificate_file_token1] = ACTIONS(694),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(694),
    [aux_sym_channel_timeout_token1] = ACTIONS(694),
    [aux_sym_check_host_ip_token1] = ACTIONS(694),
    [aux_sym_ciphers_token1] = ACTIONS(694),
    [aux_sym_cipher_token1] = ACTIONS(696),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(694),
    [aux_sym_compression_token1] = ACTIONS(694),
    [aux_sym_connection_attempts_token1] = ACTIONS(694),
    [aux_sym_connect_timeout_token1] = ACTIONS(694),
    [aux_sym_control_master_token1] = ACTIONS(694),
    [aux_sym_control_path_token1] = ACTIONS(694),
    [aux_sym_control_persist_token1] = ACTIONS(694),
    [aux_sym_dynamic_forward_token1] = ACTIONS(694),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(694),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(694),
    [aux_sym_escape_char_token1] = ACTIONS(694),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(694),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(694),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(694),
    [aux_sym_forward_agent_token1] = ACTIONS(694),
    [aux_sym_forward_x11_token1] = ACTIONS(696),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(694),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(694),
    [aux_sym_gateway_ports_token1] = ACTIONS(694),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(694),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(694),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(694),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(694),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(694),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(694),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(694),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(694),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(694),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(694),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(694),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(694),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(694),
    [aux_sym_host_key_alias_token1] = ACTIONS(694),
    [aux_sym_hostname_token1] = ACTIONS(694),
    [aux_sym_identities_only_token1] = ACTIONS(694),
    [aux_sym_identity_agent_token1] = ACTIONS(694),
    [aux_sym_identity_file_token1] = ACTIONS(694),
    [aux_sym_ignore_unknown_token1] = ACTIONS(694),
    [aux_sym_include_token1] = ACTIONS(694),
    [aux_sym_ip_qos_token1] = ACTIONS(694),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(694),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(694),
    [aux_sym_kex_algorithms_token1] = ACTIONS(694),
    [aux_sym_known_hosts_command_token1] = ACTIONS(694),
    [aux_sym_local_command_token1] = ACTIONS(694),
    [aux_sym_local_forward_token1] = ACTIONS(694),
    [aux_sym_log_level_token1] = ACTIONS(694),
    [aux_sym_log_verbose_token1] = ACTIONS(694),
    [aux_sym_macs_token1] = ACTIONS(694),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(694),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(694),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(694),
    [aux_sym_password_authentication_token1] = ACTIONS(694),
    [aux_sym_permit_local_command_token1] = ACTIONS(694),
    [aux_sym_permit_remote_open_token1] = ACTIONS(694),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(694),
    [aux_sym_port_token1] = ACTIONS(694),
    [aux_sym_preferred_authentications_token1] = ACTIONS(694),
    [aux_sym_protocol_token1] = ACTIONS(694),
    [aux_sym_proxy_command_token1] = ACTIONS(694),
    [aux_sym_proxy_jump_token1] = ACTIONS(694),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(694),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(694),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(694),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(694),
    [aux_sym_rekey_limit_token1] = ACTIONS(694),
    [aux_sym_remote_command_token1] = ACTIONS(694),
    [aux_sym_remote_forward_token1] = ACTIONS(694),
    [aux_sym_request_tty_token1] = ACTIONS(694),
    [aux_sym_required_rsa_size_token1] = ACTIONS(694),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(694),
    [aux_sym_security_key_provider_token1] = ACTIONS(694),
    [aux_sym_send_env_token1] = ACTIONS(694),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(694),
    [aux_sym_server_alive_interval_token1] = ACTIONS(694),
    [aux_sym_session_type_token1] = ACTIONS(694),
    [aux_sym_set_env_token1] = ACTIONS(694),
    [aux_sym_stdin_null_token1] = ACTIONS(694),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(694),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(694),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(694),
    [aux_sym_syslog_facility_token1] = ACTIONS(694),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(694),
    [aux_sym_keep_alive_token1] = ACTIONS(694),
    [aux_sym_tag_token1] = ACTIONS(694),
    [aux_sym_tunnel_token1] = ACTIONS(696),
    [aux_sym_tunnel_device_token1] = ACTIONS(694),
    [aux_sym_update_host_keys_token1] = ACTIONS(694),
    [aux_sym_use_keychain_token1] = ACTIONS(694),
    [aux_sym_use_roaming_token1] = ACTIONS(694),
    [aux_sym_user_token1] = ACTIONS(696),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(694),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(694),
    [aux_sym_version_addendum_token1] = ACTIONS(694),
    [aux_sym_visual_host_key_token1] = ACTIONS(694),
    [aux_sym_xauth_location_token1] = ACTIONS(694),
  },
  [25] = {
    [ts_builtin_sym_end] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(702),
    [anon_sym_DQUOTE] = ACTIONS(700),
    [aux_sym_match_token1] = ACTIONS(700),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(700),
    [aux_sym_address_family_token1] = ACTIONS(700),
    [aux_sym_batch_mode_token1] = ACTIONS(700),
    [aux_sym_bind_address_token1] = ACTIONS(700),
    [aux_sym_bind_interface_token1] = ACTIONS(700),
    [aux_sym_canonical_domains_token1] = ACTIONS(700),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(700),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(700),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(700),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(700),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(700),
    [aux_sym_certificate_file_token1] = ACTIONS(700),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(700),
    [aux_sym_channel_timeout_token1] = ACTIONS(700),
    [aux_sym_check_host_ip_token1] = ACTIONS(700),
    [aux_sym_ciphers_token1] = ACTIONS(700),
    [aux_sym_cipher_token1] = ACTIONS(702),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(700),
    [aux_sym_compression_token1] = ACTIONS(700),
    [aux_sym_connection_attempts_token1] = ACTIONS(700),
    [aux_sym_connect_timeout_token1] = ACTIONS(700),
    [aux_sym_control_master_token1] = ACTIONS(700),
    [aux_sym_control_path_token1] = ACTIONS(700),
    [aux_sym_control_persist_token1] = ACTIONS(700),
    [aux_sym_dynamic_forward_token1] = ACTIONS(700),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(700),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(700),
    [aux_sym_escape_char_token1] = ACTIONS(700),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(700),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(700),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(700),
    [aux_sym_forward_agent_token1] = ACTIONS(700),
    [aux_sym_forward_x11_token1] = ACTIONS(702),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(700),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(700),
    [aux_sym_gateway_ports_token1] = ACTIONS(700),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(700),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(700),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(700),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(700),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(700),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(700),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(700),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(700),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(700),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(700),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(700),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(700),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(700),
    [aux_sym_host_key_alias_token1] = ACTIONS(700),
    [aux_sym_hostname_token1] = ACTIONS(700),
    [aux_sym_identities_only_token1] = ACTIONS(700),
    [aux_sym_identity_agent_token1] = ACTIONS(700),
    [aux_sym_identity_file_token1] = ACTIONS(700),
    [aux_sym_ignore_unknown_token1] = ACTIONS(700),
    [aux_sym_include_token1] = ACTIONS(700),
    [aux_sym_ip_qos_token1] = ACTIONS(700),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(700),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(700),
    [aux_sym_kex_algorithms_token1] = ACTIONS(700),
    [aux_sym_known_hosts_command_token1] = ACTIONS(700),
    [aux_sym_local_command_token1] = ACTIONS(700),
    [aux_sym_local_forward_token1] = ACTIONS(700),
    [aux_sym_log_level_token1] = ACTIONS(700),
    [aux_sym_log_verbose_token1] = ACTIONS(700),
    [aux_sym_macs_token1] = ACTIONS(700),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(700),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(700),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(700),
    [aux_sym_password_authentication_token1] = ACTIONS(700),
    [aux_sym_permit_local_command_token1] = ACTIONS(700),
    [aux_sym_permit_remote_open_token1] = ACTIONS(700),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(700),
    [aux_sym_port_token1] = ACTIONS(700),
    [aux_sym_preferred_authentications_token1] = ACTIONS(700),
    [aux_sym_protocol_token1] = ACTIONS(700),
    [aux_sym_proxy_command_token1] = ACTIONS(700),
    [aux_sym_proxy_jump_token1] = ACTIONS(700),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(700),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(700),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(700),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(700),
    [aux_sym_rekey_limit_token1] = ACTIONS(700),
    [aux_sym_remote_command_token1] = ACTIONS(700),
    [aux_sym_remote_forward_token1] = ACTIONS(700),
    [aux_sym_request_tty_token1] = ACTIONS(700),
    [aux_sym_required_rsa_size_token1] = ACTIONS(700),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(700),
    [aux_sym_security_key_provider_token1] = ACTIONS(700),
    [aux_sym_send_env_token1] = ACTIONS(700),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(700),
    [aux_sym_server_alive_interval_token1] = ACTIONS(700),
    [aux_sym_session_type_token1] = ACTIONS(700),
    [aux_sym_set_env_token1] = ACTIONS(700),
    [aux_sym_stdin_null_token1] = ACTIONS(700),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(700),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(700),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(700),
    [aux_sym_syslog_facility_token1] = ACTIONS(700),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(700),
    [aux_sym_keep_alive_token1] = ACTIONS(700),
    [aux_sym_tag_token1] = ACTIONS(700),
    [aux_sym_tunnel_token1] = ACTIONS(702),
    [aux_sym_tunnel_device_token1] = ACTIONS(700),
    [aux_sym_update_host_keys_token1] = ACTIONS(700),
    [aux_sym_use_keychain_token1] = ACTIONS(700),
    [aux_sym_use_roaming_token1] = ACTIONS(700),
    [aux_sym_user_token1] = ACTIONS(702),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(700),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(700),
    [aux_sym_version_addendum_token1] = ACTIONS(700),
    [aux_sym_visual_host_key_token1] = ACTIONS(700),
    [aux_sym_xauth_location_token1] = ACTIONS(700),
  },
  [26] = {
    [ts_builtin_sym_end] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(706),
    [anon_sym_DQUOTE] = ACTIONS(708),
    [aux_sym_match_token1] = ACTIONS(704),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(704),
    [aux_sym_address_family_token1] = ACTIONS(704),
    [aux_sym_batch_mode_token1] = ACTIONS(704),
    [aux_sym_bind_address_token1] = ACTIONS(704),
    [aux_sym_bind_interface_token1] = ACTIONS(704),
    [aux_sym_canonical_domains_token1] = ACTIONS(704),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(704),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(704),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(704),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(704),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(704),
    [aux_sym_certificate_file_token1] = ACTIONS(704),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(704),
    [aux_sym_channel_timeout_token1] = ACTIONS(704),
    [aux_sym_check_host_ip_token1] = ACTIONS(704),
    [aux_sym_ciphers_token1] = ACTIONS(704),
    [aux_sym_cipher_token1] = ACTIONS(706),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(704),
    [aux_sym_compression_token1] = ACTIONS(704),
    [aux_sym_connection_attempts_token1] = ACTIONS(704),
    [aux_sym_connect_timeout_token1] = ACTIONS(704),
    [aux_sym_control_master_token1] = ACTIONS(704),
    [aux_sym_control_path_token1] = ACTIONS(704),
    [aux_sym_control_persist_token1] = ACTIONS(704),
    [aux_sym_dynamic_forward_token1] = ACTIONS(704),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(704),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(704),
    [aux_sym_escape_char_token1] = ACTIONS(704),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(704),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(704),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(704),
    [aux_sym_forward_agent_token1] = ACTIONS(704),
    [aux_sym_forward_x11_token1] = ACTIONS(706),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(704),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(704),
    [aux_sym_gateway_ports_token1] = ACTIONS(704),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(704),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(704),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(704),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(704),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(704),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(704),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(704),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(704),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(704),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(704),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(704),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(704),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(704),
    [aux_sym_host_key_alias_token1] = ACTIONS(704),
    [aux_sym_hostname_token1] = ACTIONS(704),
    [aux_sym_identities_only_token1] = ACTIONS(704),
    [aux_sym_identity_agent_token1] = ACTIONS(704),
    [aux_sym_identity_file_token1] = ACTIONS(704),
    [aux_sym_ignore_unknown_token1] = ACTIONS(704),
    [aux_sym_include_token1] = ACTIONS(704),
    [aux_sym_ip_qos_token1] = ACTIONS(704),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(704),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(704),
    [aux_sym_kex_algorithms_token1] = ACTIONS(704),
    [aux_sym_known_hosts_command_token1] = ACTIONS(704),
    [aux_sym_local_command_token1] = ACTIONS(704),
    [aux_sym_local_forward_token1] = ACTIONS(704),
    [aux_sym_log_level_token1] = ACTIONS(704),
    [aux_sym_log_verbose_token1] = ACTIONS(704),
    [aux_sym_macs_token1] = ACTIONS(704),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(704),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(704),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(704),
    [aux_sym_password_authentication_token1] = ACTIONS(704),
    [aux_sym_permit_local_command_token1] = ACTIONS(704),
    [aux_sym_permit_remote_open_token1] = ACTIONS(704),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(704),
    [aux_sym_port_token1] = ACTIONS(704),
    [aux_sym_preferred_authentications_token1] = ACTIONS(704),
    [aux_sym_protocol_token1] = ACTIONS(704),
    [aux_sym_proxy_command_token1] = ACTIONS(704),
    [aux_sym_proxy_jump_token1] = ACTIONS(704),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(704),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(704),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(704),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(704),
    [aux_sym_rekey_limit_token1] = ACTIONS(704),
    [aux_sym_remote_command_token1] = ACTIONS(704),
    [aux_sym_remote_forward_token1] = ACTIONS(704),
    [aux_sym_request_tty_token1] = ACTIONS(704),
    [aux_sym_required_rsa_size_token1] = ACTIONS(704),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(704),
    [aux_sym_security_key_provider_token1] = ACTIONS(704),
    [aux_sym_send_env_token1] = ACTIONS(704),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(704),
    [aux_sym_server_alive_interval_token1] = ACTIONS(704),
    [aux_sym_session_type_token1] = ACTIONS(704),
    [aux_sym_set_env_token1] = ACTIONS(704),
    [aux_sym_stdin_null_token1] = ACTIONS(704),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(704),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(704),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(704),
    [aux_sym_syslog_facility_token1] = ACTIONS(704),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(704),
    [aux_sym_keep_alive_token1] = ACTIONS(704),
    [aux_sym_tag_token1] = ACTIONS(704),
    [aux_sym_tunnel_token1] = ACTIONS(706),
    [aux_sym_tunnel_device_token1] = ACTIONS(704),
    [aux_sym_update_host_keys_token1] = ACTIONS(704),
    [aux_sym_use_keychain_token1] = ACTIONS(704),
    [aux_sym_use_roaming_token1] = ACTIONS(704),
    [aux_sym_user_token1] = ACTIONS(706),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(704),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(704),
    [aux_sym_version_addendum_token1] = ACTIONS(704),
    [aux_sym_visual_host_key_token1] = ACTIONS(704),
    [aux_sym_xauth_location_token1] = ACTIONS(704),
  },
  [27] = {
    [ts_builtin_sym_end] = ACTIONS(710),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(712),
    [anon_sym_DQUOTE] = ACTIONS(710),
    [aux_sym_match_token1] = ACTIONS(710),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(710),
    [aux_sym_address_family_token1] = ACTIONS(710),
    [aux_sym_batch_mode_token1] = ACTIONS(710),
    [aux_sym_bind_address_token1] = ACTIONS(710),
    [aux_sym_bind_interface_token1] = ACTIONS(710),
    [aux_sym_canonical_domains_token1] = ACTIONS(710),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(710),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(710),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(710),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(710),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(710),
    [aux_sym_certificate_file_token1] = ACTIONS(710),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(710),
    [aux_sym_channel_timeout_token1] = ACTIONS(710),
    [aux_sym_check_host_ip_token1] = ACTIONS(710),
    [aux_sym_ciphers_token1] = ACTIONS(710),
    [aux_sym_cipher_token1] = ACTIONS(712),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(710),
    [aux_sym_compression_token1] = ACTIONS(710),
    [aux_sym_connection_attempts_token1] = ACTIONS(710),
    [aux_sym_connect_timeout_token1] = ACTIONS(710),
    [aux_sym_control_master_token1] = ACTIONS(710),
    [aux_sym_control_path_token1] = ACTIONS(710),
    [aux_sym_control_persist_token1] = ACTIONS(710),
    [aux_sym_dynamic_forward_token1] = ACTIONS(710),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(710),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(710),
    [aux_sym_escape_char_token1] = ACTIONS(710),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(710),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(710),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(710),
    [aux_sym_forward_agent_token1] = ACTIONS(710),
    [aux_sym_forward_x11_token1] = ACTIONS(712),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(710),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(710),
    [aux_sym_gateway_ports_token1] = ACTIONS(710),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(710),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(710),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(710),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(710),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(710),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(710),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(710),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(710),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(710),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(710),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(710),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(710),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(710),
    [aux_sym_host_key_alias_token1] = ACTIONS(710),
    [aux_sym_hostname_token1] = ACTIONS(710),
    [aux_sym_identities_only_token1] = ACTIONS(710),
    [aux_sym_identity_agent_token1] = ACTIONS(710),
    [aux_sym_identity_file_token1] = ACTIONS(710),
    [aux_sym_ignore_unknown_token1] = ACTIONS(710),
    [aux_sym_include_token1] = ACTIONS(710),
    [aux_sym_ip_qos_token1] = ACTIONS(710),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(710),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(710),
    [aux_sym_kex_algorithms_token1] = ACTIONS(710),
    [aux_sym_known_hosts_command_token1] = ACTIONS(710),
    [aux_sym_local_command_token1] = ACTIONS(710),
    [aux_sym_local_forward_token1] = ACTIONS(710),
    [aux_sym_log_level_token1] = ACTIONS(710),
    [aux_sym_log_verbose_token1] = ACTIONS(710),
    [aux_sym_macs_token1] = ACTIONS(710),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(710),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(710),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(710),
    [aux_sym_password_authentication_token1] = ACTIONS(710),
    [aux_sym_permit_local_command_token1] = ACTIONS(710),
    [aux_sym_permit_remote_open_token1] = ACTIONS(710),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(710),
    [aux_sym_port_token1] = ACTIONS(710),
    [aux_sym_preferred_authentications_token1] = ACTIONS(710),
    [aux_sym_protocol_token1] = ACTIONS(710),
    [aux_sym_proxy_command_token1] = ACTIONS(710),
    [aux_sym_proxy_jump_token1] = ACTIONS(710),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(710),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(710),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(710),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(710),
    [aux_sym_rekey_limit_token1] = ACTIONS(710),
    [aux_sym_remote_command_token1] = ACTIONS(710),
    [aux_sym_remote_forward_token1] = ACTIONS(710),
    [aux_sym_request_tty_token1] = ACTIONS(710),
    [aux_sym_required_rsa_size_token1] = ACTIONS(710),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(710),
    [aux_sym_security_key_provider_token1] = ACTIONS(710),
    [aux_sym_send_env_token1] = ACTIONS(710),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(710),
    [aux_sym_server_alive_interval_token1] = ACTIONS(710),
    [aux_sym_session_type_token1] = ACTIONS(710),
    [aux_sym_set_env_token1] = ACTIONS(710),
    [aux_sym_stdin_null_token1] = ACTIONS(710),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(710),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(710),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(710),
    [aux_sym_syslog_facility_token1] = ACTIONS(710),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(710),
    [aux_sym_keep_alive_token1] = ACTIONS(710),
    [aux_sym_tag_token1] = ACTIONS(710),
    [aux_sym_tunnel_token1] = ACTIONS(712),
    [aux_sym_tunnel_device_token1] = ACTIONS(710),
    [aux_sym_update_host_keys_token1] = ACTIONS(710),
    [aux_sym_use_keychain_token1] = ACTIONS(710),
    [aux_sym_use_roaming_token1] = ACTIONS(710),
    [aux_sym_user_token1] = ACTIONS(712),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(710),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(710),
    [aux_sym_version_addendum_token1] = ACTIONS(710),
    [aux_sym_visual_host_key_token1] = ACTIONS(710),
    [aux_sym_xauth_location_token1] = ACTIONS(710),
  },
  [28] = {
    [ts_builtin_sym_end] = ACTIONS(714),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(716),
    [anon_sym_DQUOTE] = ACTIONS(718),
    [aux_sym_match_token1] = ACTIONS(714),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(714),
    [aux_sym_address_family_token1] = ACTIONS(714),
    [aux_sym_batch_mode_token1] = ACTIONS(714),
    [aux_sym_bind_address_token1] = ACTIONS(714),
    [aux_sym_bind_interface_token1] = ACTIONS(714),
    [aux_sym_canonical_domains_token1] = ACTIONS(714),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(714),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(714),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(714),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(714),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(714),
    [aux_sym_certificate_file_token1] = ACTIONS(714),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(714),
    [aux_sym_channel_timeout_token1] = ACTIONS(714),
    [aux_sym_check_host_ip_token1] = ACTIONS(714),
    [aux_sym_ciphers_token1] = ACTIONS(714),
    [aux_sym_cipher_token1] = ACTIONS(716),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(714),
    [aux_sym_compression_token1] = ACTIONS(714),
    [aux_sym_connection_attempts_token1] = ACTIONS(714),
    [aux_sym_connect_timeout_token1] = ACTIONS(714),
    [aux_sym_control_master_token1] = ACTIONS(714),
    [aux_sym_control_path_token1] = ACTIONS(714),
    [aux_sym_control_persist_token1] = ACTIONS(714),
    [aux_sym_dynamic_forward_token1] = ACTIONS(714),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(714),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(714),
    [aux_sym_escape_char_token1] = ACTIONS(714),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(714),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(714),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(714),
    [aux_sym_forward_agent_token1] = ACTIONS(714),
    [aux_sym_forward_x11_token1] = ACTIONS(716),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(714),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(714),
    [aux_sym_gateway_ports_token1] = ACTIONS(714),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(714),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(714),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(714),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(714),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(714),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(714),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(714),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(714),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(714),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(714),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(714),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(714),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(714),
    [aux_sym_host_key_alias_token1] = ACTIONS(714),
    [aux_sym_hostname_token1] = ACTIONS(714),
    [aux_sym_identities_only_token1] = ACTIONS(714),
    [aux_sym_identity_agent_token1] = ACTIONS(714),
    [aux_sym_identity_file_token1] = ACTIONS(714),
    [aux_sym_ignore_unknown_token1] = ACTIONS(714),
    [aux_sym_include_token1] = ACTIONS(714),
    [aux_sym_ip_qos_token1] = ACTIONS(714),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(714),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(714),
    [aux_sym_kex_algorithms_token1] = ACTIONS(714),
    [aux_sym_known_hosts_command_token1] = ACTIONS(714),
    [aux_sym_local_command_token1] = ACTIONS(714),
    [aux_sym_local_forward_token1] = ACTIONS(714),
    [aux_sym_log_level_token1] = ACTIONS(714),
    [aux_sym_log_verbose_token1] = ACTIONS(714),
    [aux_sym_macs_token1] = ACTIONS(714),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(714),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(714),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(714),
    [aux_sym_password_authentication_token1] = ACTIONS(714),
    [aux_sym_permit_local_command_token1] = ACTIONS(714),
    [aux_sym_permit_remote_open_token1] = ACTIONS(714),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(714),
    [aux_sym_port_token1] = ACTIONS(714),
    [aux_sym_preferred_authentications_token1] = ACTIONS(714),
    [aux_sym_protocol_token1] = ACTIONS(714),
    [aux_sym_proxy_command_token1] = ACTIONS(714),
    [aux_sym_proxy_jump_token1] = ACTIONS(714),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(714),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(714),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(714),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(714),
    [aux_sym_rekey_limit_token1] = ACTIONS(714),
    [aux_sym_remote_command_token1] = ACTIONS(714),
    [aux_sym_remote_forward_token1] = ACTIONS(714),
    [aux_sym_request_tty_token1] = ACTIONS(714),
    [aux_sym_required_rsa_size_token1] = ACTIONS(714),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(714),
    [aux_sym_security_key_provider_token1] = ACTIONS(714),
    [aux_sym_send_env_token1] = ACTIONS(714),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(714),
    [aux_sym_server_alive_interval_token1] = ACTIONS(714),
    [aux_sym_session_type_token1] = ACTIONS(714),
    [aux_sym_set_env_token1] = ACTIONS(714),
    [aux_sym_stdin_null_token1] = ACTIONS(714),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(714),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(714),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(714),
    [aux_sym_syslog_facility_token1] = ACTIONS(714),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(714),
    [aux_sym_keep_alive_token1] = ACTIONS(714),
    [aux_sym_tag_token1] = ACTIONS(714),
    [aux_sym_tunnel_token1] = ACTIONS(716),
    [aux_sym_tunnel_device_token1] = ACTIONS(714),
    [aux_sym_update_host_keys_token1] = ACTIONS(714),
    [aux_sym_use_keychain_token1] = ACTIONS(714),
    [aux_sym_use_roaming_token1] = ACTIONS(714),
    [aux_sym_user_token1] = ACTIONS(716),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(714),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(714),
    [aux_sym_version_addendum_token1] = ACTIONS(714),
    [aux_sym_visual_host_key_token1] = ACTIONS(714),
    [aux_sym_xauth_location_token1] = ACTIONS(714),
  },
  [29] = {
    [ts_builtin_sym_end] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(722),
    [anon_sym_DQUOTE] = ACTIONS(720),
    [aux_sym_match_token1] = ACTIONS(720),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(720),
    [aux_sym_address_family_token1] = ACTIONS(720),
    [aux_sym_batch_mode_token1] = ACTIONS(720),
    [aux_sym_bind_address_token1] = ACTIONS(720),
    [aux_sym_bind_interface_token1] = ACTIONS(720),
    [aux_sym_canonical_domains_token1] = ACTIONS(720),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(720),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(720),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(720),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(720),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(720),
    [aux_sym_certificate_file_token1] = ACTIONS(720),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(720),
    [aux_sym_channel_timeout_token1] = ACTIONS(720),
    [aux_sym_check_host_ip_token1] = ACTIONS(720),
    [aux_sym_ciphers_token1] = ACTIONS(720),
    [aux_sym_cipher_token1] = ACTIONS(722),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(720),
    [aux_sym_compression_token1] = ACTIONS(720),
    [aux_sym_connection_attempts_token1] = ACTIONS(720),
    [aux_sym_connect_timeout_token1] = ACTIONS(720),
    [aux_sym_control_master_token1] = ACTIONS(720),
    [aux_sym_control_path_token1] = ACTIONS(720),
    [aux_sym_control_persist_token1] = ACTIONS(720),
    [aux_sym_dynamic_forward_token1] = ACTIONS(720),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(720),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(720),
    [aux_sym_escape_char_token1] = ACTIONS(720),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(720),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(720),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(720),
    [aux_sym_forward_agent_token1] = ACTIONS(720),
    [aux_sym_forward_x11_token1] = ACTIONS(722),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(720),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(720),
    [aux_sym_gateway_ports_token1] = ACTIONS(720),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(720),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(720),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(720),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(720),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(720),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(720),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(720),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(720),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(720),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(720),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(720),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(720),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(720),
    [aux_sym_host_key_alias_token1] = ACTIONS(720),
    [aux_sym_hostname_token1] = ACTIONS(720),
    [aux_sym_identities_only_token1] = ACTIONS(720),
    [aux_sym_identity_agent_token1] = ACTIONS(720),
    [aux_sym_identity_file_token1] = ACTIONS(720),
    [aux_sym_ignore_unknown_token1] = ACTIONS(720),
    [aux_sym_include_token1] = ACTIONS(720),
    [aux_sym_ip_qos_token1] = ACTIONS(720),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(720),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(720),
    [aux_sym_kex_algorithms_token1] = ACTIONS(720),
    [aux_sym_known_hosts_command_token1] = ACTIONS(720),
    [aux_sym_local_command_token1] = ACTIONS(720),
    [aux_sym_local_forward_token1] = ACTIONS(720),
    [aux_sym_log_level_token1] = ACTIONS(720),
    [aux_sym_log_verbose_token1] = ACTIONS(720),
    [aux_sym_macs_token1] = ACTIONS(720),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(720),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(720),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(720),
    [aux_sym_password_authentication_token1] = ACTIONS(720),
    [aux_sym_permit_local_command_token1] = ACTIONS(720),
    [aux_sym_permit_remote_open_token1] = ACTIONS(720),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(720),
    [aux_sym_port_token1] = ACTIONS(720),
    [aux_sym_preferred_authentications_token1] = ACTIONS(720),
    [aux_sym_protocol_token1] = ACTIONS(720),
    [aux_sym_proxy_command_token1] = ACTIONS(720),
    [aux_sym_proxy_jump_token1] = ACTIONS(720),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(720),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(720),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(720),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(720),
    [aux_sym_rekey_limit_token1] = ACTIONS(720),
    [aux_sym_remote_command_token1] = ACTIONS(720),
    [aux_sym_remote_forward_token1] = ACTIONS(720),
    [aux_sym_request_tty_token1] = ACTIONS(720),
    [aux_sym_required_rsa_size_token1] = ACTIONS(720),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(720),
    [aux_sym_security_key_provider_token1] = ACTIONS(720),
    [aux_sym_send_env_token1] = ACTIONS(720),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(720),
    [aux_sym_server_alive_interval_token1] = ACTIONS(720),
    [aux_sym_session_type_token1] = ACTIONS(720),
    [aux_sym_set_env_token1] = ACTIONS(720),
    [aux_sym_stdin_null_token1] = ACTIONS(720),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(720),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(720),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(720),
    [aux_sym_syslog_facility_token1] = ACTIONS(720),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(720),
    [aux_sym_keep_alive_token1] = ACTIONS(720),
    [aux_sym_tag_token1] = ACTIONS(720),
    [aux_sym_tunnel_token1] = ACTIONS(722),
    [aux_sym_tunnel_device_token1] = ACTIONS(720),
    [aux_sym_update_host_keys_token1] = ACTIONS(720),
    [aux_sym_use_keychain_token1] = ACTIONS(720),
    [aux_sym_use_roaming_token1] = ACTIONS(720),
    [aux_sym_user_token1] = ACTIONS(722),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(720),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(720),
    [aux_sym_version_addendum_token1] = ACTIONS(720),
    [aux_sym_visual_host_key_token1] = ACTIONS(720),
    [aux_sym_xauth_location_token1] = ACTIONS(720),
  },
  [30] = {
    [ts_builtin_sym_end] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(726),
    [anon_sym_DQUOTE] = ACTIONS(728),
    [aux_sym_match_token1] = ACTIONS(724),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(724),
    [aux_sym_address_family_token1] = ACTIONS(724),
    [aux_sym_batch_mode_token1] = ACTIONS(724),
    [aux_sym_bind_address_token1] = ACTIONS(724),
    [aux_sym_bind_interface_token1] = ACTIONS(724),
    [aux_sym_canonical_domains_token1] = ACTIONS(724),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(724),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(724),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(724),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(724),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(724),
    [aux_sym_certificate_file_token1] = ACTIONS(724),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(724),
    [aux_sym_channel_timeout_token1] = ACTIONS(724),
    [aux_sym_check_host_ip_token1] = ACTIONS(724),
    [aux_sym_ciphers_token1] = ACTIONS(724),
    [aux_sym_cipher_token1] = ACTIONS(726),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(724),
    [aux_sym_compression_token1] = ACTIONS(724),
    [aux_sym_connection_attempts_token1] = ACTIONS(724),
    [aux_sym_connect_timeout_token1] = ACTIONS(724),
    [aux_sym_control_master_token1] = ACTIONS(724),
    [aux_sym_control_path_token1] = ACTIONS(724),
    [aux_sym_control_persist_token1] = ACTIONS(724),
    [aux_sym_dynamic_forward_token1] = ACTIONS(724),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(724),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(724),
    [aux_sym_escape_char_token1] = ACTIONS(724),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(724),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(724),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(724),
    [aux_sym_forward_agent_token1] = ACTIONS(724),
    [aux_sym_forward_x11_token1] = ACTIONS(726),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(724),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(724),
    [aux_sym_gateway_ports_token1] = ACTIONS(724),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(724),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(724),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(724),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(724),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(724),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(724),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(724),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(724),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(724),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(724),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(724),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(724),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(724),
    [aux_sym_host_key_alias_token1] = ACTIONS(724),
    [aux_sym_hostname_token1] = ACTIONS(724),
    [aux_sym_identities_only_token1] = ACTIONS(724),
    [aux_sym_identity_agent_token1] = ACTIONS(724),
    [aux_sym_identity_file_token1] = ACTIONS(724),
    [aux_sym_ignore_unknown_token1] = ACTIONS(724),
    [aux_sym_include_token1] = ACTIONS(724),
    [aux_sym_ip_qos_token1] = ACTIONS(724),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(724),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(724),
    [aux_sym_kex_algorithms_token1] = ACTIONS(724),
    [aux_sym_known_hosts_command_token1] = ACTIONS(724),
    [aux_sym_local_command_token1] = ACTIONS(724),
    [aux_sym_local_forward_token1] = ACTIONS(724),
    [aux_sym_log_level_token1] = ACTIONS(724),
    [aux_sym_log_verbose_token1] = ACTIONS(724),
    [aux_sym_macs_token1] = ACTIONS(724),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(724),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(724),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(724),
    [aux_sym_password_authentication_token1] = ACTIONS(724),
    [aux_sym_permit_local_command_token1] = ACTIONS(724),
    [aux_sym_permit_remote_open_token1] = ACTIONS(724),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(724),
    [aux_sym_port_token1] = ACTIONS(724),
    [aux_sym_preferred_authentications_token1] = ACTIONS(724),
    [aux_sym_protocol_token1] = ACTIONS(724),
    [aux_sym_proxy_command_token1] = ACTIONS(724),
    [aux_sym_proxy_jump_token1] = ACTIONS(724),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(724),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(724),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(724),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(724),
    [aux_sym_rekey_limit_token1] = ACTIONS(724),
    [aux_sym_remote_command_token1] = ACTIONS(724),
    [aux_sym_remote_forward_token1] = ACTIONS(724),
    [aux_sym_request_tty_token1] = ACTIONS(724),
    [aux_sym_required_rsa_size_token1] = ACTIONS(724),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(724),
    [aux_sym_security_key_provider_token1] = ACTIONS(724),
    [aux_sym_send_env_token1] = ACTIONS(724),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(724),
    [aux_sym_server_alive_interval_token1] = ACTIONS(724),
    [aux_sym_session_type_token1] = ACTIONS(724),
    [aux_sym_set_env_token1] = ACTIONS(724),
    [aux_sym_stdin_null_token1] = ACTIONS(724),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(724),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(724),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(724),
    [aux_sym_syslog_facility_token1] = ACTIONS(724),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(724),
    [aux_sym_keep_alive_token1] = ACTIONS(724),
    [aux_sym_tag_token1] = ACTIONS(724),
    [aux_sym_tunnel_token1] = ACTIONS(726),
    [aux_sym_tunnel_device_token1] = ACTIONS(724),
    [aux_sym_update_host_keys_token1] = ACTIONS(724),
    [aux_sym_use_keychain_token1] = ACTIONS(724),
    [aux_sym_use_roaming_token1] = ACTIONS(724),
    [aux_sym_user_token1] = ACTIONS(726),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(724),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(724),
    [aux_sym_version_addendum_token1] = ACTIONS(724),
    [aux_sym_visual_host_key_token1] = ACTIONS(724),
    [aux_sym_xauth_location_token1] = ACTIONS(724),
  },
  [31] = {
    [ts_builtin_sym_end] = ACTIONS(730),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(732),
    [anon_sym_DQUOTE] = ACTIONS(730),
    [aux_sym_match_token1] = ACTIONS(730),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(730),
    [aux_sym_address_family_token1] = ACTIONS(730),
    [aux_sym_batch_mode_token1] = ACTIONS(730),
    [aux_sym_bind_address_token1] = ACTIONS(730),
    [aux_sym_bind_interface_token1] = ACTIONS(730),
    [aux_sym_canonical_domains_token1] = ACTIONS(730),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(730),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(730),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(730),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(730),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(730),
    [aux_sym_certificate_file_token1] = ACTIONS(730),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(730),
    [aux_sym_channel_timeout_token1] = ACTIONS(730),
    [aux_sym_check_host_ip_token1] = ACTIONS(730),
    [aux_sym_ciphers_token1] = ACTIONS(730),
    [aux_sym_cipher_token1] = ACTIONS(732),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(730),
    [aux_sym_compression_token1] = ACTIONS(730),
    [aux_sym_connection_attempts_token1] = ACTIONS(730),
    [aux_sym_connect_timeout_token1] = ACTIONS(730),
    [aux_sym_control_master_token1] = ACTIONS(730),
    [aux_sym_control_path_token1] = ACTIONS(730),
    [aux_sym_control_persist_token1] = ACTIONS(730),
    [aux_sym_dynamic_forward_token1] = ACTIONS(730),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(730),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(730),
    [aux_sym_escape_char_token1] = ACTIONS(730),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(730),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(730),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(730),
    [aux_sym_forward_agent_token1] = ACTIONS(730),
    [aux_sym_forward_x11_token1] = ACTIONS(732),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(730),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(730),
    [aux_sym_gateway_ports_token1] = ACTIONS(730),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(730),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(730),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(730),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(730),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(730),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(730),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(730),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(730),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(730),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(730),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(730),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(730),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(730),
    [aux_sym_host_key_alias_token1] = ACTIONS(730),
    [aux_sym_hostname_token1] = ACTIONS(730),
    [aux_sym_identities_only_token1] = ACTIONS(730),
    [aux_sym_identity_agent_token1] = ACTIONS(730),
    [aux_sym_identity_file_token1] = ACTIONS(730),
    [aux_sym_ignore_unknown_token1] = ACTIONS(730),
    [aux_sym_include_token1] = ACTIONS(730),
    [aux_sym_ip_qos_token1] = ACTIONS(730),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(730),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(730),
    [aux_sym_kex_algorithms_token1] = ACTIONS(730),
    [aux_sym_known_hosts_command_token1] = ACTIONS(730),
    [aux_sym_local_command_token1] = ACTIONS(730),
    [aux_sym_local_forward_token1] = ACTIONS(730),
    [aux_sym_log_level_token1] = ACTIONS(730),
    [aux_sym_log_verbose_token1] = ACTIONS(730),
    [aux_sym_macs_token1] = ACTIONS(730),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(730),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(730),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(730),
    [aux_sym_password_authentication_token1] = ACTIONS(730),
    [aux_sym_permit_local_command_token1] = ACTIONS(730),
    [aux_sym_permit_remote_open_token1] = ACTIONS(730),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(730),
    [aux_sym_port_token1] = ACTIONS(730),
    [aux_sym_preferred_authentications_token1] = ACTIONS(730),
    [aux_sym_protocol_token1] = ACTIONS(730),
    [aux_sym_proxy_command_token1] = ACTIONS(730),
    [aux_sym_proxy_jump_token1] = ACTIONS(730),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(730),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(730),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(730),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(730),
    [aux_sym_rekey_limit_token1] = ACTIONS(730),
    [aux_sym_remote_command_token1] = ACTIONS(730),
    [aux_sym_remote_forward_token1] = ACTIONS(730),
    [aux_sym_request_tty_token1] = ACTIONS(730),
    [aux_sym_required_rsa_size_token1] = ACTIONS(730),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(730),
    [aux_sym_security_key_provider_token1] = ACTIONS(730),
    [aux_sym_send_env_token1] = ACTIONS(730),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(730),
    [aux_sym_server_alive_interval_token1] = ACTIONS(730),
    [aux_sym_session_type_token1] = ACTIONS(730),
    [aux_sym_set_env_token1] = ACTIONS(730),
    [aux_sym_stdin_null_token1] = ACTIONS(730),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(730),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(730),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(730),
    [aux_sym_syslog_facility_token1] = ACTIONS(730),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(730),
    [aux_sym_keep_alive_token1] = ACTIONS(730),
    [aux_sym_tag_token1] = ACTIONS(730),
    [aux_sym_tunnel_token1] = ACTIONS(732),
    [aux_sym_tunnel_device_token1] = ACTIONS(730),
    [aux_sym_update_host_keys_token1] = ACTIONS(730),
    [aux_sym_use_keychain_token1] = ACTIONS(730),
    [aux_sym_use_roaming_token1] = ACTIONS(730),
    [aux_sym_user_token1] = ACTIONS(732),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(730),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(730),
    [aux_sym_version_addendum_token1] = ACTIONS(730),
    [aux_sym_visual_host_key_token1] = ACTIONS(730),
    [aux_sym_xauth_location_token1] = ACTIONS(730),
  },
  [32] = {
    [ts_builtin_sym_end] = ACTIONS(734),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(736),
    [anon_sym_DQUOTE] = ACTIONS(738),
    [aux_sym_match_token1] = ACTIONS(734),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(734),
    [aux_sym_address_family_token1] = ACTIONS(734),
    [aux_sym_batch_mode_token1] = ACTIONS(734),
    [aux_sym_bind_address_token1] = ACTIONS(734),
    [aux_sym_bind_interface_token1] = ACTIONS(734),
    [aux_sym_canonical_domains_token1] = ACTIONS(734),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(734),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(734),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(734),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(734),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(734),
    [aux_sym_certificate_file_token1] = ACTIONS(734),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(734),
    [aux_sym_channel_timeout_token1] = ACTIONS(734),
    [aux_sym_check_host_ip_token1] = ACTIONS(734),
    [aux_sym_ciphers_token1] = ACTIONS(734),
    [aux_sym_cipher_token1] = ACTIONS(736),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(734),
    [aux_sym_compression_token1] = ACTIONS(734),
    [aux_sym_connection_attempts_token1] = ACTIONS(734),
    [aux_sym_connect_timeout_token1] = ACTIONS(734),
    [aux_sym_control_master_token1] = ACTIONS(734),
    [aux_sym_control_path_token1] = ACTIONS(734),
    [aux_sym_control_persist_token1] = ACTIONS(734),
    [aux_sym_dynamic_forward_token1] = ACTIONS(734),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(734),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(734),
    [aux_sym_escape_char_token1] = ACTIONS(734),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(734),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(734),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(734),
    [aux_sym_forward_agent_token1] = ACTIONS(734),
    [aux_sym_forward_x11_token1] = ACTIONS(736),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(734),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(734),
    [aux_sym_gateway_ports_token1] = ACTIONS(734),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(734),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(734),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(734),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(734),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(734),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(734),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(734),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(734),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(734),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(734),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(734),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(734),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(734),
    [aux_sym_host_key_alias_token1] = ACTIONS(734),
    [aux_sym_hostname_token1] = ACTIONS(734),
    [aux_sym_identities_only_token1] = ACTIONS(734),
    [aux_sym_identity_agent_token1] = ACTIONS(734),
    [aux_sym_identity_file_token1] = ACTIONS(734),
    [aux_sym_ignore_unknown_token1] = ACTIONS(734),
    [aux_sym_include_token1] = ACTIONS(734),
    [aux_sym_ip_qos_token1] = ACTIONS(734),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(734),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(734),
    [aux_sym_kex_algorithms_token1] = ACTIONS(734),
    [aux_sym_known_hosts_command_token1] = ACTIONS(734),
    [aux_sym_local_command_token1] = ACTIONS(734),
    [aux_sym_local_forward_token1] = ACTIONS(734),
    [aux_sym_log_level_token1] = ACTIONS(734),
    [aux_sym_log_verbose_token1] = ACTIONS(734),
    [aux_sym_macs_token1] = ACTIONS(734),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(734),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(734),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(734),
    [aux_sym_password_authentication_token1] = ACTIONS(734),
    [aux_sym_permit_local_command_token1] = ACTIONS(734),
    [aux_sym_permit_remote_open_token1] = ACTIONS(734),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(734),
    [aux_sym_port_token1] = ACTIONS(734),
    [aux_sym_preferred_authentications_token1] = ACTIONS(734),
    [aux_sym_protocol_token1] = ACTIONS(734),
    [aux_sym_proxy_command_token1] = ACTIONS(734),
    [aux_sym_proxy_jump_token1] = ACTIONS(734),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(734),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(734),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(734),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(734),
    [aux_sym_rekey_limit_token1] = ACTIONS(734),
    [aux_sym_remote_command_token1] = ACTIONS(734),
    [aux_sym_remote_forward_token1] = ACTIONS(734),
    [aux_sym_request_tty_token1] = ACTIONS(734),
    [aux_sym_required_rsa_size_token1] = ACTIONS(734),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(734),
    [aux_sym_security_key_provider_token1] = ACTIONS(734),
    [aux_sym_send_env_token1] = ACTIONS(734),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(734),
    [aux_sym_server_alive_interval_token1] = ACTIONS(734),
    [aux_sym_session_type_token1] = ACTIONS(734),
    [aux_sym_set_env_token1] = ACTIONS(734),
    [aux_sym_stdin_null_token1] = ACTIONS(734),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(734),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(734),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(734),
    [aux_sym_syslog_facility_token1] = ACTIONS(734),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(734),
    [aux_sym_keep_alive_token1] = ACTIONS(734),
    [aux_sym_tag_token1] = ACTIONS(734),
    [aux_sym_tunnel_token1] = ACTIONS(736),
    [aux_sym_tunnel_device_token1] = ACTIONS(734),
    [aux_sym_update_host_keys_token1] = ACTIONS(734),
    [aux_sym_use_keychain_token1] = ACTIONS(734),
    [aux_sym_use_roaming_token1] = ACTIONS(734),
    [aux_sym_user_token1] = ACTIONS(736),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(734),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(734),
    [aux_sym_version_addendum_token1] = ACTIONS(734),
    [aux_sym_visual_host_key_token1] = ACTIONS(734),
    [aux_sym_xauth_location_token1] = ACTIONS(734),
  },
  [33] = {
    [ts_builtin_sym_end] = ACTIONS(740),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(742),
    [anon_sym_DQUOTE] = ACTIONS(740),
    [aux_sym_match_token1] = ACTIONS(740),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(740),
    [aux_sym_address_family_token1] = ACTIONS(740),
    [aux_sym_batch_mode_token1] = ACTIONS(740),
    [aux_sym_bind_address_token1] = ACTIONS(740),
    [aux_sym_bind_interface_token1] = ACTIONS(740),
    [aux_sym_canonical_domains_token1] = ACTIONS(740),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(740),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(740),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(740),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(740),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(740),
    [aux_sym_certificate_file_token1] = ACTIONS(740),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(740),
    [aux_sym_channel_timeout_token1] = ACTIONS(740),
    [aux_sym_check_host_ip_token1] = ACTIONS(740),
    [aux_sym_ciphers_token1] = ACTIONS(740),
    [aux_sym_cipher_token1] = ACTIONS(742),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(740),
    [aux_sym_compression_token1] = ACTIONS(740),
    [aux_sym_connection_attempts_token1] = ACTIONS(740),
    [aux_sym_connect_timeout_token1] = ACTIONS(740),
    [aux_sym_control_master_token1] = ACTIONS(740),
    [aux_sym_control_path_token1] = ACTIONS(740),
    [aux_sym_control_persist_token1] = ACTIONS(740),
    [aux_sym_dynamic_forward_token1] = ACTIONS(740),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(740),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(740),
    [aux_sym_escape_char_token1] = ACTIONS(740),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(740),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(740),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(740),
    [aux_sym_forward_agent_token1] = ACTIONS(740),
    [aux_sym_forward_x11_token1] = ACTIONS(742),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(740),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(740),
    [aux_sym_gateway_ports_token1] = ACTIONS(740),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(740),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(740),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(740),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(740),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(740),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(740),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(740),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(740),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(740),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(740),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(740),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(740),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(740),
    [aux_sym_host_key_alias_token1] = ACTIONS(740),
    [aux_sym_hostname_token1] = ACTIONS(740),
    [aux_sym_identities_only_token1] = ACTIONS(740),
    [aux_sym_identity_agent_token1] = ACTIONS(740),
    [aux_sym_identity_file_token1] = ACTIONS(740),
    [aux_sym_ignore_unknown_token1] = ACTIONS(740),
    [aux_sym_include_token1] = ACTIONS(740),
    [aux_sym_ip_qos_token1] = ACTIONS(740),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(740),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(740),
    [aux_sym_kex_algorithms_token1] = ACTIONS(740),
    [aux_sym_known_hosts_command_token1] = ACTIONS(740),
    [aux_sym_local_command_token1] = ACTIONS(740),
    [aux_sym_local_forward_token1] = ACTIONS(740),
    [aux_sym_log_level_token1] = ACTIONS(740),
    [aux_sym_log_verbose_token1] = ACTIONS(740),
    [aux_sym_macs_token1] = ACTIONS(740),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(740),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(740),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(740),
    [aux_sym_password_authentication_token1] = ACTIONS(740),
    [aux_sym_permit_local_command_token1] = ACTIONS(740),
    [aux_sym_permit_remote_open_token1] = ACTIONS(740),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(740),
    [aux_sym_port_token1] = ACTIONS(740),
    [aux_sym_preferred_authentications_token1] = ACTIONS(740),
    [aux_sym_protocol_token1] = ACTIONS(740),
    [aux_sym_proxy_command_token1] = ACTIONS(740),
    [aux_sym_proxy_jump_token1] = ACTIONS(740),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(740),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(740),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(740),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(740),
    [aux_sym_rekey_limit_token1] = ACTIONS(740),
    [aux_sym_remote_command_token1] = ACTIONS(740),
    [aux_sym_remote_forward_token1] = ACTIONS(740),
    [aux_sym_request_tty_token1] = ACTIONS(740),
    [aux_sym_required_rsa_size_token1] = ACTIONS(740),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(740),
    [aux_sym_security_key_provider_token1] = ACTIONS(740),
    [aux_sym_send_env_token1] = ACTIONS(740),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(740),
    [aux_sym_server_alive_interval_token1] = ACTIONS(740),
    [aux_sym_session_type_token1] = ACTIONS(740),
    [aux_sym_set_env_token1] = ACTIONS(740),
    [aux_sym_stdin_null_token1] = ACTIONS(740),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(740),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(740),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(740),
    [aux_sym_syslog_facility_token1] = ACTIONS(740),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(740),
    [aux_sym_keep_alive_token1] = ACTIONS(740),
    [aux_sym_tag_token1] = ACTIONS(740),
    [aux_sym_tunnel_token1] = ACTIONS(742),
    [aux_sym_tunnel_device_token1] = ACTIONS(740),
    [aux_sym_update_host_keys_token1] = ACTIONS(740),
    [aux_sym_use_keychain_token1] = ACTIONS(740),
    [aux_sym_use_roaming_token1] = ACTIONS(740),
    [aux_sym_user_token1] = ACTIONS(742),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(740),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(740),
    [aux_sym_version_addendum_token1] = ACTIONS(740),
    [aux_sym_visual_host_key_token1] = ACTIONS(740),
    [aux_sym_xauth_location_token1] = ACTIONS(740),
  },
  [34] = {
    [ts_builtin_sym_end] = ACTIONS(744),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(748),
    [aux_sym_match_token1] = ACTIONS(744),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(744),
    [aux_sym_address_family_token1] = ACTIONS(744),
    [aux_sym_batch_mode_token1] = ACTIONS(744),
    [aux_sym_bind_address_token1] = ACTIONS(744),
    [aux_sym_bind_interface_token1] = ACTIONS(744),
    [aux_sym_canonical_domains_token1] = ACTIONS(744),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(744),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(744),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(744),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(744),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(744),
    [aux_sym_certificate_file_token1] = ACTIONS(744),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(744),
    [aux_sym_channel_timeout_token1] = ACTIONS(744),
    [aux_sym_check_host_ip_token1] = ACTIONS(744),
    [aux_sym_ciphers_token1] = ACTIONS(744),
    [aux_sym_cipher_token1] = ACTIONS(746),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(744),
    [aux_sym_compression_token1] = ACTIONS(744),
    [aux_sym_connection_attempts_token1] = ACTIONS(744),
    [aux_sym_connect_timeout_token1] = ACTIONS(744),
    [aux_sym_control_master_token1] = ACTIONS(744),
    [aux_sym_control_path_token1] = ACTIONS(744),
    [aux_sym_control_persist_token1] = ACTIONS(744),
    [aux_sym_dynamic_forward_token1] = ACTIONS(744),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(744),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(744),
    [aux_sym_escape_char_token1] = ACTIONS(744),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(744),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(744),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(744),
    [aux_sym_forward_agent_token1] = ACTIONS(744),
    [aux_sym_forward_x11_token1] = ACTIONS(746),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(744),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(744),
    [aux_sym_gateway_ports_token1] = ACTIONS(744),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(744),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(744),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(744),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(744),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(744),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(744),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(744),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(744),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(744),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(744),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(744),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(744),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(744),
    [aux_sym_host_key_alias_token1] = ACTIONS(744),
    [aux_sym_hostname_token1] = ACTIONS(744),
    [aux_sym_identities_only_token1] = ACTIONS(744),
    [aux_sym_identity_agent_token1] = ACTIONS(744),
    [aux_sym_identity_file_token1] = ACTIONS(744),
    [aux_sym_ignore_unknown_token1] = ACTIONS(744),
    [aux_sym_include_token1] = ACTIONS(744),
    [aux_sym_ip_qos_token1] = ACTIONS(744),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(744),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(744),
    [aux_sym_kex_algorithms_token1] = ACTIONS(744),
    [aux_sym_known_hosts_command_token1] = ACTIONS(744),
    [aux_sym_local_command_token1] = ACTIONS(744),
    [aux_sym_local_forward_token1] = ACTIONS(744),
    [aux_sym_log_level_token1] = ACTIONS(744),
    [aux_sym_log_verbose_token1] = ACTIONS(744),
    [aux_sym_macs_token1] = ACTIONS(744),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(744),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(744),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(744),
    [aux_sym_password_authentication_token1] = ACTIONS(744),
    [aux_sym_permit_local_command_token1] = ACTIONS(744),
    [aux_sym_permit_remote_open_token1] = ACTIONS(744),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(744),
    [aux_sym_port_token1] = ACTIONS(744),
    [aux_sym_preferred_authentications_token1] = ACTIONS(744),
    [aux_sym_protocol_token1] = ACTIONS(744),
    [aux_sym_proxy_command_token1] = ACTIONS(744),
    [aux_sym_proxy_jump_token1] = ACTIONS(744),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(744),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(744),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(744),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(744),
    [aux_sym_rekey_limit_token1] = ACTIONS(744),
    [aux_sym_remote_command_token1] = ACTIONS(744),
    [aux_sym_remote_forward_token1] = ACTIONS(744),
    [aux_sym_request_tty_token1] = ACTIONS(744),
    [aux_sym_required_rsa_size_token1] = ACTIONS(744),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(744),
    [aux_sym_security_key_provider_token1] = ACTIONS(744),
    [aux_sym_send_env_token1] = ACTIONS(744),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(744),
    [aux_sym_server_alive_interval_token1] = ACTIONS(744),
    [aux_sym_session_type_token1] = ACTIONS(744),
    [aux_sym_set_env_token1] = ACTIONS(744),
    [aux_sym_stdin_null_token1] = ACTIONS(744),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(744),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(744),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(744),
    [aux_sym_syslog_facility_token1] = ACTIONS(744),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(744),
    [aux_sym_keep_alive_token1] = ACTIONS(744),
    [aux_sym_tag_token1] = ACTIONS(744),
    [aux_sym_tunnel_token1] = ACTIONS(746),
    [aux_sym_tunnel_device_token1] = ACTIONS(744),
    [aux_sym_update_host_keys_token1] = ACTIONS(744),
    [aux_sym_use_keychain_token1] = ACTIONS(744),
    [aux_sym_use_roaming_token1] = ACTIONS(744),
    [aux_sym_user_token1] = ACTIONS(746),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(744),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(744),
    [aux_sym_version_addendum_token1] = ACTIONS(744),
    [aux_sym_visual_host_key_token1] = ACTIONS(744),
    [aux_sym_xauth_location_token1] = ACTIONS(744),
  },
  [35] = {
    [ts_builtin_sym_end] = ACTIONS(750),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(752),
    [anon_sym_DQUOTE] = ACTIONS(750),
    [aux_sym_match_token1] = ACTIONS(750),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(750),
    [aux_sym_address_family_token1] = ACTIONS(750),
    [aux_sym_batch_mode_token1] = ACTIONS(750),
    [aux_sym_bind_address_token1] = ACTIONS(750),
    [aux_sym_bind_interface_token1] = ACTIONS(750),
    [aux_sym_canonical_domains_token1] = ACTIONS(750),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(750),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(750),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(750),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(750),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(750),
    [aux_sym_certificate_file_token1] = ACTIONS(750),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(750),
    [aux_sym_channel_timeout_token1] = ACTIONS(750),
    [aux_sym_check_host_ip_token1] = ACTIONS(750),
    [aux_sym_ciphers_token1] = ACTIONS(750),
    [aux_sym_cipher_token1] = ACTIONS(752),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(750),
    [aux_sym_compression_token1] = ACTIONS(750),
    [aux_sym_connection_attempts_token1] = ACTIONS(750),
    [aux_sym_connect_timeout_token1] = ACTIONS(750),
    [aux_sym_control_master_token1] = ACTIONS(750),
    [aux_sym_control_path_token1] = ACTIONS(750),
    [aux_sym_control_persist_token1] = ACTIONS(750),
    [aux_sym_dynamic_forward_token1] = ACTIONS(750),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(750),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(750),
    [aux_sym_escape_char_token1] = ACTIONS(750),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(750),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(750),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(750),
    [aux_sym_forward_agent_token1] = ACTIONS(750),
    [aux_sym_forward_x11_token1] = ACTIONS(752),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(750),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(750),
    [aux_sym_gateway_ports_token1] = ACTIONS(750),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(750),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(750),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(750),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(750),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(750),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(750),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(750),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(750),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(750),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(750),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(750),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(750),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(750),
    [aux_sym_host_key_alias_token1] = ACTIONS(750),
    [aux_sym_hostname_token1] = ACTIONS(750),
    [aux_sym_identities_only_token1] = ACTIONS(750),
    [aux_sym_identity_agent_token1] = ACTIONS(750),
    [aux_sym_identity_file_token1] = ACTIONS(750),
    [aux_sym_ignore_unknown_token1] = ACTIONS(750),
    [aux_sym_include_token1] = ACTIONS(750),
    [aux_sym_ip_qos_token1] = ACTIONS(750),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(750),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(750),
    [aux_sym_kex_algorithms_token1] = ACTIONS(750),
    [aux_sym_known_hosts_command_token1] = ACTIONS(750),
    [aux_sym_local_command_token1] = ACTIONS(750),
    [aux_sym_local_forward_token1] = ACTIONS(750),
    [aux_sym_log_level_token1] = ACTIONS(750),
    [aux_sym_log_verbose_token1] = ACTIONS(750),
    [aux_sym_macs_token1] = ACTIONS(750),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(750),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(750),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(750),
    [aux_sym_password_authentication_token1] = ACTIONS(750),
    [aux_sym_permit_local_command_token1] = ACTIONS(750),
    [aux_sym_permit_remote_open_token1] = ACTIONS(750),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(750),
    [aux_sym_port_token1] = ACTIONS(750),
    [aux_sym_preferred_authentications_token1] = ACTIONS(750),
    [aux_sym_protocol_token1] = ACTIONS(750),
    [aux_sym_proxy_command_token1] = ACTIONS(750),
    [aux_sym_proxy_jump_token1] = ACTIONS(750),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(750),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(750),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(750),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(750),
    [aux_sym_rekey_limit_token1] = ACTIONS(750),
    [aux_sym_remote_command_token1] = ACTIONS(750),
    [aux_sym_remote_forward_token1] = ACTIONS(750),
    [aux_sym_request_tty_token1] = ACTIONS(750),
    [aux_sym_required_rsa_size_token1] = ACTIONS(750),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(750),
    [aux_sym_security_key_provider_token1] = ACTIONS(750),
    [aux_sym_send_env_token1] = ACTIONS(750),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(750),
    [aux_sym_server_alive_interval_token1] = ACTIONS(750),
    [aux_sym_session_type_token1] = ACTIONS(750),
    [aux_sym_set_env_token1] = ACTIONS(750),
    [aux_sym_stdin_null_token1] = ACTIONS(750),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(750),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(750),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(750),
    [aux_sym_syslog_facility_token1] = ACTIONS(750),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(750),
    [aux_sym_keep_alive_token1] = ACTIONS(750),
    [aux_sym_tag_token1] = ACTIONS(750),
    [aux_sym_tunnel_token1] = ACTIONS(752),
    [aux_sym_tunnel_device_token1] = ACTIONS(750),
    [aux_sym_update_host_keys_token1] = ACTIONS(750),
    [aux_sym_use_keychain_token1] = ACTIONS(750),
    [aux_sym_use_roaming_token1] = ACTIONS(750),
    [aux_sym_user_token1] = ACTIONS(752),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(750),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(750),
    [aux_sym_version_addendum_token1] = ACTIONS(750),
    [aux_sym_visual_host_key_token1] = ACTIONS(750),
    [aux_sym_xauth_location_token1] = ACTIONS(750),
  },
  [36] = {
    [ts_builtin_sym_end] = ACTIONS(754),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(756),
    [anon_sym_DQUOTE] = ACTIONS(758),
    [aux_sym_match_token1] = ACTIONS(754),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(754),
    [aux_sym_address_family_token1] = ACTIONS(754),
    [aux_sym_batch_mode_token1] = ACTIONS(754),
    [aux_sym_bind_address_token1] = ACTIONS(754),
    [aux_sym_bind_interface_token1] = ACTIONS(754),
    [aux_sym_canonical_domains_token1] = ACTIONS(754),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(754),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(754),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(754),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(754),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(754),
    [aux_sym_certificate_file_token1] = ACTIONS(754),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(754),
    [aux_sym_channel_timeout_token1] = ACTIONS(754),
    [aux_sym_check_host_ip_token1] = ACTIONS(754),
    [aux_sym_ciphers_token1] = ACTIONS(754),
    [aux_sym_cipher_token1] = ACTIONS(756),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(754),
    [aux_sym_compression_token1] = ACTIONS(754),
    [aux_sym_connection_attempts_token1] = ACTIONS(754),
    [aux_sym_connect_timeout_token1] = ACTIONS(754),
    [aux_sym_control_master_token1] = ACTIONS(754),
    [aux_sym_control_path_token1] = ACTIONS(754),
    [aux_sym_control_persist_token1] = ACTIONS(754),
    [aux_sym_dynamic_forward_token1] = ACTIONS(754),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(754),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(754),
    [aux_sym_escape_char_token1] = ACTIONS(754),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(754),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(754),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(754),
    [aux_sym_forward_agent_token1] = ACTIONS(754),
    [aux_sym_forward_x11_token1] = ACTIONS(756),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(754),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(754),
    [aux_sym_gateway_ports_token1] = ACTIONS(754),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(754),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(754),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(754),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(754),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(754),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(754),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(754),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(754),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(754),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(754),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(754),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(754),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(754),
    [aux_sym_host_key_alias_token1] = ACTIONS(754),
    [aux_sym_hostname_token1] = ACTIONS(754),
    [aux_sym_identities_only_token1] = ACTIONS(754),
    [aux_sym_identity_agent_token1] = ACTIONS(754),
    [aux_sym_identity_file_token1] = ACTIONS(754),
    [aux_sym_ignore_unknown_token1] = ACTIONS(754),
    [aux_sym_include_token1] = ACTIONS(754),
    [aux_sym_ip_qos_token1] = ACTIONS(754),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(754),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(754),
    [aux_sym_kex_algorithms_token1] = ACTIONS(754),
    [aux_sym_known_hosts_command_token1] = ACTIONS(754),
    [aux_sym_local_command_token1] = ACTIONS(754),
    [aux_sym_local_forward_token1] = ACTIONS(754),
    [aux_sym_log_level_token1] = ACTIONS(754),
    [aux_sym_log_verbose_token1] = ACTIONS(754),
    [aux_sym_macs_token1] = ACTIONS(754),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(754),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(754),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(754),
    [aux_sym_password_authentication_token1] = ACTIONS(754),
    [aux_sym_permit_local_command_token1] = ACTIONS(754),
    [aux_sym_permit_remote_open_token1] = ACTIONS(754),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(754),
    [aux_sym_port_token1] = ACTIONS(754),
    [aux_sym_preferred_authentications_token1] = ACTIONS(754),
    [aux_sym_protocol_token1] = ACTIONS(754),
    [aux_sym_proxy_command_token1] = ACTIONS(754),
    [aux_sym_proxy_jump_token1] = ACTIONS(754),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(754),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(754),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(754),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(754),
    [aux_sym_rekey_limit_token1] = ACTIONS(754),
    [aux_sym_remote_command_token1] = ACTIONS(754),
    [aux_sym_remote_forward_token1] = ACTIONS(754),
    [aux_sym_request_tty_token1] = ACTIONS(754),
    [aux_sym_required_rsa_size_token1] = ACTIONS(754),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(754),
    [aux_sym_security_key_provider_token1] = ACTIONS(754),
    [aux_sym_send_env_token1] = ACTIONS(754),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(754),
    [aux_sym_server_alive_interval_token1] = ACTIONS(754),
    [aux_sym_session_type_token1] = ACTIONS(754),
    [aux_sym_set_env_token1] = ACTIONS(754),
    [aux_sym_stdin_null_token1] = ACTIONS(754),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(754),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(754),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(754),
    [aux_sym_syslog_facility_token1] = ACTIONS(754),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(754),
    [aux_sym_keep_alive_token1] = ACTIONS(754),
    [aux_sym_tag_token1] = ACTIONS(754),
    [aux_sym_tunnel_token1] = ACTIONS(756),
    [aux_sym_tunnel_device_token1] = ACTIONS(754),
    [aux_sym_update_host_keys_token1] = ACTIONS(754),
    [aux_sym_use_keychain_token1] = ACTIONS(754),
    [aux_sym_use_roaming_token1] = ACTIONS(754),
    [aux_sym_user_token1] = ACTIONS(756),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(754),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(754),
    [aux_sym_version_addendum_token1] = ACTIONS(754),
    [aux_sym_visual_host_key_token1] = ACTIONS(754),
    [aux_sym_xauth_location_token1] = ACTIONS(754),
  },
  [37] = {
    [ts_builtin_sym_end] = ACTIONS(760),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(762),
    [anon_sym_DQUOTE] = ACTIONS(760),
    [aux_sym_match_token1] = ACTIONS(760),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(760),
    [aux_sym_address_family_token1] = ACTIONS(760),
    [aux_sym_batch_mode_token1] = ACTIONS(760),
    [aux_sym_bind_address_token1] = ACTIONS(760),
    [aux_sym_bind_interface_token1] = ACTIONS(760),
    [aux_sym_canonical_domains_token1] = ACTIONS(760),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(760),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(760),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(760),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(760),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(760),
    [aux_sym_certificate_file_token1] = ACTIONS(760),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(760),
    [aux_sym_channel_timeout_token1] = ACTIONS(760),
    [aux_sym_check_host_ip_token1] = ACTIONS(760),
    [aux_sym_ciphers_token1] = ACTIONS(760),
    [aux_sym_cipher_token1] = ACTIONS(762),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(760),
    [aux_sym_compression_token1] = ACTIONS(760),
    [aux_sym_connection_attempts_token1] = ACTIONS(760),
    [aux_sym_connect_timeout_token1] = ACTIONS(760),
    [aux_sym_control_master_token1] = ACTIONS(760),
    [aux_sym_control_path_token1] = ACTIONS(760),
    [aux_sym_control_persist_token1] = ACTIONS(760),
    [aux_sym_dynamic_forward_token1] = ACTIONS(760),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(760),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(760),
    [aux_sym_escape_char_token1] = ACTIONS(760),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(760),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(760),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(760),
    [aux_sym_forward_agent_token1] = ACTIONS(760),
    [aux_sym_forward_x11_token1] = ACTIONS(762),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(760),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(760),
    [aux_sym_gateway_ports_token1] = ACTIONS(760),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(760),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(760),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(760),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(760),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(760),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(760),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(760),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(760),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(760),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(760),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(760),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(760),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(760),
    [aux_sym_host_key_alias_token1] = ACTIONS(760),
    [aux_sym_hostname_token1] = ACTIONS(760),
    [aux_sym_identities_only_token1] = ACTIONS(760),
    [aux_sym_identity_agent_token1] = ACTIONS(760),
    [aux_sym_identity_file_token1] = ACTIONS(760),
    [aux_sym_ignore_unknown_token1] = ACTIONS(760),
    [aux_sym_include_token1] = ACTIONS(760),
    [aux_sym_ip_qos_token1] = ACTIONS(760),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(760),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(760),
    [aux_sym_kex_algorithms_token1] = ACTIONS(760),
    [aux_sym_known_hosts_command_token1] = ACTIONS(760),
    [aux_sym_local_command_token1] = ACTIONS(760),
    [aux_sym_local_forward_token1] = ACTIONS(760),
    [aux_sym_log_level_token1] = ACTIONS(760),
    [aux_sym_log_verbose_token1] = ACTIONS(760),
    [aux_sym_macs_token1] = ACTIONS(760),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(760),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(760),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(760),
    [aux_sym_password_authentication_token1] = ACTIONS(760),
    [aux_sym_permit_local_command_token1] = ACTIONS(760),
    [aux_sym_permit_remote_open_token1] = ACTIONS(760),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(760),
    [aux_sym_port_token1] = ACTIONS(760),
    [aux_sym_preferred_authentications_token1] = ACTIONS(760),
    [aux_sym_protocol_token1] = ACTIONS(760),
    [aux_sym_proxy_command_token1] = ACTIONS(760),
    [aux_sym_proxy_jump_token1] = ACTIONS(760),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(760),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(760),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(760),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(760),
    [aux_sym_rekey_limit_token1] = ACTIONS(760),
    [aux_sym_remote_command_token1] = ACTIONS(760),
    [aux_sym_remote_forward_token1] = ACTIONS(760),
    [aux_sym_request_tty_token1] = ACTIONS(760),
    [aux_sym_required_rsa_size_token1] = ACTIONS(760),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(760),
    [aux_sym_security_key_provider_token1] = ACTIONS(760),
    [aux_sym_send_env_token1] = ACTIONS(760),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(760),
    [aux_sym_server_alive_interval_token1] = ACTIONS(760),
    [aux_sym_session_type_token1] = ACTIONS(760),
    [aux_sym_set_env_token1] = ACTIONS(760),
    [aux_sym_stdin_null_token1] = ACTIONS(760),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(760),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(760),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(760),
    [aux_sym_syslog_facility_token1] = ACTIONS(760),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(760),
    [aux_sym_keep_alive_token1] = ACTIONS(760),
    [aux_sym_tag_token1] = ACTIONS(760),
    [aux_sym_tunnel_token1] = ACTIONS(762),
    [aux_sym_tunnel_device_token1] = ACTIONS(760),
    [aux_sym_update_host_keys_token1] = ACTIONS(760),
    [aux_sym_use_keychain_token1] = ACTIONS(760),
    [aux_sym_use_roaming_token1] = ACTIONS(760),
    [aux_sym_user_token1] = ACTIONS(762),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(760),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(760),
    [aux_sym_version_addendum_token1] = ACTIONS(760),
    [aux_sym_visual_host_key_token1] = ACTIONS(760),
    [aux_sym_xauth_location_token1] = ACTIONS(760),
  },
  [38] = {
    [ts_builtin_sym_end] = ACTIONS(764),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(766),
    [anon_sym_DQUOTE] = ACTIONS(768),
    [aux_sym_match_token1] = ACTIONS(764),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(764),
    [aux_sym_address_family_token1] = ACTIONS(764),
    [aux_sym_batch_mode_token1] = ACTIONS(764),
    [aux_sym_bind_address_token1] = ACTIONS(764),
    [aux_sym_bind_interface_token1] = ACTIONS(764),
    [aux_sym_canonical_domains_token1] = ACTIONS(764),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(764),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(764),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(764),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(764),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(764),
    [aux_sym_certificate_file_token1] = ACTIONS(764),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(764),
    [aux_sym_channel_timeout_token1] = ACTIONS(764),
    [aux_sym_check_host_ip_token1] = ACTIONS(764),
    [aux_sym_ciphers_token1] = ACTIONS(764),
    [aux_sym_cipher_token1] = ACTIONS(766),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(764),
    [aux_sym_compression_token1] = ACTIONS(764),
    [aux_sym_connection_attempts_token1] = ACTIONS(764),
    [aux_sym_connect_timeout_token1] = ACTIONS(764),
    [aux_sym_control_master_token1] = ACTIONS(764),
    [aux_sym_control_path_token1] = ACTIONS(764),
    [aux_sym_control_persist_token1] = ACTIONS(764),
    [aux_sym_dynamic_forward_token1] = ACTIONS(764),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(764),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(764),
    [aux_sym_escape_char_token1] = ACTIONS(764),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(764),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(764),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(764),
    [aux_sym_forward_agent_token1] = ACTIONS(764),
    [aux_sym_forward_x11_token1] = ACTIONS(766),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(764),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(764),
    [aux_sym_gateway_ports_token1] = ACTIONS(764),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(764),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(764),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(764),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(764),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(764),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(764),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(764),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(764),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(764),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(764),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(764),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(764),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(764),
    [aux_sym_host_key_alias_token1] = ACTIONS(764),
    [aux_sym_hostname_token1] = ACTIONS(764),
    [aux_sym_identities_only_token1] = ACTIONS(764),
    [aux_sym_identity_agent_token1] = ACTIONS(764),
    [aux_sym_identity_file_token1] = ACTIONS(764),
    [aux_sym_ignore_unknown_token1] = ACTIONS(764),
    [aux_sym_include_token1] = ACTIONS(764),
    [aux_sym_ip_qos_token1] = ACTIONS(764),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(764),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(764),
    [aux_sym_kex_algorithms_token1] = ACTIONS(764),
    [aux_sym_known_hosts_command_token1] = ACTIONS(764),
    [aux_sym_local_command_token1] = ACTIONS(764),
    [aux_sym_local_forward_token1] = ACTIONS(764),
    [aux_sym_log_level_token1] = ACTIONS(764),
    [aux_sym_log_verbose_token1] = ACTIONS(764),
    [aux_sym_macs_token1] = ACTIONS(764),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(764),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(764),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(764),
    [aux_sym_password_authentication_token1] = ACTIONS(764),
    [aux_sym_permit_local_command_token1] = ACTIONS(764),
    [aux_sym_permit_remote_open_token1] = ACTIONS(764),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(764),
    [aux_sym_port_token1] = ACTIONS(764),
    [aux_sym_preferred_authentications_token1] = ACTIONS(764),
    [aux_sym_protocol_token1] = ACTIONS(764),
    [aux_sym_proxy_command_token1] = ACTIONS(764),
    [aux_sym_proxy_jump_token1] = ACTIONS(764),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(764),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(764),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(764),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(764),
    [aux_sym_rekey_limit_token1] = ACTIONS(764),
    [aux_sym_remote_command_token1] = ACTIONS(764),
    [aux_sym_remote_forward_token1] = ACTIONS(764),
    [aux_sym_request_tty_token1] = ACTIONS(764),
    [aux_sym_required_rsa_size_token1] = ACTIONS(764),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(764),
    [aux_sym_security_key_provider_token1] = ACTIONS(764),
    [aux_sym_send_env_token1] = ACTIONS(764),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(764),
    [aux_sym_server_alive_interval_token1] = ACTIONS(764),
    [aux_sym_session_type_token1] = ACTIONS(764),
    [aux_sym_set_env_token1] = ACTIONS(764),
    [aux_sym_stdin_null_token1] = ACTIONS(764),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(764),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(764),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(764),
    [aux_sym_syslog_facility_token1] = ACTIONS(764),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(764),
    [aux_sym_keep_alive_token1] = ACTIONS(764),
    [aux_sym_tag_token1] = ACTIONS(764),
    [aux_sym_tunnel_token1] = ACTIONS(766),
    [aux_sym_tunnel_device_token1] = ACTIONS(764),
    [aux_sym_update_host_keys_token1] = ACTIONS(764),
    [aux_sym_use_keychain_token1] = ACTIONS(764),
    [aux_sym_use_roaming_token1] = ACTIONS(764),
    [aux_sym_user_token1] = ACTIONS(766),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(764),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(764),
    [aux_sym_version_addendum_token1] = ACTIONS(764),
    [aux_sym_visual_host_key_token1] = ACTIONS(764),
    [aux_sym_xauth_location_token1] = ACTIONS(764),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(770),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(770),
    [aux_sym_match_token1] = ACTIONS(770),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(770),
    [aux_sym_address_family_token1] = ACTIONS(770),
    [aux_sym_batch_mode_token1] = ACTIONS(770),
    [aux_sym_bind_address_token1] = ACTIONS(770),
    [aux_sym_bind_interface_token1] = ACTIONS(770),
    [aux_sym_canonical_domains_token1] = ACTIONS(770),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(770),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(770),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(770),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(770),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(770),
    [aux_sym_certificate_file_token1] = ACTIONS(770),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(770),
    [aux_sym_channel_timeout_token1] = ACTIONS(770),
    [aux_sym_check_host_ip_token1] = ACTIONS(770),
    [aux_sym_ciphers_token1] = ACTIONS(770),
    [aux_sym_cipher_token1] = ACTIONS(772),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(770),
    [aux_sym_compression_token1] = ACTIONS(770),
    [aux_sym_connection_attempts_token1] = ACTIONS(770),
    [aux_sym_connect_timeout_token1] = ACTIONS(770),
    [aux_sym_control_master_token1] = ACTIONS(770),
    [aux_sym_control_path_token1] = ACTIONS(770),
    [aux_sym_control_persist_token1] = ACTIONS(770),
    [aux_sym_dynamic_forward_token1] = ACTIONS(770),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(770),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(770),
    [aux_sym_escape_char_token1] = ACTIONS(770),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(770),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(770),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(770),
    [aux_sym_forward_agent_token1] = ACTIONS(770),
    [aux_sym_forward_x11_token1] = ACTIONS(772),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(770),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(770),
    [aux_sym_gateway_ports_token1] = ACTIONS(770),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(770),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(770),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(770),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(770),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(770),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(770),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(770),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(770),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(770),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(770),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(770),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(770),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(770),
    [aux_sym_host_key_alias_token1] = ACTIONS(770),
    [aux_sym_hostname_token1] = ACTIONS(770),
    [aux_sym_identities_only_token1] = ACTIONS(770),
    [aux_sym_identity_agent_token1] = ACTIONS(770),
    [aux_sym_identity_file_token1] = ACTIONS(770),
    [aux_sym_ignore_unknown_token1] = ACTIONS(770),
    [aux_sym_include_token1] = ACTIONS(770),
    [aux_sym_ip_qos_token1] = ACTIONS(770),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(770),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(770),
    [aux_sym_kex_algorithms_token1] = ACTIONS(770),
    [aux_sym_known_hosts_command_token1] = ACTIONS(770),
    [aux_sym_local_command_token1] = ACTIONS(770),
    [aux_sym_local_forward_token1] = ACTIONS(770),
    [aux_sym_log_level_token1] = ACTIONS(770),
    [aux_sym_log_verbose_token1] = ACTIONS(770),
    [aux_sym_macs_token1] = ACTIONS(770),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(770),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(770),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(770),
    [aux_sym_password_authentication_token1] = ACTIONS(770),
    [aux_sym_permit_local_command_token1] = ACTIONS(770),
    [aux_sym_permit_remote_open_token1] = ACTIONS(770),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(770),
    [aux_sym_port_token1] = ACTIONS(770),
    [aux_sym_preferred_authentications_token1] = ACTIONS(770),
    [aux_sym_protocol_token1] = ACTIONS(770),
    [aux_sym_proxy_command_token1] = ACTIONS(770),
    [aux_sym_proxy_jump_token1] = ACTIONS(770),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(770),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(770),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(770),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(770),
    [aux_sym_rekey_limit_token1] = ACTIONS(770),
    [aux_sym_remote_command_token1] = ACTIONS(770),
    [aux_sym_remote_forward_token1] = ACTIONS(770),
    [aux_sym_request_tty_token1] = ACTIONS(770),
    [aux_sym_required_rsa_size_token1] = ACTIONS(770),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(770),
    [aux_sym_security_key_provider_token1] = ACTIONS(770),
    [aux_sym_send_env_token1] = ACTIONS(770),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(770),
    [aux_sym_server_alive_interval_token1] = ACTIONS(770),
    [aux_sym_session_type_token1] = ACTIONS(770),
    [aux_sym_set_env_token1] = ACTIONS(770),
    [aux_sym_stdin_null_token1] = ACTIONS(770),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(770),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(770),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(770),
    [aux_sym_syslog_facility_token1] = ACTIONS(770),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(770),
    [aux_sym_keep_alive_token1] = ACTIONS(770),
    [aux_sym_tag_token1] = ACTIONS(770),
    [aux_sym_tunnel_token1] = ACTIONS(772),
    [aux_sym_tunnel_device_token1] = ACTIONS(770),
    [aux_sym_update_host_keys_token1] = ACTIONS(770),
    [aux_sym_use_keychain_token1] = ACTIONS(770),
    [aux_sym_use_roaming_token1] = ACTIONS(770),
    [aux_sym_user_token1] = ACTIONS(772),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(770),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(770),
    [aux_sym_version_addendum_token1] = ACTIONS(770),
    [aux_sym_visual_host_key_token1] = ACTIONS(770),
    [aux_sym_xauth_location_token1] = ACTIONS(770),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(774),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(776),
    [anon_sym_DQUOTE] = ACTIONS(778),
    [aux_sym_match_token1] = ACTIONS(774),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(774),
    [aux_sym_address_family_token1] = ACTIONS(774),
    [aux_sym_batch_mode_token1] = ACTIONS(774),
    [aux_sym_bind_address_token1] = ACTIONS(774),
    [aux_sym_bind_interface_token1] = ACTIONS(774),
    [aux_sym_canonical_domains_token1] = ACTIONS(774),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(774),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(774),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(774),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(774),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(774),
    [aux_sym_certificate_file_token1] = ACTIONS(774),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(774),
    [aux_sym_channel_timeout_token1] = ACTIONS(774),
    [aux_sym_check_host_ip_token1] = ACTIONS(774),
    [aux_sym_ciphers_token1] = ACTIONS(774),
    [aux_sym_cipher_token1] = ACTIONS(776),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(774),
    [aux_sym_compression_token1] = ACTIONS(774),
    [aux_sym_connection_attempts_token1] = ACTIONS(774),
    [aux_sym_connect_timeout_token1] = ACTIONS(774),
    [aux_sym_control_master_token1] = ACTIONS(774),
    [aux_sym_control_path_token1] = ACTIONS(774),
    [aux_sym_control_persist_token1] = ACTIONS(774),
    [aux_sym_dynamic_forward_token1] = ACTIONS(774),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(774),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(774),
    [aux_sym_escape_char_token1] = ACTIONS(774),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(774),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(774),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(774),
    [aux_sym_forward_agent_token1] = ACTIONS(774),
    [aux_sym_forward_x11_token1] = ACTIONS(776),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(774),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(774),
    [aux_sym_gateway_ports_token1] = ACTIONS(774),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(774),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(774),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(774),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(774),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(774),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(774),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(774),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(774),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(774),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(774),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(774),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(774),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(774),
    [aux_sym_host_key_alias_token1] = ACTIONS(774),
    [aux_sym_hostname_token1] = ACTIONS(774),
    [aux_sym_identities_only_token1] = ACTIONS(774),
    [aux_sym_identity_agent_token1] = ACTIONS(774),
    [aux_sym_identity_file_token1] = ACTIONS(774),
    [aux_sym_ignore_unknown_token1] = ACTIONS(774),
    [aux_sym_include_token1] = ACTIONS(774),
    [aux_sym_ip_qos_token1] = ACTIONS(774),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(774),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(774),
    [aux_sym_kex_algorithms_token1] = ACTIONS(774),
    [aux_sym_known_hosts_command_token1] = ACTIONS(774),
    [aux_sym_local_command_token1] = ACTIONS(774),
    [aux_sym_local_forward_token1] = ACTIONS(774),
    [aux_sym_log_level_token1] = ACTIONS(774),
    [aux_sym_log_verbose_token1] = ACTIONS(774),
    [aux_sym_macs_token1] = ACTIONS(774),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(774),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(774),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(774),
    [aux_sym_password_authentication_token1] = ACTIONS(774),
    [aux_sym_permit_local_command_token1] = ACTIONS(774),
    [aux_sym_permit_remote_open_token1] = ACTIONS(774),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(774),
    [aux_sym_port_token1] = ACTIONS(774),
    [aux_sym_preferred_authentications_token1] = ACTIONS(774),
    [aux_sym_protocol_token1] = ACTIONS(774),
    [aux_sym_proxy_command_token1] = ACTIONS(774),
    [aux_sym_proxy_jump_token1] = ACTIONS(774),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(774),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(774),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(774),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(774),
    [aux_sym_rekey_limit_token1] = ACTIONS(774),
    [aux_sym_remote_command_token1] = ACTIONS(774),
    [aux_sym_remote_forward_token1] = ACTIONS(774),
    [aux_sym_request_tty_token1] = ACTIONS(774),
    [aux_sym_required_rsa_size_token1] = ACTIONS(774),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(774),
    [aux_sym_security_key_provider_token1] = ACTIONS(774),
    [aux_sym_send_env_token1] = ACTIONS(774),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(774),
    [aux_sym_server_alive_interval_token1] = ACTIONS(774),
    [aux_sym_session_type_token1] = ACTIONS(774),
    [aux_sym_set_env_token1] = ACTIONS(774),
    [aux_sym_stdin_null_token1] = ACTIONS(774),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(774),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(774),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(774),
    [aux_sym_syslog_facility_token1] = ACTIONS(774),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(774),
    [aux_sym_keep_alive_token1] = ACTIONS(774),
    [aux_sym_tag_token1] = ACTIONS(774),
    [aux_sym_tunnel_token1] = ACTIONS(776),
    [aux_sym_tunnel_device_token1] = ACTIONS(774),
    [aux_sym_update_host_keys_token1] = ACTIONS(774),
    [aux_sym_use_keychain_token1] = ACTIONS(774),
    [aux_sym_use_roaming_token1] = ACTIONS(774),
    [aux_sym_user_token1] = ACTIONS(776),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(774),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(774),
    [aux_sym_version_addendum_token1] = ACTIONS(774),
    [aux_sym_visual_host_key_token1] = ACTIONS(774),
    [aux_sym_xauth_location_token1] = ACTIONS(774),
  },
  [41] = {
    [ts_builtin_sym_end] = ACTIONS(780),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(782),
    [anon_sym_DQUOTE] = ACTIONS(780),
    [aux_sym_match_token1] = ACTIONS(780),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(780),
    [aux_sym_address_family_token1] = ACTIONS(780),
    [aux_sym_batch_mode_token1] = ACTIONS(780),
    [aux_sym_bind_address_token1] = ACTIONS(780),
    [aux_sym_bind_interface_token1] = ACTIONS(780),
    [aux_sym_canonical_domains_token1] = ACTIONS(780),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(780),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(780),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(780),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(780),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(780),
    [aux_sym_certificate_file_token1] = ACTIONS(780),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(780),
    [aux_sym_channel_timeout_token1] = ACTIONS(780),
    [aux_sym_check_host_ip_token1] = ACTIONS(780),
    [aux_sym_ciphers_token1] = ACTIONS(780),
    [aux_sym_cipher_token1] = ACTIONS(782),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(780),
    [aux_sym_compression_token1] = ACTIONS(780),
    [aux_sym_connection_attempts_token1] = ACTIONS(780),
    [aux_sym_connect_timeout_token1] = ACTIONS(780),
    [aux_sym_control_master_token1] = ACTIONS(780),
    [aux_sym_control_path_token1] = ACTIONS(780),
    [aux_sym_control_persist_token1] = ACTIONS(780),
    [aux_sym_dynamic_forward_token1] = ACTIONS(780),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(780),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(780),
    [aux_sym_escape_char_token1] = ACTIONS(780),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(780),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(780),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(780),
    [aux_sym_forward_agent_token1] = ACTIONS(780),
    [aux_sym_forward_x11_token1] = ACTIONS(782),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(780),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(780),
    [aux_sym_gateway_ports_token1] = ACTIONS(780),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(780),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(780),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(780),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(780),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(780),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(780),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(780),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(780),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(780),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(780),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(780),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(780),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(780),
    [aux_sym_host_key_alias_token1] = ACTIONS(780),
    [aux_sym_hostname_token1] = ACTIONS(780),
    [aux_sym_identities_only_token1] = ACTIONS(780),
    [aux_sym_identity_agent_token1] = ACTIONS(780),
    [aux_sym_identity_file_token1] = ACTIONS(780),
    [aux_sym_ignore_unknown_token1] = ACTIONS(780),
    [aux_sym_include_token1] = ACTIONS(780),
    [aux_sym_ip_qos_token1] = ACTIONS(780),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(780),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(780),
    [aux_sym_kex_algorithms_token1] = ACTIONS(780),
    [aux_sym_known_hosts_command_token1] = ACTIONS(780),
    [aux_sym_local_command_token1] = ACTIONS(780),
    [aux_sym_local_forward_token1] = ACTIONS(780),
    [aux_sym_log_level_token1] = ACTIONS(780),
    [aux_sym_log_verbose_token1] = ACTIONS(780),
    [aux_sym_macs_token1] = ACTIONS(780),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(780),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(780),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(780),
    [aux_sym_password_authentication_token1] = ACTIONS(780),
    [aux_sym_permit_local_command_token1] = ACTIONS(780),
    [aux_sym_permit_remote_open_token1] = ACTIONS(780),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(780),
    [aux_sym_port_token1] = ACTIONS(780),
    [aux_sym_preferred_authentications_token1] = ACTIONS(780),
    [aux_sym_protocol_token1] = ACTIONS(780),
    [aux_sym_proxy_command_token1] = ACTIONS(780),
    [aux_sym_proxy_jump_token1] = ACTIONS(780),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(780),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(780),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(780),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(780),
    [aux_sym_rekey_limit_token1] = ACTIONS(780),
    [aux_sym_remote_command_token1] = ACTIONS(780),
    [aux_sym_remote_forward_token1] = ACTIONS(780),
    [aux_sym_request_tty_token1] = ACTIONS(780),
    [aux_sym_required_rsa_size_token1] = ACTIONS(780),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(780),
    [aux_sym_security_key_provider_token1] = ACTIONS(780),
    [aux_sym_send_env_token1] = ACTIONS(780),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(780),
    [aux_sym_server_alive_interval_token1] = ACTIONS(780),
    [aux_sym_session_type_token1] = ACTIONS(780),
    [aux_sym_set_env_token1] = ACTIONS(780),
    [aux_sym_stdin_null_token1] = ACTIONS(780),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(780),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(780),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(780),
    [aux_sym_syslog_facility_token1] = ACTIONS(780),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(780),
    [aux_sym_keep_alive_token1] = ACTIONS(780),
    [aux_sym_tag_token1] = ACTIONS(780),
    [aux_sym_tunnel_token1] = ACTIONS(782),
    [aux_sym_tunnel_device_token1] = ACTIONS(780),
    [aux_sym_update_host_keys_token1] = ACTIONS(780),
    [aux_sym_use_keychain_token1] = ACTIONS(780),
    [aux_sym_use_roaming_token1] = ACTIONS(780),
    [aux_sym_user_token1] = ACTIONS(782),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(780),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(780),
    [aux_sym_version_addendum_token1] = ACTIONS(780),
    [aux_sym_visual_host_key_token1] = ACTIONS(780),
    [aux_sym_xauth_location_token1] = ACTIONS(780),
  },
  [42] = {
    [ts_builtin_sym_end] = ACTIONS(784),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(786),
    [anon_sym_DQUOTE] = ACTIONS(788),
    [aux_sym_match_token1] = ACTIONS(784),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(784),
    [aux_sym_address_family_token1] = ACTIONS(784),
    [aux_sym_batch_mode_token1] = ACTIONS(784),
    [aux_sym_bind_address_token1] = ACTIONS(784),
    [aux_sym_bind_interface_token1] = ACTIONS(784),
    [aux_sym_canonical_domains_token1] = ACTIONS(784),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(784),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(784),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(784),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(784),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(784),
    [aux_sym_certificate_file_token1] = ACTIONS(784),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(784),
    [aux_sym_channel_timeout_token1] = ACTIONS(784),
    [aux_sym_check_host_ip_token1] = ACTIONS(784),
    [aux_sym_ciphers_token1] = ACTIONS(784),
    [aux_sym_cipher_token1] = ACTIONS(786),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(784),
    [aux_sym_compression_token1] = ACTIONS(784),
    [aux_sym_connection_attempts_token1] = ACTIONS(784),
    [aux_sym_connect_timeout_token1] = ACTIONS(784),
    [aux_sym_control_master_token1] = ACTIONS(784),
    [aux_sym_control_path_token1] = ACTIONS(784),
    [aux_sym_control_persist_token1] = ACTIONS(784),
    [aux_sym_dynamic_forward_token1] = ACTIONS(784),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(784),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(784),
    [aux_sym_escape_char_token1] = ACTIONS(784),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(784),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(784),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(784),
    [aux_sym_forward_agent_token1] = ACTIONS(784),
    [aux_sym_forward_x11_token1] = ACTIONS(786),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(784),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(784),
    [aux_sym_gateway_ports_token1] = ACTIONS(784),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(784),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(784),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(784),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(784),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(784),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(784),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(784),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(784),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(784),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(784),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(784),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(784),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(784),
    [aux_sym_host_key_alias_token1] = ACTIONS(784),
    [aux_sym_hostname_token1] = ACTIONS(784),
    [aux_sym_identities_only_token1] = ACTIONS(784),
    [aux_sym_identity_agent_token1] = ACTIONS(784),
    [aux_sym_identity_file_token1] = ACTIONS(784),
    [aux_sym_ignore_unknown_token1] = ACTIONS(784),
    [aux_sym_include_token1] = ACTIONS(784),
    [aux_sym_ip_qos_token1] = ACTIONS(784),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(784),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(784),
    [aux_sym_kex_algorithms_token1] = ACTIONS(784),
    [aux_sym_known_hosts_command_token1] = ACTIONS(784),
    [aux_sym_local_command_token1] = ACTIONS(784),
    [aux_sym_local_forward_token1] = ACTIONS(784),
    [aux_sym_log_level_token1] = ACTIONS(784),
    [aux_sym_log_verbose_token1] = ACTIONS(784),
    [aux_sym_macs_token1] = ACTIONS(784),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(784),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(784),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(784),
    [aux_sym_password_authentication_token1] = ACTIONS(784),
    [aux_sym_permit_local_command_token1] = ACTIONS(784),
    [aux_sym_permit_remote_open_token1] = ACTIONS(784),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(784),
    [aux_sym_port_token1] = ACTIONS(784),
    [aux_sym_preferred_authentications_token1] = ACTIONS(784),
    [aux_sym_protocol_token1] = ACTIONS(784),
    [aux_sym_proxy_command_token1] = ACTIONS(784),
    [aux_sym_proxy_jump_token1] = ACTIONS(784),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(784),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(784),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(784),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(784),
    [aux_sym_rekey_limit_token1] = ACTIONS(784),
    [aux_sym_remote_command_token1] = ACTIONS(784),
    [aux_sym_remote_forward_token1] = ACTIONS(784),
    [aux_sym_request_tty_token1] = ACTIONS(784),
    [aux_sym_required_rsa_size_token1] = ACTIONS(784),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(784),
    [aux_sym_security_key_provider_token1] = ACTIONS(784),
    [aux_sym_send_env_token1] = ACTIONS(784),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(784),
    [aux_sym_server_alive_interval_token1] = ACTIONS(784),
    [aux_sym_session_type_token1] = ACTIONS(784),
    [aux_sym_set_env_token1] = ACTIONS(784),
    [aux_sym_stdin_null_token1] = ACTIONS(784),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(784),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(784),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(784),
    [aux_sym_syslog_facility_token1] = ACTIONS(784),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(784),
    [aux_sym_keep_alive_token1] = ACTIONS(784),
    [aux_sym_tag_token1] = ACTIONS(784),
    [aux_sym_tunnel_token1] = ACTIONS(786),
    [aux_sym_tunnel_device_token1] = ACTIONS(784),
    [aux_sym_update_host_keys_token1] = ACTIONS(784),
    [aux_sym_use_keychain_token1] = ACTIONS(784),
    [aux_sym_use_roaming_token1] = ACTIONS(784),
    [aux_sym_user_token1] = ACTIONS(786),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(784),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(784),
    [aux_sym_version_addendum_token1] = ACTIONS(784),
    [aux_sym_visual_host_key_token1] = ACTIONS(784),
    [aux_sym_xauth_location_token1] = ACTIONS(784),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(790),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(792),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [aux_sym_match_token1] = ACTIONS(790),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(790),
    [aux_sym_address_family_token1] = ACTIONS(790),
    [aux_sym_batch_mode_token1] = ACTIONS(790),
    [aux_sym_bind_address_token1] = ACTIONS(790),
    [aux_sym_bind_interface_token1] = ACTIONS(790),
    [aux_sym_canonical_domains_token1] = ACTIONS(790),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(790),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(790),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(790),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(790),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(790),
    [aux_sym_certificate_file_token1] = ACTIONS(790),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(790),
    [aux_sym_channel_timeout_token1] = ACTIONS(790),
    [aux_sym_check_host_ip_token1] = ACTIONS(790),
    [aux_sym_ciphers_token1] = ACTIONS(790),
    [aux_sym_cipher_token1] = ACTIONS(792),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(790),
    [aux_sym_compression_token1] = ACTIONS(790),
    [aux_sym_connection_attempts_token1] = ACTIONS(790),
    [aux_sym_connect_timeout_token1] = ACTIONS(790),
    [aux_sym_control_master_token1] = ACTIONS(790),
    [aux_sym_control_path_token1] = ACTIONS(790),
    [aux_sym_control_persist_token1] = ACTIONS(790),
    [aux_sym_dynamic_forward_token1] = ACTIONS(790),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(790),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(790),
    [aux_sym_escape_char_token1] = ACTIONS(790),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(790),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(790),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(790),
    [aux_sym_forward_agent_token1] = ACTIONS(790),
    [aux_sym_forward_x11_token1] = ACTIONS(792),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(790),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(790),
    [aux_sym_gateway_ports_token1] = ACTIONS(790),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(790),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(790),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(790),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(790),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(790),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(790),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(790),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(790),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(790),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(790),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(790),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(790),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(790),
    [aux_sym_host_key_alias_token1] = ACTIONS(790),
    [aux_sym_hostname_token1] = ACTIONS(790),
    [aux_sym_identities_only_token1] = ACTIONS(790),
    [aux_sym_identity_agent_token1] = ACTIONS(790),
    [aux_sym_identity_file_token1] = ACTIONS(790),
    [aux_sym_ignore_unknown_token1] = ACTIONS(790),
    [aux_sym_include_token1] = ACTIONS(790),
    [aux_sym_ip_qos_token1] = ACTIONS(790),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(790),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(790),
    [aux_sym_kex_algorithms_token1] = ACTIONS(790),
    [aux_sym_known_hosts_command_token1] = ACTIONS(790),
    [aux_sym_local_command_token1] = ACTIONS(790),
    [aux_sym_local_forward_token1] = ACTIONS(790),
    [aux_sym_log_level_token1] = ACTIONS(790),
    [aux_sym_log_verbose_token1] = ACTIONS(790),
    [aux_sym_macs_token1] = ACTIONS(790),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(790),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(790),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(790),
    [aux_sym_password_authentication_token1] = ACTIONS(790),
    [aux_sym_permit_local_command_token1] = ACTIONS(790),
    [aux_sym_permit_remote_open_token1] = ACTIONS(790),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(790),
    [aux_sym_port_token1] = ACTIONS(790),
    [aux_sym_preferred_authentications_token1] = ACTIONS(790),
    [aux_sym_protocol_token1] = ACTIONS(790),
    [aux_sym_proxy_command_token1] = ACTIONS(790),
    [aux_sym_proxy_jump_token1] = ACTIONS(790),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(790),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(790),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(790),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(790),
    [aux_sym_rekey_limit_token1] = ACTIONS(790),
    [aux_sym_remote_command_token1] = ACTIONS(790),
    [aux_sym_remote_forward_token1] = ACTIONS(790),
    [aux_sym_request_tty_token1] = ACTIONS(790),
    [aux_sym_required_rsa_size_token1] = ACTIONS(790),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(790),
    [aux_sym_security_key_provider_token1] = ACTIONS(790),
    [aux_sym_send_env_token1] = ACTIONS(790),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(790),
    [aux_sym_server_alive_interval_token1] = ACTIONS(790),
    [aux_sym_session_type_token1] = ACTIONS(790),
    [aux_sym_set_env_token1] = ACTIONS(790),
    [aux_sym_stdin_null_token1] = ACTIONS(790),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(790),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(790),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(790),
    [aux_sym_syslog_facility_token1] = ACTIONS(790),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(790),
    [aux_sym_keep_alive_token1] = ACTIONS(790),
    [aux_sym_tag_token1] = ACTIONS(790),
    [aux_sym_tunnel_token1] = ACTIONS(792),
    [aux_sym_tunnel_device_token1] = ACTIONS(790),
    [aux_sym_update_host_keys_token1] = ACTIONS(790),
    [aux_sym_use_keychain_token1] = ACTIONS(790),
    [aux_sym_use_roaming_token1] = ACTIONS(790),
    [aux_sym_user_token1] = ACTIONS(792),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(790),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(790),
    [aux_sym_version_addendum_token1] = ACTIONS(790),
    [aux_sym_visual_host_key_token1] = ACTIONS(790),
    [aux_sym_xauth_location_token1] = ACTIONS(790),
  },
  [44] = {
    [ts_builtin_sym_end] = ACTIONS(794),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(796),
    [anon_sym_DQUOTE] = ACTIONS(798),
    [aux_sym_match_token1] = ACTIONS(794),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(794),
    [aux_sym_address_family_token1] = ACTIONS(794),
    [aux_sym_batch_mode_token1] = ACTIONS(794),
    [aux_sym_bind_address_token1] = ACTIONS(794),
    [aux_sym_bind_interface_token1] = ACTIONS(794),
    [aux_sym_canonical_domains_token1] = ACTIONS(794),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(794),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(794),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(794),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(794),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(794),
    [aux_sym_certificate_file_token1] = ACTIONS(794),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(794),
    [aux_sym_channel_timeout_token1] = ACTIONS(794),
    [aux_sym_check_host_ip_token1] = ACTIONS(794),
    [aux_sym_ciphers_token1] = ACTIONS(794),
    [aux_sym_cipher_token1] = ACTIONS(796),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(794),
    [aux_sym_compression_token1] = ACTIONS(794),
    [aux_sym_connection_attempts_token1] = ACTIONS(794),
    [aux_sym_connect_timeout_token1] = ACTIONS(794),
    [aux_sym_control_master_token1] = ACTIONS(794),
    [aux_sym_control_path_token1] = ACTIONS(794),
    [aux_sym_control_persist_token1] = ACTIONS(794),
    [aux_sym_dynamic_forward_token1] = ACTIONS(794),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(794),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(794),
    [aux_sym_escape_char_token1] = ACTIONS(794),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(794),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(794),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(794),
    [aux_sym_forward_agent_token1] = ACTIONS(794),
    [aux_sym_forward_x11_token1] = ACTIONS(796),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(794),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(794),
    [aux_sym_gateway_ports_token1] = ACTIONS(794),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(794),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(794),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(794),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(794),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(794),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(794),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(794),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(794),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(794),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(794),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(794),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(794),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(794),
    [aux_sym_host_key_alias_token1] = ACTIONS(794),
    [aux_sym_hostname_token1] = ACTIONS(794),
    [aux_sym_identities_only_token1] = ACTIONS(794),
    [aux_sym_identity_agent_token1] = ACTIONS(794),
    [aux_sym_identity_file_token1] = ACTIONS(794),
    [aux_sym_ignore_unknown_token1] = ACTIONS(794),
    [aux_sym_include_token1] = ACTIONS(794),
    [aux_sym_ip_qos_token1] = ACTIONS(794),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(794),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(794),
    [aux_sym_kex_algorithms_token1] = ACTIONS(794),
    [aux_sym_known_hosts_command_token1] = ACTIONS(794),
    [aux_sym_local_command_token1] = ACTIONS(794),
    [aux_sym_local_forward_token1] = ACTIONS(794),
    [aux_sym_log_level_token1] = ACTIONS(794),
    [aux_sym_log_verbose_token1] = ACTIONS(794),
    [aux_sym_macs_token1] = ACTIONS(794),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(794),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(794),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(794),
    [aux_sym_password_authentication_token1] = ACTIONS(794),
    [aux_sym_permit_local_command_token1] = ACTIONS(794),
    [aux_sym_permit_remote_open_token1] = ACTIONS(794),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(794),
    [aux_sym_port_token1] = ACTIONS(794),
    [aux_sym_preferred_authentications_token1] = ACTIONS(794),
    [aux_sym_protocol_token1] = ACTIONS(794),
    [aux_sym_proxy_command_token1] = ACTIONS(794),
    [aux_sym_proxy_jump_token1] = ACTIONS(794),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(794),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(794),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(794),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(794),
    [aux_sym_rekey_limit_token1] = ACTIONS(794),
    [aux_sym_remote_command_token1] = ACTIONS(794),
    [aux_sym_remote_forward_token1] = ACTIONS(794),
    [aux_sym_request_tty_token1] = ACTIONS(794),
    [aux_sym_required_rsa_size_token1] = ACTIONS(794),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(794),
    [aux_sym_security_key_provider_token1] = ACTIONS(794),
    [aux_sym_send_env_token1] = ACTIONS(794),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(794),
    [aux_sym_server_alive_interval_token1] = ACTIONS(794),
    [aux_sym_session_type_token1] = ACTIONS(794),
    [aux_sym_set_env_token1] = ACTIONS(794),
    [aux_sym_stdin_null_token1] = ACTIONS(794),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(794),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(794),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(794),
    [aux_sym_syslog_facility_token1] = ACTIONS(794),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(794),
    [aux_sym_keep_alive_token1] = ACTIONS(794),
    [aux_sym_tag_token1] = ACTIONS(794),
    [aux_sym_tunnel_token1] = ACTIONS(796),
    [aux_sym_tunnel_device_token1] = ACTIONS(794),
    [aux_sym_update_host_keys_token1] = ACTIONS(794),
    [aux_sym_use_keychain_token1] = ACTIONS(794),
    [aux_sym_use_roaming_token1] = ACTIONS(794),
    [aux_sym_user_token1] = ACTIONS(796),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(794),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(794),
    [aux_sym_version_addendum_token1] = ACTIONS(794),
    [aux_sym_visual_host_key_token1] = ACTIONS(794),
    [aux_sym_xauth_location_token1] = ACTIONS(794),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(800),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(802),
    [anon_sym_DQUOTE] = ACTIONS(800),
    [aux_sym_match_token1] = ACTIONS(800),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(800),
    [aux_sym_address_family_token1] = ACTIONS(800),
    [aux_sym_batch_mode_token1] = ACTIONS(800),
    [aux_sym_bind_address_token1] = ACTIONS(800),
    [aux_sym_bind_interface_token1] = ACTIONS(800),
    [aux_sym_canonical_domains_token1] = ACTIONS(800),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(800),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(800),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(800),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(800),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(800),
    [aux_sym_certificate_file_token1] = ACTIONS(800),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(800),
    [aux_sym_channel_timeout_token1] = ACTIONS(800),
    [aux_sym_check_host_ip_token1] = ACTIONS(800),
    [aux_sym_ciphers_token1] = ACTIONS(800),
    [aux_sym_cipher_token1] = ACTIONS(802),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(800),
    [aux_sym_compression_token1] = ACTIONS(800),
    [aux_sym_connection_attempts_token1] = ACTIONS(800),
    [aux_sym_connect_timeout_token1] = ACTIONS(800),
    [aux_sym_control_master_token1] = ACTIONS(800),
    [aux_sym_control_path_token1] = ACTIONS(800),
    [aux_sym_control_persist_token1] = ACTIONS(800),
    [aux_sym_dynamic_forward_token1] = ACTIONS(800),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(800),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(800),
    [aux_sym_escape_char_token1] = ACTIONS(800),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(800),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(800),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(800),
    [aux_sym_forward_agent_token1] = ACTIONS(800),
    [aux_sym_forward_x11_token1] = ACTIONS(802),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(800),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(800),
    [aux_sym_gateway_ports_token1] = ACTIONS(800),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(800),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(800),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(800),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(800),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(800),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(800),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(800),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(800),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(800),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(800),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(800),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(800),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(800),
    [aux_sym_host_key_alias_token1] = ACTIONS(800),
    [aux_sym_hostname_token1] = ACTIONS(800),
    [aux_sym_identities_only_token1] = ACTIONS(800),
    [aux_sym_identity_agent_token1] = ACTIONS(800),
    [aux_sym_identity_file_token1] = ACTIONS(800),
    [aux_sym_ignore_unknown_token1] = ACTIONS(800),
    [aux_sym_include_token1] = ACTIONS(800),
    [aux_sym_ip_qos_token1] = ACTIONS(800),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(800),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(800),
    [aux_sym_kex_algorithms_token1] = ACTIONS(800),
    [aux_sym_known_hosts_command_token1] = ACTIONS(800),
    [aux_sym_local_command_token1] = ACTIONS(800),
    [aux_sym_local_forward_token1] = ACTIONS(800),
    [aux_sym_log_level_token1] = ACTIONS(800),
    [aux_sym_log_verbose_token1] = ACTIONS(800),
    [aux_sym_macs_token1] = ACTIONS(800),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(800),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(800),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(800),
    [aux_sym_password_authentication_token1] = ACTIONS(800),
    [aux_sym_permit_local_command_token1] = ACTIONS(800),
    [aux_sym_permit_remote_open_token1] = ACTIONS(800),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(800),
    [aux_sym_port_token1] = ACTIONS(800),
    [aux_sym_preferred_authentications_token1] = ACTIONS(800),
    [aux_sym_protocol_token1] = ACTIONS(800),
    [aux_sym_proxy_command_token1] = ACTIONS(800),
    [aux_sym_proxy_jump_token1] = ACTIONS(800),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(800),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(800),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(800),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(800),
    [aux_sym_rekey_limit_token1] = ACTIONS(800),
    [aux_sym_remote_command_token1] = ACTIONS(800),
    [aux_sym_remote_forward_token1] = ACTIONS(800),
    [aux_sym_request_tty_token1] = ACTIONS(800),
    [aux_sym_required_rsa_size_token1] = ACTIONS(800),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(800),
    [aux_sym_security_key_provider_token1] = ACTIONS(800),
    [aux_sym_send_env_token1] = ACTIONS(800),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(800),
    [aux_sym_server_alive_interval_token1] = ACTIONS(800),
    [aux_sym_session_type_token1] = ACTIONS(800),
    [aux_sym_set_env_token1] = ACTIONS(800),
    [aux_sym_stdin_null_token1] = ACTIONS(800),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(800),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(800),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(800),
    [aux_sym_syslog_facility_token1] = ACTIONS(800),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(800),
    [aux_sym_keep_alive_token1] = ACTIONS(800),
    [aux_sym_tag_token1] = ACTIONS(800),
    [aux_sym_tunnel_token1] = ACTIONS(802),
    [aux_sym_tunnel_device_token1] = ACTIONS(800),
    [aux_sym_update_host_keys_token1] = ACTIONS(800),
    [aux_sym_use_keychain_token1] = ACTIONS(800),
    [aux_sym_use_roaming_token1] = ACTIONS(800),
    [aux_sym_user_token1] = ACTIONS(802),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(800),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(800),
    [aux_sym_version_addendum_token1] = ACTIONS(800),
    [aux_sym_visual_host_key_token1] = ACTIONS(800),
    [aux_sym_xauth_location_token1] = ACTIONS(800),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(804),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(808),
    [aux_sym_match_token1] = ACTIONS(804),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(804),
    [aux_sym_address_family_token1] = ACTIONS(804),
    [aux_sym_batch_mode_token1] = ACTIONS(804),
    [aux_sym_bind_address_token1] = ACTIONS(804),
    [aux_sym_bind_interface_token1] = ACTIONS(804),
    [aux_sym_canonical_domains_token1] = ACTIONS(804),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(804),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(804),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(804),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(804),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(804),
    [aux_sym_certificate_file_token1] = ACTIONS(804),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(804),
    [aux_sym_channel_timeout_token1] = ACTIONS(804),
    [aux_sym_check_host_ip_token1] = ACTIONS(804),
    [aux_sym_ciphers_token1] = ACTIONS(804),
    [aux_sym_cipher_token1] = ACTIONS(806),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(804),
    [aux_sym_compression_token1] = ACTIONS(804),
    [aux_sym_connection_attempts_token1] = ACTIONS(804),
    [aux_sym_connect_timeout_token1] = ACTIONS(804),
    [aux_sym_control_master_token1] = ACTIONS(804),
    [aux_sym_control_path_token1] = ACTIONS(804),
    [aux_sym_control_persist_token1] = ACTIONS(804),
    [aux_sym_dynamic_forward_token1] = ACTIONS(804),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(804),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(804),
    [aux_sym_escape_char_token1] = ACTIONS(804),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(804),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(804),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(804),
    [aux_sym_forward_agent_token1] = ACTIONS(804),
    [aux_sym_forward_x11_token1] = ACTIONS(806),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(804),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(804),
    [aux_sym_gateway_ports_token1] = ACTIONS(804),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(804),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(804),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(804),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(804),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(804),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(804),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(804),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(804),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(804),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(804),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(804),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(804),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(804),
    [aux_sym_host_key_alias_token1] = ACTIONS(804),
    [aux_sym_hostname_token1] = ACTIONS(804),
    [aux_sym_identities_only_token1] = ACTIONS(804),
    [aux_sym_identity_agent_token1] = ACTIONS(804),
    [aux_sym_identity_file_token1] = ACTIONS(804),
    [aux_sym_ignore_unknown_token1] = ACTIONS(804),
    [aux_sym_include_token1] = ACTIONS(804),
    [aux_sym_ip_qos_token1] = ACTIONS(804),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(804),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(804),
    [aux_sym_kex_algorithms_token1] = ACTIONS(804),
    [aux_sym_known_hosts_command_token1] = ACTIONS(804),
    [aux_sym_local_command_token1] = ACTIONS(804),
    [aux_sym_local_forward_token1] = ACTIONS(804),
    [aux_sym_log_level_token1] = ACTIONS(804),
    [aux_sym_log_verbose_token1] = ACTIONS(804),
    [aux_sym_macs_token1] = ACTIONS(804),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(804),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(804),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(804),
    [aux_sym_password_authentication_token1] = ACTIONS(804),
    [aux_sym_permit_local_command_token1] = ACTIONS(804),
    [aux_sym_permit_remote_open_token1] = ACTIONS(804),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(804),
    [aux_sym_port_token1] = ACTIONS(804),
    [aux_sym_preferred_authentications_token1] = ACTIONS(804),
    [aux_sym_protocol_token1] = ACTIONS(804),
    [aux_sym_proxy_command_token1] = ACTIONS(804),
    [aux_sym_proxy_jump_token1] = ACTIONS(804),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(804),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(804),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(804),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(804),
    [aux_sym_rekey_limit_token1] = ACTIONS(804),
    [aux_sym_remote_command_token1] = ACTIONS(804),
    [aux_sym_remote_forward_token1] = ACTIONS(804),
    [aux_sym_request_tty_token1] = ACTIONS(804),
    [aux_sym_required_rsa_size_token1] = ACTIONS(804),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(804),
    [aux_sym_security_key_provider_token1] = ACTIONS(804),
    [aux_sym_send_env_token1] = ACTIONS(804),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(804),
    [aux_sym_server_alive_interval_token1] = ACTIONS(804),
    [aux_sym_session_type_token1] = ACTIONS(804),
    [aux_sym_set_env_token1] = ACTIONS(804),
    [aux_sym_stdin_null_token1] = ACTIONS(804),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(804),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(804),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(804),
    [aux_sym_syslog_facility_token1] = ACTIONS(804),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(804),
    [aux_sym_keep_alive_token1] = ACTIONS(804),
    [aux_sym_tag_token1] = ACTIONS(804),
    [aux_sym_tunnel_token1] = ACTIONS(806),
    [aux_sym_tunnel_device_token1] = ACTIONS(804),
    [aux_sym_update_host_keys_token1] = ACTIONS(804),
    [aux_sym_use_keychain_token1] = ACTIONS(804),
    [aux_sym_use_roaming_token1] = ACTIONS(804),
    [aux_sym_user_token1] = ACTIONS(806),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(804),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(804),
    [aux_sym_version_addendum_token1] = ACTIONS(804),
    [aux_sym_visual_host_key_token1] = ACTIONS(804),
    [aux_sym_xauth_location_token1] = ACTIONS(804),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(812),
    [anon_sym_DQUOTE] = ACTIONS(810),
    [aux_sym_match_token1] = ACTIONS(810),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(810),
    [aux_sym_address_family_token1] = ACTIONS(810),
    [aux_sym_batch_mode_token1] = ACTIONS(810),
    [aux_sym_bind_address_token1] = ACTIONS(810),
    [aux_sym_bind_interface_token1] = ACTIONS(810),
    [aux_sym_canonical_domains_token1] = ACTIONS(810),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(810),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(810),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(810),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(810),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(810),
    [aux_sym_certificate_file_token1] = ACTIONS(810),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(810),
    [aux_sym_channel_timeout_token1] = ACTIONS(810),
    [aux_sym_check_host_ip_token1] = ACTIONS(810),
    [aux_sym_ciphers_token1] = ACTIONS(810),
    [aux_sym_cipher_token1] = ACTIONS(812),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(810),
    [aux_sym_compression_token1] = ACTIONS(810),
    [aux_sym_connection_attempts_token1] = ACTIONS(810),
    [aux_sym_connect_timeout_token1] = ACTIONS(810),
    [aux_sym_control_master_token1] = ACTIONS(810),
    [aux_sym_control_path_token1] = ACTIONS(810),
    [aux_sym_control_persist_token1] = ACTIONS(810),
    [aux_sym_dynamic_forward_token1] = ACTIONS(810),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(810),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(810),
    [aux_sym_escape_char_token1] = ACTIONS(810),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(810),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(810),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(810),
    [aux_sym_forward_agent_token1] = ACTIONS(810),
    [aux_sym_forward_x11_token1] = ACTIONS(812),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(810),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(810),
    [aux_sym_gateway_ports_token1] = ACTIONS(810),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(810),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(810),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(810),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(810),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(810),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(810),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(810),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(810),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(810),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(810),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(810),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(810),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(810),
    [aux_sym_host_key_alias_token1] = ACTIONS(810),
    [aux_sym_hostname_token1] = ACTIONS(810),
    [aux_sym_identities_only_token1] = ACTIONS(810),
    [aux_sym_identity_agent_token1] = ACTIONS(810),
    [aux_sym_identity_file_token1] = ACTIONS(810),
    [aux_sym_ignore_unknown_token1] = ACTIONS(810),
    [aux_sym_include_token1] = ACTIONS(810),
    [aux_sym_ip_qos_token1] = ACTIONS(810),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(810),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(810),
    [aux_sym_kex_algorithms_token1] = ACTIONS(810),
    [aux_sym_known_hosts_command_token1] = ACTIONS(810),
    [aux_sym_local_command_token1] = ACTIONS(810),
    [aux_sym_local_forward_token1] = ACTIONS(810),
    [aux_sym_log_level_token1] = ACTIONS(810),
    [aux_sym_log_verbose_token1] = ACTIONS(810),
    [aux_sym_macs_token1] = ACTIONS(810),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(810),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(810),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(810),
    [aux_sym_password_authentication_token1] = ACTIONS(810),
    [aux_sym_permit_local_command_token1] = ACTIONS(810),
    [aux_sym_permit_remote_open_token1] = ACTIONS(810),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(810),
    [aux_sym_port_token1] = ACTIONS(810),
    [aux_sym_preferred_authentications_token1] = ACTIONS(810),
    [aux_sym_protocol_token1] = ACTIONS(810),
    [aux_sym_proxy_command_token1] = ACTIONS(810),
    [aux_sym_proxy_jump_token1] = ACTIONS(810),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(810),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(810),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(810),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(810),
    [aux_sym_rekey_limit_token1] = ACTIONS(810),
    [aux_sym_remote_command_token1] = ACTIONS(810),
    [aux_sym_remote_forward_token1] = ACTIONS(810),
    [aux_sym_request_tty_token1] = ACTIONS(810),
    [aux_sym_required_rsa_size_token1] = ACTIONS(810),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(810),
    [aux_sym_security_key_provider_token1] = ACTIONS(810),
    [aux_sym_send_env_token1] = ACTIONS(810),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(810),
    [aux_sym_server_alive_interval_token1] = ACTIONS(810),
    [aux_sym_session_type_token1] = ACTIONS(810),
    [aux_sym_set_env_token1] = ACTIONS(810),
    [aux_sym_stdin_null_token1] = ACTIONS(810),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(810),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(810),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(810),
    [aux_sym_syslog_facility_token1] = ACTIONS(810),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(810),
    [aux_sym_keep_alive_token1] = ACTIONS(810),
    [aux_sym_tag_token1] = ACTIONS(810),
    [aux_sym_tunnel_token1] = ACTIONS(812),
    [aux_sym_tunnel_device_token1] = ACTIONS(810),
    [aux_sym_update_host_keys_token1] = ACTIONS(810),
    [aux_sym_use_keychain_token1] = ACTIONS(810),
    [aux_sym_use_roaming_token1] = ACTIONS(810),
    [aux_sym_user_token1] = ACTIONS(812),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(810),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(810),
    [aux_sym_version_addendum_token1] = ACTIONS(810),
    [aux_sym_visual_host_key_token1] = ACTIONS(810),
    [aux_sym_xauth_location_token1] = ACTIONS(810),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(814),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(818),
    [aux_sym_match_token1] = ACTIONS(814),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(814),
    [aux_sym_address_family_token1] = ACTIONS(814),
    [aux_sym_batch_mode_token1] = ACTIONS(814),
    [aux_sym_bind_address_token1] = ACTIONS(814),
    [aux_sym_bind_interface_token1] = ACTIONS(814),
    [aux_sym_canonical_domains_token1] = ACTIONS(814),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(814),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(814),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(814),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(814),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(814),
    [aux_sym_certificate_file_token1] = ACTIONS(814),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(814),
    [aux_sym_channel_timeout_token1] = ACTIONS(814),
    [aux_sym_check_host_ip_token1] = ACTIONS(814),
    [aux_sym_ciphers_token1] = ACTIONS(814),
    [aux_sym_cipher_token1] = ACTIONS(816),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(814),
    [aux_sym_compression_token1] = ACTIONS(814),
    [aux_sym_connection_attempts_token1] = ACTIONS(814),
    [aux_sym_connect_timeout_token1] = ACTIONS(814),
    [aux_sym_control_master_token1] = ACTIONS(814),
    [aux_sym_control_path_token1] = ACTIONS(814),
    [aux_sym_control_persist_token1] = ACTIONS(814),
    [aux_sym_dynamic_forward_token1] = ACTIONS(814),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(814),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(814),
    [aux_sym_escape_char_token1] = ACTIONS(814),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(814),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(814),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(814),
    [aux_sym_forward_agent_token1] = ACTIONS(814),
    [aux_sym_forward_x11_token1] = ACTIONS(816),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(814),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(814),
    [aux_sym_gateway_ports_token1] = ACTIONS(814),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(814),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(814),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(814),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(814),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(814),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(814),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(814),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(814),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(814),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(814),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(814),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(814),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(814),
    [aux_sym_host_key_alias_token1] = ACTIONS(814),
    [aux_sym_hostname_token1] = ACTIONS(814),
    [aux_sym_identities_only_token1] = ACTIONS(814),
    [aux_sym_identity_agent_token1] = ACTIONS(814),
    [aux_sym_identity_file_token1] = ACTIONS(814),
    [aux_sym_ignore_unknown_token1] = ACTIONS(814),
    [aux_sym_include_token1] = ACTIONS(814),
    [aux_sym_ip_qos_token1] = ACTIONS(814),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(814),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(814),
    [aux_sym_kex_algorithms_token1] = ACTIONS(814),
    [aux_sym_known_hosts_command_token1] = ACTIONS(814),
    [aux_sym_local_command_token1] = ACTIONS(814),
    [aux_sym_local_forward_token1] = ACTIONS(814),
    [aux_sym_log_level_token1] = ACTIONS(814),
    [aux_sym_log_verbose_token1] = ACTIONS(814),
    [aux_sym_macs_token1] = ACTIONS(814),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(814),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(814),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(814),
    [aux_sym_password_authentication_token1] = ACTIONS(814),
    [aux_sym_permit_local_command_token1] = ACTIONS(814),
    [aux_sym_permit_remote_open_token1] = ACTIONS(814),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(814),
    [aux_sym_port_token1] = ACTIONS(814),
    [aux_sym_preferred_authentications_token1] = ACTIONS(814),
    [aux_sym_protocol_token1] = ACTIONS(814),
    [aux_sym_proxy_command_token1] = ACTIONS(814),
    [aux_sym_proxy_jump_token1] = ACTIONS(814),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(814),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(814),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(814),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(814),
    [aux_sym_rekey_limit_token1] = ACTIONS(814),
    [aux_sym_remote_command_token1] = ACTIONS(814),
    [aux_sym_remote_forward_token1] = ACTIONS(814),
    [aux_sym_request_tty_token1] = ACTIONS(814),
    [aux_sym_required_rsa_size_token1] = ACTIONS(814),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(814),
    [aux_sym_security_key_provider_token1] = ACTIONS(814),
    [aux_sym_send_env_token1] = ACTIONS(814),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(814),
    [aux_sym_server_alive_interval_token1] = ACTIONS(814),
    [aux_sym_session_type_token1] = ACTIONS(814),
    [aux_sym_set_env_token1] = ACTIONS(814),
    [aux_sym_stdin_null_token1] = ACTIONS(814),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(814),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(814),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(814),
    [aux_sym_syslog_facility_token1] = ACTIONS(814),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(814),
    [aux_sym_keep_alive_token1] = ACTIONS(814),
    [aux_sym_tag_token1] = ACTIONS(814),
    [aux_sym_tunnel_token1] = ACTIONS(816),
    [aux_sym_tunnel_device_token1] = ACTIONS(814),
    [aux_sym_update_host_keys_token1] = ACTIONS(814),
    [aux_sym_use_keychain_token1] = ACTIONS(814),
    [aux_sym_use_roaming_token1] = ACTIONS(814),
    [aux_sym_user_token1] = ACTIONS(816),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(814),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(814),
    [aux_sym_version_addendum_token1] = ACTIONS(814),
    [aux_sym_visual_host_key_token1] = ACTIONS(814),
    [aux_sym_xauth_location_token1] = ACTIONS(814),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(820),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(822),
    [anon_sym_DQUOTE] = ACTIONS(820),
    [aux_sym_match_token1] = ACTIONS(820),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(820),
    [aux_sym_address_family_token1] = ACTIONS(820),
    [aux_sym_batch_mode_token1] = ACTIONS(820),
    [aux_sym_bind_address_token1] = ACTIONS(820),
    [aux_sym_bind_interface_token1] = ACTIONS(820),
    [aux_sym_canonical_domains_token1] = ACTIONS(820),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(820),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(820),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(820),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(820),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(820),
    [aux_sym_certificate_file_token1] = ACTIONS(820),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(820),
    [aux_sym_channel_timeout_token1] = ACTIONS(820),
    [aux_sym_check_host_ip_token1] = ACTIONS(820),
    [aux_sym_ciphers_token1] = ACTIONS(820),
    [aux_sym_cipher_token1] = ACTIONS(822),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(820),
    [aux_sym_compression_token1] = ACTIONS(820),
    [aux_sym_connection_attempts_token1] = ACTIONS(820),
    [aux_sym_connect_timeout_token1] = ACTIONS(820),
    [aux_sym_control_master_token1] = ACTIONS(820),
    [aux_sym_control_path_token1] = ACTIONS(820),
    [aux_sym_control_persist_token1] = ACTIONS(820),
    [aux_sym_dynamic_forward_token1] = ACTIONS(820),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(820),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(820),
    [aux_sym_escape_char_token1] = ACTIONS(820),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(820),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(820),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(820),
    [aux_sym_forward_agent_token1] = ACTIONS(820),
    [aux_sym_forward_x11_token1] = ACTIONS(822),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(820),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(820),
    [aux_sym_gateway_ports_token1] = ACTIONS(820),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(820),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(820),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(820),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(820),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(820),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(820),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(820),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(820),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(820),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(820),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(820),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(820),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(820),
    [aux_sym_host_key_alias_token1] = ACTIONS(820),
    [aux_sym_hostname_token1] = ACTIONS(820),
    [aux_sym_identities_only_token1] = ACTIONS(820),
    [aux_sym_identity_agent_token1] = ACTIONS(820),
    [aux_sym_identity_file_token1] = ACTIONS(820),
    [aux_sym_ignore_unknown_token1] = ACTIONS(820),
    [aux_sym_include_token1] = ACTIONS(820),
    [aux_sym_ip_qos_token1] = ACTIONS(820),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(820),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(820),
    [aux_sym_kex_algorithms_token1] = ACTIONS(820),
    [aux_sym_known_hosts_command_token1] = ACTIONS(820),
    [aux_sym_local_command_token1] = ACTIONS(820),
    [aux_sym_local_forward_token1] = ACTIONS(820),
    [aux_sym_log_level_token1] = ACTIONS(820),
    [aux_sym_log_verbose_token1] = ACTIONS(820),
    [aux_sym_macs_token1] = ACTIONS(820),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(820),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(820),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(820),
    [aux_sym_password_authentication_token1] = ACTIONS(820),
    [aux_sym_permit_local_command_token1] = ACTIONS(820),
    [aux_sym_permit_remote_open_token1] = ACTIONS(820),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(820),
    [aux_sym_port_token1] = ACTIONS(820),
    [aux_sym_preferred_authentications_token1] = ACTIONS(820),
    [aux_sym_protocol_token1] = ACTIONS(820),
    [aux_sym_proxy_command_token1] = ACTIONS(820),
    [aux_sym_proxy_jump_token1] = ACTIONS(820),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(820),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(820),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(820),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(820),
    [aux_sym_rekey_limit_token1] = ACTIONS(820),
    [aux_sym_remote_command_token1] = ACTIONS(820),
    [aux_sym_remote_forward_token1] = ACTIONS(820),
    [aux_sym_request_tty_token1] = ACTIONS(820),
    [aux_sym_required_rsa_size_token1] = ACTIONS(820),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(820),
    [aux_sym_security_key_provider_token1] = ACTIONS(820),
    [aux_sym_send_env_token1] = ACTIONS(820),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(820),
    [aux_sym_server_alive_interval_token1] = ACTIONS(820),
    [aux_sym_session_type_token1] = ACTIONS(820),
    [aux_sym_set_env_token1] = ACTIONS(820),
    [aux_sym_stdin_null_token1] = ACTIONS(820),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(820),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(820),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(820),
    [aux_sym_syslog_facility_token1] = ACTIONS(820),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(820),
    [aux_sym_keep_alive_token1] = ACTIONS(820),
    [aux_sym_tag_token1] = ACTIONS(820),
    [aux_sym_tunnel_token1] = ACTIONS(822),
    [aux_sym_tunnel_device_token1] = ACTIONS(820),
    [aux_sym_update_host_keys_token1] = ACTIONS(820),
    [aux_sym_use_keychain_token1] = ACTIONS(820),
    [aux_sym_use_roaming_token1] = ACTIONS(820),
    [aux_sym_user_token1] = ACTIONS(822),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(820),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(820),
    [aux_sym_version_addendum_token1] = ACTIONS(820),
    [aux_sym_visual_host_key_token1] = ACTIONS(820),
    [aux_sym_xauth_location_token1] = ACTIONS(820),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(828),
    [aux_sym_match_token1] = ACTIONS(824),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(824),
    [aux_sym_address_family_token1] = ACTIONS(824),
    [aux_sym_batch_mode_token1] = ACTIONS(824),
    [aux_sym_bind_address_token1] = ACTIONS(824),
    [aux_sym_bind_interface_token1] = ACTIONS(824),
    [aux_sym_canonical_domains_token1] = ACTIONS(824),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(824),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(824),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(824),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(824),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(824),
    [aux_sym_certificate_file_token1] = ACTIONS(824),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(824),
    [aux_sym_channel_timeout_token1] = ACTIONS(824),
    [aux_sym_check_host_ip_token1] = ACTIONS(824),
    [aux_sym_ciphers_token1] = ACTIONS(824),
    [aux_sym_cipher_token1] = ACTIONS(826),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(824),
    [aux_sym_compression_token1] = ACTIONS(824),
    [aux_sym_connection_attempts_token1] = ACTIONS(824),
    [aux_sym_connect_timeout_token1] = ACTIONS(824),
    [aux_sym_control_master_token1] = ACTIONS(824),
    [aux_sym_control_path_token1] = ACTIONS(824),
    [aux_sym_control_persist_token1] = ACTIONS(824),
    [aux_sym_dynamic_forward_token1] = ACTIONS(824),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(824),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(824),
    [aux_sym_escape_char_token1] = ACTIONS(824),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(824),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(824),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(824),
    [aux_sym_forward_agent_token1] = ACTIONS(824),
    [aux_sym_forward_x11_token1] = ACTIONS(826),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(824),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(824),
    [aux_sym_gateway_ports_token1] = ACTIONS(824),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(824),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(824),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(824),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(824),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(824),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(824),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(824),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(824),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(824),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(824),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(824),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(824),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(824),
    [aux_sym_host_key_alias_token1] = ACTIONS(824),
    [aux_sym_hostname_token1] = ACTIONS(824),
    [aux_sym_identities_only_token1] = ACTIONS(824),
    [aux_sym_identity_agent_token1] = ACTIONS(824),
    [aux_sym_identity_file_token1] = ACTIONS(824),
    [aux_sym_ignore_unknown_token1] = ACTIONS(824),
    [aux_sym_include_token1] = ACTIONS(824),
    [aux_sym_ip_qos_token1] = ACTIONS(824),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(824),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(824),
    [aux_sym_kex_algorithms_token1] = ACTIONS(824),
    [aux_sym_known_hosts_command_token1] = ACTIONS(824),
    [aux_sym_local_command_token1] = ACTIONS(824),
    [aux_sym_local_forward_token1] = ACTIONS(824),
    [aux_sym_log_level_token1] = ACTIONS(824),
    [aux_sym_log_verbose_token1] = ACTIONS(824),
    [aux_sym_macs_token1] = ACTIONS(824),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(824),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(824),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(824),
    [aux_sym_password_authentication_token1] = ACTIONS(824),
    [aux_sym_permit_local_command_token1] = ACTIONS(824),
    [aux_sym_permit_remote_open_token1] = ACTIONS(824),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(824),
    [aux_sym_port_token1] = ACTIONS(824),
    [aux_sym_preferred_authentications_token1] = ACTIONS(824),
    [aux_sym_protocol_token1] = ACTIONS(824),
    [aux_sym_proxy_command_token1] = ACTIONS(824),
    [aux_sym_proxy_jump_token1] = ACTIONS(824),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(824),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(824),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(824),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(824),
    [aux_sym_rekey_limit_token1] = ACTIONS(824),
    [aux_sym_remote_command_token1] = ACTIONS(824),
    [aux_sym_remote_forward_token1] = ACTIONS(824),
    [aux_sym_request_tty_token1] = ACTIONS(824),
    [aux_sym_required_rsa_size_token1] = ACTIONS(824),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(824),
    [aux_sym_security_key_provider_token1] = ACTIONS(824),
    [aux_sym_send_env_token1] = ACTIONS(824),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(824),
    [aux_sym_server_alive_interval_token1] = ACTIONS(824),
    [aux_sym_session_type_token1] = ACTIONS(824),
    [aux_sym_set_env_token1] = ACTIONS(824),
    [aux_sym_stdin_null_token1] = ACTIONS(824),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(824),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(824),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(824),
    [aux_sym_syslog_facility_token1] = ACTIONS(824),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(824),
    [aux_sym_keep_alive_token1] = ACTIONS(824),
    [aux_sym_tag_token1] = ACTIONS(824),
    [aux_sym_tunnel_token1] = ACTIONS(826),
    [aux_sym_tunnel_device_token1] = ACTIONS(824),
    [aux_sym_update_host_keys_token1] = ACTIONS(824),
    [aux_sym_use_keychain_token1] = ACTIONS(824),
    [aux_sym_use_roaming_token1] = ACTIONS(824),
    [aux_sym_user_token1] = ACTIONS(826),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(824),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(824),
    [aux_sym_version_addendum_token1] = ACTIONS(824),
    [aux_sym_visual_host_key_token1] = ACTIONS(824),
    [aux_sym_xauth_location_token1] = ACTIONS(824),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(830),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(832),
    [anon_sym_DQUOTE] = ACTIONS(830),
    [aux_sym_match_token1] = ACTIONS(830),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(830),
    [aux_sym_address_family_token1] = ACTIONS(830),
    [aux_sym_batch_mode_token1] = ACTIONS(830),
    [aux_sym_bind_address_token1] = ACTIONS(830),
    [aux_sym_bind_interface_token1] = ACTIONS(830),
    [aux_sym_canonical_domains_token1] = ACTIONS(830),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(830),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(830),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(830),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(830),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(830),
    [aux_sym_certificate_file_token1] = ACTIONS(830),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(830),
    [aux_sym_channel_timeout_token1] = ACTIONS(830),
    [aux_sym_check_host_ip_token1] = ACTIONS(830),
    [aux_sym_ciphers_token1] = ACTIONS(830),
    [aux_sym_cipher_token1] = ACTIONS(832),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(830),
    [aux_sym_compression_token1] = ACTIONS(830),
    [aux_sym_connection_attempts_token1] = ACTIONS(830),
    [aux_sym_connect_timeout_token1] = ACTIONS(830),
    [aux_sym_control_master_token1] = ACTIONS(830),
    [aux_sym_control_path_token1] = ACTIONS(830),
    [aux_sym_control_persist_token1] = ACTIONS(830),
    [aux_sym_dynamic_forward_token1] = ACTIONS(830),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(830),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(830),
    [aux_sym_escape_char_token1] = ACTIONS(830),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(830),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(830),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(830),
    [aux_sym_forward_agent_token1] = ACTIONS(830),
    [aux_sym_forward_x11_token1] = ACTIONS(832),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(830),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(830),
    [aux_sym_gateway_ports_token1] = ACTIONS(830),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(830),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(830),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(830),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(830),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(830),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(830),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(830),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(830),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(830),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(830),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(830),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(830),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(830),
    [aux_sym_host_key_alias_token1] = ACTIONS(830),
    [aux_sym_hostname_token1] = ACTIONS(830),
    [aux_sym_identities_only_token1] = ACTIONS(830),
    [aux_sym_identity_agent_token1] = ACTIONS(830),
    [aux_sym_identity_file_token1] = ACTIONS(830),
    [aux_sym_ignore_unknown_token1] = ACTIONS(830),
    [aux_sym_include_token1] = ACTIONS(830),
    [aux_sym_ip_qos_token1] = ACTIONS(830),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(830),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(830),
    [aux_sym_kex_algorithms_token1] = ACTIONS(830),
    [aux_sym_known_hosts_command_token1] = ACTIONS(830),
    [aux_sym_local_command_token1] = ACTIONS(830),
    [aux_sym_local_forward_token1] = ACTIONS(830),
    [aux_sym_log_level_token1] = ACTIONS(830),
    [aux_sym_log_verbose_token1] = ACTIONS(830),
    [aux_sym_macs_token1] = ACTIONS(830),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(830),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(830),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(830),
    [aux_sym_password_authentication_token1] = ACTIONS(830),
    [aux_sym_permit_local_command_token1] = ACTIONS(830),
    [aux_sym_permit_remote_open_token1] = ACTIONS(830),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(830),
    [aux_sym_port_token1] = ACTIONS(830),
    [aux_sym_preferred_authentications_token1] = ACTIONS(830),
    [aux_sym_protocol_token1] = ACTIONS(830),
    [aux_sym_proxy_command_token1] = ACTIONS(830),
    [aux_sym_proxy_jump_token1] = ACTIONS(830),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(830),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(830),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(830),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(830),
    [aux_sym_rekey_limit_token1] = ACTIONS(830),
    [aux_sym_remote_command_token1] = ACTIONS(830),
    [aux_sym_remote_forward_token1] = ACTIONS(830),
    [aux_sym_request_tty_token1] = ACTIONS(830),
    [aux_sym_required_rsa_size_token1] = ACTIONS(830),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(830),
    [aux_sym_security_key_provider_token1] = ACTIONS(830),
    [aux_sym_send_env_token1] = ACTIONS(830),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(830),
    [aux_sym_server_alive_interval_token1] = ACTIONS(830),
    [aux_sym_session_type_token1] = ACTIONS(830),
    [aux_sym_set_env_token1] = ACTIONS(830),
    [aux_sym_stdin_null_token1] = ACTIONS(830),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(830),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(830),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(830),
    [aux_sym_syslog_facility_token1] = ACTIONS(830),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(830),
    [aux_sym_keep_alive_token1] = ACTIONS(830),
    [aux_sym_tag_token1] = ACTIONS(830),
    [aux_sym_tunnel_token1] = ACTIONS(832),
    [aux_sym_tunnel_device_token1] = ACTIONS(830),
    [aux_sym_update_host_keys_token1] = ACTIONS(830),
    [aux_sym_use_keychain_token1] = ACTIONS(830),
    [aux_sym_use_roaming_token1] = ACTIONS(830),
    [aux_sym_user_token1] = ACTIONS(832),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(830),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(830),
    [aux_sym_version_addendum_token1] = ACTIONS(830),
    [aux_sym_visual_host_key_token1] = ACTIONS(830),
    [aux_sym_xauth_location_token1] = ACTIONS(830),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(838),
    [aux_sym_match_token1] = ACTIONS(834),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(834),
    [aux_sym_address_family_token1] = ACTIONS(834),
    [aux_sym_batch_mode_token1] = ACTIONS(834),
    [aux_sym_bind_address_token1] = ACTIONS(834),
    [aux_sym_bind_interface_token1] = ACTIONS(834),
    [aux_sym_canonical_domains_token1] = ACTIONS(834),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(834),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(834),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(834),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(834),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(834),
    [aux_sym_certificate_file_token1] = ACTIONS(834),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(834),
    [aux_sym_channel_timeout_token1] = ACTIONS(834),
    [aux_sym_check_host_ip_token1] = ACTIONS(834),
    [aux_sym_ciphers_token1] = ACTIONS(834),
    [aux_sym_cipher_token1] = ACTIONS(836),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(834),
    [aux_sym_compression_token1] = ACTIONS(834),
    [aux_sym_connection_attempts_token1] = ACTIONS(834),
    [aux_sym_connect_timeout_token1] = ACTIONS(834),
    [aux_sym_control_master_token1] = ACTIONS(834),
    [aux_sym_control_path_token1] = ACTIONS(834),
    [aux_sym_control_persist_token1] = ACTIONS(834),
    [aux_sym_dynamic_forward_token1] = ACTIONS(834),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(834),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(834),
    [aux_sym_escape_char_token1] = ACTIONS(834),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(834),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(834),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(834),
    [aux_sym_forward_agent_token1] = ACTIONS(834),
    [aux_sym_forward_x11_token1] = ACTIONS(836),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(834),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(834),
    [aux_sym_gateway_ports_token1] = ACTIONS(834),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(834),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(834),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(834),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(834),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(834),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(834),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(834),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(834),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(834),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(834),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(834),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(834),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(834),
    [aux_sym_host_key_alias_token1] = ACTIONS(834),
    [aux_sym_hostname_token1] = ACTIONS(834),
    [aux_sym_identities_only_token1] = ACTIONS(834),
    [aux_sym_identity_agent_token1] = ACTIONS(834),
    [aux_sym_identity_file_token1] = ACTIONS(834),
    [aux_sym_ignore_unknown_token1] = ACTIONS(834),
    [aux_sym_include_token1] = ACTIONS(834),
    [aux_sym_ip_qos_token1] = ACTIONS(834),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(834),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(834),
    [aux_sym_kex_algorithms_token1] = ACTIONS(834),
    [aux_sym_known_hosts_command_token1] = ACTIONS(834),
    [aux_sym_local_command_token1] = ACTIONS(834),
    [aux_sym_local_forward_token1] = ACTIONS(834),
    [aux_sym_log_level_token1] = ACTIONS(834),
    [aux_sym_log_verbose_token1] = ACTIONS(834),
    [aux_sym_macs_token1] = ACTIONS(834),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(834),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(834),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(834),
    [aux_sym_password_authentication_token1] = ACTIONS(834),
    [aux_sym_permit_local_command_token1] = ACTIONS(834),
    [aux_sym_permit_remote_open_token1] = ACTIONS(834),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(834),
    [aux_sym_port_token1] = ACTIONS(834),
    [aux_sym_preferred_authentications_token1] = ACTIONS(834),
    [aux_sym_protocol_token1] = ACTIONS(834),
    [aux_sym_proxy_command_token1] = ACTIONS(834),
    [aux_sym_proxy_jump_token1] = ACTIONS(834),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(834),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(834),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(834),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(834),
    [aux_sym_rekey_limit_token1] = ACTIONS(834),
    [aux_sym_remote_command_token1] = ACTIONS(834),
    [aux_sym_remote_forward_token1] = ACTIONS(834),
    [aux_sym_request_tty_token1] = ACTIONS(834),
    [aux_sym_required_rsa_size_token1] = ACTIONS(834),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(834),
    [aux_sym_security_key_provider_token1] = ACTIONS(834),
    [aux_sym_send_env_token1] = ACTIONS(834),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(834),
    [aux_sym_server_alive_interval_token1] = ACTIONS(834),
    [aux_sym_session_type_token1] = ACTIONS(834),
    [aux_sym_set_env_token1] = ACTIONS(834),
    [aux_sym_stdin_null_token1] = ACTIONS(834),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(834),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(834),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(834),
    [aux_sym_syslog_facility_token1] = ACTIONS(834),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(834),
    [aux_sym_keep_alive_token1] = ACTIONS(834),
    [aux_sym_tag_token1] = ACTIONS(834),
    [aux_sym_tunnel_token1] = ACTIONS(836),
    [aux_sym_tunnel_device_token1] = ACTIONS(834),
    [aux_sym_update_host_keys_token1] = ACTIONS(834),
    [aux_sym_use_keychain_token1] = ACTIONS(834),
    [aux_sym_use_roaming_token1] = ACTIONS(834),
    [aux_sym_user_token1] = ACTIONS(836),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(834),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(834),
    [aux_sym_version_addendum_token1] = ACTIONS(834),
    [aux_sym_visual_host_key_token1] = ACTIONS(834),
    [aux_sym_xauth_location_token1] = ACTIONS(834),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(840),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(842),
    [anon_sym_DQUOTE] = ACTIONS(840),
    [aux_sym_match_token1] = ACTIONS(840),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(840),
    [aux_sym_address_family_token1] = ACTIONS(840),
    [aux_sym_batch_mode_token1] = ACTIONS(840),
    [aux_sym_bind_address_token1] = ACTIONS(840),
    [aux_sym_bind_interface_token1] = ACTIONS(840),
    [aux_sym_canonical_domains_token1] = ACTIONS(840),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(840),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(840),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(840),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(840),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(840),
    [aux_sym_certificate_file_token1] = ACTIONS(840),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(840),
    [aux_sym_channel_timeout_token1] = ACTIONS(840),
    [aux_sym_check_host_ip_token1] = ACTIONS(840),
    [aux_sym_ciphers_token1] = ACTIONS(840),
    [aux_sym_cipher_token1] = ACTIONS(842),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(840),
    [aux_sym_compression_token1] = ACTIONS(840),
    [aux_sym_connection_attempts_token1] = ACTIONS(840),
    [aux_sym_connect_timeout_token1] = ACTIONS(840),
    [aux_sym_control_master_token1] = ACTIONS(840),
    [aux_sym_control_path_token1] = ACTIONS(840),
    [aux_sym_control_persist_token1] = ACTIONS(840),
    [aux_sym_dynamic_forward_token1] = ACTIONS(840),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(840),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(840),
    [aux_sym_escape_char_token1] = ACTIONS(840),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(840),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(840),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(840),
    [aux_sym_forward_agent_token1] = ACTIONS(840),
    [aux_sym_forward_x11_token1] = ACTIONS(842),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(840),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(840),
    [aux_sym_gateway_ports_token1] = ACTIONS(840),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(840),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(840),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(840),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(840),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(840),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(840),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(840),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(840),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(840),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(840),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(840),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(840),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(840),
    [aux_sym_host_key_alias_token1] = ACTIONS(840),
    [aux_sym_hostname_token1] = ACTIONS(840),
    [aux_sym_identities_only_token1] = ACTIONS(840),
    [aux_sym_identity_agent_token1] = ACTIONS(840),
    [aux_sym_identity_file_token1] = ACTIONS(840),
    [aux_sym_ignore_unknown_token1] = ACTIONS(840),
    [aux_sym_include_token1] = ACTIONS(840),
    [aux_sym_ip_qos_token1] = ACTIONS(840),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(840),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(840),
    [aux_sym_kex_algorithms_token1] = ACTIONS(840),
    [aux_sym_known_hosts_command_token1] = ACTIONS(840),
    [aux_sym_local_command_token1] = ACTIONS(840),
    [aux_sym_local_forward_token1] = ACTIONS(840),
    [aux_sym_log_level_token1] = ACTIONS(840),
    [aux_sym_log_verbose_token1] = ACTIONS(840),
    [aux_sym_macs_token1] = ACTIONS(840),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(840),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(840),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(840),
    [aux_sym_password_authentication_token1] = ACTIONS(840),
    [aux_sym_permit_local_command_token1] = ACTIONS(840),
    [aux_sym_permit_remote_open_token1] = ACTIONS(840),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(840),
    [aux_sym_port_token1] = ACTIONS(840),
    [aux_sym_preferred_authentications_token1] = ACTIONS(840),
    [aux_sym_protocol_token1] = ACTIONS(840),
    [aux_sym_proxy_command_token1] = ACTIONS(840),
    [aux_sym_proxy_jump_token1] = ACTIONS(840),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(840),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(840),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(840),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(840),
    [aux_sym_rekey_limit_token1] = ACTIONS(840),
    [aux_sym_remote_command_token1] = ACTIONS(840),
    [aux_sym_remote_forward_token1] = ACTIONS(840),
    [aux_sym_request_tty_token1] = ACTIONS(840),
    [aux_sym_required_rsa_size_token1] = ACTIONS(840),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(840),
    [aux_sym_security_key_provider_token1] = ACTIONS(840),
    [aux_sym_send_env_token1] = ACTIONS(840),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(840),
    [aux_sym_server_alive_interval_token1] = ACTIONS(840),
    [aux_sym_session_type_token1] = ACTIONS(840),
    [aux_sym_set_env_token1] = ACTIONS(840),
    [aux_sym_stdin_null_token1] = ACTIONS(840),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(840),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(840),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(840),
    [aux_sym_syslog_facility_token1] = ACTIONS(840),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(840),
    [aux_sym_keep_alive_token1] = ACTIONS(840),
    [aux_sym_tag_token1] = ACTIONS(840),
    [aux_sym_tunnel_token1] = ACTIONS(842),
    [aux_sym_tunnel_device_token1] = ACTIONS(840),
    [aux_sym_update_host_keys_token1] = ACTIONS(840),
    [aux_sym_use_keychain_token1] = ACTIONS(840),
    [aux_sym_use_roaming_token1] = ACTIONS(840),
    [aux_sym_user_token1] = ACTIONS(842),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(840),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(840),
    [aux_sym_version_addendum_token1] = ACTIONS(840),
    [aux_sym_visual_host_key_token1] = ACTIONS(840),
    [aux_sym_xauth_location_token1] = ACTIONS(840),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(844),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(846),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [aux_sym_match_token1] = ACTIONS(844),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(844),
    [aux_sym_address_family_token1] = ACTIONS(844),
    [aux_sym_batch_mode_token1] = ACTIONS(844),
    [aux_sym_bind_address_token1] = ACTIONS(844),
    [aux_sym_bind_interface_token1] = ACTIONS(844),
    [aux_sym_canonical_domains_token1] = ACTIONS(844),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(844),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(844),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(844),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(844),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(844),
    [aux_sym_certificate_file_token1] = ACTIONS(844),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(844),
    [aux_sym_channel_timeout_token1] = ACTIONS(844),
    [aux_sym_check_host_ip_token1] = ACTIONS(844),
    [aux_sym_ciphers_token1] = ACTIONS(844),
    [aux_sym_cipher_token1] = ACTIONS(846),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(844),
    [aux_sym_compression_token1] = ACTIONS(844),
    [aux_sym_connection_attempts_token1] = ACTIONS(844),
    [aux_sym_connect_timeout_token1] = ACTIONS(844),
    [aux_sym_control_master_token1] = ACTIONS(844),
    [aux_sym_control_path_token1] = ACTIONS(844),
    [aux_sym_control_persist_token1] = ACTIONS(844),
    [aux_sym_dynamic_forward_token1] = ACTIONS(844),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(844),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(844),
    [aux_sym_escape_char_token1] = ACTIONS(844),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(844),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(844),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(844),
    [aux_sym_forward_agent_token1] = ACTIONS(844),
    [aux_sym_forward_x11_token1] = ACTIONS(846),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(844),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(844),
    [aux_sym_gateway_ports_token1] = ACTIONS(844),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(844),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(844),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(844),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(844),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(844),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(844),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(844),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(844),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(844),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(844),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(844),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(844),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(844),
    [aux_sym_host_key_alias_token1] = ACTIONS(844),
    [aux_sym_hostname_token1] = ACTIONS(844),
    [aux_sym_identities_only_token1] = ACTIONS(844),
    [aux_sym_identity_agent_token1] = ACTIONS(844),
    [aux_sym_identity_file_token1] = ACTIONS(844),
    [aux_sym_ignore_unknown_token1] = ACTIONS(844),
    [aux_sym_include_token1] = ACTIONS(844),
    [aux_sym_ip_qos_token1] = ACTIONS(844),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(844),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(844),
    [aux_sym_kex_algorithms_token1] = ACTIONS(844),
    [aux_sym_known_hosts_command_token1] = ACTIONS(844),
    [aux_sym_local_command_token1] = ACTIONS(844),
    [aux_sym_local_forward_token1] = ACTIONS(844),
    [aux_sym_log_level_token1] = ACTIONS(844),
    [aux_sym_log_verbose_token1] = ACTIONS(844),
    [aux_sym_macs_token1] = ACTIONS(844),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(844),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(844),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(844),
    [aux_sym_password_authentication_token1] = ACTIONS(844),
    [aux_sym_permit_local_command_token1] = ACTIONS(844),
    [aux_sym_permit_remote_open_token1] = ACTIONS(844),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(844),
    [aux_sym_port_token1] = ACTIONS(844),
    [aux_sym_preferred_authentications_token1] = ACTIONS(844),
    [aux_sym_protocol_token1] = ACTIONS(844),
    [aux_sym_proxy_command_token1] = ACTIONS(844),
    [aux_sym_proxy_jump_token1] = ACTIONS(844),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(844),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(844),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(844),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(844),
    [aux_sym_rekey_limit_token1] = ACTIONS(844),
    [aux_sym_remote_command_token1] = ACTIONS(844),
    [aux_sym_remote_forward_token1] = ACTIONS(844),
    [aux_sym_request_tty_token1] = ACTIONS(844),
    [aux_sym_required_rsa_size_token1] = ACTIONS(844),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(844),
    [aux_sym_security_key_provider_token1] = ACTIONS(844),
    [aux_sym_send_env_token1] = ACTIONS(844),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(844),
    [aux_sym_server_alive_interval_token1] = ACTIONS(844),
    [aux_sym_session_type_token1] = ACTIONS(844),
    [aux_sym_set_env_token1] = ACTIONS(844),
    [aux_sym_stdin_null_token1] = ACTIONS(844),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(844),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(844),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(844),
    [aux_sym_syslog_facility_token1] = ACTIONS(844),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(844),
    [aux_sym_keep_alive_token1] = ACTIONS(844),
    [aux_sym_tag_token1] = ACTIONS(844),
    [aux_sym_tunnel_token1] = ACTIONS(846),
    [aux_sym_tunnel_device_token1] = ACTIONS(844),
    [aux_sym_update_host_keys_token1] = ACTIONS(844),
    [aux_sym_use_keychain_token1] = ACTIONS(844),
    [aux_sym_use_roaming_token1] = ACTIONS(844),
    [aux_sym_user_token1] = ACTIONS(846),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(844),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(844),
    [aux_sym_version_addendum_token1] = ACTIONS(844),
    [aux_sym_visual_host_key_token1] = ACTIONS(844),
    [aux_sym_xauth_location_token1] = ACTIONS(844),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(850),
    [aux_sym_match_token1] = ACTIONS(850),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(850),
    [aux_sym_address_family_token1] = ACTIONS(850),
    [aux_sym_batch_mode_token1] = ACTIONS(850),
    [aux_sym_bind_address_token1] = ACTIONS(850),
    [aux_sym_bind_interface_token1] = ACTIONS(850),
    [aux_sym_canonical_domains_token1] = ACTIONS(850),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(850),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(850),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(850),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(850),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(850),
    [aux_sym_certificate_file_token1] = ACTIONS(850),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(850),
    [aux_sym_channel_timeout_token1] = ACTIONS(850),
    [aux_sym_check_host_ip_token1] = ACTIONS(850),
    [aux_sym_ciphers_token1] = ACTIONS(850),
    [aux_sym_cipher_token1] = ACTIONS(852),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(850),
    [aux_sym_compression_token1] = ACTIONS(850),
    [aux_sym_connection_attempts_token1] = ACTIONS(850),
    [aux_sym_connect_timeout_token1] = ACTIONS(850),
    [aux_sym_control_master_token1] = ACTIONS(850),
    [aux_sym_control_path_token1] = ACTIONS(850),
    [aux_sym_control_persist_token1] = ACTIONS(850),
    [aux_sym_dynamic_forward_token1] = ACTIONS(850),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(850),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(850),
    [aux_sym_escape_char_token1] = ACTIONS(850),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(850),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(850),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(850),
    [aux_sym_forward_agent_token1] = ACTIONS(850),
    [aux_sym_forward_x11_token1] = ACTIONS(852),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(850),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(850),
    [aux_sym_gateway_ports_token1] = ACTIONS(850),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(850),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(850),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(850),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(850),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(850),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(850),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(850),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(850),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(850),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(850),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(850),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(850),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(850),
    [aux_sym_host_key_alias_token1] = ACTIONS(850),
    [aux_sym_hostname_token1] = ACTIONS(850),
    [aux_sym_identities_only_token1] = ACTIONS(850),
    [aux_sym_identity_agent_token1] = ACTIONS(850),
    [aux_sym_identity_file_token1] = ACTIONS(850),
    [aux_sym_ignore_unknown_token1] = ACTIONS(850),
    [aux_sym_include_token1] = ACTIONS(850),
    [aux_sym_ip_qos_token1] = ACTIONS(850),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(850),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(850),
    [aux_sym_kex_algorithms_token1] = ACTIONS(850),
    [aux_sym_known_hosts_command_token1] = ACTIONS(850),
    [aux_sym_local_command_token1] = ACTIONS(850),
    [aux_sym_local_forward_token1] = ACTIONS(850),
    [aux_sym_log_level_token1] = ACTIONS(850),
    [aux_sym_log_verbose_token1] = ACTIONS(850),
    [aux_sym_macs_token1] = ACTIONS(850),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(850),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(850),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(850),
    [aux_sym_password_authentication_token1] = ACTIONS(850),
    [aux_sym_permit_local_command_token1] = ACTIONS(850),
    [aux_sym_permit_remote_open_token1] = ACTIONS(850),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(850),
    [aux_sym_port_token1] = ACTIONS(850),
    [aux_sym_preferred_authentications_token1] = ACTIONS(850),
    [aux_sym_protocol_token1] = ACTIONS(850),
    [aux_sym_proxy_command_token1] = ACTIONS(850),
    [aux_sym_proxy_jump_token1] = ACTIONS(850),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(850),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(850),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(850),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(850),
    [aux_sym_rekey_limit_token1] = ACTIONS(850),
    [aux_sym_remote_command_token1] = ACTIONS(850),
    [aux_sym_remote_forward_token1] = ACTIONS(850),
    [aux_sym_request_tty_token1] = ACTIONS(850),
    [aux_sym_required_rsa_size_token1] = ACTIONS(850),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(850),
    [aux_sym_security_key_provider_token1] = ACTIONS(850),
    [aux_sym_send_env_token1] = ACTIONS(850),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(850),
    [aux_sym_server_alive_interval_token1] = ACTIONS(850),
    [aux_sym_session_type_token1] = ACTIONS(850),
    [aux_sym_set_env_token1] = ACTIONS(850),
    [aux_sym_stdin_null_token1] = ACTIONS(850),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(850),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(850),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(850),
    [aux_sym_syslog_facility_token1] = ACTIONS(850),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(850),
    [aux_sym_keep_alive_token1] = ACTIONS(850),
    [aux_sym_tag_token1] = ACTIONS(850),
    [aux_sym_tunnel_token1] = ACTIONS(852),
    [aux_sym_tunnel_device_token1] = ACTIONS(850),
    [aux_sym_update_host_keys_token1] = ACTIONS(850),
    [aux_sym_use_keychain_token1] = ACTIONS(850),
    [aux_sym_use_roaming_token1] = ACTIONS(850),
    [aux_sym_user_token1] = ACTIONS(852),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(850),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(850),
    [aux_sym_version_addendum_token1] = ACTIONS(850),
    [aux_sym_visual_host_key_token1] = ACTIONS(850),
    [aux_sym_xauth_location_token1] = ACTIONS(850),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(854),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(856),
    [anon_sym_DQUOTE] = ACTIONS(858),
    [aux_sym_match_token1] = ACTIONS(854),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(854),
    [aux_sym_address_family_token1] = ACTIONS(854),
    [aux_sym_batch_mode_token1] = ACTIONS(854),
    [aux_sym_bind_address_token1] = ACTIONS(854),
    [aux_sym_bind_interface_token1] = ACTIONS(854),
    [aux_sym_canonical_domains_token1] = ACTIONS(854),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(854),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(854),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(854),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(854),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(854),
    [aux_sym_certificate_file_token1] = ACTIONS(854),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(854),
    [aux_sym_channel_timeout_token1] = ACTIONS(854),
    [aux_sym_check_host_ip_token1] = ACTIONS(854),
    [aux_sym_ciphers_token1] = ACTIONS(854),
    [aux_sym_cipher_token1] = ACTIONS(856),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(854),
    [aux_sym_compression_token1] = ACTIONS(854),
    [aux_sym_connection_attempts_token1] = ACTIONS(854),
    [aux_sym_connect_timeout_token1] = ACTIONS(854),
    [aux_sym_control_master_token1] = ACTIONS(854),
    [aux_sym_control_path_token1] = ACTIONS(854),
    [aux_sym_control_persist_token1] = ACTIONS(854),
    [aux_sym_dynamic_forward_token1] = ACTIONS(854),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(854),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(854),
    [aux_sym_escape_char_token1] = ACTIONS(854),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(854),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(854),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(854),
    [aux_sym_forward_agent_token1] = ACTIONS(854),
    [aux_sym_forward_x11_token1] = ACTIONS(856),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(854),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(854),
    [aux_sym_gateway_ports_token1] = ACTIONS(854),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(854),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(854),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(854),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(854),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(854),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(854),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(854),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(854),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(854),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(854),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(854),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(854),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(854),
    [aux_sym_host_key_alias_token1] = ACTIONS(854),
    [aux_sym_hostname_token1] = ACTIONS(854),
    [aux_sym_identities_only_token1] = ACTIONS(854),
    [aux_sym_identity_agent_token1] = ACTIONS(854),
    [aux_sym_identity_file_token1] = ACTIONS(854),
    [aux_sym_ignore_unknown_token1] = ACTIONS(854),
    [aux_sym_include_token1] = ACTIONS(854),
    [aux_sym_ip_qos_token1] = ACTIONS(854),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(854),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(854),
    [aux_sym_kex_algorithms_token1] = ACTIONS(854),
    [aux_sym_known_hosts_command_token1] = ACTIONS(854),
    [aux_sym_local_command_token1] = ACTIONS(854),
    [aux_sym_local_forward_token1] = ACTIONS(854),
    [aux_sym_log_level_token1] = ACTIONS(854),
    [aux_sym_log_verbose_token1] = ACTIONS(854),
    [aux_sym_macs_token1] = ACTIONS(854),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(854),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(854),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(854),
    [aux_sym_password_authentication_token1] = ACTIONS(854),
    [aux_sym_permit_local_command_token1] = ACTIONS(854),
    [aux_sym_permit_remote_open_token1] = ACTIONS(854),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(854),
    [aux_sym_port_token1] = ACTIONS(854),
    [aux_sym_preferred_authentications_token1] = ACTIONS(854),
    [aux_sym_protocol_token1] = ACTIONS(854),
    [aux_sym_proxy_command_token1] = ACTIONS(854),
    [aux_sym_proxy_jump_token1] = ACTIONS(854),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(854),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(854),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(854),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(854),
    [aux_sym_rekey_limit_token1] = ACTIONS(854),
    [aux_sym_remote_command_token1] = ACTIONS(854),
    [aux_sym_remote_forward_token1] = ACTIONS(854),
    [aux_sym_request_tty_token1] = ACTIONS(854),
    [aux_sym_required_rsa_size_token1] = ACTIONS(854),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(854),
    [aux_sym_security_key_provider_token1] = ACTIONS(854),
    [aux_sym_send_env_token1] = ACTIONS(854),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(854),
    [aux_sym_server_alive_interval_token1] = ACTIONS(854),
    [aux_sym_session_type_token1] = ACTIONS(854),
    [aux_sym_set_env_token1] = ACTIONS(854),
    [aux_sym_stdin_null_token1] = ACTIONS(854),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(854),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(854),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(854),
    [aux_sym_syslog_facility_token1] = ACTIONS(854),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(854),
    [aux_sym_keep_alive_token1] = ACTIONS(854),
    [aux_sym_tag_token1] = ACTIONS(854),
    [aux_sym_tunnel_token1] = ACTIONS(856),
    [aux_sym_tunnel_device_token1] = ACTIONS(854),
    [aux_sym_update_host_keys_token1] = ACTIONS(854),
    [aux_sym_use_keychain_token1] = ACTIONS(854),
    [aux_sym_use_roaming_token1] = ACTIONS(854),
    [aux_sym_user_token1] = ACTIONS(856),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(854),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(854),
    [aux_sym_version_addendum_token1] = ACTIONS(854),
    [aux_sym_visual_host_key_token1] = ACTIONS(854),
    [aux_sym_xauth_location_token1] = ACTIONS(854),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(860),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(862),
    [anon_sym_DQUOTE] = ACTIONS(860),
    [aux_sym_match_token1] = ACTIONS(860),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(860),
    [aux_sym_address_family_token1] = ACTIONS(860),
    [aux_sym_batch_mode_token1] = ACTIONS(860),
    [aux_sym_bind_address_token1] = ACTIONS(860),
    [aux_sym_bind_interface_token1] = ACTIONS(860),
    [aux_sym_canonical_domains_token1] = ACTIONS(860),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(860),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(860),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(860),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(860),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(860),
    [aux_sym_certificate_file_token1] = ACTIONS(860),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(860),
    [aux_sym_channel_timeout_token1] = ACTIONS(860),
    [aux_sym_check_host_ip_token1] = ACTIONS(860),
    [aux_sym_ciphers_token1] = ACTIONS(860),
    [aux_sym_cipher_token1] = ACTIONS(862),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(860),
    [aux_sym_compression_token1] = ACTIONS(860),
    [aux_sym_connection_attempts_token1] = ACTIONS(860),
    [aux_sym_connect_timeout_token1] = ACTIONS(860),
    [aux_sym_control_master_token1] = ACTIONS(860),
    [aux_sym_control_path_token1] = ACTIONS(860),
    [aux_sym_control_persist_token1] = ACTIONS(860),
    [aux_sym_dynamic_forward_token1] = ACTIONS(860),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(860),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(860),
    [aux_sym_escape_char_token1] = ACTIONS(860),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(860),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(860),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(860),
    [aux_sym_forward_agent_token1] = ACTIONS(860),
    [aux_sym_forward_x11_token1] = ACTIONS(862),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(860),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(860),
    [aux_sym_gateway_ports_token1] = ACTIONS(860),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(860),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(860),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(860),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(860),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(860),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(860),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(860),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(860),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(860),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(860),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(860),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(860),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(860),
    [aux_sym_host_key_alias_token1] = ACTIONS(860),
    [aux_sym_hostname_token1] = ACTIONS(860),
    [aux_sym_identities_only_token1] = ACTIONS(860),
    [aux_sym_identity_agent_token1] = ACTIONS(860),
    [aux_sym_identity_file_token1] = ACTIONS(860),
    [aux_sym_ignore_unknown_token1] = ACTIONS(860),
    [aux_sym_include_token1] = ACTIONS(860),
    [aux_sym_ip_qos_token1] = ACTIONS(860),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(860),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(860),
    [aux_sym_kex_algorithms_token1] = ACTIONS(860),
    [aux_sym_known_hosts_command_token1] = ACTIONS(860),
    [aux_sym_local_command_token1] = ACTIONS(860),
    [aux_sym_local_forward_token1] = ACTIONS(860),
    [aux_sym_log_level_token1] = ACTIONS(860),
    [aux_sym_log_verbose_token1] = ACTIONS(860),
    [aux_sym_macs_token1] = ACTIONS(860),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(860),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(860),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(860),
    [aux_sym_password_authentication_token1] = ACTIONS(860),
    [aux_sym_permit_local_command_token1] = ACTIONS(860),
    [aux_sym_permit_remote_open_token1] = ACTIONS(860),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(860),
    [aux_sym_port_token1] = ACTIONS(860),
    [aux_sym_preferred_authentications_token1] = ACTIONS(860),
    [aux_sym_protocol_token1] = ACTIONS(860),
    [aux_sym_proxy_command_token1] = ACTIONS(860),
    [aux_sym_proxy_jump_token1] = ACTIONS(860),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(860),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(860),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(860),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(860),
    [aux_sym_rekey_limit_token1] = ACTIONS(860),
    [aux_sym_remote_command_token1] = ACTIONS(860),
    [aux_sym_remote_forward_token1] = ACTIONS(860),
    [aux_sym_request_tty_token1] = ACTIONS(860),
    [aux_sym_required_rsa_size_token1] = ACTIONS(860),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(860),
    [aux_sym_security_key_provider_token1] = ACTIONS(860),
    [aux_sym_send_env_token1] = ACTIONS(860),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(860),
    [aux_sym_server_alive_interval_token1] = ACTIONS(860),
    [aux_sym_session_type_token1] = ACTIONS(860),
    [aux_sym_set_env_token1] = ACTIONS(860),
    [aux_sym_stdin_null_token1] = ACTIONS(860),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(860),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(860),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(860),
    [aux_sym_syslog_facility_token1] = ACTIONS(860),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(860),
    [aux_sym_keep_alive_token1] = ACTIONS(860),
    [aux_sym_tag_token1] = ACTIONS(860),
    [aux_sym_tunnel_token1] = ACTIONS(862),
    [aux_sym_tunnel_device_token1] = ACTIONS(860),
    [aux_sym_update_host_keys_token1] = ACTIONS(860),
    [aux_sym_use_keychain_token1] = ACTIONS(860),
    [aux_sym_use_roaming_token1] = ACTIONS(860),
    [aux_sym_user_token1] = ACTIONS(862),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(860),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(860),
    [aux_sym_version_addendum_token1] = ACTIONS(860),
    [aux_sym_visual_host_key_token1] = ACTIONS(860),
    [aux_sym_xauth_location_token1] = ACTIONS(860),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(864),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(866),
    [anon_sym_DQUOTE] = ACTIONS(868),
    [aux_sym_match_token1] = ACTIONS(864),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(864),
    [aux_sym_address_family_token1] = ACTIONS(864),
    [aux_sym_batch_mode_token1] = ACTIONS(864),
    [aux_sym_bind_address_token1] = ACTIONS(864),
    [aux_sym_bind_interface_token1] = ACTIONS(864),
    [aux_sym_canonical_domains_token1] = ACTIONS(864),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(864),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(864),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(864),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(864),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(864),
    [aux_sym_certificate_file_token1] = ACTIONS(864),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(864),
    [aux_sym_channel_timeout_token1] = ACTIONS(864),
    [aux_sym_check_host_ip_token1] = ACTIONS(864),
    [aux_sym_ciphers_token1] = ACTIONS(864),
    [aux_sym_cipher_token1] = ACTIONS(866),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(864),
    [aux_sym_compression_token1] = ACTIONS(864),
    [aux_sym_connection_attempts_token1] = ACTIONS(864),
    [aux_sym_connect_timeout_token1] = ACTIONS(864),
    [aux_sym_control_master_token1] = ACTIONS(864),
    [aux_sym_control_path_token1] = ACTIONS(864),
    [aux_sym_control_persist_token1] = ACTIONS(864),
    [aux_sym_dynamic_forward_token1] = ACTIONS(864),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(864),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(864),
    [aux_sym_escape_char_token1] = ACTIONS(864),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(864),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(864),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(864),
    [aux_sym_forward_agent_token1] = ACTIONS(864),
    [aux_sym_forward_x11_token1] = ACTIONS(866),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(864),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(864),
    [aux_sym_gateway_ports_token1] = ACTIONS(864),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(864),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(864),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(864),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(864),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(864),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(864),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(864),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(864),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(864),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(864),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(864),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(864),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(864),
    [aux_sym_host_key_alias_token1] = ACTIONS(864),
    [aux_sym_hostname_token1] = ACTIONS(864),
    [aux_sym_identities_only_token1] = ACTIONS(864),
    [aux_sym_identity_agent_token1] = ACTIONS(864),
    [aux_sym_identity_file_token1] = ACTIONS(864),
    [aux_sym_ignore_unknown_token1] = ACTIONS(864),
    [aux_sym_include_token1] = ACTIONS(864),
    [aux_sym_ip_qos_token1] = ACTIONS(864),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(864),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(864),
    [aux_sym_kex_algorithms_token1] = ACTIONS(864),
    [aux_sym_known_hosts_command_token1] = ACTIONS(864),
    [aux_sym_local_command_token1] = ACTIONS(864),
    [aux_sym_local_forward_token1] = ACTIONS(864),
    [aux_sym_log_level_token1] = ACTIONS(864),
    [aux_sym_log_verbose_token1] = ACTIONS(864),
    [aux_sym_macs_token1] = ACTIONS(864),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(864),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(864),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(864),
    [aux_sym_password_authentication_token1] = ACTIONS(864),
    [aux_sym_permit_local_command_token1] = ACTIONS(864),
    [aux_sym_permit_remote_open_token1] = ACTIONS(864),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(864),
    [aux_sym_port_token1] = ACTIONS(864),
    [aux_sym_preferred_authentications_token1] = ACTIONS(864),
    [aux_sym_protocol_token1] = ACTIONS(864),
    [aux_sym_proxy_command_token1] = ACTIONS(864),
    [aux_sym_proxy_jump_token1] = ACTIONS(864),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(864),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(864),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(864),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(864),
    [aux_sym_rekey_limit_token1] = ACTIONS(864),
    [aux_sym_remote_command_token1] = ACTIONS(864),
    [aux_sym_remote_forward_token1] = ACTIONS(864),
    [aux_sym_request_tty_token1] = ACTIONS(864),
    [aux_sym_required_rsa_size_token1] = ACTIONS(864),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(864),
    [aux_sym_security_key_provider_token1] = ACTIONS(864),
    [aux_sym_send_env_token1] = ACTIONS(864),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(864),
    [aux_sym_server_alive_interval_token1] = ACTIONS(864),
    [aux_sym_session_type_token1] = ACTIONS(864),
    [aux_sym_set_env_token1] = ACTIONS(864),
    [aux_sym_stdin_null_token1] = ACTIONS(864),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(864),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(864),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(864),
    [aux_sym_syslog_facility_token1] = ACTIONS(864),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(864),
    [aux_sym_keep_alive_token1] = ACTIONS(864),
    [aux_sym_tag_token1] = ACTIONS(864),
    [aux_sym_tunnel_token1] = ACTIONS(866),
    [aux_sym_tunnel_device_token1] = ACTIONS(864),
    [aux_sym_update_host_keys_token1] = ACTIONS(864),
    [aux_sym_use_keychain_token1] = ACTIONS(864),
    [aux_sym_use_roaming_token1] = ACTIONS(864),
    [aux_sym_user_token1] = ACTIONS(866),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(864),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(864),
    [aux_sym_version_addendum_token1] = ACTIONS(864),
    [aux_sym_visual_host_key_token1] = ACTIONS(864),
    [aux_sym_xauth_location_token1] = ACTIONS(864),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(870),
    [aux_sym_match_token1] = ACTIONS(870),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(870),
    [aux_sym_address_family_token1] = ACTIONS(870),
    [aux_sym_batch_mode_token1] = ACTIONS(870),
    [aux_sym_bind_address_token1] = ACTIONS(870),
    [aux_sym_bind_interface_token1] = ACTIONS(870),
    [aux_sym_canonical_domains_token1] = ACTIONS(870),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(870),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(870),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(870),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(870),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(870),
    [aux_sym_certificate_file_token1] = ACTIONS(870),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(870),
    [aux_sym_channel_timeout_token1] = ACTIONS(870),
    [aux_sym_check_host_ip_token1] = ACTIONS(870),
    [aux_sym_ciphers_token1] = ACTIONS(870),
    [aux_sym_cipher_token1] = ACTIONS(872),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(870),
    [aux_sym_compression_token1] = ACTIONS(870),
    [aux_sym_connection_attempts_token1] = ACTIONS(870),
    [aux_sym_connect_timeout_token1] = ACTIONS(870),
    [aux_sym_control_master_token1] = ACTIONS(870),
    [aux_sym_control_path_token1] = ACTIONS(870),
    [aux_sym_control_persist_token1] = ACTIONS(870),
    [aux_sym_dynamic_forward_token1] = ACTIONS(870),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(870),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(870),
    [aux_sym_escape_char_token1] = ACTIONS(870),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(870),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(870),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(870),
    [aux_sym_forward_agent_token1] = ACTIONS(870),
    [aux_sym_forward_x11_token1] = ACTIONS(872),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(870),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(870),
    [aux_sym_gateway_ports_token1] = ACTIONS(870),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(870),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(870),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(870),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(870),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(870),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(870),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(870),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(870),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(870),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(870),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(870),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(870),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(870),
    [aux_sym_host_key_alias_token1] = ACTIONS(870),
    [aux_sym_hostname_token1] = ACTIONS(870),
    [aux_sym_identities_only_token1] = ACTIONS(870),
    [aux_sym_identity_agent_token1] = ACTIONS(870),
    [aux_sym_identity_file_token1] = ACTIONS(870),
    [aux_sym_ignore_unknown_token1] = ACTIONS(870),
    [aux_sym_include_token1] = ACTIONS(870),
    [aux_sym_ip_qos_token1] = ACTIONS(870),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(870),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(870),
    [aux_sym_kex_algorithms_token1] = ACTIONS(870),
    [aux_sym_known_hosts_command_token1] = ACTIONS(870),
    [aux_sym_local_command_token1] = ACTIONS(870),
    [aux_sym_local_forward_token1] = ACTIONS(870),
    [aux_sym_log_level_token1] = ACTIONS(870),
    [aux_sym_log_verbose_token1] = ACTIONS(870),
    [aux_sym_macs_token1] = ACTIONS(870),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(870),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(870),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(870),
    [aux_sym_password_authentication_token1] = ACTIONS(870),
    [aux_sym_permit_local_command_token1] = ACTIONS(870),
    [aux_sym_permit_remote_open_token1] = ACTIONS(870),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(870),
    [aux_sym_port_token1] = ACTIONS(870),
    [aux_sym_preferred_authentications_token1] = ACTIONS(870),
    [aux_sym_protocol_token1] = ACTIONS(870),
    [aux_sym_proxy_command_token1] = ACTIONS(870),
    [aux_sym_proxy_jump_token1] = ACTIONS(870),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(870),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(870),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(870),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(870),
    [aux_sym_rekey_limit_token1] = ACTIONS(870),
    [aux_sym_remote_command_token1] = ACTIONS(870),
    [aux_sym_remote_forward_token1] = ACTIONS(870),
    [aux_sym_request_tty_token1] = ACTIONS(870),
    [aux_sym_required_rsa_size_token1] = ACTIONS(870),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(870),
    [aux_sym_security_key_provider_token1] = ACTIONS(870),
    [aux_sym_send_env_token1] = ACTIONS(870),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(870),
    [aux_sym_server_alive_interval_token1] = ACTIONS(870),
    [aux_sym_session_type_token1] = ACTIONS(870),
    [aux_sym_set_env_token1] = ACTIONS(870),
    [aux_sym_stdin_null_token1] = ACTIONS(870),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(870),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(870),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(870),
    [aux_sym_syslog_facility_token1] = ACTIONS(870),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(870),
    [aux_sym_keep_alive_token1] = ACTIONS(870),
    [aux_sym_tag_token1] = ACTIONS(870),
    [aux_sym_tunnel_token1] = ACTIONS(872),
    [aux_sym_tunnel_device_token1] = ACTIONS(870),
    [aux_sym_update_host_keys_token1] = ACTIONS(870),
    [aux_sym_use_keychain_token1] = ACTIONS(870),
    [aux_sym_use_roaming_token1] = ACTIONS(870),
    [aux_sym_user_token1] = ACTIONS(872),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(870),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(870),
    [aux_sym_version_addendum_token1] = ACTIONS(870),
    [aux_sym_visual_host_key_token1] = ACTIONS(870),
    [aux_sym_xauth_location_token1] = ACTIONS(870),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(874),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [aux_sym_match_token1] = ACTIONS(874),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(874),
    [aux_sym_address_family_token1] = ACTIONS(874),
    [aux_sym_batch_mode_token1] = ACTIONS(874),
    [aux_sym_bind_address_token1] = ACTIONS(874),
    [aux_sym_bind_interface_token1] = ACTIONS(874),
    [aux_sym_canonical_domains_token1] = ACTIONS(874),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(874),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(874),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(874),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(874),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(874),
    [aux_sym_certificate_file_token1] = ACTIONS(874),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(874),
    [aux_sym_channel_timeout_token1] = ACTIONS(874),
    [aux_sym_check_host_ip_token1] = ACTIONS(874),
    [aux_sym_ciphers_token1] = ACTIONS(874),
    [aux_sym_cipher_token1] = ACTIONS(876),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(874),
    [aux_sym_compression_token1] = ACTIONS(874),
    [aux_sym_connection_attempts_token1] = ACTIONS(874),
    [aux_sym_connect_timeout_token1] = ACTIONS(874),
    [aux_sym_control_master_token1] = ACTIONS(874),
    [aux_sym_control_path_token1] = ACTIONS(874),
    [aux_sym_control_persist_token1] = ACTIONS(874),
    [aux_sym_dynamic_forward_token1] = ACTIONS(874),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(874),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(874),
    [aux_sym_escape_char_token1] = ACTIONS(874),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(874),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(874),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(874),
    [aux_sym_forward_agent_token1] = ACTIONS(874),
    [aux_sym_forward_x11_token1] = ACTIONS(876),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(874),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(874),
    [aux_sym_gateway_ports_token1] = ACTIONS(874),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(874),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(874),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(874),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(874),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(874),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(874),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(874),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(874),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(874),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(874),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(874),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(874),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(874),
    [aux_sym_host_key_alias_token1] = ACTIONS(874),
    [aux_sym_hostname_token1] = ACTIONS(874),
    [aux_sym_identities_only_token1] = ACTIONS(874),
    [aux_sym_identity_agent_token1] = ACTIONS(874),
    [aux_sym_identity_file_token1] = ACTIONS(874),
    [aux_sym_ignore_unknown_token1] = ACTIONS(874),
    [aux_sym_include_token1] = ACTIONS(874),
    [aux_sym_ip_qos_token1] = ACTIONS(874),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(874),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(874),
    [aux_sym_kex_algorithms_token1] = ACTIONS(874),
    [aux_sym_known_hosts_command_token1] = ACTIONS(874),
    [aux_sym_local_command_token1] = ACTIONS(874),
    [aux_sym_local_forward_token1] = ACTIONS(874),
    [aux_sym_log_level_token1] = ACTIONS(874),
    [aux_sym_log_verbose_token1] = ACTIONS(874),
    [aux_sym_macs_token1] = ACTIONS(874),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(874),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(874),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(874),
    [aux_sym_password_authentication_token1] = ACTIONS(874),
    [aux_sym_permit_local_command_token1] = ACTIONS(874),
    [aux_sym_permit_remote_open_token1] = ACTIONS(874),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(874),
    [aux_sym_port_token1] = ACTIONS(874),
    [aux_sym_preferred_authentications_token1] = ACTIONS(874),
    [aux_sym_protocol_token1] = ACTIONS(874),
    [aux_sym_proxy_command_token1] = ACTIONS(874),
    [aux_sym_proxy_jump_token1] = ACTIONS(874),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(874),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(874),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(874),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(874),
    [aux_sym_rekey_limit_token1] = ACTIONS(874),
    [aux_sym_remote_command_token1] = ACTIONS(874),
    [aux_sym_remote_forward_token1] = ACTIONS(874),
    [aux_sym_request_tty_token1] = ACTIONS(874),
    [aux_sym_required_rsa_size_token1] = ACTIONS(874),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(874),
    [aux_sym_security_key_provider_token1] = ACTIONS(874),
    [aux_sym_send_env_token1] = ACTIONS(874),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(874),
    [aux_sym_server_alive_interval_token1] = ACTIONS(874),
    [aux_sym_session_type_token1] = ACTIONS(874),
    [aux_sym_set_env_token1] = ACTIONS(874),
    [aux_sym_stdin_null_token1] = ACTIONS(874),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(874),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(874),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(874),
    [aux_sym_syslog_facility_token1] = ACTIONS(874),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(874),
    [aux_sym_keep_alive_token1] = ACTIONS(874),
    [aux_sym_tag_token1] = ACTIONS(874),
    [aux_sym_tunnel_token1] = ACTIONS(876),
    [aux_sym_tunnel_device_token1] = ACTIONS(874),
    [aux_sym_update_host_keys_token1] = ACTIONS(874),
    [aux_sym_use_keychain_token1] = ACTIONS(874),
    [aux_sym_use_roaming_token1] = ACTIONS(874),
    [aux_sym_user_token1] = ACTIONS(876),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(874),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(874),
    [aux_sym_version_addendum_token1] = ACTIONS(874),
    [aux_sym_visual_host_key_token1] = ACTIONS(874),
    [aux_sym_xauth_location_token1] = ACTIONS(874),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(880),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(882),
    [anon_sym_DQUOTE] = ACTIONS(880),
    [aux_sym_match_token1] = ACTIONS(880),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(880),
    [aux_sym_address_family_token1] = ACTIONS(880),
    [aux_sym_batch_mode_token1] = ACTIONS(880),
    [aux_sym_bind_address_token1] = ACTIONS(880),
    [aux_sym_bind_interface_token1] = ACTIONS(880),
    [aux_sym_canonical_domains_token1] = ACTIONS(880),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(880),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(880),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(880),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(880),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(880),
    [aux_sym_certificate_file_token1] = ACTIONS(880),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(880),
    [aux_sym_channel_timeout_token1] = ACTIONS(880),
    [aux_sym_check_host_ip_token1] = ACTIONS(880),
    [aux_sym_ciphers_token1] = ACTIONS(880),
    [aux_sym_cipher_token1] = ACTIONS(882),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(880),
    [aux_sym_compression_token1] = ACTIONS(880),
    [aux_sym_connection_attempts_token1] = ACTIONS(880),
    [aux_sym_connect_timeout_token1] = ACTIONS(880),
    [aux_sym_control_master_token1] = ACTIONS(880),
    [aux_sym_control_path_token1] = ACTIONS(880),
    [aux_sym_control_persist_token1] = ACTIONS(880),
    [aux_sym_dynamic_forward_token1] = ACTIONS(880),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(880),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(880),
    [aux_sym_escape_char_token1] = ACTIONS(880),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(880),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(880),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(880),
    [aux_sym_forward_agent_token1] = ACTIONS(880),
    [aux_sym_forward_x11_token1] = ACTIONS(882),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(880),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(880),
    [aux_sym_gateway_ports_token1] = ACTIONS(880),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(880),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(880),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(880),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(880),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(880),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(880),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(880),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(880),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(880),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(880),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(880),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(880),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(880),
    [aux_sym_host_key_alias_token1] = ACTIONS(880),
    [aux_sym_hostname_token1] = ACTIONS(880),
    [aux_sym_identities_only_token1] = ACTIONS(880),
    [aux_sym_identity_agent_token1] = ACTIONS(880),
    [aux_sym_identity_file_token1] = ACTIONS(880),
    [aux_sym_ignore_unknown_token1] = ACTIONS(880),
    [aux_sym_include_token1] = ACTIONS(880),
    [aux_sym_ip_qos_token1] = ACTIONS(880),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(880),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(880),
    [aux_sym_kex_algorithms_token1] = ACTIONS(880),
    [aux_sym_known_hosts_command_token1] = ACTIONS(880),
    [aux_sym_local_command_token1] = ACTIONS(880),
    [aux_sym_local_forward_token1] = ACTIONS(880),
    [aux_sym_log_level_token1] = ACTIONS(880),
    [aux_sym_log_verbose_token1] = ACTIONS(880),
    [aux_sym_macs_token1] = ACTIONS(880),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(880),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(880),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(880),
    [aux_sym_password_authentication_token1] = ACTIONS(880),
    [aux_sym_permit_local_command_token1] = ACTIONS(880),
    [aux_sym_permit_remote_open_token1] = ACTIONS(880),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(880),
    [aux_sym_port_token1] = ACTIONS(880),
    [aux_sym_preferred_authentications_token1] = ACTIONS(880),
    [aux_sym_protocol_token1] = ACTIONS(880),
    [aux_sym_proxy_command_token1] = ACTIONS(880),
    [aux_sym_proxy_jump_token1] = ACTIONS(880),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(880),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(880),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(880),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(880),
    [aux_sym_rekey_limit_token1] = ACTIONS(880),
    [aux_sym_remote_command_token1] = ACTIONS(880),
    [aux_sym_remote_forward_token1] = ACTIONS(880),
    [aux_sym_request_tty_token1] = ACTIONS(880),
    [aux_sym_required_rsa_size_token1] = ACTIONS(880),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(880),
    [aux_sym_security_key_provider_token1] = ACTIONS(880),
    [aux_sym_send_env_token1] = ACTIONS(880),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(880),
    [aux_sym_server_alive_interval_token1] = ACTIONS(880),
    [aux_sym_session_type_token1] = ACTIONS(880),
    [aux_sym_set_env_token1] = ACTIONS(880),
    [aux_sym_stdin_null_token1] = ACTIONS(880),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(880),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(880),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(880),
    [aux_sym_syslog_facility_token1] = ACTIONS(880),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(880),
    [aux_sym_keep_alive_token1] = ACTIONS(880),
    [aux_sym_tag_token1] = ACTIONS(880),
    [aux_sym_tunnel_token1] = ACTIONS(882),
    [aux_sym_tunnel_device_token1] = ACTIONS(880),
    [aux_sym_update_host_keys_token1] = ACTIONS(880),
    [aux_sym_use_keychain_token1] = ACTIONS(880),
    [aux_sym_use_roaming_token1] = ACTIONS(880),
    [aux_sym_user_token1] = ACTIONS(882),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(880),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(880),
    [aux_sym_version_addendum_token1] = ACTIONS(880),
    [aux_sym_visual_host_key_token1] = ACTIONS(880),
    [aux_sym_xauth_location_token1] = ACTIONS(880),
  },
  [62] = {
    [ts_builtin_sym_end] = ACTIONS(884),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(888),
    [aux_sym_match_token1] = ACTIONS(884),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(884),
    [aux_sym_address_family_token1] = ACTIONS(884),
    [aux_sym_batch_mode_token1] = ACTIONS(884),
    [aux_sym_bind_address_token1] = ACTIONS(884),
    [aux_sym_bind_interface_token1] = ACTIONS(884),
    [aux_sym_canonical_domains_token1] = ACTIONS(884),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(884),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(884),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(884),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(884),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(884),
    [aux_sym_certificate_file_token1] = ACTIONS(884),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(884),
    [aux_sym_channel_timeout_token1] = ACTIONS(884),
    [aux_sym_check_host_ip_token1] = ACTIONS(884),
    [aux_sym_ciphers_token1] = ACTIONS(884),
    [aux_sym_cipher_token1] = ACTIONS(886),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(884),
    [aux_sym_compression_token1] = ACTIONS(884),
    [aux_sym_connection_attempts_token1] = ACTIONS(884),
    [aux_sym_connect_timeout_token1] = ACTIONS(884),
    [aux_sym_control_master_token1] = ACTIONS(884),
    [aux_sym_control_path_token1] = ACTIONS(884),
    [aux_sym_control_persist_token1] = ACTIONS(884),
    [aux_sym_dynamic_forward_token1] = ACTIONS(884),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(884),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(884),
    [aux_sym_escape_char_token1] = ACTIONS(884),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(884),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(884),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(884),
    [aux_sym_forward_agent_token1] = ACTIONS(884),
    [aux_sym_forward_x11_token1] = ACTIONS(886),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(884),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(884),
    [aux_sym_gateway_ports_token1] = ACTIONS(884),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(884),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(884),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(884),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(884),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(884),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(884),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(884),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(884),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(884),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(884),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(884),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(884),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(884),
    [aux_sym_host_key_alias_token1] = ACTIONS(884),
    [aux_sym_hostname_token1] = ACTIONS(884),
    [aux_sym_identities_only_token1] = ACTIONS(884),
    [aux_sym_identity_agent_token1] = ACTIONS(884),
    [aux_sym_identity_file_token1] = ACTIONS(884),
    [aux_sym_ignore_unknown_token1] = ACTIONS(884),
    [aux_sym_include_token1] = ACTIONS(884),
    [aux_sym_ip_qos_token1] = ACTIONS(884),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(884),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(884),
    [aux_sym_kex_algorithms_token1] = ACTIONS(884),
    [aux_sym_known_hosts_command_token1] = ACTIONS(884),
    [aux_sym_local_command_token1] = ACTIONS(884),
    [aux_sym_local_forward_token1] = ACTIONS(884),
    [aux_sym_log_level_token1] = ACTIONS(884),
    [aux_sym_log_verbose_token1] = ACTIONS(884),
    [aux_sym_macs_token1] = ACTIONS(884),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(884),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(884),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(884),
    [aux_sym_password_authentication_token1] = ACTIONS(884),
    [aux_sym_permit_local_command_token1] = ACTIONS(884),
    [aux_sym_permit_remote_open_token1] = ACTIONS(884),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(884),
    [aux_sym_port_token1] = ACTIONS(884),
    [aux_sym_preferred_authentications_token1] = ACTIONS(884),
    [aux_sym_protocol_token1] = ACTIONS(884),
    [aux_sym_proxy_command_token1] = ACTIONS(884),
    [aux_sym_proxy_jump_token1] = ACTIONS(884),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(884),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(884),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(884),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(884),
    [aux_sym_rekey_limit_token1] = ACTIONS(884),
    [aux_sym_remote_command_token1] = ACTIONS(884),
    [aux_sym_remote_forward_token1] = ACTIONS(884),
    [aux_sym_request_tty_token1] = ACTIONS(884),
    [aux_sym_required_rsa_size_token1] = ACTIONS(884),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(884),
    [aux_sym_security_key_provider_token1] = ACTIONS(884),
    [aux_sym_send_env_token1] = ACTIONS(884),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(884),
    [aux_sym_server_alive_interval_token1] = ACTIONS(884),
    [aux_sym_session_type_token1] = ACTIONS(884),
    [aux_sym_set_env_token1] = ACTIONS(884),
    [aux_sym_stdin_null_token1] = ACTIONS(884),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(884),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(884),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(884),
    [aux_sym_syslog_facility_token1] = ACTIONS(884),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(884),
    [aux_sym_keep_alive_token1] = ACTIONS(884),
    [aux_sym_tag_token1] = ACTIONS(884),
    [aux_sym_tunnel_token1] = ACTIONS(886),
    [aux_sym_tunnel_device_token1] = ACTIONS(884),
    [aux_sym_update_host_keys_token1] = ACTIONS(884),
    [aux_sym_use_keychain_token1] = ACTIONS(884),
    [aux_sym_use_roaming_token1] = ACTIONS(884),
    [aux_sym_user_token1] = ACTIONS(886),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(884),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(884),
    [aux_sym_version_addendum_token1] = ACTIONS(884),
    [aux_sym_visual_host_key_token1] = ACTIONS(884),
    [aux_sym_xauth_location_token1] = ACTIONS(884),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(890),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [aux_sym_match_token1] = ACTIONS(890),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(890),
    [aux_sym_address_family_token1] = ACTIONS(890),
    [aux_sym_batch_mode_token1] = ACTIONS(890),
    [aux_sym_bind_address_token1] = ACTIONS(890),
    [aux_sym_bind_interface_token1] = ACTIONS(890),
    [aux_sym_canonical_domains_token1] = ACTIONS(890),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(890),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(890),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(890),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(890),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(890),
    [aux_sym_certificate_file_token1] = ACTIONS(890),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(890),
    [aux_sym_channel_timeout_token1] = ACTIONS(890),
    [aux_sym_check_host_ip_token1] = ACTIONS(890),
    [aux_sym_ciphers_token1] = ACTIONS(890),
    [aux_sym_cipher_token1] = ACTIONS(892),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(890),
    [aux_sym_compression_token1] = ACTIONS(890),
    [aux_sym_connection_attempts_token1] = ACTIONS(890),
    [aux_sym_connect_timeout_token1] = ACTIONS(890),
    [aux_sym_control_master_token1] = ACTIONS(890),
    [aux_sym_control_path_token1] = ACTIONS(890),
    [aux_sym_control_persist_token1] = ACTIONS(890),
    [aux_sym_dynamic_forward_token1] = ACTIONS(890),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(890),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(890),
    [aux_sym_escape_char_token1] = ACTIONS(890),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(890),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(890),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(890),
    [aux_sym_forward_agent_token1] = ACTIONS(890),
    [aux_sym_forward_x11_token1] = ACTIONS(892),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(890),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(890),
    [aux_sym_gateway_ports_token1] = ACTIONS(890),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(890),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(890),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(890),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(890),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(890),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(890),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(890),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(890),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(890),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(890),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(890),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(890),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(890),
    [aux_sym_host_key_alias_token1] = ACTIONS(890),
    [aux_sym_hostname_token1] = ACTIONS(890),
    [aux_sym_identities_only_token1] = ACTIONS(890),
    [aux_sym_identity_agent_token1] = ACTIONS(890),
    [aux_sym_identity_file_token1] = ACTIONS(890),
    [aux_sym_ignore_unknown_token1] = ACTIONS(890),
    [aux_sym_include_token1] = ACTIONS(890),
    [aux_sym_ip_qos_token1] = ACTIONS(890),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(890),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(890),
    [aux_sym_kex_algorithms_token1] = ACTIONS(890),
    [aux_sym_known_hosts_command_token1] = ACTIONS(890),
    [aux_sym_local_command_token1] = ACTIONS(890),
    [aux_sym_local_forward_token1] = ACTIONS(890),
    [aux_sym_log_level_token1] = ACTIONS(890),
    [aux_sym_log_verbose_token1] = ACTIONS(890),
    [aux_sym_macs_token1] = ACTIONS(890),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(890),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(890),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(890),
    [aux_sym_password_authentication_token1] = ACTIONS(890),
    [aux_sym_permit_local_command_token1] = ACTIONS(890),
    [aux_sym_permit_remote_open_token1] = ACTIONS(890),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(890),
    [aux_sym_port_token1] = ACTIONS(890),
    [aux_sym_preferred_authentications_token1] = ACTIONS(890),
    [aux_sym_protocol_token1] = ACTIONS(890),
    [aux_sym_proxy_command_token1] = ACTIONS(890),
    [aux_sym_proxy_jump_token1] = ACTIONS(890),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(890),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(890),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(890),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(890),
    [aux_sym_rekey_limit_token1] = ACTIONS(890),
    [aux_sym_remote_command_token1] = ACTIONS(890),
    [aux_sym_remote_forward_token1] = ACTIONS(890),
    [aux_sym_request_tty_token1] = ACTIONS(890),
    [aux_sym_required_rsa_size_token1] = ACTIONS(890),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(890),
    [aux_sym_security_key_provider_token1] = ACTIONS(890),
    [aux_sym_send_env_token1] = ACTIONS(890),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(890),
    [aux_sym_server_alive_interval_token1] = ACTIONS(890),
    [aux_sym_session_type_token1] = ACTIONS(890),
    [aux_sym_set_env_token1] = ACTIONS(890),
    [aux_sym_stdin_null_token1] = ACTIONS(890),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(890),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(890),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(890),
    [aux_sym_syslog_facility_token1] = ACTIONS(890),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(890),
    [aux_sym_keep_alive_token1] = ACTIONS(890),
    [aux_sym_tag_token1] = ACTIONS(890),
    [aux_sym_tunnel_token1] = ACTIONS(892),
    [aux_sym_tunnel_device_token1] = ACTIONS(890),
    [aux_sym_update_host_keys_token1] = ACTIONS(890),
    [aux_sym_use_keychain_token1] = ACTIONS(890),
    [aux_sym_use_roaming_token1] = ACTIONS(890),
    [aux_sym_user_token1] = ACTIONS(892),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(890),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(890),
    [aux_sym_version_addendum_token1] = ACTIONS(890),
    [aux_sym_visual_host_key_token1] = ACTIONS(890),
    [aux_sym_xauth_location_token1] = ACTIONS(890),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(898),
    [aux_sym_match_token1] = ACTIONS(894),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(894),
    [aux_sym_address_family_token1] = ACTIONS(894),
    [aux_sym_batch_mode_token1] = ACTIONS(894),
    [aux_sym_bind_address_token1] = ACTIONS(894),
    [aux_sym_bind_interface_token1] = ACTIONS(894),
    [aux_sym_canonical_domains_token1] = ACTIONS(894),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(894),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(894),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(894),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(894),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(894),
    [aux_sym_certificate_file_token1] = ACTIONS(894),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(894),
    [aux_sym_channel_timeout_token1] = ACTIONS(894),
    [aux_sym_check_host_ip_token1] = ACTIONS(894),
    [aux_sym_ciphers_token1] = ACTIONS(894),
    [aux_sym_cipher_token1] = ACTIONS(896),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(894),
    [aux_sym_compression_token1] = ACTIONS(894),
    [aux_sym_connection_attempts_token1] = ACTIONS(894),
    [aux_sym_connect_timeout_token1] = ACTIONS(894),
    [aux_sym_control_master_token1] = ACTIONS(894),
    [aux_sym_control_path_token1] = ACTIONS(894),
    [aux_sym_control_persist_token1] = ACTIONS(894),
    [aux_sym_dynamic_forward_token1] = ACTIONS(894),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(894),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(894),
    [aux_sym_escape_char_token1] = ACTIONS(894),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(894),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(894),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(894),
    [aux_sym_forward_agent_token1] = ACTIONS(894),
    [aux_sym_forward_x11_token1] = ACTIONS(896),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(894),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(894),
    [aux_sym_gateway_ports_token1] = ACTIONS(894),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(894),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(894),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(894),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(894),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(894),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(894),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(894),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(894),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(894),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(894),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(894),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(894),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(894),
    [aux_sym_host_key_alias_token1] = ACTIONS(894),
    [aux_sym_hostname_token1] = ACTIONS(894),
    [aux_sym_identities_only_token1] = ACTIONS(894),
    [aux_sym_identity_agent_token1] = ACTIONS(894),
    [aux_sym_identity_file_token1] = ACTIONS(894),
    [aux_sym_ignore_unknown_token1] = ACTIONS(894),
    [aux_sym_include_token1] = ACTIONS(894),
    [aux_sym_ip_qos_token1] = ACTIONS(894),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(894),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(894),
    [aux_sym_kex_algorithms_token1] = ACTIONS(894),
    [aux_sym_known_hosts_command_token1] = ACTIONS(894),
    [aux_sym_local_command_token1] = ACTIONS(894),
    [aux_sym_local_forward_token1] = ACTIONS(894),
    [aux_sym_log_level_token1] = ACTIONS(894),
    [aux_sym_log_verbose_token1] = ACTIONS(894),
    [aux_sym_macs_token1] = ACTIONS(894),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(894),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(894),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(894),
    [aux_sym_password_authentication_token1] = ACTIONS(894),
    [aux_sym_permit_local_command_token1] = ACTIONS(894),
    [aux_sym_permit_remote_open_token1] = ACTIONS(894),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(894),
    [aux_sym_port_token1] = ACTIONS(894),
    [aux_sym_preferred_authentications_token1] = ACTIONS(894),
    [aux_sym_protocol_token1] = ACTIONS(894),
    [aux_sym_proxy_command_token1] = ACTIONS(894),
    [aux_sym_proxy_jump_token1] = ACTIONS(894),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(894),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(894),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(894),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(894),
    [aux_sym_rekey_limit_token1] = ACTIONS(894),
    [aux_sym_remote_command_token1] = ACTIONS(894),
    [aux_sym_remote_forward_token1] = ACTIONS(894),
    [aux_sym_request_tty_token1] = ACTIONS(894),
    [aux_sym_required_rsa_size_token1] = ACTIONS(894),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(894),
    [aux_sym_security_key_provider_token1] = ACTIONS(894),
    [aux_sym_send_env_token1] = ACTIONS(894),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(894),
    [aux_sym_server_alive_interval_token1] = ACTIONS(894),
    [aux_sym_session_type_token1] = ACTIONS(894),
    [aux_sym_set_env_token1] = ACTIONS(894),
    [aux_sym_stdin_null_token1] = ACTIONS(894),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(894),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(894),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(894),
    [aux_sym_syslog_facility_token1] = ACTIONS(894),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(894),
    [aux_sym_keep_alive_token1] = ACTIONS(894),
    [aux_sym_tag_token1] = ACTIONS(894),
    [aux_sym_tunnel_token1] = ACTIONS(896),
    [aux_sym_tunnel_device_token1] = ACTIONS(894),
    [aux_sym_update_host_keys_token1] = ACTIONS(894),
    [aux_sym_use_keychain_token1] = ACTIONS(894),
    [aux_sym_use_roaming_token1] = ACTIONS(894),
    [aux_sym_user_token1] = ACTIONS(896),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(894),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(894),
    [aux_sym_version_addendum_token1] = ACTIONS(894),
    [aux_sym_visual_host_key_token1] = ACTIONS(894),
    [aux_sym_xauth_location_token1] = ACTIONS(894),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(900),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(902),
    [anon_sym_DQUOTE] = ACTIONS(900),
    [aux_sym_match_token1] = ACTIONS(900),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(900),
    [aux_sym_address_family_token1] = ACTIONS(900),
    [aux_sym_batch_mode_token1] = ACTIONS(900),
    [aux_sym_bind_address_token1] = ACTIONS(900),
    [aux_sym_bind_interface_token1] = ACTIONS(900),
    [aux_sym_canonical_domains_token1] = ACTIONS(900),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(900),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(900),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(900),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(900),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(900),
    [aux_sym_certificate_file_token1] = ACTIONS(900),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(900),
    [aux_sym_channel_timeout_token1] = ACTIONS(900),
    [aux_sym_check_host_ip_token1] = ACTIONS(900),
    [aux_sym_ciphers_token1] = ACTIONS(900),
    [aux_sym_cipher_token1] = ACTIONS(902),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(900),
    [aux_sym_compression_token1] = ACTIONS(900),
    [aux_sym_connection_attempts_token1] = ACTIONS(900),
    [aux_sym_connect_timeout_token1] = ACTIONS(900),
    [aux_sym_control_master_token1] = ACTIONS(900),
    [aux_sym_control_path_token1] = ACTIONS(900),
    [aux_sym_control_persist_token1] = ACTIONS(900),
    [aux_sym_dynamic_forward_token1] = ACTIONS(900),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(900),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(900),
    [aux_sym_escape_char_token1] = ACTIONS(900),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(900),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(900),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(900),
    [aux_sym_forward_agent_token1] = ACTIONS(900),
    [aux_sym_forward_x11_token1] = ACTIONS(902),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(900),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(900),
    [aux_sym_gateway_ports_token1] = ACTIONS(900),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(900),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(900),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(900),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(900),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(900),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(900),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(900),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(900),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(900),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(900),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(900),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(900),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(900),
    [aux_sym_host_key_alias_token1] = ACTIONS(900),
    [aux_sym_hostname_token1] = ACTIONS(900),
    [aux_sym_identities_only_token1] = ACTIONS(900),
    [aux_sym_identity_agent_token1] = ACTIONS(900),
    [aux_sym_identity_file_token1] = ACTIONS(900),
    [aux_sym_ignore_unknown_token1] = ACTIONS(900),
    [aux_sym_include_token1] = ACTIONS(900),
    [aux_sym_ip_qos_token1] = ACTIONS(900),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(900),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(900),
    [aux_sym_kex_algorithms_token1] = ACTIONS(900),
    [aux_sym_known_hosts_command_token1] = ACTIONS(900),
    [aux_sym_local_command_token1] = ACTIONS(900),
    [aux_sym_local_forward_token1] = ACTIONS(900),
    [aux_sym_log_level_token1] = ACTIONS(900),
    [aux_sym_log_verbose_token1] = ACTIONS(900),
    [aux_sym_macs_token1] = ACTIONS(900),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(900),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(900),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(900),
    [aux_sym_password_authentication_token1] = ACTIONS(900),
    [aux_sym_permit_local_command_token1] = ACTIONS(900),
    [aux_sym_permit_remote_open_token1] = ACTIONS(900),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(900),
    [aux_sym_port_token1] = ACTIONS(900),
    [aux_sym_preferred_authentications_token1] = ACTIONS(900),
    [aux_sym_protocol_token1] = ACTIONS(900),
    [aux_sym_proxy_command_token1] = ACTIONS(900),
    [aux_sym_proxy_jump_token1] = ACTIONS(900),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(900),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(900),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(900),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(900),
    [aux_sym_rekey_limit_token1] = ACTIONS(900),
    [aux_sym_remote_command_token1] = ACTIONS(900),
    [aux_sym_remote_forward_token1] = ACTIONS(900),
    [aux_sym_request_tty_token1] = ACTIONS(900),
    [aux_sym_required_rsa_size_token1] = ACTIONS(900),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(900),
    [aux_sym_security_key_provider_token1] = ACTIONS(900),
    [aux_sym_send_env_token1] = ACTIONS(900),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(900),
    [aux_sym_server_alive_interval_token1] = ACTIONS(900),
    [aux_sym_session_type_token1] = ACTIONS(900),
    [aux_sym_set_env_token1] = ACTIONS(900),
    [aux_sym_stdin_null_token1] = ACTIONS(900),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(900),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(900),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(900),
    [aux_sym_syslog_facility_token1] = ACTIONS(900),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(900),
    [aux_sym_keep_alive_token1] = ACTIONS(900),
    [aux_sym_tag_token1] = ACTIONS(900),
    [aux_sym_tunnel_token1] = ACTIONS(902),
    [aux_sym_tunnel_device_token1] = ACTIONS(900),
    [aux_sym_update_host_keys_token1] = ACTIONS(900),
    [aux_sym_use_keychain_token1] = ACTIONS(900),
    [aux_sym_use_roaming_token1] = ACTIONS(900),
    [aux_sym_user_token1] = ACTIONS(902),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(900),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(900),
    [aux_sym_version_addendum_token1] = ACTIONS(900),
    [aux_sym_visual_host_key_token1] = ACTIONS(900),
    [aux_sym_xauth_location_token1] = ACTIONS(900),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(904),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(908),
    [aux_sym_match_token1] = ACTIONS(904),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(904),
    [aux_sym_address_family_token1] = ACTIONS(904),
    [aux_sym_batch_mode_token1] = ACTIONS(904),
    [aux_sym_bind_address_token1] = ACTIONS(904),
    [aux_sym_bind_interface_token1] = ACTIONS(904),
    [aux_sym_canonical_domains_token1] = ACTIONS(904),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(904),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(904),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(904),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(904),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(904),
    [aux_sym_certificate_file_token1] = ACTIONS(904),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(904),
    [aux_sym_channel_timeout_token1] = ACTIONS(904),
    [aux_sym_check_host_ip_token1] = ACTIONS(904),
    [aux_sym_ciphers_token1] = ACTIONS(904),
    [aux_sym_cipher_token1] = ACTIONS(906),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(904),
    [aux_sym_compression_token1] = ACTIONS(904),
    [aux_sym_connection_attempts_token1] = ACTIONS(904),
    [aux_sym_connect_timeout_token1] = ACTIONS(904),
    [aux_sym_control_master_token1] = ACTIONS(904),
    [aux_sym_control_path_token1] = ACTIONS(904),
    [aux_sym_control_persist_token1] = ACTIONS(904),
    [aux_sym_dynamic_forward_token1] = ACTIONS(904),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(904),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(904),
    [aux_sym_escape_char_token1] = ACTIONS(904),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(904),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(904),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(904),
    [aux_sym_forward_agent_token1] = ACTIONS(904),
    [aux_sym_forward_x11_token1] = ACTIONS(906),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(904),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(904),
    [aux_sym_gateway_ports_token1] = ACTIONS(904),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(904),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(904),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(904),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(904),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(904),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(904),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(904),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(904),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(904),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(904),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(904),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(904),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(904),
    [aux_sym_host_key_alias_token1] = ACTIONS(904),
    [aux_sym_hostname_token1] = ACTIONS(904),
    [aux_sym_identities_only_token1] = ACTIONS(904),
    [aux_sym_identity_agent_token1] = ACTIONS(904),
    [aux_sym_identity_file_token1] = ACTIONS(904),
    [aux_sym_ignore_unknown_token1] = ACTIONS(904),
    [aux_sym_include_token1] = ACTIONS(904),
    [aux_sym_ip_qos_token1] = ACTIONS(904),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(904),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(904),
    [aux_sym_kex_algorithms_token1] = ACTIONS(904),
    [aux_sym_known_hosts_command_token1] = ACTIONS(904),
    [aux_sym_local_command_token1] = ACTIONS(904),
    [aux_sym_local_forward_token1] = ACTIONS(904),
    [aux_sym_log_level_token1] = ACTIONS(904),
    [aux_sym_log_verbose_token1] = ACTIONS(904),
    [aux_sym_macs_token1] = ACTIONS(904),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(904),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(904),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(904),
    [aux_sym_password_authentication_token1] = ACTIONS(904),
    [aux_sym_permit_local_command_token1] = ACTIONS(904),
    [aux_sym_permit_remote_open_token1] = ACTIONS(904),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(904),
    [aux_sym_port_token1] = ACTIONS(904),
    [aux_sym_preferred_authentications_token1] = ACTIONS(904),
    [aux_sym_protocol_token1] = ACTIONS(904),
    [aux_sym_proxy_command_token1] = ACTIONS(904),
    [aux_sym_proxy_jump_token1] = ACTIONS(904),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(904),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(904),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(904),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(904),
    [aux_sym_rekey_limit_token1] = ACTIONS(904),
    [aux_sym_remote_command_token1] = ACTIONS(904),
    [aux_sym_remote_forward_token1] = ACTIONS(904),
    [aux_sym_request_tty_token1] = ACTIONS(904),
    [aux_sym_required_rsa_size_token1] = ACTIONS(904),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(904),
    [aux_sym_security_key_provider_token1] = ACTIONS(904),
    [aux_sym_send_env_token1] = ACTIONS(904),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(904),
    [aux_sym_server_alive_interval_token1] = ACTIONS(904),
    [aux_sym_session_type_token1] = ACTIONS(904),
    [aux_sym_set_env_token1] = ACTIONS(904),
    [aux_sym_stdin_null_token1] = ACTIONS(904),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(904),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(904),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(904),
    [aux_sym_syslog_facility_token1] = ACTIONS(904),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(904),
    [aux_sym_keep_alive_token1] = ACTIONS(904),
    [aux_sym_tag_token1] = ACTIONS(904),
    [aux_sym_tunnel_token1] = ACTIONS(906),
    [aux_sym_tunnel_device_token1] = ACTIONS(904),
    [aux_sym_update_host_keys_token1] = ACTIONS(904),
    [aux_sym_use_keychain_token1] = ACTIONS(904),
    [aux_sym_use_roaming_token1] = ACTIONS(904),
    [aux_sym_user_token1] = ACTIONS(906),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(904),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(904),
    [aux_sym_version_addendum_token1] = ACTIONS(904),
    [aux_sym_visual_host_key_token1] = ACTIONS(904),
    [aux_sym_xauth_location_token1] = ACTIONS(904),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(910),
    [aux_sym_match_token1] = ACTIONS(910),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(910),
    [aux_sym_address_family_token1] = ACTIONS(910),
    [aux_sym_batch_mode_token1] = ACTIONS(910),
    [aux_sym_bind_address_token1] = ACTIONS(910),
    [aux_sym_bind_interface_token1] = ACTIONS(910),
    [aux_sym_canonical_domains_token1] = ACTIONS(910),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(910),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(910),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(910),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(910),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(910),
    [aux_sym_certificate_file_token1] = ACTIONS(910),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(910),
    [aux_sym_channel_timeout_token1] = ACTIONS(910),
    [aux_sym_check_host_ip_token1] = ACTIONS(910),
    [aux_sym_ciphers_token1] = ACTIONS(910),
    [aux_sym_cipher_token1] = ACTIONS(912),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(910),
    [aux_sym_compression_token1] = ACTIONS(910),
    [aux_sym_connection_attempts_token1] = ACTIONS(910),
    [aux_sym_connect_timeout_token1] = ACTIONS(910),
    [aux_sym_control_master_token1] = ACTIONS(910),
    [aux_sym_control_path_token1] = ACTIONS(910),
    [aux_sym_control_persist_token1] = ACTIONS(910),
    [aux_sym_dynamic_forward_token1] = ACTIONS(910),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(910),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(910),
    [aux_sym_escape_char_token1] = ACTIONS(910),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(910),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(910),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(910),
    [aux_sym_forward_agent_token1] = ACTIONS(910),
    [aux_sym_forward_x11_token1] = ACTIONS(912),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(910),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(910),
    [aux_sym_gateway_ports_token1] = ACTIONS(910),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(910),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(910),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(910),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(910),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(910),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(910),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(910),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(910),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(910),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(910),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(910),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(910),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(910),
    [aux_sym_host_key_alias_token1] = ACTIONS(910),
    [aux_sym_hostname_token1] = ACTIONS(910),
    [aux_sym_identities_only_token1] = ACTIONS(910),
    [aux_sym_identity_agent_token1] = ACTIONS(910),
    [aux_sym_identity_file_token1] = ACTIONS(910),
    [aux_sym_ignore_unknown_token1] = ACTIONS(910),
    [aux_sym_include_token1] = ACTIONS(910),
    [aux_sym_ip_qos_token1] = ACTIONS(910),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(910),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(910),
    [aux_sym_kex_algorithms_token1] = ACTIONS(910),
    [aux_sym_known_hosts_command_token1] = ACTIONS(910),
    [aux_sym_local_command_token1] = ACTIONS(910),
    [aux_sym_local_forward_token1] = ACTIONS(910),
    [aux_sym_log_level_token1] = ACTIONS(910),
    [aux_sym_log_verbose_token1] = ACTIONS(910),
    [aux_sym_macs_token1] = ACTIONS(910),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(910),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(910),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(910),
    [aux_sym_password_authentication_token1] = ACTIONS(910),
    [aux_sym_permit_local_command_token1] = ACTIONS(910),
    [aux_sym_permit_remote_open_token1] = ACTIONS(910),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(910),
    [aux_sym_port_token1] = ACTIONS(910),
    [aux_sym_preferred_authentications_token1] = ACTIONS(910),
    [aux_sym_protocol_token1] = ACTIONS(910),
    [aux_sym_proxy_command_token1] = ACTIONS(910),
    [aux_sym_proxy_jump_token1] = ACTIONS(910),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(910),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(910),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(910),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(910),
    [aux_sym_rekey_limit_token1] = ACTIONS(910),
    [aux_sym_remote_command_token1] = ACTIONS(910),
    [aux_sym_remote_forward_token1] = ACTIONS(910),
    [aux_sym_request_tty_token1] = ACTIONS(910),
    [aux_sym_required_rsa_size_token1] = ACTIONS(910),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(910),
    [aux_sym_security_key_provider_token1] = ACTIONS(910),
    [aux_sym_send_env_token1] = ACTIONS(910),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(910),
    [aux_sym_server_alive_interval_token1] = ACTIONS(910),
    [aux_sym_session_type_token1] = ACTIONS(910),
    [aux_sym_set_env_token1] = ACTIONS(910),
    [aux_sym_stdin_null_token1] = ACTIONS(910),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(910),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(910),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(910),
    [aux_sym_syslog_facility_token1] = ACTIONS(910),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(910),
    [aux_sym_keep_alive_token1] = ACTIONS(910),
    [aux_sym_tag_token1] = ACTIONS(910),
    [aux_sym_tunnel_token1] = ACTIONS(912),
    [aux_sym_tunnel_device_token1] = ACTIONS(910),
    [aux_sym_update_host_keys_token1] = ACTIONS(910),
    [aux_sym_use_keychain_token1] = ACTIONS(910),
    [aux_sym_use_roaming_token1] = ACTIONS(910),
    [aux_sym_user_token1] = ACTIONS(912),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(910),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(910),
    [aux_sym_version_addendum_token1] = ACTIONS(910),
    [aux_sym_visual_host_key_token1] = ACTIONS(910),
    [aux_sym_xauth_location_token1] = ACTIONS(910),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(914),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(918),
    [aux_sym_match_token1] = ACTIONS(914),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(914),
    [aux_sym_address_family_token1] = ACTIONS(914),
    [aux_sym_batch_mode_token1] = ACTIONS(914),
    [aux_sym_bind_address_token1] = ACTIONS(914),
    [aux_sym_bind_interface_token1] = ACTIONS(914),
    [aux_sym_canonical_domains_token1] = ACTIONS(914),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(914),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(914),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(914),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(914),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(914),
    [aux_sym_certificate_file_token1] = ACTIONS(914),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(914),
    [aux_sym_channel_timeout_token1] = ACTIONS(914),
    [aux_sym_check_host_ip_token1] = ACTIONS(914),
    [aux_sym_ciphers_token1] = ACTIONS(914),
    [aux_sym_cipher_token1] = ACTIONS(916),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(914),
    [aux_sym_compression_token1] = ACTIONS(914),
    [aux_sym_connection_attempts_token1] = ACTIONS(914),
    [aux_sym_connect_timeout_token1] = ACTIONS(914),
    [aux_sym_control_master_token1] = ACTIONS(914),
    [aux_sym_control_path_token1] = ACTIONS(914),
    [aux_sym_control_persist_token1] = ACTIONS(914),
    [aux_sym_dynamic_forward_token1] = ACTIONS(914),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(914),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(914),
    [aux_sym_escape_char_token1] = ACTIONS(914),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(914),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(914),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(914),
    [aux_sym_forward_agent_token1] = ACTIONS(914),
    [aux_sym_forward_x11_token1] = ACTIONS(916),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(914),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(914),
    [aux_sym_gateway_ports_token1] = ACTIONS(914),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(914),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(914),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(914),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(914),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(914),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(914),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(914),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(914),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(914),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(914),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(914),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(914),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(914),
    [aux_sym_host_key_alias_token1] = ACTIONS(914),
    [aux_sym_hostname_token1] = ACTIONS(914),
    [aux_sym_identities_only_token1] = ACTIONS(914),
    [aux_sym_identity_agent_token1] = ACTIONS(914),
    [aux_sym_identity_file_token1] = ACTIONS(914),
    [aux_sym_ignore_unknown_token1] = ACTIONS(914),
    [aux_sym_include_token1] = ACTIONS(914),
    [aux_sym_ip_qos_token1] = ACTIONS(914),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(914),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(914),
    [aux_sym_kex_algorithms_token1] = ACTIONS(914),
    [aux_sym_known_hosts_command_token1] = ACTIONS(914),
    [aux_sym_local_command_token1] = ACTIONS(914),
    [aux_sym_local_forward_token1] = ACTIONS(914),
    [aux_sym_log_level_token1] = ACTIONS(914),
    [aux_sym_log_verbose_token1] = ACTIONS(914),
    [aux_sym_macs_token1] = ACTIONS(914),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(914),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(914),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(914),
    [aux_sym_password_authentication_token1] = ACTIONS(914),
    [aux_sym_permit_local_command_token1] = ACTIONS(914),
    [aux_sym_permit_remote_open_token1] = ACTIONS(914),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(914),
    [aux_sym_port_token1] = ACTIONS(914),
    [aux_sym_preferred_authentications_token1] = ACTIONS(914),
    [aux_sym_protocol_token1] = ACTIONS(914),
    [aux_sym_proxy_command_token1] = ACTIONS(914),
    [aux_sym_proxy_jump_token1] = ACTIONS(914),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(914),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(914),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(914),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(914),
    [aux_sym_rekey_limit_token1] = ACTIONS(914),
    [aux_sym_remote_command_token1] = ACTIONS(914),
    [aux_sym_remote_forward_token1] = ACTIONS(914),
    [aux_sym_request_tty_token1] = ACTIONS(914),
    [aux_sym_required_rsa_size_token1] = ACTIONS(914),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(914),
    [aux_sym_security_key_provider_token1] = ACTIONS(914),
    [aux_sym_send_env_token1] = ACTIONS(914),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(914),
    [aux_sym_server_alive_interval_token1] = ACTIONS(914),
    [aux_sym_session_type_token1] = ACTIONS(914),
    [aux_sym_set_env_token1] = ACTIONS(914),
    [aux_sym_stdin_null_token1] = ACTIONS(914),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(914),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(914),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(914),
    [aux_sym_syslog_facility_token1] = ACTIONS(914),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(914),
    [aux_sym_keep_alive_token1] = ACTIONS(914),
    [aux_sym_tag_token1] = ACTIONS(914),
    [aux_sym_tunnel_token1] = ACTIONS(916),
    [aux_sym_tunnel_device_token1] = ACTIONS(914),
    [aux_sym_update_host_keys_token1] = ACTIONS(914),
    [aux_sym_use_keychain_token1] = ACTIONS(914),
    [aux_sym_use_roaming_token1] = ACTIONS(914),
    [aux_sym_user_token1] = ACTIONS(916),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(914),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(914),
    [aux_sym_version_addendum_token1] = ACTIONS(914),
    [aux_sym_visual_host_key_token1] = ACTIONS(914),
    [aux_sym_xauth_location_token1] = ACTIONS(914),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(920),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [aux_sym_match_token1] = ACTIONS(920),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(920),
    [aux_sym_address_family_token1] = ACTIONS(920),
    [aux_sym_batch_mode_token1] = ACTIONS(920),
    [aux_sym_bind_address_token1] = ACTIONS(920),
    [aux_sym_bind_interface_token1] = ACTIONS(920),
    [aux_sym_canonical_domains_token1] = ACTIONS(920),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(920),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(920),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(920),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(920),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(920),
    [aux_sym_certificate_file_token1] = ACTIONS(920),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(920),
    [aux_sym_channel_timeout_token1] = ACTIONS(920),
    [aux_sym_check_host_ip_token1] = ACTIONS(920),
    [aux_sym_ciphers_token1] = ACTIONS(920),
    [aux_sym_cipher_token1] = ACTIONS(922),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(920),
    [aux_sym_compression_token1] = ACTIONS(920),
    [aux_sym_connection_attempts_token1] = ACTIONS(920),
    [aux_sym_connect_timeout_token1] = ACTIONS(920),
    [aux_sym_control_master_token1] = ACTIONS(920),
    [aux_sym_control_path_token1] = ACTIONS(920),
    [aux_sym_control_persist_token1] = ACTIONS(920),
    [aux_sym_dynamic_forward_token1] = ACTIONS(920),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(920),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(920),
    [aux_sym_escape_char_token1] = ACTIONS(920),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(920),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(920),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(920),
    [aux_sym_forward_agent_token1] = ACTIONS(920),
    [aux_sym_forward_x11_token1] = ACTIONS(922),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(920),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(920),
    [aux_sym_gateway_ports_token1] = ACTIONS(920),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(920),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(920),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(920),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(920),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(920),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(920),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(920),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(920),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(920),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(920),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(920),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(920),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(920),
    [aux_sym_host_key_alias_token1] = ACTIONS(920),
    [aux_sym_hostname_token1] = ACTIONS(920),
    [aux_sym_identities_only_token1] = ACTIONS(920),
    [aux_sym_identity_agent_token1] = ACTIONS(920),
    [aux_sym_identity_file_token1] = ACTIONS(920),
    [aux_sym_ignore_unknown_token1] = ACTIONS(920),
    [aux_sym_include_token1] = ACTIONS(920),
    [aux_sym_ip_qos_token1] = ACTIONS(920),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(920),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(920),
    [aux_sym_kex_algorithms_token1] = ACTIONS(920),
    [aux_sym_known_hosts_command_token1] = ACTIONS(920),
    [aux_sym_local_command_token1] = ACTIONS(920),
    [aux_sym_local_forward_token1] = ACTIONS(920),
    [aux_sym_log_level_token1] = ACTIONS(920),
    [aux_sym_log_verbose_token1] = ACTIONS(920),
    [aux_sym_macs_token1] = ACTIONS(920),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(920),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(920),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(920),
    [aux_sym_password_authentication_token1] = ACTIONS(920),
    [aux_sym_permit_local_command_token1] = ACTIONS(920),
    [aux_sym_permit_remote_open_token1] = ACTIONS(920),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(920),
    [aux_sym_port_token1] = ACTIONS(920),
    [aux_sym_preferred_authentications_token1] = ACTIONS(920),
    [aux_sym_protocol_token1] = ACTIONS(920),
    [aux_sym_proxy_command_token1] = ACTIONS(920),
    [aux_sym_proxy_jump_token1] = ACTIONS(920),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(920),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(920),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(920),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(920),
    [aux_sym_rekey_limit_token1] = ACTIONS(920),
    [aux_sym_remote_command_token1] = ACTIONS(920),
    [aux_sym_remote_forward_token1] = ACTIONS(920),
    [aux_sym_request_tty_token1] = ACTIONS(920),
    [aux_sym_required_rsa_size_token1] = ACTIONS(920),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(920),
    [aux_sym_security_key_provider_token1] = ACTIONS(920),
    [aux_sym_send_env_token1] = ACTIONS(920),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(920),
    [aux_sym_server_alive_interval_token1] = ACTIONS(920),
    [aux_sym_session_type_token1] = ACTIONS(920),
    [aux_sym_set_env_token1] = ACTIONS(920),
    [aux_sym_stdin_null_token1] = ACTIONS(920),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(920),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(920),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(920),
    [aux_sym_syslog_facility_token1] = ACTIONS(920),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(920),
    [aux_sym_keep_alive_token1] = ACTIONS(920),
    [aux_sym_tag_token1] = ACTIONS(920),
    [aux_sym_tunnel_token1] = ACTIONS(922),
    [aux_sym_tunnel_device_token1] = ACTIONS(920),
    [aux_sym_update_host_keys_token1] = ACTIONS(920),
    [aux_sym_use_keychain_token1] = ACTIONS(920),
    [aux_sym_use_roaming_token1] = ACTIONS(920),
    [aux_sym_user_token1] = ACTIONS(922),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(920),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(920),
    [aux_sym_version_addendum_token1] = ACTIONS(920),
    [aux_sym_visual_host_key_token1] = ACTIONS(920),
    [aux_sym_xauth_location_token1] = ACTIONS(920),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(924),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(926),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [aux_sym_match_token1] = ACTIONS(924),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(924),
    [aux_sym_address_family_token1] = ACTIONS(924),
    [aux_sym_batch_mode_token1] = ACTIONS(924),
    [aux_sym_bind_address_token1] = ACTIONS(924),
    [aux_sym_bind_interface_token1] = ACTIONS(924),
    [aux_sym_canonical_domains_token1] = ACTIONS(924),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(924),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(924),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(924),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(924),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(924),
    [aux_sym_certificate_file_token1] = ACTIONS(924),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(924),
    [aux_sym_channel_timeout_token1] = ACTIONS(924),
    [aux_sym_check_host_ip_token1] = ACTIONS(924),
    [aux_sym_ciphers_token1] = ACTIONS(924),
    [aux_sym_cipher_token1] = ACTIONS(926),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(924),
    [aux_sym_compression_token1] = ACTIONS(924),
    [aux_sym_connection_attempts_token1] = ACTIONS(924),
    [aux_sym_connect_timeout_token1] = ACTIONS(924),
    [aux_sym_control_master_token1] = ACTIONS(924),
    [aux_sym_control_path_token1] = ACTIONS(924),
    [aux_sym_control_persist_token1] = ACTIONS(924),
    [aux_sym_dynamic_forward_token1] = ACTIONS(924),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(924),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(924),
    [aux_sym_escape_char_token1] = ACTIONS(924),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(924),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(924),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(924),
    [aux_sym_forward_agent_token1] = ACTIONS(924),
    [aux_sym_forward_x11_token1] = ACTIONS(926),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(924),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(924),
    [aux_sym_gateway_ports_token1] = ACTIONS(924),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(924),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(924),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(924),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(924),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(924),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(924),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(924),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(924),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(924),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(924),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(924),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(924),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(924),
    [aux_sym_host_key_alias_token1] = ACTIONS(924),
    [aux_sym_hostname_token1] = ACTIONS(924),
    [aux_sym_identities_only_token1] = ACTIONS(924),
    [aux_sym_identity_agent_token1] = ACTIONS(924),
    [aux_sym_identity_file_token1] = ACTIONS(924),
    [aux_sym_ignore_unknown_token1] = ACTIONS(924),
    [aux_sym_include_token1] = ACTIONS(924),
    [aux_sym_ip_qos_token1] = ACTIONS(924),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(924),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(924),
    [aux_sym_kex_algorithms_token1] = ACTIONS(924),
    [aux_sym_known_hosts_command_token1] = ACTIONS(924),
    [aux_sym_local_command_token1] = ACTIONS(924),
    [aux_sym_local_forward_token1] = ACTIONS(924),
    [aux_sym_log_level_token1] = ACTIONS(924),
    [aux_sym_log_verbose_token1] = ACTIONS(924),
    [aux_sym_macs_token1] = ACTIONS(924),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(924),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(924),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(924),
    [aux_sym_password_authentication_token1] = ACTIONS(924),
    [aux_sym_permit_local_command_token1] = ACTIONS(924),
    [aux_sym_permit_remote_open_token1] = ACTIONS(924),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(924),
    [aux_sym_port_token1] = ACTIONS(924),
    [aux_sym_preferred_authentications_token1] = ACTIONS(924),
    [aux_sym_protocol_token1] = ACTIONS(924),
    [aux_sym_proxy_command_token1] = ACTIONS(924),
    [aux_sym_proxy_jump_token1] = ACTIONS(924),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(924),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(924),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(924),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(924),
    [aux_sym_rekey_limit_token1] = ACTIONS(924),
    [aux_sym_remote_command_token1] = ACTIONS(924),
    [aux_sym_remote_forward_token1] = ACTIONS(924),
    [aux_sym_request_tty_token1] = ACTIONS(924),
    [aux_sym_required_rsa_size_token1] = ACTIONS(924),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(924),
    [aux_sym_security_key_provider_token1] = ACTIONS(924),
    [aux_sym_send_env_token1] = ACTIONS(924),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(924),
    [aux_sym_server_alive_interval_token1] = ACTIONS(924),
    [aux_sym_session_type_token1] = ACTIONS(924),
    [aux_sym_set_env_token1] = ACTIONS(924),
    [aux_sym_stdin_null_token1] = ACTIONS(924),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(924),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(924),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(924),
    [aux_sym_syslog_facility_token1] = ACTIONS(924),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(924),
    [aux_sym_keep_alive_token1] = ACTIONS(924),
    [aux_sym_tag_token1] = ACTIONS(924),
    [aux_sym_tunnel_token1] = ACTIONS(926),
    [aux_sym_tunnel_device_token1] = ACTIONS(924),
    [aux_sym_update_host_keys_token1] = ACTIONS(924),
    [aux_sym_use_keychain_token1] = ACTIONS(924),
    [aux_sym_use_roaming_token1] = ACTIONS(924),
    [aux_sym_user_token1] = ACTIONS(926),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(924),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(924),
    [aux_sym_version_addendum_token1] = ACTIONS(924),
    [aux_sym_visual_host_key_token1] = ACTIONS(924),
    [aux_sym_xauth_location_token1] = ACTIONS(924),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(930),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(930),
    [aux_sym_match_token1] = ACTIONS(930),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(930),
    [aux_sym_address_family_token1] = ACTIONS(930),
    [aux_sym_batch_mode_token1] = ACTIONS(930),
    [aux_sym_bind_address_token1] = ACTIONS(930),
    [aux_sym_bind_interface_token1] = ACTIONS(930),
    [aux_sym_canonical_domains_token1] = ACTIONS(930),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(930),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(930),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(930),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(930),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(930),
    [aux_sym_certificate_file_token1] = ACTIONS(930),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(930),
    [aux_sym_channel_timeout_token1] = ACTIONS(930),
    [aux_sym_check_host_ip_token1] = ACTIONS(930),
    [aux_sym_ciphers_token1] = ACTIONS(930),
    [aux_sym_cipher_token1] = ACTIONS(932),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(930),
    [aux_sym_compression_token1] = ACTIONS(930),
    [aux_sym_connection_attempts_token1] = ACTIONS(930),
    [aux_sym_connect_timeout_token1] = ACTIONS(930),
    [aux_sym_control_master_token1] = ACTIONS(930),
    [aux_sym_control_path_token1] = ACTIONS(930),
    [aux_sym_control_persist_token1] = ACTIONS(930),
    [aux_sym_dynamic_forward_token1] = ACTIONS(930),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(930),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(930),
    [aux_sym_escape_char_token1] = ACTIONS(930),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(930),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(930),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(930),
    [aux_sym_forward_agent_token1] = ACTIONS(930),
    [aux_sym_forward_x11_token1] = ACTIONS(932),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(930),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(930),
    [aux_sym_gateway_ports_token1] = ACTIONS(930),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(930),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(930),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(930),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(930),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(930),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(930),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(930),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(930),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(930),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(930),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(930),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(930),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(930),
    [aux_sym_host_key_alias_token1] = ACTIONS(930),
    [aux_sym_hostname_token1] = ACTIONS(930),
    [aux_sym_identities_only_token1] = ACTIONS(930),
    [aux_sym_identity_agent_token1] = ACTIONS(930),
    [aux_sym_identity_file_token1] = ACTIONS(930),
    [aux_sym_ignore_unknown_token1] = ACTIONS(930),
    [aux_sym_include_token1] = ACTIONS(930),
    [aux_sym_ip_qos_token1] = ACTIONS(930),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(930),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(930),
    [aux_sym_kex_algorithms_token1] = ACTIONS(930),
    [aux_sym_known_hosts_command_token1] = ACTIONS(930),
    [aux_sym_local_command_token1] = ACTIONS(930),
    [aux_sym_local_forward_token1] = ACTIONS(930),
    [aux_sym_log_level_token1] = ACTIONS(930),
    [aux_sym_log_verbose_token1] = ACTIONS(930),
    [aux_sym_macs_token1] = ACTIONS(930),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(930),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(930),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(930),
    [aux_sym_password_authentication_token1] = ACTIONS(930),
    [aux_sym_permit_local_command_token1] = ACTIONS(930),
    [aux_sym_permit_remote_open_token1] = ACTIONS(930),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(930),
    [aux_sym_port_token1] = ACTIONS(930),
    [aux_sym_preferred_authentications_token1] = ACTIONS(930),
    [aux_sym_protocol_token1] = ACTIONS(930),
    [aux_sym_proxy_command_token1] = ACTIONS(930),
    [aux_sym_proxy_jump_token1] = ACTIONS(930),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(930),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(930),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(930),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(930),
    [aux_sym_rekey_limit_token1] = ACTIONS(930),
    [aux_sym_remote_command_token1] = ACTIONS(930),
    [aux_sym_remote_forward_token1] = ACTIONS(930),
    [aux_sym_request_tty_token1] = ACTIONS(930),
    [aux_sym_required_rsa_size_token1] = ACTIONS(930),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(930),
    [aux_sym_security_key_provider_token1] = ACTIONS(930),
    [aux_sym_send_env_token1] = ACTIONS(930),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(930),
    [aux_sym_server_alive_interval_token1] = ACTIONS(930),
    [aux_sym_session_type_token1] = ACTIONS(930),
    [aux_sym_set_env_token1] = ACTIONS(930),
    [aux_sym_stdin_null_token1] = ACTIONS(930),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(930),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(930),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(930),
    [aux_sym_syslog_facility_token1] = ACTIONS(930),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(930),
    [aux_sym_keep_alive_token1] = ACTIONS(930),
    [aux_sym_tag_token1] = ACTIONS(930),
    [aux_sym_tunnel_token1] = ACTIONS(932),
    [aux_sym_tunnel_device_token1] = ACTIONS(930),
    [aux_sym_update_host_keys_token1] = ACTIONS(930),
    [aux_sym_use_keychain_token1] = ACTIONS(930),
    [aux_sym_use_roaming_token1] = ACTIONS(930),
    [aux_sym_user_token1] = ACTIONS(932),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(930),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(930),
    [aux_sym_version_addendum_token1] = ACTIONS(930),
    [aux_sym_visual_host_key_token1] = ACTIONS(930),
    [aux_sym_xauth_location_token1] = ACTIONS(930),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(934),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(936),
    [anon_sym_DQUOTE] = ACTIONS(938),
    [aux_sym_match_token1] = ACTIONS(934),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(934),
    [aux_sym_address_family_token1] = ACTIONS(934),
    [aux_sym_batch_mode_token1] = ACTIONS(934),
    [aux_sym_bind_address_token1] = ACTIONS(934),
    [aux_sym_bind_interface_token1] = ACTIONS(934),
    [aux_sym_canonical_domains_token1] = ACTIONS(934),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(934),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(934),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(934),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(934),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(934),
    [aux_sym_certificate_file_token1] = ACTIONS(934),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(934),
    [aux_sym_channel_timeout_token1] = ACTIONS(934),
    [aux_sym_check_host_ip_token1] = ACTIONS(934),
    [aux_sym_ciphers_token1] = ACTIONS(934),
    [aux_sym_cipher_token1] = ACTIONS(936),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(934),
    [aux_sym_compression_token1] = ACTIONS(934),
    [aux_sym_connection_attempts_token1] = ACTIONS(934),
    [aux_sym_connect_timeout_token1] = ACTIONS(934),
    [aux_sym_control_master_token1] = ACTIONS(934),
    [aux_sym_control_path_token1] = ACTIONS(934),
    [aux_sym_control_persist_token1] = ACTIONS(934),
    [aux_sym_dynamic_forward_token1] = ACTIONS(934),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(934),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(934),
    [aux_sym_escape_char_token1] = ACTIONS(934),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(934),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(934),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(934),
    [aux_sym_forward_agent_token1] = ACTIONS(934),
    [aux_sym_forward_x11_token1] = ACTIONS(936),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(934),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(934),
    [aux_sym_gateway_ports_token1] = ACTIONS(934),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(934),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(934),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(934),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(934),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(934),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(934),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(934),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(934),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(934),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(934),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(934),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(934),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(934),
    [aux_sym_host_key_alias_token1] = ACTIONS(934),
    [aux_sym_hostname_token1] = ACTIONS(934),
    [aux_sym_identities_only_token1] = ACTIONS(934),
    [aux_sym_identity_agent_token1] = ACTIONS(934),
    [aux_sym_identity_file_token1] = ACTIONS(934),
    [aux_sym_ignore_unknown_token1] = ACTIONS(934),
    [aux_sym_include_token1] = ACTIONS(934),
    [aux_sym_ip_qos_token1] = ACTIONS(934),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(934),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(934),
    [aux_sym_kex_algorithms_token1] = ACTIONS(934),
    [aux_sym_known_hosts_command_token1] = ACTIONS(934),
    [aux_sym_local_command_token1] = ACTIONS(934),
    [aux_sym_local_forward_token1] = ACTIONS(934),
    [aux_sym_log_level_token1] = ACTIONS(934),
    [aux_sym_log_verbose_token1] = ACTIONS(934),
    [aux_sym_macs_token1] = ACTIONS(934),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(934),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(934),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(934),
    [aux_sym_password_authentication_token1] = ACTIONS(934),
    [aux_sym_permit_local_command_token1] = ACTIONS(934),
    [aux_sym_permit_remote_open_token1] = ACTIONS(934),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(934),
    [aux_sym_port_token1] = ACTIONS(934),
    [aux_sym_preferred_authentications_token1] = ACTIONS(934),
    [aux_sym_protocol_token1] = ACTIONS(934),
    [aux_sym_proxy_command_token1] = ACTIONS(934),
    [aux_sym_proxy_jump_token1] = ACTIONS(934),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(934),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(934),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(934),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(934),
    [aux_sym_rekey_limit_token1] = ACTIONS(934),
    [aux_sym_remote_command_token1] = ACTIONS(934),
    [aux_sym_remote_forward_token1] = ACTIONS(934),
    [aux_sym_request_tty_token1] = ACTIONS(934),
    [aux_sym_required_rsa_size_token1] = ACTIONS(934),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(934),
    [aux_sym_security_key_provider_token1] = ACTIONS(934),
    [aux_sym_send_env_token1] = ACTIONS(934),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(934),
    [aux_sym_server_alive_interval_token1] = ACTIONS(934),
    [aux_sym_session_type_token1] = ACTIONS(934),
    [aux_sym_set_env_token1] = ACTIONS(934),
    [aux_sym_stdin_null_token1] = ACTIONS(934),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(934),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(934),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(934),
    [aux_sym_syslog_facility_token1] = ACTIONS(934),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(934),
    [aux_sym_keep_alive_token1] = ACTIONS(934),
    [aux_sym_tag_token1] = ACTIONS(934),
    [aux_sym_tunnel_token1] = ACTIONS(936),
    [aux_sym_tunnel_device_token1] = ACTIONS(934),
    [aux_sym_update_host_keys_token1] = ACTIONS(934),
    [aux_sym_use_keychain_token1] = ACTIONS(934),
    [aux_sym_use_roaming_token1] = ACTIONS(934),
    [aux_sym_user_token1] = ACTIONS(936),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(934),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(934),
    [aux_sym_version_addendum_token1] = ACTIONS(934),
    [aux_sym_visual_host_key_token1] = ACTIONS(934),
    [aux_sym_xauth_location_token1] = ACTIONS(934),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(940),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(940),
    [aux_sym_match_token1] = ACTIONS(940),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(940),
    [aux_sym_address_family_token1] = ACTIONS(940),
    [aux_sym_batch_mode_token1] = ACTIONS(940),
    [aux_sym_bind_address_token1] = ACTIONS(940),
    [aux_sym_bind_interface_token1] = ACTIONS(940),
    [aux_sym_canonical_domains_token1] = ACTIONS(940),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(940),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(940),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(940),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(940),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(940),
    [aux_sym_certificate_file_token1] = ACTIONS(940),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(940),
    [aux_sym_channel_timeout_token1] = ACTIONS(940),
    [aux_sym_check_host_ip_token1] = ACTIONS(940),
    [aux_sym_ciphers_token1] = ACTIONS(940),
    [aux_sym_cipher_token1] = ACTIONS(942),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(940),
    [aux_sym_compression_token1] = ACTIONS(940),
    [aux_sym_connection_attempts_token1] = ACTIONS(940),
    [aux_sym_connect_timeout_token1] = ACTIONS(940),
    [aux_sym_control_master_token1] = ACTIONS(940),
    [aux_sym_control_path_token1] = ACTIONS(940),
    [aux_sym_control_persist_token1] = ACTIONS(940),
    [aux_sym_dynamic_forward_token1] = ACTIONS(940),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(940),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(940),
    [aux_sym_escape_char_token1] = ACTIONS(940),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(940),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(940),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(940),
    [aux_sym_forward_agent_token1] = ACTIONS(940),
    [aux_sym_forward_x11_token1] = ACTIONS(942),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(940),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(940),
    [aux_sym_gateway_ports_token1] = ACTIONS(940),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(940),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(940),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(940),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(940),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(940),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(940),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(940),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(940),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(940),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(940),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(940),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(940),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(940),
    [aux_sym_host_key_alias_token1] = ACTIONS(940),
    [aux_sym_hostname_token1] = ACTIONS(940),
    [aux_sym_identities_only_token1] = ACTIONS(940),
    [aux_sym_identity_agent_token1] = ACTIONS(940),
    [aux_sym_identity_file_token1] = ACTIONS(940),
    [aux_sym_ignore_unknown_token1] = ACTIONS(940),
    [aux_sym_include_token1] = ACTIONS(940),
    [aux_sym_ip_qos_token1] = ACTIONS(940),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(940),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(940),
    [aux_sym_kex_algorithms_token1] = ACTIONS(940),
    [aux_sym_known_hosts_command_token1] = ACTIONS(940),
    [aux_sym_local_command_token1] = ACTIONS(940),
    [aux_sym_local_forward_token1] = ACTIONS(940),
    [aux_sym_log_level_token1] = ACTIONS(940),
    [aux_sym_log_verbose_token1] = ACTIONS(940),
    [aux_sym_macs_token1] = ACTIONS(940),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(940),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(940),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(940),
    [aux_sym_password_authentication_token1] = ACTIONS(940),
    [aux_sym_permit_local_command_token1] = ACTIONS(940),
    [aux_sym_permit_remote_open_token1] = ACTIONS(940),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(940),
    [aux_sym_port_token1] = ACTIONS(940),
    [aux_sym_preferred_authentications_token1] = ACTIONS(940),
    [aux_sym_protocol_token1] = ACTIONS(940),
    [aux_sym_proxy_command_token1] = ACTIONS(940),
    [aux_sym_proxy_jump_token1] = ACTIONS(940),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(940),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(940),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(940),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(940),
    [aux_sym_rekey_limit_token1] = ACTIONS(940),
    [aux_sym_remote_command_token1] = ACTIONS(940),
    [aux_sym_remote_forward_token1] = ACTIONS(940),
    [aux_sym_request_tty_token1] = ACTIONS(940),
    [aux_sym_required_rsa_size_token1] = ACTIONS(940),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(940),
    [aux_sym_security_key_provider_token1] = ACTIONS(940),
    [aux_sym_send_env_token1] = ACTIONS(940),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(940),
    [aux_sym_server_alive_interval_token1] = ACTIONS(940),
    [aux_sym_session_type_token1] = ACTIONS(940),
    [aux_sym_set_env_token1] = ACTIONS(940),
    [aux_sym_stdin_null_token1] = ACTIONS(940),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(940),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(940),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(940),
    [aux_sym_syslog_facility_token1] = ACTIONS(940),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(940),
    [aux_sym_keep_alive_token1] = ACTIONS(940),
    [aux_sym_tag_token1] = ACTIONS(940),
    [aux_sym_tunnel_token1] = ACTIONS(942),
    [aux_sym_tunnel_device_token1] = ACTIONS(940),
    [aux_sym_update_host_keys_token1] = ACTIONS(940),
    [aux_sym_use_keychain_token1] = ACTIONS(940),
    [aux_sym_use_roaming_token1] = ACTIONS(940),
    [aux_sym_user_token1] = ACTIONS(942),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(940),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(940),
    [aux_sym_version_addendum_token1] = ACTIONS(940),
    [aux_sym_visual_host_key_token1] = ACTIONS(940),
    [aux_sym_xauth_location_token1] = ACTIONS(940),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(944),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(946),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [aux_sym_match_token1] = ACTIONS(944),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(944),
    [aux_sym_address_family_token1] = ACTIONS(944),
    [aux_sym_batch_mode_token1] = ACTIONS(944),
    [aux_sym_bind_address_token1] = ACTIONS(944),
    [aux_sym_bind_interface_token1] = ACTIONS(944),
    [aux_sym_canonical_domains_token1] = ACTIONS(944),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(944),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(944),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(944),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(944),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(944),
    [aux_sym_certificate_file_token1] = ACTIONS(944),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(944),
    [aux_sym_channel_timeout_token1] = ACTIONS(944),
    [aux_sym_check_host_ip_token1] = ACTIONS(944),
    [aux_sym_ciphers_token1] = ACTIONS(944),
    [aux_sym_cipher_token1] = ACTIONS(946),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(944),
    [aux_sym_compression_token1] = ACTIONS(944),
    [aux_sym_connection_attempts_token1] = ACTIONS(944),
    [aux_sym_connect_timeout_token1] = ACTIONS(944),
    [aux_sym_control_master_token1] = ACTIONS(944),
    [aux_sym_control_path_token1] = ACTIONS(944),
    [aux_sym_control_persist_token1] = ACTIONS(944),
    [aux_sym_dynamic_forward_token1] = ACTIONS(944),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(944),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(944),
    [aux_sym_escape_char_token1] = ACTIONS(944),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(944),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(944),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(944),
    [aux_sym_forward_agent_token1] = ACTIONS(944),
    [aux_sym_forward_x11_token1] = ACTIONS(946),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(944),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(944),
    [aux_sym_gateway_ports_token1] = ACTIONS(944),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(944),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(944),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(944),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(944),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(944),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(944),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(944),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(944),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(944),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(944),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(944),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(944),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(944),
    [aux_sym_host_key_alias_token1] = ACTIONS(944),
    [aux_sym_hostname_token1] = ACTIONS(944),
    [aux_sym_identities_only_token1] = ACTIONS(944),
    [aux_sym_identity_agent_token1] = ACTIONS(944),
    [aux_sym_identity_file_token1] = ACTIONS(944),
    [aux_sym_ignore_unknown_token1] = ACTIONS(944),
    [aux_sym_include_token1] = ACTIONS(944),
    [aux_sym_ip_qos_token1] = ACTIONS(944),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(944),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(944),
    [aux_sym_kex_algorithms_token1] = ACTIONS(944),
    [aux_sym_known_hosts_command_token1] = ACTIONS(944),
    [aux_sym_local_command_token1] = ACTIONS(944),
    [aux_sym_local_forward_token1] = ACTIONS(944),
    [aux_sym_log_level_token1] = ACTIONS(944),
    [aux_sym_log_verbose_token1] = ACTIONS(944),
    [aux_sym_macs_token1] = ACTIONS(944),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(944),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(944),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(944),
    [aux_sym_password_authentication_token1] = ACTIONS(944),
    [aux_sym_permit_local_command_token1] = ACTIONS(944),
    [aux_sym_permit_remote_open_token1] = ACTIONS(944),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(944),
    [aux_sym_port_token1] = ACTIONS(944),
    [aux_sym_preferred_authentications_token1] = ACTIONS(944),
    [aux_sym_protocol_token1] = ACTIONS(944),
    [aux_sym_proxy_command_token1] = ACTIONS(944),
    [aux_sym_proxy_jump_token1] = ACTIONS(944),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(944),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(944),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(944),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(944),
    [aux_sym_rekey_limit_token1] = ACTIONS(944),
    [aux_sym_remote_command_token1] = ACTIONS(944),
    [aux_sym_remote_forward_token1] = ACTIONS(944),
    [aux_sym_request_tty_token1] = ACTIONS(944),
    [aux_sym_required_rsa_size_token1] = ACTIONS(944),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(944),
    [aux_sym_security_key_provider_token1] = ACTIONS(944),
    [aux_sym_send_env_token1] = ACTIONS(944),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(944),
    [aux_sym_server_alive_interval_token1] = ACTIONS(944),
    [aux_sym_session_type_token1] = ACTIONS(944),
    [aux_sym_set_env_token1] = ACTIONS(944),
    [aux_sym_stdin_null_token1] = ACTIONS(944),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(944),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(944),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(944),
    [aux_sym_syslog_facility_token1] = ACTIONS(944),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(944),
    [aux_sym_keep_alive_token1] = ACTIONS(944),
    [aux_sym_tag_token1] = ACTIONS(944),
    [aux_sym_tunnel_token1] = ACTIONS(946),
    [aux_sym_tunnel_device_token1] = ACTIONS(944),
    [aux_sym_update_host_keys_token1] = ACTIONS(944),
    [aux_sym_use_keychain_token1] = ACTIONS(944),
    [aux_sym_use_roaming_token1] = ACTIONS(944),
    [aux_sym_user_token1] = ACTIONS(946),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(944),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(944),
    [aux_sym_version_addendum_token1] = ACTIONS(944),
    [aux_sym_visual_host_key_token1] = ACTIONS(944),
    [aux_sym_xauth_location_token1] = ACTIONS(944),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(950),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(952),
    [anon_sym_DQUOTE] = ACTIONS(950),
    [aux_sym_match_token1] = ACTIONS(950),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(950),
    [aux_sym_address_family_token1] = ACTIONS(950),
    [aux_sym_batch_mode_token1] = ACTIONS(950),
    [aux_sym_bind_address_token1] = ACTIONS(950),
    [aux_sym_bind_interface_token1] = ACTIONS(950),
    [aux_sym_canonical_domains_token1] = ACTIONS(950),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(950),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(950),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(950),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(950),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(950),
    [aux_sym_certificate_file_token1] = ACTIONS(950),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(950),
    [aux_sym_channel_timeout_token1] = ACTIONS(950),
    [aux_sym_check_host_ip_token1] = ACTIONS(950),
    [aux_sym_ciphers_token1] = ACTIONS(950),
    [aux_sym_cipher_token1] = ACTIONS(952),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(950),
    [aux_sym_compression_token1] = ACTIONS(950),
    [aux_sym_connection_attempts_token1] = ACTIONS(950),
    [aux_sym_connect_timeout_token1] = ACTIONS(950),
    [aux_sym_control_master_token1] = ACTIONS(950),
    [aux_sym_control_path_token1] = ACTIONS(950),
    [aux_sym_control_persist_token1] = ACTIONS(950),
    [aux_sym_dynamic_forward_token1] = ACTIONS(950),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(950),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(950),
    [aux_sym_escape_char_token1] = ACTIONS(950),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(950),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(950),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(950),
    [aux_sym_forward_agent_token1] = ACTIONS(950),
    [aux_sym_forward_x11_token1] = ACTIONS(952),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(950),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(950),
    [aux_sym_gateway_ports_token1] = ACTIONS(950),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(950),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(950),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(950),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(950),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(950),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(950),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(950),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(950),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(950),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(950),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(950),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(950),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(950),
    [aux_sym_host_key_alias_token1] = ACTIONS(950),
    [aux_sym_hostname_token1] = ACTIONS(950),
    [aux_sym_identities_only_token1] = ACTIONS(950),
    [aux_sym_identity_agent_token1] = ACTIONS(950),
    [aux_sym_identity_file_token1] = ACTIONS(950),
    [aux_sym_ignore_unknown_token1] = ACTIONS(950),
    [aux_sym_include_token1] = ACTIONS(950),
    [aux_sym_ip_qos_token1] = ACTIONS(950),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(950),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(950),
    [aux_sym_kex_algorithms_token1] = ACTIONS(950),
    [aux_sym_known_hosts_command_token1] = ACTIONS(950),
    [aux_sym_local_command_token1] = ACTIONS(950),
    [aux_sym_local_forward_token1] = ACTIONS(950),
    [aux_sym_log_level_token1] = ACTIONS(950),
    [aux_sym_log_verbose_token1] = ACTIONS(950),
    [aux_sym_macs_token1] = ACTIONS(950),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(950),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(950),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(950),
    [aux_sym_password_authentication_token1] = ACTIONS(950),
    [aux_sym_permit_local_command_token1] = ACTIONS(950),
    [aux_sym_permit_remote_open_token1] = ACTIONS(950),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(950),
    [aux_sym_port_token1] = ACTIONS(950),
    [aux_sym_preferred_authentications_token1] = ACTIONS(950),
    [aux_sym_protocol_token1] = ACTIONS(950),
    [aux_sym_proxy_command_token1] = ACTIONS(950),
    [aux_sym_proxy_jump_token1] = ACTIONS(950),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(950),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(950),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(950),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(950),
    [aux_sym_rekey_limit_token1] = ACTIONS(950),
    [aux_sym_remote_command_token1] = ACTIONS(950),
    [aux_sym_remote_forward_token1] = ACTIONS(950),
    [aux_sym_request_tty_token1] = ACTIONS(950),
    [aux_sym_required_rsa_size_token1] = ACTIONS(950),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(950),
    [aux_sym_security_key_provider_token1] = ACTIONS(950),
    [aux_sym_send_env_token1] = ACTIONS(950),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(950),
    [aux_sym_server_alive_interval_token1] = ACTIONS(950),
    [aux_sym_session_type_token1] = ACTIONS(950),
    [aux_sym_set_env_token1] = ACTIONS(950),
    [aux_sym_stdin_null_token1] = ACTIONS(950),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(950),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(950),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(950),
    [aux_sym_syslog_facility_token1] = ACTIONS(950),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(950),
    [aux_sym_keep_alive_token1] = ACTIONS(950),
    [aux_sym_tag_token1] = ACTIONS(950),
    [aux_sym_tunnel_token1] = ACTIONS(952),
    [aux_sym_tunnel_device_token1] = ACTIONS(950),
    [aux_sym_update_host_keys_token1] = ACTIONS(950),
    [aux_sym_use_keychain_token1] = ACTIONS(950),
    [aux_sym_use_roaming_token1] = ACTIONS(950),
    [aux_sym_user_token1] = ACTIONS(952),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(950),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(950),
    [aux_sym_version_addendum_token1] = ACTIONS(950),
    [aux_sym_visual_host_key_token1] = ACTIONS(950),
    [aux_sym_xauth_location_token1] = ACTIONS(950),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(954),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(956),
    [anon_sym_DQUOTE] = ACTIONS(958),
    [aux_sym_match_token1] = ACTIONS(954),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(954),
    [aux_sym_address_family_token1] = ACTIONS(954),
    [aux_sym_batch_mode_token1] = ACTIONS(954),
    [aux_sym_bind_address_token1] = ACTIONS(954),
    [aux_sym_bind_interface_token1] = ACTIONS(954),
    [aux_sym_canonical_domains_token1] = ACTIONS(954),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(954),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(954),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(954),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(954),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(954),
    [aux_sym_certificate_file_token1] = ACTIONS(954),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(954),
    [aux_sym_channel_timeout_token1] = ACTIONS(954),
    [aux_sym_check_host_ip_token1] = ACTIONS(954),
    [aux_sym_ciphers_token1] = ACTIONS(954),
    [aux_sym_cipher_token1] = ACTIONS(956),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(954),
    [aux_sym_compression_token1] = ACTIONS(954),
    [aux_sym_connection_attempts_token1] = ACTIONS(954),
    [aux_sym_connect_timeout_token1] = ACTIONS(954),
    [aux_sym_control_master_token1] = ACTIONS(954),
    [aux_sym_control_path_token1] = ACTIONS(954),
    [aux_sym_control_persist_token1] = ACTIONS(954),
    [aux_sym_dynamic_forward_token1] = ACTIONS(954),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(954),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(954),
    [aux_sym_escape_char_token1] = ACTIONS(954),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(954),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(954),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(954),
    [aux_sym_forward_agent_token1] = ACTIONS(954),
    [aux_sym_forward_x11_token1] = ACTIONS(956),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(954),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(954),
    [aux_sym_gateway_ports_token1] = ACTIONS(954),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(954),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(954),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(954),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(954),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(954),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(954),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(954),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(954),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(954),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(954),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(954),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(954),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(954),
    [aux_sym_host_key_alias_token1] = ACTIONS(954),
    [aux_sym_hostname_token1] = ACTIONS(954),
    [aux_sym_identities_only_token1] = ACTIONS(954),
    [aux_sym_identity_agent_token1] = ACTIONS(954),
    [aux_sym_identity_file_token1] = ACTIONS(954),
    [aux_sym_ignore_unknown_token1] = ACTIONS(954),
    [aux_sym_include_token1] = ACTIONS(954),
    [aux_sym_ip_qos_token1] = ACTIONS(954),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(954),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(954),
    [aux_sym_kex_algorithms_token1] = ACTIONS(954),
    [aux_sym_known_hosts_command_token1] = ACTIONS(954),
    [aux_sym_local_command_token1] = ACTIONS(954),
    [aux_sym_local_forward_token1] = ACTIONS(954),
    [aux_sym_log_level_token1] = ACTIONS(954),
    [aux_sym_log_verbose_token1] = ACTIONS(954),
    [aux_sym_macs_token1] = ACTIONS(954),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(954),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(954),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(954),
    [aux_sym_password_authentication_token1] = ACTIONS(954),
    [aux_sym_permit_local_command_token1] = ACTIONS(954),
    [aux_sym_permit_remote_open_token1] = ACTIONS(954),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(954),
    [aux_sym_port_token1] = ACTIONS(954),
    [aux_sym_preferred_authentications_token1] = ACTIONS(954),
    [aux_sym_protocol_token1] = ACTIONS(954),
    [aux_sym_proxy_command_token1] = ACTIONS(954),
    [aux_sym_proxy_jump_token1] = ACTIONS(954),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(954),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(954),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(954),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(954),
    [aux_sym_rekey_limit_token1] = ACTIONS(954),
    [aux_sym_remote_command_token1] = ACTIONS(954),
    [aux_sym_remote_forward_token1] = ACTIONS(954),
    [aux_sym_request_tty_token1] = ACTIONS(954),
    [aux_sym_required_rsa_size_token1] = ACTIONS(954),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(954),
    [aux_sym_security_key_provider_token1] = ACTIONS(954),
    [aux_sym_send_env_token1] = ACTIONS(954),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(954),
    [aux_sym_server_alive_interval_token1] = ACTIONS(954),
    [aux_sym_session_type_token1] = ACTIONS(954),
    [aux_sym_set_env_token1] = ACTIONS(954),
    [aux_sym_stdin_null_token1] = ACTIONS(954),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(954),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(954),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(954),
    [aux_sym_syslog_facility_token1] = ACTIONS(954),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(954),
    [aux_sym_keep_alive_token1] = ACTIONS(954),
    [aux_sym_tag_token1] = ACTIONS(954),
    [aux_sym_tunnel_token1] = ACTIONS(956),
    [aux_sym_tunnel_device_token1] = ACTIONS(954),
    [aux_sym_update_host_keys_token1] = ACTIONS(954),
    [aux_sym_use_keychain_token1] = ACTIONS(954),
    [aux_sym_use_roaming_token1] = ACTIONS(954),
    [aux_sym_user_token1] = ACTIONS(956),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(954),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(954),
    [aux_sym_version_addendum_token1] = ACTIONS(954),
    [aux_sym_visual_host_key_token1] = ACTIONS(954),
    [aux_sym_xauth_location_token1] = ACTIONS(954),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(960),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(962),
    [anon_sym_DQUOTE] = ACTIONS(960),
    [aux_sym_match_token1] = ACTIONS(960),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(960),
    [aux_sym_address_family_token1] = ACTIONS(960),
    [aux_sym_batch_mode_token1] = ACTIONS(960),
    [aux_sym_bind_address_token1] = ACTIONS(960),
    [aux_sym_bind_interface_token1] = ACTIONS(960),
    [aux_sym_canonical_domains_token1] = ACTIONS(960),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(960),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(960),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(960),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(960),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(960),
    [aux_sym_certificate_file_token1] = ACTIONS(960),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(960),
    [aux_sym_channel_timeout_token1] = ACTIONS(960),
    [aux_sym_check_host_ip_token1] = ACTIONS(960),
    [aux_sym_ciphers_token1] = ACTIONS(960),
    [aux_sym_cipher_token1] = ACTIONS(962),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(960),
    [aux_sym_compression_token1] = ACTIONS(960),
    [aux_sym_connection_attempts_token1] = ACTIONS(960),
    [aux_sym_connect_timeout_token1] = ACTIONS(960),
    [aux_sym_control_master_token1] = ACTIONS(960),
    [aux_sym_control_path_token1] = ACTIONS(960),
    [aux_sym_control_persist_token1] = ACTIONS(960),
    [aux_sym_dynamic_forward_token1] = ACTIONS(960),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(960),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(960),
    [aux_sym_escape_char_token1] = ACTIONS(960),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(960),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(960),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(960),
    [aux_sym_forward_agent_token1] = ACTIONS(960),
    [aux_sym_forward_x11_token1] = ACTIONS(962),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(960),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(960),
    [aux_sym_gateway_ports_token1] = ACTIONS(960),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(960),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(960),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(960),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(960),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(960),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(960),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(960),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(960),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(960),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(960),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(960),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(960),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(960),
    [aux_sym_host_key_alias_token1] = ACTIONS(960),
    [aux_sym_hostname_token1] = ACTIONS(960),
    [aux_sym_identities_only_token1] = ACTIONS(960),
    [aux_sym_identity_agent_token1] = ACTIONS(960),
    [aux_sym_identity_file_token1] = ACTIONS(960),
    [aux_sym_ignore_unknown_token1] = ACTIONS(960),
    [aux_sym_include_token1] = ACTIONS(960),
    [aux_sym_ip_qos_token1] = ACTIONS(960),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(960),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(960),
    [aux_sym_kex_algorithms_token1] = ACTIONS(960),
    [aux_sym_known_hosts_command_token1] = ACTIONS(960),
    [aux_sym_local_command_token1] = ACTIONS(960),
    [aux_sym_local_forward_token1] = ACTIONS(960),
    [aux_sym_log_level_token1] = ACTIONS(960),
    [aux_sym_log_verbose_token1] = ACTIONS(960),
    [aux_sym_macs_token1] = ACTIONS(960),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(960),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(960),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(960),
    [aux_sym_password_authentication_token1] = ACTIONS(960),
    [aux_sym_permit_local_command_token1] = ACTIONS(960),
    [aux_sym_permit_remote_open_token1] = ACTIONS(960),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(960),
    [aux_sym_port_token1] = ACTIONS(960),
    [aux_sym_preferred_authentications_token1] = ACTIONS(960),
    [aux_sym_protocol_token1] = ACTIONS(960),
    [aux_sym_proxy_command_token1] = ACTIONS(960),
    [aux_sym_proxy_jump_token1] = ACTIONS(960),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(960),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(960),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(960),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(960),
    [aux_sym_rekey_limit_token1] = ACTIONS(960),
    [aux_sym_remote_command_token1] = ACTIONS(960),
    [aux_sym_remote_forward_token1] = ACTIONS(960),
    [aux_sym_request_tty_token1] = ACTIONS(960),
    [aux_sym_required_rsa_size_token1] = ACTIONS(960),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(960),
    [aux_sym_security_key_provider_token1] = ACTIONS(960),
    [aux_sym_send_env_token1] = ACTIONS(960),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(960),
    [aux_sym_server_alive_interval_token1] = ACTIONS(960),
    [aux_sym_session_type_token1] = ACTIONS(960),
    [aux_sym_set_env_token1] = ACTIONS(960),
    [aux_sym_stdin_null_token1] = ACTIONS(960),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(960),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(960),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(960),
    [aux_sym_syslog_facility_token1] = ACTIONS(960),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(960),
    [aux_sym_keep_alive_token1] = ACTIONS(960),
    [aux_sym_tag_token1] = ACTIONS(960),
    [aux_sym_tunnel_token1] = ACTIONS(962),
    [aux_sym_tunnel_device_token1] = ACTIONS(960),
    [aux_sym_update_host_keys_token1] = ACTIONS(960),
    [aux_sym_use_keychain_token1] = ACTIONS(960),
    [aux_sym_use_roaming_token1] = ACTIONS(960),
    [aux_sym_user_token1] = ACTIONS(962),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(960),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(960),
    [aux_sym_version_addendum_token1] = ACTIONS(960),
    [aux_sym_visual_host_key_token1] = ACTIONS(960),
    [aux_sym_xauth_location_token1] = ACTIONS(960),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(964),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(966),
    [anon_sym_DQUOTE] = ACTIONS(968),
    [aux_sym_match_token1] = ACTIONS(964),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(964),
    [aux_sym_address_family_token1] = ACTIONS(964),
    [aux_sym_batch_mode_token1] = ACTIONS(964),
    [aux_sym_bind_address_token1] = ACTIONS(964),
    [aux_sym_bind_interface_token1] = ACTIONS(964),
    [aux_sym_canonical_domains_token1] = ACTIONS(964),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(964),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(964),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(964),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(964),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(964),
    [aux_sym_certificate_file_token1] = ACTIONS(964),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(964),
    [aux_sym_channel_timeout_token1] = ACTIONS(964),
    [aux_sym_check_host_ip_token1] = ACTIONS(964),
    [aux_sym_ciphers_token1] = ACTIONS(964),
    [aux_sym_cipher_token1] = ACTIONS(966),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(964),
    [aux_sym_compression_token1] = ACTIONS(964),
    [aux_sym_connection_attempts_token1] = ACTIONS(964),
    [aux_sym_connect_timeout_token1] = ACTIONS(964),
    [aux_sym_control_master_token1] = ACTIONS(964),
    [aux_sym_control_path_token1] = ACTIONS(964),
    [aux_sym_control_persist_token1] = ACTIONS(964),
    [aux_sym_dynamic_forward_token1] = ACTIONS(964),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(964),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(964),
    [aux_sym_escape_char_token1] = ACTIONS(964),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(964),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(964),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(964),
    [aux_sym_forward_agent_token1] = ACTIONS(964),
    [aux_sym_forward_x11_token1] = ACTIONS(966),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(964),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(964),
    [aux_sym_gateway_ports_token1] = ACTIONS(964),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(964),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(964),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(964),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(964),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(964),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(964),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(964),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(964),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(964),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(964),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(964),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(964),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(964),
    [aux_sym_host_key_alias_token1] = ACTIONS(964),
    [aux_sym_hostname_token1] = ACTIONS(964),
    [aux_sym_identities_only_token1] = ACTIONS(964),
    [aux_sym_identity_agent_token1] = ACTIONS(964),
    [aux_sym_identity_file_token1] = ACTIONS(964),
    [aux_sym_ignore_unknown_token1] = ACTIONS(964),
    [aux_sym_include_token1] = ACTIONS(964),
    [aux_sym_ip_qos_token1] = ACTIONS(964),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(964),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(964),
    [aux_sym_kex_algorithms_token1] = ACTIONS(964),
    [aux_sym_known_hosts_command_token1] = ACTIONS(964),
    [aux_sym_local_command_token1] = ACTIONS(964),
    [aux_sym_local_forward_token1] = ACTIONS(964),
    [aux_sym_log_level_token1] = ACTIONS(964),
    [aux_sym_log_verbose_token1] = ACTIONS(964),
    [aux_sym_macs_token1] = ACTIONS(964),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(964),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(964),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(964),
    [aux_sym_password_authentication_token1] = ACTIONS(964),
    [aux_sym_permit_local_command_token1] = ACTIONS(964),
    [aux_sym_permit_remote_open_token1] = ACTIONS(964),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(964),
    [aux_sym_port_token1] = ACTIONS(964),
    [aux_sym_preferred_authentications_token1] = ACTIONS(964),
    [aux_sym_protocol_token1] = ACTIONS(964),
    [aux_sym_proxy_command_token1] = ACTIONS(964),
    [aux_sym_proxy_jump_token1] = ACTIONS(964),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(964),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(964),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(964),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(964),
    [aux_sym_rekey_limit_token1] = ACTIONS(964),
    [aux_sym_remote_command_token1] = ACTIONS(964),
    [aux_sym_remote_forward_token1] = ACTIONS(964),
    [aux_sym_request_tty_token1] = ACTIONS(964),
    [aux_sym_required_rsa_size_token1] = ACTIONS(964),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(964),
    [aux_sym_security_key_provider_token1] = ACTIONS(964),
    [aux_sym_send_env_token1] = ACTIONS(964),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(964),
    [aux_sym_server_alive_interval_token1] = ACTIONS(964),
    [aux_sym_session_type_token1] = ACTIONS(964),
    [aux_sym_set_env_token1] = ACTIONS(964),
    [aux_sym_stdin_null_token1] = ACTIONS(964),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(964),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(964),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(964),
    [aux_sym_syslog_facility_token1] = ACTIONS(964),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(964),
    [aux_sym_keep_alive_token1] = ACTIONS(964),
    [aux_sym_tag_token1] = ACTIONS(964),
    [aux_sym_tunnel_token1] = ACTIONS(966),
    [aux_sym_tunnel_device_token1] = ACTIONS(964),
    [aux_sym_update_host_keys_token1] = ACTIONS(964),
    [aux_sym_use_keychain_token1] = ACTIONS(964),
    [aux_sym_use_roaming_token1] = ACTIONS(964),
    [aux_sym_user_token1] = ACTIONS(966),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(964),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(964),
    [aux_sym_version_addendum_token1] = ACTIONS(964),
    [aux_sym_visual_host_key_token1] = ACTIONS(964),
    [aux_sym_xauth_location_token1] = ACTIONS(964),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(970),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(972),
    [anon_sym_DQUOTE] = ACTIONS(970),
    [aux_sym_match_token1] = ACTIONS(970),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(970),
    [aux_sym_address_family_token1] = ACTIONS(970),
    [aux_sym_batch_mode_token1] = ACTIONS(970),
    [aux_sym_bind_address_token1] = ACTIONS(970),
    [aux_sym_bind_interface_token1] = ACTIONS(970),
    [aux_sym_canonical_domains_token1] = ACTIONS(970),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(970),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(970),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(970),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(970),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(970),
    [aux_sym_certificate_file_token1] = ACTIONS(970),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(970),
    [aux_sym_channel_timeout_token1] = ACTIONS(970),
    [aux_sym_check_host_ip_token1] = ACTIONS(970),
    [aux_sym_ciphers_token1] = ACTIONS(970),
    [aux_sym_cipher_token1] = ACTIONS(972),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(970),
    [aux_sym_compression_token1] = ACTIONS(970),
    [aux_sym_connection_attempts_token1] = ACTIONS(970),
    [aux_sym_connect_timeout_token1] = ACTIONS(970),
    [aux_sym_control_master_token1] = ACTIONS(970),
    [aux_sym_control_path_token1] = ACTIONS(970),
    [aux_sym_control_persist_token1] = ACTIONS(970),
    [aux_sym_dynamic_forward_token1] = ACTIONS(970),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(970),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(970),
    [aux_sym_escape_char_token1] = ACTIONS(970),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(970),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(970),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(970),
    [aux_sym_forward_agent_token1] = ACTIONS(970),
    [aux_sym_forward_x11_token1] = ACTIONS(972),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(970),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(970),
    [aux_sym_gateway_ports_token1] = ACTIONS(970),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(970),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(970),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(970),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(970),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(970),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(970),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(970),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(970),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(970),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(970),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(970),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(970),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(970),
    [aux_sym_host_key_alias_token1] = ACTIONS(970),
    [aux_sym_hostname_token1] = ACTIONS(970),
    [aux_sym_identities_only_token1] = ACTIONS(970),
    [aux_sym_identity_agent_token1] = ACTIONS(970),
    [aux_sym_identity_file_token1] = ACTIONS(970),
    [aux_sym_ignore_unknown_token1] = ACTIONS(970),
    [aux_sym_include_token1] = ACTIONS(970),
    [aux_sym_ip_qos_token1] = ACTIONS(970),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(970),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(970),
    [aux_sym_kex_algorithms_token1] = ACTIONS(970),
    [aux_sym_known_hosts_command_token1] = ACTIONS(970),
    [aux_sym_local_command_token1] = ACTIONS(970),
    [aux_sym_local_forward_token1] = ACTIONS(970),
    [aux_sym_log_level_token1] = ACTIONS(970),
    [aux_sym_log_verbose_token1] = ACTIONS(970),
    [aux_sym_macs_token1] = ACTIONS(970),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(970),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(970),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(970),
    [aux_sym_password_authentication_token1] = ACTIONS(970),
    [aux_sym_permit_local_command_token1] = ACTIONS(970),
    [aux_sym_permit_remote_open_token1] = ACTIONS(970),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(970),
    [aux_sym_port_token1] = ACTIONS(970),
    [aux_sym_preferred_authentications_token1] = ACTIONS(970),
    [aux_sym_protocol_token1] = ACTIONS(970),
    [aux_sym_proxy_command_token1] = ACTIONS(970),
    [aux_sym_proxy_jump_token1] = ACTIONS(970),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(970),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(970),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(970),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(970),
    [aux_sym_rekey_limit_token1] = ACTIONS(970),
    [aux_sym_remote_command_token1] = ACTIONS(970),
    [aux_sym_remote_forward_token1] = ACTIONS(970),
    [aux_sym_request_tty_token1] = ACTIONS(970),
    [aux_sym_required_rsa_size_token1] = ACTIONS(970),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(970),
    [aux_sym_security_key_provider_token1] = ACTIONS(970),
    [aux_sym_send_env_token1] = ACTIONS(970),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(970),
    [aux_sym_server_alive_interval_token1] = ACTIONS(970),
    [aux_sym_session_type_token1] = ACTIONS(970),
    [aux_sym_set_env_token1] = ACTIONS(970),
    [aux_sym_stdin_null_token1] = ACTIONS(970),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(970),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(970),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(970),
    [aux_sym_syslog_facility_token1] = ACTIONS(970),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(970),
    [aux_sym_keep_alive_token1] = ACTIONS(970),
    [aux_sym_tag_token1] = ACTIONS(970),
    [aux_sym_tunnel_token1] = ACTIONS(972),
    [aux_sym_tunnel_device_token1] = ACTIONS(970),
    [aux_sym_update_host_keys_token1] = ACTIONS(970),
    [aux_sym_use_keychain_token1] = ACTIONS(970),
    [aux_sym_use_roaming_token1] = ACTIONS(970),
    [aux_sym_user_token1] = ACTIONS(972),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(970),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(970),
    [aux_sym_version_addendum_token1] = ACTIONS(970),
    [aux_sym_visual_host_key_token1] = ACTIONS(970),
    [aux_sym_xauth_location_token1] = ACTIONS(970),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(974),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(976),
    [anon_sym_DQUOTE] = ACTIONS(978),
    [aux_sym_match_token1] = ACTIONS(974),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(974),
    [aux_sym_address_family_token1] = ACTIONS(974),
    [aux_sym_batch_mode_token1] = ACTIONS(974),
    [aux_sym_bind_address_token1] = ACTIONS(974),
    [aux_sym_bind_interface_token1] = ACTIONS(974),
    [aux_sym_canonical_domains_token1] = ACTIONS(974),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(974),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(974),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(974),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(974),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(974),
    [aux_sym_certificate_file_token1] = ACTIONS(974),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(974),
    [aux_sym_channel_timeout_token1] = ACTIONS(974),
    [aux_sym_check_host_ip_token1] = ACTIONS(974),
    [aux_sym_ciphers_token1] = ACTIONS(974),
    [aux_sym_cipher_token1] = ACTIONS(976),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(974),
    [aux_sym_compression_token1] = ACTIONS(974),
    [aux_sym_connection_attempts_token1] = ACTIONS(974),
    [aux_sym_connect_timeout_token1] = ACTIONS(974),
    [aux_sym_control_master_token1] = ACTIONS(974),
    [aux_sym_control_path_token1] = ACTIONS(974),
    [aux_sym_control_persist_token1] = ACTIONS(974),
    [aux_sym_dynamic_forward_token1] = ACTIONS(974),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(974),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(974),
    [aux_sym_escape_char_token1] = ACTIONS(974),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(974),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(974),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(974),
    [aux_sym_forward_agent_token1] = ACTIONS(974),
    [aux_sym_forward_x11_token1] = ACTIONS(976),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(974),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(974),
    [aux_sym_gateway_ports_token1] = ACTIONS(974),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(974),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(974),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(974),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(974),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(974),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(974),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(974),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(974),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(974),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(974),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(974),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(974),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(974),
    [aux_sym_host_key_alias_token1] = ACTIONS(974),
    [aux_sym_hostname_token1] = ACTIONS(974),
    [aux_sym_identities_only_token1] = ACTIONS(974),
    [aux_sym_identity_agent_token1] = ACTIONS(974),
    [aux_sym_identity_file_token1] = ACTIONS(974),
    [aux_sym_ignore_unknown_token1] = ACTIONS(974),
    [aux_sym_include_token1] = ACTIONS(974),
    [aux_sym_ip_qos_token1] = ACTIONS(974),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(974),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(974),
    [aux_sym_kex_algorithms_token1] = ACTIONS(974),
    [aux_sym_known_hosts_command_token1] = ACTIONS(974),
    [aux_sym_local_command_token1] = ACTIONS(974),
    [aux_sym_local_forward_token1] = ACTIONS(974),
    [aux_sym_log_level_token1] = ACTIONS(974),
    [aux_sym_log_verbose_token1] = ACTIONS(974),
    [aux_sym_macs_token1] = ACTIONS(974),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(974),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(974),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(974),
    [aux_sym_password_authentication_token1] = ACTIONS(974),
    [aux_sym_permit_local_command_token1] = ACTIONS(974),
    [aux_sym_permit_remote_open_token1] = ACTIONS(974),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(974),
    [aux_sym_port_token1] = ACTIONS(974),
    [aux_sym_preferred_authentications_token1] = ACTIONS(974),
    [aux_sym_protocol_token1] = ACTIONS(974),
    [aux_sym_proxy_command_token1] = ACTIONS(974),
    [aux_sym_proxy_jump_token1] = ACTIONS(974),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(974),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(974),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(974),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(974),
    [aux_sym_rekey_limit_token1] = ACTIONS(974),
    [aux_sym_remote_command_token1] = ACTIONS(974),
    [aux_sym_remote_forward_token1] = ACTIONS(974),
    [aux_sym_request_tty_token1] = ACTIONS(974),
    [aux_sym_required_rsa_size_token1] = ACTIONS(974),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(974),
    [aux_sym_security_key_provider_token1] = ACTIONS(974),
    [aux_sym_send_env_token1] = ACTIONS(974),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(974),
    [aux_sym_server_alive_interval_token1] = ACTIONS(974),
    [aux_sym_session_type_token1] = ACTIONS(974),
    [aux_sym_set_env_token1] = ACTIONS(974),
    [aux_sym_stdin_null_token1] = ACTIONS(974),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(974),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(974),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(974),
    [aux_sym_syslog_facility_token1] = ACTIONS(974),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(974),
    [aux_sym_keep_alive_token1] = ACTIONS(974),
    [aux_sym_tag_token1] = ACTIONS(974),
    [aux_sym_tunnel_token1] = ACTIONS(976),
    [aux_sym_tunnel_device_token1] = ACTIONS(974),
    [aux_sym_update_host_keys_token1] = ACTIONS(974),
    [aux_sym_use_keychain_token1] = ACTIONS(974),
    [aux_sym_use_roaming_token1] = ACTIONS(974),
    [aux_sym_user_token1] = ACTIONS(976),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(974),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(974),
    [aux_sym_version_addendum_token1] = ACTIONS(974),
    [aux_sym_visual_host_key_token1] = ACTIONS(974),
    [aux_sym_xauth_location_token1] = ACTIONS(974),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(982),
    [anon_sym_DQUOTE] = ACTIONS(980),
    [aux_sym_match_token1] = ACTIONS(980),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(980),
    [aux_sym_address_family_token1] = ACTIONS(980),
    [aux_sym_batch_mode_token1] = ACTIONS(980),
    [aux_sym_bind_address_token1] = ACTIONS(980),
    [aux_sym_bind_interface_token1] = ACTIONS(980),
    [aux_sym_canonical_domains_token1] = ACTIONS(980),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(980),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(980),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(980),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(980),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(980),
    [aux_sym_certificate_file_token1] = ACTIONS(980),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(980),
    [aux_sym_channel_timeout_token1] = ACTIONS(980),
    [aux_sym_check_host_ip_token1] = ACTIONS(980),
    [aux_sym_ciphers_token1] = ACTIONS(980),
    [aux_sym_cipher_token1] = ACTIONS(982),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(980),
    [aux_sym_compression_token1] = ACTIONS(980),
    [aux_sym_connection_attempts_token1] = ACTIONS(980),
    [aux_sym_connect_timeout_token1] = ACTIONS(980),
    [aux_sym_control_master_token1] = ACTIONS(980),
    [aux_sym_control_path_token1] = ACTIONS(980),
    [aux_sym_control_persist_token1] = ACTIONS(980),
    [aux_sym_dynamic_forward_token1] = ACTIONS(980),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(980),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(980),
    [aux_sym_escape_char_token1] = ACTIONS(980),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(980),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(980),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(980),
    [aux_sym_forward_agent_token1] = ACTIONS(980),
    [aux_sym_forward_x11_token1] = ACTIONS(982),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(980),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(980),
    [aux_sym_gateway_ports_token1] = ACTIONS(980),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(980),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(980),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(980),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(980),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(980),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(980),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(980),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(980),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(980),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(980),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(980),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(980),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(980),
    [aux_sym_host_key_alias_token1] = ACTIONS(980),
    [aux_sym_hostname_token1] = ACTIONS(980),
    [aux_sym_identities_only_token1] = ACTIONS(980),
    [aux_sym_identity_agent_token1] = ACTIONS(980),
    [aux_sym_identity_file_token1] = ACTIONS(980),
    [aux_sym_ignore_unknown_token1] = ACTIONS(980),
    [aux_sym_include_token1] = ACTIONS(980),
    [aux_sym_ip_qos_token1] = ACTIONS(980),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(980),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(980),
    [aux_sym_kex_algorithms_token1] = ACTIONS(980),
    [aux_sym_known_hosts_command_token1] = ACTIONS(980),
    [aux_sym_local_command_token1] = ACTIONS(980),
    [aux_sym_local_forward_token1] = ACTIONS(980),
    [aux_sym_log_level_token1] = ACTIONS(980),
    [aux_sym_log_verbose_token1] = ACTIONS(980),
    [aux_sym_macs_token1] = ACTIONS(980),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(980),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(980),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(980),
    [aux_sym_password_authentication_token1] = ACTIONS(980),
    [aux_sym_permit_local_command_token1] = ACTIONS(980),
    [aux_sym_permit_remote_open_token1] = ACTIONS(980),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(980),
    [aux_sym_port_token1] = ACTIONS(980),
    [aux_sym_preferred_authentications_token1] = ACTIONS(980),
    [aux_sym_protocol_token1] = ACTIONS(980),
    [aux_sym_proxy_command_token1] = ACTIONS(980),
    [aux_sym_proxy_jump_token1] = ACTIONS(980),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(980),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(980),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(980),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(980),
    [aux_sym_rekey_limit_token1] = ACTIONS(980),
    [aux_sym_remote_command_token1] = ACTIONS(980),
    [aux_sym_remote_forward_token1] = ACTIONS(980),
    [aux_sym_request_tty_token1] = ACTIONS(980),
    [aux_sym_required_rsa_size_token1] = ACTIONS(980),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(980),
    [aux_sym_security_key_provider_token1] = ACTIONS(980),
    [aux_sym_send_env_token1] = ACTIONS(980),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(980),
    [aux_sym_server_alive_interval_token1] = ACTIONS(980),
    [aux_sym_session_type_token1] = ACTIONS(980),
    [aux_sym_set_env_token1] = ACTIONS(980),
    [aux_sym_stdin_null_token1] = ACTIONS(980),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(980),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(980),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(980),
    [aux_sym_syslog_facility_token1] = ACTIONS(980),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(980),
    [aux_sym_keep_alive_token1] = ACTIONS(980),
    [aux_sym_tag_token1] = ACTIONS(980),
    [aux_sym_tunnel_token1] = ACTIONS(982),
    [aux_sym_tunnel_device_token1] = ACTIONS(980),
    [aux_sym_update_host_keys_token1] = ACTIONS(980),
    [aux_sym_use_keychain_token1] = ACTIONS(980),
    [aux_sym_use_roaming_token1] = ACTIONS(980),
    [aux_sym_user_token1] = ACTIONS(982),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(980),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(980),
    [aux_sym_version_addendum_token1] = ACTIONS(980),
    [aux_sym_visual_host_key_token1] = ACTIONS(980),
    [aux_sym_xauth_location_token1] = ACTIONS(980),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(984),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(988),
    [aux_sym_match_token1] = ACTIONS(984),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(984),
    [aux_sym_address_family_token1] = ACTIONS(984),
    [aux_sym_batch_mode_token1] = ACTIONS(984),
    [aux_sym_bind_address_token1] = ACTIONS(984),
    [aux_sym_bind_interface_token1] = ACTIONS(984),
    [aux_sym_canonical_domains_token1] = ACTIONS(984),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(984),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(984),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(984),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(984),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(984),
    [aux_sym_certificate_file_token1] = ACTIONS(984),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(984),
    [aux_sym_channel_timeout_token1] = ACTIONS(984),
    [aux_sym_check_host_ip_token1] = ACTIONS(984),
    [aux_sym_ciphers_token1] = ACTIONS(984),
    [aux_sym_cipher_token1] = ACTIONS(986),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(984),
    [aux_sym_compression_token1] = ACTIONS(984),
    [aux_sym_connection_attempts_token1] = ACTIONS(984),
    [aux_sym_connect_timeout_token1] = ACTIONS(984),
    [aux_sym_control_master_token1] = ACTIONS(984),
    [aux_sym_control_path_token1] = ACTIONS(984),
    [aux_sym_control_persist_token1] = ACTIONS(984),
    [aux_sym_dynamic_forward_token1] = ACTIONS(984),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(984),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(984),
    [aux_sym_escape_char_token1] = ACTIONS(984),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(984),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(984),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(984),
    [aux_sym_forward_agent_token1] = ACTIONS(984),
    [aux_sym_forward_x11_token1] = ACTIONS(986),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(984),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(984),
    [aux_sym_gateway_ports_token1] = ACTIONS(984),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(984),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(984),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(984),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(984),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(984),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(984),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(984),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(984),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(984),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(984),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(984),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(984),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(984),
    [aux_sym_host_key_alias_token1] = ACTIONS(984),
    [aux_sym_hostname_token1] = ACTIONS(984),
    [aux_sym_identities_only_token1] = ACTIONS(984),
    [aux_sym_identity_agent_token1] = ACTIONS(984),
    [aux_sym_identity_file_token1] = ACTIONS(984),
    [aux_sym_ignore_unknown_token1] = ACTIONS(984),
    [aux_sym_include_token1] = ACTIONS(984),
    [aux_sym_ip_qos_token1] = ACTIONS(984),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(984),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(984),
    [aux_sym_kex_algorithms_token1] = ACTIONS(984),
    [aux_sym_known_hosts_command_token1] = ACTIONS(984),
    [aux_sym_local_command_token1] = ACTIONS(984),
    [aux_sym_local_forward_token1] = ACTIONS(984),
    [aux_sym_log_level_token1] = ACTIONS(984),
    [aux_sym_log_verbose_token1] = ACTIONS(984),
    [aux_sym_macs_token1] = ACTIONS(984),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(984),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(984),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(984),
    [aux_sym_password_authentication_token1] = ACTIONS(984),
    [aux_sym_permit_local_command_token1] = ACTIONS(984),
    [aux_sym_permit_remote_open_token1] = ACTIONS(984),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(984),
    [aux_sym_port_token1] = ACTIONS(984),
    [aux_sym_preferred_authentications_token1] = ACTIONS(984),
    [aux_sym_protocol_token1] = ACTIONS(984),
    [aux_sym_proxy_command_token1] = ACTIONS(984),
    [aux_sym_proxy_jump_token1] = ACTIONS(984),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(984),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(984),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(984),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(984),
    [aux_sym_rekey_limit_token1] = ACTIONS(984),
    [aux_sym_remote_command_token1] = ACTIONS(984),
    [aux_sym_remote_forward_token1] = ACTIONS(984),
    [aux_sym_request_tty_token1] = ACTIONS(984),
    [aux_sym_required_rsa_size_token1] = ACTIONS(984),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(984),
    [aux_sym_security_key_provider_token1] = ACTIONS(984),
    [aux_sym_send_env_token1] = ACTIONS(984),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(984),
    [aux_sym_server_alive_interval_token1] = ACTIONS(984),
    [aux_sym_session_type_token1] = ACTIONS(984),
    [aux_sym_set_env_token1] = ACTIONS(984),
    [aux_sym_stdin_null_token1] = ACTIONS(984),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(984),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(984),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(984),
    [aux_sym_syslog_facility_token1] = ACTIONS(984),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(984),
    [aux_sym_keep_alive_token1] = ACTIONS(984),
    [aux_sym_tag_token1] = ACTIONS(984),
    [aux_sym_tunnel_token1] = ACTIONS(986),
    [aux_sym_tunnel_device_token1] = ACTIONS(984),
    [aux_sym_update_host_keys_token1] = ACTIONS(984),
    [aux_sym_use_keychain_token1] = ACTIONS(984),
    [aux_sym_use_roaming_token1] = ACTIONS(984),
    [aux_sym_user_token1] = ACTIONS(986),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(984),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(984),
    [aux_sym_version_addendum_token1] = ACTIONS(984),
    [aux_sym_visual_host_key_token1] = ACTIONS(984),
    [aux_sym_xauth_location_token1] = ACTIONS(984),
  },
  [83] = {
    [ts_builtin_sym_end] = ACTIONS(990),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(990),
    [aux_sym_match_token1] = ACTIONS(990),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(990),
    [aux_sym_address_family_token1] = ACTIONS(990),
    [aux_sym_batch_mode_token1] = ACTIONS(990),
    [aux_sym_bind_address_token1] = ACTIONS(990),
    [aux_sym_bind_interface_token1] = ACTIONS(990),
    [aux_sym_canonical_domains_token1] = ACTIONS(990),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(990),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(990),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(990),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(990),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(990),
    [aux_sym_certificate_file_token1] = ACTIONS(990),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(990),
    [aux_sym_channel_timeout_token1] = ACTIONS(990),
    [aux_sym_check_host_ip_token1] = ACTIONS(990),
    [aux_sym_ciphers_token1] = ACTIONS(990),
    [aux_sym_cipher_token1] = ACTIONS(992),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(990),
    [aux_sym_compression_token1] = ACTIONS(990),
    [aux_sym_connection_attempts_token1] = ACTIONS(990),
    [aux_sym_connect_timeout_token1] = ACTIONS(990),
    [aux_sym_control_master_token1] = ACTIONS(990),
    [aux_sym_control_path_token1] = ACTIONS(990),
    [aux_sym_control_persist_token1] = ACTIONS(990),
    [aux_sym_dynamic_forward_token1] = ACTIONS(990),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(990),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(990),
    [aux_sym_escape_char_token1] = ACTIONS(990),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(990),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(990),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(990),
    [aux_sym_forward_agent_token1] = ACTIONS(990),
    [aux_sym_forward_x11_token1] = ACTIONS(992),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(990),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(990),
    [aux_sym_gateway_ports_token1] = ACTIONS(990),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(990),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(990),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(990),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(990),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(990),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(990),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(990),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(990),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(990),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(990),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(990),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(990),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(990),
    [aux_sym_host_key_alias_token1] = ACTIONS(990),
    [aux_sym_hostname_token1] = ACTIONS(990),
    [aux_sym_identities_only_token1] = ACTIONS(990),
    [aux_sym_identity_agent_token1] = ACTIONS(990),
    [aux_sym_identity_file_token1] = ACTIONS(990),
    [aux_sym_ignore_unknown_token1] = ACTIONS(990),
    [aux_sym_include_token1] = ACTIONS(990),
    [aux_sym_ip_qos_token1] = ACTIONS(990),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(990),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(990),
    [aux_sym_kex_algorithms_token1] = ACTIONS(990),
    [aux_sym_known_hosts_command_token1] = ACTIONS(990),
    [aux_sym_local_command_token1] = ACTIONS(990),
    [aux_sym_local_forward_token1] = ACTIONS(990),
    [aux_sym_log_level_token1] = ACTIONS(990),
    [aux_sym_log_verbose_token1] = ACTIONS(990),
    [aux_sym_macs_token1] = ACTIONS(990),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(990),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(990),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(990),
    [aux_sym_password_authentication_token1] = ACTIONS(990),
    [aux_sym_permit_local_command_token1] = ACTIONS(990),
    [aux_sym_permit_remote_open_token1] = ACTIONS(990),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(990),
    [aux_sym_port_token1] = ACTIONS(990),
    [aux_sym_preferred_authentications_token1] = ACTIONS(990),
    [aux_sym_protocol_token1] = ACTIONS(990),
    [aux_sym_proxy_command_token1] = ACTIONS(990),
    [aux_sym_proxy_jump_token1] = ACTIONS(990),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(990),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(990),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(990),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(990),
    [aux_sym_rekey_limit_token1] = ACTIONS(990),
    [aux_sym_remote_command_token1] = ACTIONS(990),
    [aux_sym_remote_forward_token1] = ACTIONS(990),
    [aux_sym_request_tty_token1] = ACTIONS(990),
    [aux_sym_required_rsa_size_token1] = ACTIONS(990),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(990),
    [aux_sym_security_key_provider_token1] = ACTIONS(990),
    [aux_sym_send_env_token1] = ACTIONS(990),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(990),
    [aux_sym_server_alive_interval_token1] = ACTIONS(990),
    [aux_sym_session_type_token1] = ACTIONS(990),
    [aux_sym_set_env_token1] = ACTIONS(990),
    [aux_sym_stdin_null_token1] = ACTIONS(990),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(990),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(990),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(990),
    [aux_sym_syslog_facility_token1] = ACTIONS(990),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(990),
    [aux_sym_keep_alive_token1] = ACTIONS(990),
    [aux_sym_tag_token1] = ACTIONS(990),
    [aux_sym_tunnel_token1] = ACTIONS(992),
    [aux_sym_tunnel_device_token1] = ACTIONS(990),
    [aux_sym_update_host_keys_token1] = ACTIONS(990),
    [aux_sym_use_keychain_token1] = ACTIONS(990),
    [aux_sym_use_roaming_token1] = ACTIONS(990),
    [aux_sym_user_token1] = ACTIONS(992),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(990),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(990),
    [aux_sym_version_addendum_token1] = ACTIONS(990),
    [aux_sym_visual_host_key_token1] = ACTIONS(990),
    [aux_sym_xauth_location_token1] = ACTIONS(990),
  },
  [84] = {
    [ts_builtin_sym_end] = ACTIONS(994),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [aux_sym_match_token1] = ACTIONS(994),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(994),
    [aux_sym_address_family_token1] = ACTIONS(994),
    [aux_sym_batch_mode_token1] = ACTIONS(994),
    [aux_sym_bind_address_token1] = ACTIONS(994),
    [aux_sym_bind_interface_token1] = ACTIONS(994),
    [aux_sym_canonical_domains_token1] = ACTIONS(994),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(994),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(994),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(994),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(994),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(994),
    [aux_sym_certificate_file_token1] = ACTIONS(994),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(994),
    [aux_sym_channel_timeout_token1] = ACTIONS(994),
    [aux_sym_check_host_ip_token1] = ACTIONS(994),
    [aux_sym_ciphers_token1] = ACTIONS(994),
    [aux_sym_cipher_token1] = ACTIONS(996),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(994),
    [aux_sym_compression_token1] = ACTIONS(994),
    [aux_sym_connection_attempts_token1] = ACTIONS(994),
    [aux_sym_connect_timeout_token1] = ACTIONS(994),
    [aux_sym_control_master_token1] = ACTIONS(994),
    [aux_sym_control_path_token1] = ACTIONS(994),
    [aux_sym_control_persist_token1] = ACTIONS(994),
    [aux_sym_dynamic_forward_token1] = ACTIONS(994),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(994),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(994),
    [aux_sym_escape_char_token1] = ACTIONS(994),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(994),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(994),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(994),
    [aux_sym_forward_agent_token1] = ACTIONS(994),
    [aux_sym_forward_x11_token1] = ACTIONS(996),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(994),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(994),
    [aux_sym_gateway_ports_token1] = ACTIONS(994),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(994),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(994),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(994),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(994),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(994),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(994),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(994),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(994),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(994),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(994),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(994),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(994),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(994),
    [aux_sym_host_key_alias_token1] = ACTIONS(994),
    [aux_sym_hostname_token1] = ACTIONS(994),
    [aux_sym_identities_only_token1] = ACTIONS(994),
    [aux_sym_identity_agent_token1] = ACTIONS(994),
    [aux_sym_identity_file_token1] = ACTIONS(994),
    [aux_sym_ignore_unknown_token1] = ACTIONS(994),
    [aux_sym_include_token1] = ACTIONS(994),
    [aux_sym_ip_qos_token1] = ACTIONS(994),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(994),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(994),
    [aux_sym_kex_algorithms_token1] = ACTIONS(994),
    [aux_sym_known_hosts_command_token1] = ACTIONS(994),
    [aux_sym_local_command_token1] = ACTIONS(994),
    [aux_sym_local_forward_token1] = ACTIONS(994),
    [aux_sym_log_level_token1] = ACTIONS(994),
    [aux_sym_log_verbose_token1] = ACTIONS(994),
    [aux_sym_macs_token1] = ACTIONS(994),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(994),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(994),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(994),
    [aux_sym_password_authentication_token1] = ACTIONS(994),
    [aux_sym_permit_local_command_token1] = ACTIONS(994),
    [aux_sym_permit_remote_open_token1] = ACTIONS(994),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(994),
    [aux_sym_port_token1] = ACTIONS(994),
    [aux_sym_preferred_authentications_token1] = ACTIONS(994),
    [aux_sym_protocol_token1] = ACTIONS(994),
    [aux_sym_proxy_command_token1] = ACTIONS(994),
    [aux_sym_proxy_jump_token1] = ACTIONS(994),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(994),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(994),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(994),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(994),
    [aux_sym_rekey_limit_token1] = ACTIONS(994),
    [aux_sym_remote_command_token1] = ACTIONS(994),
    [aux_sym_remote_forward_token1] = ACTIONS(994),
    [aux_sym_request_tty_token1] = ACTIONS(994),
    [aux_sym_required_rsa_size_token1] = ACTIONS(994),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(994),
    [aux_sym_security_key_provider_token1] = ACTIONS(994),
    [aux_sym_send_env_token1] = ACTIONS(994),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(994),
    [aux_sym_server_alive_interval_token1] = ACTIONS(994),
    [aux_sym_session_type_token1] = ACTIONS(994),
    [aux_sym_set_env_token1] = ACTIONS(994),
    [aux_sym_stdin_null_token1] = ACTIONS(994),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(994),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(994),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(994),
    [aux_sym_syslog_facility_token1] = ACTIONS(994),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(994),
    [aux_sym_keep_alive_token1] = ACTIONS(994),
    [aux_sym_tag_token1] = ACTIONS(994),
    [aux_sym_tunnel_token1] = ACTIONS(996),
    [aux_sym_tunnel_device_token1] = ACTIONS(994),
    [aux_sym_update_host_keys_token1] = ACTIONS(994),
    [aux_sym_use_keychain_token1] = ACTIONS(994),
    [aux_sym_use_roaming_token1] = ACTIONS(994),
    [aux_sym_user_token1] = ACTIONS(996),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(994),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(994),
    [aux_sym_version_addendum_token1] = ACTIONS(994),
    [aux_sym_visual_host_key_token1] = ACTIONS(994),
    [aux_sym_xauth_location_token1] = ACTIONS(994),
  },
  [85] = {
    [ts_builtin_sym_end] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1002),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [aux_sym_match_token1] = ACTIONS(1000),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1000),
    [aux_sym_address_family_token1] = ACTIONS(1000),
    [aux_sym_batch_mode_token1] = ACTIONS(1000),
    [aux_sym_bind_address_token1] = ACTIONS(1000),
    [aux_sym_bind_interface_token1] = ACTIONS(1000),
    [aux_sym_canonical_domains_token1] = ACTIONS(1000),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1000),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1000),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1000),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1000),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1000),
    [aux_sym_certificate_file_token1] = ACTIONS(1000),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1000),
    [aux_sym_channel_timeout_token1] = ACTIONS(1000),
    [aux_sym_check_host_ip_token1] = ACTIONS(1000),
    [aux_sym_ciphers_token1] = ACTIONS(1000),
    [aux_sym_cipher_token1] = ACTIONS(1002),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1000),
    [aux_sym_compression_token1] = ACTIONS(1000),
    [aux_sym_connection_attempts_token1] = ACTIONS(1000),
    [aux_sym_connect_timeout_token1] = ACTIONS(1000),
    [aux_sym_control_master_token1] = ACTIONS(1000),
    [aux_sym_control_path_token1] = ACTIONS(1000),
    [aux_sym_control_persist_token1] = ACTIONS(1000),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1000),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1000),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1000),
    [aux_sym_escape_char_token1] = ACTIONS(1000),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1000),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1000),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1000),
    [aux_sym_forward_agent_token1] = ACTIONS(1000),
    [aux_sym_forward_x11_token1] = ACTIONS(1002),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1000),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1000),
    [aux_sym_gateway_ports_token1] = ACTIONS(1000),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1000),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1000),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1000),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1000),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1000),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1000),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1000),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1000),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1000),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1000),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1000),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1000),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1000),
    [aux_sym_host_key_alias_token1] = ACTIONS(1000),
    [aux_sym_hostname_token1] = ACTIONS(1000),
    [aux_sym_identities_only_token1] = ACTIONS(1000),
    [aux_sym_identity_agent_token1] = ACTIONS(1000),
    [aux_sym_identity_file_token1] = ACTIONS(1000),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1000),
    [aux_sym_include_token1] = ACTIONS(1000),
    [aux_sym_ip_qos_token1] = ACTIONS(1000),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1000),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1000),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1000),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1000),
    [aux_sym_local_command_token1] = ACTIONS(1000),
    [aux_sym_local_forward_token1] = ACTIONS(1000),
    [aux_sym_log_level_token1] = ACTIONS(1000),
    [aux_sym_log_verbose_token1] = ACTIONS(1000),
    [aux_sym_macs_token1] = ACTIONS(1000),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1000),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1000),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1000),
    [aux_sym_password_authentication_token1] = ACTIONS(1000),
    [aux_sym_permit_local_command_token1] = ACTIONS(1000),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1000),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1000),
    [aux_sym_port_token1] = ACTIONS(1000),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1000),
    [aux_sym_protocol_token1] = ACTIONS(1000),
    [aux_sym_proxy_command_token1] = ACTIONS(1000),
    [aux_sym_proxy_jump_token1] = ACTIONS(1000),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1000),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1000),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1000),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1000),
    [aux_sym_rekey_limit_token1] = ACTIONS(1000),
    [aux_sym_remote_command_token1] = ACTIONS(1000),
    [aux_sym_remote_forward_token1] = ACTIONS(1000),
    [aux_sym_request_tty_token1] = ACTIONS(1000),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1000),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1000),
    [aux_sym_security_key_provider_token1] = ACTIONS(1000),
    [aux_sym_send_env_token1] = ACTIONS(1000),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1000),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1000),
    [aux_sym_session_type_token1] = ACTIONS(1000),
    [aux_sym_set_env_token1] = ACTIONS(1000),
    [aux_sym_stdin_null_token1] = ACTIONS(1000),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1000),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1000),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1000),
    [aux_sym_syslog_facility_token1] = ACTIONS(1000),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1000),
    [aux_sym_keep_alive_token1] = ACTIONS(1000),
    [aux_sym_tag_token1] = ACTIONS(1000),
    [aux_sym_tunnel_token1] = ACTIONS(1002),
    [aux_sym_tunnel_device_token1] = ACTIONS(1000),
    [aux_sym_update_host_keys_token1] = ACTIONS(1000),
    [aux_sym_use_keychain_token1] = ACTIONS(1000),
    [aux_sym_use_roaming_token1] = ACTIONS(1000),
    [aux_sym_user_token1] = ACTIONS(1002),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1000),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1000),
    [aux_sym_version_addendum_token1] = ACTIONS(1000),
    [aux_sym_visual_host_key_token1] = ACTIONS(1000),
    [aux_sym_xauth_location_token1] = ACTIONS(1000),
  },
  [86] = {
    [ts_builtin_sym_end] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1006),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [aux_sym_match_token1] = ACTIONS(1004),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1004),
    [aux_sym_address_family_token1] = ACTIONS(1004),
    [aux_sym_batch_mode_token1] = ACTIONS(1004),
    [aux_sym_bind_address_token1] = ACTIONS(1004),
    [aux_sym_bind_interface_token1] = ACTIONS(1004),
    [aux_sym_canonical_domains_token1] = ACTIONS(1004),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1004),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1004),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1004),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1004),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1004),
    [aux_sym_certificate_file_token1] = ACTIONS(1004),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1004),
    [aux_sym_channel_timeout_token1] = ACTIONS(1004),
    [aux_sym_check_host_ip_token1] = ACTIONS(1004),
    [aux_sym_ciphers_token1] = ACTIONS(1004),
    [aux_sym_cipher_token1] = ACTIONS(1006),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1004),
    [aux_sym_compression_token1] = ACTIONS(1004),
    [aux_sym_connection_attempts_token1] = ACTIONS(1004),
    [aux_sym_connect_timeout_token1] = ACTIONS(1004),
    [aux_sym_control_master_token1] = ACTIONS(1004),
    [aux_sym_control_path_token1] = ACTIONS(1004),
    [aux_sym_control_persist_token1] = ACTIONS(1004),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1004),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1004),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1004),
    [aux_sym_escape_char_token1] = ACTIONS(1004),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1004),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1004),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1004),
    [aux_sym_forward_agent_token1] = ACTIONS(1004),
    [aux_sym_forward_x11_token1] = ACTIONS(1006),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1004),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1004),
    [aux_sym_gateway_ports_token1] = ACTIONS(1004),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1004),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1004),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1004),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1004),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1004),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1004),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1004),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1004),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1004),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1004),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1004),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1004),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1004),
    [aux_sym_host_key_alias_token1] = ACTIONS(1004),
    [aux_sym_hostname_token1] = ACTIONS(1004),
    [aux_sym_identities_only_token1] = ACTIONS(1004),
    [aux_sym_identity_agent_token1] = ACTIONS(1004),
    [aux_sym_identity_file_token1] = ACTIONS(1004),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1004),
    [aux_sym_include_token1] = ACTIONS(1004),
    [aux_sym_ip_qos_token1] = ACTIONS(1004),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1004),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1004),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1004),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1004),
    [aux_sym_local_command_token1] = ACTIONS(1004),
    [aux_sym_local_forward_token1] = ACTIONS(1004),
    [aux_sym_log_level_token1] = ACTIONS(1004),
    [aux_sym_log_verbose_token1] = ACTIONS(1004),
    [aux_sym_macs_token1] = ACTIONS(1004),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1004),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1004),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1004),
    [aux_sym_password_authentication_token1] = ACTIONS(1004),
    [aux_sym_permit_local_command_token1] = ACTIONS(1004),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1004),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1004),
    [aux_sym_port_token1] = ACTIONS(1004),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1004),
    [aux_sym_protocol_token1] = ACTIONS(1004),
    [aux_sym_proxy_command_token1] = ACTIONS(1004),
    [aux_sym_proxy_jump_token1] = ACTIONS(1004),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1004),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1004),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1004),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1004),
    [aux_sym_rekey_limit_token1] = ACTIONS(1004),
    [aux_sym_remote_command_token1] = ACTIONS(1004),
    [aux_sym_remote_forward_token1] = ACTIONS(1004),
    [aux_sym_request_tty_token1] = ACTIONS(1004),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1004),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1004),
    [aux_sym_security_key_provider_token1] = ACTIONS(1004),
    [aux_sym_send_env_token1] = ACTIONS(1004),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1004),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1004),
    [aux_sym_session_type_token1] = ACTIONS(1004),
    [aux_sym_set_env_token1] = ACTIONS(1004),
    [aux_sym_stdin_null_token1] = ACTIONS(1004),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1004),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1004),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1004),
    [aux_sym_syslog_facility_token1] = ACTIONS(1004),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1004),
    [aux_sym_keep_alive_token1] = ACTIONS(1004),
    [aux_sym_tag_token1] = ACTIONS(1004),
    [aux_sym_tunnel_token1] = ACTIONS(1006),
    [aux_sym_tunnel_device_token1] = ACTIONS(1004),
    [aux_sym_update_host_keys_token1] = ACTIONS(1004),
    [aux_sym_use_keychain_token1] = ACTIONS(1004),
    [aux_sym_use_roaming_token1] = ACTIONS(1004),
    [aux_sym_user_token1] = ACTIONS(1006),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1004),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1004),
    [aux_sym_version_addendum_token1] = ACTIONS(1004),
    [aux_sym_visual_host_key_token1] = ACTIONS(1004),
    [aux_sym_xauth_location_token1] = ACTIONS(1004),
  },
  [87] = {
    [ts_builtin_sym_end] = ACTIONS(1010),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1010),
    [aux_sym_match_token1] = ACTIONS(1010),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1010),
    [aux_sym_address_family_token1] = ACTIONS(1010),
    [aux_sym_batch_mode_token1] = ACTIONS(1010),
    [aux_sym_bind_address_token1] = ACTIONS(1010),
    [aux_sym_bind_interface_token1] = ACTIONS(1010),
    [aux_sym_canonical_domains_token1] = ACTIONS(1010),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1010),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1010),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1010),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1010),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1010),
    [aux_sym_certificate_file_token1] = ACTIONS(1010),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1010),
    [aux_sym_channel_timeout_token1] = ACTIONS(1010),
    [aux_sym_check_host_ip_token1] = ACTIONS(1010),
    [aux_sym_ciphers_token1] = ACTIONS(1010),
    [aux_sym_cipher_token1] = ACTIONS(1012),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1010),
    [aux_sym_compression_token1] = ACTIONS(1010),
    [aux_sym_connection_attempts_token1] = ACTIONS(1010),
    [aux_sym_connect_timeout_token1] = ACTIONS(1010),
    [aux_sym_control_master_token1] = ACTIONS(1010),
    [aux_sym_control_path_token1] = ACTIONS(1010),
    [aux_sym_control_persist_token1] = ACTIONS(1010),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1010),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1010),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1010),
    [aux_sym_escape_char_token1] = ACTIONS(1010),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1010),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1010),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1010),
    [aux_sym_forward_agent_token1] = ACTIONS(1010),
    [aux_sym_forward_x11_token1] = ACTIONS(1012),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1010),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1010),
    [aux_sym_gateway_ports_token1] = ACTIONS(1010),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1010),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1010),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1010),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1010),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1010),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1010),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1010),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1010),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1010),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1010),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1010),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1010),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1010),
    [aux_sym_host_key_alias_token1] = ACTIONS(1010),
    [aux_sym_hostname_token1] = ACTIONS(1010),
    [aux_sym_identities_only_token1] = ACTIONS(1010),
    [aux_sym_identity_agent_token1] = ACTIONS(1010),
    [aux_sym_identity_file_token1] = ACTIONS(1010),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1010),
    [aux_sym_include_token1] = ACTIONS(1010),
    [aux_sym_ip_qos_token1] = ACTIONS(1010),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1010),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1010),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1010),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1010),
    [aux_sym_local_command_token1] = ACTIONS(1010),
    [aux_sym_local_forward_token1] = ACTIONS(1010),
    [aux_sym_log_level_token1] = ACTIONS(1010),
    [aux_sym_log_verbose_token1] = ACTIONS(1010),
    [aux_sym_macs_token1] = ACTIONS(1010),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1010),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1010),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1010),
    [aux_sym_password_authentication_token1] = ACTIONS(1010),
    [aux_sym_permit_local_command_token1] = ACTIONS(1010),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1010),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1010),
    [aux_sym_port_token1] = ACTIONS(1010),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1010),
    [aux_sym_protocol_token1] = ACTIONS(1010),
    [aux_sym_proxy_command_token1] = ACTIONS(1010),
    [aux_sym_proxy_jump_token1] = ACTIONS(1010),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1010),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1010),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1010),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1010),
    [aux_sym_rekey_limit_token1] = ACTIONS(1010),
    [aux_sym_remote_command_token1] = ACTIONS(1010),
    [aux_sym_remote_forward_token1] = ACTIONS(1010),
    [aux_sym_request_tty_token1] = ACTIONS(1010),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1010),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1010),
    [aux_sym_security_key_provider_token1] = ACTIONS(1010),
    [aux_sym_send_env_token1] = ACTIONS(1010),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1010),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1010),
    [aux_sym_session_type_token1] = ACTIONS(1010),
    [aux_sym_set_env_token1] = ACTIONS(1010),
    [aux_sym_stdin_null_token1] = ACTIONS(1010),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1010),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1010),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1010),
    [aux_sym_syslog_facility_token1] = ACTIONS(1010),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1010),
    [aux_sym_keep_alive_token1] = ACTIONS(1010),
    [aux_sym_tag_token1] = ACTIONS(1010),
    [aux_sym_tunnel_token1] = ACTIONS(1012),
    [aux_sym_tunnel_device_token1] = ACTIONS(1010),
    [aux_sym_update_host_keys_token1] = ACTIONS(1010),
    [aux_sym_use_keychain_token1] = ACTIONS(1010),
    [aux_sym_use_roaming_token1] = ACTIONS(1010),
    [aux_sym_user_token1] = ACTIONS(1012),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1010),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1010),
    [aux_sym_version_addendum_token1] = ACTIONS(1010),
    [aux_sym_visual_host_key_token1] = ACTIONS(1010),
    [aux_sym_xauth_location_token1] = ACTIONS(1010),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [aux_sym_match_token1] = ACTIONS(1014),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1014),
    [aux_sym_address_family_token1] = ACTIONS(1014),
    [aux_sym_batch_mode_token1] = ACTIONS(1014),
    [aux_sym_bind_address_token1] = ACTIONS(1014),
    [aux_sym_bind_interface_token1] = ACTIONS(1014),
    [aux_sym_canonical_domains_token1] = ACTIONS(1014),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1014),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1014),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1014),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1014),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1014),
    [aux_sym_certificate_file_token1] = ACTIONS(1014),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1014),
    [aux_sym_channel_timeout_token1] = ACTIONS(1014),
    [aux_sym_check_host_ip_token1] = ACTIONS(1014),
    [aux_sym_ciphers_token1] = ACTIONS(1014),
    [aux_sym_cipher_token1] = ACTIONS(1016),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1014),
    [aux_sym_compression_token1] = ACTIONS(1014),
    [aux_sym_connection_attempts_token1] = ACTIONS(1014),
    [aux_sym_connect_timeout_token1] = ACTIONS(1014),
    [aux_sym_control_master_token1] = ACTIONS(1014),
    [aux_sym_control_path_token1] = ACTIONS(1014),
    [aux_sym_control_persist_token1] = ACTIONS(1014),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1014),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1014),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1014),
    [aux_sym_escape_char_token1] = ACTIONS(1014),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1014),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1014),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1014),
    [aux_sym_forward_agent_token1] = ACTIONS(1014),
    [aux_sym_forward_x11_token1] = ACTIONS(1016),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1014),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1014),
    [aux_sym_gateway_ports_token1] = ACTIONS(1014),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1014),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1014),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1014),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1014),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1014),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1014),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1014),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1014),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1014),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1014),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1014),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1014),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1014),
    [aux_sym_host_key_alias_token1] = ACTIONS(1014),
    [aux_sym_hostname_token1] = ACTIONS(1014),
    [aux_sym_identities_only_token1] = ACTIONS(1014),
    [aux_sym_identity_agent_token1] = ACTIONS(1014),
    [aux_sym_identity_file_token1] = ACTIONS(1014),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1014),
    [aux_sym_include_token1] = ACTIONS(1014),
    [aux_sym_ip_qos_token1] = ACTIONS(1014),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1014),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1014),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1014),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1014),
    [aux_sym_local_command_token1] = ACTIONS(1014),
    [aux_sym_local_forward_token1] = ACTIONS(1014),
    [aux_sym_log_level_token1] = ACTIONS(1014),
    [aux_sym_log_verbose_token1] = ACTIONS(1014),
    [aux_sym_macs_token1] = ACTIONS(1014),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1014),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1014),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1014),
    [aux_sym_password_authentication_token1] = ACTIONS(1014),
    [aux_sym_permit_local_command_token1] = ACTIONS(1014),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1014),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1014),
    [aux_sym_port_token1] = ACTIONS(1014),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1014),
    [aux_sym_protocol_token1] = ACTIONS(1014),
    [aux_sym_proxy_command_token1] = ACTIONS(1014),
    [aux_sym_proxy_jump_token1] = ACTIONS(1014),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1014),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1014),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1014),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1014),
    [aux_sym_rekey_limit_token1] = ACTIONS(1014),
    [aux_sym_remote_command_token1] = ACTIONS(1014),
    [aux_sym_remote_forward_token1] = ACTIONS(1014),
    [aux_sym_request_tty_token1] = ACTIONS(1014),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1014),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1014),
    [aux_sym_security_key_provider_token1] = ACTIONS(1014),
    [aux_sym_send_env_token1] = ACTIONS(1014),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1014),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1014),
    [aux_sym_session_type_token1] = ACTIONS(1014),
    [aux_sym_set_env_token1] = ACTIONS(1014),
    [aux_sym_stdin_null_token1] = ACTIONS(1014),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1014),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1014),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1014),
    [aux_sym_syslog_facility_token1] = ACTIONS(1014),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1014),
    [aux_sym_keep_alive_token1] = ACTIONS(1014),
    [aux_sym_tag_token1] = ACTIONS(1014),
    [aux_sym_tunnel_token1] = ACTIONS(1016),
    [aux_sym_tunnel_device_token1] = ACTIONS(1014),
    [aux_sym_update_host_keys_token1] = ACTIONS(1014),
    [aux_sym_use_keychain_token1] = ACTIONS(1014),
    [aux_sym_use_roaming_token1] = ACTIONS(1014),
    [aux_sym_user_token1] = ACTIONS(1016),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1014),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1014),
    [aux_sym_version_addendum_token1] = ACTIONS(1014),
    [aux_sym_visual_host_key_token1] = ACTIONS(1014),
    [aux_sym_xauth_location_token1] = ACTIONS(1014),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1022),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_match_token1] = ACTIONS(1020),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1020),
    [aux_sym_address_family_token1] = ACTIONS(1020),
    [aux_sym_batch_mode_token1] = ACTIONS(1020),
    [aux_sym_bind_address_token1] = ACTIONS(1020),
    [aux_sym_bind_interface_token1] = ACTIONS(1020),
    [aux_sym_canonical_domains_token1] = ACTIONS(1020),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1020),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1020),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1020),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1020),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1020),
    [aux_sym_certificate_file_token1] = ACTIONS(1020),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1020),
    [aux_sym_channel_timeout_token1] = ACTIONS(1020),
    [aux_sym_check_host_ip_token1] = ACTIONS(1020),
    [aux_sym_ciphers_token1] = ACTIONS(1020),
    [aux_sym_cipher_token1] = ACTIONS(1022),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1020),
    [aux_sym_compression_token1] = ACTIONS(1020),
    [aux_sym_connection_attempts_token1] = ACTIONS(1020),
    [aux_sym_connect_timeout_token1] = ACTIONS(1020),
    [aux_sym_control_master_token1] = ACTIONS(1020),
    [aux_sym_control_path_token1] = ACTIONS(1020),
    [aux_sym_control_persist_token1] = ACTIONS(1020),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1020),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1020),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1020),
    [aux_sym_escape_char_token1] = ACTIONS(1020),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1020),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1020),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1020),
    [aux_sym_forward_agent_token1] = ACTIONS(1020),
    [aux_sym_forward_x11_token1] = ACTIONS(1022),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1020),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1020),
    [aux_sym_gateway_ports_token1] = ACTIONS(1020),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1020),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1020),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1020),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1020),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1020),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1020),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1020),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1020),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1020),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1020),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1020),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1020),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1020),
    [aux_sym_host_key_alias_token1] = ACTIONS(1020),
    [aux_sym_hostname_token1] = ACTIONS(1020),
    [aux_sym_identities_only_token1] = ACTIONS(1020),
    [aux_sym_identity_agent_token1] = ACTIONS(1020),
    [aux_sym_identity_file_token1] = ACTIONS(1020),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1020),
    [aux_sym_include_token1] = ACTIONS(1020),
    [aux_sym_ip_qos_token1] = ACTIONS(1020),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1020),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1020),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1020),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1020),
    [aux_sym_local_command_token1] = ACTIONS(1020),
    [aux_sym_local_forward_token1] = ACTIONS(1020),
    [aux_sym_log_level_token1] = ACTIONS(1020),
    [aux_sym_log_verbose_token1] = ACTIONS(1020),
    [aux_sym_macs_token1] = ACTIONS(1020),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1020),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1020),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1020),
    [aux_sym_password_authentication_token1] = ACTIONS(1020),
    [aux_sym_permit_local_command_token1] = ACTIONS(1020),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1020),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1020),
    [aux_sym_port_token1] = ACTIONS(1020),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1020),
    [aux_sym_protocol_token1] = ACTIONS(1020),
    [aux_sym_proxy_command_token1] = ACTIONS(1020),
    [aux_sym_proxy_jump_token1] = ACTIONS(1020),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1020),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1020),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1020),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1020),
    [aux_sym_rekey_limit_token1] = ACTIONS(1020),
    [aux_sym_remote_command_token1] = ACTIONS(1020),
    [aux_sym_remote_forward_token1] = ACTIONS(1020),
    [aux_sym_request_tty_token1] = ACTIONS(1020),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1020),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1020),
    [aux_sym_security_key_provider_token1] = ACTIONS(1020),
    [aux_sym_send_env_token1] = ACTIONS(1020),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1020),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1020),
    [aux_sym_session_type_token1] = ACTIONS(1020),
    [aux_sym_set_env_token1] = ACTIONS(1020),
    [aux_sym_stdin_null_token1] = ACTIONS(1020),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1020),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1020),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1020),
    [aux_sym_syslog_facility_token1] = ACTIONS(1020),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1020),
    [aux_sym_keep_alive_token1] = ACTIONS(1020),
    [aux_sym_tag_token1] = ACTIONS(1020),
    [aux_sym_tunnel_token1] = ACTIONS(1022),
    [aux_sym_tunnel_device_token1] = ACTIONS(1020),
    [aux_sym_update_host_keys_token1] = ACTIONS(1020),
    [aux_sym_use_keychain_token1] = ACTIONS(1020),
    [aux_sym_use_roaming_token1] = ACTIONS(1020),
    [aux_sym_user_token1] = ACTIONS(1022),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1020),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1020),
    [aux_sym_version_addendum_token1] = ACTIONS(1020),
    [aux_sym_visual_host_key_token1] = ACTIONS(1020),
    [aux_sym_xauth_location_token1] = ACTIONS(1020),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [aux_sym_match_token1] = ACTIONS(1024),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1024),
    [aux_sym_address_family_token1] = ACTIONS(1024),
    [aux_sym_batch_mode_token1] = ACTIONS(1024),
    [aux_sym_bind_address_token1] = ACTIONS(1024),
    [aux_sym_bind_interface_token1] = ACTIONS(1024),
    [aux_sym_canonical_domains_token1] = ACTIONS(1024),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1024),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1024),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1024),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1024),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1024),
    [aux_sym_certificate_file_token1] = ACTIONS(1024),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1024),
    [aux_sym_channel_timeout_token1] = ACTIONS(1024),
    [aux_sym_check_host_ip_token1] = ACTIONS(1024),
    [aux_sym_ciphers_token1] = ACTIONS(1024),
    [aux_sym_cipher_token1] = ACTIONS(1026),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1024),
    [aux_sym_compression_token1] = ACTIONS(1024),
    [aux_sym_connection_attempts_token1] = ACTIONS(1024),
    [aux_sym_connect_timeout_token1] = ACTIONS(1024),
    [aux_sym_control_master_token1] = ACTIONS(1024),
    [aux_sym_control_path_token1] = ACTIONS(1024),
    [aux_sym_control_persist_token1] = ACTIONS(1024),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1024),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1024),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1024),
    [aux_sym_escape_char_token1] = ACTIONS(1024),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1024),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1024),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1024),
    [aux_sym_forward_agent_token1] = ACTIONS(1024),
    [aux_sym_forward_x11_token1] = ACTIONS(1026),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1024),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1024),
    [aux_sym_gateway_ports_token1] = ACTIONS(1024),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1024),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1024),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1024),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1024),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1024),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1024),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1024),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1024),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1024),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1024),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1024),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1024),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1024),
    [aux_sym_host_key_alias_token1] = ACTIONS(1024),
    [aux_sym_hostname_token1] = ACTIONS(1024),
    [aux_sym_identities_only_token1] = ACTIONS(1024),
    [aux_sym_identity_agent_token1] = ACTIONS(1024),
    [aux_sym_identity_file_token1] = ACTIONS(1024),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1024),
    [aux_sym_include_token1] = ACTIONS(1024),
    [aux_sym_ip_qos_token1] = ACTIONS(1024),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1024),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1024),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1024),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1024),
    [aux_sym_local_command_token1] = ACTIONS(1024),
    [aux_sym_local_forward_token1] = ACTIONS(1024),
    [aux_sym_log_level_token1] = ACTIONS(1024),
    [aux_sym_log_verbose_token1] = ACTIONS(1024),
    [aux_sym_macs_token1] = ACTIONS(1024),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1024),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1024),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1024),
    [aux_sym_password_authentication_token1] = ACTIONS(1024),
    [aux_sym_permit_local_command_token1] = ACTIONS(1024),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1024),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1024),
    [aux_sym_port_token1] = ACTIONS(1024),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1024),
    [aux_sym_protocol_token1] = ACTIONS(1024),
    [aux_sym_proxy_command_token1] = ACTIONS(1024),
    [aux_sym_proxy_jump_token1] = ACTIONS(1024),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1024),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1024),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1024),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1024),
    [aux_sym_rekey_limit_token1] = ACTIONS(1024),
    [aux_sym_remote_command_token1] = ACTIONS(1024),
    [aux_sym_remote_forward_token1] = ACTIONS(1024),
    [aux_sym_request_tty_token1] = ACTIONS(1024),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1024),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1024),
    [aux_sym_security_key_provider_token1] = ACTIONS(1024),
    [aux_sym_send_env_token1] = ACTIONS(1024),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1024),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1024),
    [aux_sym_session_type_token1] = ACTIONS(1024),
    [aux_sym_set_env_token1] = ACTIONS(1024),
    [aux_sym_stdin_null_token1] = ACTIONS(1024),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1024),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1024),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1024),
    [aux_sym_syslog_facility_token1] = ACTIONS(1024),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1024),
    [aux_sym_keep_alive_token1] = ACTIONS(1024),
    [aux_sym_tag_token1] = ACTIONS(1024),
    [aux_sym_tunnel_token1] = ACTIONS(1026),
    [aux_sym_tunnel_device_token1] = ACTIONS(1024),
    [aux_sym_update_host_keys_token1] = ACTIONS(1024),
    [aux_sym_use_keychain_token1] = ACTIONS(1024),
    [aux_sym_use_roaming_token1] = ACTIONS(1024),
    [aux_sym_user_token1] = ACTIONS(1026),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1024),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1024),
    [aux_sym_version_addendum_token1] = ACTIONS(1024),
    [aux_sym_visual_host_key_token1] = ACTIONS(1024),
    [aux_sym_xauth_location_token1] = ACTIONS(1024),
  },
  [91] = {
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1030),
    [aux_sym_match_token1] = ACTIONS(1030),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1030),
    [aux_sym_address_family_token1] = ACTIONS(1030),
    [aux_sym_batch_mode_token1] = ACTIONS(1030),
    [aux_sym_bind_address_token1] = ACTIONS(1030),
    [aux_sym_bind_interface_token1] = ACTIONS(1030),
    [aux_sym_canonical_domains_token1] = ACTIONS(1030),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1030),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1030),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1030),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1030),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1030),
    [aux_sym_certificate_file_token1] = ACTIONS(1030),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1030),
    [aux_sym_channel_timeout_token1] = ACTIONS(1030),
    [aux_sym_check_host_ip_token1] = ACTIONS(1030),
    [aux_sym_ciphers_token1] = ACTIONS(1030),
    [aux_sym_cipher_token1] = ACTIONS(1032),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1030),
    [aux_sym_compression_token1] = ACTIONS(1030),
    [aux_sym_connection_attempts_token1] = ACTIONS(1030),
    [aux_sym_connect_timeout_token1] = ACTIONS(1030),
    [aux_sym_control_master_token1] = ACTIONS(1030),
    [aux_sym_control_path_token1] = ACTIONS(1030),
    [aux_sym_control_persist_token1] = ACTIONS(1030),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1030),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1030),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1030),
    [aux_sym_escape_char_token1] = ACTIONS(1030),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1030),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1030),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1030),
    [aux_sym_forward_agent_token1] = ACTIONS(1030),
    [aux_sym_forward_x11_token1] = ACTIONS(1032),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1030),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1030),
    [aux_sym_gateway_ports_token1] = ACTIONS(1030),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1030),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1030),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1030),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1030),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1030),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1030),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1030),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1030),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1030),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1030),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1030),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1030),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1030),
    [aux_sym_host_key_alias_token1] = ACTIONS(1030),
    [aux_sym_hostname_token1] = ACTIONS(1030),
    [aux_sym_identities_only_token1] = ACTIONS(1030),
    [aux_sym_identity_agent_token1] = ACTIONS(1030),
    [aux_sym_identity_file_token1] = ACTIONS(1030),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1030),
    [aux_sym_include_token1] = ACTIONS(1030),
    [aux_sym_ip_qos_token1] = ACTIONS(1030),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1030),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1030),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1030),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1030),
    [aux_sym_local_command_token1] = ACTIONS(1030),
    [aux_sym_local_forward_token1] = ACTIONS(1030),
    [aux_sym_log_level_token1] = ACTIONS(1030),
    [aux_sym_log_verbose_token1] = ACTIONS(1030),
    [aux_sym_macs_token1] = ACTIONS(1030),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1030),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1030),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1030),
    [aux_sym_password_authentication_token1] = ACTIONS(1030),
    [aux_sym_permit_local_command_token1] = ACTIONS(1030),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1030),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1030),
    [aux_sym_port_token1] = ACTIONS(1030),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1030),
    [aux_sym_protocol_token1] = ACTIONS(1030),
    [aux_sym_proxy_command_token1] = ACTIONS(1030),
    [aux_sym_proxy_jump_token1] = ACTIONS(1030),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1030),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1030),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1030),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1030),
    [aux_sym_rekey_limit_token1] = ACTIONS(1030),
    [aux_sym_remote_command_token1] = ACTIONS(1030),
    [aux_sym_remote_forward_token1] = ACTIONS(1030),
    [aux_sym_request_tty_token1] = ACTIONS(1030),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1030),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1030),
    [aux_sym_security_key_provider_token1] = ACTIONS(1030),
    [aux_sym_send_env_token1] = ACTIONS(1030),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1030),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1030),
    [aux_sym_session_type_token1] = ACTIONS(1030),
    [aux_sym_set_env_token1] = ACTIONS(1030),
    [aux_sym_stdin_null_token1] = ACTIONS(1030),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1030),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1030),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1030),
    [aux_sym_syslog_facility_token1] = ACTIONS(1030),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1030),
    [aux_sym_keep_alive_token1] = ACTIONS(1030),
    [aux_sym_tag_token1] = ACTIONS(1030),
    [aux_sym_tunnel_token1] = ACTIONS(1032),
    [aux_sym_tunnel_device_token1] = ACTIONS(1030),
    [aux_sym_update_host_keys_token1] = ACTIONS(1030),
    [aux_sym_use_keychain_token1] = ACTIONS(1030),
    [aux_sym_use_roaming_token1] = ACTIONS(1030),
    [aux_sym_user_token1] = ACTIONS(1032),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1030),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1030),
    [aux_sym_version_addendum_token1] = ACTIONS(1030),
    [aux_sym_visual_host_key_token1] = ACTIONS(1030),
    [aux_sym_xauth_location_token1] = ACTIONS(1030),
  },
  [92] = {
    [ts_builtin_sym_end] = ACTIONS(1034),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1038),
    [aux_sym_match_token1] = ACTIONS(1034),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1034),
    [aux_sym_address_family_token1] = ACTIONS(1034),
    [aux_sym_batch_mode_token1] = ACTIONS(1034),
    [aux_sym_bind_address_token1] = ACTIONS(1034),
    [aux_sym_bind_interface_token1] = ACTIONS(1034),
    [aux_sym_canonical_domains_token1] = ACTIONS(1034),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1034),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1034),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1034),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1034),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1034),
    [aux_sym_certificate_file_token1] = ACTIONS(1034),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1034),
    [aux_sym_channel_timeout_token1] = ACTIONS(1034),
    [aux_sym_check_host_ip_token1] = ACTIONS(1034),
    [aux_sym_ciphers_token1] = ACTIONS(1034),
    [aux_sym_cipher_token1] = ACTIONS(1036),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1034),
    [aux_sym_compression_token1] = ACTIONS(1034),
    [aux_sym_connection_attempts_token1] = ACTIONS(1034),
    [aux_sym_connect_timeout_token1] = ACTIONS(1034),
    [aux_sym_control_master_token1] = ACTIONS(1034),
    [aux_sym_control_path_token1] = ACTIONS(1034),
    [aux_sym_control_persist_token1] = ACTIONS(1034),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1034),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1034),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1034),
    [aux_sym_escape_char_token1] = ACTIONS(1034),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1034),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1034),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1034),
    [aux_sym_forward_agent_token1] = ACTIONS(1034),
    [aux_sym_forward_x11_token1] = ACTIONS(1036),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1034),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1034),
    [aux_sym_gateway_ports_token1] = ACTIONS(1034),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1034),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1034),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1034),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1034),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1034),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1034),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1034),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1034),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1034),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1034),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1034),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1034),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1034),
    [aux_sym_host_key_alias_token1] = ACTIONS(1034),
    [aux_sym_hostname_token1] = ACTIONS(1034),
    [aux_sym_identities_only_token1] = ACTIONS(1034),
    [aux_sym_identity_agent_token1] = ACTIONS(1034),
    [aux_sym_identity_file_token1] = ACTIONS(1034),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1034),
    [aux_sym_include_token1] = ACTIONS(1034),
    [aux_sym_ip_qos_token1] = ACTIONS(1034),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1034),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1034),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1034),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1034),
    [aux_sym_local_command_token1] = ACTIONS(1034),
    [aux_sym_local_forward_token1] = ACTIONS(1034),
    [aux_sym_log_level_token1] = ACTIONS(1034),
    [aux_sym_log_verbose_token1] = ACTIONS(1034),
    [aux_sym_macs_token1] = ACTIONS(1034),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1034),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1034),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1034),
    [aux_sym_password_authentication_token1] = ACTIONS(1034),
    [aux_sym_permit_local_command_token1] = ACTIONS(1034),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1034),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1034),
    [aux_sym_port_token1] = ACTIONS(1034),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1034),
    [aux_sym_protocol_token1] = ACTIONS(1034),
    [aux_sym_proxy_command_token1] = ACTIONS(1034),
    [aux_sym_proxy_jump_token1] = ACTIONS(1034),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1034),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1034),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1034),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1034),
    [aux_sym_rekey_limit_token1] = ACTIONS(1034),
    [aux_sym_remote_command_token1] = ACTIONS(1034),
    [aux_sym_remote_forward_token1] = ACTIONS(1034),
    [aux_sym_request_tty_token1] = ACTIONS(1034),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1034),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1034),
    [aux_sym_security_key_provider_token1] = ACTIONS(1034),
    [aux_sym_send_env_token1] = ACTIONS(1034),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1034),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1034),
    [aux_sym_session_type_token1] = ACTIONS(1034),
    [aux_sym_set_env_token1] = ACTIONS(1034),
    [aux_sym_stdin_null_token1] = ACTIONS(1034),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1034),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1034),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1034),
    [aux_sym_syslog_facility_token1] = ACTIONS(1034),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1034),
    [aux_sym_keep_alive_token1] = ACTIONS(1034),
    [aux_sym_tag_token1] = ACTIONS(1034),
    [aux_sym_tunnel_token1] = ACTIONS(1036),
    [aux_sym_tunnel_device_token1] = ACTIONS(1034),
    [aux_sym_update_host_keys_token1] = ACTIONS(1034),
    [aux_sym_use_keychain_token1] = ACTIONS(1034),
    [aux_sym_use_roaming_token1] = ACTIONS(1034),
    [aux_sym_user_token1] = ACTIONS(1036),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1034),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1034),
    [aux_sym_version_addendum_token1] = ACTIONS(1034),
    [aux_sym_visual_host_key_token1] = ACTIONS(1034),
    [aux_sym_xauth_location_token1] = ACTIONS(1034),
  },
  [93] = {
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1042),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_match_token1] = ACTIONS(1040),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1040),
    [aux_sym_address_family_token1] = ACTIONS(1040),
    [aux_sym_batch_mode_token1] = ACTIONS(1040),
    [aux_sym_bind_address_token1] = ACTIONS(1040),
    [aux_sym_bind_interface_token1] = ACTIONS(1040),
    [aux_sym_canonical_domains_token1] = ACTIONS(1040),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1040),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1040),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1040),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1040),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1040),
    [aux_sym_certificate_file_token1] = ACTIONS(1040),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1040),
    [aux_sym_channel_timeout_token1] = ACTIONS(1040),
    [aux_sym_check_host_ip_token1] = ACTIONS(1040),
    [aux_sym_ciphers_token1] = ACTIONS(1040),
    [aux_sym_cipher_token1] = ACTIONS(1042),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1040),
    [aux_sym_compression_token1] = ACTIONS(1040),
    [aux_sym_connection_attempts_token1] = ACTIONS(1040),
    [aux_sym_connect_timeout_token1] = ACTIONS(1040),
    [aux_sym_control_master_token1] = ACTIONS(1040),
    [aux_sym_control_path_token1] = ACTIONS(1040),
    [aux_sym_control_persist_token1] = ACTIONS(1040),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1040),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1040),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1040),
    [aux_sym_escape_char_token1] = ACTIONS(1040),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1040),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1040),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1040),
    [aux_sym_forward_agent_token1] = ACTIONS(1040),
    [aux_sym_forward_x11_token1] = ACTIONS(1042),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1040),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1040),
    [aux_sym_gateway_ports_token1] = ACTIONS(1040),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1040),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1040),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1040),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1040),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1040),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1040),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1040),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1040),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1040),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1040),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1040),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1040),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1040),
    [aux_sym_host_key_alias_token1] = ACTIONS(1040),
    [aux_sym_hostname_token1] = ACTIONS(1040),
    [aux_sym_identities_only_token1] = ACTIONS(1040),
    [aux_sym_identity_agent_token1] = ACTIONS(1040),
    [aux_sym_identity_file_token1] = ACTIONS(1040),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1040),
    [aux_sym_include_token1] = ACTIONS(1040),
    [aux_sym_ip_qos_token1] = ACTIONS(1040),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1040),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1040),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1040),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1040),
    [aux_sym_local_command_token1] = ACTIONS(1040),
    [aux_sym_local_forward_token1] = ACTIONS(1040),
    [aux_sym_log_level_token1] = ACTIONS(1040),
    [aux_sym_log_verbose_token1] = ACTIONS(1040),
    [aux_sym_macs_token1] = ACTIONS(1040),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1040),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1040),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1040),
    [aux_sym_password_authentication_token1] = ACTIONS(1040),
    [aux_sym_permit_local_command_token1] = ACTIONS(1040),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1040),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1040),
    [aux_sym_port_token1] = ACTIONS(1040),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1040),
    [aux_sym_protocol_token1] = ACTIONS(1040),
    [aux_sym_proxy_command_token1] = ACTIONS(1040),
    [aux_sym_proxy_jump_token1] = ACTIONS(1040),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1040),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1040),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1040),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1040),
    [aux_sym_rekey_limit_token1] = ACTIONS(1040),
    [aux_sym_remote_command_token1] = ACTIONS(1040),
    [aux_sym_remote_forward_token1] = ACTIONS(1040),
    [aux_sym_request_tty_token1] = ACTIONS(1040),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1040),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1040),
    [aux_sym_security_key_provider_token1] = ACTIONS(1040),
    [aux_sym_send_env_token1] = ACTIONS(1040),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1040),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1040),
    [aux_sym_session_type_token1] = ACTIONS(1040),
    [aux_sym_set_env_token1] = ACTIONS(1040),
    [aux_sym_stdin_null_token1] = ACTIONS(1040),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1040),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1040),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1040),
    [aux_sym_syslog_facility_token1] = ACTIONS(1040),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1040),
    [aux_sym_keep_alive_token1] = ACTIONS(1040),
    [aux_sym_tag_token1] = ACTIONS(1040),
    [aux_sym_tunnel_token1] = ACTIONS(1042),
    [aux_sym_tunnel_device_token1] = ACTIONS(1040),
    [aux_sym_update_host_keys_token1] = ACTIONS(1040),
    [aux_sym_use_keychain_token1] = ACTIONS(1040),
    [aux_sym_use_roaming_token1] = ACTIONS(1040),
    [aux_sym_user_token1] = ACTIONS(1042),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1040),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1040),
    [aux_sym_version_addendum_token1] = ACTIONS(1040),
    [aux_sym_visual_host_key_token1] = ACTIONS(1040),
    [aux_sym_xauth_location_token1] = ACTIONS(1040),
  },
  [94] = {
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_match_token1] = ACTIONS(1044),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1044),
    [aux_sym_address_family_token1] = ACTIONS(1044),
    [aux_sym_batch_mode_token1] = ACTIONS(1044),
    [aux_sym_bind_address_token1] = ACTIONS(1044),
    [aux_sym_bind_interface_token1] = ACTIONS(1044),
    [aux_sym_canonical_domains_token1] = ACTIONS(1044),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1044),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1044),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1044),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1044),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1044),
    [aux_sym_certificate_file_token1] = ACTIONS(1044),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1044),
    [aux_sym_channel_timeout_token1] = ACTIONS(1044),
    [aux_sym_check_host_ip_token1] = ACTIONS(1044),
    [aux_sym_ciphers_token1] = ACTIONS(1044),
    [aux_sym_cipher_token1] = ACTIONS(1046),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1044),
    [aux_sym_compression_token1] = ACTIONS(1044),
    [aux_sym_connection_attempts_token1] = ACTIONS(1044),
    [aux_sym_connect_timeout_token1] = ACTIONS(1044),
    [aux_sym_control_master_token1] = ACTIONS(1044),
    [aux_sym_control_path_token1] = ACTIONS(1044),
    [aux_sym_control_persist_token1] = ACTIONS(1044),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1044),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1044),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1044),
    [aux_sym_escape_char_token1] = ACTIONS(1044),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1044),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1044),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1044),
    [aux_sym_forward_agent_token1] = ACTIONS(1044),
    [aux_sym_forward_x11_token1] = ACTIONS(1046),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1044),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1044),
    [aux_sym_gateway_ports_token1] = ACTIONS(1044),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1044),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1044),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1044),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1044),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1044),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1044),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1044),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1044),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1044),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1044),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1044),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1044),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1044),
    [aux_sym_host_key_alias_token1] = ACTIONS(1044),
    [aux_sym_hostname_token1] = ACTIONS(1044),
    [aux_sym_identities_only_token1] = ACTIONS(1044),
    [aux_sym_identity_agent_token1] = ACTIONS(1044),
    [aux_sym_identity_file_token1] = ACTIONS(1044),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1044),
    [aux_sym_include_token1] = ACTIONS(1044),
    [aux_sym_ip_qos_token1] = ACTIONS(1044),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1044),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1044),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1044),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1044),
    [aux_sym_local_command_token1] = ACTIONS(1044),
    [aux_sym_local_forward_token1] = ACTIONS(1044),
    [aux_sym_log_level_token1] = ACTIONS(1044),
    [aux_sym_log_verbose_token1] = ACTIONS(1044),
    [aux_sym_macs_token1] = ACTIONS(1044),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1044),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1044),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1044),
    [aux_sym_password_authentication_token1] = ACTIONS(1044),
    [aux_sym_permit_local_command_token1] = ACTIONS(1044),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1044),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1044),
    [aux_sym_port_token1] = ACTIONS(1044),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1044),
    [aux_sym_protocol_token1] = ACTIONS(1044),
    [aux_sym_proxy_command_token1] = ACTIONS(1044),
    [aux_sym_proxy_jump_token1] = ACTIONS(1044),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1044),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1044),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1044),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1044),
    [aux_sym_rekey_limit_token1] = ACTIONS(1044),
    [aux_sym_remote_command_token1] = ACTIONS(1044),
    [aux_sym_remote_forward_token1] = ACTIONS(1044),
    [aux_sym_request_tty_token1] = ACTIONS(1044),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1044),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1044),
    [aux_sym_security_key_provider_token1] = ACTIONS(1044),
    [aux_sym_send_env_token1] = ACTIONS(1044),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1044),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1044),
    [aux_sym_session_type_token1] = ACTIONS(1044),
    [aux_sym_set_env_token1] = ACTIONS(1044),
    [aux_sym_stdin_null_token1] = ACTIONS(1044),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1044),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1044),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1044),
    [aux_sym_syslog_facility_token1] = ACTIONS(1044),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1044),
    [aux_sym_keep_alive_token1] = ACTIONS(1044),
    [aux_sym_tag_token1] = ACTIONS(1044),
    [aux_sym_tunnel_token1] = ACTIONS(1046),
    [aux_sym_tunnel_device_token1] = ACTIONS(1044),
    [aux_sym_update_host_keys_token1] = ACTIONS(1044),
    [aux_sym_use_keychain_token1] = ACTIONS(1044),
    [aux_sym_use_roaming_token1] = ACTIONS(1044),
    [aux_sym_user_token1] = ACTIONS(1046),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1044),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1044),
    [aux_sym_version_addendum_token1] = ACTIONS(1044),
    [aux_sym_visual_host_key_token1] = ACTIONS(1044),
    [aux_sym_xauth_location_token1] = ACTIONS(1044),
  },
  [95] = {
    [ts_builtin_sym_end] = ACTIONS(1050),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [aux_sym_match_token1] = ACTIONS(1050),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1050),
    [aux_sym_address_family_token1] = ACTIONS(1050),
    [aux_sym_batch_mode_token1] = ACTIONS(1050),
    [aux_sym_bind_address_token1] = ACTIONS(1050),
    [aux_sym_bind_interface_token1] = ACTIONS(1050),
    [aux_sym_canonical_domains_token1] = ACTIONS(1050),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1050),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1050),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1050),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1050),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1050),
    [aux_sym_certificate_file_token1] = ACTIONS(1050),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1050),
    [aux_sym_channel_timeout_token1] = ACTIONS(1050),
    [aux_sym_check_host_ip_token1] = ACTIONS(1050),
    [aux_sym_ciphers_token1] = ACTIONS(1050),
    [aux_sym_cipher_token1] = ACTIONS(1052),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1050),
    [aux_sym_compression_token1] = ACTIONS(1050),
    [aux_sym_connection_attempts_token1] = ACTIONS(1050),
    [aux_sym_connect_timeout_token1] = ACTIONS(1050),
    [aux_sym_control_master_token1] = ACTIONS(1050),
    [aux_sym_control_path_token1] = ACTIONS(1050),
    [aux_sym_control_persist_token1] = ACTIONS(1050),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1050),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1050),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1050),
    [aux_sym_escape_char_token1] = ACTIONS(1050),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1050),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1050),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1050),
    [aux_sym_forward_agent_token1] = ACTIONS(1050),
    [aux_sym_forward_x11_token1] = ACTIONS(1052),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1050),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1050),
    [aux_sym_gateway_ports_token1] = ACTIONS(1050),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1050),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1050),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1050),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1050),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1050),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1050),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1050),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1050),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1050),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1050),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1050),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1050),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1050),
    [aux_sym_host_key_alias_token1] = ACTIONS(1050),
    [aux_sym_hostname_token1] = ACTIONS(1050),
    [aux_sym_identities_only_token1] = ACTIONS(1050),
    [aux_sym_identity_agent_token1] = ACTIONS(1050),
    [aux_sym_identity_file_token1] = ACTIONS(1050),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1050),
    [aux_sym_include_token1] = ACTIONS(1050),
    [aux_sym_ip_qos_token1] = ACTIONS(1050),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1050),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1050),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1050),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1050),
    [aux_sym_local_command_token1] = ACTIONS(1050),
    [aux_sym_local_forward_token1] = ACTIONS(1050),
    [aux_sym_log_level_token1] = ACTIONS(1050),
    [aux_sym_log_verbose_token1] = ACTIONS(1050),
    [aux_sym_macs_token1] = ACTIONS(1050),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1050),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1050),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1050),
    [aux_sym_password_authentication_token1] = ACTIONS(1050),
    [aux_sym_permit_local_command_token1] = ACTIONS(1050),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1050),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1050),
    [aux_sym_port_token1] = ACTIONS(1050),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1050),
    [aux_sym_protocol_token1] = ACTIONS(1050),
    [aux_sym_proxy_command_token1] = ACTIONS(1050),
    [aux_sym_proxy_jump_token1] = ACTIONS(1050),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1050),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1050),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1050),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1050),
    [aux_sym_rekey_limit_token1] = ACTIONS(1050),
    [aux_sym_remote_command_token1] = ACTIONS(1050),
    [aux_sym_remote_forward_token1] = ACTIONS(1050),
    [aux_sym_request_tty_token1] = ACTIONS(1050),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1050),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1050),
    [aux_sym_security_key_provider_token1] = ACTIONS(1050),
    [aux_sym_send_env_token1] = ACTIONS(1050),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1050),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1050),
    [aux_sym_session_type_token1] = ACTIONS(1050),
    [aux_sym_set_env_token1] = ACTIONS(1050),
    [aux_sym_stdin_null_token1] = ACTIONS(1050),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1050),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1050),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1050),
    [aux_sym_syslog_facility_token1] = ACTIONS(1050),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1050),
    [aux_sym_keep_alive_token1] = ACTIONS(1050),
    [aux_sym_tag_token1] = ACTIONS(1050),
    [aux_sym_tunnel_token1] = ACTIONS(1052),
    [aux_sym_tunnel_device_token1] = ACTIONS(1050),
    [aux_sym_update_host_keys_token1] = ACTIONS(1050),
    [aux_sym_use_keychain_token1] = ACTIONS(1050),
    [aux_sym_use_roaming_token1] = ACTIONS(1050),
    [aux_sym_user_token1] = ACTIONS(1052),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1050),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1050),
    [aux_sym_version_addendum_token1] = ACTIONS(1050),
    [aux_sym_visual_host_key_token1] = ACTIONS(1050),
    [aux_sym_xauth_location_token1] = ACTIONS(1050),
  },
  [96] = {
    [ts_builtin_sym_end] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1058),
    [aux_sym_match_token1] = ACTIONS(1054),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1054),
    [aux_sym_address_family_token1] = ACTIONS(1054),
    [aux_sym_batch_mode_token1] = ACTIONS(1054),
    [aux_sym_bind_address_token1] = ACTIONS(1054),
    [aux_sym_bind_interface_token1] = ACTIONS(1054),
    [aux_sym_canonical_domains_token1] = ACTIONS(1054),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1054),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1054),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1054),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1054),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1054),
    [aux_sym_certificate_file_token1] = ACTIONS(1054),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1054),
    [aux_sym_channel_timeout_token1] = ACTIONS(1054),
    [aux_sym_check_host_ip_token1] = ACTIONS(1054),
    [aux_sym_ciphers_token1] = ACTIONS(1054),
    [aux_sym_cipher_token1] = ACTIONS(1056),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1054),
    [aux_sym_compression_token1] = ACTIONS(1054),
    [aux_sym_connection_attempts_token1] = ACTIONS(1054),
    [aux_sym_connect_timeout_token1] = ACTIONS(1054),
    [aux_sym_control_master_token1] = ACTIONS(1054),
    [aux_sym_control_path_token1] = ACTIONS(1054),
    [aux_sym_control_persist_token1] = ACTIONS(1054),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1054),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1054),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1054),
    [aux_sym_escape_char_token1] = ACTIONS(1054),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1054),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1054),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1054),
    [aux_sym_forward_agent_token1] = ACTIONS(1054),
    [aux_sym_forward_x11_token1] = ACTIONS(1056),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1054),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1054),
    [aux_sym_gateway_ports_token1] = ACTIONS(1054),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1054),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1054),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1054),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1054),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1054),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1054),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1054),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1054),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1054),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1054),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1054),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1054),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1054),
    [aux_sym_host_key_alias_token1] = ACTIONS(1054),
    [aux_sym_hostname_token1] = ACTIONS(1054),
    [aux_sym_identities_only_token1] = ACTIONS(1054),
    [aux_sym_identity_agent_token1] = ACTIONS(1054),
    [aux_sym_identity_file_token1] = ACTIONS(1054),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1054),
    [aux_sym_include_token1] = ACTIONS(1054),
    [aux_sym_ip_qos_token1] = ACTIONS(1054),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1054),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1054),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1054),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1054),
    [aux_sym_local_command_token1] = ACTIONS(1054),
    [aux_sym_local_forward_token1] = ACTIONS(1054),
    [aux_sym_log_level_token1] = ACTIONS(1054),
    [aux_sym_log_verbose_token1] = ACTIONS(1054),
    [aux_sym_macs_token1] = ACTIONS(1054),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1054),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1054),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1054),
    [aux_sym_password_authentication_token1] = ACTIONS(1054),
    [aux_sym_permit_local_command_token1] = ACTIONS(1054),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1054),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1054),
    [aux_sym_port_token1] = ACTIONS(1054),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1054),
    [aux_sym_protocol_token1] = ACTIONS(1054),
    [aux_sym_proxy_command_token1] = ACTIONS(1054),
    [aux_sym_proxy_jump_token1] = ACTIONS(1054),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1054),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1054),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1054),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1054),
    [aux_sym_rekey_limit_token1] = ACTIONS(1054),
    [aux_sym_remote_command_token1] = ACTIONS(1054),
    [aux_sym_remote_forward_token1] = ACTIONS(1054),
    [aux_sym_request_tty_token1] = ACTIONS(1054),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1054),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1054),
    [aux_sym_security_key_provider_token1] = ACTIONS(1054),
    [aux_sym_send_env_token1] = ACTIONS(1054),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1054),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1054),
    [aux_sym_session_type_token1] = ACTIONS(1054),
    [aux_sym_set_env_token1] = ACTIONS(1054),
    [aux_sym_stdin_null_token1] = ACTIONS(1054),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1054),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1054),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1054),
    [aux_sym_syslog_facility_token1] = ACTIONS(1054),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1054),
    [aux_sym_keep_alive_token1] = ACTIONS(1054),
    [aux_sym_tag_token1] = ACTIONS(1054),
    [aux_sym_tunnel_token1] = ACTIONS(1056),
    [aux_sym_tunnel_device_token1] = ACTIONS(1054),
    [aux_sym_update_host_keys_token1] = ACTIONS(1054),
    [aux_sym_use_keychain_token1] = ACTIONS(1054),
    [aux_sym_use_roaming_token1] = ACTIONS(1054),
    [aux_sym_user_token1] = ACTIONS(1056),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1054),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1054),
    [aux_sym_version_addendum_token1] = ACTIONS(1054),
    [aux_sym_visual_host_key_token1] = ACTIONS(1054),
    [aux_sym_xauth_location_token1] = ACTIONS(1054),
  },
  [97] = {
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_match_token1] = ACTIONS(1060),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1060),
    [aux_sym_address_family_token1] = ACTIONS(1060),
    [aux_sym_batch_mode_token1] = ACTIONS(1060),
    [aux_sym_bind_address_token1] = ACTIONS(1060),
    [aux_sym_bind_interface_token1] = ACTIONS(1060),
    [aux_sym_canonical_domains_token1] = ACTIONS(1060),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1060),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1060),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1060),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1060),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1060),
    [aux_sym_certificate_file_token1] = ACTIONS(1060),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1060),
    [aux_sym_channel_timeout_token1] = ACTIONS(1060),
    [aux_sym_check_host_ip_token1] = ACTIONS(1060),
    [aux_sym_ciphers_token1] = ACTIONS(1060),
    [aux_sym_cipher_token1] = ACTIONS(1062),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1060),
    [aux_sym_compression_token1] = ACTIONS(1060),
    [aux_sym_connection_attempts_token1] = ACTIONS(1060),
    [aux_sym_connect_timeout_token1] = ACTIONS(1060),
    [aux_sym_control_master_token1] = ACTIONS(1060),
    [aux_sym_control_path_token1] = ACTIONS(1060),
    [aux_sym_control_persist_token1] = ACTIONS(1060),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1060),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1060),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1060),
    [aux_sym_escape_char_token1] = ACTIONS(1060),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1060),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1060),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1060),
    [aux_sym_forward_agent_token1] = ACTIONS(1060),
    [aux_sym_forward_x11_token1] = ACTIONS(1062),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1060),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1060),
    [aux_sym_gateway_ports_token1] = ACTIONS(1060),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1060),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1060),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1060),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1060),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1060),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1060),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1060),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1060),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1060),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1060),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1060),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1060),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1060),
    [aux_sym_host_key_alias_token1] = ACTIONS(1060),
    [aux_sym_hostname_token1] = ACTIONS(1060),
    [aux_sym_identities_only_token1] = ACTIONS(1060),
    [aux_sym_identity_agent_token1] = ACTIONS(1060),
    [aux_sym_identity_file_token1] = ACTIONS(1060),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1060),
    [aux_sym_include_token1] = ACTIONS(1060),
    [aux_sym_ip_qos_token1] = ACTIONS(1060),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1060),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1060),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1060),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1060),
    [aux_sym_local_command_token1] = ACTIONS(1060),
    [aux_sym_local_forward_token1] = ACTIONS(1060),
    [aux_sym_log_level_token1] = ACTIONS(1060),
    [aux_sym_log_verbose_token1] = ACTIONS(1060),
    [aux_sym_macs_token1] = ACTIONS(1060),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1060),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1060),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1060),
    [aux_sym_password_authentication_token1] = ACTIONS(1060),
    [aux_sym_permit_local_command_token1] = ACTIONS(1060),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1060),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1060),
    [aux_sym_port_token1] = ACTIONS(1060),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1060),
    [aux_sym_protocol_token1] = ACTIONS(1060),
    [aux_sym_proxy_command_token1] = ACTIONS(1060),
    [aux_sym_proxy_jump_token1] = ACTIONS(1060),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1060),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1060),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1060),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1060),
    [aux_sym_rekey_limit_token1] = ACTIONS(1060),
    [aux_sym_remote_command_token1] = ACTIONS(1060),
    [aux_sym_remote_forward_token1] = ACTIONS(1060),
    [aux_sym_request_tty_token1] = ACTIONS(1060),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1060),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1060),
    [aux_sym_security_key_provider_token1] = ACTIONS(1060),
    [aux_sym_send_env_token1] = ACTIONS(1060),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1060),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1060),
    [aux_sym_session_type_token1] = ACTIONS(1060),
    [aux_sym_set_env_token1] = ACTIONS(1060),
    [aux_sym_stdin_null_token1] = ACTIONS(1060),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1060),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1060),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1060),
    [aux_sym_syslog_facility_token1] = ACTIONS(1060),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1060),
    [aux_sym_keep_alive_token1] = ACTIONS(1060),
    [aux_sym_tag_token1] = ACTIONS(1060),
    [aux_sym_tunnel_token1] = ACTIONS(1062),
    [aux_sym_tunnel_device_token1] = ACTIONS(1060),
    [aux_sym_update_host_keys_token1] = ACTIONS(1060),
    [aux_sym_use_keychain_token1] = ACTIONS(1060),
    [aux_sym_use_roaming_token1] = ACTIONS(1060),
    [aux_sym_user_token1] = ACTIONS(1062),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1060),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1060),
    [aux_sym_version_addendum_token1] = ACTIONS(1060),
    [aux_sym_visual_host_key_token1] = ACTIONS(1060),
    [aux_sym_xauth_location_token1] = ACTIONS(1060),
  },
  [98] = {
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_match_token1] = ACTIONS(1064),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1064),
    [aux_sym_address_family_token1] = ACTIONS(1064),
    [aux_sym_batch_mode_token1] = ACTIONS(1064),
    [aux_sym_bind_address_token1] = ACTIONS(1064),
    [aux_sym_bind_interface_token1] = ACTIONS(1064),
    [aux_sym_canonical_domains_token1] = ACTIONS(1064),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1064),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1064),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1064),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1064),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1064),
    [aux_sym_certificate_file_token1] = ACTIONS(1064),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1064),
    [aux_sym_channel_timeout_token1] = ACTIONS(1064),
    [aux_sym_check_host_ip_token1] = ACTIONS(1064),
    [aux_sym_ciphers_token1] = ACTIONS(1064),
    [aux_sym_cipher_token1] = ACTIONS(1066),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1064),
    [aux_sym_compression_token1] = ACTIONS(1064),
    [aux_sym_connection_attempts_token1] = ACTIONS(1064),
    [aux_sym_connect_timeout_token1] = ACTIONS(1064),
    [aux_sym_control_master_token1] = ACTIONS(1064),
    [aux_sym_control_path_token1] = ACTIONS(1064),
    [aux_sym_control_persist_token1] = ACTIONS(1064),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1064),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1064),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1064),
    [aux_sym_escape_char_token1] = ACTIONS(1064),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1064),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1064),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1064),
    [aux_sym_forward_agent_token1] = ACTIONS(1064),
    [aux_sym_forward_x11_token1] = ACTIONS(1066),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1064),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1064),
    [aux_sym_gateway_ports_token1] = ACTIONS(1064),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1064),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1064),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1064),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1064),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1064),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1064),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1064),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1064),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1064),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1064),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1064),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1064),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1064),
    [aux_sym_host_key_alias_token1] = ACTIONS(1064),
    [aux_sym_hostname_token1] = ACTIONS(1064),
    [aux_sym_identities_only_token1] = ACTIONS(1064),
    [aux_sym_identity_agent_token1] = ACTIONS(1064),
    [aux_sym_identity_file_token1] = ACTIONS(1064),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1064),
    [aux_sym_include_token1] = ACTIONS(1064),
    [aux_sym_ip_qos_token1] = ACTIONS(1064),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1064),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1064),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1064),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1064),
    [aux_sym_local_command_token1] = ACTIONS(1064),
    [aux_sym_local_forward_token1] = ACTIONS(1064),
    [aux_sym_log_level_token1] = ACTIONS(1064),
    [aux_sym_log_verbose_token1] = ACTIONS(1064),
    [aux_sym_macs_token1] = ACTIONS(1064),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1064),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1064),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1064),
    [aux_sym_password_authentication_token1] = ACTIONS(1064),
    [aux_sym_permit_local_command_token1] = ACTIONS(1064),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1064),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1064),
    [aux_sym_port_token1] = ACTIONS(1064),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1064),
    [aux_sym_protocol_token1] = ACTIONS(1064),
    [aux_sym_proxy_command_token1] = ACTIONS(1064),
    [aux_sym_proxy_jump_token1] = ACTIONS(1064),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1064),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1064),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1064),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1064),
    [aux_sym_rekey_limit_token1] = ACTIONS(1064),
    [aux_sym_remote_command_token1] = ACTIONS(1064),
    [aux_sym_remote_forward_token1] = ACTIONS(1064),
    [aux_sym_request_tty_token1] = ACTIONS(1064),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1064),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1064),
    [aux_sym_security_key_provider_token1] = ACTIONS(1064),
    [aux_sym_send_env_token1] = ACTIONS(1064),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1064),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1064),
    [aux_sym_session_type_token1] = ACTIONS(1064),
    [aux_sym_set_env_token1] = ACTIONS(1064),
    [aux_sym_stdin_null_token1] = ACTIONS(1064),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1064),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1064),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1064),
    [aux_sym_syslog_facility_token1] = ACTIONS(1064),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1064),
    [aux_sym_keep_alive_token1] = ACTIONS(1064),
    [aux_sym_tag_token1] = ACTIONS(1064),
    [aux_sym_tunnel_token1] = ACTIONS(1066),
    [aux_sym_tunnel_device_token1] = ACTIONS(1064),
    [aux_sym_update_host_keys_token1] = ACTIONS(1064),
    [aux_sym_use_keychain_token1] = ACTIONS(1064),
    [aux_sym_use_roaming_token1] = ACTIONS(1064),
    [aux_sym_user_token1] = ACTIONS(1066),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1064),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1064),
    [aux_sym_version_addendum_token1] = ACTIONS(1064),
    [aux_sym_visual_host_key_token1] = ACTIONS(1064),
    [aux_sym_xauth_location_token1] = ACTIONS(1064),
  },
  [99] = {
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [aux_sym_match_token1] = ACTIONS(1070),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1070),
    [aux_sym_address_family_token1] = ACTIONS(1070),
    [aux_sym_batch_mode_token1] = ACTIONS(1070),
    [aux_sym_bind_address_token1] = ACTIONS(1070),
    [aux_sym_bind_interface_token1] = ACTIONS(1070),
    [aux_sym_canonical_domains_token1] = ACTIONS(1070),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1070),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1070),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1070),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1070),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1070),
    [aux_sym_certificate_file_token1] = ACTIONS(1070),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1070),
    [aux_sym_channel_timeout_token1] = ACTIONS(1070),
    [aux_sym_check_host_ip_token1] = ACTIONS(1070),
    [aux_sym_ciphers_token1] = ACTIONS(1070),
    [aux_sym_cipher_token1] = ACTIONS(1072),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1070),
    [aux_sym_compression_token1] = ACTIONS(1070),
    [aux_sym_connection_attempts_token1] = ACTIONS(1070),
    [aux_sym_connect_timeout_token1] = ACTIONS(1070),
    [aux_sym_control_master_token1] = ACTIONS(1070),
    [aux_sym_control_path_token1] = ACTIONS(1070),
    [aux_sym_control_persist_token1] = ACTIONS(1070),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1070),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1070),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1070),
    [aux_sym_escape_char_token1] = ACTIONS(1070),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1070),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1070),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1070),
    [aux_sym_forward_agent_token1] = ACTIONS(1070),
    [aux_sym_forward_x11_token1] = ACTIONS(1072),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1070),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1070),
    [aux_sym_gateway_ports_token1] = ACTIONS(1070),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1070),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1070),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1070),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1070),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1070),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1070),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1070),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1070),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1070),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1070),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1070),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1070),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1070),
    [aux_sym_host_key_alias_token1] = ACTIONS(1070),
    [aux_sym_hostname_token1] = ACTIONS(1070),
    [aux_sym_identities_only_token1] = ACTIONS(1070),
    [aux_sym_identity_agent_token1] = ACTIONS(1070),
    [aux_sym_identity_file_token1] = ACTIONS(1070),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1070),
    [aux_sym_include_token1] = ACTIONS(1070),
    [aux_sym_ip_qos_token1] = ACTIONS(1070),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1070),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1070),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1070),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1070),
    [aux_sym_local_command_token1] = ACTIONS(1070),
    [aux_sym_local_forward_token1] = ACTIONS(1070),
    [aux_sym_log_level_token1] = ACTIONS(1070),
    [aux_sym_log_verbose_token1] = ACTIONS(1070),
    [aux_sym_macs_token1] = ACTIONS(1070),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1070),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1070),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1070),
    [aux_sym_password_authentication_token1] = ACTIONS(1070),
    [aux_sym_permit_local_command_token1] = ACTIONS(1070),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1070),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1070),
    [aux_sym_port_token1] = ACTIONS(1070),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1070),
    [aux_sym_protocol_token1] = ACTIONS(1070),
    [aux_sym_proxy_command_token1] = ACTIONS(1070),
    [aux_sym_proxy_jump_token1] = ACTIONS(1070),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1070),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1070),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1070),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1070),
    [aux_sym_rekey_limit_token1] = ACTIONS(1070),
    [aux_sym_remote_command_token1] = ACTIONS(1070),
    [aux_sym_remote_forward_token1] = ACTIONS(1070),
    [aux_sym_request_tty_token1] = ACTIONS(1070),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1070),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1070),
    [aux_sym_security_key_provider_token1] = ACTIONS(1070),
    [aux_sym_send_env_token1] = ACTIONS(1070),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1070),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1070),
    [aux_sym_session_type_token1] = ACTIONS(1070),
    [aux_sym_set_env_token1] = ACTIONS(1070),
    [aux_sym_stdin_null_token1] = ACTIONS(1070),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1070),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1070),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1070),
    [aux_sym_syslog_facility_token1] = ACTIONS(1070),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1070),
    [aux_sym_keep_alive_token1] = ACTIONS(1070),
    [aux_sym_tag_token1] = ACTIONS(1070),
    [aux_sym_tunnel_token1] = ACTIONS(1072),
    [aux_sym_tunnel_device_token1] = ACTIONS(1070),
    [aux_sym_update_host_keys_token1] = ACTIONS(1070),
    [aux_sym_use_keychain_token1] = ACTIONS(1070),
    [aux_sym_use_roaming_token1] = ACTIONS(1070),
    [aux_sym_user_token1] = ACTIONS(1072),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1070),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1070),
    [aux_sym_version_addendum_token1] = ACTIONS(1070),
    [aux_sym_visual_host_key_token1] = ACTIONS(1070),
    [aux_sym_xauth_location_token1] = ACTIONS(1070),
  },
  [100] = {
    [ts_builtin_sym_end] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [aux_sym_match_token1] = ACTIONS(1074),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1074),
    [aux_sym_address_family_token1] = ACTIONS(1074),
    [aux_sym_batch_mode_token1] = ACTIONS(1074),
    [aux_sym_bind_address_token1] = ACTIONS(1074),
    [aux_sym_bind_interface_token1] = ACTIONS(1074),
    [aux_sym_canonical_domains_token1] = ACTIONS(1074),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1074),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1074),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1074),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1074),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1074),
    [aux_sym_certificate_file_token1] = ACTIONS(1074),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1074),
    [aux_sym_channel_timeout_token1] = ACTIONS(1074),
    [aux_sym_check_host_ip_token1] = ACTIONS(1074),
    [aux_sym_ciphers_token1] = ACTIONS(1074),
    [aux_sym_cipher_token1] = ACTIONS(1076),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1074),
    [aux_sym_compression_token1] = ACTIONS(1074),
    [aux_sym_connection_attempts_token1] = ACTIONS(1074),
    [aux_sym_connect_timeout_token1] = ACTIONS(1074),
    [aux_sym_control_master_token1] = ACTIONS(1074),
    [aux_sym_control_path_token1] = ACTIONS(1074),
    [aux_sym_control_persist_token1] = ACTIONS(1074),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1074),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1074),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1074),
    [aux_sym_escape_char_token1] = ACTIONS(1074),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1074),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1074),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1074),
    [aux_sym_forward_agent_token1] = ACTIONS(1074),
    [aux_sym_forward_x11_token1] = ACTIONS(1076),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1074),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1074),
    [aux_sym_gateway_ports_token1] = ACTIONS(1074),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1074),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1074),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1074),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1074),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1074),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1074),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1074),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1074),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1074),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1074),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1074),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1074),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1074),
    [aux_sym_host_key_alias_token1] = ACTIONS(1074),
    [aux_sym_hostname_token1] = ACTIONS(1074),
    [aux_sym_identities_only_token1] = ACTIONS(1074),
    [aux_sym_identity_agent_token1] = ACTIONS(1074),
    [aux_sym_identity_file_token1] = ACTIONS(1074),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1074),
    [aux_sym_include_token1] = ACTIONS(1074),
    [aux_sym_ip_qos_token1] = ACTIONS(1074),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1074),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1074),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1074),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1074),
    [aux_sym_local_command_token1] = ACTIONS(1074),
    [aux_sym_local_forward_token1] = ACTIONS(1074),
    [aux_sym_log_level_token1] = ACTIONS(1074),
    [aux_sym_log_verbose_token1] = ACTIONS(1074),
    [aux_sym_macs_token1] = ACTIONS(1074),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1074),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1074),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1074),
    [aux_sym_password_authentication_token1] = ACTIONS(1074),
    [aux_sym_permit_local_command_token1] = ACTIONS(1074),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1074),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1074),
    [aux_sym_port_token1] = ACTIONS(1074),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1074),
    [aux_sym_protocol_token1] = ACTIONS(1074),
    [aux_sym_proxy_command_token1] = ACTIONS(1074),
    [aux_sym_proxy_jump_token1] = ACTIONS(1074),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1074),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1074),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1074),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1074),
    [aux_sym_rekey_limit_token1] = ACTIONS(1074),
    [aux_sym_remote_command_token1] = ACTIONS(1074),
    [aux_sym_remote_forward_token1] = ACTIONS(1074),
    [aux_sym_request_tty_token1] = ACTIONS(1074),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1074),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1074),
    [aux_sym_security_key_provider_token1] = ACTIONS(1074),
    [aux_sym_send_env_token1] = ACTIONS(1074),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1074),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1074),
    [aux_sym_session_type_token1] = ACTIONS(1074),
    [aux_sym_set_env_token1] = ACTIONS(1074),
    [aux_sym_stdin_null_token1] = ACTIONS(1074),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1074),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1074),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1074),
    [aux_sym_syslog_facility_token1] = ACTIONS(1074),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1074),
    [aux_sym_keep_alive_token1] = ACTIONS(1074),
    [aux_sym_tag_token1] = ACTIONS(1074),
    [aux_sym_tunnel_token1] = ACTIONS(1076),
    [aux_sym_tunnel_device_token1] = ACTIONS(1074),
    [aux_sym_update_host_keys_token1] = ACTIONS(1074),
    [aux_sym_use_keychain_token1] = ACTIONS(1074),
    [aux_sym_use_roaming_token1] = ACTIONS(1074),
    [aux_sym_user_token1] = ACTIONS(1076),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1074),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1074),
    [aux_sym_version_addendum_token1] = ACTIONS(1074),
    [aux_sym_visual_host_key_token1] = ACTIONS(1074),
    [aux_sym_xauth_location_token1] = ACTIONS(1074),
  },
  [101] = {
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_match_token1] = ACTIONS(1080),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1080),
    [aux_sym_address_family_token1] = ACTIONS(1080),
    [aux_sym_batch_mode_token1] = ACTIONS(1080),
    [aux_sym_bind_address_token1] = ACTIONS(1080),
    [aux_sym_bind_interface_token1] = ACTIONS(1080),
    [aux_sym_canonical_domains_token1] = ACTIONS(1080),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1080),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1080),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1080),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1080),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1080),
    [aux_sym_certificate_file_token1] = ACTIONS(1080),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1080),
    [aux_sym_channel_timeout_token1] = ACTIONS(1080),
    [aux_sym_check_host_ip_token1] = ACTIONS(1080),
    [aux_sym_ciphers_token1] = ACTIONS(1080),
    [aux_sym_cipher_token1] = ACTIONS(1082),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1080),
    [aux_sym_compression_token1] = ACTIONS(1080),
    [aux_sym_connection_attempts_token1] = ACTIONS(1080),
    [aux_sym_connect_timeout_token1] = ACTIONS(1080),
    [aux_sym_control_master_token1] = ACTIONS(1080),
    [aux_sym_control_path_token1] = ACTIONS(1080),
    [aux_sym_control_persist_token1] = ACTIONS(1080),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1080),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1080),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1080),
    [aux_sym_escape_char_token1] = ACTIONS(1080),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1080),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1080),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1080),
    [aux_sym_forward_agent_token1] = ACTIONS(1080),
    [aux_sym_forward_x11_token1] = ACTIONS(1082),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1080),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1080),
    [aux_sym_gateway_ports_token1] = ACTIONS(1080),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1080),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1080),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1080),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1080),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1080),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1080),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1080),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1080),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1080),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1080),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1080),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1080),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1080),
    [aux_sym_host_key_alias_token1] = ACTIONS(1080),
    [aux_sym_hostname_token1] = ACTIONS(1080),
    [aux_sym_identities_only_token1] = ACTIONS(1080),
    [aux_sym_identity_agent_token1] = ACTIONS(1080),
    [aux_sym_identity_file_token1] = ACTIONS(1080),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1080),
    [aux_sym_include_token1] = ACTIONS(1080),
    [aux_sym_ip_qos_token1] = ACTIONS(1080),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1080),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1080),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1080),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1080),
    [aux_sym_local_command_token1] = ACTIONS(1080),
    [aux_sym_local_forward_token1] = ACTIONS(1080),
    [aux_sym_log_level_token1] = ACTIONS(1080),
    [aux_sym_log_verbose_token1] = ACTIONS(1080),
    [aux_sym_macs_token1] = ACTIONS(1080),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1080),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1080),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1080),
    [aux_sym_password_authentication_token1] = ACTIONS(1080),
    [aux_sym_permit_local_command_token1] = ACTIONS(1080),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1080),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1080),
    [aux_sym_port_token1] = ACTIONS(1080),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1080),
    [aux_sym_protocol_token1] = ACTIONS(1080),
    [aux_sym_proxy_command_token1] = ACTIONS(1080),
    [aux_sym_proxy_jump_token1] = ACTIONS(1080),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1080),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1080),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1080),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1080),
    [aux_sym_rekey_limit_token1] = ACTIONS(1080),
    [aux_sym_remote_command_token1] = ACTIONS(1080),
    [aux_sym_remote_forward_token1] = ACTIONS(1080),
    [aux_sym_request_tty_token1] = ACTIONS(1080),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1080),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1080),
    [aux_sym_security_key_provider_token1] = ACTIONS(1080),
    [aux_sym_send_env_token1] = ACTIONS(1080),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1080),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1080),
    [aux_sym_session_type_token1] = ACTIONS(1080),
    [aux_sym_set_env_token1] = ACTIONS(1080),
    [aux_sym_stdin_null_token1] = ACTIONS(1080),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1080),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1080),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1080),
    [aux_sym_syslog_facility_token1] = ACTIONS(1080),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1080),
    [aux_sym_keep_alive_token1] = ACTIONS(1080),
    [aux_sym_tag_token1] = ACTIONS(1080),
    [aux_sym_tunnel_token1] = ACTIONS(1082),
    [aux_sym_tunnel_device_token1] = ACTIONS(1080),
    [aux_sym_update_host_keys_token1] = ACTIONS(1080),
    [aux_sym_use_keychain_token1] = ACTIONS(1080),
    [aux_sym_use_roaming_token1] = ACTIONS(1080),
    [aux_sym_user_token1] = ACTIONS(1082),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1080),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1080),
    [aux_sym_version_addendum_token1] = ACTIONS(1080),
    [aux_sym_visual_host_key_token1] = ACTIONS(1080),
    [aux_sym_xauth_location_token1] = ACTIONS(1080),
  },
  [102] = {
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_match_token1] = ACTIONS(1084),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1084),
    [aux_sym_address_family_token1] = ACTIONS(1084),
    [aux_sym_batch_mode_token1] = ACTIONS(1084),
    [aux_sym_bind_address_token1] = ACTIONS(1084),
    [aux_sym_bind_interface_token1] = ACTIONS(1084),
    [aux_sym_canonical_domains_token1] = ACTIONS(1084),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1084),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1084),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1084),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1084),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1084),
    [aux_sym_certificate_file_token1] = ACTIONS(1084),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1084),
    [aux_sym_channel_timeout_token1] = ACTIONS(1084),
    [aux_sym_check_host_ip_token1] = ACTIONS(1084),
    [aux_sym_ciphers_token1] = ACTIONS(1084),
    [aux_sym_cipher_token1] = ACTIONS(1086),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1084),
    [aux_sym_compression_token1] = ACTIONS(1084),
    [aux_sym_connection_attempts_token1] = ACTIONS(1084),
    [aux_sym_connect_timeout_token1] = ACTIONS(1084),
    [aux_sym_control_master_token1] = ACTIONS(1084),
    [aux_sym_control_path_token1] = ACTIONS(1084),
    [aux_sym_control_persist_token1] = ACTIONS(1084),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1084),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1084),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1084),
    [aux_sym_escape_char_token1] = ACTIONS(1084),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1084),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1084),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1084),
    [aux_sym_forward_agent_token1] = ACTIONS(1084),
    [aux_sym_forward_x11_token1] = ACTIONS(1086),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1084),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1084),
    [aux_sym_gateway_ports_token1] = ACTIONS(1084),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1084),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1084),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1084),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1084),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1084),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1084),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1084),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1084),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1084),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1084),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1084),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1084),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1084),
    [aux_sym_host_key_alias_token1] = ACTIONS(1084),
    [aux_sym_hostname_token1] = ACTIONS(1084),
    [aux_sym_identities_only_token1] = ACTIONS(1084),
    [aux_sym_identity_agent_token1] = ACTIONS(1084),
    [aux_sym_identity_file_token1] = ACTIONS(1084),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1084),
    [aux_sym_include_token1] = ACTIONS(1084),
    [aux_sym_ip_qos_token1] = ACTIONS(1084),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1084),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1084),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1084),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1084),
    [aux_sym_local_command_token1] = ACTIONS(1084),
    [aux_sym_local_forward_token1] = ACTIONS(1084),
    [aux_sym_log_level_token1] = ACTIONS(1084),
    [aux_sym_log_verbose_token1] = ACTIONS(1084),
    [aux_sym_macs_token1] = ACTIONS(1084),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1084),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1084),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1084),
    [aux_sym_password_authentication_token1] = ACTIONS(1084),
    [aux_sym_permit_local_command_token1] = ACTIONS(1084),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1084),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1084),
    [aux_sym_port_token1] = ACTIONS(1084),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1084),
    [aux_sym_protocol_token1] = ACTIONS(1084),
    [aux_sym_proxy_command_token1] = ACTIONS(1084),
    [aux_sym_proxy_jump_token1] = ACTIONS(1084),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1084),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1084),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1084),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1084),
    [aux_sym_rekey_limit_token1] = ACTIONS(1084),
    [aux_sym_remote_command_token1] = ACTIONS(1084),
    [aux_sym_remote_forward_token1] = ACTIONS(1084),
    [aux_sym_request_tty_token1] = ACTIONS(1084),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1084),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1084),
    [aux_sym_security_key_provider_token1] = ACTIONS(1084),
    [aux_sym_send_env_token1] = ACTIONS(1084),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1084),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1084),
    [aux_sym_session_type_token1] = ACTIONS(1084),
    [aux_sym_set_env_token1] = ACTIONS(1084),
    [aux_sym_stdin_null_token1] = ACTIONS(1084),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1084),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1084),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1084),
    [aux_sym_syslog_facility_token1] = ACTIONS(1084),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1084),
    [aux_sym_keep_alive_token1] = ACTIONS(1084),
    [aux_sym_tag_token1] = ACTIONS(1084),
    [aux_sym_tunnel_token1] = ACTIONS(1086),
    [aux_sym_tunnel_device_token1] = ACTIONS(1084),
    [aux_sym_update_host_keys_token1] = ACTIONS(1084),
    [aux_sym_use_keychain_token1] = ACTIONS(1084),
    [aux_sym_use_roaming_token1] = ACTIONS(1084),
    [aux_sym_user_token1] = ACTIONS(1086),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1084),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1084),
    [aux_sym_version_addendum_token1] = ACTIONS(1084),
    [aux_sym_visual_host_key_token1] = ACTIONS(1084),
    [aux_sym_xauth_location_token1] = ACTIONS(1084),
  },
  [103] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_match_token1] = ACTIONS(1090),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1090),
    [aux_sym_address_family_token1] = ACTIONS(1090),
    [aux_sym_batch_mode_token1] = ACTIONS(1090),
    [aux_sym_bind_address_token1] = ACTIONS(1090),
    [aux_sym_bind_interface_token1] = ACTIONS(1090),
    [aux_sym_canonical_domains_token1] = ACTIONS(1090),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1090),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1090),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1090),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1090),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1090),
    [aux_sym_certificate_file_token1] = ACTIONS(1090),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1090),
    [aux_sym_channel_timeout_token1] = ACTIONS(1090),
    [aux_sym_check_host_ip_token1] = ACTIONS(1090),
    [aux_sym_ciphers_token1] = ACTIONS(1090),
    [aux_sym_cipher_token1] = ACTIONS(1092),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1090),
    [aux_sym_compression_token1] = ACTIONS(1090),
    [aux_sym_connection_attempts_token1] = ACTIONS(1090),
    [aux_sym_connect_timeout_token1] = ACTIONS(1090),
    [aux_sym_control_master_token1] = ACTIONS(1090),
    [aux_sym_control_path_token1] = ACTIONS(1090),
    [aux_sym_control_persist_token1] = ACTIONS(1090),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1090),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1090),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1090),
    [aux_sym_escape_char_token1] = ACTIONS(1090),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1090),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1090),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1090),
    [aux_sym_forward_agent_token1] = ACTIONS(1090),
    [aux_sym_forward_x11_token1] = ACTIONS(1092),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1090),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1090),
    [aux_sym_gateway_ports_token1] = ACTIONS(1090),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1090),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1090),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1090),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1090),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1090),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1090),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1090),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1090),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1090),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1090),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1090),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1090),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1090),
    [aux_sym_host_key_alias_token1] = ACTIONS(1090),
    [aux_sym_hostname_token1] = ACTIONS(1090),
    [aux_sym_identities_only_token1] = ACTIONS(1090),
    [aux_sym_identity_agent_token1] = ACTIONS(1090),
    [aux_sym_identity_file_token1] = ACTIONS(1090),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1090),
    [aux_sym_include_token1] = ACTIONS(1090),
    [aux_sym_ip_qos_token1] = ACTIONS(1090),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1090),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1090),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1090),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1090),
    [aux_sym_local_command_token1] = ACTIONS(1090),
    [aux_sym_local_forward_token1] = ACTIONS(1090),
    [aux_sym_log_level_token1] = ACTIONS(1090),
    [aux_sym_log_verbose_token1] = ACTIONS(1090),
    [aux_sym_macs_token1] = ACTIONS(1090),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1090),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1090),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1090),
    [aux_sym_password_authentication_token1] = ACTIONS(1090),
    [aux_sym_permit_local_command_token1] = ACTIONS(1090),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1090),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1090),
    [aux_sym_port_token1] = ACTIONS(1090),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1090),
    [aux_sym_protocol_token1] = ACTIONS(1090),
    [aux_sym_proxy_command_token1] = ACTIONS(1090),
    [aux_sym_proxy_jump_token1] = ACTIONS(1090),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1090),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1090),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1090),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1090),
    [aux_sym_rekey_limit_token1] = ACTIONS(1090),
    [aux_sym_remote_command_token1] = ACTIONS(1090),
    [aux_sym_remote_forward_token1] = ACTIONS(1090),
    [aux_sym_request_tty_token1] = ACTIONS(1090),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1090),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1090),
    [aux_sym_security_key_provider_token1] = ACTIONS(1090),
    [aux_sym_send_env_token1] = ACTIONS(1090),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1090),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1090),
    [aux_sym_session_type_token1] = ACTIONS(1090),
    [aux_sym_set_env_token1] = ACTIONS(1090),
    [aux_sym_stdin_null_token1] = ACTIONS(1090),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1090),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1090),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1090),
    [aux_sym_syslog_facility_token1] = ACTIONS(1090),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1090),
    [aux_sym_keep_alive_token1] = ACTIONS(1090),
    [aux_sym_tag_token1] = ACTIONS(1090),
    [aux_sym_tunnel_token1] = ACTIONS(1092),
    [aux_sym_tunnel_device_token1] = ACTIONS(1090),
    [aux_sym_update_host_keys_token1] = ACTIONS(1090),
    [aux_sym_use_keychain_token1] = ACTIONS(1090),
    [aux_sym_use_roaming_token1] = ACTIONS(1090),
    [aux_sym_user_token1] = ACTIONS(1092),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1090),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1090),
    [aux_sym_version_addendum_token1] = ACTIONS(1090),
    [aux_sym_visual_host_key_token1] = ACTIONS(1090),
    [aux_sym_xauth_location_token1] = ACTIONS(1090),
  },
  [104] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_match_token1] = ACTIONS(1094),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1094),
    [aux_sym_address_family_token1] = ACTIONS(1094),
    [aux_sym_batch_mode_token1] = ACTIONS(1094),
    [aux_sym_bind_address_token1] = ACTIONS(1094),
    [aux_sym_bind_interface_token1] = ACTIONS(1094),
    [aux_sym_canonical_domains_token1] = ACTIONS(1094),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1094),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1094),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1094),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1094),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1094),
    [aux_sym_certificate_file_token1] = ACTIONS(1094),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1094),
    [aux_sym_channel_timeout_token1] = ACTIONS(1094),
    [aux_sym_check_host_ip_token1] = ACTIONS(1094),
    [aux_sym_ciphers_token1] = ACTIONS(1094),
    [aux_sym_cipher_token1] = ACTIONS(1096),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1094),
    [aux_sym_compression_token1] = ACTIONS(1094),
    [aux_sym_connection_attempts_token1] = ACTIONS(1094),
    [aux_sym_connect_timeout_token1] = ACTIONS(1094),
    [aux_sym_control_master_token1] = ACTIONS(1094),
    [aux_sym_control_path_token1] = ACTIONS(1094),
    [aux_sym_control_persist_token1] = ACTIONS(1094),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1094),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1094),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1094),
    [aux_sym_escape_char_token1] = ACTIONS(1094),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1094),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1094),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1094),
    [aux_sym_forward_agent_token1] = ACTIONS(1094),
    [aux_sym_forward_x11_token1] = ACTIONS(1096),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1094),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1094),
    [aux_sym_gateway_ports_token1] = ACTIONS(1094),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1094),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1094),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1094),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1094),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1094),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1094),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1094),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1094),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1094),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1094),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1094),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1094),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1094),
    [aux_sym_host_key_alias_token1] = ACTIONS(1094),
    [aux_sym_hostname_token1] = ACTIONS(1094),
    [aux_sym_identities_only_token1] = ACTIONS(1094),
    [aux_sym_identity_agent_token1] = ACTIONS(1094),
    [aux_sym_identity_file_token1] = ACTIONS(1094),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1094),
    [aux_sym_include_token1] = ACTIONS(1094),
    [aux_sym_ip_qos_token1] = ACTIONS(1094),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1094),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1094),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1094),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1094),
    [aux_sym_local_command_token1] = ACTIONS(1094),
    [aux_sym_local_forward_token1] = ACTIONS(1094),
    [aux_sym_log_level_token1] = ACTIONS(1094),
    [aux_sym_log_verbose_token1] = ACTIONS(1094),
    [aux_sym_macs_token1] = ACTIONS(1094),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1094),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1094),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1094),
    [aux_sym_password_authentication_token1] = ACTIONS(1094),
    [aux_sym_permit_local_command_token1] = ACTIONS(1094),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1094),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1094),
    [aux_sym_port_token1] = ACTIONS(1094),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1094),
    [aux_sym_protocol_token1] = ACTIONS(1094),
    [aux_sym_proxy_command_token1] = ACTIONS(1094),
    [aux_sym_proxy_jump_token1] = ACTIONS(1094),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1094),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1094),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1094),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1094),
    [aux_sym_rekey_limit_token1] = ACTIONS(1094),
    [aux_sym_remote_command_token1] = ACTIONS(1094),
    [aux_sym_remote_forward_token1] = ACTIONS(1094),
    [aux_sym_request_tty_token1] = ACTIONS(1094),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1094),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1094),
    [aux_sym_security_key_provider_token1] = ACTIONS(1094),
    [aux_sym_send_env_token1] = ACTIONS(1094),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1094),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1094),
    [aux_sym_session_type_token1] = ACTIONS(1094),
    [aux_sym_set_env_token1] = ACTIONS(1094),
    [aux_sym_stdin_null_token1] = ACTIONS(1094),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1094),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1094),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1094),
    [aux_sym_syslog_facility_token1] = ACTIONS(1094),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1094),
    [aux_sym_keep_alive_token1] = ACTIONS(1094),
    [aux_sym_tag_token1] = ACTIONS(1094),
    [aux_sym_tunnel_token1] = ACTIONS(1096),
    [aux_sym_tunnel_device_token1] = ACTIONS(1094),
    [aux_sym_update_host_keys_token1] = ACTIONS(1094),
    [aux_sym_use_keychain_token1] = ACTIONS(1094),
    [aux_sym_use_roaming_token1] = ACTIONS(1094),
    [aux_sym_user_token1] = ACTIONS(1096),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1094),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1094),
    [aux_sym_version_addendum_token1] = ACTIONS(1094),
    [aux_sym_visual_host_key_token1] = ACTIONS(1094),
    [aux_sym_xauth_location_token1] = ACTIONS(1094),
  },
  [105] = {
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_match_token1] = ACTIONS(1100),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1100),
    [aux_sym_address_family_token1] = ACTIONS(1100),
    [aux_sym_batch_mode_token1] = ACTIONS(1100),
    [aux_sym_bind_address_token1] = ACTIONS(1100),
    [aux_sym_bind_interface_token1] = ACTIONS(1100),
    [aux_sym_canonical_domains_token1] = ACTIONS(1100),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1100),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1100),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1100),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1100),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1100),
    [aux_sym_certificate_file_token1] = ACTIONS(1100),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1100),
    [aux_sym_channel_timeout_token1] = ACTIONS(1100),
    [aux_sym_check_host_ip_token1] = ACTIONS(1100),
    [aux_sym_ciphers_token1] = ACTIONS(1100),
    [aux_sym_cipher_token1] = ACTIONS(1102),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1100),
    [aux_sym_compression_token1] = ACTIONS(1100),
    [aux_sym_connection_attempts_token1] = ACTIONS(1100),
    [aux_sym_connect_timeout_token1] = ACTIONS(1100),
    [aux_sym_control_master_token1] = ACTIONS(1100),
    [aux_sym_control_path_token1] = ACTIONS(1100),
    [aux_sym_control_persist_token1] = ACTIONS(1100),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1100),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1100),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1100),
    [aux_sym_escape_char_token1] = ACTIONS(1100),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1100),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1100),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1100),
    [aux_sym_forward_agent_token1] = ACTIONS(1100),
    [aux_sym_forward_x11_token1] = ACTIONS(1102),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1100),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1100),
    [aux_sym_gateway_ports_token1] = ACTIONS(1100),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1100),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1100),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1100),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1100),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1100),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1100),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1100),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1100),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1100),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1100),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1100),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1100),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1100),
    [aux_sym_host_key_alias_token1] = ACTIONS(1100),
    [aux_sym_hostname_token1] = ACTIONS(1100),
    [aux_sym_identities_only_token1] = ACTIONS(1100),
    [aux_sym_identity_agent_token1] = ACTIONS(1100),
    [aux_sym_identity_file_token1] = ACTIONS(1100),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1100),
    [aux_sym_include_token1] = ACTIONS(1100),
    [aux_sym_ip_qos_token1] = ACTIONS(1100),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1100),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1100),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1100),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1100),
    [aux_sym_local_command_token1] = ACTIONS(1100),
    [aux_sym_local_forward_token1] = ACTIONS(1100),
    [aux_sym_log_level_token1] = ACTIONS(1100),
    [aux_sym_log_verbose_token1] = ACTIONS(1100),
    [aux_sym_macs_token1] = ACTIONS(1100),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1100),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1100),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1100),
    [aux_sym_password_authentication_token1] = ACTIONS(1100),
    [aux_sym_permit_local_command_token1] = ACTIONS(1100),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1100),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1100),
    [aux_sym_port_token1] = ACTIONS(1100),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1100),
    [aux_sym_protocol_token1] = ACTIONS(1100),
    [aux_sym_proxy_command_token1] = ACTIONS(1100),
    [aux_sym_proxy_jump_token1] = ACTIONS(1100),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1100),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1100),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1100),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1100),
    [aux_sym_rekey_limit_token1] = ACTIONS(1100),
    [aux_sym_remote_command_token1] = ACTIONS(1100),
    [aux_sym_remote_forward_token1] = ACTIONS(1100),
    [aux_sym_request_tty_token1] = ACTIONS(1100),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1100),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1100),
    [aux_sym_security_key_provider_token1] = ACTIONS(1100),
    [aux_sym_send_env_token1] = ACTIONS(1100),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1100),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1100),
    [aux_sym_session_type_token1] = ACTIONS(1100),
    [aux_sym_set_env_token1] = ACTIONS(1100),
    [aux_sym_stdin_null_token1] = ACTIONS(1100),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1100),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1100),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1100),
    [aux_sym_syslog_facility_token1] = ACTIONS(1100),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1100),
    [aux_sym_keep_alive_token1] = ACTIONS(1100),
    [aux_sym_tag_token1] = ACTIONS(1100),
    [aux_sym_tunnel_token1] = ACTIONS(1102),
    [aux_sym_tunnel_device_token1] = ACTIONS(1100),
    [aux_sym_update_host_keys_token1] = ACTIONS(1100),
    [aux_sym_use_keychain_token1] = ACTIONS(1100),
    [aux_sym_use_roaming_token1] = ACTIONS(1100),
    [aux_sym_user_token1] = ACTIONS(1102),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1100),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1100),
    [aux_sym_version_addendum_token1] = ACTIONS(1100),
    [aux_sym_visual_host_key_token1] = ACTIONS(1100),
    [aux_sym_xauth_location_token1] = ACTIONS(1100),
  },
  [106] = {
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_match_token1] = ACTIONS(1104),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1104),
    [aux_sym_address_family_token1] = ACTIONS(1104),
    [aux_sym_batch_mode_token1] = ACTIONS(1104),
    [aux_sym_bind_address_token1] = ACTIONS(1104),
    [aux_sym_bind_interface_token1] = ACTIONS(1104),
    [aux_sym_canonical_domains_token1] = ACTIONS(1104),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1104),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1104),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1104),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1104),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1104),
    [aux_sym_certificate_file_token1] = ACTIONS(1104),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1104),
    [aux_sym_channel_timeout_token1] = ACTIONS(1104),
    [aux_sym_check_host_ip_token1] = ACTIONS(1104),
    [aux_sym_ciphers_token1] = ACTIONS(1104),
    [aux_sym_cipher_token1] = ACTIONS(1106),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1104),
    [aux_sym_compression_token1] = ACTIONS(1104),
    [aux_sym_connection_attempts_token1] = ACTIONS(1104),
    [aux_sym_connect_timeout_token1] = ACTIONS(1104),
    [aux_sym_control_master_token1] = ACTIONS(1104),
    [aux_sym_control_path_token1] = ACTIONS(1104),
    [aux_sym_control_persist_token1] = ACTIONS(1104),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1104),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1104),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1104),
    [aux_sym_escape_char_token1] = ACTIONS(1104),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1104),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1104),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1104),
    [aux_sym_forward_agent_token1] = ACTIONS(1104),
    [aux_sym_forward_x11_token1] = ACTIONS(1106),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1104),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1104),
    [aux_sym_gateway_ports_token1] = ACTIONS(1104),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1104),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1104),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1104),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1104),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1104),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1104),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1104),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1104),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1104),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1104),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1104),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1104),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1104),
    [aux_sym_host_key_alias_token1] = ACTIONS(1104),
    [aux_sym_hostname_token1] = ACTIONS(1104),
    [aux_sym_identities_only_token1] = ACTIONS(1104),
    [aux_sym_identity_agent_token1] = ACTIONS(1104),
    [aux_sym_identity_file_token1] = ACTIONS(1104),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1104),
    [aux_sym_include_token1] = ACTIONS(1104),
    [aux_sym_ip_qos_token1] = ACTIONS(1104),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1104),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1104),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1104),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1104),
    [aux_sym_local_command_token1] = ACTIONS(1104),
    [aux_sym_local_forward_token1] = ACTIONS(1104),
    [aux_sym_log_level_token1] = ACTIONS(1104),
    [aux_sym_log_verbose_token1] = ACTIONS(1104),
    [aux_sym_macs_token1] = ACTIONS(1104),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1104),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1104),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1104),
    [aux_sym_password_authentication_token1] = ACTIONS(1104),
    [aux_sym_permit_local_command_token1] = ACTIONS(1104),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1104),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1104),
    [aux_sym_port_token1] = ACTIONS(1104),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1104),
    [aux_sym_protocol_token1] = ACTIONS(1104),
    [aux_sym_proxy_command_token1] = ACTIONS(1104),
    [aux_sym_proxy_jump_token1] = ACTIONS(1104),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1104),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1104),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1104),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1104),
    [aux_sym_rekey_limit_token1] = ACTIONS(1104),
    [aux_sym_remote_command_token1] = ACTIONS(1104),
    [aux_sym_remote_forward_token1] = ACTIONS(1104),
    [aux_sym_request_tty_token1] = ACTIONS(1104),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1104),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1104),
    [aux_sym_security_key_provider_token1] = ACTIONS(1104),
    [aux_sym_send_env_token1] = ACTIONS(1104),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1104),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1104),
    [aux_sym_session_type_token1] = ACTIONS(1104),
    [aux_sym_set_env_token1] = ACTIONS(1104),
    [aux_sym_stdin_null_token1] = ACTIONS(1104),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1104),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1104),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1104),
    [aux_sym_syslog_facility_token1] = ACTIONS(1104),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1104),
    [aux_sym_keep_alive_token1] = ACTIONS(1104),
    [aux_sym_tag_token1] = ACTIONS(1104),
    [aux_sym_tunnel_token1] = ACTIONS(1106),
    [aux_sym_tunnel_device_token1] = ACTIONS(1104),
    [aux_sym_update_host_keys_token1] = ACTIONS(1104),
    [aux_sym_use_keychain_token1] = ACTIONS(1104),
    [aux_sym_use_roaming_token1] = ACTIONS(1104),
    [aux_sym_user_token1] = ACTIONS(1106),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1104),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1104),
    [aux_sym_version_addendum_token1] = ACTIONS(1104),
    [aux_sym_visual_host_key_token1] = ACTIONS(1104),
    [aux_sym_xauth_location_token1] = ACTIONS(1104),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_match_token1] = ACTIONS(1110),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1110),
    [aux_sym_address_family_token1] = ACTIONS(1110),
    [aux_sym_batch_mode_token1] = ACTIONS(1110),
    [aux_sym_bind_address_token1] = ACTIONS(1110),
    [aux_sym_bind_interface_token1] = ACTIONS(1110),
    [aux_sym_canonical_domains_token1] = ACTIONS(1110),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1110),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1110),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1110),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1110),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1110),
    [aux_sym_certificate_file_token1] = ACTIONS(1110),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1110),
    [aux_sym_channel_timeout_token1] = ACTIONS(1110),
    [aux_sym_check_host_ip_token1] = ACTIONS(1110),
    [aux_sym_ciphers_token1] = ACTIONS(1110),
    [aux_sym_cipher_token1] = ACTIONS(1112),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1110),
    [aux_sym_compression_token1] = ACTIONS(1110),
    [aux_sym_connection_attempts_token1] = ACTIONS(1110),
    [aux_sym_connect_timeout_token1] = ACTIONS(1110),
    [aux_sym_control_master_token1] = ACTIONS(1110),
    [aux_sym_control_path_token1] = ACTIONS(1110),
    [aux_sym_control_persist_token1] = ACTIONS(1110),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1110),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1110),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1110),
    [aux_sym_escape_char_token1] = ACTIONS(1110),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1110),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1110),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1110),
    [aux_sym_forward_agent_token1] = ACTIONS(1110),
    [aux_sym_forward_x11_token1] = ACTIONS(1112),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1110),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1110),
    [aux_sym_gateway_ports_token1] = ACTIONS(1110),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1110),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1110),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1110),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1110),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1110),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1110),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1110),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1110),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1110),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1110),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1110),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1110),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1110),
    [aux_sym_host_key_alias_token1] = ACTIONS(1110),
    [aux_sym_hostname_token1] = ACTIONS(1110),
    [aux_sym_identities_only_token1] = ACTIONS(1110),
    [aux_sym_identity_agent_token1] = ACTIONS(1110),
    [aux_sym_identity_file_token1] = ACTIONS(1110),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1110),
    [aux_sym_include_token1] = ACTIONS(1110),
    [aux_sym_ip_qos_token1] = ACTIONS(1110),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1110),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1110),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1110),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1110),
    [aux_sym_local_command_token1] = ACTIONS(1110),
    [aux_sym_local_forward_token1] = ACTIONS(1110),
    [aux_sym_log_level_token1] = ACTIONS(1110),
    [aux_sym_log_verbose_token1] = ACTIONS(1110),
    [aux_sym_macs_token1] = ACTIONS(1110),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1110),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1110),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1110),
    [aux_sym_password_authentication_token1] = ACTIONS(1110),
    [aux_sym_permit_local_command_token1] = ACTIONS(1110),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1110),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1110),
    [aux_sym_port_token1] = ACTIONS(1110),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1110),
    [aux_sym_protocol_token1] = ACTIONS(1110),
    [aux_sym_proxy_command_token1] = ACTIONS(1110),
    [aux_sym_proxy_jump_token1] = ACTIONS(1110),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1110),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1110),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1110),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1110),
    [aux_sym_rekey_limit_token1] = ACTIONS(1110),
    [aux_sym_remote_command_token1] = ACTIONS(1110),
    [aux_sym_remote_forward_token1] = ACTIONS(1110),
    [aux_sym_request_tty_token1] = ACTIONS(1110),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1110),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1110),
    [aux_sym_security_key_provider_token1] = ACTIONS(1110),
    [aux_sym_send_env_token1] = ACTIONS(1110),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1110),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1110),
    [aux_sym_session_type_token1] = ACTIONS(1110),
    [aux_sym_set_env_token1] = ACTIONS(1110),
    [aux_sym_stdin_null_token1] = ACTIONS(1110),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1110),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1110),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1110),
    [aux_sym_syslog_facility_token1] = ACTIONS(1110),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1110),
    [aux_sym_keep_alive_token1] = ACTIONS(1110),
    [aux_sym_tag_token1] = ACTIONS(1110),
    [aux_sym_tunnel_token1] = ACTIONS(1112),
    [aux_sym_tunnel_device_token1] = ACTIONS(1110),
    [aux_sym_update_host_keys_token1] = ACTIONS(1110),
    [aux_sym_use_keychain_token1] = ACTIONS(1110),
    [aux_sym_use_roaming_token1] = ACTIONS(1110),
    [aux_sym_user_token1] = ACTIONS(1112),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1110),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1110),
    [aux_sym_version_addendum_token1] = ACTIONS(1110),
    [aux_sym_visual_host_key_token1] = ACTIONS(1110),
    [aux_sym_xauth_location_token1] = ACTIONS(1110),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_match_token1] = ACTIONS(1114),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1114),
    [aux_sym_address_family_token1] = ACTIONS(1114),
    [aux_sym_batch_mode_token1] = ACTIONS(1114),
    [aux_sym_bind_address_token1] = ACTIONS(1114),
    [aux_sym_bind_interface_token1] = ACTIONS(1114),
    [aux_sym_canonical_domains_token1] = ACTIONS(1114),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1114),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1114),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1114),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1114),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1114),
    [aux_sym_certificate_file_token1] = ACTIONS(1114),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1114),
    [aux_sym_channel_timeout_token1] = ACTIONS(1114),
    [aux_sym_check_host_ip_token1] = ACTIONS(1114),
    [aux_sym_ciphers_token1] = ACTIONS(1114),
    [aux_sym_cipher_token1] = ACTIONS(1116),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1114),
    [aux_sym_compression_token1] = ACTIONS(1114),
    [aux_sym_connection_attempts_token1] = ACTIONS(1114),
    [aux_sym_connect_timeout_token1] = ACTIONS(1114),
    [aux_sym_control_master_token1] = ACTIONS(1114),
    [aux_sym_control_path_token1] = ACTIONS(1114),
    [aux_sym_control_persist_token1] = ACTIONS(1114),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1114),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1114),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1114),
    [aux_sym_escape_char_token1] = ACTIONS(1114),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1114),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1114),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1114),
    [aux_sym_forward_agent_token1] = ACTIONS(1114),
    [aux_sym_forward_x11_token1] = ACTIONS(1116),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1114),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1114),
    [aux_sym_gateway_ports_token1] = ACTIONS(1114),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1114),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1114),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1114),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1114),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1114),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1114),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1114),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1114),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1114),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1114),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1114),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1114),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1114),
    [aux_sym_host_key_alias_token1] = ACTIONS(1114),
    [aux_sym_hostname_token1] = ACTIONS(1114),
    [aux_sym_identities_only_token1] = ACTIONS(1114),
    [aux_sym_identity_agent_token1] = ACTIONS(1114),
    [aux_sym_identity_file_token1] = ACTIONS(1114),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1114),
    [aux_sym_include_token1] = ACTIONS(1114),
    [aux_sym_ip_qos_token1] = ACTIONS(1114),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1114),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1114),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1114),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1114),
    [aux_sym_local_command_token1] = ACTIONS(1114),
    [aux_sym_local_forward_token1] = ACTIONS(1114),
    [aux_sym_log_level_token1] = ACTIONS(1114),
    [aux_sym_log_verbose_token1] = ACTIONS(1114),
    [aux_sym_macs_token1] = ACTIONS(1114),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1114),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1114),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1114),
    [aux_sym_password_authentication_token1] = ACTIONS(1114),
    [aux_sym_permit_local_command_token1] = ACTIONS(1114),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1114),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1114),
    [aux_sym_port_token1] = ACTIONS(1114),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1114),
    [aux_sym_protocol_token1] = ACTIONS(1114),
    [aux_sym_proxy_command_token1] = ACTIONS(1114),
    [aux_sym_proxy_jump_token1] = ACTIONS(1114),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1114),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1114),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1114),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1114),
    [aux_sym_rekey_limit_token1] = ACTIONS(1114),
    [aux_sym_remote_command_token1] = ACTIONS(1114),
    [aux_sym_remote_forward_token1] = ACTIONS(1114),
    [aux_sym_request_tty_token1] = ACTIONS(1114),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1114),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1114),
    [aux_sym_security_key_provider_token1] = ACTIONS(1114),
    [aux_sym_send_env_token1] = ACTIONS(1114),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1114),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1114),
    [aux_sym_session_type_token1] = ACTIONS(1114),
    [aux_sym_set_env_token1] = ACTIONS(1114),
    [aux_sym_stdin_null_token1] = ACTIONS(1114),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1114),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1114),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1114),
    [aux_sym_syslog_facility_token1] = ACTIONS(1114),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1114),
    [aux_sym_keep_alive_token1] = ACTIONS(1114),
    [aux_sym_tag_token1] = ACTIONS(1114),
    [aux_sym_tunnel_token1] = ACTIONS(1116),
    [aux_sym_tunnel_device_token1] = ACTIONS(1114),
    [aux_sym_update_host_keys_token1] = ACTIONS(1114),
    [aux_sym_use_keychain_token1] = ACTIONS(1114),
    [aux_sym_use_roaming_token1] = ACTIONS(1114),
    [aux_sym_user_token1] = ACTIONS(1116),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1114),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1114),
    [aux_sym_version_addendum_token1] = ACTIONS(1114),
    [aux_sym_visual_host_key_token1] = ACTIONS(1114),
    [aux_sym_xauth_location_token1] = ACTIONS(1114),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_match_token1] = ACTIONS(1120),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1120),
    [aux_sym_address_family_token1] = ACTIONS(1120),
    [aux_sym_batch_mode_token1] = ACTIONS(1120),
    [aux_sym_bind_address_token1] = ACTIONS(1120),
    [aux_sym_bind_interface_token1] = ACTIONS(1120),
    [aux_sym_canonical_domains_token1] = ACTIONS(1120),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1120),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1120),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1120),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1120),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1120),
    [aux_sym_certificate_file_token1] = ACTIONS(1120),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1120),
    [aux_sym_channel_timeout_token1] = ACTIONS(1120),
    [aux_sym_check_host_ip_token1] = ACTIONS(1120),
    [aux_sym_ciphers_token1] = ACTIONS(1120),
    [aux_sym_cipher_token1] = ACTIONS(1122),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1120),
    [aux_sym_compression_token1] = ACTIONS(1120),
    [aux_sym_connection_attempts_token1] = ACTIONS(1120),
    [aux_sym_connect_timeout_token1] = ACTIONS(1120),
    [aux_sym_control_master_token1] = ACTIONS(1120),
    [aux_sym_control_path_token1] = ACTIONS(1120),
    [aux_sym_control_persist_token1] = ACTIONS(1120),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1120),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1120),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1120),
    [aux_sym_escape_char_token1] = ACTIONS(1120),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1120),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1120),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1120),
    [aux_sym_forward_agent_token1] = ACTIONS(1120),
    [aux_sym_forward_x11_token1] = ACTIONS(1122),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1120),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1120),
    [aux_sym_gateway_ports_token1] = ACTIONS(1120),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1120),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1120),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1120),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1120),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1120),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1120),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1120),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1120),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1120),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1120),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1120),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1120),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1120),
    [aux_sym_host_key_alias_token1] = ACTIONS(1120),
    [aux_sym_hostname_token1] = ACTIONS(1120),
    [aux_sym_identities_only_token1] = ACTIONS(1120),
    [aux_sym_identity_agent_token1] = ACTIONS(1120),
    [aux_sym_identity_file_token1] = ACTIONS(1120),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1120),
    [aux_sym_include_token1] = ACTIONS(1120),
    [aux_sym_ip_qos_token1] = ACTIONS(1120),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1120),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1120),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1120),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1120),
    [aux_sym_local_command_token1] = ACTIONS(1120),
    [aux_sym_local_forward_token1] = ACTIONS(1120),
    [aux_sym_log_level_token1] = ACTIONS(1120),
    [aux_sym_log_verbose_token1] = ACTIONS(1120),
    [aux_sym_macs_token1] = ACTIONS(1120),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1120),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1120),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1120),
    [aux_sym_password_authentication_token1] = ACTIONS(1120),
    [aux_sym_permit_local_command_token1] = ACTIONS(1120),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1120),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1120),
    [aux_sym_port_token1] = ACTIONS(1120),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1120),
    [aux_sym_protocol_token1] = ACTIONS(1120),
    [aux_sym_proxy_command_token1] = ACTIONS(1120),
    [aux_sym_proxy_jump_token1] = ACTIONS(1120),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1120),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1120),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1120),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1120),
    [aux_sym_rekey_limit_token1] = ACTIONS(1120),
    [aux_sym_remote_command_token1] = ACTIONS(1120),
    [aux_sym_remote_forward_token1] = ACTIONS(1120),
    [aux_sym_request_tty_token1] = ACTIONS(1120),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1120),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1120),
    [aux_sym_security_key_provider_token1] = ACTIONS(1120),
    [aux_sym_send_env_token1] = ACTIONS(1120),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1120),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1120),
    [aux_sym_session_type_token1] = ACTIONS(1120),
    [aux_sym_set_env_token1] = ACTIONS(1120),
    [aux_sym_stdin_null_token1] = ACTIONS(1120),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1120),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1120),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1120),
    [aux_sym_syslog_facility_token1] = ACTIONS(1120),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1120),
    [aux_sym_keep_alive_token1] = ACTIONS(1120),
    [aux_sym_tag_token1] = ACTIONS(1120),
    [aux_sym_tunnel_token1] = ACTIONS(1122),
    [aux_sym_tunnel_device_token1] = ACTIONS(1120),
    [aux_sym_update_host_keys_token1] = ACTIONS(1120),
    [aux_sym_use_keychain_token1] = ACTIONS(1120),
    [aux_sym_use_roaming_token1] = ACTIONS(1120),
    [aux_sym_user_token1] = ACTIONS(1122),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1120),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1120),
    [aux_sym_version_addendum_token1] = ACTIONS(1120),
    [aux_sym_visual_host_key_token1] = ACTIONS(1120),
    [aux_sym_xauth_location_token1] = ACTIONS(1120),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_match_token1] = ACTIONS(1124),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1124),
    [aux_sym_address_family_token1] = ACTIONS(1124),
    [aux_sym_batch_mode_token1] = ACTIONS(1124),
    [aux_sym_bind_address_token1] = ACTIONS(1124),
    [aux_sym_bind_interface_token1] = ACTIONS(1124),
    [aux_sym_canonical_domains_token1] = ACTIONS(1124),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1124),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1124),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1124),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1124),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1124),
    [aux_sym_certificate_file_token1] = ACTIONS(1124),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1124),
    [aux_sym_channel_timeout_token1] = ACTIONS(1124),
    [aux_sym_check_host_ip_token1] = ACTIONS(1124),
    [aux_sym_ciphers_token1] = ACTIONS(1124),
    [aux_sym_cipher_token1] = ACTIONS(1126),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1124),
    [aux_sym_compression_token1] = ACTIONS(1124),
    [aux_sym_connection_attempts_token1] = ACTIONS(1124),
    [aux_sym_connect_timeout_token1] = ACTIONS(1124),
    [aux_sym_control_master_token1] = ACTIONS(1124),
    [aux_sym_control_path_token1] = ACTIONS(1124),
    [aux_sym_control_persist_token1] = ACTIONS(1124),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1124),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1124),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1124),
    [aux_sym_escape_char_token1] = ACTIONS(1124),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1124),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1124),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1124),
    [aux_sym_forward_agent_token1] = ACTIONS(1124),
    [aux_sym_forward_x11_token1] = ACTIONS(1126),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1124),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1124),
    [aux_sym_gateway_ports_token1] = ACTIONS(1124),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1124),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1124),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1124),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1124),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1124),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1124),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1124),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1124),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1124),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1124),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1124),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1124),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1124),
    [aux_sym_host_key_alias_token1] = ACTIONS(1124),
    [aux_sym_hostname_token1] = ACTIONS(1124),
    [aux_sym_identities_only_token1] = ACTIONS(1124),
    [aux_sym_identity_agent_token1] = ACTIONS(1124),
    [aux_sym_identity_file_token1] = ACTIONS(1124),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1124),
    [aux_sym_include_token1] = ACTIONS(1124),
    [aux_sym_ip_qos_token1] = ACTIONS(1124),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1124),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1124),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1124),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1124),
    [aux_sym_local_command_token1] = ACTIONS(1124),
    [aux_sym_local_forward_token1] = ACTIONS(1124),
    [aux_sym_log_level_token1] = ACTIONS(1124),
    [aux_sym_log_verbose_token1] = ACTIONS(1124),
    [aux_sym_macs_token1] = ACTIONS(1124),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1124),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1124),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1124),
    [aux_sym_password_authentication_token1] = ACTIONS(1124),
    [aux_sym_permit_local_command_token1] = ACTIONS(1124),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1124),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1124),
    [aux_sym_port_token1] = ACTIONS(1124),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1124),
    [aux_sym_protocol_token1] = ACTIONS(1124),
    [aux_sym_proxy_command_token1] = ACTIONS(1124),
    [aux_sym_proxy_jump_token1] = ACTIONS(1124),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1124),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1124),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1124),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1124),
    [aux_sym_rekey_limit_token1] = ACTIONS(1124),
    [aux_sym_remote_command_token1] = ACTIONS(1124),
    [aux_sym_remote_forward_token1] = ACTIONS(1124),
    [aux_sym_request_tty_token1] = ACTIONS(1124),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1124),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1124),
    [aux_sym_security_key_provider_token1] = ACTIONS(1124),
    [aux_sym_send_env_token1] = ACTIONS(1124),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1124),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1124),
    [aux_sym_session_type_token1] = ACTIONS(1124),
    [aux_sym_set_env_token1] = ACTIONS(1124),
    [aux_sym_stdin_null_token1] = ACTIONS(1124),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1124),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1124),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1124),
    [aux_sym_syslog_facility_token1] = ACTIONS(1124),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1124),
    [aux_sym_keep_alive_token1] = ACTIONS(1124),
    [aux_sym_tag_token1] = ACTIONS(1124),
    [aux_sym_tunnel_token1] = ACTIONS(1126),
    [aux_sym_tunnel_device_token1] = ACTIONS(1124),
    [aux_sym_update_host_keys_token1] = ACTIONS(1124),
    [aux_sym_use_keychain_token1] = ACTIONS(1124),
    [aux_sym_use_roaming_token1] = ACTIONS(1124),
    [aux_sym_user_token1] = ACTIONS(1126),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1124),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1124),
    [aux_sym_version_addendum_token1] = ACTIONS(1124),
    [aux_sym_visual_host_key_token1] = ACTIONS(1124),
    [aux_sym_xauth_location_token1] = ACTIONS(1124),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_match_token1] = ACTIONS(1130),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1130),
    [aux_sym_address_family_token1] = ACTIONS(1130),
    [aux_sym_batch_mode_token1] = ACTIONS(1130),
    [aux_sym_bind_address_token1] = ACTIONS(1130),
    [aux_sym_bind_interface_token1] = ACTIONS(1130),
    [aux_sym_canonical_domains_token1] = ACTIONS(1130),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1130),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1130),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1130),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1130),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1130),
    [aux_sym_certificate_file_token1] = ACTIONS(1130),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1130),
    [aux_sym_channel_timeout_token1] = ACTIONS(1130),
    [aux_sym_check_host_ip_token1] = ACTIONS(1130),
    [aux_sym_ciphers_token1] = ACTIONS(1130),
    [aux_sym_cipher_token1] = ACTIONS(1132),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1130),
    [aux_sym_compression_token1] = ACTIONS(1130),
    [aux_sym_connection_attempts_token1] = ACTIONS(1130),
    [aux_sym_connect_timeout_token1] = ACTIONS(1130),
    [aux_sym_control_master_token1] = ACTIONS(1130),
    [aux_sym_control_path_token1] = ACTIONS(1130),
    [aux_sym_control_persist_token1] = ACTIONS(1130),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1130),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1130),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1130),
    [aux_sym_escape_char_token1] = ACTIONS(1130),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1130),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1130),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1130),
    [aux_sym_forward_agent_token1] = ACTIONS(1130),
    [aux_sym_forward_x11_token1] = ACTIONS(1132),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1130),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1130),
    [aux_sym_gateway_ports_token1] = ACTIONS(1130),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1130),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1130),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1130),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1130),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1130),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1130),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1130),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1130),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1130),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1130),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1130),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1130),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1130),
    [aux_sym_host_key_alias_token1] = ACTIONS(1130),
    [aux_sym_hostname_token1] = ACTIONS(1130),
    [aux_sym_identities_only_token1] = ACTIONS(1130),
    [aux_sym_identity_agent_token1] = ACTIONS(1130),
    [aux_sym_identity_file_token1] = ACTIONS(1130),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1130),
    [aux_sym_include_token1] = ACTIONS(1130),
    [aux_sym_ip_qos_token1] = ACTIONS(1130),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1130),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1130),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1130),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1130),
    [aux_sym_local_command_token1] = ACTIONS(1130),
    [aux_sym_local_forward_token1] = ACTIONS(1130),
    [aux_sym_log_level_token1] = ACTIONS(1130),
    [aux_sym_log_verbose_token1] = ACTIONS(1130),
    [aux_sym_macs_token1] = ACTIONS(1130),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1130),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1130),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1130),
    [aux_sym_password_authentication_token1] = ACTIONS(1130),
    [aux_sym_permit_local_command_token1] = ACTIONS(1130),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1130),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1130),
    [aux_sym_port_token1] = ACTIONS(1130),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1130),
    [aux_sym_protocol_token1] = ACTIONS(1130),
    [aux_sym_proxy_command_token1] = ACTIONS(1130),
    [aux_sym_proxy_jump_token1] = ACTIONS(1130),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1130),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1130),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1130),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1130),
    [aux_sym_rekey_limit_token1] = ACTIONS(1130),
    [aux_sym_remote_command_token1] = ACTIONS(1130),
    [aux_sym_remote_forward_token1] = ACTIONS(1130),
    [aux_sym_request_tty_token1] = ACTIONS(1130),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1130),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1130),
    [aux_sym_security_key_provider_token1] = ACTIONS(1130),
    [aux_sym_send_env_token1] = ACTIONS(1130),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1130),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1130),
    [aux_sym_session_type_token1] = ACTIONS(1130),
    [aux_sym_set_env_token1] = ACTIONS(1130),
    [aux_sym_stdin_null_token1] = ACTIONS(1130),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1130),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1130),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1130),
    [aux_sym_syslog_facility_token1] = ACTIONS(1130),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1130),
    [aux_sym_keep_alive_token1] = ACTIONS(1130),
    [aux_sym_tag_token1] = ACTIONS(1130),
    [aux_sym_tunnel_token1] = ACTIONS(1132),
    [aux_sym_tunnel_device_token1] = ACTIONS(1130),
    [aux_sym_update_host_keys_token1] = ACTIONS(1130),
    [aux_sym_use_keychain_token1] = ACTIONS(1130),
    [aux_sym_use_roaming_token1] = ACTIONS(1130),
    [aux_sym_user_token1] = ACTIONS(1132),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1130),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1130),
    [aux_sym_version_addendum_token1] = ACTIONS(1130),
    [aux_sym_visual_host_key_token1] = ACTIONS(1130),
    [aux_sym_xauth_location_token1] = ACTIONS(1130),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_match_token1] = ACTIONS(1134),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1134),
    [aux_sym_address_family_token1] = ACTIONS(1134),
    [aux_sym_batch_mode_token1] = ACTIONS(1134),
    [aux_sym_bind_address_token1] = ACTIONS(1134),
    [aux_sym_bind_interface_token1] = ACTIONS(1134),
    [aux_sym_canonical_domains_token1] = ACTIONS(1134),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1134),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1134),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1134),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1134),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1134),
    [aux_sym_certificate_file_token1] = ACTIONS(1134),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1134),
    [aux_sym_channel_timeout_token1] = ACTIONS(1134),
    [aux_sym_check_host_ip_token1] = ACTIONS(1134),
    [aux_sym_ciphers_token1] = ACTIONS(1134),
    [aux_sym_cipher_token1] = ACTIONS(1136),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1134),
    [aux_sym_compression_token1] = ACTIONS(1134),
    [aux_sym_connection_attempts_token1] = ACTIONS(1134),
    [aux_sym_connect_timeout_token1] = ACTIONS(1134),
    [aux_sym_control_master_token1] = ACTIONS(1134),
    [aux_sym_control_path_token1] = ACTIONS(1134),
    [aux_sym_control_persist_token1] = ACTIONS(1134),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1134),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1134),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1134),
    [aux_sym_escape_char_token1] = ACTIONS(1134),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1134),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1134),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1134),
    [aux_sym_forward_agent_token1] = ACTIONS(1134),
    [aux_sym_forward_x11_token1] = ACTIONS(1136),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1134),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1134),
    [aux_sym_gateway_ports_token1] = ACTIONS(1134),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1134),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1134),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1134),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1134),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1134),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1134),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1134),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1134),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1134),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1134),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1134),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1134),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1134),
    [aux_sym_host_key_alias_token1] = ACTIONS(1134),
    [aux_sym_hostname_token1] = ACTIONS(1134),
    [aux_sym_identities_only_token1] = ACTIONS(1134),
    [aux_sym_identity_agent_token1] = ACTIONS(1134),
    [aux_sym_identity_file_token1] = ACTIONS(1134),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1134),
    [aux_sym_include_token1] = ACTIONS(1134),
    [aux_sym_ip_qos_token1] = ACTIONS(1134),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1134),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1134),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1134),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1134),
    [aux_sym_local_command_token1] = ACTIONS(1134),
    [aux_sym_local_forward_token1] = ACTIONS(1134),
    [aux_sym_log_level_token1] = ACTIONS(1134),
    [aux_sym_log_verbose_token1] = ACTIONS(1134),
    [aux_sym_macs_token1] = ACTIONS(1134),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1134),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1134),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1134),
    [aux_sym_password_authentication_token1] = ACTIONS(1134),
    [aux_sym_permit_local_command_token1] = ACTIONS(1134),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1134),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1134),
    [aux_sym_port_token1] = ACTIONS(1134),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1134),
    [aux_sym_protocol_token1] = ACTIONS(1134),
    [aux_sym_proxy_command_token1] = ACTIONS(1134),
    [aux_sym_proxy_jump_token1] = ACTIONS(1134),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1134),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1134),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1134),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1134),
    [aux_sym_rekey_limit_token1] = ACTIONS(1134),
    [aux_sym_remote_command_token1] = ACTIONS(1134),
    [aux_sym_remote_forward_token1] = ACTIONS(1134),
    [aux_sym_request_tty_token1] = ACTIONS(1134),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1134),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1134),
    [aux_sym_security_key_provider_token1] = ACTIONS(1134),
    [aux_sym_send_env_token1] = ACTIONS(1134),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1134),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1134),
    [aux_sym_session_type_token1] = ACTIONS(1134),
    [aux_sym_set_env_token1] = ACTIONS(1134),
    [aux_sym_stdin_null_token1] = ACTIONS(1134),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1134),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1134),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1134),
    [aux_sym_syslog_facility_token1] = ACTIONS(1134),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1134),
    [aux_sym_keep_alive_token1] = ACTIONS(1134),
    [aux_sym_tag_token1] = ACTIONS(1134),
    [aux_sym_tunnel_token1] = ACTIONS(1136),
    [aux_sym_tunnel_device_token1] = ACTIONS(1134),
    [aux_sym_update_host_keys_token1] = ACTIONS(1134),
    [aux_sym_use_keychain_token1] = ACTIONS(1134),
    [aux_sym_use_roaming_token1] = ACTIONS(1134),
    [aux_sym_user_token1] = ACTIONS(1136),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1134),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1134),
    [aux_sym_version_addendum_token1] = ACTIONS(1134),
    [aux_sym_visual_host_key_token1] = ACTIONS(1134),
    [aux_sym_xauth_location_token1] = ACTIONS(1134),
  },
  [113] = {
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_match_token1] = ACTIONS(1140),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1140),
    [aux_sym_address_family_token1] = ACTIONS(1140),
    [aux_sym_batch_mode_token1] = ACTIONS(1140),
    [aux_sym_bind_address_token1] = ACTIONS(1140),
    [aux_sym_bind_interface_token1] = ACTIONS(1140),
    [aux_sym_canonical_domains_token1] = ACTIONS(1140),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1140),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1140),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1140),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1140),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1140),
    [aux_sym_certificate_file_token1] = ACTIONS(1140),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1140),
    [aux_sym_channel_timeout_token1] = ACTIONS(1140),
    [aux_sym_check_host_ip_token1] = ACTIONS(1140),
    [aux_sym_ciphers_token1] = ACTIONS(1140),
    [aux_sym_cipher_token1] = ACTIONS(1142),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1140),
    [aux_sym_compression_token1] = ACTIONS(1140),
    [aux_sym_connection_attempts_token1] = ACTIONS(1140),
    [aux_sym_connect_timeout_token1] = ACTIONS(1140),
    [aux_sym_control_master_token1] = ACTIONS(1140),
    [aux_sym_control_path_token1] = ACTIONS(1140),
    [aux_sym_control_persist_token1] = ACTIONS(1140),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1140),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1140),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1140),
    [aux_sym_escape_char_token1] = ACTIONS(1140),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1140),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1140),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1140),
    [aux_sym_forward_agent_token1] = ACTIONS(1140),
    [aux_sym_forward_x11_token1] = ACTIONS(1142),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1140),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1140),
    [aux_sym_gateway_ports_token1] = ACTIONS(1140),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1140),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1140),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1140),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1140),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1140),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1140),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1140),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1140),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1140),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1140),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1140),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1140),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1140),
    [aux_sym_host_key_alias_token1] = ACTIONS(1140),
    [aux_sym_hostname_token1] = ACTIONS(1140),
    [aux_sym_identities_only_token1] = ACTIONS(1140),
    [aux_sym_identity_agent_token1] = ACTIONS(1140),
    [aux_sym_identity_file_token1] = ACTIONS(1140),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1140),
    [aux_sym_include_token1] = ACTIONS(1140),
    [aux_sym_ip_qos_token1] = ACTIONS(1140),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1140),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1140),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1140),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1140),
    [aux_sym_local_command_token1] = ACTIONS(1140),
    [aux_sym_local_forward_token1] = ACTIONS(1140),
    [aux_sym_log_level_token1] = ACTIONS(1140),
    [aux_sym_log_verbose_token1] = ACTIONS(1140),
    [aux_sym_macs_token1] = ACTIONS(1140),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1140),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1140),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1140),
    [aux_sym_password_authentication_token1] = ACTIONS(1140),
    [aux_sym_permit_local_command_token1] = ACTIONS(1140),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1140),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1140),
    [aux_sym_port_token1] = ACTIONS(1140),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1140),
    [aux_sym_protocol_token1] = ACTIONS(1140),
    [aux_sym_proxy_command_token1] = ACTIONS(1140),
    [aux_sym_proxy_jump_token1] = ACTIONS(1140),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1140),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1140),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1140),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1140),
    [aux_sym_rekey_limit_token1] = ACTIONS(1140),
    [aux_sym_remote_command_token1] = ACTIONS(1140),
    [aux_sym_remote_forward_token1] = ACTIONS(1140),
    [aux_sym_request_tty_token1] = ACTIONS(1140),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1140),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1140),
    [aux_sym_security_key_provider_token1] = ACTIONS(1140),
    [aux_sym_send_env_token1] = ACTIONS(1140),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1140),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1140),
    [aux_sym_session_type_token1] = ACTIONS(1140),
    [aux_sym_set_env_token1] = ACTIONS(1140),
    [aux_sym_stdin_null_token1] = ACTIONS(1140),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1140),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1140),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1140),
    [aux_sym_syslog_facility_token1] = ACTIONS(1140),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1140),
    [aux_sym_keep_alive_token1] = ACTIONS(1140),
    [aux_sym_tag_token1] = ACTIONS(1140),
    [aux_sym_tunnel_token1] = ACTIONS(1142),
    [aux_sym_tunnel_device_token1] = ACTIONS(1140),
    [aux_sym_update_host_keys_token1] = ACTIONS(1140),
    [aux_sym_use_keychain_token1] = ACTIONS(1140),
    [aux_sym_use_roaming_token1] = ACTIONS(1140),
    [aux_sym_user_token1] = ACTIONS(1142),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1140),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1140),
    [aux_sym_version_addendum_token1] = ACTIONS(1140),
    [aux_sym_visual_host_key_token1] = ACTIONS(1140),
    [aux_sym_xauth_location_token1] = ACTIONS(1140),
  },
  [114] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_match_token1] = ACTIONS(1144),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1144),
    [aux_sym_address_family_token1] = ACTIONS(1144),
    [aux_sym_batch_mode_token1] = ACTIONS(1144),
    [aux_sym_bind_address_token1] = ACTIONS(1144),
    [aux_sym_bind_interface_token1] = ACTIONS(1144),
    [aux_sym_canonical_domains_token1] = ACTIONS(1144),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1144),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1144),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1144),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1144),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1144),
    [aux_sym_certificate_file_token1] = ACTIONS(1144),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1144),
    [aux_sym_channel_timeout_token1] = ACTIONS(1144),
    [aux_sym_check_host_ip_token1] = ACTIONS(1144),
    [aux_sym_ciphers_token1] = ACTIONS(1144),
    [aux_sym_cipher_token1] = ACTIONS(1146),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1144),
    [aux_sym_compression_token1] = ACTIONS(1144),
    [aux_sym_connection_attempts_token1] = ACTIONS(1144),
    [aux_sym_connect_timeout_token1] = ACTIONS(1144),
    [aux_sym_control_master_token1] = ACTIONS(1144),
    [aux_sym_control_path_token1] = ACTIONS(1144),
    [aux_sym_control_persist_token1] = ACTIONS(1144),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1144),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1144),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1144),
    [aux_sym_escape_char_token1] = ACTIONS(1144),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1144),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1144),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1144),
    [aux_sym_forward_agent_token1] = ACTIONS(1144),
    [aux_sym_forward_x11_token1] = ACTIONS(1146),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1144),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1144),
    [aux_sym_gateway_ports_token1] = ACTIONS(1144),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1144),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1144),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1144),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1144),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1144),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1144),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1144),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1144),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1144),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1144),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1144),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1144),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1144),
    [aux_sym_host_key_alias_token1] = ACTIONS(1144),
    [aux_sym_hostname_token1] = ACTIONS(1144),
    [aux_sym_identities_only_token1] = ACTIONS(1144),
    [aux_sym_identity_agent_token1] = ACTIONS(1144),
    [aux_sym_identity_file_token1] = ACTIONS(1144),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1144),
    [aux_sym_include_token1] = ACTIONS(1144),
    [aux_sym_ip_qos_token1] = ACTIONS(1144),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1144),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1144),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1144),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1144),
    [aux_sym_local_command_token1] = ACTIONS(1144),
    [aux_sym_local_forward_token1] = ACTIONS(1144),
    [aux_sym_log_level_token1] = ACTIONS(1144),
    [aux_sym_log_verbose_token1] = ACTIONS(1144),
    [aux_sym_macs_token1] = ACTIONS(1144),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1144),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1144),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1144),
    [aux_sym_password_authentication_token1] = ACTIONS(1144),
    [aux_sym_permit_local_command_token1] = ACTIONS(1144),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1144),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1144),
    [aux_sym_port_token1] = ACTIONS(1144),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1144),
    [aux_sym_protocol_token1] = ACTIONS(1144),
    [aux_sym_proxy_command_token1] = ACTIONS(1144),
    [aux_sym_proxy_jump_token1] = ACTIONS(1144),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1144),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1144),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1144),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1144),
    [aux_sym_rekey_limit_token1] = ACTIONS(1144),
    [aux_sym_remote_command_token1] = ACTIONS(1144),
    [aux_sym_remote_forward_token1] = ACTIONS(1144),
    [aux_sym_request_tty_token1] = ACTIONS(1144),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1144),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1144),
    [aux_sym_security_key_provider_token1] = ACTIONS(1144),
    [aux_sym_send_env_token1] = ACTIONS(1144),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1144),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1144),
    [aux_sym_session_type_token1] = ACTIONS(1144),
    [aux_sym_set_env_token1] = ACTIONS(1144),
    [aux_sym_stdin_null_token1] = ACTIONS(1144),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1144),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1144),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1144),
    [aux_sym_syslog_facility_token1] = ACTIONS(1144),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1144),
    [aux_sym_keep_alive_token1] = ACTIONS(1144),
    [aux_sym_tag_token1] = ACTIONS(1144),
    [aux_sym_tunnel_token1] = ACTIONS(1146),
    [aux_sym_tunnel_device_token1] = ACTIONS(1144),
    [aux_sym_update_host_keys_token1] = ACTIONS(1144),
    [aux_sym_use_keychain_token1] = ACTIONS(1144),
    [aux_sym_use_roaming_token1] = ACTIONS(1144),
    [aux_sym_user_token1] = ACTIONS(1146),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1144),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1144),
    [aux_sym_version_addendum_token1] = ACTIONS(1144),
    [aux_sym_visual_host_key_token1] = ACTIONS(1144),
    [aux_sym_xauth_location_token1] = ACTIONS(1144),
  },
  [115] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_match_token1] = ACTIONS(1150),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1150),
    [aux_sym_address_family_token1] = ACTIONS(1150),
    [aux_sym_batch_mode_token1] = ACTIONS(1150),
    [aux_sym_bind_address_token1] = ACTIONS(1150),
    [aux_sym_bind_interface_token1] = ACTIONS(1150),
    [aux_sym_canonical_domains_token1] = ACTIONS(1150),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1150),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1150),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1150),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1150),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1150),
    [aux_sym_certificate_file_token1] = ACTIONS(1150),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1150),
    [aux_sym_channel_timeout_token1] = ACTIONS(1150),
    [aux_sym_check_host_ip_token1] = ACTIONS(1150),
    [aux_sym_ciphers_token1] = ACTIONS(1150),
    [aux_sym_cipher_token1] = ACTIONS(1152),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1150),
    [aux_sym_compression_token1] = ACTIONS(1150),
    [aux_sym_connection_attempts_token1] = ACTIONS(1150),
    [aux_sym_connect_timeout_token1] = ACTIONS(1150),
    [aux_sym_control_master_token1] = ACTIONS(1150),
    [aux_sym_control_path_token1] = ACTIONS(1150),
    [aux_sym_control_persist_token1] = ACTIONS(1150),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1150),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1150),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1150),
    [aux_sym_escape_char_token1] = ACTIONS(1150),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1150),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1150),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1150),
    [aux_sym_forward_agent_token1] = ACTIONS(1150),
    [aux_sym_forward_x11_token1] = ACTIONS(1152),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1150),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1150),
    [aux_sym_gateway_ports_token1] = ACTIONS(1150),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1150),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1150),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1150),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1150),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1150),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1150),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1150),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1150),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1150),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1150),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1150),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1150),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1150),
    [aux_sym_host_key_alias_token1] = ACTIONS(1150),
    [aux_sym_hostname_token1] = ACTIONS(1150),
    [aux_sym_identities_only_token1] = ACTIONS(1150),
    [aux_sym_identity_agent_token1] = ACTIONS(1150),
    [aux_sym_identity_file_token1] = ACTIONS(1150),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1150),
    [aux_sym_include_token1] = ACTIONS(1150),
    [aux_sym_ip_qos_token1] = ACTIONS(1150),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1150),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1150),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1150),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1150),
    [aux_sym_local_command_token1] = ACTIONS(1150),
    [aux_sym_local_forward_token1] = ACTIONS(1150),
    [aux_sym_log_level_token1] = ACTIONS(1150),
    [aux_sym_log_verbose_token1] = ACTIONS(1150),
    [aux_sym_macs_token1] = ACTIONS(1150),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1150),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1150),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1150),
    [aux_sym_password_authentication_token1] = ACTIONS(1150),
    [aux_sym_permit_local_command_token1] = ACTIONS(1150),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1150),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1150),
    [aux_sym_port_token1] = ACTIONS(1150),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1150),
    [aux_sym_protocol_token1] = ACTIONS(1150),
    [aux_sym_proxy_command_token1] = ACTIONS(1150),
    [aux_sym_proxy_jump_token1] = ACTIONS(1150),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1150),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1150),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1150),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1150),
    [aux_sym_rekey_limit_token1] = ACTIONS(1150),
    [aux_sym_remote_command_token1] = ACTIONS(1150),
    [aux_sym_remote_forward_token1] = ACTIONS(1150),
    [aux_sym_request_tty_token1] = ACTIONS(1150),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1150),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1150),
    [aux_sym_security_key_provider_token1] = ACTIONS(1150),
    [aux_sym_send_env_token1] = ACTIONS(1150),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1150),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1150),
    [aux_sym_session_type_token1] = ACTIONS(1150),
    [aux_sym_set_env_token1] = ACTIONS(1150),
    [aux_sym_stdin_null_token1] = ACTIONS(1150),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1150),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1150),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1150),
    [aux_sym_syslog_facility_token1] = ACTIONS(1150),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1150),
    [aux_sym_keep_alive_token1] = ACTIONS(1150),
    [aux_sym_tag_token1] = ACTIONS(1150),
    [aux_sym_tunnel_token1] = ACTIONS(1152),
    [aux_sym_tunnel_device_token1] = ACTIONS(1150),
    [aux_sym_update_host_keys_token1] = ACTIONS(1150),
    [aux_sym_use_keychain_token1] = ACTIONS(1150),
    [aux_sym_use_roaming_token1] = ACTIONS(1150),
    [aux_sym_user_token1] = ACTIONS(1152),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1150),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1150),
    [aux_sym_version_addendum_token1] = ACTIONS(1150),
    [aux_sym_visual_host_key_token1] = ACTIONS(1150),
    [aux_sym_xauth_location_token1] = ACTIONS(1150),
  },
  [116] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_match_token1] = ACTIONS(1154),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1154),
    [aux_sym_address_family_token1] = ACTIONS(1154),
    [aux_sym_batch_mode_token1] = ACTIONS(1154),
    [aux_sym_bind_address_token1] = ACTIONS(1154),
    [aux_sym_bind_interface_token1] = ACTIONS(1154),
    [aux_sym_canonical_domains_token1] = ACTIONS(1154),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1154),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1154),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1154),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1154),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1154),
    [aux_sym_certificate_file_token1] = ACTIONS(1154),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1154),
    [aux_sym_channel_timeout_token1] = ACTIONS(1154),
    [aux_sym_check_host_ip_token1] = ACTIONS(1154),
    [aux_sym_ciphers_token1] = ACTIONS(1154),
    [aux_sym_cipher_token1] = ACTIONS(1156),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1154),
    [aux_sym_compression_token1] = ACTIONS(1154),
    [aux_sym_connection_attempts_token1] = ACTIONS(1154),
    [aux_sym_connect_timeout_token1] = ACTIONS(1154),
    [aux_sym_control_master_token1] = ACTIONS(1154),
    [aux_sym_control_path_token1] = ACTIONS(1154),
    [aux_sym_control_persist_token1] = ACTIONS(1154),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1154),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1154),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1154),
    [aux_sym_escape_char_token1] = ACTIONS(1154),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1154),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1154),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1154),
    [aux_sym_forward_agent_token1] = ACTIONS(1154),
    [aux_sym_forward_x11_token1] = ACTIONS(1156),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1154),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1154),
    [aux_sym_gateway_ports_token1] = ACTIONS(1154),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1154),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1154),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1154),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1154),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1154),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1154),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1154),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1154),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1154),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1154),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1154),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1154),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1154),
    [aux_sym_host_key_alias_token1] = ACTIONS(1154),
    [aux_sym_hostname_token1] = ACTIONS(1154),
    [aux_sym_identities_only_token1] = ACTIONS(1154),
    [aux_sym_identity_agent_token1] = ACTIONS(1154),
    [aux_sym_identity_file_token1] = ACTIONS(1154),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1154),
    [aux_sym_include_token1] = ACTIONS(1154),
    [aux_sym_ip_qos_token1] = ACTIONS(1154),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1154),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1154),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1154),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1154),
    [aux_sym_local_command_token1] = ACTIONS(1154),
    [aux_sym_local_forward_token1] = ACTIONS(1154),
    [aux_sym_log_level_token1] = ACTIONS(1154),
    [aux_sym_log_verbose_token1] = ACTIONS(1154),
    [aux_sym_macs_token1] = ACTIONS(1154),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1154),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1154),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1154),
    [aux_sym_password_authentication_token1] = ACTIONS(1154),
    [aux_sym_permit_local_command_token1] = ACTIONS(1154),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1154),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1154),
    [aux_sym_port_token1] = ACTIONS(1154),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1154),
    [aux_sym_protocol_token1] = ACTIONS(1154),
    [aux_sym_proxy_command_token1] = ACTIONS(1154),
    [aux_sym_proxy_jump_token1] = ACTIONS(1154),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1154),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1154),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1154),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1154),
    [aux_sym_rekey_limit_token1] = ACTIONS(1154),
    [aux_sym_remote_command_token1] = ACTIONS(1154),
    [aux_sym_remote_forward_token1] = ACTIONS(1154),
    [aux_sym_request_tty_token1] = ACTIONS(1154),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1154),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1154),
    [aux_sym_security_key_provider_token1] = ACTIONS(1154),
    [aux_sym_send_env_token1] = ACTIONS(1154),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1154),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1154),
    [aux_sym_session_type_token1] = ACTIONS(1154),
    [aux_sym_set_env_token1] = ACTIONS(1154),
    [aux_sym_stdin_null_token1] = ACTIONS(1154),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1154),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1154),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1154),
    [aux_sym_syslog_facility_token1] = ACTIONS(1154),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1154),
    [aux_sym_keep_alive_token1] = ACTIONS(1154),
    [aux_sym_tag_token1] = ACTIONS(1154),
    [aux_sym_tunnel_token1] = ACTIONS(1156),
    [aux_sym_tunnel_device_token1] = ACTIONS(1154),
    [aux_sym_update_host_keys_token1] = ACTIONS(1154),
    [aux_sym_use_keychain_token1] = ACTIONS(1154),
    [aux_sym_use_roaming_token1] = ACTIONS(1154),
    [aux_sym_user_token1] = ACTIONS(1156),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1154),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1154),
    [aux_sym_version_addendum_token1] = ACTIONS(1154),
    [aux_sym_visual_host_key_token1] = ACTIONS(1154),
    [aux_sym_xauth_location_token1] = ACTIONS(1154),
  },
  [117] = {
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_match_token1] = ACTIONS(1160),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1160),
    [aux_sym_address_family_token1] = ACTIONS(1160),
    [aux_sym_batch_mode_token1] = ACTIONS(1160),
    [aux_sym_bind_address_token1] = ACTIONS(1160),
    [aux_sym_bind_interface_token1] = ACTIONS(1160),
    [aux_sym_canonical_domains_token1] = ACTIONS(1160),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1160),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1160),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1160),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1160),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1160),
    [aux_sym_certificate_file_token1] = ACTIONS(1160),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1160),
    [aux_sym_channel_timeout_token1] = ACTIONS(1160),
    [aux_sym_check_host_ip_token1] = ACTIONS(1160),
    [aux_sym_ciphers_token1] = ACTIONS(1160),
    [aux_sym_cipher_token1] = ACTIONS(1162),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1160),
    [aux_sym_compression_token1] = ACTIONS(1160),
    [aux_sym_connection_attempts_token1] = ACTIONS(1160),
    [aux_sym_connect_timeout_token1] = ACTIONS(1160),
    [aux_sym_control_master_token1] = ACTIONS(1160),
    [aux_sym_control_path_token1] = ACTIONS(1160),
    [aux_sym_control_persist_token1] = ACTIONS(1160),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1160),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1160),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1160),
    [aux_sym_escape_char_token1] = ACTIONS(1160),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1160),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1160),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1160),
    [aux_sym_forward_agent_token1] = ACTIONS(1160),
    [aux_sym_forward_x11_token1] = ACTIONS(1162),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1160),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1160),
    [aux_sym_gateway_ports_token1] = ACTIONS(1160),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1160),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1160),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1160),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1160),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1160),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1160),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1160),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1160),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1160),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1160),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1160),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1160),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1160),
    [aux_sym_host_key_alias_token1] = ACTIONS(1160),
    [aux_sym_hostname_token1] = ACTIONS(1160),
    [aux_sym_identities_only_token1] = ACTIONS(1160),
    [aux_sym_identity_agent_token1] = ACTIONS(1160),
    [aux_sym_identity_file_token1] = ACTIONS(1160),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1160),
    [aux_sym_include_token1] = ACTIONS(1160),
    [aux_sym_ip_qos_token1] = ACTIONS(1160),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1160),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1160),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1160),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1160),
    [aux_sym_local_command_token1] = ACTIONS(1160),
    [aux_sym_local_forward_token1] = ACTIONS(1160),
    [aux_sym_log_level_token1] = ACTIONS(1160),
    [aux_sym_log_verbose_token1] = ACTIONS(1160),
    [aux_sym_macs_token1] = ACTIONS(1160),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1160),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1160),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1160),
    [aux_sym_password_authentication_token1] = ACTIONS(1160),
    [aux_sym_permit_local_command_token1] = ACTIONS(1160),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1160),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1160),
    [aux_sym_port_token1] = ACTIONS(1160),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1160),
    [aux_sym_protocol_token1] = ACTIONS(1160),
    [aux_sym_proxy_command_token1] = ACTIONS(1160),
    [aux_sym_proxy_jump_token1] = ACTIONS(1160),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1160),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1160),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1160),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1160),
    [aux_sym_rekey_limit_token1] = ACTIONS(1160),
    [aux_sym_remote_command_token1] = ACTIONS(1160),
    [aux_sym_remote_forward_token1] = ACTIONS(1160),
    [aux_sym_request_tty_token1] = ACTIONS(1160),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1160),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1160),
    [aux_sym_security_key_provider_token1] = ACTIONS(1160),
    [aux_sym_send_env_token1] = ACTIONS(1160),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1160),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1160),
    [aux_sym_session_type_token1] = ACTIONS(1160),
    [aux_sym_set_env_token1] = ACTIONS(1160),
    [aux_sym_stdin_null_token1] = ACTIONS(1160),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1160),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1160),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1160),
    [aux_sym_syslog_facility_token1] = ACTIONS(1160),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1160),
    [aux_sym_keep_alive_token1] = ACTIONS(1160),
    [aux_sym_tag_token1] = ACTIONS(1160),
    [aux_sym_tunnel_token1] = ACTIONS(1162),
    [aux_sym_tunnel_device_token1] = ACTIONS(1160),
    [aux_sym_update_host_keys_token1] = ACTIONS(1160),
    [aux_sym_use_keychain_token1] = ACTIONS(1160),
    [aux_sym_use_roaming_token1] = ACTIONS(1160),
    [aux_sym_user_token1] = ACTIONS(1162),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1160),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1160),
    [aux_sym_version_addendum_token1] = ACTIONS(1160),
    [aux_sym_visual_host_key_token1] = ACTIONS(1160),
    [aux_sym_xauth_location_token1] = ACTIONS(1160),
  },
  [118] = {
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_match_token1] = ACTIONS(1164),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1164),
    [aux_sym_address_family_token1] = ACTIONS(1164),
    [aux_sym_batch_mode_token1] = ACTIONS(1164),
    [aux_sym_bind_address_token1] = ACTIONS(1164),
    [aux_sym_bind_interface_token1] = ACTIONS(1164),
    [aux_sym_canonical_domains_token1] = ACTIONS(1164),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1164),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1164),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1164),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1164),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1164),
    [aux_sym_certificate_file_token1] = ACTIONS(1164),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1164),
    [aux_sym_channel_timeout_token1] = ACTIONS(1164),
    [aux_sym_check_host_ip_token1] = ACTIONS(1164),
    [aux_sym_ciphers_token1] = ACTIONS(1164),
    [aux_sym_cipher_token1] = ACTIONS(1166),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1164),
    [aux_sym_compression_token1] = ACTIONS(1164),
    [aux_sym_connection_attempts_token1] = ACTIONS(1164),
    [aux_sym_connect_timeout_token1] = ACTIONS(1164),
    [aux_sym_control_master_token1] = ACTIONS(1164),
    [aux_sym_control_path_token1] = ACTIONS(1164),
    [aux_sym_control_persist_token1] = ACTIONS(1164),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1164),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1164),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1164),
    [aux_sym_escape_char_token1] = ACTIONS(1164),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1164),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1164),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1164),
    [aux_sym_forward_agent_token1] = ACTIONS(1164),
    [aux_sym_forward_x11_token1] = ACTIONS(1166),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1164),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1164),
    [aux_sym_gateway_ports_token1] = ACTIONS(1164),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1164),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1164),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1164),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1164),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1164),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1164),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1164),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1164),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1164),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1164),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1164),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1164),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1164),
    [aux_sym_host_key_alias_token1] = ACTIONS(1164),
    [aux_sym_hostname_token1] = ACTIONS(1164),
    [aux_sym_identities_only_token1] = ACTIONS(1164),
    [aux_sym_identity_agent_token1] = ACTIONS(1164),
    [aux_sym_identity_file_token1] = ACTIONS(1164),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1164),
    [aux_sym_include_token1] = ACTIONS(1164),
    [aux_sym_ip_qos_token1] = ACTIONS(1164),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1164),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1164),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1164),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1164),
    [aux_sym_local_command_token1] = ACTIONS(1164),
    [aux_sym_local_forward_token1] = ACTIONS(1164),
    [aux_sym_log_level_token1] = ACTIONS(1164),
    [aux_sym_log_verbose_token1] = ACTIONS(1164),
    [aux_sym_macs_token1] = ACTIONS(1164),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1164),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1164),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1164),
    [aux_sym_password_authentication_token1] = ACTIONS(1164),
    [aux_sym_permit_local_command_token1] = ACTIONS(1164),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1164),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1164),
    [aux_sym_port_token1] = ACTIONS(1164),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1164),
    [aux_sym_protocol_token1] = ACTIONS(1164),
    [aux_sym_proxy_command_token1] = ACTIONS(1164),
    [aux_sym_proxy_jump_token1] = ACTIONS(1164),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1164),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1164),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1164),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1164),
    [aux_sym_rekey_limit_token1] = ACTIONS(1164),
    [aux_sym_remote_command_token1] = ACTIONS(1164),
    [aux_sym_remote_forward_token1] = ACTIONS(1164),
    [aux_sym_request_tty_token1] = ACTIONS(1164),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1164),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1164),
    [aux_sym_security_key_provider_token1] = ACTIONS(1164),
    [aux_sym_send_env_token1] = ACTIONS(1164),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1164),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1164),
    [aux_sym_session_type_token1] = ACTIONS(1164),
    [aux_sym_set_env_token1] = ACTIONS(1164),
    [aux_sym_stdin_null_token1] = ACTIONS(1164),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1164),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1164),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1164),
    [aux_sym_syslog_facility_token1] = ACTIONS(1164),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1164),
    [aux_sym_keep_alive_token1] = ACTIONS(1164),
    [aux_sym_tag_token1] = ACTIONS(1164),
    [aux_sym_tunnel_token1] = ACTIONS(1166),
    [aux_sym_tunnel_device_token1] = ACTIONS(1164),
    [aux_sym_update_host_keys_token1] = ACTIONS(1164),
    [aux_sym_use_keychain_token1] = ACTIONS(1164),
    [aux_sym_use_roaming_token1] = ACTIONS(1164),
    [aux_sym_user_token1] = ACTIONS(1166),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1164),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1164),
    [aux_sym_version_addendum_token1] = ACTIONS(1164),
    [aux_sym_visual_host_key_token1] = ACTIONS(1164),
    [aux_sym_xauth_location_token1] = ACTIONS(1164),
  },
  [119] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_match_token1] = ACTIONS(1170),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1170),
    [aux_sym_address_family_token1] = ACTIONS(1170),
    [aux_sym_batch_mode_token1] = ACTIONS(1170),
    [aux_sym_bind_address_token1] = ACTIONS(1170),
    [aux_sym_bind_interface_token1] = ACTIONS(1170),
    [aux_sym_canonical_domains_token1] = ACTIONS(1170),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1170),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1170),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1170),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1170),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1170),
    [aux_sym_certificate_file_token1] = ACTIONS(1170),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1170),
    [aux_sym_channel_timeout_token1] = ACTIONS(1170),
    [aux_sym_check_host_ip_token1] = ACTIONS(1170),
    [aux_sym_ciphers_token1] = ACTIONS(1170),
    [aux_sym_cipher_token1] = ACTIONS(1172),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1170),
    [aux_sym_compression_token1] = ACTIONS(1170),
    [aux_sym_connection_attempts_token1] = ACTIONS(1170),
    [aux_sym_connect_timeout_token1] = ACTIONS(1170),
    [aux_sym_control_master_token1] = ACTIONS(1170),
    [aux_sym_control_path_token1] = ACTIONS(1170),
    [aux_sym_control_persist_token1] = ACTIONS(1170),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1170),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1170),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1170),
    [aux_sym_escape_char_token1] = ACTIONS(1170),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1170),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1170),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1170),
    [aux_sym_forward_agent_token1] = ACTIONS(1170),
    [aux_sym_forward_x11_token1] = ACTIONS(1172),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1170),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1170),
    [aux_sym_gateway_ports_token1] = ACTIONS(1170),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1170),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1170),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1170),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1170),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1170),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1170),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1170),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1170),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1170),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1170),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1170),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1170),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1170),
    [aux_sym_host_key_alias_token1] = ACTIONS(1170),
    [aux_sym_hostname_token1] = ACTIONS(1170),
    [aux_sym_identities_only_token1] = ACTIONS(1170),
    [aux_sym_identity_agent_token1] = ACTIONS(1170),
    [aux_sym_identity_file_token1] = ACTIONS(1170),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1170),
    [aux_sym_include_token1] = ACTIONS(1170),
    [aux_sym_ip_qos_token1] = ACTIONS(1170),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1170),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1170),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1170),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1170),
    [aux_sym_local_command_token1] = ACTIONS(1170),
    [aux_sym_local_forward_token1] = ACTIONS(1170),
    [aux_sym_log_level_token1] = ACTIONS(1170),
    [aux_sym_log_verbose_token1] = ACTIONS(1170),
    [aux_sym_macs_token1] = ACTIONS(1170),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1170),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1170),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1170),
    [aux_sym_password_authentication_token1] = ACTIONS(1170),
    [aux_sym_permit_local_command_token1] = ACTIONS(1170),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1170),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1170),
    [aux_sym_port_token1] = ACTIONS(1170),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1170),
    [aux_sym_protocol_token1] = ACTIONS(1170),
    [aux_sym_proxy_command_token1] = ACTIONS(1170),
    [aux_sym_proxy_jump_token1] = ACTIONS(1170),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1170),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1170),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1170),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1170),
    [aux_sym_rekey_limit_token1] = ACTIONS(1170),
    [aux_sym_remote_command_token1] = ACTIONS(1170),
    [aux_sym_remote_forward_token1] = ACTIONS(1170),
    [aux_sym_request_tty_token1] = ACTIONS(1170),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1170),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1170),
    [aux_sym_security_key_provider_token1] = ACTIONS(1170),
    [aux_sym_send_env_token1] = ACTIONS(1170),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1170),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1170),
    [aux_sym_session_type_token1] = ACTIONS(1170),
    [aux_sym_set_env_token1] = ACTIONS(1170),
    [aux_sym_stdin_null_token1] = ACTIONS(1170),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1170),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1170),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1170),
    [aux_sym_syslog_facility_token1] = ACTIONS(1170),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1170),
    [aux_sym_keep_alive_token1] = ACTIONS(1170),
    [aux_sym_tag_token1] = ACTIONS(1170),
    [aux_sym_tunnel_token1] = ACTIONS(1172),
    [aux_sym_tunnel_device_token1] = ACTIONS(1170),
    [aux_sym_update_host_keys_token1] = ACTIONS(1170),
    [aux_sym_use_keychain_token1] = ACTIONS(1170),
    [aux_sym_use_roaming_token1] = ACTIONS(1170),
    [aux_sym_user_token1] = ACTIONS(1172),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1170),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1170),
    [aux_sym_version_addendum_token1] = ACTIONS(1170),
    [aux_sym_visual_host_key_token1] = ACTIONS(1170),
    [aux_sym_xauth_location_token1] = ACTIONS(1170),
  },
  [120] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_match_token1] = ACTIONS(1174),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1174),
    [aux_sym_address_family_token1] = ACTIONS(1174),
    [aux_sym_batch_mode_token1] = ACTIONS(1174),
    [aux_sym_bind_address_token1] = ACTIONS(1174),
    [aux_sym_bind_interface_token1] = ACTIONS(1174),
    [aux_sym_canonical_domains_token1] = ACTIONS(1174),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1174),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1174),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1174),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1174),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1174),
    [aux_sym_certificate_file_token1] = ACTIONS(1174),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1174),
    [aux_sym_channel_timeout_token1] = ACTIONS(1174),
    [aux_sym_check_host_ip_token1] = ACTIONS(1174),
    [aux_sym_ciphers_token1] = ACTIONS(1174),
    [aux_sym_cipher_token1] = ACTIONS(1176),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1174),
    [aux_sym_compression_token1] = ACTIONS(1174),
    [aux_sym_connection_attempts_token1] = ACTIONS(1174),
    [aux_sym_connect_timeout_token1] = ACTIONS(1174),
    [aux_sym_control_master_token1] = ACTIONS(1174),
    [aux_sym_control_path_token1] = ACTIONS(1174),
    [aux_sym_control_persist_token1] = ACTIONS(1174),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1174),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1174),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1174),
    [aux_sym_escape_char_token1] = ACTIONS(1174),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1174),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1174),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1174),
    [aux_sym_forward_agent_token1] = ACTIONS(1174),
    [aux_sym_forward_x11_token1] = ACTIONS(1176),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1174),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1174),
    [aux_sym_gateway_ports_token1] = ACTIONS(1174),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1174),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1174),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1174),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1174),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1174),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1174),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1174),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1174),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1174),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1174),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1174),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1174),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1174),
    [aux_sym_host_key_alias_token1] = ACTIONS(1174),
    [aux_sym_hostname_token1] = ACTIONS(1174),
    [aux_sym_identities_only_token1] = ACTIONS(1174),
    [aux_sym_identity_agent_token1] = ACTIONS(1174),
    [aux_sym_identity_file_token1] = ACTIONS(1174),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1174),
    [aux_sym_include_token1] = ACTIONS(1174),
    [aux_sym_ip_qos_token1] = ACTIONS(1174),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1174),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1174),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1174),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1174),
    [aux_sym_local_command_token1] = ACTIONS(1174),
    [aux_sym_local_forward_token1] = ACTIONS(1174),
    [aux_sym_log_level_token1] = ACTIONS(1174),
    [aux_sym_log_verbose_token1] = ACTIONS(1174),
    [aux_sym_macs_token1] = ACTIONS(1174),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1174),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1174),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1174),
    [aux_sym_password_authentication_token1] = ACTIONS(1174),
    [aux_sym_permit_local_command_token1] = ACTIONS(1174),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1174),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1174),
    [aux_sym_port_token1] = ACTIONS(1174),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1174),
    [aux_sym_protocol_token1] = ACTIONS(1174),
    [aux_sym_proxy_command_token1] = ACTIONS(1174),
    [aux_sym_proxy_jump_token1] = ACTIONS(1174),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1174),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1174),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1174),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1174),
    [aux_sym_rekey_limit_token1] = ACTIONS(1174),
    [aux_sym_remote_command_token1] = ACTIONS(1174),
    [aux_sym_remote_forward_token1] = ACTIONS(1174),
    [aux_sym_request_tty_token1] = ACTIONS(1174),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1174),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1174),
    [aux_sym_security_key_provider_token1] = ACTIONS(1174),
    [aux_sym_send_env_token1] = ACTIONS(1174),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1174),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1174),
    [aux_sym_session_type_token1] = ACTIONS(1174),
    [aux_sym_set_env_token1] = ACTIONS(1174),
    [aux_sym_stdin_null_token1] = ACTIONS(1174),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1174),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1174),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1174),
    [aux_sym_syslog_facility_token1] = ACTIONS(1174),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1174),
    [aux_sym_keep_alive_token1] = ACTIONS(1174),
    [aux_sym_tag_token1] = ACTIONS(1174),
    [aux_sym_tunnel_token1] = ACTIONS(1176),
    [aux_sym_tunnel_device_token1] = ACTIONS(1174),
    [aux_sym_update_host_keys_token1] = ACTIONS(1174),
    [aux_sym_use_keychain_token1] = ACTIONS(1174),
    [aux_sym_use_roaming_token1] = ACTIONS(1174),
    [aux_sym_user_token1] = ACTIONS(1176),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1174),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1174),
    [aux_sym_version_addendum_token1] = ACTIONS(1174),
    [aux_sym_visual_host_key_token1] = ACTIONS(1174),
    [aux_sym_xauth_location_token1] = ACTIONS(1174),
  },
  [121] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_match_token1] = ACTIONS(1180),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1180),
    [aux_sym_address_family_token1] = ACTIONS(1180),
    [aux_sym_batch_mode_token1] = ACTIONS(1180),
    [aux_sym_bind_address_token1] = ACTIONS(1180),
    [aux_sym_bind_interface_token1] = ACTIONS(1180),
    [aux_sym_canonical_domains_token1] = ACTIONS(1180),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1180),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1180),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1180),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1180),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1180),
    [aux_sym_certificate_file_token1] = ACTIONS(1180),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1180),
    [aux_sym_channel_timeout_token1] = ACTIONS(1180),
    [aux_sym_check_host_ip_token1] = ACTIONS(1180),
    [aux_sym_ciphers_token1] = ACTIONS(1180),
    [aux_sym_cipher_token1] = ACTIONS(1182),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1180),
    [aux_sym_compression_token1] = ACTIONS(1180),
    [aux_sym_connection_attempts_token1] = ACTIONS(1180),
    [aux_sym_connect_timeout_token1] = ACTIONS(1180),
    [aux_sym_control_master_token1] = ACTIONS(1180),
    [aux_sym_control_path_token1] = ACTIONS(1180),
    [aux_sym_control_persist_token1] = ACTIONS(1180),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1180),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1180),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1180),
    [aux_sym_escape_char_token1] = ACTIONS(1180),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1180),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1180),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1180),
    [aux_sym_forward_agent_token1] = ACTIONS(1180),
    [aux_sym_forward_x11_token1] = ACTIONS(1182),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1180),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1180),
    [aux_sym_gateway_ports_token1] = ACTIONS(1180),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1180),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1180),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1180),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1180),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1180),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1180),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1180),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1180),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1180),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1180),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1180),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1180),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1180),
    [aux_sym_host_key_alias_token1] = ACTIONS(1180),
    [aux_sym_hostname_token1] = ACTIONS(1180),
    [aux_sym_identities_only_token1] = ACTIONS(1180),
    [aux_sym_identity_agent_token1] = ACTIONS(1180),
    [aux_sym_identity_file_token1] = ACTIONS(1180),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1180),
    [aux_sym_include_token1] = ACTIONS(1180),
    [aux_sym_ip_qos_token1] = ACTIONS(1180),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1180),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1180),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1180),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1180),
    [aux_sym_local_command_token1] = ACTIONS(1180),
    [aux_sym_local_forward_token1] = ACTIONS(1180),
    [aux_sym_log_level_token1] = ACTIONS(1180),
    [aux_sym_log_verbose_token1] = ACTIONS(1180),
    [aux_sym_macs_token1] = ACTIONS(1180),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1180),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1180),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1180),
    [aux_sym_password_authentication_token1] = ACTIONS(1180),
    [aux_sym_permit_local_command_token1] = ACTIONS(1180),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1180),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1180),
    [aux_sym_port_token1] = ACTIONS(1180),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1180),
    [aux_sym_protocol_token1] = ACTIONS(1180),
    [aux_sym_proxy_command_token1] = ACTIONS(1180),
    [aux_sym_proxy_jump_token1] = ACTIONS(1180),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1180),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1180),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1180),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1180),
    [aux_sym_rekey_limit_token1] = ACTIONS(1180),
    [aux_sym_remote_command_token1] = ACTIONS(1180),
    [aux_sym_remote_forward_token1] = ACTIONS(1180),
    [aux_sym_request_tty_token1] = ACTIONS(1180),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1180),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1180),
    [aux_sym_security_key_provider_token1] = ACTIONS(1180),
    [aux_sym_send_env_token1] = ACTIONS(1180),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1180),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1180),
    [aux_sym_session_type_token1] = ACTIONS(1180),
    [aux_sym_set_env_token1] = ACTIONS(1180),
    [aux_sym_stdin_null_token1] = ACTIONS(1180),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1180),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1180),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1180),
    [aux_sym_syslog_facility_token1] = ACTIONS(1180),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1180),
    [aux_sym_keep_alive_token1] = ACTIONS(1180),
    [aux_sym_tag_token1] = ACTIONS(1180),
    [aux_sym_tunnel_token1] = ACTIONS(1182),
    [aux_sym_tunnel_device_token1] = ACTIONS(1180),
    [aux_sym_update_host_keys_token1] = ACTIONS(1180),
    [aux_sym_use_keychain_token1] = ACTIONS(1180),
    [aux_sym_use_roaming_token1] = ACTIONS(1180),
    [aux_sym_user_token1] = ACTIONS(1182),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1180),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1180),
    [aux_sym_version_addendum_token1] = ACTIONS(1180),
    [aux_sym_visual_host_key_token1] = ACTIONS(1180),
    [aux_sym_xauth_location_token1] = ACTIONS(1180),
  },
  [122] = {
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_match_token1] = ACTIONS(1184),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1184),
    [aux_sym_address_family_token1] = ACTIONS(1184),
    [aux_sym_batch_mode_token1] = ACTIONS(1184),
    [aux_sym_bind_address_token1] = ACTIONS(1184),
    [aux_sym_bind_interface_token1] = ACTIONS(1184),
    [aux_sym_canonical_domains_token1] = ACTIONS(1184),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1184),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1184),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1184),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1184),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1184),
    [aux_sym_certificate_file_token1] = ACTIONS(1184),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1184),
    [aux_sym_channel_timeout_token1] = ACTIONS(1184),
    [aux_sym_check_host_ip_token1] = ACTIONS(1184),
    [aux_sym_ciphers_token1] = ACTIONS(1184),
    [aux_sym_cipher_token1] = ACTIONS(1186),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1184),
    [aux_sym_compression_token1] = ACTIONS(1184),
    [aux_sym_connection_attempts_token1] = ACTIONS(1184),
    [aux_sym_connect_timeout_token1] = ACTIONS(1184),
    [aux_sym_control_master_token1] = ACTIONS(1184),
    [aux_sym_control_path_token1] = ACTIONS(1184),
    [aux_sym_control_persist_token1] = ACTIONS(1184),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1184),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1184),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1184),
    [aux_sym_escape_char_token1] = ACTIONS(1184),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1184),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1184),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1184),
    [aux_sym_forward_agent_token1] = ACTIONS(1184),
    [aux_sym_forward_x11_token1] = ACTIONS(1186),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1184),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1184),
    [aux_sym_gateway_ports_token1] = ACTIONS(1184),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1184),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1184),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1184),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1184),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1184),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1184),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1184),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1184),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1184),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1184),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1184),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1184),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1184),
    [aux_sym_host_key_alias_token1] = ACTIONS(1184),
    [aux_sym_hostname_token1] = ACTIONS(1184),
    [aux_sym_identities_only_token1] = ACTIONS(1184),
    [aux_sym_identity_agent_token1] = ACTIONS(1184),
    [aux_sym_identity_file_token1] = ACTIONS(1184),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1184),
    [aux_sym_include_token1] = ACTIONS(1184),
    [aux_sym_ip_qos_token1] = ACTIONS(1184),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1184),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1184),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1184),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1184),
    [aux_sym_local_command_token1] = ACTIONS(1184),
    [aux_sym_local_forward_token1] = ACTIONS(1184),
    [aux_sym_log_level_token1] = ACTIONS(1184),
    [aux_sym_log_verbose_token1] = ACTIONS(1184),
    [aux_sym_macs_token1] = ACTIONS(1184),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1184),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1184),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1184),
    [aux_sym_password_authentication_token1] = ACTIONS(1184),
    [aux_sym_permit_local_command_token1] = ACTIONS(1184),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1184),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1184),
    [aux_sym_port_token1] = ACTIONS(1184),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1184),
    [aux_sym_protocol_token1] = ACTIONS(1184),
    [aux_sym_proxy_command_token1] = ACTIONS(1184),
    [aux_sym_proxy_jump_token1] = ACTIONS(1184),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1184),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1184),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1184),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1184),
    [aux_sym_rekey_limit_token1] = ACTIONS(1184),
    [aux_sym_remote_command_token1] = ACTIONS(1184),
    [aux_sym_remote_forward_token1] = ACTIONS(1184),
    [aux_sym_request_tty_token1] = ACTIONS(1184),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1184),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1184),
    [aux_sym_security_key_provider_token1] = ACTIONS(1184),
    [aux_sym_send_env_token1] = ACTIONS(1184),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1184),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1184),
    [aux_sym_session_type_token1] = ACTIONS(1184),
    [aux_sym_set_env_token1] = ACTIONS(1184),
    [aux_sym_stdin_null_token1] = ACTIONS(1184),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1184),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1184),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1184),
    [aux_sym_syslog_facility_token1] = ACTIONS(1184),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1184),
    [aux_sym_keep_alive_token1] = ACTIONS(1184),
    [aux_sym_tag_token1] = ACTIONS(1184),
    [aux_sym_tunnel_token1] = ACTIONS(1186),
    [aux_sym_tunnel_device_token1] = ACTIONS(1184),
    [aux_sym_update_host_keys_token1] = ACTIONS(1184),
    [aux_sym_use_keychain_token1] = ACTIONS(1184),
    [aux_sym_use_roaming_token1] = ACTIONS(1184),
    [aux_sym_user_token1] = ACTIONS(1186),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1184),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1184),
    [aux_sym_version_addendum_token1] = ACTIONS(1184),
    [aux_sym_visual_host_key_token1] = ACTIONS(1184),
    [aux_sym_xauth_location_token1] = ACTIONS(1184),
  },
  [123] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_match_token1] = ACTIONS(1190),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1190),
    [aux_sym_address_family_token1] = ACTIONS(1190),
    [aux_sym_batch_mode_token1] = ACTIONS(1190),
    [aux_sym_bind_address_token1] = ACTIONS(1190),
    [aux_sym_bind_interface_token1] = ACTIONS(1190),
    [aux_sym_canonical_domains_token1] = ACTIONS(1190),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1190),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1190),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1190),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1190),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1190),
    [aux_sym_certificate_file_token1] = ACTIONS(1190),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1190),
    [aux_sym_channel_timeout_token1] = ACTIONS(1190),
    [aux_sym_check_host_ip_token1] = ACTIONS(1190),
    [aux_sym_ciphers_token1] = ACTIONS(1190),
    [aux_sym_cipher_token1] = ACTIONS(1192),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1190),
    [aux_sym_compression_token1] = ACTIONS(1190),
    [aux_sym_connection_attempts_token1] = ACTIONS(1190),
    [aux_sym_connect_timeout_token1] = ACTIONS(1190),
    [aux_sym_control_master_token1] = ACTIONS(1190),
    [aux_sym_control_path_token1] = ACTIONS(1190),
    [aux_sym_control_persist_token1] = ACTIONS(1190),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1190),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1190),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1190),
    [aux_sym_escape_char_token1] = ACTIONS(1190),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1190),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1190),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1190),
    [aux_sym_forward_agent_token1] = ACTIONS(1190),
    [aux_sym_forward_x11_token1] = ACTIONS(1192),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1190),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1190),
    [aux_sym_gateway_ports_token1] = ACTIONS(1190),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1190),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1190),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1190),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1190),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1190),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1190),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1190),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1190),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1190),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1190),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1190),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1190),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1190),
    [aux_sym_host_key_alias_token1] = ACTIONS(1190),
    [aux_sym_hostname_token1] = ACTIONS(1190),
    [aux_sym_identities_only_token1] = ACTIONS(1190),
    [aux_sym_identity_agent_token1] = ACTIONS(1190),
    [aux_sym_identity_file_token1] = ACTIONS(1190),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1190),
    [aux_sym_include_token1] = ACTIONS(1190),
    [aux_sym_ip_qos_token1] = ACTIONS(1190),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1190),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1190),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1190),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1190),
    [aux_sym_local_command_token1] = ACTIONS(1190),
    [aux_sym_local_forward_token1] = ACTIONS(1190),
    [aux_sym_log_level_token1] = ACTIONS(1190),
    [aux_sym_log_verbose_token1] = ACTIONS(1190),
    [aux_sym_macs_token1] = ACTIONS(1190),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1190),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1190),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1190),
    [aux_sym_password_authentication_token1] = ACTIONS(1190),
    [aux_sym_permit_local_command_token1] = ACTIONS(1190),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1190),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1190),
    [aux_sym_port_token1] = ACTIONS(1190),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1190),
    [aux_sym_protocol_token1] = ACTIONS(1190),
    [aux_sym_proxy_command_token1] = ACTIONS(1190),
    [aux_sym_proxy_jump_token1] = ACTIONS(1190),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1190),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1190),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1190),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1190),
    [aux_sym_rekey_limit_token1] = ACTIONS(1190),
    [aux_sym_remote_command_token1] = ACTIONS(1190),
    [aux_sym_remote_forward_token1] = ACTIONS(1190),
    [aux_sym_request_tty_token1] = ACTIONS(1190),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1190),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1190),
    [aux_sym_security_key_provider_token1] = ACTIONS(1190),
    [aux_sym_send_env_token1] = ACTIONS(1190),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1190),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1190),
    [aux_sym_session_type_token1] = ACTIONS(1190),
    [aux_sym_set_env_token1] = ACTIONS(1190),
    [aux_sym_stdin_null_token1] = ACTIONS(1190),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1190),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1190),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1190),
    [aux_sym_syslog_facility_token1] = ACTIONS(1190),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1190),
    [aux_sym_keep_alive_token1] = ACTIONS(1190),
    [aux_sym_tag_token1] = ACTIONS(1190),
    [aux_sym_tunnel_token1] = ACTIONS(1192),
    [aux_sym_tunnel_device_token1] = ACTIONS(1190),
    [aux_sym_update_host_keys_token1] = ACTIONS(1190),
    [aux_sym_use_keychain_token1] = ACTIONS(1190),
    [aux_sym_use_roaming_token1] = ACTIONS(1190),
    [aux_sym_user_token1] = ACTIONS(1192),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1190),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1190),
    [aux_sym_version_addendum_token1] = ACTIONS(1190),
    [aux_sym_visual_host_key_token1] = ACTIONS(1190),
    [aux_sym_xauth_location_token1] = ACTIONS(1190),
  },
  [124] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_match_token1] = ACTIONS(1194),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1194),
    [aux_sym_address_family_token1] = ACTIONS(1194),
    [aux_sym_batch_mode_token1] = ACTIONS(1194),
    [aux_sym_bind_address_token1] = ACTIONS(1194),
    [aux_sym_bind_interface_token1] = ACTIONS(1194),
    [aux_sym_canonical_domains_token1] = ACTIONS(1194),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1194),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1194),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1194),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1194),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1194),
    [aux_sym_certificate_file_token1] = ACTIONS(1194),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1194),
    [aux_sym_channel_timeout_token1] = ACTIONS(1194),
    [aux_sym_check_host_ip_token1] = ACTIONS(1194),
    [aux_sym_ciphers_token1] = ACTIONS(1194),
    [aux_sym_cipher_token1] = ACTIONS(1196),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1194),
    [aux_sym_compression_token1] = ACTIONS(1194),
    [aux_sym_connection_attempts_token1] = ACTIONS(1194),
    [aux_sym_connect_timeout_token1] = ACTIONS(1194),
    [aux_sym_control_master_token1] = ACTIONS(1194),
    [aux_sym_control_path_token1] = ACTIONS(1194),
    [aux_sym_control_persist_token1] = ACTIONS(1194),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1194),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1194),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1194),
    [aux_sym_escape_char_token1] = ACTIONS(1194),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1194),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1194),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1194),
    [aux_sym_forward_agent_token1] = ACTIONS(1194),
    [aux_sym_forward_x11_token1] = ACTIONS(1196),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1194),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1194),
    [aux_sym_gateway_ports_token1] = ACTIONS(1194),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1194),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1194),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1194),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1194),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1194),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1194),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1194),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1194),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1194),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1194),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1194),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1194),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1194),
    [aux_sym_host_key_alias_token1] = ACTIONS(1194),
    [aux_sym_hostname_token1] = ACTIONS(1194),
    [aux_sym_identities_only_token1] = ACTIONS(1194),
    [aux_sym_identity_agent_token1] = ACTIONS(1194),
    [aux_sym_identity_file_token1] = ACTIONS(1194),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1194),
    [aux_sym_include_token1] = ACTIONS(1194),
    [aux_sym_ip_qos_token1] = ACTIONS(1194),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1194),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1194),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1194),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1194),
    [aux_sym_local_command_token1] = ACTIONS(1194),
    [aux_sym_local_forward_token1] = ACTIONS(1194),
    [aux_sym_log_level_token1] = ACTIONS(1194),
    [aux_sym_log_verbose_token1] = ACTIONS(1194),
    [aux_sym_macs_token1] = ACTIONS(1194),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1194),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1194),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1194),
    [aux_sym_password_authentication_token1] = ACTIONS(1194),
    [aux_sym_permit_local_command_token1] = ACTIONS(1194),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1194),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1194),
    [aux_sym_port_token1] = ACTIONS(1194),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1194),
    [aux_sym_protocol_token1] = ACTIONS(1194),
    [aux_sym_proxy_command_token1] = ACTIONS(1194),
    [aux_sym_proxy_jump_token1] = ACTIONS(1194),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1194),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1194),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1194),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1194),
    [aux_sym_rekey_limit_token1] = ACTIONS(1194),
    [aux_sym_remote_command_token1] = ACTIONS(1194),
    [aux_sym_remote_forward_token1] = ACTIONS(1194),
    [aux_sym_request_tty_token1] = ACTIONS(1194),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1194),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1194),
    [aux_sym_security_key_provider_token1] = ACTIONS(1194),
    [aux_sym_send_env_token1] = ACTIONS(1194),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1194),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1194),
    [aux_sym_session_type_token1] = ACTIONS(1194),
    [aux_sym_set_env_token1] = ACTIONS(1194),
    [aux_sym_stdin_null_token1] = ACTIONS(1194),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1194),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1194),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1194),
    [aux_sym_syslog_facility_token1] = ACTIONS(1194),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1194),
    [aux_sym_keep_alive_token1] = ACTIONS(1194),
    [aux_sym_tag_token1] = ACTIONS(1194),
    [aux_sym_tunnel_token1] = ACTIONS(1196),
    [aux_sym_tunnel_device_token1] = ACTIONS(1194),
    [aux_sym_update_host_keys_token1] = ACTIONS(1194),
    [aux_sym_use_keychain_token1] = ACTIONS(1194),
    [aux_sym_use_roaming_token1] = ACTIONS(1194),
    [aux_sym_user_token1] = ACTIONS(1196),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1194),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1194),
    [aux_sym_version_addendum_token1] = ACTIONS(1194),
    [aux_sym_visual_host_key_token1] = ACTIONS(1194),
    [aux_sym_xauth_location_token1] = ACTIONS(1194),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_match_token1] = ACTIONS(1200),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1200),
    [aux_sym_address_family_token1] = ACTIONS(1200),
    [aux_sym_batch_mode_token1] = ACTIONS(1200),
    [aux_sym_bind_address_token1] = ACTIONS(1200),
    [aux_sym_bind_interface_token1] = ACTIONS(1200),
    [aux_sym_canonical_domains_token1] = ACTIONS(1200),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1200),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1200),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1200),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1200),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1200),
    [aux_sym_certificate_file_token1] = ACTIONS(1200),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1200),
    [aux_sym_channel_timeout_token1] = ACTIONS(1200),
    [aux_sym_check_host_ip_token1] = ACTIONS(1200),
    [aux_sym_ciphers_token1] = ACTIONS(1200),
    [aux_sym_cipher_token1] = ACTIONS(1202),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1200),
    [aux_sym_compression_token1] = ACTIONS(1200),
    [aux_sym_connection_attempts_token1] = ACTIONS(1200),
    [aux_sym_connect_timeout_token1] = ACTIONS(1200),
    [aux_sym_control_master_token1] = ACTIONS(1200),
    [aux_sym_control_path_token1] = ACTIONS(1200),
    [aux_sym_control_persist_token1] = ACTIONS(1200),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1200),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1200),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1200),
    [aux_sym_escape_char_token1] = ACTIONS(1200),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1200),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1200),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1200),
    [aux_sym_forward_agent_token1] = ACTIONS(1200),
    [aux_sym_forward_x11_token1] = ACTIONS(1202),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1200),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1200),
    [aux_sym_gateway_ports_token1] = ACTIONS(1200),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1200),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1200),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1200),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1200),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1200),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1200),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1200),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1200),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1200),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1200),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1200),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1200),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1200),
    [aux_sym_host_key_alias_token1] = ACTIONS(1200),
    [aux_sym_hostname_token1] = ACTIONS(1200),
    [aux_sym_identities_only_token1] = ACTIONS(1200),
    [aux_sym_identity_agent_token1] = ACTIONS(1200),
    [aux_sym_identity_file_token1] = ACTIONS(1200),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1200),
    [aux_sym_include_token1] = ACTIONS(1200),
    [aux_sym_ip_qos_token1] = ACTIONS(1200),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1200),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1200),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1200),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1200),
    [aux_sym_local_command_token1] = ACTIONS(1200),
    [aux_sym_local_forward_token1] = ACTIONS(1200),
    [aux_sym_log_level_token1] = ACTIONS(1200),
    [aux_sym_log_verbose_token1] = ACTIONS(1200),
    [aux_sym_macs_token1] = ACTIONS(1200),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1200),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1200),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1200),
    [aux_sym_password_authentication_token1] = ACTIONS(1200),
    [aux_sym_permit_local_command_token1] = ACTIONS(1200),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1200),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1200),
    [aux_sym_port_token1] = ACTIONS(1200),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1200),
    [aux_sym_protocol_token1] = ACTIONS(1200),
    [aux_sym_proxy_command_token1] = ACTIONS(1200),
    [aux_sym_proxy_jump_token1] = ACTIONS(1200),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1200),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1200),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1200),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1200),
    [aux_sym_rekey_limit_token1] = ACTIONS(1200),
    [aux_sym_remote_command_token1] = ACTIONS(1200),
    [aux_sym_remote_forward_token1] = ACTIONS(1200),
    [aux_sym_request_tty_token1] = ACTIONS(1200),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1200),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1200),
    [aux_sym_security_key_provider_token1] = ACTIONS(1200),
    [aux_sym_send_env_token1] = ACTIONS(1200),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1200),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1200),
    [aux_sym_session_type_token1] = ACTIONS(1200),
    [aux_sym_set_env_token1] = ACTIONS(1200),
    [aux_sym_stdin_null_token1] = ACTIONS(1200),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1200),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1200),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1200),
    [aux_sym_syslog_facility_token1] = ACTIONS(1200),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1200),
    [aux_sym_keep_alive_token1] = ACTIONS(1200),
    [aux_sym_tag_token1] = ACTIONS(1200),
    [aux_sym_tunnel_token1] = ACTIONS(1202),
    [aux_sym_tunnel_device_token1] = ACTIONS(1200),
    [aux_sym_update_host_keys_token1] = ACTIONS(1200),
    [aux_sym_use_keychain_token1] = ACTIONS(1200),
    [aux_sym_use_roaming_token1] = ACTIONS(1200),
    [aux_sym_user_token1] = ACTIONS(1202),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1200),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1200),
    [aux_sym_version_addendum_token1] = ACTIONS(1200),
    [aux_sym_visual_host_key_token1] = ACTIONS(1200),
    [aux_sym_xauth_location_token1] = ACTIONS(1200),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_match_token1] = ACTIONS(1204),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1204),
    [aux_sym_address_family_token1] = ACTIONS(1204),
    [aux_sym_batch_mode_token1] = ACTIONS(1204),
    [aux_sym_bind_address_token1] = ACTIONS(1204),
    [aux_sym_bind_interface_token1] = ACTIONS(1204),
    [aux_sym_canonical_domains_token1] = ACTIONS(1204),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1204),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1204),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1204),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1204),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1204),
    [aux_sym_certificate_file_token1] = ACTIONS(1204),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1204),
    [aux_sym_channel_timeout_token1] = ACTIONS(1204),
    [aux_sym_check_host_ip_token1] = ACTIONS(1204),
    [aux_sym_ciphers_token1] = ACTIONS(1204),
    [aux_sym_cipher_token1] = ACTIONS(1206),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1204),
    [aux_sym_compression_token1] = ACTIONS(1204),
    [aux_sym_connection_attempts_token1] = ACTIONS(1204),
    [aux_sym_connect_timeout_token1] = ACTIONS(1204),
    [aux_sym_control_master_token1] = ACTIONS(1204),
    [aux_sym_control_path_token1] = ACTIONS(1204),
    [aux_sym_control_persist_token1] = ACTIONS(1204),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1204),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1204),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1204),
    [aux_sym_escape_char_token1] = ACTIONS(1204),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1204),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1204),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1204),
    [aux_sym_forward_agent_token1] = ACTIONS(1204),
    [aux_sym_forward_x11_token1] = ACTIONS(1206),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1204),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1204),
    [aux_sym_gateway_ports_token1] = ACTIONS(1204),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1204),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1204),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1204),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1204),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1204),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1204),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1204),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1204),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1204),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1204),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1204),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1204),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1204),
    [aux_sym_host_key_alias_token1] = ACTIONS(1204),
    [aux_sym_hostname_token1] = ACTIONS(1204),
    [aux_sym_identities_only_token1] = ACTIONS(1204),
    [aux_sym_identity_agent_token1] = ACTIONS(1204),
    [aux_sym_identity_file_token1] = ACTIONS(1204),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1204),
    [aux_sym_include_token1] = ACTIONS(1204),
    [aux_sym_ip_qos_token1] = ACTIONS(1204),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1204),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1204),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1204),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1204),
    [aux_sym_local_command_token1] = ACTIONS(1204),
    [aux_sym_local_forward_token1] = ACTIONS(1204),
    [aux_sym_log_level_token1] = ACTIONS(1204),
    [aux_sym_log_verbose_token1] = ACTIONS(1204),
    [aux_sym_macs_token1] = ACTIONS(1204),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1204),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1204),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1204),
    [aux_sym_password_authentication_token1] = ACTIONS(1204),
    [aux_sym_permit_local_command_token1] = ACTIONS(1204),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1204),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1204),
    [aux_sym_port_token1] = ACTIONS(1204),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1204),
    [aux_sym_protocol_token1] = ACTIONS(1204),
    [aux_sym_proxy_command_token1] = ACTIONS(1204),
    [aux_sym_proxy_jump_token1] = ACTIONS(1204),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1204),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1204),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1204),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1204),
    [aux_sym_rekey_limit_token1] = ACTIONS(1204),
    [aux_sym_remote_command_token1] = ACTIONS(1204),
    [aux_sym_remote_forward_token1] = ACTIONS(1204),
    [aux_sym_request_tty_token1] = ACTIONS(1204),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1204),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1204),
    [aux_sym_security_key_provider_token1] = ACTIONS(1204),
    [aux_sym_send_env_token1] = ACTIONS(1204),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1204),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1204),
    [aux_sym_session_type_token1] = ACTIONS(1204),
    [aux_sym_set_env_token1] = ACTIONS(1204),
    [aux_sym_stdin_null_token1] = ACTIONS(1204),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1204),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1204),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1204),
    [aux_sym_syslog_facility_token1] = ACTIONS(1204),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1204),
    [aux_sym_keep_alive_token1] = ACTIONS(1204),
    [aux_sym_tag_token1] = ACTIONS(1204),
    [aux_sym_tunnel_token1] = ACTIONS(1206),
    [aux_sym_tunnel_device_token1] = ACTIONS(1204),
    [aux_sym_update_host_keys_token1] = ACTIONS(1204),
    [aux_sym_use_keychain_token1] = ACTIONS(1204),
    [aux_sym_use_roaming_token1] = ACTIONS(1204),
    [aux_sym_user_token1] = ACTIONS(1206),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1204),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1204),
    [aux_sym_version_addendum_token1] = ACTIONS(1204),
    [aux_sym_visual_host_key_token1] = ACTIONS(1204),
    [aux_sym_xauth_location_token1] = ACTIONS(1204),
  },
  [127] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_match_token1] = ACTIONS(1210),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1210),
    [aux_sym_address_family_token1] = ACTIONS(1210),
    [aux_sym_batch_mode_token1] = ACTIONS(1210),
    [aux_sym_bind_address_token1] = ACTIONS(1210),
    [aux_sym_bind_interface_token1] = ACTIONS(1210),
    [aux_sym_canonical_domains_token1] = ACTIONS(1210),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1210),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1210),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1210),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1210),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1210),
    [aux_sym_certificate_file_token1] = ACTIONS(1210),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1210),
    [aux_sym_channel_timeout_token1] = ACTIONS(1210),
    [aux_sym_check_host_ip_token1] = ACTIONS(1210),
    [aux_sym_ciphers_token1] = ACTIONS(1210),
    [aux_sym_cipher_token1] = ACTIONS(1212),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1210),
    [aux_sym_compression_token1] = ACTIONS(1210),
    [aux_sym_connection_attempts_token1] = ACTIONS(1210),
    [aux_sym_connect_timeout_token1] = ACTIONS(1210),
    [aux_sym_control_master_token1] = ACTIONS(1210),
    [aux_sym_control_path_token1] = ACTIONS(1210),
    [aux_sym_control_persist_token1] = ACTIONS(1210),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1210),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1210),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1210),
    [aux_sym_escape_char_token1] = ACTIONS(1210),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1210),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1210),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1210),
    [aux_sym_forward_agent_token1] = ACTIONS(1210),
    [aux_sym_forward_x11_token1] = ACTIONS(1212),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1210),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1210),
    [aux_sym_gateway_ports_token1] = ACTIONS(1210),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1210),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1210),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1210),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1210),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1210),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1210),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1210),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1210),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1210),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1210),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1210),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1210),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1210),
    [aux_sym_host_key_alias_token1] = ACTIONS(1210),
    [aux_sym_hostname_token1] = ACTIONS(1210),
    [aux_sym_identities_only_token1] = ACTIONS(1210),
    [aux_sym_identity_agent_token1] = ACTIONS(1210),
    [aux_sym_identity_file_token1] = ACTIONS(1210),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1210),
    [aux_sym_include_token1] = ACTIONS(1210),
    [aux_sym_ip_qos_token1] = ACTIONS(1210),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1210),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1210),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1210),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1210),
    [aux_sym_local_command_token1] = ACTIONS(1210),
    [aux_sym_local_forward_token1] = ACTIONS(1210),
    [aux_sym_log_level_token1] = ACTIONS(1210),
    [aux_sym_log_verbose_token1] = ACTIONS(1210),
    [aux_sym_macs_token1] = ACTIONS(1210),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1210),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1210),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1210),
    [aux_sym_password_authentication_token1] = ACTIONS(1210),
    [aux_sym_permit_local_command_token1] = ACTIONS(1210),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1210),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1210),
    [aux_sym_port_token1] = ACTIONS(1210),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1210),
    [aux_sym_protocol_token1] = ACTIONS(1210),
    [aux_sym_proxy_command_token1] = ACTIONS(1210),
    [aux_sym_proxy_jump_token1] = ACTIONS(1210),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1210),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1210),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1210),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1210),
    [aux_sym_rekey_limit_token1] = ACTIONS(1210),
    [aux_sym_remote_command_token1] = ACTIONS(1210),
    [aux_sym_remote_forward_token1] = ACTIONS(1210),
    [aux_sym_request_tty_token1] = ACTIONS(1210),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1210),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1210),
    [aux_sym_security_key_provider_token1] = ACTIONS(1210),
    [aux_sym_send_env_token1] = ACTIONS(1210),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1210),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1210),
    [aux_sym_session_type_token1] = ACTIONS(1210),
    [aux_sym_set_env_token1] = ACTIONS(1210),
    [aux_sym_stdin_null_token1] = ACTIONS(1210),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1210),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1210),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1210),
    [aux_sym_syslog_facility_token1] = ACTIONS(1210),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1210),
    [aux_sym_keep_alive_token1] = ACTIONS(1210),
    [aux_sym_tag_token1] = ACTIONS(1210),
    [aux_sym_tunnel_token1] = ACTIONS(1212),
    [aux_sym_tunnel_device_token1] = ACTIONS(1210),
    [aux_sym_update_host_keys_token1] = ACTIONS(1210),
    [aux_sym_use_keychain_token1] = ACTIONS(1210),
    [aux_sym_use_roaming_token1] = ACTIONS(1210),
    [aux_sym_user_token1] = ACTIONS(1212),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1210),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1210),
    [aux_sym_version_addendum_token1] = ACTIONS(1210),
    [aux_sym_visual_host_key_token1] = ACTIONS(1210),
    [aux_sym_xauth_location_token1] = ACTIONS(1210),
  },
  [128] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_match_token1] = ACTIONS(1214),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1214),
    [aux_sym_address_family_token1] = ACTIONS(1214),
    [aux_sym_batch_mode_token1] = ACTIONS(1214),
    [aux_sym_bind_address_token1] = ACTIONS(1214),
    [aux_sym_bind_interface_token1] = ACTIONS(1214),
    [aux_sym_canonical_domains_token1] = ACTIONS(1214),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1214),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1214),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1214),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1214),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1214),
    [aux_sym_certificate_file_token1] = ACTIONS(1214),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1214),
    [aux_sym_channel_timeout_token1] = ACTIONS(1214),
    [aux_sym_check_host_ip_token1] = ACTIONS(1214),
    [aux_sym_ciphers_token1] = ACTIONS(1214),
    [aux_sym_cipher_token1] = ACTIONS(1216),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1214),
    [aux_sym_compression_token1] = ACTIONS(1214),
    [aux_sym_connection_attempts_token1] = ACTIONS(1214),
    [aux_sym_connect_timeout_token1] = ACTIONS(1214),
    [aux_sym_control_master_token1] = ACTIONS(1214),
    [aux_sym_control_path_token1] = ACTIONS(1214),
    [aux_sym_control_persist_token1] = ACTIONS(1214),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1214),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1214),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1214),
    [aux_sym_escape_char_token1] = ACTIONS(1214),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1214),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1214),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1214),
    [aux_sym_forward_agent_token1] = ACTIONS(1214),
    [aux_sym_forward_x11_token1] = ACTIONS(1216),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1214),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1214),
    [aux_sym_gateway_ports_token1] = ACTIONS(1214),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1214),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1214),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1214),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1214),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1214),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1214),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1214),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1214),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1214),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1214),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1214),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1214),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1214),
    [aux_sym_host_key_alias_token1] = ACTIONS(1214),
    [aux_sym_hostname_token1] = ACTIONS(1214),
    [aux_sym_identities_only_token1] = ACTIONS(1214),
    [aux_sym_identity_agent_token1] = ACTIONS(1214),
    [aux_sym_identity_file_token1] = ACTIONS(1214),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1214),
    [aux_sym_include_token1] = ACTIONS(1214),
    [aux_sym_ip_qos_token1] = ACTIONS(1214),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1214),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1214),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1214),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1214),
    [aux_sym_local_command_token1] = ACTIONS(1214),
    [aux_sym_local_forward_token1] = ACTIONS(1214),
    [aux_sym_log_level_token1] = ACTIONS(1214),
    [aux_sym_log_verbose_token1] = ACTIONS(1214),
    [aux_sym_macs_token1] = ACTIONS(1214),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1214),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1214),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1214),
    [aux_sym_password_authentication_token1] = ACTIONS(1214),
    [aux_sym_permit_local_command_token1] = ACTIONS(1214),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1214),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1214),
    [aux_sym_port_token1] = ACTIONS(1214),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1214),
    [aux_sym_protocol_token1] = ACTIONS(1214),
    [aux_sym_proxy_command_token1] = ACTIONS(1214),
    [aux_sym_proxy_jump_token1] = ACTIONS(1214),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1214),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1214),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1214),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1214),
    [aux_sym_rekey_limit_token1] = ACTIONS(1214),
    [aux_sym_remote_command_token1] = ACTIONS(1214),
    [aux_sym_remote_forward_token1] = ACTIONS(1214),
    [aux_sym_request_tty_token1] = ACTIONS(1214),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1214),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1214),
    [aux_sym_security_key_provider_token1] = ACTIONS(1214),
    [aux_sym_send_env_token1] = ACTIONS(1214),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1214),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1214),
    [aux_sym_session_type_token1] = ACTIONS(1214),
    [aux_sym_set_env_token1] = ACTIONS(1214),
    [aux_sym_stdin_null_token1] = ACTIONS(1214),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1214),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1214),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1214),
    [aux_sym_syslog_facility_token1] = ACTIONS(1214),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1214),
    [aux_sym_keep_alive_token1] = ACTIONS(1214),
    [aux_sym_tag_token1] = ACTIONS(1214),
    [aux_sym_tunnel_token1] = ACTIONS(1216),
    [aux_sym_tunnel_device_token1] = ACTIONS(1214),
    [aux_sym_update_host_keys_token1] = ACTIONS(1214),
    [aux_sym_use_keychain_token1] = ACTIONS(1214),
    [aux_sym_use_roaming_token1] = ACTIONS(1214),
    [aux_sym_user_token1] = ACTIONS(1216),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1214),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1214),
    [aux_sym_version_addendum_token1] = ACTIONS(1214),
    [aux_sym_visual_host_key_token1] = ACTIONS(1214),
    [aux_sym_xauth_location_token1] = ACTIONS(1214),
  },
  [129] = {
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_match_token1] = ACTIONS(1220),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1220),
    [aux_sym_address_family_token1] = ACTIONS(1220),
    [aux_sym_batch_mode_token1] = ACTIONS(1220),
    [aux_sym_bind_address_token1] = ACTIONS(1220),
    [aux_sym_bind_interface_token1] = ACTIONS(1220),
    [aux_sym_canonical_domains_token1] = ACTIONS(1220),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1220),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1220),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1220),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1220),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1220),
    [aux_sym_certificate_file_token1] = ACTIONS(1220),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1220),
    [aux_sym_channel_timeout_token1] = ACTIONS(1220),
    [aux_sym_check_host_ip_token1] = ACTIONS(1220),
    [aux_sym_ciphers_token1] = ACTIONS(1220),
    [aux_sym_cipher_token1] = ACTIONS(1222),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1220),
    [aux_sym_compression_token1] = ACTIONS(1220),
    [aux_sym_connection_attempts_token1] = ACTIONS(1220),
    [aux_sym_connect_timeout_token1] = ACTIONS(1220),
    [aux_sym_control_master_token1] = ACTIONS(1220),
    [aux_sym_control_path_token1] = ACTIONS(1220),
    [aux_sym_control_persist_token1] = ACTIONS(1220),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1220),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1220),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1220),
    [aux_sym_escape_char_token1] = ACTIONS(1220),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1220),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1220),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1220),
    [aux_sym_forward_agent_token1] = ACTIONS(1220),
    [aux_sym_forward_x11_token1] = ACTIONS(1222),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1220),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1220),
    [aux_sym_gateway_ports_token1] = ACTIONS(1220),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1220),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1220),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1220),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1220),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1220),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1220),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1220),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1220),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1220),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1220),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1220),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1220),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1220),
    [aux_sym_host_key_alias_token1] = ACTIONS(1220),
    [aux_sym_hostname_token1] = ACTIONS(1220),
    [aux_sym_identities_only_token1] = ACTIONS(1220),
    [aux_sym_identity_agent_token1] = ACTIONS(1220),
    [aux_sym_identity_file_token1] = ACTIONS(1220),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1220),
    [aux_sym_include_token1] = ACTIONS(1220),
    [aux_sym_ip_qos_token1] = ACTIONS(1220),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1220),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1220),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1220),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1220),
    [aux_sym_local_command_token1] = ACTIONS(1220),
    [aux_sym_local_forward_token1] = ACTIONS(1220),
    [aux_sym_log_level_token1] = ACTIONS(1220),
    [aux_sym_log_verbose_token1] = ACTIONS(1220),
    [aux_sym_macs_token1] = ACTIONS(1220),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1220),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1220),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1220),
    [aux_sym_password_authentication_token1] = ACTIONS(1220),
    [aux_sym_permit_local_command_token1] = ACTIONS(1220),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1220),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1220),
    [aux_sym_port_token1] = ACTIONS(1220),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1220),
    [aux_sym_protocol_token1] = ACTIONS(1220),
    [aux_sym_proxy_command_token1] = ACTIONS(1220),
    [aux_sym_proxy_jump_token1] = ACTIONS(1220),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1220),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1220),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1220),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1220),
    [aux_sym_rekey_limit_token1] = ACTIONS(1220),
    [aux_sym_remote_command_token1] = ACTIONS(1220),
    [aux_sym_remote_forward_token1] = ACTIONS(1220),
    [aux_sym_request_tty_token1] = ACTIONS(1220),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1220),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1220),
    [aux_sym_security_key_provider_token1] = ACTIONS(1220),
    [aux_sym_send_env_token1] = ACTIONS(1220),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1220),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1220),
    [aux_sym_session_type_token1] = ACTIONS(1220),
    [aux_sym_set_env_token1] = ACTIONS(1220),
    [aux_sym_stdin_null_token1] = ACTIONS(1220),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1220),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1220),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1220),
    [aux_sym_syslog_facility_token1] = ACTIONS(1220),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1220),
    [aux_sym_keep_alive_token1] = ACTIONS(1220),
    [aux_sym_tag_token1] = ACTIONS(1220),
    [aux_sym_tunnel_token1] = ACTIONS(1222),
    [aux_sym_tunnel_device_token1] = ACTIONS(1220),
    [aux_sym_update_host_keys_token1] = ACTIONS(1220),
    [aux_sym_use_keychain_token1] = ACTIONS(1220),
    [aux_sym_use_roaming_token1] = ACTIONS(1220),
    [aux_sym_user_token1] = ACTIONS(1222),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1220),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1220),
    [aux_sym_version_addendum_token1] = ACTIONS(1220),
    [aux_sym_visual_host_key_token1] = ACTIONS(1220),
    [aux_sym_xauth_location_token1] = ACTIONS(1220),
  },
  [130] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_match_token1] = ACTIONS(1224),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1224),
    [aux_sym_address_family_token1] = ACTIONS(1224),
    [aux_sym_batch_mode_token1] = ACTIONS(1224),
    [aux_sym_bind_address_token1] = ACTIONS(1224),
    [aux_sym_bind_interface_token1] = ACTIONS(1224),
    [aux_sym_canonical_domains_token1] = ACTIONS(1224),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1224),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1224),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1224),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1224),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1224),
    [aux_sym_certificate_file_token1] = ACTIONS(1224),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1224),
    [aux_sym_channel_timeout_token1] = ACTIONS(1224),
    [aux_sym_check_host_ip_token1] = ACTIONS(1224),
    [aux_sym_ciphers_token1] = ACTIONS(1224),
    [aux_sym_cipher_token1] = ACTIONS(1226),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1224),
    [aux_sym_compression_token1] = ACTIONS(1224),
    [aux_sym_connection_attempts_token1] = ACTIONS(1224),
    [aux_sym_connect_timeout_token1] = ACTIONS(1224),
    [aux_sym_control_master_token1] = ACTIONS(1224),
    [aux_sym_control_path_token1] = ACTIONS(1224),
    [aux_sym_control_persist_token1] = ACTIONS(1224),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1224),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1224),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1224),
    [aux_sym_escape_char_token1] = ACTIONS(1224),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1224),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1224),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1224),
    [aux_sym_forward_agent_token1] = ACTIONS(1224),
    [aux_sym_forward_x11_token1] = ACTIONS(1226),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1224),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1224),
    [aux_sym_gateway_ports_token1] = ACTIONS(1224),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1224),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1224),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1224),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1224),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1224),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1224),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1224),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1224),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1224),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1224),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1224),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1224),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1224),
    [aux_sym_host_key_alias_token1] = ACTIONS(1224),
    [aux_sym_hostname_token1] = ACTIONS(1224),
    [aux_sym_identities_only_token1] = ACTIONS(1224),
    [aux_sym_identity_agent_token1] = ACTIONS(1224),
    [aux_sym_identity_file_token1] = ACTIONS(1224),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1224),
    [aux_sym_include_token1] = ACTIONS(1224),
    [aux_sym_ip_qos_token1] = ACTIONS(1224),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1224),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1224),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1224),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1224),
    [aux_sym_local_command_token1] = ACTIONS(1224),
    [aux_sym_local_forward_token1] = ACTIONS(1224),
    [aux_sym_log_level_token1] = ACTIONS(1224),
    [aux_sym_log_verbose_token1] = ACTIONS(1224),
    [aux_sym_macs_token1] = ACTIONS(1224),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1224),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1224),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1224),
    [aux_sym_password_authentication_token1] = ACTIONS(1224),
    [aux_sym_permit_local_command_token1] = ACTIONS(1224),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1224),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1224),
    [aux_sym_port_token1] = ACTIONS(1224),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1224),
    [aux_sym_protocol_token1] = ACTIONS(1224),
    [aux_sym_proxy_command_token1] = ACTIONS(1224),
    [aux_sym_proxy_jump_token1] = ACTIONS(1224),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1224),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1224),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1224),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1224),
    [aux_sym_rekey_limit_token1] = ACTIONS(1224),
    [aux_sym_remote_command_token1] = ACTIONS(1224),
    [aux_sym_remote_forward_token1] = ACTIONS(1224),
    [aux_sym_request_tty_token1] = ACTIONS(1224),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1224),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1224),
    [aux_sym_security_key_provider_token1] = ACTIONS(1224),
    [aux_sym_send_env_token1] = ACTIONS(1224),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1224),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1224),
    [aux_sym_session_type_token1] = ACTIONS(1224),
    [aux_sym_set_env_token1] = ACTIONS(1224),
    [aux_sym_stdin_null_token1] = ACTIONS(1224),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1224),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1224),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1224),
    [aux_sym_syslog_facility_token1] = ACTIONS(1224),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1224),
    [aux_sym_keep_alive_token1] = ACTIONS(1224),
    [aux_sym_tag_token1] = ACTIONS(1224),
    [aux_sym_tunnel_token1] = ACTIONS(1226),
    [aux_sym_tunnel_device_token1] = ACTIONS(1224),
    [aux_sym_update_host_keys_token1] = ACTIONS(1224),
    [aux_sym_use_keychain_token1] = ACTIONS(1224),
    [aux_sym_use_roaming_token1] = ACTIONS(1224),
    [aux_sym_user_token1] = ACTIONS(1226),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1224),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1224),
    [aux_sym_version_addendum_token1] = ACTIONS(1224),
    [aux_sym_visual_host_key_token1] = ACTIONS(1224),
    [aux_sym_xauth_location_token1] = ACTIONS(1224),
  },
  [131] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_match_token1] = ACTIONS(1230),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1230),
    [aux_sym_address_family_token1] = ACTIONS(1230),
    [aux_sym_batch_mode_token1] = ACTIONS(1230),
    [aux_sym_bind_address_token1] = ACTIONS(1230),
    [aux_sym_bind_interface_token1] = ACTIONS(1230),
    [aux_sym_canonical_domains_token1] = ACTIONS(1230),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1230),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1230),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1230),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1230),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1230),
    [aux_sym_certificate_file_token1] = ACTIONS(1230),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1230),
    [aux_sym_channel_timeout_token1] = ACTIONS(1230),
    [aux_sym_check_host_ip_token1] = ACTIONS(1230),
    [aux_sym_ciphers_token1] = ACTIONS(1230),
    [aux_sym_cipher_token1] = ACTIONS(1232),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1230),
    [aux_sym_compression_token1] = ACTIONS(1230),
    [aux_sym_connection_attempts_token1] = ACTIONS(1230),
    [aux_sym_connect_timeout_token1] = ACTIONS(1230),
    [aux_sym_control_master_token1] = ACTIONS(1230),
    [aux_sym_control_path_token1] = ACTIONS(1230),
    [aux_sym_control_persist_token1] = ACTIONS(1230),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1230),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1230),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1230),
    [aux_sym_escape_char_token1] = ACTIONS(1230),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1230),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1230),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1230),
    [aux_sym_forward_agent_token1] = ACTIONS(1230),
    [aux_sym_forward_x11_token1] = ACTIONS(1232),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1230),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1230),
    [aux_sym_gateway_ports_token1] = ACTIONS(1230),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1230),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1230),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1230),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1230),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1230),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1230),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1230),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1230),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1230),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1230),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1230),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1230),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1230),
    [aux_sym_host_key_alias_token1] = ACTIONS(1230),
    [aux_sym_hostname_token1] = ACTIONS(1230),
    [aux_sym_identities_only_token1] = ACTIONS(1230),
    [aux_sym_identity_agent_token1] = ACTIONS(1230),
    [aux_sym_identity_file_token1] = ACTIONS(1230),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1230),
    [aux_sym_include_token1] = ACTIONS(1230),
    [aux_sym_ip_qos_token1] = ACTIONS(1230),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1230),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1230),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1230),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1230),
    [aux_sym_local_command_token1] = ACTIONS(1230),
    [aux_sym_local_forward_token1] = ACTIONS(1230),
    [aux_sym_log_level_token1] = ACTIONS(1230),
    [aux_sym_log_verbose_token1] = ACTIONS(1230),
    [aux_sym_macs_token1] = ACTIONS(1230),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1230),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1230),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1230),
    [aux_sym_password_authentication_token1] = ACTIONS(1230),
    [aux_sym_permit_local_command_token1] = ACTIONS(1230),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1230),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1230),
    [aux_sym_port_token1] = ACTIONS(1230),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1230),
    [aux_sym_protocol_token1] = ACTIONS(1230),
    [aux_sym_proxy_command_token1] = ACTIONS(1230),
    [aux_sym_proxy_jump_token1] = ACTIONS(1230),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1230),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1230),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1230),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1230),
    [aux_sym_rekey_limit_token1] = ACTIONS(1230),
    [aux_sym_remote_command_token1] = ACTIONS(1230),
    [aux_sym_remote_forward_token1] = ACTIONS(1230),
    [aux_sym_request_tty_token1] = ACTIONS(1230),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1230),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1230),
    [aux_sym_security_key_provider_token1] = ACTIONS(1230),
    [aux_sym_send_env_token1] = ACTIONS(1230),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1230),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1230),
    [aux_sym_session_type_token1] = ACTIONS(1230),
    [aux_sym_set_env_token1] = ACTIONS(1230),
    [aux_sym_stdin_null_token1] = ACTIONS(1230),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1230),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1230),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1230),
    [aux_sym_syslog_facility_token1] = ACTIONS(1230),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1230),
    [aux_sym_keep_alive_token1] = ACTIONS(1230),
    [aux_sym_tag_token1] = ACTIONS(1230),
    [aux_sym_tunnel_token1] = ACTIONS(1232),
    [aux_sym_tunnel_device_token1] = ACTIONS(1230),
    [aux_sym_update_host_keys_token1] = ACTIONS(1230),
    [aux_sym_use_keychain_token1] = ACTIONS(1230),
    [aux_sym_use_roaming_token1] = ACTIONS(1230),
    [aux_sym_user_token1] = ACTIONS(1232),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1230),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1230),
    [aux_sym_version_addendum_token1] = ACTIONS(1230),
    [aux_sym_visual_host_key_token1] = ACTIONS(1230),
    [aux_sym_xauth_location_token1] = ACTIONS(1230),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_match_token1] = ACTIONS(1234),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1234),
    [aux_sym_address_family_token1] = ACTIONS(1234),
    [aux_sym_batch_mode_token1] = ACTIONS(1234),
    [aux_sym_bind_address_token1] = ACTIONS(1234),
    [aux_sym_bind_interface_token1] = ACTIONS(1234),
    [aux_sym_canonical_domains_token1] = ACTIONS(1234),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1234),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1234),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1234),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1234),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1234),
    [aux_sym_certificate_file_token1] = ACTIONS(1234),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1234),
    [aux_sym_channel_timeout_token1] = ACTIONS(1234),
    [aux_sym_check_host_ip_token1] = ACTIONS(1234),
    [aux_sym_ciphers_token1] = ACTIONS(1234),
    [aux_sym_cipher_token1] = ACTIONS(1236),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1234),
    [aux_sym_compression_token1] = ACTIONS(1234),
    [aux_sym_connection_attempts_token1] = ACTIONS(1234),
    [aux_sym_connect_timeout_token1] = ACTIONS(1234),
    [aux_sym_control_master_token1] = ACTIONS(1234),
    [aux_sym_control_path_token1] = ACTIONS(1234),
    [aux_sym_control_persist_token1] = ACTIONS(1234),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1234),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1234),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1234),
    [aux_sym_escape_char_token1] = ACTIONS(1234),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1234),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1234),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1234),
    [aux_sym_forward_agent_token1] = ACTIONS(1234),
    [aux_sym_forward_x11_token1] = ACTIONS(1236),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1234),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1234),
    [aux_sym_gateway_ports_token1] = ACTIONS(1234),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1234),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1234),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1234),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1234),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1234),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1234),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1234),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1234),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1234),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1234),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1234),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1234),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1234),
    [aux_sym_host_key_alias_token1] = ACTIONS(1234),
    [aux_sym_hostname_token1] = ACTIONS(1234),
    [aux_sym_identities_only_token1] = ACTIONS(1234),
    [aux_sym_identity_agent_token1] = ACTIONS(1234),
    [aux_sym_identity_file_token1] = ACTIONS(1234),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1234),
    [aux_sym_include_token1] = ACTIONS(1234),
    [aux_sym_ip_qos_token1] = ACTIONS(1234),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1234),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1234),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1234),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1234),
    [aux_sym_local_command_token1] = ACTIONS(1234),
    [aux_sym_local_forward_token1] = ACTIONS(1234),
    [aux_sym_log_level_token1] = ACTIONS(1234),
    [aux_sym_log_verbose_token1] = ACTIONS(1234),
    [aux_sym_macs_token1] = ACTIONS(1234),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1234),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1234),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1234),
    [aux_sym_password_authentication_token1] = ACTIONS(1234),
    [aux_sym_permit_local_command_token1] = ACTIONS(1234),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1234),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1234),
    [aux_sym_port_token1] = ACTIONS(1234),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1234),
    [aux_sym_protocol_token1] = ACTIONS(1234),
    [aux_sym_proxy_command_token1] = ACTIONS(1234),
    [aux_sym_proxy_jump_token1] = ACTIONS(1234),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1234),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1234),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1234),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1234),
    [aux_sym_rekey_limit_token1] = ACTIONS(1234),
    [aux_sym_remote_command_token1] = ACTIONS(1234),
    [aux_sym_remote_forward_token1] = ACTIONS(1234),
    [aux_sym_request_tty_token1] = ACTIONS(1234),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1234),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1234),
    [aux_sym_security_key_provider_token1] = ACTIONS(1234),
    [aux_sym_send_env_token1] = ACTIONS(1234),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1234),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1234),
    [aux_sym_session_type_token1] = ACTIONS(1234),
    [aux_sym_set_env_token1] = ACTIONS(1234),
    [aux_sym_stdin_null_token1] = ACTIONS(1234),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1234),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1234),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1234),
    [aux_sym_syslog_facility_token1] = ACTIONS(1234),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1234),
    [aux_sym_keep_alive_token1] = ACTIONS(1234),
    [aux_sym_tag_token1] = ACTIONS(1234),
    [aux_sym_tunnel_token1] = ACTIONS(1236),
    [aux_sym_tunnel_device_token1] = ACTIONS(1234),
    [aux_sym_update_host_keys_token1] = ACTIONS(1234),
    [aux_sym_use_keychain_token1] = ACTIONS(1234),
    [aux_sym_use_roaming_token1] = ACTIONS(1234),
    [aux_sym_user_token1] = ACTIONS(1236),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1234),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1234),
    [aux_sym_version_addendum_token1] = ACTIONS(1234),
    [aux_sym_visual_host_key_token1] = ACTIONS(1234),
    [aux_sym_xauth_location_token1] = ACTIONS(1234),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_match_token1] = ACTIONS(1240),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1240),
    [aux_sym_address_family_token1] = ACTIONS(1240),
    [aux_sym_batch_mode_token1] = ACTIONS(1240),
    [aux_sym_bind_address_token1] = ACTIONS(1240),
    [aux_sym_bind_interface_token1] = ACTIONS(1240),
    [aux_sym_canonical_domains_token1] = ACTIONS(1240),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1240),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1240),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1240),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1240),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1240),
    [aux_sym_certificate_file_token1] = ACTIONS(1240),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1240),
    [aux_sym_channel_timeout_token1] = ACTIONS(1240),
    [aux_sym_check_host_ip_token1] = ACTIONS(1240),
    [aux_sym_ciphers_token1] = ACTIONS(1240),
    [aux_sym_cipher_token1] = ACTIONS(1242),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1240),
    [aux_sym_compression_token1] = ACTIONS(1240),
    [aux_sym_connection_attempts_token1] = ACTIONS(1240),
    [aux_sym_connect_timeout_token1] = ACTIONS(1240),
    [aux_sym_control_master_token1] = ACTIONS(1240),
    [aux_sym_control_path_token1] = ACTIONS(1240),
    [aux_sym_control_persist_token1] = ACTIONS(1240),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1240),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1240),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1240),
    [aux_sym_escape_char_token1] = ACTIONS(1240),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1240),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1240),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1240),
    [aux_sym_forward_agent_token1] = ACTIONS(1240),
    [aux_sym_forward_x11_token1] = ACTIONS(1242),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1240),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1240),
    [aux_sym_gateway_ports_token1] = ACTIONS(1240),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1240),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1240),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1240),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1240),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1240),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1240),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1240),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1240),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1240),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1240),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1240),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1240),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1240),
    [aux_sym_host_key_alias_token1] = ACTIONS(1240),
    [aux_sym_hostname_token1] = ACTIONS(1240),
    [aux_sym_identities_only_token1] = ACTIONS(1240),
    [aux_sym_identity_agent_token1] = ACTIONS(1240),
    [aux_sym_identity_file_token1] = ACTIONS(1240),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1240),
    [aux_sym_include_token1] = ACTIONS(1240),
    [aux_sym_ip_qos_token1] = ACTIONS(1240),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1240),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1240),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1240),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1240),
    [aux_sym_local_command_token1] = ACTIONS(1240),
    [aux_sym_local_forward_token1] = ACTIONS(1240),
    [aux_sym_log_level_token1] = ACTIONS(1240),
    [aux_sym_log_verbose_token1] = ACTIONS(1240),
    [aux_sym_macs_token1] = ACTIONS(1240),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1240),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1240),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1240),
    [aux_sym_password_authentication_token1] = ACTIONS(1240),
    [aux_sym_permit_local_command_token1] = ACTIONS(1240),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1240),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1240),
    [aux_sym_port_token1] = ACTIONS(1240),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1240),
    [aux_sym_protocol_token1] = ACTIONS(1240),
    [aux_sym_proxy_command_token1] = ACTIONS(1240),
    [aux_sym_proxy_jump_token1] = ACTIONS(1240),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1240),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1240),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1240),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1240),
    [aux_sym_rekey_limit_token1] = ACTIONS(1240),
    [aux_sym_remote_command_token1] = ACTIONS(1240),
    [aux_sym_remote_forward_token1] = ACTIONS(1240),
    [aux_sym_request_tty_token1] = ACTIONS(1240),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1240),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1240),
    [aux_sym_security_key_provider_token1] = ACTIONS(1240),
    [aux_sym_send_env_token1] = ACTIONS(1240),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1240),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1240),
    [aux_sym_session_type_token1] = ACTIONS(1240),
    [aux_sym_set_env_token1] = ACTIONS(1240),
    [aux_sym_stdin_null_token1] = ACTIONS(1240),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1240),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1240),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1240),
    [aux_sym_syslog_facility_token1] = ACTIONS(1240),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1240),
    [aux_sym_keep_alive_token1] = ACTIONS(1240),
    [aux_sym_tag_token1] = ACTIONS(1240),
    [aux_sym_tunnel_token1] = ACTIONS(1242),
    [aux_sym_tunnel_device_token1] = ACTIONS(1240),
    [aux_sym_update_host_keys_token1] = ACTIONS(1240),
    [aux_sym_use_keychain_token1] = ACTIONS(1240),
    [aux_sym_use_roaming_token1] = ACTIONS(1240),
    [aux_sym_user_token1] = ACTIONS(1242),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1240),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1240),
    [aux_sym_version_addendum_token1] = ACTIONS(1240),
    [aux_sym_visual_host_key_token1] = ACTIONS(1240),
    [aux_sym_xauth_location_token1] = ACTIONS(1240),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_match_token1] = ACTIONS(1244),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1244),
    [aux_sym_address_family_token1] = ACTIONS(1244),
    [aux_sym_batch_mode_token1] = ACTIONS(1244),
    [aux_sym_bind_address_token1] = ACTIONS(1244),
    [aux_sym_bind_interface_token1] = ACTIONS(1244),
    [aux_sym_canonical_domains_token1] = ACTIONS(1244),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1244),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1244),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1244),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1244),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1244),
    [aux_sym_certificate_file_token1] = ACTIONS(1244),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1244),
    [aux_sym_channel_timeout_token1] = ACTIONS(1244),
    [aux_sym_check_host_ip_token1] = ACTIONS(1244),
    [aux_sym_ciphers_token1] = ACTIONS(1244),
    [aux_sym_cipher_token1] = ACTIONS(1246),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1244),
    [aux_sym_compression_token1] = ACTIONS(1244),
    [aux_sym_connection_attempts_token1] = ACTIONS(1244),
    [aux_sym_connect_timeout_token1] = ACTIONS(1244),
    [aux_sym_control_master_token1] = ACTIONS(1244),
    [aux_sym_control_path_token1] = ACTIONS(1244),
    [aux_sym_control_persist_token1] = ACTIONS(1244),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1244),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1244),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1244),
    [aux_sym_escape_char_token1] = ACTIONS(1244),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1244),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1244),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1244),
    [aux_sym_forward_agent_token1] = ACTIONS(1244),
    [aux_sym_forward_x11_token1] = ACTIONS(1246),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1244),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1244),
    [aux_sym_gateway_ports_token1] = ACTIONS(1244),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1244),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1244),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1244),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1244),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1244),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1244),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1244),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1244),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1244),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1244),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1244),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1244),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1244),
    [aux_sym_host_key_alias_token1] = ACTIONS(1244),
    [aux_sym_hostname_token1] = ACTIONS(1244),
    [aux_sym_identities_only_token1] = ACTIONS(1244),
    [aux_sym_identity_agent_token1] = ACTIONS(1244),
    [aux_sym_identity_file_token1] = ACTIONS(1244),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1244),
    [aux_sym_include_token1] = ACTIONS(1244),
    [aux_sym_ip_qos_token1] = ACTIONS(1244),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1244),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1244),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1244),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1244),
    [aux_sym_local_command_token1] = ACTIONS(1244),
    [aux_sym_local_forward_token1] = ACTIONS(1244),
    [aux_sym_log_level_token1] = ACTIONS(1244),
    [aux_sym_log_verbose_token1] = ACTIONS(1244),
    [aux_sym_macs_token1] = ACTIONS(1244),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1244),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1244),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1244),
    [aux_sym_password_authentication_token1] = ACTIONS(1244),
    [aux_sym_permit_local_command_token1] = ACTIONS(1244),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1244),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1244),
    [aux_sym_port_token1] = ACTIONS(1244),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1244),
    [aux_sym_protocol_token1] = ACTIONS(1244),
    [aux_sym_proxy_command_token1] = ACTIONS(1244),
    [aux_sym_proxy_jump_token1] = ACTIONS(1244),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1244),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1244),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1244),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1244),
    [aux_sym_rekey_limit_token1] = ACTIONS(1244),
    [aux_sym_remote_command_token1] = ACTIONS(1244),
    [aux_sym_remote_forward_token1] = ACTIONS(1244),
    [aux_sym_request_tty_token1] = ACTIONS(1244),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1244),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1244),
    [aux_sym_security_key_provider_token1] = ACTIONS(1244),
    [aux_sym_send_env_token1] = ACTIONS(1244),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1244),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1244),
    [aux_sym_session_type_token1] = ACTIONS(1244),
    [aux_sym_set_env_token1] = ACTIONS(1244),
    [aux_sym_stdin_null_token1] = ACTIONS(1244),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1244),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1244),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1244),
    [aux_sym_syslog_facility_token1] = ACTIONS(1244),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1244),
    [aux_sym_keep_alive_token1] = ACTIONS(1244),
    [aux_sym_tag_token1] = ACTIONS(1244),
    [aux_sym_tunnel_token1] = ACTIONS(1246),
    [aux_sym_tunnel_device_token1] = ACTIONS(1244),
    [aux_sym_update_host_keys_token1] = ACTIONS(1244),
    [aux_sym_use_keychain_token1] = ACTIONS(1244),
    [aux_sym_use_roaming_token1] = ACTIONS(1244),
    [aux_sym_user_token1] = ACTIONS(1246),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1244),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1244),
    [aux_sym_version_addendum_token1] = ACTIONS(1244),
    [aux_sym_visual_host_key_token1] = ACTIONS(1244),
    [aux_sym_xauth_location_token1] = ACTIONS(1244),
  },
  [135] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_match_token1] = ACTIONS(1250),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1250),
    [aux_sym_address_family_token1] = ACTIONS(1250),
    [aux_sym_batch_mode_token1] = ACTIONS(1250),
    [aux_sym_bind_address_token1] = ACTIONS(1250),
    [aux_sym_bind_interface_token1] = ACTIONS(1250),
    [aux_sym_canonical_domains_token1] = ACTIONS(1250),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1250),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1250),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1250),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1250),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1250),
    [aux_sym_certificate_file_token1] = ACTIONS(1250),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1250),
    [aux_sym_channel_timeout_token1] = ACTIONS(1250),
    [aux_sym_check_host_ip_token1] = ACTIONS(1250),
    [aux_sym_ciphers_token1] = ACTIONS(1250),
    [aux_sym_cipher_token1] = ACTIONS(1252),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1250),
    [aux_sym_compression_token1] = ACTIONS(1250),
    [aux_sym_connection_attempts_token1] = ACTIONS(1250),
    [aux_sym_connect_timeout_token1] = ACTIONS(1250),
    [aux_sym_control_master_token1] = ACTIONS(1250),
    [aux_sym_control_path_token1] = ACTIONS(1250),
    [aux_sym_control_persist_token1] = ACTIONS(1250),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1250),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1250),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1250),
    [aux_sym_escape_char_token1] = ACTIONS(1250),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1250),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1250),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1250),
    [aux_sym_forward_agent_token1] = ACTIONS(1250),
    [aux_sym_forward_x11_token1] = ACTIONS(1252),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1250),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1250),
    [aux_sym_gateway_ports_token1] = ACTIONS(1250),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1250),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1250),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1250),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1250),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1250),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1250),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1250),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1250),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1250),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1250),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1250),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1250),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1250),
    [aux_sym_host_key_alias_token1] = ACTIONS(1250),
    [aux_sym_hostname_token1] = ACTIONS(1250),
    [aux_sym_identities_only_token1] = ACTIONS(1250),
    [aux_sym_identity_agent_token1] = ACTIONS(1250),
    [aux_sym_identity_file_token1] = ACTIONS(1250),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1250),
    [aux_sym_include_token1] = ACTIONS(1250),
    [aux_sym_ip_qos_token1] = ACTIONS(1250),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1250),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1250),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1250),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1250),
    [aux_sym_local_command_token1] = ACTIONS(1250),
    [aux_sym_local_forward_token1] = ACTIONS(1250),
    [aux_sym_log_level_token1] = ACTIONS(1250),
    [aux_sym_log_verbose_token1] = ACTIONS(1250),
    [aux_sym_macs_token1] = ACTIONS(1250),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1250),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1250),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1250),
    [aux_sym_password_authentication_token1] = ACTIONS(1250),
    [aux_sym_permit_local_command_token1] = ACTIONS(1250),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1250),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1250),
    [aux_sym_port_token1] = ACTIONS(1250),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1250),
    [aux_sym_protocol_token1] = ACTIONS(1250),
    [aux_sym_proxy_command_token1] = ACTIONS(1250),
    [aux_sym_proxy_jump_token1] = ACTIONS(1250),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1250),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1250),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1250),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1250),
    [aux_sym_rekey_limit_token1] = ACTIONS(1250),
    [aux_sym_remote_command_token1] = ACTIONS(1250),
    [aux_sym_remote_forward_token1] = ACTIONS(1250),
    [aux_sym_request_tty_token1] = ACTIONS(1250),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1250),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1250),
    [aux_sym_security_key_provider_token1] = ACTIONS(1250),
    [aux_sym_send_env_token1] = ACTIONS(1250),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1250),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1250),
    [aux_sym_session_type_token1] = ACTIONS(1250),
    [aux_sym_set_env_token1] = ACTIONS(1250),
    [aux_sym_stdin_null_token1] = ACTIONS(1250),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1250),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1250),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1250),
    [aux_sym_syslog_facility_token1] = ACTIONS(1250),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1250),
    [aux_sym_keep_alive_token1] = ACTIONS(1250),
    [aux_sym_tag_token1] = ACTIONS(1250),
    [aux_sym_tunnel_token1] = ACTIONS(1252),
    [aux_sym_tunnel_device_token1] = ACTIONS(1250),
    [aux_sym_update_host_keys_token1] = ACTIONS(1250),
    [aux_sym_use_keychain_token1] = ACTIONS(1250),
    [aux_sym_use_roaming_token1] = ACTIONS(1250),
    [aux_sym_user_token1] = ACTIONS(1252),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1250),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1250),
    [aux_sym_version_addendum_token1] = ACTIONS(1250),
    [aux_sym_visual_host_key_token1] = ACTIONS(1250),
    [aux_sym_xauth_location_token1] = ACTIONS(1250),
  },
  [136] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_match_token1] = ACTIONS(1254),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1254),
    [aux_sym_address_family_token1] = ACTIONS(1254),
    [aux_sym_batch_mode_token1] = ACTIONS(1254),
    [aux_sym_bind_address_token1] = ACTIONS(1254),
    [aux_sym_bind_interface_token1] = ACTIONS(1254),
    [aux_sym_canonical_domains_token1] = ACTIONS(1254),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1254),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1254),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1254),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1254),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1254),
    [aux_sym_certificate_file_token1] = ACTIONS(1254),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1254),
    [aux_sym_channel_timeout_token1] = ACTIONS(1254),
    [aux_sym_check_host_ip_token1] = ACTIONS(1254),
    [aux_sym_ciphers_token1] = ACTIONS(1254),
    [aux_sym_cipher_token1] = ACTIONS(1256),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1254),
    [aux_sym_compression_token1] = ACTIONS(1254),
    [aux_sym_connection_attempts_token1] = ACTIONS(1254),
    [aux_sym_connect_timeout_token1] = ACTIONS(1254),
    [aux_sym_control_master_token1] = ACTIONS(1254),
    [aux_sym_control_path_token1] = ACTIONS(1254),
    [aux_sym_control_persist_token1] = ACTIONS(1254),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1254),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1254),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1254),
    [aux_sym_escape_char_token1] = ACTIONS(1254),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1254),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1254),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1254),
    [aux_sym_forward_agent_token1] = ACTIONS(1254),
    [aux_sym_forward_x11_token1] = ACTIONS(1256),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1254),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1254),
    [aux_sym_gateway_ports_token1] = ACTIONS(1254),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1254),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1254),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1254),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1254),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1254),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1254),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1254),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1254),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1254),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1254),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1254),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1254),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1254),
    [aux_sym_host_key_alias_token1] = ACTIONS(1254),
    [aux_sym_hostname_token1] = ACTIONS(1254),
    [aux_sym_identities_only_token1] = ACTIONS(1254),
    [aux_sym_identity_agent_token1] = ACTIONS(1254),
    [aux_sym_identity_file_token1] = ACTIONS(1254),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1254),
    [aux_sym_include_token1] = ACTIONS(1254),
    [aux_sym_ip_qos_token1] = ACTIONS(1254),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1254),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1254),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1254),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1254),
    [aux_sym_local_command_token1] = ACTIONS(1254),
    [aux_sym_local_forward_token1] = ACTIONS(1254),
    [aux_sym_log_level_token1] = ACTIONS(1254),
    [aux_sym_log_verbose_token1] = ACTIONS(1254),
    [aux_sym_macs_token1] = ACTIONS(1254),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1254),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1254),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1254),
    [aux_sym_password_authentication_token1] = ACTIONS(1254),
    [aux_sym_permit_local_command_token1] = ACTIONS(1254),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1254),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1254),
    [aux_sym_port_token1] = ACTIONS(1254),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1254),
    [aux_sym_protocol_token1] = ACTIONS(1254),
    [aux_sym_proxy_command_token1] = ACTIONS(1254),
    [aux_sym_proxy_jump_token1] = ACTIONS(1254),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1254),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1254),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1254),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1254),
    [aux_sym_rekey_limit_token1] = ACTIONS(1254),
    [aux_sym_remote_command_token1] = ACTIONS(1254),
    [aux_sym_remote_forward_token1] = ACTIONS(1254),
    [aux_sym_request_tty_token1] = ACTIONS(1254),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1254),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1254),
    [aux_sym_security_key_provider_token1] = ACTIONS(1254),
    [aux_sym_send_env_token1] = ACTIONS(1254),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1254),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1254),
    [aux_sym_session_type_token1] = ACTIONS(1254),
    [aux_sym_set_env_token1] = ACTIONS(1254),
    [aux_sym_stdin_null_token1] = ACTIONS(1254),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1254),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1254),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1254),
    [aux_sym_syslog_facility_token1] = ACTIONS(1254),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1254),
    [aux_sym_keep_alive_token1] = ACTIONS(1254),
    [aux_sym_tag_token1] = ACTIONS(1254),
    [aux_sym_tunnel_token1] = ACTIONS(1256),
    [aux_sym_tunnel_device_token1] = ACTIONS(1254),
    [aux_sym_update_host_keys_token1] = ACTIONS(1254),
    [aux_sym_use_keychain_token1] = ACTIONS(1254),
    [aux_sym_use_roaming_token1] = ACTIONS(1254),
    [aux_sym_user_token1] = ACTIONS(1256),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1254),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1254),
    [aux_sym_version_addendum_token1] = ACTIONS(1254),
    [aux_sym_visual_host_key_token1] = ACTIONS(1254),
    [aux_sym_xauth_location_token1] = ACTIONS(1254),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_match_token1] = ACTIONS(1260),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1260),
    [aux_sym_address_family_token1] = ACTIONS(1260),
    [aux_sym_batch_mode_token1] = ACTIONS(1260),
    [aux_sym_bind_address_token1] = ACTIONS(1260),
    [aux_sym_bind_interface_token1] = ACTIONS(1260),
    [aux_sym_canonical_domains_token1] = ACTIONS(1260),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1260),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1260),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1260),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1260),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1260),
    [aux_sym_certificate_file_token1] = ACTIONS(1260),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1260),
    [aux_sym_channel_timeout_token1] = ACTIONS(1260),
    [aux_sym_check_host_ip_token1] = ACTIONS(1260),
    [aux_sym_ciphers_token1] = ACTIONS(1260),
    [aux_sym_cipher_token1] = ACTIONS(1262),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1260),
    [aux_sym_compression_token1] = ACTIONS(1260),
    [aux_sym_connection_attempts_token1] = ACTIONS(1260),
    [aux_sym_connect_timeout_token1] = ACTIONS(1260),
    [aux_sym_control_master_token1] = ACTIONS(1260),
    [aux_sym_control_path_token1] = ACTIONS(1260),
    [aux_sym_control_persist_token1] = ACTIONS(1260),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1260),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1260),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1260),
    [aux_sym_escape_char_token1] = ACTIONS(1260),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1260),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1260),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1260),
    [aux_sym_forward_agent_token1] = ACTIONS(1260),
    [aux_sym_forward_x11_token1] = ACTIONS(1262),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1260),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1260),
    [aux_sym_gateway_ports_token1] = ACTIONS(1260),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1260),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1260),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1260),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1260),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1260),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1260),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1260),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1260),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1260),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1260),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1260),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1260),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1260),
    [aux_sym_host_key_alias_token1] = ACTIONS(1260),
    [aux_sym_hostname_token1] = ACTIONS(1260),
    [aux_sym_identities_only_token1] = ACTIONS(1260),
    [aux_sym_identity_agent_token1] = ACTIONS(1260),
    [aux_sym_identity_file_token1] = ACTIONS(1260),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1260),
    [aux_sym_include_token1] = ACTIONS(1260),
    [aux_sym_ip_qos_token1] = ACTIONS(1260),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1260),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1260),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1260),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1260),
    [aux_sym_local_command_token1] = ACTIONS(1260),
    [aux_sym_local_forward_token1] = ACTIONS(1260),
    [aux_sym_log_level_token1] = ACTIONS(1260),
    [aux_sym_log_verbose_token1] = ACTIONS(1260),
    [aux_sym_macs_token1] = ACTIONS(1260),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1260),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1260),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1260),
    [aux_sym_password_authentication_token1] = ACTIONS(1260),
    [aux_sym_permit_local_command_token1] = ACTIONS(1260),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1260),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1260),
    [aux_sym_port_token1] = ACTIONS(1260),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1260),
    [aux_sym_protocol_token1] = ACTIONS(1260),
    [aux_sym_proxy_command_token1] = ACTIONS(1260),
    [aux_sym_proxy_jump_token1] = ACTIONS(1260),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1260),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1260),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1260),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1260),
    [aux_sym_rekey_limit_token1] = ACTIONS(1260),
    [aux_sym_remote_command_token1] = ACTIONS(1260),
    [aux_sym_remote_forward_token1] = ACTIONS(1260),
    [aux_sym_request_tty_token1] = ACTIONS(1260),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1260),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1260),
    [aux_sym_security_key_provider_token1] = ACTIONS(1260),
    [aux_sym_send_env_token1] = ACTIONS(1260),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1260),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1260),
    [aux_sym_session_type_token1] = ACTIONS(1260),
    [aux_sym_set_env_token1] = ACTIONS(1260),
    [aux_sym_stdin_null_token1] = ACTIONS(1260),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1260),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1260),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1260),
    [aux_sym_syslog_facility_token1] = ACTIONS(1260),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1260),
    [aux_sym_keep_alive_token1] = ACTIONS(1260),
    [aux_sym_tag_token1] = ACTIONS(1260),
    [aux_sym_tunnel_token1] = ACTIONS(1262),
    [aux_sym_tunnel_device_token1] = ACTIONS(1260),
    [aux_sym_update_host_keys_token1] = ACTIONS(1260),
    [aux_sym_use_keychain_token1] = ACTIONS(1260),
    [aux_sym_use_roaming_token1] = ACTIONS(1260),
    [aux_sym_user_token1] = ACTIONS(1262),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1260),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1260),
    [aux_sym_version_addendum_token1] = ACTIONS(1260),
    [aux_sym_visual_host_key_token1] = ACTIONS(1260),
    [aux_sym_xauth_location_token1] = ACTIONS(1260),
  },
  [138] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_match_token1] = ACTIONS(1264),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1264),
    [aux_sym_address_family_token1] = ACTIONS(1264),
    [aux_sym_batch_mode_token1] = ACTIONS(1264),
    [aux_sym_bind_address_token1] = ACTIONS(1264),
    [aux_sym_bind_interface_token1] = ACTIONS(1264),
    [aux_sym_canonical_domains_token1] = ACTIONS(1264),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1264),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1264),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1264),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1264),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1264),
    [aux_sym_certificate_file_token1] = ACTIONS(1264),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1264),
    [aux_sym_channel_timeout_token1] = ACTIONS(1264),
    [aux_sym_check_host_ip_token1] = ACTIONS(1264),
    [aux_sym_ciphers_token1] = ACTIONS(1264),
    [aux_sym_cipher_token1] = ACTIONS(1266),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1264),
    [aux_sym_compression_token1] = ACTIONS(1264),
    [aux_sym_connection_attempts_token1] = ACTIONS(1264),
    [aux_sym_connect_timeout_token1] = ACTIONS(1264),
    [aux_sym_control_master_token1] = ACTIONS(1264),
    [aux_sym_control_path_token1] = ACTIONS(1264),
    [aux_sym_control_persist_token1] = ACTIONS(1264),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1264),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1264),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1264),
    [aux_sym_escape_char_token1] = ACTIONS(1264),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1264),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1264),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1264),
    [aux_sym_forward_agent_token1] = ACTIONS(1264),
    [aux_sym_forward_x11_token1] = ACTIONS(1266),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1264),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1264),
    [aux_sym_gateway_ports_token1] = ACTIONS(1264),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1264),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1264),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1264),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1264),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1264),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1264),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1264),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1264),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1264),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1264),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1264),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1264),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1264),
    [aux_sym_host_key_alias_token1] = ACTIONS(1264),
    [aux_sym_hostname_token1] = ACTIONS(1264),
    [aux_sym_identities_only_token1] = ACTIONS(1264),
    [aux_sym_identity_agent_token1] = ACTIONS(1264),
    [aux_sym_identity_file_token1] = ACTIONS(1264),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1264),
    [aux_sym_include_token1] = ACTIONS(1264),
    [aux_sym_ip_qos_token1] = ACTIONS(1264),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1264),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1264),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1264),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1264),
    [aux_sym_local_command_token1] = ACTIONS(1264),
    [aux_sym_local_forward_token1] = ACTIONS(1264),
    [aux_sym_log_level_token1] = ACTIONS(1264),
    [aux_sym_log_verbose_token1] = ACTIONS(1264),
    [aux_sym_macs_token1] = ACTIONS(1264),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1264),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1264),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1264),
    [aux_sym_password_authentication_token1] = ACTIONS(1264),
    [aux_sym_permit_local_command_token1] = ACTIONS(1264),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1264),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1264),
    [aux_sym_port_token1] = ACTIONS(1264),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1264),
    [aux_sym_protocol_token1] = ACTIONS(1264),
    [aux_sym_proxy_command_token1] = ACTIONS(1264),
    [aux_sym_proxy_jump_token1] = ACTIONS(1264),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1264),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1264),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1264),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1264),
    [aux_sym_rekey_limit_token1] = ACTIONS(1264),
    [aux_sym_remote_command_token1] = ACTIONS(1264),
    [aux_sym_remote_forward_token1] = ACTIONS(1264),
    [aux_sym_request_tty_token1] = ACTIONS(1264),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1264),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1264),
    [aux_sym_security_key_provider_token1] = ACTIONS(1264),
    [aux_sym_send_env_token1] = ACTIONS(1264),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1264),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1264),
    [aux_sym_session_type_token1] = ACTIONS(1264),
    [aux_sym_set_env_token1] = ACTIONS(1264),
    [aux_sym_stdin_null_token1] = ACTIONS(1264),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1264),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1264),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1264),
    [aux_sym_syslog_facility_token1] = ACTIONS(1264),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1264),
    [aux_sym_keep_alive_token1] = ACTIONS(1264),
    [aux_sym_tag_token1] = ACTIONS(1264),
    [aux_sym_tunnel_token1] = ACTIONS(1266),
    [aux_sym_tunnel_device_token1] = ACTIONS(1264),
    [aux_sym_update_host_keys_token1] = ACTIONS(1264),
    [aux_sym_use_keychain_token1] = ACTIONS(1264),
    [aux_sym_use_roaming_token1] = ACTIONS(1264),
    [aux_sym_user_token1] = ACTIONS(1266),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1264),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1264),
    [aux_sym_version_addendum_token1] = ACTIONS(1264),
    [aux_sym_visual_host_key_token1] = ACTIONS(1264),
    [aux_sym_xauth_location_token1] = ACTIONS(1264),
  },
  [139] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_match_token1] = ACTIONS(1270),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1270),
    [aux_sym_address_family_token1] = ACTIONS(1270),
    [aux_sym_batch_mode_token1] = ACTIONS(1270),
    [aux_sym_bind_address_token1] = ACTIONS(1270),
    [aux_sym_bind_interface_token1] = ACTIONS(1270),
    [aux_sym_canonical_domains_token1] = ACTIONS(1270),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1270),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1270),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1270),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1270),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1270),
    [aux_sym_certificate_file_token1] = ACTIONS(1270),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1270),
    [aux_sym_channel_timeout_token1] = ACTIONS(1270),
    [aux_sym_check_host_ip_token1] = ACTIONS(1270),
    [aux_sym_ciphers_token1] = ACTIONS(1270),
    [aux_sym_cipher_token1] = ACTIONS(1272),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1270),
    [aux_sym_compression_token1] = ACTIONS(1270),
    [aux_sym_connection_attempts_token1] = ACTIONS(1270),
    [aux_sym_connect_timeout_token1] = ACTIONS(1270),
    [aux_sym_control_master_token1] = ACTIONS(1270),
    [aux_sym_control_path_token1] = ACTIONS(1270),
    [aux_sym_control_persist_token1] = ACTIONS(1270),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1270),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1270),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1270),
    [aux_sym_escape_char_token1] = ACTIONS(1270),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1270),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1270),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1270),
    [aux_sym_forward_agent_token1] = ACTIONS(1270),
    [aux_sym_forward_x11_token1] = ACTIONS(1272),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1270),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1270),
    [aux_sym_gateway_ports_token1] = ACTIONS(1270),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1270),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1270),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1270),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1270),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1270),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1270),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1270),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1270),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1270),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1270),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1270),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1270),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1270),
    [aux_sym_host_key_alias_token1] = ACTIONS(1270),
    [aux_sym_hostname_token1] = ACTIONS(1270),
    [aux_sym_identities_only_token1] = ACTIONS(1270),
    [aux_sym_identity_agent_token1] = ACTIONS(1270),
    [aux_sym_identity_file_token1] = ACTIONS(1270),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1270),
    [aux_sym_include_token1] = ACTIONS(1270),
    [aux_sym_ip_qos_token1] = ACTIONS(1270),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1270),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1270),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1270),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1270),
    [aux_sym_local_command_token1] = ACTIONS(1270),
    [aux_sym_local_forward_token1] = ACTIONS(1270),
    [aux_sym_log_level_token1] = ACTIONS(1270),
    [aux_sym_log_verbose_token1] = ACTIONS(1270),
    [aux_sym_macs_token1] = ACTIONS(1270),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1270),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1270),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1270),
    [aux_sym_password_authentication_token1] = ACTIONS(1270),
    [aux_sym_permit_local_command_token1] = ACTIONS(1270),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1270),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1270),
    [aux_sym_port_token1] = ACTIONS(1270),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1270),
    [aux_sym_protocol_token1] = ACTIONS(1270),
    [aux_sym_proxy_command_token1] = ACTIONS(1270),
    [aux_sym_proxy_jump_token1] = ACTIONS(1270),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1270),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1270),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1270),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1270),
    [aux_sym_rekey_limit_token1] = ACTIONS(1270),
    [aux_sym_remote_command_token1] = ACTIONS(1270),
    [aux_sym_remote_forward_token1] = ACTIONS(1270),
    [aux_sym_request_tty_token1] = ACTIONS(1270),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1270),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1270),
    [aux_sym_security_key_provider_token1] = ACTIONS(1270),
    [aux_sym_send_env_token1] = ACTIONS(1270),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1270),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1270),
    [aux_sym_session_type_token1] = ACTIONS(1270),
    [aux_sym_set_env_token1] = ACTIONS(1270),
    [aux_sym_stdin_null_token1] = ACTIONS(1270),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1270),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1270),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1270),
    [aux_sym_syslog_facility_token1] = ACTIONS(1270),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1270),
    [aux_sym_keep_alive_token1] = ACTIONS(1270),
    [aux_sym_tag_token1] = ACTIONS(1270),
    [aux_sym_tunnel_token1] = ACTIONS(1272),
    [aux_sym_tunnel_device_token1] = ACTIONS(1270),
    [aux_sym_update_host_keys_token1] = ACTIONS(1270),
    [aux_sym_use_keychain_token1] = ACTIONS(1270),
    [aux_sym_use_roaming_token1] = ACTIONS(1270),
    [aux_sym_user_token1] = ACTIONS(1272),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1270),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1270),
    [aux_sym_version_addendum_token1] = ACTIONS(1270),
    [aux_sym_visual_host_key_token1] = ACTIONS(1270),
    [aux_sym_xauth_location_token1] = ACTIONS(1270),
  },
  [140] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_match_token1] = ACTIONS(1274),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1274),
    [aux_sym_address_family_token1] = ACTIONS(1274),
    [aux_sym_batch_mode_token1] = ACTIONS(1274),
    [aux_sym_bind_address_token1] = ACTIONS(1274),
    [aux_sym_bind_interface_token1] = ACTIONS(1274),
    [aux_sym_canonical_domains_token1] = ACTIONS(1274),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1274),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1274),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1274),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1274),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1274),
    [aux_sym_certificate_file_token1] = ACTIONS(1274),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1274),
    [aux_sym_channel_timeout_token1] = ACTIONS(1274),
    [aux_sym_check_host_ip_token1] = ACTIONS(1274),
    [aux_sym_ciphers_token1] = ACTIONS(1274),
    [aux_sym_cipher_token1] = ACTIONS(1276),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1274),
    [aux_sym_compression_token1] = ACTIONS(1274),
    [aux_sym_connection_attempts_token1] = ACTIONS(1274),
    [aux_sym_connect_timeout_token1] = ACTIONS(1274),
    [aux_sym_control_master_token1] = ACTIONS(1274),
    [aux_sym_control_path_token1] = ACTIONS(1274),
    [aux_sym_control_persist_token1] = ACTIONS(1274),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1274),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1274),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1274),
    [aux_sym_escape_char_token1] = ACTIONS(1274),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1274),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1274),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1274),
    [aux_sym_forward_agent_token1] = ACTIONS(1274),
    [aux_sym_forward_x11_token1] = ACTIONS(1276),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1274),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1274),
    [aux_sym_gateway_ports_token1] = ACTIONS(1274),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1274),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1274),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1274),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1274),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1274),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1274),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1274),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1274),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1274),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1274),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1274),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1274),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1274),
    [aux_sym_host_key_alias_token1] = ACTIONS(1274),
    [aux_sym_hostname_token1] = ACTIONS(1274),
    [aux_sym_identities_only_token1] = ACTIONS(1274),
    [aux_sym_identity_agent_token1] = ACTIONS(1274),
    [aux_sym_identity_file_token1] = ACTIONS(1274),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1274),
    [aux_sym_include_token1] = ACTIONS(1274),
    [aux_sym_ip_qos_token1] = ACTIONS(1274),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1274),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1274),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1274),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1274),
    [aux_sym_local_command_token1] = ACTIONS(1274),
    [aux_sym_local_forward_token1] = ACTIONS(1274),
    [aux_sym_log_level_token1] = ACTIONS(1274),
    [aux_sym_log_verbose_token1] = ACTIONS(1274),
    [aux_sym_macs_token1] = ACTIONS(1274),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1274),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1274),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1274),
    [aux_sym_password_authentication_token1] = ACTIONS(1274),
    [aux_sym_permit_local_command_token1] = ACTIONS(1274),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1274),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1274),
    [aux_sym_port_token1] = ACTIONS(1274),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1274),
    [aux_sym_protocol_token1] = ACTIONS(1274),
    [aux_sym_proxy_command_token1] = ACTIONS(1274),
    [aux_sym_proxy_jump_token1] = ACTIONS(1274),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1274),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1274),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1274),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1274),
    [aux_sym_rekey_limit_token1] = ACTIONS(1274),
    [aux_sym_remote_command_token1] = ACTIONS(1274),
    [aux_sym_remote_forward_token1] = ACTIONS(1274),
    [aux_sym_request_tty_token1] = ACTIONS(1274),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1274),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1274),
    [aux_sym_security_key_provider_token1] = ACTIONS(1274),
    [aux_sym_send_env_token1] = ACTIONS(1274),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1274),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1274),
    [aux_sym_session_type_token1] = ACTIONS(1274),
    [aux_sym_set_env_token1] = ACTIONS(1274),
    [aux_sym_stdin_null_token1] = ACTIONS(1274),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1274),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1274),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1274),
    [aux_sym_syslog_facility_token1] = ACTIONS(1274),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1274),
    [aux_sym_keep_alive_token1] = ACTIONS(1274),
    [aux_sym_tag_token1] = ACTIONS(1274),
    [aux_sym_tunnel_token1] = ACTIONS(1276),
    [aux_sym_tunnel_device_token1] = ACTIONS(1274),
    [aux_sym_update_host_keys_token1] = ACTIONS(1274),
    [aux_sym_use_keychain_token1] = ACTIONS(1274),
    [aux_sym_use_roaming_token1] = ACTIONS(1274),
    [aux_sym_user_token1] = ACTIONS(1276),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1274),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1274),
    [aux_sym_version_addendum_token1] = ACTIONS(1274),
    [aux_sym_visual_host_key_token1] = ACTIONS(1274),
    [aux_sym_xauth_location_token1] = ACTIONS(1274),
  },
  [141] = {
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_match_token1] = ACTIONS(1280),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1280),
    [aux_sym_address_family_token1] = ACTIONS(1280),
    [aux_sym_batch_mode_token1] = ACTIONS(1280),
    [aux_sym_bind_address_token1] = ACTIONS(1280),
    [aux_sym_bind_interface_token1] = ACTIONS(1280),
    [aux_sym_canonical_domains_token1] = ACTIONS(1280),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1280),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1280),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1280),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1280),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1280),
    [aux_sym_certificate_file_token1] = ACTIONS(1280),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1280),
    [aux_sym_channel_timeout_token1] = ACTIONS(1280),
    [aux_sym_check_host_ip_token1] = ACTIONS(1280),
    [aux_sym_ciphers_token1] = ACTIONS(1280),
    [aux_sym_cipher_token1] = ACTIONS(1282),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1280),
    [aux_sym_compression_token1] = ACTIONS(1280),
    [aux_sym_connection_attempts_token1] = ACTIONS(1280),
    [aux_sym_connect_timeout_token1] = ACTIONS(1280),
    [aux_sym_control_master_token1] = ACTIONS(1280),
    [aux_sym_control_path_token1] = ACTIONS(1280),
    [aux_sym_control_persist_token1] = ACTIONS(1280),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1280),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1280),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1280),
    [aux_sym_escape_char_token1] = ACTIONS(1280),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1280),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1280),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1280),
    [aux_sym_forward_agent_token1] = ACTIONS(1280),
    [aux_sym_forward_x11_token1] = ACTIONS(1282),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1280),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1280),
    [aux_sym_gateway_ports_token1] = ACTIONS(1280),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1280),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1280),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1280),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1280),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1280),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1280),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1280),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1280),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1280),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1280),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1280),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1280),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1280),
    [aux_sym_host_key_alias_token1] = ACTIONS(1280),
    [aux_sym_hostname_token1] = ACTIONS(1280),
    [aux_sym_identities_only_token1] = ACTIONS(1280),
    [aux_sym_identity_agent_token1] = ACTIONS(1280),
    [aux_sym_identity_file_token1] = ACTIONS(1280),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1280),
    [aux_sym_include_token1] = ACTIONS(1280),
    [aux_sym_ip_qos_token1] = ACTIONS(1280),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1280),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1280),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1280),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1280),
    [aux_sym_local_command_token1] = ACTIONS(1280),
    [aux_sym_local_forward_token1] = ACTIONS(1280),
    [aux_sym_log_level_token1] = ACTIONS(1280),
    [aux_sym_log_verbose_token1] = ACTIONS(1280),
    [aux_sym_macs_token1] = ACTIONS(1280),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1280),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1280),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1280),
    [aux_sym_password_authentication_token1] = ACTIONS(1280),
    [aux_sym_permit_local_command_token1] = ACTIONS(1280),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1280),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1280),
    [aux_sym_port_token1] = ACTIONS(1280),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1280),
    [aux_sym_protocol_token1] = ACTIONS(1280),
    [aux_sym_proxy_command_token1] = ACTIONS(1280),
    [aux_sym_proxy_jump_token1] = ACTIONS(1280),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1280),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1280),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1280),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1280),
    [aux_sym_rekey_limit_token1] = ACTIONS(1280),
    [aux_sym_remote_command_token1] = ACTIONS(1280),
    [aux_sym_remote_forward_token1] = ACTIONS(1280),
    [aux_sym_request_tty_token1] = ACTIONS(1280),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1280),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1280),
    [aux_sym_security_key_provider_token1] = ACTIONS(1280),
    [aux_sym_send_env_token1] = ACTIONS(1280),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1280),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1280),
    [aux_sym_session_type_token1] = ACTIONS(1280),
    [aux_sym_set_env_token1] = ACTIONS(1280),
    [aux_sym_stdin_null_token1] = ACTIONS(1280),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1280),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1280),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1280),
    [aux_sym_syslog_facility_token1] = ACTIONS(1280),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1280),
    [aux_sym_keep_alive_token1] = ACTIONS(1280),
    [aux_sym_tag_token1] = ACTIONS(1280),
    [aux_sym_tunnel_token1] = ACTIONS(1282),
    [aux_sym_tunnel_device_token1] = ACTIONS(1280),
    [aux_sym_update_host_keys_token1] = ACTIONS(1280),
    [aux_sym_use_keychain_token1] = ACTIONS(1280),
    [aux_sym_use_roaming_token1] = ACTIONS(1280),
    [aux_sym_user_token1] = ACTIONS(1282),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1280),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1280),
    [aux_sym_version_addendum_token1] = ACTIONS(1280),
    [aux_sym_visual_host_key_token1] = ACTIONS(1280),
    [aux_sym_xauth_location_token1] = ACTIONS(1280),
  },
  [142] = {
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_match_token1] = ACTIONS(1284),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1284),
    [aux_sym_address_family_token1] = ACTIONS(1284),
    [aux_sym_batch_mode_token1] = ACTIONS(1284),
    [aux_sym_bind_address_token1] = ACTIONS(1284),
    [aux_sym_bind_interface_token1] = ACTIONS(1284),
    [aux_sym_canonical_domains_token1] = ACTIONS(1284),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1284),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1284),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1284),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1284),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1284),
    [aux_sym_certificate_file_token1] = ACTIONS(1284),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1284),
    [aux_sym_channel_timeout_token1] = ACTIONS(1284),
    [aux_sym_check_host_ip_token1] = ACTIONS(1284),
    [aux_sym_ciphers_token1] = ACTIONS(1284),
    [aux_sym_cipher_token1] = ACTIONS(1286),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1284),
    [aux_sym_compression_token1] = ACTIONS(1284),
    [aux_sym_connection_attempts_token1] = ACTIONS(1284),
    [aux_sym_connect_timeout_token1] = ACTIONS(1284),
    [aux_sym_control_master_token1] = ACTIONS(1284),
    [aux_sym_control_path_token1] = ACTIONS(1284),
    [aux_sym_control_persist_token1] = ACTIONS(1284),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1284),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1284),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1284),
    [aux_sym_escape_char_token1] = ACTIONS(1284),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1284),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1284),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1284),
    [aux_sym_forward_agent_token1] = ACTIONS(1284),
    [aux_sym_forward_x11_token1] = ACTIONS(1286),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1284),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1284),
    [aux_sym_gateway_ports_token1] = ACTIONS(1284),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1284),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1284),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1284),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1284),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1284),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1284),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1284),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1284),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1284),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1284),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1284),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1284),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1284),
    [aux_sym_host_key_alias_token1] = ACTIONS(1284),
    [aux_sym_hostname_token1] = ACTIONS(1284),
    [aux_sym_identities_only_token1] = ACTIONS(1284),
    [aux_sym_identity_agent_token1] = ACTIONS(1284),
    [aux_sym_identity_file_token1] = ACTIONS(1284),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1284),
    [aux_sym_include_token1] = ACTIONS(1284),
    [aux_sym_ip_qos_token1] = ACTIONS(1284),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1284),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1284),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1284),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1284),
    [aux_sym_local_command_token1] = ACTIONS(1284),
    [aux_sym_local_forward_token1] = ACTIONS(1284),
    [aux_sym_log_level_token1] = ACTIONS(1284),
    [aux_sym_log_verbose_token1] = ACTIONS(1284),
    [aux_sym_macs_token1] = ACTIONS(1284),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1284),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1284),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1284),
    [aux_sym_password_authentication_token1] = ACTIONS(1284),
    [aux_sym_permit_local_command_token1] = ACTIONS(1284),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1284),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1284),
    [aux_sym_port_token1] = ACTIONS(1284),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1284),
    [aux_sym_protocol_token1] = ACTIONS(1284),
    [aux_sym_proxy_command_token1] = ACTIONS(1284),
    [aux_sym_proxy_jump_token1] = ACTIONS(1284),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1284),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1284),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1284),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1284),
    [aux_sym_rekey_limit_token1] = ACTIONS(1284),
    [aux_sym_remote_command_token1] = ACTIONS(1284),
    [aux_sym_remote_forward_token1] = ACTIONS(1284),
    [aux_sym_request_tty_token1] = ACTIONS(1284),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1284),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1284),
    [aux_sym_security_key_provider_token1] = ACTIONS(1284),
    [aux_sym_send_env_token1] = ACTIONS(1284),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1284),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1284),
    [aux_sym_session_type_token1] = ACTIONS(1284),
    [aux_sym_set_env_token1] = ACTIONS(1284),
    [aux_sym_stdin_null_token1] = ACTIONS(1284),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1284),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1284),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1284),
    [aux_sym_syslog_facility_token1] = ACTIONS(1284),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1284),
    [aux_sym_keep_alive_token1] = ACTIONS(1284),
    [aux_sym_tag_token1] = ACTIONS(1284),
    [aux_sym_tunnel_token1] = ACTIONS(1286),
    [aux_sym_tunnel_device_token1] = ACTIONS(1284),
    [aux_sym_update_host_keys_token1] = ACTIONS(1284),
    [aux_sym_use_keychain_token1] = ACTIONS(1284),
    [aux_sym_use_roaming_token1] = ACTIONS(1284),
    [aux_sym_user_token1] = ACTIONS(1286),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1284),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1284),
    [aux_sym_version_addendum_token1] = ACTIONS(1284),
    [aux_sym_visual_host_key_token1] = ACTIONS(1284),
    [aux_sym_xauth_location_token1] = ACTIONS(1284),
  },
  [143] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_match_token1] = ACTIONS(1290),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1290),
    [aux_sym_address_family_token1] = ACTIONS(1290),
    [aux_sym_batch_mode_token1] = ACTIONS(1290),
    [aux_sym_bind_address_token1] = ACTIONS(1290),
    [aux_sym_bind_interface_token1] = ACTIONS(1290),
    [aux_sym_canonical_domains_token1] = ACTIONS(1290),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1290),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1290),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1290),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1290),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1290),
    [aux_sym_certificate_file_token1] = ACTIONS(1290),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1290),
    [aux_sym_channel_timeout_token1] = ACTIONS(1290),
    [aux_sym_check_host_ip_token1] = ACTIONS(1290),
    [aux_sym_ciphers_token1] = ACTIONS(1290),
    [aux_sym_cipher_token1] = ACTIONS(1292),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1290),
    [aux_sym_compression_token1] = ACTIONS(1290),
    [aux_sym_connection_attempts_token1] = ACTIONS(1290),
    [aux_sym_connect_timeout_token1] = ACTIONS(1290),
    [aux_sym_control_master_token1] = ACTIONS(1290),
    [aux_sym_control_path_token1] = ACTIONS(1290),
    [aux_sym_control_persist_token1] = ACTIONS(1290),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1290),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1290),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1290),
    [aux_sym_escape_char_token1] = ACTIONS(1290),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1290),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1290),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1290),
    [aux_sym_forward_agent_token1] = ACTIONS(1290),
    [aux_sym_forward_x11_token1] = ACTIONS(1292),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1290),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1290),
    [aux_sym_gateway_ports_token1] = ACTIONS(1290),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1290),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1290),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1290),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1290),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1290),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1290),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1290),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1290),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1290),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1290),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1290),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1290),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1290),
    [aux_sym_host_key_alias_token1] = ACTIONS(1290),
    [aux_sym_hostname_token1] = ACTIONS(1290),
    [aux_sym_identities_only_token1] = ACTIONS(1290),
    [aux_sym_identity_agent_token1] = ACTIONS(1290),
    [aux_sym_identity_file_token1] = ACTIONS(1290),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1290),
    [aux_sym_include_token1] = ACTIONS(1290),
    [aux_sym_ip_qos_token1] = ACTIONS(1290),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1290),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1290),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1290),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1290),
    [aux_sym_local_command_token1] = ACTIONS(1290),
    [aux_sym_local_forward_token1] = ACTIONS(1290),
    [aux_sym_log_level_token1] = ACTIONS(1290),
    [aux_sym_log_verbose_token1] = ACTIONS(1290),
    [aux_sym_macs_token1] = ACTIONS(1290),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1290),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1290),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1290),
    [aux_sym_password_authentication_token1] = ACTIONS(1290),
    [aux_sym_permit_local_command_token1] = ACTIONS(1290),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1290),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1290),
    [aux_sym_port_token1] = ACTIONS(1290),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1290),
    [aux_sym_protocol_token1] = ACTIONS(1290),
    [aux_sym_proxy_command_token1] = ACTIONS(1290),
    [aux_sym_proxy_jump_token1] = ACTIONS(1290),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1290),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1290),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1290),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1290),
    [aux_sym_rekey_limit_token1] = ACTIONS(1290),
    [aux_sym_remote_command_token1] = ACTIONS(1290),
    [aux_sym_remote_forward_token1] = ACTIONS(1290),
    [aux_sym_request_tty_token1] = ACTIONS(1290),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1290),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1290),
    [aux_sym_security_key_provider_token1] = ACTIONS(1290),
    [aux_sym_send_env_token1] = ACTIONS(1290),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1290),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1290),
    [aux_sym_session_type_token1] = ACTIONS(1290),
    [aux_sym_set_env_token1] = ACTIONS(1290),
    [aux_sym_stdin_null_token1] = ACTIONS(1290),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1290),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1290),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1290),
    [aux_sym_syslog_facility_token1] = ACTIONS(1290),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1290),
    [aux_sym_keep_alive_token1] = ACTIONS(1290),
    [aux_sym_tag_token1] = ACTIONS(1290),
    [aux_sym_tunnel_token1] = ACTIONS(1292),
    [aux_sym_tunnel_device_token1] = ACTIONS(1290),
    [aux_sym_update_host_keys_token1] = ACTIONS(1290),
    [aux_sym_use_keychain_token1] = ACTIONS(1290),
    [aux_sym_use_roaming_token1] = ACTIONS(1290),
    [aux_sym_user_token1] = ACTIONS(1292),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1290),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1290),
    [aux_sym_version_addendum_token1] = ACTIONS(1290),
    [aux_sym_visual_host_key_token1] = ACTIONS(1290),
    [aux_sym_xauth_location_token1] = ACTIONS(1290),
  },
  [144] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_match_token1] = ACTIONS(1294),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1294),
    [aux_sym_address_family_token1] = ACTIONS(1294),
    [aux_sym_batch_mode_token1] = ACTIONS(1294),
    [aux_sym_bind_address_token1] = ACTIONS(1294),
    [aux_sym_bind_interface_token1] = ACTIONS(1294),
    [aux_sym_canonical_domains_token1] = ACTIONS(1294),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1294),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1294),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1294),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1294),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1294),
    [aux_sym_certificate_file_token1] = ACTIONS(1294),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1294),
    [aux_sym_channel_timeout_token1] = ACTIONS(1294),
    [aux_sym_check_host_ip_token1] = ACTIONS(1294),
    [aux_sym_ciphers_token1] = ACTIONS(1294),
    [aux_sym_cipher_token1] = ACTIONS(1296),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1294),
    [aux_sym_compression_token1] = ACTIONS(1294),
    [aux_sym_connection_attempts_token1] = ACTIONS(1294),
    [aux_sym_connect_timeout_token1] = ACTIONS(1294),
    [aux_sym_control_master_token1] = ACTIONS(1294),
    [aux_sym_control_path_token1] = ACTIONS(1294),
    [aux_sym_control_persist_token1] = ACTIONS(1294),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1294),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1294),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1294),
    [aux_sym_escape_char_token1] = ACTIONS(1294),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1294),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1294),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1294),
    [aux_sym_forward_agent_token1] = ACTIONS(1294),
    [aux_sym_forward_x11_token1] = ACTIONS(1296),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1294),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1294),
    [aux_sym_gateway_ports_token1] = ACTIONS(1294),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1294),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1294),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1294),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1294),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1294),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1294),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1294),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1294),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1294),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1294),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1294),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1294),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1294),
    [aux_sym_host_key_alias_token1] = ACTIONS(1294),
    [aux_sym_hostname_token1] = ACTIONS(1294),
    [aux_sym_identities_only_token1] = ACTIONS(1294),
    [aux_sym_identity_agent_token1] = ACTIONS(1294),
    [aux_sym_identity_file_token1] = ACTIONS(1294),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1294),
    [aux_sym_include_token1] = ACTIONS(1294),
    [aux_sym_ip_qos_token1] = ACTIONS(1294),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1294),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1294),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1294),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1294),
    [aux_sym_local_command_token1] = ACTIONS(1294),
    [aux_sym_local_forward_token1] = ACTIONS(1294),
    [aux_sym_log_level_token1] = ACTIONS(1294),
    [aux_sym_log_verbose_token1] = ACTIONS(1294),
    [aux_sym_macs_token1] = ACTIONS(1294),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1294),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1294),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1294),
    [aux_sym_password_authentication_token1] = ACTIONS(1294),
    [aux_sym_permit_local_command_token1] = ACTIONS(1294),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1294),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1294),
    [aux_sym_port_token1] = ACTIONS(1294),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1294),
    [aux_sym_protocol_token1] = ACTIONS(1294),
    [aux_sym_proxy_command_token1] = ACTIONS(1294),
    [aux_sym_proxy_jump_token1] = ACTIONS(1294),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1294),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1294),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1294),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1294),
    [aux_sym_rekey_limit_token1] = ACTIONS(1294),
    [aux_sym_remote_command_token1] = ACTIONS(1294),
    [aux_sym_remote_forward_token1] = ACTIONS(1294),
    [aux_sym_request_tty_token1] = ACTIONS(1294),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1294),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1294),
    [aux_sym_security_key_provider_token1] = ACTIONS(1294),
    [aux_sym_send_env_token1] = ACTIONS(1294),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1294),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1294),
    [aux_sym_session_type_token1] = ACTIONS(1294),
    [aux_sym_set_env_token1] = ACTIONS(1294),
    [aux_sym_stdin_null_token1] = ACTIONS(1294),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1294),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1294),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1294),
    [aux_sym_syslog_facility_token1] = ACTIONS(1294),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1294),
    [aux_sym_keep_alive_token1] = ACTIONS(1294),
    [aux_sym_tag_token1] = ACTIONS(1294),
    [aux_sym_tunnel_token1] = ACTIONS(1296),
    [aux_sym_tunnel_device_token1] = ACTIONS(1294),
    [aux_sym_update_host_keys_token1] = ACTIONS(1294),
    [aux_sym_use_keychain_token1] = ACTIONS(1294),
    [aux_sym_use_roaming_token1] = ACTIONS(1294),
    [aux_sym_user_token1] = ACTIONS(1296),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1294),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1294),
    [aux_sym_version_addendum_token1] = ACTIONS(1294),
    [aux_sym_visual_host_key_token1] = ACTIONS(1294),
    [aux_sym_xauth_location_token1] = ACTIONS(1294),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_match_token1] = ACTIONS(1300),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1300),
    [aux_sym_address_family_token1] = ACTIONS(1300),
    [aux_sym_batch_mode_token1] = ACTIONS(1300),
    [aux_sym_bind_address_token1] = ACTIONS(1300),
    [aux_sym_bind_interface_token1] = ACTIONS(1300),
    [aux_sym_canonical_domains_token1] = ACTIONS(1300),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1300),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1300),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1300),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1300),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1300),
    [aux_sym_certificate_file_token1] = ACTIONS(1300),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1300),
    [aux_sym_channel_timeout_token1] = ACTIONS(1300),
    [aux_sym_check_host_ip_token1] = ACTIONS(1300),
    [aux_sym_ciphers_token1] = ACTIONS(1300),
    [aux_sym_cipher_token1] = ACTIONS(1302),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1300),
    [aux_sym_compression_token1] = ACTIONS(1300),
    [aux_sym_connection_attempts_token1] = ACTIONS(1300),
    [aux_sym_connect_timeout_token1] = ACTIONS(1300),
    [aux_sym_control_master_token1] = ACTIONS(1300),
    [aux_sym_control_path_token1] = ACTIONS(1300),
    [aux_sym_control_persist_token1] = ACTIONS(1300),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1300),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1300),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1300),
    [aux_sym_escape_char_token1] = ACTIONS(1300),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1300),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1300),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1300),
    [aux_sym_forward_agent_token1] = ACTIONS(1300),
    [aux_sym_forward_x11_token1] = ACTIONS(1302),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1300),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1300),
    [aux_sym_gateway_ports_token1] = ACTIONS(1300),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1300),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1300),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1300),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1300),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1300),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1300),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1300),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1300),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1300),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1300),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1300),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1300),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1300),
    [aux_sym_host_key_alias_token1] = ACTIONS(1300),
    [aux_sym_hostname_token1] = ACTIONS(1300),
    [aux_sym_identities_only_token1] = ACTIONS(1300),
    [aux_sym_identity_agent_token1] = ACTIONS(1300),
    [aux_sym_identity_file_token1] = ACTIONS(1300),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1300),
    [aux_sym_include_token1] = ACTIONS(1300),
    [aux_sym_ip_qos_token1] = ACTIONS(1300),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1300),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1300),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1300),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1300),
    [aux_sym_local_command_token1] = ACTIONS(1300),
    [aux_sym_local_forward_token1] = ACTIONS(1300),
    [aux_sym_log_level_token1] = ACTIONS(1300),
    [aux_sym_log_verbose_token1] = ACTIONS(1300),
    [aux_sym_macs_token1] = ACTIONS(1300),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1300),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1300),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1300),
    [aux_sym_password_authentication_token1] = ACTIONS(1300),
    [aux_sym_permit_local_command_token1] = ACTIONS(1300),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1300),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1300),
    [aux_sym_port_token1] = ACTIONS(1300),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1300),
    [aux_sym_protocol_token1] = ACTIONS(1300),
    [aux_sym_proxy_command_token1] = ACTIONS(1300),
    [aux_sym_proxy_jump_token1] = ACTIONS(1300),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1300),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1300),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1300),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1300),
    [aux_sym_rekey_limit_token1] = ACTIONS(1300),
    [aux_sym_remote_command_token1] = ACTIONS(1300),
    [aux_sym_remote_forward_token1] = ACTIONS(1300),
    [aux_sym_request_tty_token1] = ACTIONS(1300),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1300),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1300),
    [aux_sym_security_key_provider_token1] = ACTIONS(1300),
    [aux_sym_send_env_token1] = ACTIONS(1300),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1300),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1300),
    [aux_sym_session_type_token1] = ACTIONS(1300),
    [aux_sym_set_env_token1] = ACTIONS(1300),
    [aux_sym_stdin_null_token1] = ACTIONS(1300),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1300),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1300),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1300),
    [aux_sym_syslog_facility_token1] = ACTIONS(1300),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1300),
    [aux_sym_keep_alive_token1] = ACTIONS(1300),
    [aux_sym_tag_token1] = ACTIONS(1300),
    [aux_sym_tunnel_token1] = ACTIONS(1302),
    [aux_sym_tunnel_device_token1] = ACTIONS(1300),
    [aux_sym_update_host_keys_token1] = ACTIONS(1300),
    [aux_sym_use_keychain_token1] = ACTIONS(1300),
    [aux_sym_use_roaming_token1] = ACTIONS(1300),
    [aux_sym_user_token1] = ACTIONS(1302),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1300),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1300),
    [aux_sym_version_addendum_token1] = ACTIONS(1300),
    [aux_sym_visual_host_key_token1] = ACTIONS(1300),
    [aux_sym_xauth_location_token1] = ACTIONS(1300),
  },
  [146] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_match_token1] = ACTIONS(1304),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1304),
    [aux_sym_address_family_token1] = ACTIONS(1304),
    [aux_sym_batch_mode_token1] = ACTIONS(1304),
    [aux_sym_bind_address_token1] = ACTIONS(1304),
    [aux_sym_bind_interface_token1] = ACTIONS(1304),
    [aux_sym_canonical_domains_token1] = ACTIONS(1304),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1304),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1304),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1304),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1304),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1304),
    [aux_sym_certificate_file_token1] = ACTIONS(1304),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1304),
    [aux_sym_channel_timeout_token1] = ACTIONS(1304),
    [aux_sym_check_host_ip_token1] = ACTIONS(1304),
    [aux_sym_ciphers_token1] = ACTIONS(1304),
    [aux_sym_cipher_token1] = ACTIONS(1306),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1304),
    [aux_sym_compression_token1] = ACTIONS(1304),
    [aux_sym_connection_attempts_token1] = ACTIONS(1304),
    [aux_sym_connect_timeout_token1] = ACTIONS(1304),
    [aux_sym_control_master_token1] = ACTIONS(1304),
    [aux_sym_control_path_token1] = ACTIONS(1304),
    [aux_sym_control_persist_token1] = ACTIONS(1304),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1304),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1304),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1304),
    [aux_sym_escape_char_token1] = ACTIONS(1304),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1304),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1304),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1304),
    [aux_sym_forward_agent_token1] = ACTIONS(1304),
    [aux_sym_forward_x11_token1] = ACTIONS(1306),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1304),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1304),
    [aux_sym_gateway_ports_token1] = ACTIONS(1304),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1304),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1304),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1304),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1304),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1304),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1304),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1304),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1304),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1304),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1304),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1304),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1304),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1304),
    [aux_sym_host_key_alias_token1] = ACTIONS(1304),
    [aux_sym_hostname_token1] = ACTIONS(1304),
    [aux_sym_identities_only_token1] = ACTIONS(1304),
    [aux_sym_identity_agent_token1] = ACTIONS(1304),
    [aux_sym_identity_file_token1] = ACTIONS(1304),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1304),
    [aux_sym_include_token1] = ACTIONS(1304),
    [aux_sym_ip_qos_token1] = ACTIONS(1304),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1304),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1304),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1304),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1304),
    [aux_sym_local_command_token1] = ACTIONS(1304),
    [aux_sym_local_forward_token1] = ACTIONS(1304),
    [aux_sym_log_level_token1] = ACTIONS(1304),
    [aux_sym_log_verbose_token1] = ACTIONS(1304),
    [aux_sym_macs_token1] = ACTIONS(1304),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1304),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1304),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1304),
    [aux_sym_password_authentication_token1] = ACTIONS(1304),
    [aux_sym_permit_local_command_token1] = ACTIONS(1304),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1304),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1304),
    [aux_sym_port_token1] = ACTIONS(1304),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1304),
    [aux_sym_protocol_token1] = ACTIONS(1304),
    [aux_sym_proxy_command_token1] = ACTIONS(1304),
    [aux_sym_proxy_jump_token1] = ACTIONS(1304),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1304),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1304),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1304),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1304),
    [aux_sym_rekey_limit_token1] = ACTIONS(1304),
    [aux_sym_remote_command_token1] = ACTIONS(1304),
    [aux_sym_remote_forward_token1] = ACTIONS(1304),
    [aux_sym_request_tty_token1] = ACTIONS(1304),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1304),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1304),
    [aux_sym_security_key_provider_token1] = ACTIONS(1304),
    [aux_sym_send_env_token1] = ACTIONS(1304),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1304),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1304),
    [aux_sym_session_type_token1] = ACTIONS(1304),
    [aux_sym_set_env_token1] = ACTIONS(1304),
    [aux_sym_stdin_null_token1] = ACTIONS(1304),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1304),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1304),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1304),
    [aux_sym_syslog_facility_token1] = ACTIONS(1304),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1304),
    [aux_sym_keep_alive_token1] = ACTIONS(1304),
    [aux_sym_tag_token1] = ACTIONS(1304),
    [aux_sym_tunnel_token1] = ACTIONS(1306),
    [aux_sym_tunnel_device_token1] = ACTIONS(1304),
    [aux_sym_update_host_keys_token1] = ACTIONS(1304),
    [aux_sym_use_keychain_token1] = ACTIONS(1304),
    [aux_sym_use_roaming_token1] = ACTIONS(1304),
    [aux_sym_user_token1] = ACTIONS(1306),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1304),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1304),
    [aux_sym_version_addendum_token1] = ACTIONS(1304),
    [aux_sym_visual_host_key_token1] = ACTIONS(1304),
    [aux_sym_xauth_location_token1] = ACTIONS(1304),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_match_token1] = ACTIONS(1310),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1310),
    [aux_sym_address_family_token1] = ACTIONS(1310),
    [aux_sym_batch_mode_token1] = ACTIONS(1310),
    [aux_sym_bind_address_token1] = ACTIONS(1310),
    [aux_sym_bind_interface_token1] = ACTIONS(1310),
    [aux_sym_canonical_domains_token1] = ACTIONS(1310),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1310),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1310),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1310),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1310),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1310),
    [aux_sym_certificate_file_token1] = ACTIONS(1310),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1310),
    [aux_sym_channel_timeout_token1] = ACTIONS(1310),
    [aux_sym_check_host_ip_token1] = ACTIONS(1310),
    [aux_sym_ciphers_token1] = ACTIONS(1310),
    [aux_sym_cipher_token1] = ACTIONS(1312),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1310),
    [aux_sym_compression_token1] = ACTIONS(1310),
    [aux_sym_connection_attempts_token1] = ACTIONS(1310),
    [aux_sym_connect_timeout_token1] = ACTIONS(1310),
    [aux_sym_control_master_token1] = ACTIONS(1310),
    [aux_sym_control_path_token1] = ACTIONS(1310),
    [aux_sym_control_persist_token1] = ACTIONS(1310),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1310),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1310),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1310),
    [aux_sym_escape_char_token1] = ACTIONS(1310),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1310),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1310),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1310),
    [aux_sym_forward_agent_token1] = ACTIONS(1310),
    [aux_sym_forward_x11_token1] = ACTIONS(1312),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1310),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1310),
    [aux_sym_gateway_ports_token1] = ACTIONS(1310),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1310),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1310),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1310),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1310),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1310),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1310),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1310),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1310),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1310),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1310),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1310),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1310),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1310),
    [aux_sym_host_key_alias_token1] = ACTIONS(1310),
    [aux_sym_hostname_token1] = ACTIONS(1310),
    [aux_sym_identities_only_token1] = ACTIONS(1310),
    [aux_sym_identity_agent_token1] = ACTIONS(1310),
    [aux_sym_identity_file_token1] = ACTIONS(1310),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1310),
    [aux_sym_include_token1] = ACTIONS(1310),
    [aux_sym_ip_qos_token1] = ACTIONS(1310),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1310),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1310),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1310),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1310),
    [aux_sym_local_command_token1] = ACTIONS(1310),
    [aux_sym_local_forward_token1] = ACTIONS(1310),
    [aux_sym_log_level_token1] = ACTIONS(1310),
    [aux_sym_log_verbose_token1] = ACTIONS(1310),
    [aux_sym_macs_token1] = ACTIONS(1310),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1310),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1310),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1310),
    [aux_sym_password_authentication_token1] = ACTIONS(1310),
    [aux_sym_permit_local_command_token1] = ACTIONS(1310),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1310),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1310),
    [aux_sym_port_token1] = ACTIONS(1310),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1310),
    [aux_sym_protocol_token1] = ACTIONS(1310),
    [aux_sym_proxy_command_token1] = ACTIONS(1310),
    [aux_sym_proxy_jump_token1] = ACTIONS(1310),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1310),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1310),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1310),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1310),
    [aux_sym_rekey_limit_token1] = ACTIONS(1310),
    [aux_sym_remote_command_token1] = ACTIONS(1310),
    [aux_sym_remote_forward_token1] = ACTIONS(1310),
    [aux_sym_request_tty_token1] = ACTIONS(1310),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1310),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1310),
    [aux_sym_security_key_provider_token1] = ACTIONS(1310),
    [aux_sym_send_env_token1] = ACTIONS(1310),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1310),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1310),
    [aux_sym_session_type_token1] = ACTIONS(1310),
    [aux_sym_set_env_token1] = ACTIONS(1310),
    [aux_sym_stdin_null_token1] = ACTIONS(1310),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1310),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1310),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1310),
    [aux_sym_syslog_facility_token1] = ACTIONS(1310),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1310),
    [aux_sym_keep_alive_token1] = ACTIONS(1310),
    [aux_sym_tag_token1] = ACTIONS(1310),
    [aux_sym_tunnel_token1] = ACTIONS(1312),
    [aux_sym_tunnel_device_token1] = ACTIONS(1310),
    [aux_sym_update_host_keys_token1] = ACTIONS(1310),
    [aux_sym_use_keychain_token1] = ACTIONS(1310),
    [aux_sym_use_roaming_token1] = ACTIONS(1310),
    [aux_sym_user_token1] = ACTIONS(1312),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1310),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1310),
    [aux_sym_version_addendum_token1] = ACTIONS(1310),
    [aux_sym_visual_host_key_token1] = ACTIONS(1310),
    [aux_sym_xauth_location_token1] = ACTIONS(1310),
  },
  [148] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_match_token1] = ACTIONS(1314),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1314),
    [aux_sym_address_family_token1] = ACTIONS(1314),
    [aux_sym_batch_mode_token1] = ACTIONS(1314),
    [aux_sym_bind_address_token1] = ACTIONS(1314),
    [aux_sym_bind_interface_token1] = ACTIONS(1314),
    [aux_sym_canonical_domains_token1] = ACTIONS(1314),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1314),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1314),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1314),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1314),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1314),
    [aux_sym_certificate_file_token1] = ACTIONS(1314),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1314),
    [aux_sym_channel_timeout_token1] = ACTIONS(1314),
    [aux_sym_check_host_ip_token1] = ACTIONS(1314),
    [aux_sym_ciphers_token1] = ACTIONS(1314),
    [aux_sym_cipher_token1] = ACTIONS(1316),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1314),
    [aux_sym_compression_token1] = ACTIONS(1314),
    [aux_sym_connection_attempts_token1] = ACTIONS(1314),
    [aux_sym_connect_timeout_token1] = ACTIONS(1314),
    [aux_sym_control_master_token1] = ACTIONS(1314),
    [aux_sym_control_path_token1] = ACTIONS(1314),
    [aux_sym_control_persist_token1] = ACTIONS(1314),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1314),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1314),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1314),
    [aux_sym_escape_char_token1] = ACTIONS(1314),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1314),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1314),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1314),
    [aux_sym_forward_agent_token1] = ACTIONS(1314),
    [aux_sym_forward_x11_token1] = ACTIONS(1316),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1314),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1314),
    [aux_sym_gateway_ports_token1] = ACTIONS(1314),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1314),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1314),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1314),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1314),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1314),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1314),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1314),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1314),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1314),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1314),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1314),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1314),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1314),
    [aux_sym_host_key_alias_token1] = ACTIONS(1314),
    [aux_sym_hostname_token1] = ACTIONS(1314),
    [aux_sym_identities_only_token1] = ACTIONS(1314),
    [aux_sym_identity_agent_token1] = ACTIONS(1314),
    [aux_sym_identity_file_token1] = ACTIONS(1314),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1314),
    [aux_sym_include_token1] = ACTIONS(1314),
    [aux_sym_ip_qos_token1] = ACTIONS(1314),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1314),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1314),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1314),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1314),
    [aux_sym_local_command_token1] = ACTIONS(1314),
    [aux_sym_local_forward_token1] = ACTIONS(1314),
    [aux_sym_log_level_token1] = ACTIONS(1314),
    [aux_sym_log_verbose_token1] = ACTIONS(1314),
    [aux_sym_macs_token1] = ACTIONS(1314),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1314),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1314),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1314),
    [aux_sym_password_authentication_token1] = ACTIONS(1314),
    [aux_sym_permit_local_command_token1] = ACTIONS(1314),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1314),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1314),
    [aux_sym_port_token1] = ACTIONS(1314),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1314),
    [aux_sym_protocol_token1] = ACTIONS(1314),
    [aux_sym_proxy_command_token1] = ACTIONS(1314),
    [aux_sym_proxy_jump_token1] = ACTIONS(1314),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1314),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1314),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1314),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1314),
    [aux_sym_rekey_limit_token1] = ACTIONS(1314),
    [aux_sym_remote_command_token1] = ACTIONS(1314),
    [aux_sym_remote_forward_token1] = ACTIONS(1314),
    [aux_sym_request_tty_token1] = ACTIONS(1314),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1314),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1314),
    [aux_sym_security_key_provider_token1] = ACTIONS(1314),
    [aux_sym_send_env_token1] = ACTIONS(1314),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1314),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1314),
    [aux_sym_session_type_token1] = ACTIONS(1314),
    [aux_sym_set_env_token1] = ACTIONS(1314),
    [aux_sym_stdin_null_token1] = ACTIONS(1314),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1314),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1314),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1314),
    [aux_sym_syslog_facility_token1] = ACTIONS(1314),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1314),
    [aux_sym_keep_alive_token1] = ACTIONS(1314),
    [aux_sym_tag_token1] = ACTIONS(1314),
    [aux_sym_tunnel_token1] = ACTIONS(1316),
    [aux_sym_tunnel_device_token1] = ACTIONS(1314),
    [aux_sym_update_host_keys_token1] = ACTIONS(1314),
    [aux_sym_use_keychain_token1] = ACTIONS(1314),
    [aux_sym_use_roaming_token1] = ACTIONS(1314),
    [aux_sym_user_token1] = ACTIONS(1316),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1314),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1314),
    [aux_sym_version_addendum_token1] = ACTIONS(1314),
    [aux_sym_visual_host_key_token1] = ACTIONS(1314),
    [aux_sym_xauth_location_token1] = ACTIONS(1314),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_match_token1] = ACTIONS(1320),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1320),
    [aux_sym_address_family_token1] = ACTIONS(1320),
    [aux_sym_batch_mode_token1] = ACTIONS(1320),
    [aux_sym_bind_address_token1] = ACTIONS(1320),
    [aux_sym_bind_interface_token1] = ACTIONS(1320),
    [aux_sym_canonical_domains_token1] = ACTIONS(1320),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1320),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1320),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1320),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1320),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1320),
    [aux_sym_certificate_file_token1] = ACTIONS(1320),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1320),
    [aux_sym_channel_timeout_token1] = ACTIONS(1320),
    [aux_sym_check_host_ip_token1] = ACTIONS(1320),
    [aux_sym_ciphers_token1] = ACTIONS(1320),
    [aux_sym_cipher_token1] = ACTIONS(1322),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1320),
    [aux_sym_compression_token1] = ACTIONS(1320),
    [aux_sym_connection_attempts_token1] = ACTIONS(1320),
    [aux_sym_connect_timeout_token1] = ACTIONS(1320),
    [aux_sym_control_master_token1] = ACTIONS(1320),
    [aux_sym_control_path_token1] = ACTIONS(1320),
    [aux_sym_control_persist_token1] = ACTIONS(1320),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1320),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1320),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1320),
    [aux_sym_escape_char_token1] = ACTIONS(1320),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1320),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1320),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1320),
    [aux_sym_forward_agent_token1] = ACTIONS(1320),
    [aux_sym_forward_x11_token1] = ACTIONS(1322),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1320),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1320),
    [aux_sym_gateway_ports_token1] = ACTIONS(1320),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1320),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1320),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1320),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1320),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1320),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1320),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1320),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1320),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1320),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1320),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1320),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1320),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1320),
    [aux_sym_host_key_alias_token1] = ACTIONS(1320),
    [aux_sym_hostname_token1] = ACTIONS(1320),
    [aux_sym_identities_only_token1] = ACTIONS(1320),
    [aux_sym_identity_agent_token1] = ACTIONS(1320),
    [aux_sym_identity_file_token1] = ACTIONS(1320),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1320),
    [aux_sym_include_token1] = ACTIONS(1320),
    [aux_sym_ip_qos_token1] = ACTIONS(1320),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1320),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1320),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1320),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1320),
    [aux_sym_local_command_token1] = ACTIONS(1320),
    [aux_sym_local_forward_token1] = ACTIONS(1320),
    [aux_sym_log_level_token1] = ACTIONS(1320),
    [aux_sym_log_verbose_token1] = ACTIONS(1320),
    [aux_sym_macs_token1] = ACTIONS(1320),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1320),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1320),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1320),
    [aux_sym_password_authentication_token1] = ACTIONS(1320),
    [aux_sym_permit_local_command_token1] = ACTIONS(1320),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1320),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1320),
    [aux_sym_port_token1] = ACTIONS(1320),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1320),
    [aux_sym_protocol_token1] = ACTIONS(1320),
    [aux_sym_proxy_command_token1] = ACTIONS(1320),
    [aux_sym_proxy_jump_token1] = ACTIONS(1320),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1320),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1320),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1320),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1320),
    [aux_sym_rekey_limit_token1] = ACTIONS(1320),
    [aux_sym_remote_command_token1] = ACTIONS(1320),
    [aux_sym_remote_forward_token1] = ACTIONS(1320),
    [aux_sym_request_tty_token1] = ACTIONS(1320),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1320),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1320),
    [aux_sym_security_key_provider_token1] = ACTIONS(1320),
    [aux_sym_send_env_token1] = ACTIONS(1320),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1320),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1320),
    [aux_sym_session_type_token1] = ACTIONS(1320),
    [aux_sym_set_env_token1] = ACTIONS(1320),
    [aux_sym_stdin_null_token1] = ACTIONS(1320),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1320),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1320),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1320),
    [aux_sym_syslog_facility_token1] = ACTIONS(1320),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1320),
    [aux_sym_keep_alive_token1] = ACTIONS(1320),
    [aux_sym_tag_token1] = ACTIONS(1320),
    [aux_sym_tunnel_token1] = ACTIONS(1322),
    [aux_sym_tunnel_device_token1] = ACTIONS(1320),
    [aux_sym_update_host_keys_token1] = ACTIONS(1320),
    [aux_sym_use_keychain_token1] = ACTIONS(1320),
    [aux_sym_use_roaming_token1] = ACTIONS(1320),
    [aux_sym_user_token1] = ACTIONS(1322),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1320),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1320),
    [aux_sym_version_addendum_token1] = ACTIONS(1320),
    [aux_sym_visual_host_key_token1] = ACTIONS(1320),
    [aux_sym_xauth_location_token1] = ACTIONS(1320),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_match_token1] = ACTIONS(1324),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1324),
    [aux_sym_address_family_token1] = ACTIONS(1324),
    [aux_sym_batch_mode_token1] = ACTIONS(1324),
    [aux_sym_bind_address_token1] = ACTIONS(1324),
    [aux_sym_bind_interface_token1] = ACTIONS(1324),
    [aux_sym_canonical_domains_token1] = ACTIONS(1324),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1324),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1324),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1324),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1324),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1324),
    [aux_sym_certificate_file_token1] = ACTIONS(1324),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1324),
    [aux_sym_channel_timeout_token1] = ACTIONS(1324),
    [aux_sym_check_host_ip_token1] = ACTIONS(1324),
    [aux_sym_ciphers_token1] = ACTIONS(1324),
    [aux_sym_cipher_token1] = ACTIONS(1326),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1324),
    [aux_sym_compression_token1] = ACTIONS(1324),
    [aux_sym_connection_attempts_token1] = ACTIONS(1324),
    [aux_sym_connect_timeout_token1] = ACTIONS(1324),
    [aux_sym_control_master_token1] = ACTIONS(1324),
    [aux_sym_control_path_token1] = ACTIONS(1324),
    [aux_sym_control_persist_token1] = ACTIONS(1324),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1324),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1324),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1324),
    [aux_sym_escape_char_token1] = ACTIONS(1324),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1324),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1324),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1324),
    [aux_sym_forward_agent_token1] = ACTIONS(1324),
    [aux_sym_forward_x11_token1] = ACTIONS(1326),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1324),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1324),
    [aux_sym_gateway_ports_token1] = ACTIONS(1324),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1324),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1324),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1324),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1324),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1324),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1324),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1324),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1324),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1324),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1324),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1324),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1324),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1324),
    [aux_sym_host_key_alias_token1] = ACTIONS(1324),
    [aux_sym_hostname_token1] = ACTIONS(1324),
    [aux_sym_identities_only_token1] = ACTIONS(1324),
    [aux_sym_identity_agent_token1] = ACTIONS(1324),
    [aux_sym_identity_file_token1] = ACTIONS(1324),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1324),
    [aux_sym_include_token1] = ACTIONS(1324),
    [aux_sym_ip_qos_token1] = ACTIONS(1324),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1324),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1324),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1324),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1324),
    [aux_sym_local_command_token1] = ACTIONS(1324),
    [aux_sym_local_forward_token1] = ACTIONS(1324),
    [aux_sym_log_level_token1] = ACTIONS(1324),
    [aux_sym_log_verbose_token1] = ACTIONS(1324),
    [aux_sym_macs_token1] = ACTIONS(1324),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1324),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1324),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1324),
    [aux_sym_password_authentication_token1] = ACTIONS(1324),
    [aux_sym_permit_local_command_token1] = ACTIONS(1324),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1324),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1324),
    [aux_sym_port_token1] = ACTIONS(1324),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1324),
    [aux_sym_protocol_token1] = ACTIONS(1324),
    [aux_sym_proxy_command_token1] = ACTIONS(1324),
    [aux_sym_proxy_jump_token1] = ACTIONS(1324),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1324),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1324),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1324),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1324),
    [aux_sym_rekey_limit_token1] = ACTIONS(1324),
    [aux_sym_remote_command_token1] = ACTIONS(1324),
    [aux_sym_remote_forward_token1] = ACTIONS(1324),
    [aux_sym_request_tty_token1] = ACTIONS(1324),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1324),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1324),
    [aux_sym_security_key_provider_token1] = ACTIONS(1324),
    [aux_sym_send_env_token1] = ACTIONS(1324),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1324),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1324),
    [aux_sym_session_type_token1] = ACTIONS(1324),
    [aux_sym_set_env_token1] = ACTIONS(1324),
    [aux_sym_stdin_null_token1] = ACTIONS(1324),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1324),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1324),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1324),
    [aux_sym_syslog_facility_token1] = ACTIONS(1324),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1324),
    [aux_sym_keep_alive_token1] = ACTIONS(1324),
    [aux_sym_tag_token1] = ACTIONS(1324),
    [aux_sym_tunnel_token1] = ACTIONS(1326),
    [aux_sym_tunnel_device_token1] = ACTIONS(1324),
    [aux_sym_update_host_keys_token1] = ACTIONS(1324),
    [aux_sym_use_keychain_token1] = ACTIONS(1324),
    [aux_sym_use_roaming_token1] = ACTIONS(1324),
    [aux_sym_user_token1] = ACTIONS(1326),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1324),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1324),
    [aux_sym_version_addendum_token1] = ACTIONS(1324),
    [aux_sym_visual_host_key_token1] = ACTIONS(1324),
    [aux_sym_xauth_location_token1] = ACTIONS(1324),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_match_token1] = ACTIONS(1330),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1330),
    [aux_sym_address_family_token1] = ACTIONS(1330),
    [aux_sym_batch_mode_token1] = ACTIONS(1330),
    [aux_sym_bind_address_token1] = ACTIONS(1330),
    [aux_sym_bind_interface_token1] = ACTIONS(1330),
    [aux_sym_canonical_domains_token1] = ACTIONS(1330),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1330),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1330),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1330),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1330),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1330),
    [aux_sym_certificate_file_token1] = ACTIONS(1330),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1330),
    [aux_sym_channel_timeout_token1] = ACTIONS(1330),
    [aux_sym_check_host_ip_token1] = ACTIONS(1330),
    [aux_sym_ciphers_token1] = ACTIONS(1330),
    [aux_sym_cipher_token1] = ACTIONS(1332),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1330),
    [aux_sym_compression_token1] = ACTIONS(1330),
    [aux_sym_connection_attempts_token1] = ACTIONS(1330),
    [aux_sym_connect_timeout_token1] = ACTIONS(1330),
    [aux_sym_control_master_token1] = ACTIONS(1330),
    [aux_sym_control_path_token1] = ACTIONS(1330),
    [aux_sym_control_persist_token1] = ACTIONS(1330),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1330),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1330),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1330),
    [aux_sym_escape_char_token1] = ACTIONS(1330),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1330),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1330),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1330),
    [aux_sym_forward_agent_token1] = ACTIONS(1330),
    [aux_sym_forward_x11_token1] = ACTIONS(1332),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1330),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1330),
    [aux_sym_gateway_ports_token1] = ACTIONS(1330),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1330),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1330),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1330),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1330),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1330),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1330),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1330),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1330),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1330),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1330),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1330),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1330),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1330),
    [aux_sym_host_key_alias_token1] = ACTIONS(1330),
    [aux_sym_hostname_token1] = ACTIONS(1330),
    [aux_sym_identities_only_token1] = ACTIONS(1330),
    [aux_sym_identity_agent_token1] = ACTIONS(1330),
    [aux_sym_identity_file_token1] = ACTIONS(1330),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1330),
    [aux_sym_include_token1] = ACTIONS(1330),
    [aux_sym_ip_qos_token1] = ACTIONS(1330),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1330),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1330),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1330),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1330),
    [aux_sym_local_command_token1] = ACTIONS(1330),
    [aux_sym_local_forward_token1] = ACTIONS(1330),
    [aux_sym_log_level_token1] = ACTIONS(1330),
    [aux_sym_log_verbose_token1] = ACTIONS(1330),
    [aux_sym_macs_token1] = ACTIONS(1330),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1330),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1330),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1330),
    [aux_sym_password_authentication_token1] = ACTIONS(1330),
    [aux_sym_permit_local_command_token1] = ACTIONS(1330),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1330),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1330),
    [aux_sym_port_token1] = ACTIONS(1330),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1330),
    [aux_sym_protocol_token1] = ACTIONS(1330),
    [aux_sym_proxy_command_token1] = ACTIONS(1330),
    [aux_sym_proxy_jump_token1] = ACTIONS(1330),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1330),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1330),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1330),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1330),
    [aux_sym_rekey_limit_token1] = ACTIONS(1330),
    [aux_sym_remote_command_token1] = ACTIONS(1330),
    [aux_sym_remote_forward_token1] = ACTIONS(1330),
    [aux_sym_request_tty_token1] = ACTIONS(1330),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1330),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1330),
    [aux_sym_security_key_provider_token1] = ACTIONS(1330),
    [aux_sym_send_env_token1] = ACTIONS(1330),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1330),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1330),
    [aux_sym_session_type_token1] = ACTIONS(1330),
    [aux_sym_set_env_token1] = ACTIONS(1330),
    [aux_sym_stdin_null_token1] = ACTIONS(1330),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1330),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1330),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1330),
    [aux_sym_syslog_facility_token1] = ACTIONS(1330),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1330),
    [aux_sym_keep_alive_token1] = ACTIONS(1330),
    [aux_sym_tag_token1] = ACTIONS(1330),
    [aux_sym_tunnel_token1] = ACTIONS(1332),
    [aux_sym_tunnel_device_token1] = ACTIONS(1330),
    [aux_sym_update_host_keys_token1] = ACTIONS(1330),
    [aux_sym_use_keychain_token1] = ACTIONS(1330),
    [aux_sym_use_roaming_token1] = ACTIONS(1330),
    [aux_sym_user_token1] = ACTIONS(1332),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1330),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1330),
    [aux_sym_version_addendum_token1] = ACTIONS(1330),
    [aux_sym_visual_host_key_token1] = ACTIONS(1330),
    [aux_sym_xauth_location_token1] = ACTIONS(1330),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_match_token1] = ACTIONS(1334),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1334),
    [aux_sym_address_family_token1] = ACTIONS(1334),
    [aux_sym_batch_mode_token1] = ACTIONS(1334),
    [aux_sym_bind_address_token1] = ACTIONS(1334),
    [aux_sym_bind_interface_token1] = ACTIONS(1334),
    [aux_sym_canonical_domains_token1] = ACTIONS(1334),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1334),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1334),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1334),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1334),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1334),
    [aux_sym_certificate_file_token1] = ACTIONS(1334),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1334),
    [aux_sym_channel_timeout_token1] = ACTIONS(1334),
    [aux_sym_check_host_ip_token1] = ACTIONS(1334),
    [aux_sym_ciphers_token1] = ACTIONS(1334),
    [aux_sym_cipher_token1] = ACTIONS(1336),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1334),
    [aux_sym_compression_token1] = ACTIONS(1334),
    [aux_sym_connection_attempts_token1] = ACTIONS(1334),
    [aux_sym_connect_timeout_token1] = ACTIONS(1334),
    [aux_sym_control_master_token1] = ACTIONS(1334),
    [aux_sym_control_path_token1] = ACTIONS(1334),
    [aux_sym_control_persist_token1] = ACTIONS(1334),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1334),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1334),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1334),
    [aux_sym_escape_char_token1] = ACTIONS(1334),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1334),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1334),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1334),
    [aux_sym_forward_agent_token1] = ACTIONS(1334),
    [aux_sym_forward_x11_token1] = ACTIONS(1336),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1334),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1334),
    [aux_sym_gateway_ports_token1] = ACTIONS(1334),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1334),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1334),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1334),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1334),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1334),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1334),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1334),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1334),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1334),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1334),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1334),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1334),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1334),
    [aux_sym_host_key_alias_token1] = ACTIONS(1334),
    [aux_sym_hostname_token1] = ACTIONS(1334),
    [aux_sym_identities_only_token1] = ACTIONS(1334),
    [aux_sym_identity_agent_token1] = ACTIONS(1334),
    [aux_sym_identity_file_token1] = ACTIONS(1334),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1334),
    [aux_sym_include_token1] = ACTIONS(1334),
    [aux_sym_ip_qos_token1] = ACTIONS(1334),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1334),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1334),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1334),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1334),
    [aux_sym_local_command_token1] = ACTIONS(1334),
    [aux_sym_local_forward_token1] = ACTIONS(1334),
    [aux_sym_log_level_token1] = ACTIONS(1334),
    [aux_sym_log_verbose_token1] = ACTIONS(1334),
    [aux_sym_macs_token1] = ACTIONS(1334),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1334),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1334),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1334),
    [aux_sym_password_authentication_token1] = ACTIONS(1334),
    [aux_sym_permit_local_command_token1] = ACTIONS(1334),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1334),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1334),
    [aux_sym_port_token1] = ACTIONS(1334),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1334),
    [aux_sym_protocol_token1] = ACTIONS(1334),
    [aux_sym_proxy_command_token1] = ACTIONS(1334),
    [aux_sym_proxy_jump_token1] = ACTIONS(1334),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1334),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1334),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1334),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1334),
    [aux_sym_rekey_limit_token1] = ACTIONS(1334),
    [aux_sym_remote_command_token1] = ACTIONS(1334),
    [aux_sym_remote_forward_token1] = ACTIONS(1334),
    [aux_sym_request_tty_token1] = ACTIONS(1334),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1334),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1334),
    [aux_sym_security_key_provider_token1] = ACTIONS(1334),
    [aux_sym_send_env_token1] = ACTIONS(1334),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1334),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1334),
    [aux_sym_session_type_token1] = ACTIONS(1334),
    [aux_sym_set_env_token1] = ACTIONS(1334),
    [aux_sym_stdin_null_token1] = ACTIONS(1334),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1334),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1334),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1334),
    [aux_sym_syslog_facility_token1] = ACTIONS(1334),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1334),
    [aux_sym_keep_alive_token1] = ACTIONS(1334),
    [aux_sym_tag_token1] = ACTIONS(1334),
    [aux_sym_tunnel_token1] = ACTIONS(1336),
    [aux_sym_tunnel_device_token1] = ACTIONS(1334),
    [aux_sym_update_host_keys_token1] = ACTIONS(1334),
    [aux_sym_use_keychain_token1] = ACTIONS(1334),
    [aux_sym_use_roaming_token1] = ACTIONS(1334),
    [aux_sym_user_token1] = ACTIONS(1336),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1334),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1334),
    [aux_sym_version_addendum_token1] = ACTIONS(1334),
    [aux_sym_visual_host_key_token1] = ACTIONS(1334),
    [aux_sym_xauth_location_token1] = ACTIONS(1334),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_match_token1] = ACTIONS(1340),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1340),
    [aux_sym_address_family_token1] = ACTIONS(1340),
    [aux_sym_batch_mode_token1] = ACTIONS(1340),
    [aux_sym_bind_address_token1] = ACTIONS(1340),
    [aux_sym_bind_interface_token1] = ACTIONS(1340),
    [aux_sym_canonical_domains_token1] = ACTIONS(1340),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1340),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1340),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1340),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1340),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1340),
    [aux_sym_certificate_file_token1] = ACTIONS(1340),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1340),
    [aux_sym_channel_timeout_token1] = ACTIONS(1340),
    [aux_sym_check_host_ip_token1] = ACTIONS(1340),
    [aux_sym_ciphers_token1] = ACTIONS(1340),
    [aux_sym_cipher_token1] = ACTIONS(1342),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1340),
    [aux_sym_compression_token1] = ACTIONS(1340),
    [aux_sym_connection_attempts_token1] = ACTIONS(1340),
    [aux_sym_connect_timeout_token1] = ACTIONS(1340),
    [aux_sym_control_master_token1] = ACTIONS(1340),
    [aux_sym_control_path_token1] = ACTIONS(1340),
    [aux_sym_control_persist_token1] = ACTIONS(1340),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1340),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1340),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1340),
    [aux_sym_escape_char_token1] = ACTIONS(1340),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1340),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1340),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1340),
    [aux_sym_forward_agent_token1] = ACTIONS(1340),
    [aux_sym_forward_x11_token1] = ACTIONS(1342),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1340),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1340),
    [aux_sym_gateway_ports_token1] = ACTIONS(1340),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1340),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1340),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1340),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1340),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1340),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1340),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1340),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1340),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1340),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1340),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1340),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1340),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1340),
    [aux_sym_host_key_alias_token1] = ACTIONS(1340),
    [aux_sym_hostname_token1] = ACTIONS(1340),
    [aux_sym_identities_only_token1] = ACTIONS(1340),
    [aux_sym_identity_agent_token1] = ACTIONS(1340),
    [aux_sym_identity_file_token1] = ACTIONS(1340),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1340),
    [aux_sym_include_token1] = ACTIONS(1340),
    [aux_sym_ip_qos_token1] = ACTIONS(1340),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1340),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1340),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1340),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1340),
    [aux_sym_local_command_token1] = ACTIONS(1340),
    [aux_sym_local_forward_token1] = ACTIONS(1340),
    [aux_sym_log_level_token1] = ACTIONS(1340),
    [aux_sym_log_verbose_token1] = ACTIONS(1340),
    [aux_sym_macs_token1] = ACTIONS(1340),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1340),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1340),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1340),
    [aux_sym_password_authentication_token1] = ACTIONS(1340),
    [aux_sym_permit_local_command_token1] = ACTIONS(1340),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1340),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1340),
    [aux_sym_port_token1] = ACTIONS(1340),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1340),
    [aux_sym_protocol_token1] = ACTIONS(1340),
    [aux_sym_proxy_command_token1] = ACTIONS(1340),
    [aux_sym_proxy_jump_token1] = ACTIONS(1340),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1340),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1340),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1340),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1340),
    [aux_sym_rekey_limit_token1] = ACTIONS(1340),
    [aux_sym_remote_command_token1] = ACTIONS(1340),
    [aux_sym_remote_forward_token1] = ACTIONS(1340),
    [aux_sym_request_tty_token1] = ACTIONS(1340),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1340),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1340),
    [aux_sym_security_key_provider_token1] = ACTIONS(1340),
    [aux_sym_send_env_token1] = ACTIONS(1340),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1340),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1340),
    [aux_sym_session_type_token1] = ACTIONS(1340),
    [aux_sym_set_env_token1] = ACTIONS(1340),
    [aux_sym_stdin_null_token1] = ACTIONS(1340),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1340),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1340),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1340),
    [aux_sym_syslog_facility_token1] = ACTIONS(1340),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1340),
    [aux_sym_keep_alive_token1] = ACTIONS(1340),
    [aux_sym_tag_token1] = ACTIONS(1340),
    [aux_sym_tunnel_token1] = ACTIONS(1342),
    [aux_sym_tunnel_device_token1] = ACTIONS(1340),
    [aux_sym_update_host_keys_token1] = ACTIONS(1340),
    [aux_sym_use_keychain_token1] = ACTIONS(1340),
    [aux_sym_use_roaming_token1] = ACTIONS(1340),
    [aux_sym_user_token1] = ACTIONS(1342),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1340),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1340),
    [aux_sym_version_addendum_token1] = ACTIONS(1340),
    [aux_sym_visual_host_key_token1] = ACTIONS(1340),
    [aux_sym_xauth_location_token1] = ACTIONS(1340),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_match_token1] = ACTIONS(1344),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1344),
    [aux_sym_address_family_token1] = ACTIONS(1344),
    [aux_sym_batch_mode_token1] = ACTIONS(1344),
    [aux_sym_bind_address_token1] = ACTIONS(1344),
    [aux_sym_bind_interface_token1] = ACTIONS(1344),
    [aux_sym_canonical_domains_token1] = ACTIONS(1344),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1344),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1344),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1344),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1344),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1344),
    [aux_sym_certificate_file_token1] = ACTIONS(1344),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1344),
    [aux_sym_channel_timeout_token1] = ACTIONS(1344),
    [aux_sym_check_host_ip_token1] = ACTIONS(1344),
    [aux_sym_ciphers_token1] = ACTIONS(1344),
    [aux_sym_cipher_token1] = ACTIONS(1346),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1344),
    [aux_sym_compression_token1] = ACTIONS(1344),
    [aux_sym_connection_attempts_token1] = ACTIONS(1344),
    [aux_sym_connect_timeout_token1] = ACTIONS(1344),
    [aux_sym_control_master_token1] = ACTIONS(1344),
    [aux_sym_control_path_token1] = ACTIONS(1344),
    [aux_sym_control_persist_token1] = ACTIONS(1344),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1344),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1344),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1344),
    [aux_sym_escape_char_token1] = ACTIONS(1344),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1344),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1344),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1344),
    [aux_sym_forward_agent_token1] = ACTIONS(1344),
    [aux_sym_forward_x11_token1] = ACTIONS(1346),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1344),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1344),
    [aux_sym_gateway_ports_token1] = ACTIONS(1344),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1344),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1344),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1344),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1344),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1344),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1344),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1344),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1344),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1344),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1344),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1344),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1344),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1344),
    [aux_sym_host_key_alias_token1] = ACTIONS(1344),
    [aux_sym_hostname_token1] = ACTIONS(1344),
    [aux_sym_identities_only_token1] = ACTIONS(1344),
    [aux_sym_identity_agent_token1] = ACTIONS(1344),
    [aux_sym_identity_file_token1] = ACTIONS(1344),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1344),
    [aux_sym_include_token1] = ACTIONS(1344),
    [aux_sym_ip_qos_token1] = ACTIONS(1344),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1344),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1344),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1344),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1344),
    [aux_sym_local_command_token1] = ACTIONS(1344),
    [aux_sym_local_forward_token1] = ACTIONS(1344),
    [aux_sym_log_level_token1] = ACTIONS(1344),
    [aux_sym_log_verbose_token1] = ACTIONS(1344),
    [aux_sym_macs_token1] = ACTIONS(1344),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1344),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1344),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1344),
    [aux_sym_password_authentication_token1] = ACTIONS(1344),
    [aux_sym_permit_local_command_token1] = ACTIONS(1344),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1344),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1344),
    [aux_sym_port_token1] = ACTIONS(1344),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1344),
    [aux_sym_protocol_token1] = ACTIONS(1344),
    [aux_sym_proxy_command_token1] = ACTIONS(1344),
    [aux_sym_proxy_jump_token1] = ACTIONS(1344),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1344),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1344),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1344),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1344),
    [aux_sym_rekey_limit_token1] = ACTIONS(1344),
    [aux_sym_remote_command_token1] = ACTIONS(1344),
    [aux_sym_remote_forward_token1] = ACTIONS(1344),
    [aux_sym_request_tty_token1] = ACTIONS(1344),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1344),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1344),
    [aux_sym_security_key_provider_token1] = ACTIONS(1344),
    [aux_sym_send_env_token1] = ACTIONS(1344),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1344),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1344),
    [aux_sym_session_type_token1] = ACTIONS(1344),
    [aux_sym_set_env_token1] = ACTIONS(1344),
    [aux_sym_stdin_null_token1] = ACTIONS(1344),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1344),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1344),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1344),
    [aux_sym_syslog_facility_token1] = ACTIONS(1344),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1344),
    [aux_sym_keep_alive_token1] = ACTIONS(1344),
    [aux_sym_tag_token1] = ACTIONS(1344),
    [aux_sym_tunnel_token1] = ACTIONS(1346),
    [aux_sym_tunnel_device_token1] = ACTIONS(1344),
    [aux_sym_update_host_keys_token1] = ACTIONS(1344),
    [aux_sym_use_keychain_token1] = ACTIONS(1344),
    [aux_sym_use_roaming_token1] = ACTIONS(1344),
    [aux_sym_user_token1] = ACTIONS(1346),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1344),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1344),
    [aux_sym_version_addendum_token1] = ACTIONS(1344),
    [aux_sym_visual_host_key_token1] = ACTIONS(1344),
    [aux_sym_xauth_location_token1] = ACTIONS(1344),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_match_token1] = ACTIONS(1350),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1350),
    [aux_sym_address_family_token1] = ACTIONS(1350),
    [aux_sym_batch_mode_token1] = ACTIONS(1350),
    [aux_sym_bind_address_token1] = ACTIONS(1350),
    [aux_sym_bind_interface_token1] = ACTIONS(1350),
    [aux_sym_canonical_domains_token1] = ACTIONS(1350),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1350),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1350),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1350),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1350),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1350),
    [aux_sym_certificate_file_token1] = ACTIONS(1350),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1350),
    [aux_sym_channel_timeout_token1] = ACTIONS(1350),
    [aux_sym_check_host_ip_token1] = ACTIONS(1350),
    [aux_sym_ciphers_token1] = ACTIONS(1350),
    [aux_sym_cipher_token1] = ACTIONS(1352),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1350),
    [aux_sym_compression_token1] = ACTIONS(1350),
    [aux_sym_connection_attempts_token1] = ACTIONS(1350),
    [aux_sym_connect_timeout_token1] = ACTIONS(1350),
    [aux_sym_control_master_token1] = ACTIONS(1350),
    [aux_sym_control_path_token1] = ACTIONS(1350),
    [aux_sym_control_persist_token1] = ACTIONS(1350),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1350),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1350),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1350),
    [aux_sym_escape_char_token1] = ACTIONS(1350),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1350),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1350),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1350),
    [aux_sym_forward_agent_token1] = ACTIONS(1350),
    [aux_sym_forward_x11_token1] = ACTIONS(1352),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1350),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1350),
    [aux_sym_gateway_ports_token1] = ACTIONS(1350),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1350),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1350),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1350),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1350),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1350),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1350),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1350),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1350),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1350),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1350),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1350),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1350),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1350),
    [aux_sym_host_key_alias_token1] = ACTIONS(1350),
    [aux_sym_hostname_token1] = ACTIONS(1350),
    [aux_sym_identities_only_token1] = ACTIONS(1350),
    [aux_sym_identity_agent_token1] = ACTIONS(1350),
    [aux_sym_identity_file_token1] = ACTIONS(1350),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1350),
    [aux_sym_include_token1] = ACTIONS(1350),
    [aux_sym_ip_qos_token1] = ACTIONS(1350),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1350),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1350),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1350),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1350),
    [aux_sym_local_command_token1] = ACTIONS(1350),
    [aux_sym_local_forward_token1] = ACTIONS(1350),
    [aux_sym_log_level_token1] = ACTIONS(1350),
    [aux_sym_log_verbose_token1] = ACTIONS(1350),
    [aux_sym_macs_token1] = ACTIONS(1350),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1350),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1350),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1350),
    [aux_sym_password_authentication_token1] = ACTIONS(1350),
    [aux_sym_permit_local_command_token1] = ACTIONS(1350),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1350),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1350),
    [aux_sym_port_token1] = ACTIONS(1350),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1350),
    [aux_sym_protocol_token1] = ACTIONS(1350),
    [aux_sym_proxy_command_token1] = ACTIONS(1350),
    [aux_sym_proxy_jump_token1] = ACTIONS(1350),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1350),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1350),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1350),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1350),
    [aux_sym_rekey_limit_token1] = ACTIONS(1350),
    [aux_sym_remote_command_token1] = ACTIONS(1350),
    [aux_sym_remote_forward_token1] = ACTIONS(1350),
    [aux_sym_request_tty_token1] = ACTIONS(1350),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1350),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1350),
    [aux_sym_security_key_provider_token1] = ACTIONS(1350),
    [aux_sym_send_env_token1] = ACTIONS(1350),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1350),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1350),
    [aux_sym_session_type_token1] = ACTIONS(1350),
    [aux_sym_set_env_token1] = ACTIONS(1350),
    [aux_sym_stdin_null_token1] = ACTIONS(1350),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1350),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1350),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1350),
    [aux_sym_syslog_facility_token1] = ACTIONS(1350),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1350),
    [aux_sym_keep_alive_token1] = ACTIONS(1350),
    [aux_sym_tag_token1] = ACTIONS(1350),
    [aux_sym_tunnel_token1] = ACTIONS(1352),
    [aux_sym_tunnel_device_token1] = ACTIONS(1350),
    [aux_sym_update_host_keys_token1] = ACTIONS(1350),
    [aux_sym_use_keychain_token1] = ACTIONS(1350),
    [aux_sym_use_roaming_token1] = ACTIONS(1350),
    [aux_sym_user_token1] = ACTIONS(1352),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1350),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1350),
    [aux_sym_version_addendum_token1] = ACTIONS(1350),
    [aux_sym_visual_host_key_token1] = ACTIONS(1350),
    [aux_sym_xauth_location_token1] = ACTIONS(1350),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_match_token1] = ACTIONS(1354),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1354),
    [aux_sym_address_family_token1] = ACTIONS(1354),
    [aux_sym_batch_mode_token1] = ACTIONS(1354),
    [aux_sym_bind_address_token1] = ACTIONS(1354),
    [aux_sym_bind_interface_token1] = ACTIONS(1354),
    [aux_sym_canonical_domains_token1] = ACTIONS(1354),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1354),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1354),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1354),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1354),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1354),
    [aux_sym_certificate_file_token1] = ACTIONS(1354),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1354),
    [aux_sym_channel_timeout_token1] = ACTIONS(1354),
    [aux_sym_check_host_ip_token1] = ACTIONS(1354),
    [aux_sym_ciphers_token1] = ACTIONS(1354),
    [aux_sym_cipher_token1] = ACTIONS(1356),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1354),
    [aux_sym_compression_token1] = ACTIONS(1354),
    [aux_sym_connection_attempts_token1] = ACTIONS(1354),
    [aux_sym_connect_timeout_token1] = ACTIONS(1354),
    [aux_sym_control_master_token1] = ACTIONS(1354),
    [aux_sym_control_path_token1] = ACTIONS(1354),
    [aux_sym_control_persist_token1] = ACTIONS(1354),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1354),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1354),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1354),
    [aux_sym_escape_char_token1] = ACTIONS(1354),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1354),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1354),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1354),
    [aux_sym_forward_agent_token1] = ACTIONS(1354),
    [aux_sym_forward_x11_token1] = ACTIONS(1356),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1354),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1354),
    [aux_sym_gateway_ports_token1] = ACTIONS(1354),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1354),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1354),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1354),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1354),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1354),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1354),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1354),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1354),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1354),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1354),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1354),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1354),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1354),
    [aux_sym_host_key_alias_token1] = ACTIONS(1354),
    [aux_sym_hostname_token1] = ACTIONS(1354),
    [aux_sym_identities_only_token1] = ACTIONS(1354),
    [aux_sym_identity_agent_token1] = ACTIONS(1354),
    [aux_sym_identity_file_token1] = ACTIONS(1354),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1354),
    [aux_sym_include_token1] = ACTIONS(1354),
    [aux_sym_ip_qos_token1] = ACTIONS(1354),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1354),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1354),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1354),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1354),
    [aux_sym_local_command_token1] = ACTIONS(1354),
    [aux_sym_local_forward_token1] = ACTIONS(1354),
    [aux_sym_log_level_token1] = ACTIONS(1354),
    [aux_sym_log_verbose_token1] = ACTIONS(1354),
    [aux_sym_macs_token1] = ACTIONS(1354),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1354),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1354),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1354),
    [aux_sym_password_authentication_token1] = ACTIONS(1354),
    [aux_sym_permit_local_command_token1] = ACTIONS(1354),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1354),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1354),
    [aux_sym_port_token1] = ACTIONS(1354),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1354),
    [aux_sym_protocol_token1] = ACTIONS(1354),
    [aux_sym_proxy_command_token1] = ACTIONS(1354),
    [aux_sym_proxy_jump_token1] = ACTIONS(1354),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1354),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1354),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1354),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1354),
    [aux_sym_rekey_limit_token1] = ACTIONS(1354),
    [aux_sym_remote_command_token1] = ACTIONS(1354),
    [aux_sym_remote_forward_token1] = ACTIONS(1354),
    [aux_sym_request_tty_token1] = ACTIONS(1354),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1354),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1354),
    [aux_sym_security_key_provider_token1] = ACTIONS(1354),
    [aux_sym_send_env_token1] = ACTIONS(1354),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1354),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1354),
    [aux_sym_session_type_token1] = ACTIONS(1354),
    [aux_sym_set_env_token1] = ACTIONS(1354),
    [aux_sym_stdin_null_token1] = ACTIONS(1354),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1354),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1354),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1354),
    [aux_sym_syslog_facility_token1] = ACTIONS(1354),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1354),
    [aux_sym_keep_alive_token1] = ACTIONS(1354),
    [aux_sym_tag_token1] = ACTIONS(1354),
    [aux_sym_tunnel_token1] = ACTIONS(1356),
    [aux_sym_tunnel_device_token1] = ACTIONS(1354),
    [aux_sym_update_host_keys_token1] = ACTIONS(1354),
    [aux_sym_use_keychain_token1] = ACTIONS(1354),
    [aux_sym_use_roaming_token1] = ACTIONS(1354),
    [aux_sym_user_token1] = ACTIONS(1356),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1354),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1354),
    [aux_sym_version_addendum_token1] = ACTIONS(1354),
    [aux_sym_visual_host_key_token1] = ACTIONS(1354),
    [aux_sym_xauth_location_token1] = ACTIONS(1354),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_match_token1] = ACTIONS(1360),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1360),
    [aux_sym_address_family_token1] = ACTIONS(1360),
    [aux_sym_batch_mode_token1] = ACTIONS(1360),
    [aux_sym_bind_address_token1] = ACTIONS(1360),
    [aux_sym_bind_interface_token1] = ACTIONS(1360),
    [aux_sym_canonical_domains_token1] = ACTIONS(1360),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1360),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1360),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1360),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1360),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1360),
    [aux_sym_certificate_file_token1] = ACTIONS(1360),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1360),
    [aux_sym_channel_timeout_token1] = ACTIONS(1360),
    [aux_sym_check_host_ip_token1] = ACTIONS(1360),
    [aux_sym_ciphers_token1] = ACTIONS(1360),
    [aux_sym_cipher_token1] = ACTIONS(1362),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1360),
    [aux_sym_compression_token1] = ACTIONS(1360),
    [aux_sym_connection_attempts_token1] = ACTIONS(1360),
    [aux_sym_connect_timeout_token1] = ACTIONS(1360),
    [aux_sym_control_master_token1] = ACTIONS(1360),
    [aux_sym_control_path_token1] = ACTIONS(1360),
    [aux_sym_control_persist_token1] = ACTIONS(1360),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1360),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1360),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1360),
    [aux_sym_escape_char_token1] = ACTIONS(1360),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1360),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1360),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1360),
    [aux_sym_forward_agent_token1] = ACTIONS(1360),
    [aux_sym_forward_x11_token1] = ACTIONS(1362),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1360),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1360),
    [aux_sym_gateway_ports_token1] = ACTIONS(1360),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1360),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1360),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1360),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1360),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1360),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1360),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1360),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1360),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1360),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1360),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1360),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1360),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1360),
    [aux_sym_host_key_alias_token1] = ACTIONS(1360),
    [aux_sym_hostname_token1] = ACTIONS(1360),
    [aux_sym_identities_only_token1] = ACTIONS(1360),
    [aux_sym_identity_agent_token1] = ACTIONS(1360),
    [aux_sym_identity_file_token1] = ACTIONS(1360),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1360),
    [aux_sym_include_token1] = ACTIONS(1360),
    [aux_sym_ip_qos_token1] = ACTIONS(1360),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1360),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1360),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1360),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1360),
    [aux_sym_local_command_token1] = ACTIONS(1360),
    [aux_sym_local_forward_token1] = ACTIONS(1360),
    [aux_sym_log_level_token1] = ACTIONS(1360),
    [aux_sym_log_verbose_token1] = ACTIONS(1360),
    [aux_sym_macs_token1] = ACTIONS(1360),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1360),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1360),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1360),
    [aux_sym_password_authentication_token1] = ACTIONS(1360),
    [aux_sym_permit_local_command_token1] = ACTIONS(1360),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1360),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1360),
    [aux_sym_port_token1] = ACTIONS(1360),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1360),
    [aux_sym_protocol_token1] = ACTIONS(1360),
    [aux_sym_proxy_command_token1] = ACTIONS(1360),
    [aux_sym_proxy_jump_token1] = ACTIONS(1360),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1360),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1360),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1360),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1360),
    [aux_sym_rekey_limit_token1] = ACTIONS(1360),
    [aux_sym_remote_command_token1] = ACTIONS(1360),
    [aux_sym_remote_forward_token1] = ACTIONS(1360),
    [aux_sym_request_tty_token1] = ACTIONS(1360),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1360),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1360),
    [aux_sym_security_key_provider_token1] = ACTIONS(1360),
    [aux_sym_send_env_token1] = ACTIONS(1360),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1360),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1360),
    [aux_sym_session_type_token1] = ACTIONS(1360),
    [aux_sym_set_env_token1] = ACTIONS(1360),
    [aux_sym_stdin_null_token1] = ACTIONS(1360),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1360),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1360),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1360),
    [aux_sym_syslog_facility_token1] = ACTIONS(1360),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1360),
    [aux_sym_keep_alive_token1] = ACTIONS(1360),
    [aux_sym_tag_token1] = ACTIONS(1360),
    [aux_sym_tunnel_token1] = ACTIONS(1362),
    [aux_sym_tunnel_device_token1] = ACTIONS(1360),
    [aux_sym_update_host_keys_token1] = ACTIONS(1360),
    [aux_sym_use_keychain_token1] = ACTIONS(1360),
    [aux_sym_use_roaming_token1] = ACTIONS(1360),
    [aux_sym_user_token1] = ACTIONS(1362),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1360),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1360),
    [aux_sym_version_addendum_token1] = ACTIONS(1360),
    [aux_sym_visual_host_key_token1] = ACTIONS(1360),
    [aux_sym_xauth_location_token1] = ACTIONS(1360),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_match_token1] = ACTIONS(1364),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1364),
    [aux_sym_address_family_token1] = ACTIONS(1364),
    [aux_sym_batch_mode_token1] = ACTIONS(1364),
    [aux_sym_bind_address_token1] = ACTIONS(1364),
    [aux_sym_bind_interface_token1] = ACTIONS(1364),
    [aux_sym_canonical_domains_token1] = ACTIONS(1364),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1364),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1364),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1364),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1364),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1364),
    [aux_sym_certificate_file_token1] = ACTIONS(1364),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1364),
    [aux_sym_channel_timeout_token1] = ACTIONS(1364),
    [aux_sym_check_host_ip_token1] = ACTIONS(1364),
    [aux_sym_ciphers_token1] = ACTIONS(1364),
    [aux_sym_cipher_token1] = ACTIONS(1366),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1364),
    [aux_sym_compression_token1] = ACTIONS(1364),
    [aux_sym_connection_attempts_token1] = ACTIONS(1364),
    [aux_sym_connect_timeout_token1] = ACTIONS(1364),
    [aux_sym_control_master_token1] = ACTIONS(1364),
    [aux_sym_control_path_token1] = ACTIONS(1364),
    [aux_sym_control_persist_token1] = ACTIONS(1364),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1364),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1364),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1364),
    [aux_sym_escape_char_token1] = ACTIONS(1364),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1364),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1364),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1364),
    [aux_sym_forward_agent_token1] = ACTIONS(1364),
    [aux_sym_forward_x11_token1] = ACTIONS(1366),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1364),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1364),
    [aux_sym_gateway_ports_token1] = ACTIONS(1364),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1364),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1364),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1364),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1364),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1364),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1364),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1364),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1364),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1364),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1364),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1364),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1364),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1364),
    [aux_sym_host_key_alias_token1] = ACTIONS(1364),
    [aux_sym_hostname_token1] = ACTIONS(1364),
    [aux_sym_identities_only_token1] = ACTIONS(1364),
    [aux_sym_identity_agent_token1] = ACTIONS(1364),
    [aux_sym_identity_file_token1] = ACTIONS(1364),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1364),
    [aux_sym_include_token1] = ACTIONS(1364),
    [aux_sym_ip_qos_token1] = ACTIONS(1364),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1364),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1364),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1364),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1364),
    [aux_sym_local_command_token1] = ACTIONS(1364),
    [aux_sym_local_forward_token1] = ACTIONS(1364),
    [aux_sym_log_level_token1] = ACTIONS(1364),
    [aux_sym_log_verbose_token1] = ACTIONS(1364),
    [aux_sym_macs_token1] = ACTIONS(1364),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1364),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1364),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1364),
    [aux_sym_password_authentication_token1] = ACTIONS(1364),
    [aux_sym_permit_local_command_token1] = ACTIONS(1364),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1364),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1364),
    [aux_sym_port_token1] = ACTIONS(1364),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1364),
    [aux_sym_protocol_token1] = ACTIONS(1364),
    [aux_sym_proxy_command_token1] = ACTIONS(1364),
    [aux_sym_proxy_jump_token1] = ACTIONS(1364),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1364),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1364),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1364),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1364),
    [aux_sym_rekey_limit_token1] = ACTIONS(1364),
    [aux_sym_remote_command_token1] = ACTIONS(1364),
    [aux_sym_remote_forward_token1] = ACTIONS(1364),
    [aux_sym_request_tty_token1] = ACTIONS(1364),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1364),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1364),
    [aux_sym_security_key_provider_token1] = ACTIONS(1364),
    [aux_sym_send_env_token1] = ACTIONS(1364),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1364),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1364),
    [aux_sym_session_type_token1] = ACTIONS(1364),
    [aux_sym_set_env_token1] = ACTIONS(1364),
    [aux_sym_stdin_null_token1] = ACTIONS(1364),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1364),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1364),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1364),
    [aux_sym_syslog_facility_token1] = ACTIONS(1364),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1364),
    [aux_sym_keep_alive_token1] = ACTIONS(1364),
    [aux_sym_tag_token1] = ACTIONS(1364),
    [aux_sym_tunnel_token1] = ACTIONS(1366),
    [aux_sym_tunnel_device_token1] = ACTIONS(1364),
    [aux_sym_update_host_keys_token1] = ACTIONS(1364),
    [aux_sym_use_keychain_token1] = ACTIONS(1364),
    [aux_sym_use_roaming_token1] = ACTIONS(1364),
    [aux_sym_user_token1] = ACTIONS(1366),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1364),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1364),
    [aux_sym_version_addendum_token1] = ACTIONS(1364),
    [aux_sym_visual_host_key_token1] = ACTIONS(1364),
    [aux_sym_xauth_location_token1] = ACTIONS(1364),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_match_token1] = ACTIONS(1370),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1370),
    [aux_sym_address_family_token1] = ACTIONS(1370),
    [aux_sym_batch_mode_token1] = ACTIONS(1370),
    [aux_sym_bind_address_token1] = ACTIONS(1370),
    [aux_sym_bind_interface_token1] = ACTIONS(1370),
    [aux_sym_canonical_domains_token1] = ACTIONS(1370),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1370),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1370),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1370),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1370),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1370),
    [aux_sym_certificate_file_token1] = ACTIONS(1370),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1370),
    [aux_sym_channel_timeout_token1] = ACTIONS(1370),
    [aux_sym_check_host_ip_token1] = ACTIONS(1370),
    [aux_sym_ciphers_token1] = ACTIONS(1370),
    [aux_sym_cipher_token1] = ACTIONS(1372),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1370),
    [aux_sym_compression_token1] = ACTIONS(1370),
    [aux_sym_connection_attempts_token1] = ACTIONS(1370),
    [aux_sym_connect_timeout_token1] = ACTIONS(1370),
    [aux_sym_control_master_token1] = ACTIONS(1370),
    [aux_sym_control_path_token1] = ACTIONS(1370),
    [aux_sym_control_persist_token1] = ACTIONS(1370),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1370),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1370),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1370),
    [aux_sym_escape_char_token1] = ACTIONS(1370),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1370),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1370),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1370),
    [aux_sym_forward_agent_token1] = ACTIONS(1370),
    [aux_sym_forward_x11_token1] = ACTIONS(1372),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1370),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1370),
    [aux_sym_gateway_ports_token1] = ACTIONS(1370),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1370),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1370),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1370),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1370),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1370),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1370),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1370),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1370),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1370),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1370),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1370),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1370),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1370),
    [aux_sym_host_key_alias_token1] = ACTIONS(1370),
    [aux_sym_hostname_token1] = ACTIONS(1370),
    [aux_sym_identities_only_token1] = ACTIONS(1370),
    [aux_sym_identity_agent_token1] = ACTIONS(1370),
    [aux_sym_identity_file_token1] = ACTIONS(1370),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1370),
    [aux_sym_include_token1] = ACTIONS(1370),
    [aux_sym_ip_qos_token1] = ACTIONS(1370),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1370),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1370),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1370),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1370),
    [aux_sym_local_command_token1] = ACTIONS(1370),
    [aux_sym_local_forward_token1] = ACTIONS(1370),
    [aux_sym_log_level_token1] = ACTIONS(1370),
    [aux_sym_log_verbose_token1] = ACTIONS(1370),
    [aux_sym_macs_token1] = ACTIONS(1370),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1370),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1370),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1370),
    [aux_sym_password_authentication_token1] = ACTIONS(1370),
    [aux_sym_permit_local_command_token1] = ACTIONS(1370),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1370),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1370),
    [aux_sym_port_token1] = ACTIONS(1370),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1370),
    [aux_sym_protocol_token1] = ACTIONS(1370),
    [aux_sym_proxy_command_token1] = ACTIONS(1370),
    [aux_sym_proxy_jump_token1] = ACTIONS(1370),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1370),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1370),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1370),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1370),
    [aux_sym_rekey_limit_token1] = ACTIONS(1370),
    [aux_sym_remote_command_token1] = ACTIONS(1370),
    [aux_sym_remote_forward_token1] = ACTIONS(1370),
    [aux_sym_request_tty_token1] = ACTIONS(1370),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1370),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1370),
    [aux_sym_security_key_provider_token1] = ACTIONS(1370),
    [aux_sym_send_env_token1] = ACTIONS(1370),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1370),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1370),
    [aux_sym_session_type_token1] = ACTIONS(1370),
    [aux_sym_set_env_token1] = ACTIONS(1370),
    [aux_sym_stdin_null_token1] = ACTIONS(1370),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1370),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1370),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1370),
    [aux_sym_syslog_facility_token1] = ACTIONS(1370),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1370),
    [aux_sym_keep_alive_token1] = ACTIONS(1370),
    [aux_sym_tag_token1] = ACTIONS(1370),
    [aux_sym_tunnel_token1] = ACTIONS(1372),
    [aux_sym_tunnel_device_token1] = ACTIONS(1370),
    [aux_sym_update_host_keys_token1] = ACTIONS(1370),
    [aux_sym_use_keychain_token1] = ACTIONS(1370),
    [aux_sym_use_roaming_token1] = ACTIONS(1370),
    [aux_sym_user_token1] = ACTIONS(1372),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1370),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1370),
    [aux_sym_version_addendum_token1] = ACTIONS(1370),
    [aux_sym_visual_host_key_token1] = ACTIONS(1370),
    [aux_sym_xauth_location_token1] = ACTIONS(1370),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_match_token1] = ACTIONS(1374),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1374),
    [aux_sym_address_family_token1] = ACTIONS(1374),
    [aux_sym_batch_mode_token1] = ACTIONS(1374),
    [aux_sym_bind_address_token1] = ACTIONS(1374),
    [aux_sym_bind_interface_token1] = ACTIONS(1374),
    [aux_sym_canonical_domains_token1] = ACTIONS(1374),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1374),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1374),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1374),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1374),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1374),
    [aux_sym_certificate_file_token1] = ACTIONS(1374),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1374),
    [aux_sym_channel_timeout_token1] = ACTIONS(1374),
    [aux_sym_check_host_ip_token1] = ACTIONS(1374),
    [aux_sym_ciphers_token1] = ACTIONS(1374),
    [aux_sym_cipher_token1] = ACTIONS(1376),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1374),
    [aux_sym_compression_token1] = ACTIONS(1374),
    [aux_sym_connection_attempts_token1] = ACTIONS(1374),
    [aux_sym_connect_timeout_token1] = ACTIONS(1374),
    [aux_sym_control_master_token1] = ACTIONS(1374),
    [aux_sym_control_path_token1] = ACTIONS(1374),
    [aux_sym_control_persist_token1] = ACTIONS(1374),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1374),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1374),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1374),
    [aux_sym_escape_char_token1] = ACTIONS(1374),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1374),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1374),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1374),
    [aux_sym_forward_agent_token1] = ACTIONS(1374),
    [aux_sym_forward_x11_token1] = ACTIONS(1376),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1374),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1374),
    [aux_sym_gateway_ports_token1] = ACTIONS(1374),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1374),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1374),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1374),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1374),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1374),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1374),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1374),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1374),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1374),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1374),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1374),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1374),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1374),
    [aux_sym_host_key_alias_token1] = ACTIONS(1374),
    [aux_sym_hostname_token1] = ACTIONS(1374),
    [aux_sym_identities_only_token1] = ACTIONS(1374),
    [aux_sym_identity_agent_token1] = ACTIONS(1374),
    [aux_sym_identity_file_token1] = ACTIONS(1374),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1374),
    [aux_sym_include_token1] = ACTIONS(1374),
    [aux_sym_ip_qos_token1] = ACTIONS(1374),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1374),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1374),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1374),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1374),
    [aux_sym_local_command_token1] = ACTIONS(1374),
    [aux_sym_local_forward_token1] = ACTIONS(1374),
    [aux_sym_log_level_token1] = ACTIONS(1374),
    [aux_sym_log_verbose_token1] = ACTIONS(1374),
    [aux_sym_macs_token1] = ACTIONS(1374),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1374),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1374),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1374),
    [aux_sym_password_authentication_token1] = ACTIONS(1374),
    [aux_sym_permit_local_command_token1] = ACTIONS(1374),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1374),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1374),
    [aux_sym_port_token1] = ACTIONS(1374),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1374),
    [aux_sym_protocol_token1] = ACTIONS(1374),
    [aux_sym_proxy_command_token1] = ACTIONS(1374),
    [aux_sym_proxy_jump_token1] = ACTIONS(1374),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1374),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1374),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1374),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1374),
    [aux_sym_rekey_limit_token1] = ACTIONS(1374),
    [aux_sym_remote_command_token1] = ACTIONS(1374),
    [aux_sym_remote_forward_token1] = ACTIONS(1374),
    [aux_sym_request_tty_token1] = ACTIONS(1374),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1374),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1374),
    [aux_sym_security_key_provider_token1] = ACTIONS(1374),
    [aux_sym_send_env_token1] = ACTIONS(1374),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1374),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1374),
    [aux_sym_session_type_token1] = ACTIONS(1374),
    [aux_sym_set_env_token1] = ACTIONS(1374),
    [aux_sym_stdin_null_token1] = ACTIONS(1374),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1374),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1374),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1374),
    [aux_sym_syslog_facility_token1] = ACTIONS(1374),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1374),
    [aux_sym_keep_alive_token1] = ACTIONS(1374),
    [aux_sym_tag_token1] = ACTIONS(1374),
    [aux_sym_tunnel_token1] = ACTIONS(1376),
    [aux_sym_tunnel_device_token1] = ACTIONS(1374),
    [aux_sym_update_host_keys_token1] = ACTIONS(1374),
    [aux_sym_use_keychain_token1] = ACTIONS(1374),
    [aux_sym_use_roaming_token1] = ACTIONS(1374),
    [aux_sym_user_token1] = ACTIONS(1376),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1374),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1374),
    [aux_sym_version_addendum_token1] = ACTIONS(1374),
    [aux_sym_visual_host_key_token1] = ACTIONS(1374),
    [aux_sym_xauth_location_token1] = ACTIONS(1374),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_match_token1] = ACTIONS(1380),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1380),
    [aux_sym_address_family_token1] = ACTIONS(1380),
    [aux_sym_batch_mode_token1] = ACTIONS(1380),
    [aux_sym_bind_address_token1] = ACTIONS(1380),
    [aux_sym_bind_interface_token1] = ACTIONS(1380),
    [aux_sym_canonical_domains_token1] = ACTIONS(1380),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1380),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1380),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1380),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1380),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1380),
    [aux_sym_certificate_file_token1] = ACTIONS(1380),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1380),
    [aux_sym_channel_timeout_token1] = ACTIONS(1380),
    [aux_sym_check_host_ip_token1] = ACTIONS(1380),
    [aux_sym_ciphers_token1] = ACTIONS(1380),
    [aux_sym_cipher_token1] = ACTIONS(1382),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1380),
    [aux_sym_compression_token1] = ACTIONS(1380),
    [aux_sym_connection_attempts_token1] = ACTIONS(1380),
    [aux_sym_connect_timeout_token1] = ACTIONS(1380),
    [aux_sym_control_master_token1] = ACTIONS(1380),
    [aux_sym_control_path_token1] = ACTIONS(1380),
    [aux_sym_control_persist_token1] = ACTIONS(1380),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1380),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1380),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1380),
    [aux_sym_escape_char_token1] = ACTIONS(1380),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1380),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1380),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1380),
    [aux_sym_forward_agent_token1] = ACTIONS(1380),
    [aux_sym_forward_x11_token1] = ACTIONS(1382),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1380),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1380),
    [aux_sym_gateway_ports_token1] = ACTIONS(1380),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1380),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1380),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1380),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1380),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1380),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1380),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1380),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1380),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1380),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1380),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1380),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1380),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1380),
    [aux_sym_host_key_alias_token1] = ACTIONS(1380),
    [aux_sym_hostname_token1] = ACTIONS(1380),
    [aux_sym_identities_only_token1] = ACTIONS(1380),
    [aux_sym_identity_agent_token1] = ACTIONS(1380),
    [aux_sym_identity_file_token1] = ACTIONS(1380),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1380),
    [aux_sym_include_token1] = ACTIONS(1380),
    [aux_sym_ip_qos_token1] = ACTIONS(1380),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1380),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1380),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1380),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1380),
    [aux_sym_local_command_token1] = ACTIONS(1380),
    [aux_sym_local_forward_token1] = ACTIONS(1380),
    [aux_sym_log_level_token1] = ACTIONS(1380),
    [aux_sym_log_verbose_token1] = ACTIONS(1380),
    [aux_sym_macs_token1] = ACTIONS(1380),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1380),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1380),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1380),
    [aux_sym_password_authentication_token1] = ACTIONS(1380),
    [aux_sym_permit_local_command_token1] = ACTIONS(1380),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1380),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1380),
    [aux_sym_port_token1] = ACTIONS(1380),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1380),
    [aux_sym_protocol_token1] = ACTIONS(1380),
    [aux_sym_proxy_command_token1] = ACTIONS(1380),
    [aux_sym_proxy_jump_token1] = ACTIONS(1380),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1380),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1380),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1380),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1380),
    [aux_sym_rekey_limit_token1] = ACTIONS(1380),
    [aux_sym_remote_command_token1] = ACTIONS(1380),
    [aux_sym_remote_forward_token1] = ACTIONS(1380),
    [aux_sym_request_tty_token1] = ACTIONS(1380),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1380),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1380),
    [aux_sym_security_key_provider_token1] = ACTIONS(1380),
    [aux_sym_send_env_token1] = ACTIONS(1380),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1380),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1380),
    [aux_sym_session_type_token1] = ACTIONS(1380),
    [aux_sym_set_env_token1] = ACTIONS(1380),
    [aux_sym_stdin_null_token1] = ACTIONS(1380),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1380),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1380),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1380),
    [aux_sym_syslog_facility_token1] = ACTIONS(1380),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1380),
    [aux_sym_keep_alive_token1] = ACTIONS(1380),
    [aux_sym_tag_token1] = ACTIONS(1380),
    [aux_sym_tunnel_token1] = ACTIONS(1382),
    [aux_sym_tunnel_device_token1] = ACTIONS(1380),
    [aux_sym_update_host_keys_token1] = ACTIONS(1380),
    [aux_sym_use_keychain_token1] = ACTIONS(1380),
    [aux_sym_use_roaming_token1] = ACTIONS(1380),
    [aux_sym_user_token1] = ACTIONS(1382),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1380),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1380),
    [aux_sym_version_addendum_token1] = ACTIONS(1380),
    [aux_sym_visual_host_key_token1] = ACTIONS(1380),
    [aux_sym_xauth_location_token1] = ACTIONS(1380),
  },
  [162] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_match_token1] = ACTIONS(1384),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1384),
    [aux_sym_address_family_token1] = ACTIONS(1384),
    [aux_sym_batch_mode_token1] = ACTIONS(1384),
    [aux_sym_bind_address_token1] = ACTIONS(1384),
    [aux_sym_bind_interface_token1] = ACTIONS(1384),
    [aux_sym_canonical_domains_token1] = ACTIONS(1384),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1384),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1384),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1384),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1384),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1384),
    [aux_sym_certificate_file_token1] = ACTIONS(1384),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1384),
    [aux_sym_channel_timeout_token1] = ACTIONS(1384),
    [aux_sym_check_host_ip_token1] = ACTIONS(1384),
    [aux_sym_ciphers_token1] = ACTIONS(1384),
    [aux_sym_cipher_token1] = ACTIONS(1386),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1384),
    [aux_sym_compression_token1] = ACTIONS(1384),
    [aux_sym_connection_attempts_token1] = ACTIONS(1384),
    [aux_sym_connect_timeout_token1] = ACTIONS(1384),
    [aux_sym_control_master_token1] = ACTIONS(1384),
    [aux_sym_control_path_token1] = ACTIONS(1384),
    [aux_sym_control_persist_token1] = ACTIONS(1384),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1384),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1384),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1384),
    [aux_sym_escape_char_token1] = ACTIONS(1384),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1384),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1384),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1384),
    [aux_sym_forward_agent_token1] = ACTIONS(1384),
    [aux_sym_forward_x11_token1] = ACTIONS(1386),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1384),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1384),
    [aux_sym_gateway_ports_token1] = ACTIONS(1384),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1384),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1384),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1384),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1384),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1384),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1384),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1384),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1384),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1384),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1384),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1384),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1384),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1384),
    [aux_sym_host_key_alias_token1] = ACTIONS(1384),
    [aux_sym_hostname_token1] = ACTIONS(1384),
    [aux_sym_identities_only_token1] = ACTIONS(1384),
    [aux_sym_identity_agent_token1] = ACTIONS(1384),
    [aux_sym_identity_file_token1] = ACTIONS(1384),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1384),
    [aux_sym_include_token1] = ACTIONS(1384),
    [aux_sym_ip_qos_token1] = ACTIONS(1384),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1384),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1384),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1384),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1384),
    [aux_sym_local_command_token1] = ACTIONS(1384),
    [aux_sym_local_forward_token1] = ACTIONS(1384),
    [aux_sym_log_level_token1] = ACTIONS(1384),
    [aux_sym_log_verbose_token1] = ACTIONS(1384),
    [aux_sym_macs_token1] = ACTIONS(1384),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1384),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1384),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1384),
    [aux_sym_password_authentication_token1] = ACTIONS(1384),
    [aux_sym_permit_local_command_token1] = ACTIONS(1384),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1384),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1384),
    [aux_sym_port_token1] = ACTIONS(1384),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1384),
    [aux_sym_protocol_token1] = ACTIONS(1384),
    [aux_sym_proxy_command_token1] = ACTIONS(1384),
    [aux_sym_proxy_jump_token1] = ACTIONS(1384),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1384),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1384),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1384),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1384),
    [aux_sym_rekey_limit_token1] = ACTIONS(1384),
    [aux_sym_remote_command_token1] = ACTIONS(1384),
    [aux_sym_remote_forward_token1] = ACTIONS(1384),
    [aux_sym_request_tty_token1] = ACTIONS(1384),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1384),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1384),
    [aux_sym_security_key_provider_token1] = ACTIONS(1384),
    [aux_sym_send_env_token1] = ACTIONS(1384),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1384),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1384),
    [aux_sym_session_type_token1] = ACTIONS(1384),
    [aux_sym_set_env_token1] = ACTIONS(1384),
    [aux_sym_stdin_null_token1] = ACTIONS(1384),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1384),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1384),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1384),
    [aux_sym_syslog_facility_token1] = ACTIONS(1384),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1384),
    [aux_sym_keep_alive_token1] = ACTIONS(1384),
    [aux_sym_tag_token1] = ACTIONS(1384),
    [aux_sym_tunnel_token1] = ACTIONS(1386),
    [aux_sym_tunnel_device_token1] = ACTIONS(1384),
    [aux_sym_update_host_keys_token1] = ACTIONS(1384),
    [aux_sym_use_keychain_token1] = ACTIONS(1384),
    [aux_sym_use_roaming_token1] = ACTIONS(1384),
    [aux_sym_user_token1] = ACTIONS(1386),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1384),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1384),
    [aux_sym_version_addendum_token1] = ACTIONS(1384),
    [aux_sym_visual_host_key_token1] = ACTIONS(1384),
    [aux_sym_xauth_location_token1] = ACTIONS(1384),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_match_token1] = ACTIONS(1390),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1390),
    [aux_sym_address_family_token1] = ACTIONS(1390),
    [aux_sym_batch_mode_token1] = ACTIONS(1390),
    [aux_sym_bind_address_token1] = ACTIONS(1390),
    [aux_sym_bind_interface_token1] = ACTIONS(1390),
    [aux_sym_canonical_domains_token1] = ACTIONS(1390),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1390),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1390),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1390),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1390),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1390),
    [aux_sym_certificate_file_token1] = ACTIONS(1390),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1390),
    [aux_sym_channel_timeout_token1] = ACTIONS(1390),
    [aux_sym_check_host_ip_token1] = ACTIONS(1390),
    [aux_sym_ciphers_token1] = ACTIONS(1390),
    [aux_sym_cipher_token1] = ACTIONS(1392),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1390),
    [aux_sym_compression_token1] = ACTIONS(1390),
    [aux_sym_connection_attempts_token1] = ACTIONS(1390),
    [aux_sym_connect_timeout_token1] = ACTIONS(1390),
    [aux_sym_control_master_token1] = ACTIONS(1390),
    [aux_sym_control_path_token1] = ACTIONS(1390),
    [aux_sym_control_persist_token1] = ACTIONS(1390),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1390),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1390),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1390),
    [aux_sym_escape_char_token1] = ACTIONS(1390),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1390),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1390),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1390),
    [aux_sym_forward_agent_token1] = ACTIONS(1390),
    [aux_sym_forward_x11_token1] = ACTIONS(1392),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1390),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1390),
    [aux_sym_gateway_ports_token1] = ACTIONS(1390),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1390),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1390),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1390),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1390),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1390),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1390),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1390),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1390),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1390),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1390),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1390),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1390),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1390),
    [aux_sym_host_key_alias_token1] = ACTIONS(1390),
    [aux_sym_hostname_token1] = ACTIONS(1390),
    [aux_sym_identities_only_token1] = ACTIONS(1390),
    [aux_sym_identity_agent_token1] = ACTIONS(1390),
    [aux_sym_identity_file_token1] = ACTIONS(1390),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1390),
    [aux_sym_include_token1] = ACTIONS(1390),
    [aux_sym_ip_qos_token1] = ACTIONS(1390),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1390),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1390),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1390),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1390),
    [aux_sym_local_command_token1] = ACTIONS(1390),
    [aux_sym_local_forward_token1] = ACTIONS(1390),
    [aux_sym_log_level_token1] = ACTIONS(1390),
    [aux_sym_log_verbose_token1] = ACTIONS(1390),
    [aux_sym_macs_token1] = ACTIONS(1390),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1390),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1390),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1390),
    [aux_sym_password_authentication_token1] = ACTIONS(1390),
    [aux_sym_permit_local_command_token1] = ACTIONS(1390),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1390),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1390),
    [aux_sym_port_token1] = ACTIONS(1390),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1390),
    [aux_sym_protocol_token1] = ACTIONS(1390),
    [aux_sym_proxy_command_token1] = ACTIONS(1390),
    [aux_sym_proxy_jump_token1] = ACTIONS(1390),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1390),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1390),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1390),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1390),
    [aux_sym_rekey_limit_token1] = ACTIONS(1390),
    [aux_sym_remote_command_token1] = ACTIONS(1390),
    [aux_sym_remote_forward_token1] = ACTIONS(1390),
    [aux_sym_request_tty_token1] = ACTIONS(1390),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1390),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1390),
    [aux_sym_security_key_provider_token1] = ACTIONS(1390),
    [aux_sym_send_env_token1] = ACTIONS(1390),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1390),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1390),
    [aux_sym_session_type_token1] = ACTIONS(1390),
    [aux_sym_set_env_token1] = ACTIONS(1390),
    [aux_sym_stdin_null_token1] = ACTIONS(1390),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1390),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1390),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1390),
    [aux_sym_syslog_facility_token1] = ACTIONS(1390),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1390),
    [aux_sym_keep_alive_token1] = ACTIONS(1390),
    [aux_sym_tag_token1] = ACTIONS(1390),
    [aux_sym_tunnel_token1] = ACTIONS(1392),
    [aux_sym_tunnel_device_token1] = ACTIONS(1390),
    [aux_sym_update_host_keys_token1] = ACTIONS(1390),
    [aux_sym_use_keychain_token1] = ACTIONS(1390),
    [aux_sym_use_roaming_token1] = ACTIONS(1390),
    [aux_sym_user_token1] = ACTIONS(1392),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1390),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1390),
    [aux_sym_version_addendum_token1] = ACTIONS(1390),
    [aux_sym_visual_host_key_token1] = ACTIONS(1390),
    [aux_sym_xauth_location_token1] = ACTIONS(1390),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_match_token1] = ACTIONS(1394),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1394),
    [aux_sym_address_family_token1] = ACTIONS(1394),
    [aux_sym_batch_mode_token1] = ACTIONS(1394),
    [aux_sym_bind_address_token1] = ACTIONS(1394),
    [aux_sym_bind_interface_token1] = ACTIONS(1394),
    [aux_sym_canonical_domains_token1] = ACTIONS(1394),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1394),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1394),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1394),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1394),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1394),
    [aux_sym_certificate_file_token1] = ACTIONS(1394),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1394),
    [aux_sym_channel_timeout_token1] = ACTIONS(1394),
    [aux_sym_check_host_ip_token1] = ACTIONS(1394),
    [aux_sym_ciphers_token1] = ACTIONS(1394),
    [aux_sym_cipher_token1] = ACTIONS(1396),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1394),
    [aux_sym_compression_token1] = ACTIONS(1394),
    [aux_sym_connection_attempts_token1] = ACTIONS(1394),
    [aux_sym_connect_timeout_token1] = ACTIONS(1394),
    [aux_sym_control_master_token1] = ACTIONS(1394),
    [aux_sym_control_path_token1] = ACTIONS(1394),
    [aux_sym_control_persist_token1] = ACTIONS(1394),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1394),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1394),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1394),
    [aux_sym_escape_char_token1] = ACTIONS(1394),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1394),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1394),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1394),
    [aux_sym_forward_agent_token1] = ACTIONS(1394),
    [aux_sym_forward_x11_token1] = ACTIONS(1396),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1394),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1394),
    [aux_sym_gateway_ports_token1] = ACTIONS(1394),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1394),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1394),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1394),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1394),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1394),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1394),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1394),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1394),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1394),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1394),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1394),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1394),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1394),
    [aux_sym_host_key_alias_token1] = ACTIONS(1394),
    [aux_sym_hostname_token1] = ACTIONS(1394),
    [aux_sym_identities_only_token1] = ACTIONS(1394),
    [aux_sym_identity_agent_token1] = ACTIONS(1394),
    [aux_sym_identity_file_token1] = ACTIONS(1394),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1394),
    [aux_sym_include_token1] = ACTIONS(1394),
    [aux_sym_ip_qos_token1] = ACTIONS(1394),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1394),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1394),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1394),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1394),
    [aux_sym_local_command_token1] = ACTIONS(1394),
    [aux_sym_local_forward_token1] = ACTIONS(1394),
    [aux_sym_log_level_token1] = ACTIONS(1394),
    [aux_sym_log_verbose_token1] = ACTIONS(1394),
    [aux_sym_macs_token1] = ACTIONS(1394),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1394),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1394),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1394),
    [aux_sym_password_authentication_token1] = ACTIONS(1394),
    [aux_sym_permit_local_command_token1] = ACTIONS(1394),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1394),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1394),
    [aux_sym_port_token1] = ACTIONS(1394),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1394),
    [aux_sym_protocol_token1] = ACTIONS(1394),
    [aux_sym_proxy_command_token1] = ACTIONS(1394),
    [aux_sym_proxy_jump_token1] = ACTIONS(1394),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1394),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1394),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1394),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1394),
    [aux_sym_rekey_limit_token1] = ACTIONS(1394),
    [aux_sym_remote_command_token1] = ACTIONS(1394),
    [aux_sym_remote_forward_token1] = ACTIONS(1394),
    [aux_sym_request_tty_token1] = ACTIONS(1394),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1394),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1394),
    [aux_sym_security_key_provider_token1] = ACTIONS(1394),
    [aux_sym_send_env_token1] = ACTIONS(1394),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1394),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1394),
    [aux_sym_session_type_token1] = ACTIONS(1394),
    [aux_sym_set_env_token1] = ACTIONS(1394),
    [aux_sym_stdin_null_token1] = ACTIONS(1394),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1394),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1394),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1394),
    [aux_sym_syslog_facility_token1] = ACTIONS(1394),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1394),
    [aux_sym_keep_alive_token1] = ACTIONS(1394),
    [aux_sym_tag_token1] = ACTIONS(1394),
    [aux_sym_tunnel_token1] = ACTIONS(1396),
    [aux_sym_tunnel_device_token1] = ACTIONS(1394),
    [aux_sym_update_host_keys_token1] = ACTIONS(1394),
    [aux_sym_use_keychain_token1] = ACTIONS(1394),
    [aux_sym_use_roaming_token1] = ACTIONS(1394),
    [aux_sym_user_token1] = ACTIONS(1396),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1394),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1394),
    [aux_sym_version_addendum_token1] = ACTIONS(1394),
    [aux_sym_visual_host_key_token1] = ACTIONS(1394),
    [aux_sym_xauth_location_token1] = ACTIONS(1394),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_match_token1] = ACTIONS(1400),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1400),
    [aux_sym_address_family_token1] = ACTIONS(1400),
    [aux_sym_batch_mode_token1] = ACTIONS(1400),
    [aux_sym_bind_address_token1] = ACTIONS(1400),
    [aux_sym_bind_interface_token1] = ACTIONS(1400),
    [aux_sym_canonical_domains_token1] = ACTIONS(1400),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1400),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1400),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1400),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1400),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1400),
    [aux_sym_certificate_file_token1] = ACTIONS(1400),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1400),
    [aux_sym_channel_timeout_token1] = ACTIONS(1400),
    [aux_sym_check_host_ip_token1] = ACTIONS(1400),
    [aux_sym_ciphers_token1] = ACTIONS(1400),
    [aux_sym_cipher_token1] = ACTIONS(1402),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1400),
    [aux_sym_compression_token1] = ACTIONS(1400),
    [aux_sym_connection_attempts_token1] = ACTIONS(1400),
    [aux_sym_connect_timeout_token1] = ACTIONS(1400),
    [aux_sym_control_master_token1] = ACTIONS(1400),
    [aux_sym_control_path_token1] = ACTIONS(1400),
    [aux_sym_control_persist_token1] = ACTIONS(1400),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1400),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1400),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1400),
    [aux_sym_escape_char_token1] = ACTIONS(1400),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1400),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1400),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1400),
    [aux_sym_forward_agent_token1] = ACTIONS(1400),
    [aux_sym_forward_x11_token1] = ACTIONS(1402),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1400),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1400),
    [aux_sym_gateway_ports_token1] = ACTIONS(1400),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1400),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1400),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1400),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1400),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1400),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1400),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1400),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1400),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1400),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1400),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1400),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1400),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1400),
    [aux_sym_host_key_alias_token1] = ACTIONS(1400),
    [aux_sym_hostname_token1] = ACTIONS(1400),
    [aux_sym_identities_only_token1] = ACTIONS(1400),
    [aux_sym_identity_agent_token1] = ACTIONS(1400),
    [aux_sym_identity_file_token1] = ACTIONS(1400),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1400),
    [aux_sym_include_token1] = ACTIONS(1400),
    [aux_sym_ip_qos_token1] = ACTIONS(1400),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1400),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1400),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1400),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1400),
    [aux_sym_local_command_token1] = ACTIONS(1400),
    [aux_sym_local_forward_token1] = ACTIONS(1400),
    [aux_sym_log_level_token1] = ACTIONS(1400),
    [aux_sym_log_verbose_token1] = ACTIONS(1400),
    [aux_sym_macs_token1] = ACTIONS(1400),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1400),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1400),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1400),
    [aux_sym_password_authentication_token1] = ACTIONS(1400),
    [aux_sym_permit_local_command_token1] = ACTIONS(1400),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1400),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1400),
    [aux_sym_port_token1] = ACTIONS(1400),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1400),
    [aux_sym_protocol_token1] = ACTIONS(1400),
    [aux_sym_proxy_command_token1] = ACTIONS(1400),
    [aux_sym_proxy_jump_token1] = ACTIONS(1400),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1400),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1400),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1400),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1400),
    [aux_sym_rekey_limit_token1] = ACTIONS(1400),
    [aux_sym_remote_command_token1] = ACTIONS(1400),
    [aux_sym_remote_forward_token1] = ACTIONS(1400),
    [aux_sym_request_tty_token1] = ACTIONS(1400),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1400),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1400),
    [aux_sym_security_key_provider_token1] = ACTIONS(1400),
    [aux_sym_send_env_token1] = ACTIONS(1400),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1400),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1400),
    [aux_sym_session_type_token1] = ACTIONS(1400),
    [aux_sym_set_env_token1] = ACTIONS(1400),
    [aux_sym_stdin_null_token1] = ACTIONS(1400),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1400),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1400),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1400),
    [aux_sym_syslog_facility_token1] = ACTIONS(1400),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1400),
    [aux_sym_keep_alive_token1] = ACTIONS(1400),
    [aux_sym_tag_token1] = ACTIONS(1400),
    [aux_sym_tunnel_token1] = ACTIONS(1402),
    [aux_sym_tunnel_device_token1] = ACTIONS(1400),
    [aux_sym_update_host_keys_token1] = ACTIONS(1400),
    [aux_sym_use_keychain_token1] = ACTIONS(1400),
    [aux_sym_use_roaming_token1] = ACTIONS(1400),
    [aux_sym_user_token1] = ACTIONS(1402),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1400),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1400),
    [aux_sym_version_addendum_token1] = ACTIONS(1400),
    [aux_sym_visual_host_key_token1] = ACTIONS(1400),
    [aux_sym_xauth_location_token1] = ACTIONS(1400),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_match_token1] = ACTIONS(1404),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1404),
    [aux_sym_address_family_token1] = ACTIONS(1404),
    [aux_sym_batch_mode_token1] = ACTIONS(1404),
    [aux_sym_bind_address_token1] = ACTIONS(1404),
    [aux_sym_bind_interface_token1] = ACTIONS(1404),
    [aux_sym_canonical_domains_token1] = ACTIONS(1404),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1404),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1404),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1404),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1404),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1404),
    [aux_sym_certificate_file_token1] = ACTIONS(1404),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1404),
    [aux_sym_channel_timeout_token1] = ACTIONS(1404),
    [aux_sym_check_host_ip_token1] = ACTIONS(1404),
    [aux_sym_ciphers_token1] = ACTIONS(1404),
    [aux_sym_cipher_token1] = ACTIONS(1406),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1404),
    [aux_sym_compression_token1] = ACTIONS(1404),
    [aux_sym_connection_attempts_token1] = ACTIONS(1404),
    [aux_sym_connect_timeout_token1] = ACTIONS(1404),
    [aux_sym_control_master_token1] = ACTIONS(1404),
    [aux_sym_control_path_token1] = ACTIONS(1404),
    [aux_sym_control_persist_token1] = ACTIONS(1404),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1404),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1404),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1404),
    [aux_sym_escape_char_token1] = ACTIONS(1404),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1404),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1404),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1404),
    [aux_sym_forward_agent_token1] = ACTIONS(1404),
    [aux_sym_forward_x11_token1] = ACTIONS(1406),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1404),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1404),
    [aux_sym_gateway_ports_token1] = ACTIONS(1404),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1404),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1404),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1404),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1404),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1404),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1404),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1404),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1404),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1404),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1404),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1404),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1404),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1404),
    [aux_sym_host_key_alias_token1] = ACTIONS(1404),
    [aux_sym_hostname_token1] = ACTIONS(1404),
    [aux_sym_identities_only_token1] = ACTIONS(1404),
    [aux_sym_identity_agent_token1] = ACTIONS(1404),
    [aux_sym_identity_file_token1] = ACTIONS(1404),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1404),
    [aux_sym_include_token1] = ACTIONS(1404),
    [aux_sym_ip_qos_token1] = ACTIONS(1404),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1404),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1404),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1404),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1404),
    [aux_sym_local_command_token1] = ACTIONS(1404),
    [aux_sym_local_forward_token1] = ACTIONS(1404),
    [aux_sym_log_level_token1] = ACTIONS(1404),
    [aux_sym_log_verbose_token1] = ACTIONS(1404),
    [aux_sym_macs_token1] = ACTIONS(1404),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1404),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1404),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1404),
    [aux_sym_password_authentication_token1] = ACTIONS(1404),
    [aux_sym_permit_local_command_token1] = ACTIONS(1404),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1404),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1404),
    [aux_sym_port_token1] = ACTIONS(1404),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1404),
    [aux_sym_protocol_token1] = ACTIONS(1404),
    [aux_sym_proxy_command_token1] = ACTIONS(1404),
    [aux_sym_proxy_jump_token1] = ACTIONS(1404),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1404),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1404),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1404),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1404),
    [aux_sym_rekey_limit_token1] = ACTIONS(1404),
    [aux_sym_remote_command_token1] = ACTIONS(1404),
    [aux_sym_remote_forward_token1] = ACTIONS(1404),
    [aux_sym_request_tty_token1] = ACTIONS(1404),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1404),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1404),
    [aux_sym_security_key_provider_token1] = ACTIONS(1404),
    [aux_sym_send_env_token1] = ACTIONS(1404),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1404),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1404),
    [aux_sym_session_type_token1] = ACTIONS(1404),
    [aux_sym_set_env_token1] = ACTIONS(1404),
    [aux_sym_stdin_null_token1] = ACTIONS(1404),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1404),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1404),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1404),
    [aux_sym_syslog_facility_token1] = ACTIONS(1404),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1404),
    [aux_sym_keep_alive_token1] = ACTIONS(1404),
    [aux_sym_tag_token1] = ACTIONS(1404),
    [aux_sym_tunnel_token1] = ACTIONS(1406),
    [aux_sym_tunnel_device_token1] = ACTIONS(1404),
    [aux_sym_update_host_keys_token1] = ACTIONS(1404),
    [aux_sym_use_keychain_token1] = ACTIONS(1404),
    [aux_sym_use_roaming_token1] = ACTIONS(1404),
    [aux_sym_user_token1] = ACTIONS(1406),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1404),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1404),
    [aux_sym_version_addendum_token1] = ACTIONS(1404),
    [aux_sym_visual_host_key_token1] = ACTIONS(1404),
    [aux_sym_xauth_location_token1] = ACTIONS(1404),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_match_token1] = ACTIONS(1410),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1410),
    [aux_sym_address_family_token1] = ACTIONS(1410),
    [aux_sym_batch_mode_token1] = ACTIONS(1410),
    [aux_sym_bind_address_token1] = ACTIONS(1410),
    [aux_sym_bind_interface_token1] = ACTIONS(1410),
    [aux_sym_canonical_domains_token1] = ACTIONS(1410),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1410),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1410),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1410),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1410),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1410),
    [aux_sym_certificate_file_token1] = ACTIONS(1410),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1410),
    [aux_sym_channel_timeout_token1] = ACTIONS(1410),
    [aux_sym_check_host_ip_token1] = ACTIONS(1410),
    [aux_sym_ciphers_token1] = ACTIONS(1410),
    [aux_sym_cipher_token1] = ACTIONS(1412),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1410),
    [aux_sym_compression_token1] = ACTIONS(1410),
    [aux_sym_connection_attempts_token1] = ACTIONS(1410),
    [aux_sym_connect_timeout_token1] = ACTIONS(1410),
    [aux_sym_control_master_token1] = ACTIONS(1410),
    [aux_sym_control_path_token1] = ACTIONS(1410),
    [aux_sym_control_persist_token1] = ACTIONS(1410),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1410),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1410),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1410),
    [aux_sym_escape_char_token1] = ACTIONS(1410),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1410),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1410),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1410),
    [aux_sym_forward_agent_token1] = ACTIONS(1410),
    [aux_sym_forward_x11_token1] = ACTIONS(1412),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1410),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1410),
    [aux_sym_gateway_ports_token1] = ACTIONS(1410),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1410),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1410),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1410),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1410),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1410),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1410),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1410),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1410),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1410),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1410),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1410),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1410),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1410),
    [aux_sym_host_key_alias_token1] = ACTIONS(1410),
    [aux_sym_hostname_token1] = ACTIONS(1410),
    [aux_sym_identities_only_token1] = ACTIONS(1410),
    [aux_sym_identity_agent_token1] = ACTIONS(1410),
    [aux_sym_identity_file_token1] = ACTIONS(1410),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1410),
    [aux_sym_include_token1] = ACTIONS(1410),
    [aux_sym_ip_qos_token1] = ACTIONS(1410),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1410),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1410),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1410),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1410),
    [aux_sym_local_command_token1] = ACTIONS(1410),
    [aux_sym_local_forward_token1] = ACTIONS(1410),
    [aux_sym_log_level_token1] = ACTIONS(1410),
    [aux_sym_log_verbose_token1] = ACTIONS(1410),
    [aux_sym_macs_token1] = ACTIONS(1410),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1410),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1410),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1410),
    [aux_sym_password_authentication_token1] = ACTIONS(1410),
    [aux_sym_permit_local_command_token1] = ACTIONS(1410),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1410),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1410),
    [aux_sym_port_token1] = ACTIONS(1410),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1410),
    [aux_sym_protocol_token1] = ACTIONS(1410),
    [aux_sym_proxy_command_token1] = ACTIONS(1410),
    [aux_sym_proxy_jump_token1] = ACTIONS(1410),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1410),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1410),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1410),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1410),
    [aux_sym_rekey_limit_token1] = ACTIONS(1410),
    [aux_sym_remote_command_token1] = ACTIONS(1410),
    [aux_sym_remote_forward_token1] = ACTIONS(1410),
    [aux_sym_request_tty_token1] = ACTIONS(1410),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1410),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1410),
    [aux_sym_security_key_provider_token1] = ACTIONS(1410),
    [aux_sym_send_env_token1] = ACTIONS(1410),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1410),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1410),
    [aux_sym_session_type_token1] = ACTIONS(1410),
    [aux_sym_set_env_token1] = ACTIONS(1410),
    [aux_sym_stdin_null_token1] = ACTIONS(1410),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1410),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1410),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1410),
    [aux_sym_syslog_facility_token1] = ACTIONS(1410),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1410),
    [aux_sym_keep_alive_token1] = ACTIONS(1410),
    [aux_sym_tag_token1] = ACTIONS(1410),
    [aux_sym_tunnel_token1] = ACTIONS(1412),
    [aux_sym_tunnel_device_token1] = ACTIONS(1410),
    [aux_sym_update_host_keys_token1] = ACTIONS(1410),
    [aux_sym_use_keychain_token1] = ACTIONS(1410),
    [aux_sym_use_roaming_token1] = ACTIONS(1410),
    [aux_sym_user_token1] = ACTIONS(1412),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1410),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1410),
    [aux_sym_version_addendum_token1] = ACTIONS(1410),
    [aux_sym_visual_host_key_token1] = ACTIONS(1410),
    [aux_sym_xauth_location_token1] = ACTIONS(1410),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_match_token1] = ACTIONS(1414),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1414),
    [aux_sym_address_family_token1] = ACTIONS(1414),
    [aux_sym_batch_mode_token1] = ACTIONS(1414),
    [aux_sym_bind_address_token1] = ACTIONS(1414),
    [aux_sym_bind_interface_token1] = ACTIONS(1414),
    [aux_sym_canonical_domains_token1] = ACTIONS(1414),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1414),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1414),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1414),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1414),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1414),
    [aux_sym_certificate_file_token1] = ACTIONS(1414),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1414),
    [aux_sym_channel_timeout_token1] = ACTIONS(1414),
    [aux_sym_check_host_ip_token1] = ACTIONS(1414),
    [aux_sym_ciphers_token1] = ACTIONS(1414),
    [aux_sym_cipher_token1] = ACTIONS(1416),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1414),
    [aux_sym_compression_token1] = ACTIONS(1414),
    [aux_sym_connection_attempts_token1] = ACTIONS(1414),
    [aux_sym_connect_timeout_token1] = ACTIONS(1414),
    [aux_sym_control_master_token1] = ACTIONS(1414),
    [aux_sym_control_path_token1] = ACTIONS(1414),
    [aux_sym_control_persist_token1] = ACTIONS(1414),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1414),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1414),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1414),
    [aux_sym_escape_char_token1] = ACTIONS(1414),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1414),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1414),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1414),
    [aux_sym_forward_agent_token1] = ACTIONS(1414),
    [aux_sym_forward_x11_token1] = ACTIONS(1416),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1414),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1414),
    [aux_sym_gateway_ports_token1] = ACTIONS(1414),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1414),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1414),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1414),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1414),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1414),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1414),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1414),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1414),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1414),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1414),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1414),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1414),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1414),
    [aux_sym_host_key_alias_token1] = ACTIONS(1414),
    [aux_sym_hostname_token1] = ACTIONS(1414),
    [aux_sym_identities_only_token1] = ACTIONS(1414),
    [aux_sym_identity_agent_token1] = ACTIONS(1414),
    [aux_sym_identity_file_token1] = ACTIONS(1414),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1414),
    [aux_sym_include_token1] = ACTIONS(1414),
    [aux_sym_ip_qos_token1] = ACTIONS(1414),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1414),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1414),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1414),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1414),
    [aux_sym_local_command_token1] = ACTIONS(1414),
    [aux_sym_local_forward_token1] = ACTIONS(1414),
    [aux_sym_log_level_token1] = ACTIONS(1414),
    [aux_sym_log_verbose_token1] = ACTIONS(1414),
    [aux_sym_macs_token1] = ACTIONS(1414),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1414),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1414),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1414),
    [aux_sym_password_authentication_token1] = ACTIONS(1414),
    [aux_sym_permit_local_command_token1] = ACTIONS(1414),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1414),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1414),
    [aux_sym_port_token1] = ACTIONS(1414),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1414),
    [aux_sym_protocol_token1] = ACTIONS(1414),
    [aux_sym_proxy_command_token1] = ACTIONS(1414),
    [aux_sym_proxy_jump_token1] = ACTIONS(1414),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1414),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1414),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1414),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1414),
    [aux_sym_rekey_limit_token1] = ACTIONS(1414),
    [aux_sym_remote_command_token1] = ACTIONS(1414),
    [aux_sym_remote_forward_token1] = ACTIONS(1414),
    [aux_sym_request_tty_token1] = ACTIONS(1414),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1414),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1414),
    [aux_sym_security_key_provider_token1] = ACTIONS(1414),
    [aux_sym_send_env_token1] = ACTIONS(1414),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1414),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1414),
    [aux_sym_session_type_token1] = ACTIONS(1414),
    [aux_sym_set_env_token1] = ACTIONS(1414),
    [aux_sym_stdin_null_token1] = ACTIONS(1414),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1414),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1414),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1414),
    [aux_sym_syslog_facility_token1] = ACTIONS(1414),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1414),
    [aux_sym_keep_alive_token1] = ACTIONS(1414),
    [aux_sym_tag_token1] = ACTIONS(1414),
    [aux_sym_tunnel_token1] = ACTIONS(1416),
    [aux_sym_tunnel_device_token1] = ACTIONS(1414),
    [aux_sym_update_host_keys_token1] = ACTIONS(1414),
    [aux_sym_use_keychain_token1] = ACTIONS(1414),
    [aux_sym_use_roaming_token1] = ACTIONS(1414),
    [aux_sym_user_token1] = ACTIONS(1416),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1414),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1414),
    [aux_sym_version_addendum_token1] = ACTIONS(1414),
    [aux_sym_visual_host_key_token1] = ACTIONS(1414),
    [aux_sym_xauth_location_token1] = ACTIONS(1414),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_match_token1] = ACTIONS(1420),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1420),
    [aux_sym_address_family_token1] = ACTIONS(1420),
    [aux_sym_batch_mode_token1] = ACTIONS(1420),
    [aux_sym_bind_address_token1] = ACTIONS(1420),
    [aux_sym_bind_interface_token1] = ACTIONS(1420),
    [aux_sym_canonical_domains_token1] = ACTIONS(1420),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1420),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1420),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1420),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1420),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1420),
    [aux_sym_certificate_file_token1] = ACTIONS(1420),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1420),
    [aux_sym_channel_timeout_token1] = ACTIONS(1420),
    [aux_sym_check_host_ip_token1] = ACTIONS(1420),
    [aux_sym_ciphers_token1] = ACTIONS(1420),
    [aux_sym_cipher_token1] = ACTIONS(1422),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1420),
    [aux_sym_compression_token1] = ACTIONS(1420),
    [aux_sym_connection_attempts_token1] = ACTIONS(1420),
    [aux_sym_connect_timeout_token1] = ACTIONS(1420),
    [aux_sym_control_master_token1] = ACTIONS(1420),
    [aux_sym_control_path_token1] = ACTIONS(1420),
    [aux_sym_control_persist_token1] = ACTIONS(1420),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1420),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1420),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1420),
    [aux_sym_escape_char_token1] = ACTIONS(1420),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1420),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1420),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1420),
    [aux_sym_forward_agent_token1] = ACTIONS(1420),
    [aux_sym_forward_x11_token1] = ACTIONS(1422),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1420),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1420),
    [aux_sym_gateway_ports_token1] = ACTIONS(1420),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1420),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1420),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1420),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1420),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1420),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1420),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1420),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1420),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1420),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1420),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1420),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1420),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1420),
    [aux_sym_host_key_alias_token1] = ACTIONS(1420),
    [aux_sym_hostname_token1] = ACTIONS(1420),
    [aux_sym_identities_only_token1] = ACTIONS(1420),
    [aux_sym_identity_agent_token1] = ACTIONS(1420),
    [aux_sym_identity_file_token1] = ACTIONS(1420),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1420),
    [aux_sym_include_token1] = ACTIONS(1420),
    [aux_sym_ip_qos_token1] = ACTIONS(1420),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1420),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1420),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1420),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1420),
    [aux_sym_local_command_token1] = ACTIONS(1420),
    [aux_sym_local_forward_token1] = ACTIONS(1420),
    [aux_sym_log_level_token1] = ACTIONS(1420),
    [aux_sym_log_verbose_token1] = ACTIONS(1420),
    [aux_sym_macs_token1] = ACTIONS(1420),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1420),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1420),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1420),
    [aux_sym_password_authentication_token1] = ACTIONS(1420),
    [aux_sym_permit_local_command_token1] = ACTIONS(1420),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1420),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1420),
    [aux_sym_port_token1] = ACTIONS(1420),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1420),
    [aux_sym_protocol_token1] = ACTIONS(1420),
    [aux_sym_proxy_command_token1] = ACTIONS(1420),
    [aux_sym_proxy_jump_token1] = ACTIONS(1420),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1420),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1420),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1420),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1420),
    [aux_sym_rekey_limit_token1] = ACTIONS(1420),
    [aux_sym_remote_command_token1] = ACTIONS(1420),
    [aux_sym_remote_forward_token1] = ACTIONS(1420),
    [aux_sym_request_tty_token1] = ACTIONS(1420),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1420),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1420),
    [aux_sym_security_key_provider_token1] = ACTIONS(1420),
    [aux_sym_send_env_token1] = ACTIONS(1420),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1420),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1420),
    [aux_sym_session_type_token1] = ACTIONS(1420),
    [aux_sym_set_env_token1] = ACTIONS(1420),
    [aux_sym_stdin_null_token1] = ACTIONS(1420),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1420),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1420),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1420),
    [aux_sym_syslog_facility_token1] = ACTIONS(1420),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1420),
    [aux_sym_keep_alive_token1] = ACTIONS(1420),
    [aux_sym_tag_token1] = ACTIONS(1420),
    [aux_sym_tunnel_token1] = ACTIONS(1422),
    [aux_sym_tunnel_device_token1] = ACTIONS(1420),
    [aux_sym_update_host_keys_token1] = ACTIONS(1420),
    [aux_sym_use_keychain_token1] = ACTIONS(1420),
    [aux_sym_use_roaming_token1] = ACTIONS(1420),
    [aux_sym_user_token1] = ACTIONS(1422),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1420),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1420),
    [aux_sym_version_addendum_token1] = ACTIONS(1420),
    [aux_sym_visual_host_key_token1] = ACTIONS(1420),
    [aux_sym_xauth_location_token1] = ACTIONS(1420),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_match_token1] = ACTIONS(1424),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1424),
    [aux_sym_address_family_token1] = ACTIONS(1424),
    [aux_sym_batch_mode_token1] = ACTIONS(1424),
    [aux_sym_bind_address_token1] = ACTIONS(1424),
    [aux_sym_bind_interface_token1] = ACTIONS(1424),
    [aux_sym_canonical_domains_token1] = ACTIONS(1424),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1424),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1424),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1424),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1424),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1424),
    [aux_sym_certificate_file_token1] = ACTIONS(1424),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1424),
    [aux_sym_channel_timeout_token1] = ACTIONS(1424),
    [aux_sym_check_host_ip_token1] = ACTIONS(1424),
    [aux_sym_ciphers_token1] = ACTIONS(1424),
    [aux_sym_cipher_token1] = ACTIONS(1426),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1424),
    [aux_sym_compression_token1] = ACTIONS(1424),
    [aux_sym_connection_attempts_token1] = ACTIONS(1424),
    [aux_sym_connect_timeout_token1] = ACTIONS(1424),
    [aux_sym_control_master_token1] = ACTIONS(1424),
    [aux_sym_control_path_token1] = ACTIONS(1424),
    [aux_sym_control_persist_token1] = ACTIONS(1424),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1424),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1424),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1424),
    [aux_sym_escape_char_token1] = ACTIONS(1424),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1424),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1424),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1424),
    [aux_sym_forward_agent_token1] = ACTIONS(1424),
    [aux_sym_forward_x11_token1] = ACTIONS(1426),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1424),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1424),
    [aux_sym_gateway_ports_token1] = ACTIONS(1424),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1424),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1424),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1424),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1424),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1424),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1424),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1424),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1424),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1424),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1424),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1424),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1424),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1424),
    [aux_sym_host_key_alias_token1] = ACTIONS(1424),
    [aux_sym_hostname_token1] = ACTIONS(1424),
    [aux_sym_identities_only_token1] = ACTIONS(1424),
    [aux_sym_identity_agent_token1] = ACTIONS(1424),
    [aux_sym_identity_file_token1] = ACTIONS(1424),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1424),
    [aux_sym_include_token1] = ACTIONS(1424),
    [aux_sym_ip_qos_token1] = ACTIONS(1424),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1424),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1424),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1424),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1424),
    [aux_sym_local_command_token1] = ACTIONS(1424),
    [aux_sym_local_forward_token1] = ACTIONS(1424),
    [aux_sym_log_level_token1] = ACTIONS(1424),
    [aux_sym_log_verbose_token1] = ACTIONS(1424),
    [aux_sym_macs_token1] = ACTIONS(1424),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1424),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1424),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1424),
    [aux_sym_password_authentication_token1] = ACTIONS(1424),
    [aux_sym_permit_local_command_token1] = ACTIONS(1424),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1424),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1424),
    [aux_sym_port_token1] = ACTIONS(1424),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1424),
    [aux_sym_protocol_token1] = ACTIONS(1424),
    [aux_sym_proxy_command_token1] = ACTIONS(1424),
    [aux_sym_proxy_jump_token1] = ACTIONS(1424),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1424),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1424),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1424),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1424),
    [aux_sym_rekey_limit_token1] = ACTIONS(1424),
    [aux_sym_remote_command_token1] = ACTIONS(1424),
    [aux_sym_remote_forward_token1] = ACTIONS(1424),
    [aux_sym_request_tty_token1] = ACTIONS(1424),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1424),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1424),
    [aux_sym_security_key_provider_token1] = ACTIONS(1424),
    [aux_sym_send_env_token1] = ACTIONS(1424),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1424),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1424),
    [aux_sym_session_type_token1] = ACTIONS(1424),
    [aux_sym_set_env_token1] = ACTIONS(1424),
    [aux_sym_stdin_null_token1] = ACTIONS(1424),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1424),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1424),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1424),
    [aux_sym_syslog_facility_token1] = ACTIONS(1424),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1424),
    [aux_sym_keep_alive_token1] = ACTIONS(1424),
    [aux_sym_tag_token1] = ACTIONS(1424),
    [aux_sym_tunnel_token1] = ACTIONS(1426),
    [aux_sym_tunnel_device_token1] = ACTIONS(1424),
    [aux_sym_update_host_keys_token1] = ACTIONS(1424),
    [aux_sym_use_keychain_token1] = ACTIONS(1424),
    [aux_sym_use_roaming_token1] = ACTIONS(1424),
    [aux_sym_user_token1] = ACTIONS(1426),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1424),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1424),
    [aux_sym_version_addendum_token1] = ACTIONS(1424),
    [aux_sym_visual_host_key_token1] = ACTIONS(1424),
    [aux_sym_xauth_location_token1] = ACTIONS(1424),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_match_token1] = ACTIONS(1430),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1430),
    [aux_sym_address_family_token1] = ACTIONS(1430),
    [aux_sym_batch_mode_token1] = ACTIONS(1430),
    [aux_sym_bind_address_token1] = ACTIONS(1430),
    [aux_sym_bind_interface_token1] = ACTIONS(1430),
    [aux_sym_canonical_domains_token1] = ACTIONS(1430),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1430),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1430),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1430),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1430),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1430),
    [aux_sym_certificate_file_token1] = ACTIONS(1430),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1430),
    [aux_sym_channel_timeout_token1] = ACTIONS(1430),
    [aux_sym_check_host_ip_token1] = ACTIONS(1430),
    [aux_sym_ciphers_token1] = ACTIONS(1430),
    [aux_sym_cipher_token1] = ACTIONS(1432),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1430),
    [aux_sym_compression_token1] = ACTIONS(1430),
    [aux_sym_connection_attempts_token1] = ACTIONS(1430),
    [aux_sym_connect_timeout_token1] = ACTIONS(1430),
    [aux_sym_control_master_token1] = ACTIONS(1430),
    [aux_sym_control_path_token1] = ACTIONS(1430),
    [aux_sym_control_persist_token1] = ACTIONS(1430),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1430),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1430),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1430),
    [aux_sym_escape_char_token1] = ACTIONS(1430),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1430),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1430),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1430),
    [aux_sym_forward_agent_token1] = ACTIONS(1430),
    [aux_sym_forward_x11_token1] = ACTIONS(1432),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1430),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1430),
    [aux_sym_gateway_ports_token1] = ACTIONS(1430),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1430),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1430),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1430),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1430),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1430),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1430),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1430),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1430),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1430),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1430),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1430),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1430),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1430),
    [aux_sym_host_key_alias_token1] = ACTIONS(1430),
    [aux_sym_hostname_token1] = ACTIONS(1430),
    [aux_sym_identities_only_token1] = ACTIONS(1430),
    [aux_sym_identity_agent_token1] = ACTIONS(1430),
    [aux_sym_identity_file_token1] = ACTIONS(1430),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1430),
    [aux_sym_include_token1] = ACTIONS(1430),
    [aux_sym_ip_qos_token1] = ACTIONS(1430),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1430),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1430),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1430),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1430),
    [aux_sym_local_command_token1] = ACTIONS(1430),
    [aux_sym_local_forward_token1] = ACTIONS(1430),
    [aux_sym_log_level_token1] = ACTIONS(1430),
    [aux_sym_log_verbose_token1] = ACTIONS(1430),
    [aux_sym_macs_token1] = ACTIONS(1430),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1430),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1430),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1430),
    [aux_sym_password_authentication_token1] = ACTIONS(1430),
    [aux_sym_permit_local_command_token1] = ACTIONS(1430),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1430),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1430),
    [aux_sym_port_token1] = ACTIONS(1430),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1430),
    [aux_sym_protocol_token1] = ACTIONS(1430),
    [aux_sym_proxy_command_token1] = ACTIONS(1430),
    [aux_sym_proxy_jump_token1] = ACTIONS(1430),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1430),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1430),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1430),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1430),
    [aux_sym_rekey_limit_token1] = ACTIONS(1430),
    [aux_sym_remote_command_token1] = ACTIONS(1430),
    [aux_sym_remote_forward_token1] = ACTIONS(1430),
    [aux_sym_request_tty_token1] = ACTIONS(1430),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1430),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1430),
    [aux_sym_security_key_provider_token1] = ACTIONS(1430),
    [aux_sym_send_env_token1] = ACTIONS(1430),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1430),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1430),
    [aux_sym_session_type_token1] = ACTIONS(1430),
    [aux_sym_set_env_token1] = ACTIONS(1430),
    [aux_sym_stdin_null_token1] = ACTIONS(1430),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1430),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1430),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1430),
    [aux_sym_syslog_facility_token1] = ACTIONS(1430),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1430),
    [aux_sym_keep_alive_token1] = ACTIONS(1430),
    [aux_sym_tag_token1] = ACTIONS(1430),
    [aux_sym_tunnel_token1] = ACTIONS(1432),
    [aux_sym_tunnel_device_token1] = ACTIONS(1430),
    [aux_sym_update_host_keys_token1] = ACTIONS(1430),
    [aux_sym_use_keychain_token1] = ACTIONS(1430),
    [aux_sym_use_roaming_token1] = ACTIONS(1430),
    [aux_sym_user_token1] = ACTIONS(1432),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1430),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1430),
    [aux_sym_version_addendum_token1] = ACTIONS(1430),
    [aux_sym_visual_host_key_token1] = ACTIONS(1430),
    [aux_sym_xauth_location_token1] = ACTIONS(1430),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_match_token1] = ACTIONS(1434),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1434),
    [aux_sym_address_family_token1] = ACTIONS(1434),
    [aux_sym_batch_mode_token1] = ACTIONS(1434),
    [aux_sym_bind_address_token1] = ACTIONS(1434),
    [aux_sym_bind_interface_token1] = ACTIONS(1434),
    [aux_sym_canonical_domains_token1] = ACTIONS(1434),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1434),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1434),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1434),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1434),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1434),
    [aux_sym_certificate_file_token1] = ACTIONS(1434),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1434),
    [aux_sym_channel_timeout_token1] = ACTIONS(1434),
    [aux_sym_check_host_ip_token1] = ACTIONS(1434),
    [aux_sym_ciphers_token1] = ACTIONS(1434),
    [aux_sym_cipher_token1] = ACTIONS(1436),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1434),
    [aux_sym_compression_token1] = ACTIONS(1434),
    [aux_sym_connection_attempts_token1] = ACTIONS(1434),
    [aux_sym_connect_timeout_token1] = ACTIONS(1434),
    [aux_sym_control_master_token1] = ACTIONS(1434),
    [aux_sym_control_path_token1] = ACTIONS(1434),
    [aux_sym_control_persist_token1] = ACTIONS(1434),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1434),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1434),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1434),
    [aux_sym_escape_char_token1] = ACTIONS(1434),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1434),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1434),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1434),
    [aux_sym_forward_agent_token1] = ACTIONS(1434),
    [aux_sym_forward_x11_token1] = ACTIONS(1436),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1434),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1434),
    [aux_sym_gateway_ports_token1] = ACTIONS(1434),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1434),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1434),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1434),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1434),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1434),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1434),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1434),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1434),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1434),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1434),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1434),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1434),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1434),
    [aux_sym_host_key_alias_token1] = ACTIONS(1434),
    [aux_sym_hostname_token1] = ACTIONS(1434),
    [aux_sym_identities_only_token1] = ACTIONS(1434),
    [aux_sym_identity_agent_token1] = ACTIONS(1434),
    [aux_sym_identity_file_token1] = ACTIONS(1434),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1434),
    [aux_sym_include_token1] = ACTIONS(1434),
    [aux_sym_ip_qos_token1] = ACTIONS(1434),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1434),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1434),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1434),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1434),
    [aux_sym_local_command_token1] = ACTIONS(1434),
    [aux_sym_local_forward_token1] = ACTIONS(1434),
    [aux_sym_log_level_token1] = ACTIONS(1434),
    [aux_sym_log_verbose_token1] = ACTIONS(1434),
    [aux_sym_macs_token1] = ACTIONS(1434),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1434),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1434),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1434),
    [aux_sym_password_authentication_token1] = ACTIONS(1434),
    [aux_sym_permit_local_command_token1] = ACTIONS(1434),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1434),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1434),
    [aux_sym_port_token1] = ACTIONS(1434),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1434),
    [aux_sym_protocol_token1] = ACTIONS(1434),
    [aux_sym_proxy_command_token1] = ACTIONS(1434),
    [aux_sym_proxy_jump_token1] = ACTIONS(1434),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1434),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1434),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1434),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1434),
    [aux_sym_rekey_limit_token1] = ACTIONS(1434),
    [aux_sym_remote_command_token1] = ACTIONS(1434),
    [aux_sym_remote_forward_token1] = ACTIONS(1434),
    [aux_sym_request_tty_token1] = ACTIONS(1434),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1434),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1434),
    [aux_sym_security_key_provider_token1] = ACTIONS(1434),
    [aux_sym_send_env_token1] = ACTIONS(1434),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1434),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1434),
    [aux_sym_session_type_token1] = ACTIONS(1434),
    [aux_sym_set_env_token1] = ACTIONS(1434),
    [aux_sym_stdin_null_token1] = ACTIONS(1434),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1434),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1434),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1434),
    [aux_sym_syslog_facility_token1] = ACTIONS(1434),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1434),
    [aux_sym_keep_alive_token1] = ACTIONS(1434),
    [aux_sym_tag_token1] = ACTIONS(1434),
    [aux_sym_tunnel_token1] = ACTIONS(1436),
    [aux_sym_tunnel_device_token1] = ACTIONS(1434),
    [aux_sym_update_host_keys_token1] = ACTIONS(1434),
    [aux_sym_use_keychain_token1] = ACTIONS(1434),
    [aux_sym_use_roaming_token1] = ACTIONS(1434),
    [aux_sym_user_token1] = ACTIONS(1436),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1434),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1434),
    [aux_sym_version_addendum_token1] = ACTIONS(1434),
    [aux_sym_visual_host_key_token1] = ACTIONS(1434),
    [aux_sym_xauth_location_token1] = ACTIONS(1434),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_match_token1] = ACTIONS(1440),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1440),
    [aux_sym_address_family_token1] = ACTIONS(1440),
    [aux_sym_batch_mode_token1] = ACTIONS(1440),
    [aux_sym_bind_address_token1] = ACTIONS(1440),
    [aux_sym_bind_interface_token1] = ACTIONS(1440),
    [aux_sym_canonical_domains_token1] = ACTIONS(1440),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1440),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1440),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1440),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1440),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1440),
    [aux_sym_certificate_file_token1] = ACTIONS(1440),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1440),
    [aux_sym_channel_timeout_token1] = ACTIONS(1440),
    [aux_sym_check_host_ip_token1] = ACTIONS(1440),
    [aux_sym_ciphers_token1] = ACTIONS(1440),
    [aux_sym_cipher_token1] = ACTIONS(1442),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1440),
    [aux_sym_compression_token1] = ACTIONS(1440),
    [aux_sym_connection_attempts_token1] = ACTIONS(1440),
    [aux_sym_connect_timeout_token1] = ACTIONS(1440),
    [aux_sym_control_master_token1] = ACTIONS(1440),
    [aux_sym_control_path_token1] = ACTIONS(1440),
    [aux_sym_control_persist_token1] = ACTIONS(1440),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1440),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1440),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1440),
    [aux_sym_escape_char_token1] = ACTIONS(1440),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1440),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1440),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1440),
    [aux_sym_forward_agent_token1] = ACTIONS(1440),
    [aux_sym_forward_x11_token1] = ACTIONS(1442),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1440),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1440),
    [aux_sym_gateway_ports_token1] = ACTIONS(1440),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1440),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1440),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1440),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1440),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1440),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1440),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1440),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1440),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1440),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1440),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1440),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1440),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1440),
    [aux_sym_host_key_alias_token1] = ACTIONS(1440),
    [aux_sym_hostname_token1] = ACTIONS(1440),
    [aux_sym_identities_only_token1] = ACTIONS(1440),
    [aux_sym_identity_agent_token1] = ACTIONS(1440),
    [aux_sym_identity_file_token1] = ACTIONS(1440),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1440),
    [aux_sym_include_token1] = ACTIONS(1440),
    [aux_sym_ip_qos_token1] = ACTIONS(1440),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1440),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1440),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1440),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1440),
    [aux_sym_local_command_token1] = ACTIONS(1440),
    [aux_sym_local_forward_token1] = ACTIONS(1440),
    [aux_sym_log_level_token1] = ACTIONS(1440),
    [aux_sym_log_verbose_token1] = ACTIONS(1440),
    [aux_sym_macs_token1] = ACTIONS(1440),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1440),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1440),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1440),
    [aux_sym_password_authentication_token1] = ACTIONS(1440),
    [aux_sym_permit_local_command_token1] = ACTIONS(1440),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1440),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1440),
    [aux_sym_port_token1] = ACTIONS(1440),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1440),
    [aux_sym_protocol_token1] = ACTIONS(1440),
    [aux_sym_proxy_command_token1] = ACTIONS(1440),
    [aux_sym_proxy_jump_token1] = ACTIONS(1440),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1440),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1440),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1440),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1440),
    [aux_sym_rekey_limit_token1] = ACTIONS(1440),
    [aux_sym_remote_command_token1] = ACTIONS(1440),
    [aux_sym_remote_forward_token1] = ACTIONS(1440),
    [aux_sym_request_tty_token1] = ACTIONS(1440),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1440),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1440),
    [aux_sym_security_key_provider_token1] = ACTIONS(1440),
    [aux_sym_send_env_token1] = ACTIONS(1440),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1440),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1440),
    [aux_sym_session_type_token1] = ACTIONS(1440),
    [aux_sym_set_env_token1] = ACTIONS(1440),
    [aux_sym_stdin_null_token1] = ACTIONS(1440),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1440),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1440),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1440),
    [aux_sym_syslog_facility_token1] = ACTIONS(1440),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1440),
    [aux_sym_keep_alive_token1] = ACTIONS(1440),
    [aux_sym_tag_token1] = ACTIONS(1440),
    [aux_sym_tunnel_token1] = ACTIONS(1442),
    [aux_sym_tunnel_device_token1] = ACTIONS(1440),
    [aux_sym_update_host_keys_token1] = ACTIONS(1440),
    [aux_sym_use_keychain_token1] = ACTIONS(1440),
    [aux_sym_use_roaming_token1] = ACTIONS(1440),
    [aux_sym_user_token1] = ACTIONS(1442),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1440),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1440),
    [aux_sym_version_addendum_token1] = ACTIONS(1440),
    [aux_sym_visual_host_key_token1] = ACTIONS(1440),
    [aux_sym_xauth_location_token1] = ACTIONS(1440),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_match_token1] = ACTIONS(1444),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1444),
    [aux_sym_address_family_token1] = ACTIONS(1444),
    [aux_sym_batch_mode_token1] = ACTIONS(1444),
    [aux_sym_bind_address_token1] = ACTIONS(1444),
    [aux_sym_bind_interface_token1] = ACTIONS(1444),
    [aux_sym_canonical_domains_token1] = ACTIONS(1444),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1444),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1444),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1444),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1444),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1444),
    [aux_sym_certificate_file_token1] = ACTIONS(1444),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1444),
    [aux_sym_channel_timeout_token1] = ACTIONS(1444),
    [aux_sym_check_host_ip_token1] = ACTIONS(1444),
    [aux_sym_ciphers_token1] = ACTIONS(1444),
    [aux_sym_cipher_token1] = ACTIONS(1446),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1444),
    [aux_sym_compression_token1] = ACTIONS(1444),
    [aux_sym_connection_attempts_token1] = ACTIONS(1444),
    [aux_sym_connect_timeout_token1] = ACTIONS(1444),
    [aux_sym_control_master_token1] = ACTIONS(1444),
    [aux_sym_control_path_token1] = ACTIONS(1444),
    [aux_sym_control_persist_token1] = ACTIONS(1444),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1444),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1444),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1444),
    [aux_sym_escape_char_token1] = ACTIONS(1444),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1444),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1444),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1444),
    [aux_sym_forward_agent_token1] = ACTIONS(1444),
    [aux_sym_forward_x11_token1] = ACTIONS(1446),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1444),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1444),
    [aux_sym_gateway_ports_token1] = ACTIONS(1444),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1444),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1444),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1444),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1444),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1444),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1444),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1444),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1444),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1444),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1444),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1444),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1444),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1444),
    [aux_sym_host_key_alias_token1] = ACTIONS(1444),
    [aux_sym_hostname_token1] = ACTIONS(1444),
    [aux_sym_identities_only_token1] = ACTIONS(1444),
    [aux_sym_identity_agent_token1] = ACTIONS(1444),
    [aux_sym_identity_file_token1] = ACTIONS(1444),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1444),
    [aux_sym_include_token1] = ACTIONS(1444),
    [aux_sym_ip_qos_token1] = ACTIONS(1444),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1444),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1444),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1444),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1444),
    [aux_sym_local_command_token1] = ACTIONS(1444),
    [aux_sym_local_forward_token1] = ACTIONS(1444),
    [aux_sym_log_level_token1] = ACTIONS(1444),
    [aux_sym_log_verbose_token1] = ACTIONS(1444),
    [aux_sym_macs_token1] = ACTIONS(1444),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1444),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1444),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1444),
    [aux_sym_password_authentication_token1] = ACTIONS(1444),
    [aux_sym_permit_local_command_token1] = ACTIONS(1444),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1444),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1444),
    [aux_sym_port_token1] = ACTIONS(1444),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1444),
    [aux_sym_protocol_token1] = ACTIONS(1444),
    [aux_sym_proxy_command_token1] = ACTIONS(1444),
    [aux_sym_proxy_jump_token1] = ACTIONS(1444),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1444),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1444),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1444),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1444),
    [aux_sym_rekey_limit_token1] = ACTIONS(1444),
    [aux_sym_remote_command_token1] = ACTIONS(1444),
    [aux_sym_remote_forward_token1] = ACTIONS(1444),
    [aux_sym_request_tty_token1] = ACTIONS(1444),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1444),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1444),
    [aux_sym_security_key_provider_token1] = ACTIONS(1444),
    [aux_sym_send_env_token1] = ACTIONS(1444),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1444),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1444),
    [aux_sym_session_type_token1] = ACTIONS(1444),
    [aux_sym_set_env_token1] = ACTIONS(1444),
    [aux_sym_stdin_null_token1] = ACTIONS(1444),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1444),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1444),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1444),
    [aux_sym_syslog_facility_token1] = ACTIONS(1444),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1444),
    [aux_sym_keep_alive_token1] = ACTIONS(1444),
    [aux_sym_tag_token1] = ACTIONS(1444),
    [aux_sym_tunnel_token1] = ACTIONS(1446),
    [aux_sym_tunnel_device_token1] = ACTIONS(1444),
    [aux_sym_update_host_keys_token1] = ACTIONS(1444),
    [aux_sym_use_keychain_token1] = ACTIONS(1444),
    [aux_sym_use_roaming_token1] = ACTIONS(1444),
    [aux_sym_user_token1] = ACTIONS(1446),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1444),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1444),
    [aux_sym_version_addendum_token1] = ACTIONS(1444),
    [aux_sym_visual_host_key_token1] = ACTIONS(1444),
    [aux_sym_xauth_location_token1] = ACTIONS(1444),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_match_token1] = ACTIONS(1450),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1450),
    [aux_sym_address_family_token1] = ACTIONS(1450),
    [aux_sym_batch_mode_token1] = ACTIONS(1450),
    [aux_sym_bind_address_token1] = ACTIONS(1450),
    [aux_sym_bind_interface_token1] = ACTIONS(1450),
    [aux_sym_canonical_domains_token1] = ACTIONS(1450),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1450),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1450),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1450),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1450),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1450),
    [aux_sym_certificate_file_token1] = ACTIONS(1450),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1450),
    [aux_sym_channel_timeout_token1] = ACTIONS(1450),
    [aux_sym_check_host_ip_token1] = ACTIONS(1450),
    [aux_sym_ciphers_token1] = ACTIONS(1450),
    [aux_sym_cipher_token1] = ACTIONS(1452),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1450),
    [aux_sym_compression_token1] = ACTIONS(1450),
    [aux_sym_connection_attempts_token1] = ACTIONS(1450),
    [aux_sym_connect_timeout_token1] = ACTIONS(1450),
    [aux_sym_control_master_token1] = ACTIONS(1450),
    [aux_sym_control_path_token1] = ACTIONS(1450),
    [aux_sym_control_persist_token1] = ACTIONS(1450),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1450),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1450),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1450),
    [aux_sym_escape_char_token1] = ACTIONS(1450),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1450),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1450),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1450),
    [aux_sym_forward_agent_token1] = ACTIONS(1450),
    [aux_sym_forward_x11_token1] = ACTIONS(1452),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1450),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1450),
    [aux_sym_gateway_ports_token1] = ACTIONS(1450),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1450),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1450),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1450),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1450),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1450),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1450),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1450),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1450),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1450),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1450),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1450),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1450),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1450),
    [aux_sym_host_key_alias_token1] = ACTIONS(1450),
    [aux_sym_hostname_token1] = ACTIONS(1450),
    [aux_sym_identities_only_token1] = ACTIONS(1450),
    [aux_sym_identity_agent_token1] = ACTIONS(1450),
    [aux_sym_identity_file_token1] = ACTIONS(1450),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1450),
    [aux_sym_include_token1] = ACTIONS(1450),
    [aux_sym_ip_qos_token1] = ACTIONS(1450),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1450),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1450),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1450),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1450),
    [aux_sym_local_command_token1] = ACTIONS(1450),
    [aux_sym_local_forward_token1] = ACTIONS(1450),
    [aux_sym_log_level_token1] = ACTIONS(1450),
    [aux_sym_log_verbose_token1] = ACTIONS(1450),
    [aux_sym_macs_token1] = ACTIONS(1450),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1450),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1450),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1450),
    [aux_sym_password_authentication_token1] = ACTIONS(1450),
    [aux_sym_permit_local_command_token1] = ACTIONS(1450),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1450),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1450),
    [aux_sym_port_token1] = ACTIONS(1450),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1450),
    [aux_sym_protocol_token1] = ACTIONS(1450),
    [aux_sym_proxy_command_token1] = ACTIONS(1450),
    [aux_sym_proxy_jump_token1] = ACTIONS(1450),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1450),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1450),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1450),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1450),
    [aux_sym_rekey_limit_token1] = ACTIONS(1450),
    [aux_sym_remote_command_token1] = ACTIONS(1450),
    [aux_sym_remote_forward_token1] = ACTIONS(1450),
    [aux_sym_request_tty_token1] = ACTIONS(1450),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1450),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1450),
    [aux_sym_security_key_provider_token1] = ACTIONS(1450),
    [aux_sym_send_env_token1] = ACTIONS(1450),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1450),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1450),
    [aux_sym_session_type_token1] = ACTIONS(1450),
    [aux_sym_set_env_token1] = ACTIONS(1450),
    [aux_sym_stdin_null_token1] = ACTIONS(1450),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1450),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1450),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1450),
    [aux_sym_syslog_facility_token1] = ACTIONS(1450),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1450),
    [aux_sym_keep_alive_token1] = ACTIONS(1450),
    [aux_sym_tag_token1] = ACTIONS(1450),
    [aux_sym_tunnel_token1] = ACTIONS(1452),
    [aux_sym_tunnel_device_token1] = ACTIONS(1450),
    [aux_sym_update_host_keys_token1] = ACTIONS(1450),
    [aux_sym_use_keychain_token1] = ACTIONS(1450),
    [aux_sym_use_roaming_token1] = ACTIONS(1450),
    [aux_sym_user_token1] = ACTIONS(1452),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1450),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1450),
    [aux_sym_version_addendum_token1] = ACTIONS(1450),
    [aux_sym_visual_host_key_token1] = ACTIONS(1450),
    [aux_sym_xauth_location_token1] = ACTIONS(1450),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_match_token1] = ACTIONS(1454),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1454),
    [aux_sym_address_family_token1] = ACTIONS(1454),
    [aux_sym_batch_mode_token1] = ACTIONS(1454),
    [aux_sym_bind_address_token1] = ACTIONS(1454),
    [aux_sym_bind_interface_token1] = ACTIONS(1454),
    [aux_sym_canonical_domains_token1] = ACTIONS(1454),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1454),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1454),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1454),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1454),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1454),
    [aux_sym_certificate_file_token1] = ACTIONS(1454),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1454),
    [aux_sym_channel_timeout_token1] = ACTIONS(1454),
    [aux_sym_check_host_ip_token1] = ACTIONS(1454),
    [aux_sym_ciphers_token1] = ACTIONS(1454),
    [aux_sym_cipher_token1] = ACTIONS(1456),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1454),
    [aux_sym_compression_token1] = ACTIONS(1454),
    [aux_sym_connection_attempts_token1] = ACTIONS(1454),
    [aux_sym_connect_timeout_token1] = ACTIONS(1454),
    [aux_sym_control_master_token1] = ACTIONS(1454),
    [aux_sym_control_path_token1] = ACTIONS(1454),
    [aux_sym_control_persist_token1] = ACTIONS(1454),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1454),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1454),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1454),
    [aux_sym_escape_char_token1] = ACTIONS(1454),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1454),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1454),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1454),
    [aux_sym_forward_agent_token1] = ACTIONS(1454),
    [aux_sym_forward_x11_token1] = ACTIONS(1456),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1454),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1454),
    [aux_sym_gateway_ports_token1] = ACTIONS(1454),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1454),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1454),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1454),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1454),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1454),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1454),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1454),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1454),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1454),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1454),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1454),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1454),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1454),
    [aux_sym_host_key_alias_token1] = ACTIONS(1454),
    [aux_sym_hostname_token1] = ACTIONS(1454),
    [aux_sym_identities_only_token1] = ACTIONS(1454),
    [aux_sym_identity_agent_token1] = ACTIONS(1454),
    [aux_sym_identity_file_token1] = ACTIONS(1454),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1454),
    [aux_sym_include_token1] = ACTIONS(1454),
    [aux_sym_ip_qos_token1] = ACTIONS(1454),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1454),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1454),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1454),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1454),
    [aux_sym_local_command_token1] = ACTIONS(1454),
    [aux_sym_local_forward_token1] = ACTIONS(1454),
    [aux_sym_log_level_token1] = ACTIONS(1454),
    [aux_sym_log_verbose_token1] = ACTIONS(1454),
    [aux_sym_macs_token1] = ACTIONS(1454),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1454),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1454),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1454),
    [aux_sym_password_authentication_token1] = ACTIONS(1454),
    [aux_sym_permit_local_command_token1] = ACTIONS(1454),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1454),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1454),
    [aux_sym_port_token1] = ACTIONS(1454),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1454),
    [aux_sym_protocol_token1] = ACTIONS(1454),
    [aux_sym_proxy_command_token1] = ACTIONS(1454),
    [aux_sym_proxy_jump_token1] = ACTIONS(1454),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1454),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1454),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1454),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1454),
    [aux_sym_rekey_limit_token1] = ACTIONS(1454),
    [aux_sym_remote_command_token1] = ACTIONS(1454),
    [aux_sym_remote_forward_token1] = ACTIONS(1454),
    [aux_sym_request_tty_token1] = ACTIONS(1454),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1454),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1454),
    [aux_sym_security_key_provider_token1] = ACTIONS(1454),
    [aux_sym_send_env_token1] = ACTIONS(1454),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1454),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1454),
    [aux_sym_session_type_token1] = ACTIONS(1454),
    [aux_sym_set_env_token1] = ACTIONS(1454),
    [aux_sym_stdin_null_token1] = ACTIONS(1454),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1454),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1454),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1454),
    [aux_sym_syslog_facility_token1] = ACTIONS(1454),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1454),
    [aux_sym_keep_alive_token1] = ACTIONS(1454),
    [aux_sym_tag_token1] = ACTIONS(1454),
    [aux_sym_tunnel_token1] = ACTIONS(1456),
    [aux_sym_tunnel_device_token1] = ACTIONS(1454),
    [aux_sym_update_host_keys_token1] = ACTIONS(1454),
    [aux_sym_use_keychain_token1] = ACTIONS(1454),
    [aux_sym_use_roaming_token1] = ACTIONS(1454),
    [aux_sym_user_token1] = ACTIONS(1456),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1454),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1454),
    [aux_sym_version_addendum_token1] = ACTIONS(1454),
    [aux_sym_visual_host_key_token1] = ACTIONS(1454),
    [aux_sym_xauth_location_token1] = ACTIONS(1454),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_match_token1] = ACTIONS(1460),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1460),
    [aux_sym_address_family_token1] = ACTIONS(1460),
    [aux_sym_batch_mode_token1] = ACTIONS(1460),
    [aux_sym_bind_address_token1] = ACTIONS(1460),
    [aux_sym_bind_interface_token1] = ACTIONS(1460),
    [aux_sym_canonical_domains_token1] = ACTIONS(1460),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1460),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1460),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1460),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1460),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1460),
    [aux_sym_certificate_file_token1] = ACTIONS(1460),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1460),
    [aux_sym_channel_timeout_token1] = ACTIONS(1460),
    [aux_sym_check_host_ip_token1] = ACTIONS(1460),
    [aux_sym_ciphers_token1] = ACTIONS(1460),
    [aux_sym_cipher_token1] = ACTIONS(1462),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1460),
    [aux_sym_compression_token1] = ACTIONS(1460),
    [aux_sym_connection_attempts_token1] = ACTIONS(1460),
    [aux_sym_connect_timeout_token1] = ACTIONS(1460),
    [aux_sym_control_master_token1] = ACTIONS(1460),
    [aux_sym_control_path_token1] = ACTIONS(1460),
    [aux_sym_control_persist_token1] = ACTIONS(1460),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1460),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1460),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1460),
    [aux_sym_escape_char_token1] = ACTIONS(1460),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1460),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1460),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1460),
    [aux_sym_forward_agent_token1] = ACTIONS(1460),
    [aux_sym_forward_x11_token1] = ACTIONS(1462),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1460),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1460),
    [aux_sym_gateway_ports_token1] = ACTIONS(1460),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1460),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1460),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1460),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1460),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1460),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1460),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1460),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1460),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1460),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1460),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1460),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1460),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1460),
    [aux_sym_host_key_alias_token1] = ACTIONS(1460),
    [aux_sym_hostname_token1] = ACTIONS(1460),
    [aux_sym_identities_only_token1] = ACTIONS(1460),
    [aux_sym_identity_agent_token1] = ACTIONS(1460),
    [aux_sym_identity_file_token1] = ACTIONS(1460),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1460),
    [aux_sym_include_token1] = ACTIONS(1460),
    [aux_sym_ip_qos_token1] = ACTIONS(1460),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1460),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1460),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1460),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1460),
    [aux_sym_local_command_token1] = ACTIONS(1460),
    [aux_sym_local_forward_token1] = ACTIONS(1460),
    [aux_sym_log_level_token1] = ACTIONS(1460),
    [aux_sym_log_verbose_token1] = ACTIONS(1460),
    [aux_sym_macs_token1] = ACTIONS(1460),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1460),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1460),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1460),
    [aux_sym_password_authentication_token1] = ACTIONS(1460),
    [aux_sym_permit_local_command_token1] = ACTIONS(1460),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1460),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1460),
    [aux_sym_port_token1] = ACTIONS(1460),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1460),
    [aux_sym_protocol_token1] = ACTIONS(1460),
    [aux_sym_proxy_command_token1] = ACTIONS(1460),
    [aux_sym_proxy_jump_token1] = ACTIONS(1460),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1460),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1460),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1460),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1460),
    [aux_sym_rekey_limit_token1] = ACTIONS(1460),
    [aux_sym_remote_command_token1] = ACTIONS(1460),
    [aux_sym_remote_forward_token1] = ACTIONS(1460),
    [aux_sym_request_tty_token1] = ACTIONS(1460),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1460),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1460),
    [aux_sym_security_key_provider_token1] = ACTIONS(1460),
    [aux_sym_send_env_token1] = ACTIONS(1460),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1460),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1460),
    [aux_sym_session_type_token1] = ACTIONS(1460),
    [aux_sym_set_env_token1] = ACTIONS(1460),
    [aux_sym_stdin_null_token1] = ACTIONS(1460),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1460),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1460),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1460),
    [aux_sym_syslog_facility_token1] = ACTIONS(1460),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1460),
    [aux_sym_keep_alive_token1] = ACTIONS(1460),
    [aux_sym_tag_token1] = ACTIONS(1460),
    [aux_sym_tunnel_token1] = ACTIONS(1462),
    [aux_sym_tunnel_device_token1] = ACTIONS(1460),
    [aux_sym_update_host_keys_token1] = ACTIONS(1460),
    [aux_sym_use_keychain_token1] = ACTIONS(1460),
    [aux_sym_use_roaming_token1] = ACTIONS(1460),
    [aux_sym_user_token1] = ACTIONS(1462),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1460),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1460),
    [aux_sym_version_addendum_token1] = ACTIONS(1460),
    [aux_sym_visual_host_key_token1] = ACTIONS(1460),
    [aux_sym_xauth_location_token1] = ACTIONS(1460),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_match_token1] = ACTIONS(1464),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1464),
    [aux_sym_address_family_token1] = ACTIONS(1464),
    [aux_sym_batch_mode_token1] = ACTIONS(1464),
    [aux_sym_bind_address_token1] = ACTIONS(1464),
    [aux_sym_bind_interface_token1] = ACTIONS(1464),
    [aux_sym_canonical_domains_token1] = ACTIONS(1464),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1464),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1464),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1464),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1464),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1464),
    [aux_sym_certificate_file_token1] = ACTIONS(1464),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1464),
    [aux_sym_channel_timeout_token1] = ACTIONS(1464),
    [aux_sym_check_host_ip_token1] = ACTIONS(1464),
    [aux_sym_ciphers_token1] = ACTIONS(1464),
    [aux_sym_cipher_token1] = ACTIONS(1466),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1464),
    [aux_sym_compression_token1] = ACTIONS(1464),
    [aux_sym_connection_attempts_token1] = ACTIONS(1464),
    [aux_sym_connect_timeout_token1] = ACTIONS(1464),
    [aux_sym_control_master_token1] = ACTIONS(1464),
    [aux_sym_control_path_token1] = ACTIONS(1464),
    [aux_sym_control_persist_token1] = ACTIONS(1464),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1464),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1464),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1464),
    [aux_sym_escape_char_token1] = ACTIONS(1464),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1464),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1464),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1464),
    [aux_sym_forward_agent_token1] = ACTIONS(1464),
    [aux_sym_forward_x11_token1] = ACTIONS(1466),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1464),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1464),
    [aux_sym_gateway_ports_token1] = ACTIONS(1464),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1464),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1464),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1464),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1464),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1464),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1464),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1464),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1464),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1464),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1464),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1464),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1464),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1464),
    [aux_sym_host_key_alias_token1] = ACTIONS(1464),
    [aux_sym_hostname_token1] = ACTIONS(1464),
    [aux_sym_identities_only_token1] = ACTIONS(1464),
    [aux_sym_identity_agent_token1] = ACTIONS(1464),
    [aux_sym_identity_file_token1] = ACTIONS(1464),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1464),
    [aux_sym_include_token1] = ACTIONS(1464),
    [aux_sym_ip_qos_token1] = ACTIONS(1464),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1464),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1464),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1464),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1464),
    [aux_sym_local_command_token1] = ACTIONS(1464),
    [aux_sym_local_forward_token1] = ACTIONS(1464),
    [aux_sym_log_level_token1] = ACTIONS(1464),
    [aux_sym_log_verbose_token1] = ACTIONS(1464),
    [aux_sym_macs_token1] = ACTIONS(1464),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1464),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1464),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1464),
    [aux_sym_password_authentication_token1] = ACTIONS(1464),
    [aux_sym_permit_local_command_token1] = ACTIONS(1464),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1464),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1464),
    [aux_sym_port_token1] = ACTIONS(1464),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1464),
    [aux_sym_protocol_token1] = ACTIONS(1464),
    [aux_sym_proxy_command_token1] = ACTIONS(1464),
    [aux_sym_proxy_jump_token1] = ACTIONS(1464),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1464),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1464),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1464),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1464),
    [aux_sym_rekey_limit_token1] = ACTIONS(1464),
    [aux_sym_remote_command_token1] = ACTIONS(1464),
    [aux_sym_remote_forward_token1] = ACTIONS(1464),
    [aux_sym_request_tty_token1] = ACTIONS(1464),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1464),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1464),
    [aux_sym_security_key_provider_token1] = ACTIONS(1464),
    [aux_sym_send_env_token1] = ACTIONS(1464),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1464),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1464),
    [aux_sym_session_type_token1] = ACTIONS(1464),
    [aux_sym_set_env_token1] = ACTIONS(1464),
    [aux_sym_stdin_null_token1] = ACTIONS(1464),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1464),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1464),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1464),
    [aux_sym_syslog_facility_token1] = ACTIONS(1464),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1464),
    [aux_sym_keep_alive_token1] = ACTIONS(1464),
    [aux_sym_tag_token1] = ACTIONS(1464),
    [aux_sym_tunnel_token1] = ACTIONS(1466),
    [aux_sym_tunnel_device_token1] = ACTIONS(1464),
    [aux_sym_update_host_keys_token1] = ACTIONS(1464),
    [aux_sym_use_keychain_token1] = ACTIONS(1464),
    [aux_sym_use_roaming_token1] = ACTIONS(1464),
    [aux_sym_user_token1] = ACTIONS(1466),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1464),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1464),
    [aux_sym_version_addendum_token1] = ACTIONS(1464),
    [aux_sym_visual_host_key_token1] = ACTIONS(1464),
    [aux_sym_xauth_location_token1] = ACTIONS(1464),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_match_token1] = ACTIONS(1470),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1470),
    [aux_sym_address_family_token1] = ACTIONS(1470),
    [aux_sym_batch_mode_token1] = ACTIONS(1470),
    [aux_sym_bind_address_token1] = ACTIONS(1470),
    [aux_sym_bind_interface_token1] = ACTIONS(1470),
    [aux_sym_canonical_domains_token1] = ACTIONS(1470),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1470),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1470),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1470),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1470),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1470),
    [aux_sym_certificate_file_token1] = ACTIONS(1470),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1470),
    [aux_sym_channel_timeout_token1] = ACTIONS(1470),
    [aux_sym_check_host_ip_token1] = ACTIONS(1470),
    [aux_sym_ciphers_token1] = ACTIONS(1470),
    [aux_sym_cipher_token1] = ACTIONS(1472),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1470),
    [aux_sym_compression_token1] = ACTIONS(1470),
    [aux_sym_connection_attempts_token1] = ACTIONS(1470),
    [aux_sym_connect_timeout_token1] = ACTIONS(1470),
    [aux_sym_control_master_token1] = ACTIONS(1470),
    [aux_sym_control_path_token1] = ACTIONS(1470),
    [aux_sym_control_persist_token1] = ACTIONS(1470),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1470),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1470),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1470),
    [aux_sym_escape_char_token1] = ACTIONS(1470),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1470),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1470),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1470),
    [aux_sym_forward_agent_token1] = ACTIONS(1470),
    [aux_sym_forward_x11_token1] = ACTIONS(1472),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1470),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1470),
    [aux_sym_gateway_ports_token1] = ACTIONS(1470),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1470),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1470),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1470),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1470),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1470),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1470),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1470),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1470),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1470),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1470),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1470),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1470),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1470),
    [aux_sym_host_key_alias_token1] = ACTIONS(1470),
    [aux_sym_hostname_token1] = ACTIONS(1470),
    [aux_sym_identities_only_token1] = ACTIONS(1470),
    [aux_sym_identity_agent_token1] = ACTIONS(1470),
    [aux_sym_identity_file_token1] = ACTIONS(1470),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1470),
    [aux_sym_include_token1] = ACTIONS(1470),
    [aux_sym_ip_qos_token1] = ACTIONS(1470),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1470),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1470),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1470),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1470),
    [aux_sym_local_command_token1] = ACTIONS(1470),
    [aux_sym_local_forward_token1] = ACTIONS(1470),
    [aux_sym_log_level_token1] = ACTIONS(1470),
    [aux_sym_log_verbose_token1] = ACTIONS(1470),
    [aux_sym_macs_token1] = ACTIONS(1470),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1470),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1470),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1470),
    [aux_sym_password_authentication_token1] = ACTIONS(1470),
    [aux_sym_permit_local_command_token1] = ACTIONS(1470),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1470),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1470),
    [aux_sym_port_token1] = ACTIONS(1470),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1470),
    [aux_sym_protocol_token1] = ACTIONS(1470),
    [aux_sym_proxy_command_token1] = ACTIONS(1470),
    [aux_sym_proxy_jump_token1] = ACTIONS(1470),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1470),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1470),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1470),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1470),
    [aux_sym_rekey_limit_token1] = ACTIONS(1470),
    [aux_sym_remote_command_token1] = ACTIONS(1470),
    [aux_sym_remote_forward_token1] = ACTIONS(1470),
    [aux_sym_request_tty_token1] = ACTIONS(1470),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1470),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1470),
    [aux_sym_security_key_provider_token1] = ACTIONS(1470),
    [aux_sym_send_env_token1] = ACTIONS(1470),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1470),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1470),
    [aux_sym_session_type_token1] = ACTIONS(1470),
    [aux_sym_set_env_token1] = ACTIONS(1470),
    [aux_sym_stdin_null_token1] = ACTIONS(1470),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1470),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1470),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1470),
    [aux_sym_syslog_facility_token1] = ACTIONS(1470),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1470),
    [aux_sym_keep_alive_token1] = ACTIONS(1470),
    [aux_sym_tag_token1] = ACTIONS(1470),
    [aux_sym_tunnel_token1] = ACTIONS(1472),
    [aux_sym_tunnel_device_token1] = ACTIONS(1470),
    [aux_sym_update_host_keys_token1] = ACTIONS(1470),
    [aux_sym_use_keychain_token1] = ACTIONS(1470),
    [aux_sym_use_roaming_token1] = ACTIONS(1470),
    [aux_sym_user_token1] = ACTIONS(1472),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1470),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1470),
    [aux_sym_version_addendum_token1] = ACTIONS(1470),
    [aux_sym_visual_host_key_token1] = ACTIONS(1470),
    [aux_sym_xauth_location_token1] = ACTIONS(1470),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_match_token1] = ACTIONS(1474),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1474),
    [aux_sym_address_family_token1] = ACTIONS(1474),
    [aux_sym_batch_mode_token1] = ACTIONS(1474),
    [aux_sym_bind_address_token1] = ACTIONS(1474),
    [aux_sym_bind_interface_token1] = ACTIONS(1474),
    [aux_sym_canonical_domains_token1] = ACTIONS(1474),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1474),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1474),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1474),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1474),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1474),
    [aux_sym_certificate_file_token1] = ACTIONS(1474),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1474),
    [aux_sym_channel_timeout_token1] = ACTIONS(1474),
    [aux_sym_check_host_ip_token1] = ACTIONS(1474),
    [aux_sym_ciphers_token1] = ACTIONS(1474),
    [aux_sym_cipher_token1] = ACTIONS(1476),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1474),
    [aux_sym_compression_token1] = ACTIONS(1474),
    [aux_sym_connection_attempts_token1] = ACTIONS(1474),
    [aux_sym_connect_timeout_token1] = ACTIONS(1474),
    [aux_sym_control_master_token1] = ACTIONS(1474),
    [aux_sym_control_path_token1] = ACTIONS(1474),
    [aux_sym_control_persist_token1] = ACTIONS(1474),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1474),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1474),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1474),
    [aux_sym_escape_char_token1] = ACTIONS(1474),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1474),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1474),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1474),
    [aux_sym_forward_agent_token1] = ACTIONS(1474),
    [aux_sym_forward_x11_token1] = ACTIONS(1476),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1474),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1474),
    [aux_sym_gateway_ports_token1] = ACTIONS(1474),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1474),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1474),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1474),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1474),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1474),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1474),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1474),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1474),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1474),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1474),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1474),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1474),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1474),
    [aux_sym_host_key_alias_token1] = ACTIONS(1474),
    [aux_sym_hostname_token1] = ACTIONS(1474),
    [aux_sym_identities_only_token1] = ACTIONS(1474),
    [aux_sym_identity_agent_token1] = ACTIONS(1474),
    [aux_sym_identity_file_token1] = ACTIONS(1474),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1474),
    [aux_sym_include_token1] = ACTIONS(1474),
    [aux_sym_ip_qos_token1] = ACTIONS(1474),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1474),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1474),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1474),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1474),
    [aux_sym_local_command_token1] = ACTIONS(1474),
    [aux_sym_local_forward_token1] = ACTIONS(1474),
    [aux_sym_log_level_token1] = ACTIONS(1474),
    [aux_sym_log_verbose_token1] = ACTIONS(1474),
    [aux_sym_macs_token1] = ACTIONS(1474),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1474),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1474),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1474),
    [aux_sym_password_authentication_token1] = ACTIONS(1474),
    [aux_sym_permit_local_command_token1] = ACTIONS(1474),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1474),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1474),
    [aux_sym_port_token1] = ACTIONS(1474),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1474),
    [aux_sym_protocol_token1] = ACTIONS(1474),
    [aux_sym_proxy_command_token1] = ACTIONS(1474),
    [aux_sym_proxy_jump_token1] = ACTIONS(1474),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1474),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1474),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1474),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1474),
    [aux_sym_rekey_limit_token1] = ACTIONS(1474),
    [aux_sym_remote_command_token1] = ACTIONS(1474),
    [aux_sym_remote_forward_token1] = ACTIONS(1474),
    [aux_sym_request_tty_token1] = ACTIONS(1474),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1474),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1474),
    [aux_sym_security_key_provider_token1] = ACTIONS(1474),
    [aux_sym_send_env_token1] = ACTIONS(1474),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1474),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1474),
    [aux_sym_session_type_token1] = ACTIONS(1474),
    [aux_sym_set_env_token1] = ACTIONS(1474),
    [aux_sym_stdin_null_token1] = ACTIONS(1474),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1474),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1474),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1474),
    [aux_sym_syslog_facility_token1] = ACTIONS(1474),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1474),
    [aux_sym_keep_alive_token1] = ACTIONS(1474),
    [aux_sym_tag_token1] = ACTIONS(1474),
    [aux_sym_tunnel_token1] = ACTIONS(1476),
    [aux_sym_tunnel_device_token1] = ACTIONS(1474),
    [aux_sym_update_host_keys_token1] = ACTIONS(1474),
    [aux_sym_use_keychain_token1] = ACTIONS(1474),
    [aux_sym_use_roaming_token1] = ACTIONS(1474),
    [aux_sym_user_token1] = ACTIONS(1476),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1474),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1474),
    [aux_sym_version_addendum_token1] = ACTIONS(1474),
    [aux_sym_visual_host_key_token1] = ACTIONS(1474),
    [aux_sym_xauth_location_token1] = ACTIONS(1474),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_match_token1] = ACTIONS(1480),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1480),
    [aux_sym_address_family_token1] = ACTIONS(1480),
    [aux_sym_batch_mode_token1] = ACTIONS(1480),
    [aux_sym_bind_address_token1] = ACTIONS(1480),
    [aux_sym_bind_interface_token1] = ACTIONS(1480),
    [aux_sym_canonical_domains_token1] = ACTIONS(1480),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1480),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1480),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1480),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1480),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1480),
    [aux_sym_certificate_file_token1] = ACTIONS(1480),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1480),
    [aux_sym_channel_timeout_token1] = ACTIONS(1480),
    [aux_sym_check_host_ip_token1] = ACTIONS(1480),
    [aux_sym_ciphers_token1] = ACTIONS(1480),
    [aux_sym_cipher_token1] = ACTIONS(1482),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1480),
    [aux_sym_compression_token1] = ACTIONS(1480),
    [aux_sym_connection_attempts_token1] = ACTIONS(1480),
    [aux_sym_connect_timeout_token1] = ACTIONS(1480),
    [aux_sym_control_master_token1] = ACTIONS(1480),
    [aux_sym_control_path_token1] = ACTIONS(1480),
    [aux_sym_control_persist_token1] = ACTIONS(1480),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1480),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1480),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1480),
    [aux_sym_escape_char_token1] = ACTIONS(1480),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1480),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1480),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1480),
    [aux_sym_forward_agent_token1] = ACTIONS(1480),
    [aux_sym_forward_x11_token1] = ACTIONS(1482),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1480),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1480),
    [aux_sym_gateway_ports_token1] = ACTIONS(1480),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1480),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1480),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1480),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1480),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1480),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1480),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1480),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1480),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1480),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1480),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1480),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1480),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1480),
    [aux_sym_host_key_alias_token1] = ACTIONS(1480),
    [aux_sym_hostname_token1] = ACTIONS(1480),
    [aux_sym_identities_only_token1] = ACTIONS(1480),
    [aux_sym_identity_agent_token1] = ACTIONS(1480),
    [aux_sym_identity_file_token1] = ACTIONS(1480),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1480),
    [aux_sym_include_token1] = ACTIONS(1480),
    [aux_sym_ip_qos_token1] = ACTIONS(1480),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1480),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1480),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1480),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1480),
    [aux_sym_local_command_token1] = ACTIONS(1480),
    [aux_sym_local_forward_token1] = ACTIONS(1480),
    [aux_sym_log_level_token1] = ACTIONS(1480),
    [aux_sym_log_verbose_token1] = ACTIONS(1480),
    [aux_sym_macs_token1] = ACTIONS(1480),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1480),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1480),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1480),
    [aux_sym_password_authentication_token1] = ACTIONS(1480),
    [aux_sym_permit_local_command_token1] = ACTIONS(1480),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1480),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1480),
    [aux_sym_port_token1] = ACTIONS(1480),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1480),
    [aux_sym_protocol_token1] = ACTIONS(1480),
    [aux_sym_proxy_command_token1] = ACTIONS(1480),
    [aux_sym_proxy_jump_token1] = ACTIONS(1480),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1480),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1480),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1480),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1480),
    [aux_sym_rekey_limit_token1] = ACTIONS(1480),
    [aux_sym_remote_command_token1] = ACTIONS(1480),
    [aux_sym_remote_forward_token1] = ACTIONS(1480),
    [aux_sym_request_tty_token1] = ACTIONS(1480),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1480),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1480),
    [aux_sym_security_key_provider_token1] = ACTIONS(1480),
    [aux_sym_send_env_token1] = ACTIONS(1480),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1480),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1480),
    [aux_sym_session_type_token1] = ACTIONS(1480),
    [aux_sym_set_env_token1] = ACTIONS(1480),
    [aux_sym_stdin_null_token1] = ACTIONS(1480),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1480),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1480),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1480),
    [aux_sym_syslog_facility_token1] = ACTIONS(1480),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1480),
    [aux_sym_keep_alive_token1] = ACTIONS(1480),
    [aux_sym_tag_token1] = ACTIONS(1480),
    [aux_sym_tunnel_token1] = ACTIONS(1482),
    [aux_sym_tunnel_device_token1] = ACTIONS(1480),
    [aux_sym_update_host_keys_token1] = ACTIONS(1480),
    [aux_sym_use_keychain_token1] = ACTIONS(1480),
    [aux_sym_use_roaming_token1] = ACTIONS(1480),
    [aux_sym_user_token1] = ACTIONS(1482),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1480),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1480),
    [aux_sym_version_addendum_token1] = ACTIONS(1480),
    [aux_sym_visual_host_key_token1] = ACTIONS(1480),
    [aux_sym_xauth_location_token1] = ACTIONS(1480),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_match_token1] = ACTIONS(1484),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1484),
    [aux_sym_address_family_token1] = ACTIONS(1484),
    [aux_sym_batch_mode_token1] = ACTIONS(1484),
    [aux_sym_bind_address_token1] = ACTIONS(1484),
    [aux_sym_bind_interface_token1] = ACTIONS(1484),
    [aux_sym_canonical_domains_token1] = ACTIONS(1484),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1484),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1484),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1484),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1484),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1484),
    [aux_sym_certificate_file_token1] = ACTIONS(1484),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1484),
    [aux_sym_channel_timeout_token1] = ACTIONS(1484),
    [aux_sym_check_host_ip_token1] = ACTIONS(1484),
    [aux_sym_ciphers_token1] = ACTIONS(1484),
    [aux_sym_cipher_token1] = ACTIONS(1486),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1484),
    [aux_sym_compression_token1] = ACTIONS(1484),
    [aux_sym_connection_attempts_token1] = ACTIONS(1484),
    [aux_sym_connect_timeout_token1] = ACTIONS(1484),
    [aux_sym_control_master_token1] = ACTIONS(1484),
    [aux_sym_control_path_token1] = ACTIONS(1484),
    [aux_sym_control_persist_token1] = ACTIONS(1484),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1484),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1484),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1484),
    [aux_sym_escape_char_token1] = ACTIONS(1484),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1484),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1484),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1484),
    [aux_sym_forward_agent_token1] = ACTIONS(1484),
    [aux_sym_forward_x11_token1] = ACTIONS(1486),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1484),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1484),
    [aux_sym_gateway_ports_token1] = ACTIONS(1484),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1484),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1484),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1484),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1484),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1484),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1484),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1484),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1484),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1484),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1484),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1484),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1484),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1484),
    [aux_sym_host_key_alias_token1] = ACTIONS(1484),
    [aux_sym_hostname_token1] = ACTIONS(1484),
    [aux_sym_identities_only_token1] = ACTIONS(1484),
    [aux_sym_identity_agent_token1] = ACTIONS(1484),
    [aux_sym_identity_file_token1] = ACTIONS(1484),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1484),
    [aux_sym_include_token1] = ACTIONS(1484),
    [aux_sym_ip_qos_token1] = ACTIONS(1484),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1484),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1484),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1484),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1484),
    [aux_sym_local_command_token1] = ACTIONS(1484),
    [aux_sym_local_forward_token1] = ACTIONS(1484),
    [aux_sym_log_level_token1] = ACTIONS(1484),
    [aux_sym_log_verbose_token1] = ACTIONS(1484),
    [aux_sym_macs_token1] = ACTIONS(1484),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1484),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1484),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1484),
    [aux_sym_password_authentication_token1] = ACTIONS(1484),
    [aux_sym_permit_local_command_token1] = ACTIONS(1484),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1484),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1484),
    [aux_sym_port_token1] = ACTIONS(1484),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1484),
    [aux_sym_protocol_token1] = ACTIONS(1484),
    [aux_sym_proxy_command_token1] = ACTIONS(1484),
    [aux_sym_proxy_jump_token1] = ACTIONS(1484),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1484),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1484),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1484),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1484),
    [aux_sym_rekey_limit_token1] = ACTIONS(1484),
    [aux_sym_remote_command_token1] = ACTIONS(1484),
    [aux_sym_remote_forward_token1] = ACTIONS(1484),
    [aux_sym_request_tty_token1] = ACTIONS(1484),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1484),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1484),
    [aux_sym_security_key_provider_token1] = ACTIONS(1484),
    [aux_sym_send_env_token1] = ACTIONS(1484),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1484),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1484),
    [aux_sym_session_type_token1] = ACTIONS(1484),
    [aux_sym_set_env_token1] = ACTIONS(1484),
    [aux_sym_stdin_null_token1] = ACTIONS(1484),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1484),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1484),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1484),
    [aux_sym_syslog_facility_token1] = ACTIONS(1484),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1484),
    [aux_sym_keep_alive_token1] = ACTIONS(1484),
    [aux_sym_tag_token1] = ACTIONS(1484),
    [aux_sym_tunnel_token1] = ACTIONS(1486),
    [aux_sym_tunnel_device_token1] = ACTIONS(1484),
    [aux_sym_update_host_keys_token1] = ACTIONS(1484),
    [aux_sym_use_keychain_token1] = ACTIONS(1484),
    [aux_sym_use_roaming_token1] = ACTIONS(1484),
    [aux_sym_user_token1] = ACTIONS(1486),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1484),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1484),
    [aux_sym_version_addendum_token1] = ACTIONS(1484),
    [aux_sym_visual_host_key_token1] = ACTIONS(1484),
    [aux_sym_xauth_location_token1] = ACTIONS(1484),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_match_token1] = ACTIONS(1490),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1490),
    [aux_sym_address_family_token1] = ACTIONS(1490),
    [aux_sym_batch_mode_token1] = ACTIONS(1490),
    [aux_sym_bind_address_token1] = ACTIONS(1490),
    [aux_sym_bind_interface_token1] = ACTIONS(1490),
    [aux_sym_canonical_domains_token1] = ACTIONS(1490),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1490),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1490),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1490),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1490),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1490),
    [aux_sym_certificate_file_token1] = ACTIONS(1490),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1490),
    [aux_sym_channel_timeout_token1] = ACTIONS(1490),
    [aux_sym_check_host_ip_token1] = ACTIONS(1490),
    [aux_sym_ciphers_token1] = ACTIONS(1490),
    [aux_sym_cipher_token1] = ACTIONS(1492),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1490),
    [aux_sym_compression_token1] = ACTIONS(1490),
    [aux_sym_connection_attempts_token1] = ACTIONS(1490),
    [aux_sym_connect_timeout_token1] = ACTIONS(1490),
    [aux_sym_control_master_token1] = ACTIONS(1490),
    [aux_sym_control_path_token1] = ACTIONS(1490),
    [aux_sym_control_persist_token1] = ACTIONS(1490),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1490),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1490),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1490),
    [aux_sym_escape_char_token1] = ACTIONS(1490),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1490),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1490),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1490),
    [aux_sym_forward_agent_token1] = ACTIONS(1490),
    [aux_sym_forward_x11_token1] = ACTIONS(1492),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1490),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1490),
    [aux_sym_gateway_ports_token1] = ACTIONS(1490),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1490),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1490),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1490),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1490),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1490),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1490),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1490),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1490),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1490),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1490),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1490),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1490),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1490),
    [aux_sym_host_key_alias_token1] = ACTIONS(1490),
    [aux_sym_hostname_token1] = ACTIONS(1490),
    [aux_sym_identities_only_token1] = ACTIONS(1490),
    [aux_sym_identity_agent_token1] = ACTIONS(1490),
    [aux_sym_identity_file_token1] = ACTIONS(1490),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1490),
    [aux_sym_include_token1] = ACTIONS(1490),
    [aux_sym_ip_qos_token1] = ACTIONS(1490),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1490),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1490),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1490),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1490),
    [aux_sym_local_command_token1] = ACTIONS(1490),
    [aux_sym_local_forward_token1] = ACTIONS(1490),
    [aux_sym_log_level_token1] = ACTIONS(1490),
    [aux_sym_log_verbose_token1] = ACTIONS(1490),
    [aux_sym_macs_token1] = ACTIONS(1490),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1490),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1490),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1490),
    [aux_sym_password_authentication_token1] = ACTIONS(1490),
    [aux_sym_permit_local_command_token1] = ACTIONS(1490),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1490),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1490),
    [aux_sym_port_token1] = ACTIONS(1490),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1490),
    [aux_sym_protocol_token1] = ACTIONS(1490),
    [aux_sym_proxy_command_token1] = ACTIONS(1490),
    [aux_sym_proxy_jump_token1] = ACTIONS(1490),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1490),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1490),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1490),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1490),
    [aux_sym_rekey_limit_token1] = ACTIONS(1490),
    [aux_sym_remote_command_token1] = ACTIONS(1490),
    [aux_sym_remote_forward_token1] = ACTIONS(1490),
    [aux_sym_request_tty_token1] = ACTIONS(1490),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1490),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1490),
    [aux_sym_security_key_provider_token1] = ACTIONS(1490),
    [aux_sym_send_env_token1] = ACTIONS(1490),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1490),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1490),
    [aux_sym_session_type_token1] = ACTIONS(1490),
    [aux_sym_set_env_token1] = ACTIONS(1490),
    [aux_sym_stdin_null_token1] = ACTIONS(1490),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1490),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1490),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1490),
    [aux_sym_syslog_facility_token1] = ACTIONS(1490),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1490),
    [aux_sym_keep_alive_token1] = ACTIONS(1490),
    [aux_sym_tag_token1] = ACTIONS(1490),
    [aux_sym_tunnel_token1] = ACTIONS(1492),
    [aux_sym_tunnel_device_token1] = ACTIONS(1490),
    [aux_sym_update_host_keys_token1] = ACTIONS(1490),
    [aux_sym_use_keychain_token1] = ACTIONS(1490),
    [aux_sym_use_roaming_token1] = ACTIONS(1490),
    [aux_sym_user_token1] = ACTIONS(1492),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1490),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1490),
    [aux_sym_version_addendum_token1] = ACTIONS(1490),
    [aux_sym_visual_host_key_token1] = ACTIONS(1490),
    [aux_sym_xauth_location_token1] = ACTIONS(1490),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_match_token1] = ACTIONS(1494),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1494),
    [aux_sym_address_family_token1] = ACTIONS(1494),
    [aux_sym_batch_mode_token1] = ACTIONS(1494),
    [aux_sym_bind_address_token1] = ACTIONS(1494),
    [aux_sym_bind_interface_token1] = ACTIONS(1494),
    [aux_sym_canonical_domains_token1] = ACTIONS(1494),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1494),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1494),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1494),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1494),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1494),
    [aux_sym_certificate_file_token1] = ACTIONS(1494),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1494),
    [aux_sym_channel_timeout_token1] = ACTIONS(1494),
    [aux_sym_check_host_ip_token1] = ACTIONS(1494),
    [aux_sym_ciphers_token1] = ACTIONS(1494),
    [aux_sym_cipher_token1] = ACTIONS(1496),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1494),
    [aux_sym_compression_token1] = ACTIONS(1494),
    [aux_sym_connection_attempts_token1] = ACTIONS(1494),
    [aux_sym_connect_timeout_token1] = ACTIONS(1494),
    [aux_sym_control_master_token1] = ACTIONS(1494),
    [aux_sym_control_path_token1] = ACTIONS(1494),
    [aux_sym_control_persist_token1] = ACTIONS(1494),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1494),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1494),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1494),
    [aux_sym_escape_char_token1] = ACTIONS(1494),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1494),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1494),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1494),
    [aux_sym_forward_agent_token1] = ACTIONS(1494),
    [aux_sym_forward_x11_token1] = ACTIONS(1496),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1494),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1494),
    [aux_sym_gateway_ports_token1] = ACTIONS(1494),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1494),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1494),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1494),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1494),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1494),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1494),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1494),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1494),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1494),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1494),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1494),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1494),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1494),
    [aux_sym_host_key_alias_token1] = ACTIONS(1494),
    [aux_sym_hostname_token1] = ACTIONS(1494),
    [aux_sym_identities_only_token1] = ACTIONS(1494),
    [aux_sym_identity_agent_token1] = ACTIONS(1494),
    [aux_sym_identity_file_token1] = ACTIONS(1494),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1494),
    [aux_sym_include_token1] = ACTIONS(1494),
    [aux_sym_ip_qos_token1] = ACTIONS(1494),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1494),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1494),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1494),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1494),
    [aux_sym_local_command_token1] = ACTIONS(1494),
    [aux_sym_local_forward_token1] = ACTIONS(1494),
    [aux_sym_log_level_token1] = ACTIONS(1494),
    [aux_sym_log_verbose_token1] = ACTIONS(1494),
    [aux_sym_macs_token1] = ACTIONS(1494),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1494),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1494),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1494),
    [aux_sym_password_authentication_token1] = ACTIONS(1494),
    [aux_sym_permit_local_command_token1] = ACTIONS(1494),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1494),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1494),
    [aux_sym_port_token1] = ACTIONS(1494),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1494),
    [aux_sym_protocol_token1] = ACTIONS(1494),
    [aux_sym_proxy_command_token1] = ACTIONS(1494),
    [aux_sym_proxy_jump_token1] = ACTIONS(1494),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1494),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1494),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1494),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1494),
    [aux_sym_rekey_limit_token1] = ACTIONS(1494),
    [aux_sym_remote_command_token1] = ACTIONS(1494),
    [aux_sym_remote_forward_token1] = ACTIONS(1494),
    [aux_sym_request_tty_token1] = ACTIONS(1494),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1494),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1494),
    [aux_sym_security_key_provider_token1] = ACTIONS(1494),
    [aux_sym_send_env_token1] = ACTIONS(1494),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1494),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1494),
    [aux_sym_session_type_token1] = ACTIONS(1494),
    [aux_sym_set_env_token1] = ACTIONS(1494),
    [aux_sym_stdin_null_token1] = ACTIONS(1494),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1494),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1494),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1494),
    [aux_sym_syslog_facility_token1] = ACTIONS(1494),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1494),
    [aux_sym_keep_alive_token1] = ACTIONS(1494),
    [aux_sym_tag_token1] = ACTIONS(1494),
    [aux_sym_tunnel_token1] = ACTIONS(1496),
    [aux_sym_tunnel_device_token1] = ACTIONS(1494),
    [aux_sym_update_host_keys_token1] = ACTIONS(1494),
    [aux_sym_use_keychain_token1] = ACTIONS(1494),
    [aux_sym_use_roaming_token1] = ACTIONS(1494),
    [aux_sym_user_token1] = ACTIONS(1496),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1494),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1494),
    [aux_sym_version_addendum_token1] = ACTIONS(1494),
    [aux_sym_visual_host_key_token1] = ACTIONS(1494),
    [aux_sym_xauth_location_token1] = ACTIONS(1494),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_match_token1] = ACTIONS(1500),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1500),
    [aux_sym_address_family_token1] = ACTIONS(1500),
    [aux_sym_batch_mode_token1] = ACTIONS(1500),
    [aux_sym_bind_address_token1] = ACTIONS(1500),
    [aux_sym_bind_interface_token1] = ACTIONS(1500),
    [aux_sym_canonical_domains_token1] = ACTIONS(1500),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1500),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1500),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1500),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1500),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1500),
    [aux_sym_certificate_file_token1] = ACTIONS(1500),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1500),
    [aux_sym_channel_timeout_token1] = ACTIONS(1500),
    [aux_sym_check_host_ip_token1] = ACTIONS(1500),
    [aux_sym_ciphers_token1] = ACTIONS(1500),
    [aux_sym_cipher_token1] = ACTIONS(1502),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1500),
    [aux_sym_compression_token1] = ACTIONS(1500),
    [aux_sym_connection_attempts_token1] = ACTIONS(1500),
    [aux_sym_connect_timeout_token1] = ACTIONS(1500),
    [aux_sym_control_master_token1] = ACTIONS(1500),
    [aux_sym_control_path_token1] = ACTIONS(1500),
    [aux_sym_control_persist_token1] = ACTIONS(1500),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1500),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1500),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1500),
    [aux_sym_escape_char_token1] = ACTIONS(1500),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1500),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1500),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1500),
    [aux_sym_forward_agent_token1] = ACTIONS(1500),
    [aux_sym_forward_x11_token1] = ACTIONS(1502),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1500),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1500),
    [aux_sym_gateway_ports_token1] = ACTIONS(1500),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1500),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1500),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1500),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1500),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1500),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1500),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1500),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1500),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1500),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1500),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1500),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1500),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1500),
    [aux_sym_host_key_alias_token1] = ACTIONS(1500),
    [aux_sym_hostname_token1] = ACTIONS(1500),
    [aux_sym_identities_only_token1] = ACTIONS(1500),
    [aux_sym_identity_agent_token1] = ACTIONS(1500),
    [aux_sym_identity_file_token1] = ACTIONS(1500),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1500),
    [aux_sym_include_token1] = ACTIONS(1500),
    [aux_sym_ip_qos_token1] = ACTIONS(1500),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1500),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1500),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1500),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1500),
    [aux_sym_local_command_token1] = ACTIONS(1500),
    [aux_sym_local_forward_token1] = ACTIONS(1500),
    [aux_sym_log_level_token1] = ACTIONS(1500),
    [aux_sym_log_verbose_token1] = ACTIONS(1500),
    [aux_sym_macs_token1] = ACTIONS(1500),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1500),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1500),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1500),
    [aux_sym_password_authentication_token1] = ACTIONS(1500),
    [aux_sym_permit_local_command_token1] = ACTIONS(1500),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1500),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1500),
    [aux_sym_port_token1] = ACTIONS(1500),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1500),
    [aux_sym_protocol_token1] = ACTIONS(1500),
    [aux_sym_proxy_command_token1] = ACTIONS(1500),
    [aux_sym_proxy_jump_token1] = ACTIONS(1500),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1500),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1500),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1500),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1500),
    [aux_sym_rekey_limit_token1] = ACTIONS(1500),
    [aux_sym_remote_command_token1] = ACTIONS(1500),
    [aux_sym_remote_forward_token1] = ACTIONS(1500),
    [aux_sym_request_tty_token1] = ACTIONS(1500),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1500),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1500),
    [aux_sym_security_key_provider_token1] = ACTIONS(1500),
    [aux_sym_send_env_token1] = ACTIONS(1500),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1500),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1500),
    [aux_sym_session_type_token1] = ACTIONS(1500),
    [aux_sym_set_env_token1] = ACTIONS(1500),
    [aux_sym_stdin_null_token1] = ACTIONS(1500),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1500),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1500),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1500),
    [aux_sym_syslog_facility_token1] = ACTIONS(1500),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1500),
    [aux_sym_keep_alive_token1] = ACTIONS(1500),
    [aux_sym_tag_token1] = ACTIONS(1500),
    [aux_sym_tunnel_token1] = ACTIONS(1502),
    [aux_sym_tunnel_device_token1] = ACTIONS(1500),
    [aux_sym_update_host_keys_token1] = ACTIONS(1500),
    [aux_sym_use_keychain_token1] = ACTIONS(1500),
    [aux_sym_use_roaming_token1] = ACTIONS(1500),
    [aux_sym_user_token1] = ACTIONS(1502),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1500),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1500),
    [aux_sym_version_addendum_token1] = ACTIONS(1500),
    [aux_sym_visual_host_key_token1] = ACTIONS(1500),
    [aux_sym_xauth_location_token1] = ACTIONS(1500),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_match_token1] = ACTIONS(1504),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1504),
    [aux_sym_address_family_token1] = ACTIONS(1504),
    [aux_sym_batch_mode_token1] = ACTIONS(1504),
    [aux_sym_bind_address_token1] = ACTIONS(1504),
    [aux_sym_bind_interface_token1] = ACTIONS(1504),
    [aux_sym_canonical_domains_token1] = ACTIONS(1504),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1504),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1504),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1504),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1504),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1504),
    [aux_sym_certificate_file_token1] = ACTIONS(1504),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1504),
    [aux_sym_channel_timeout_token1] = ACTIONS(1504),
    [aux_sym_check_host_ip_token1] = ACTIONS(1504),
    [aux_sym_ciphers_token1] = ACTIONS(1504),
    [aux_sym_cipher_token1] = ACTIONS(1506),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1504),
    [aux_sym_compression_token1] = ACTIONS(1504),
    [aux_sym_connection_attempts_token1] = ACTIONS(1504),
    [aux_sym_connect_timeout_token1] = ACTIONS(1504),
    [aux_sym_control_master_token1] = ACTIONS(1504),
    [aux_sym_control_path_token1] = ACTIONS(1504),
    [aux_sym_control_persist_token1] = ACTIONS(1504),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1504),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1504),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1504),
    [aux_sym_escape_char_token1] = ACTIONS(1504),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1504),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1504),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1504),
    [aux_sym_forward_agent_token1] = ACTIONS(1504),
    [aux_sym_forward_x11_token1] = ACTIONS(1506),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1504),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1504),
    [aux_sym_gateway_ports_token1] = ACTIONS(1504),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1504),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1504),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1504),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1504),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1504),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1504),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1504),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1504),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1504),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1504),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1504),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1504),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1504),
    [aux_sym_host_key_alias_token1] = ACTIONS(1504),
    [aux_sym_hostname_token1] = ACTIONS(1504),
    [aux_sym_identities_only_token1] = ACTIONS(1504),
    [aux_sym_identity_agent_token1] = ACTIONS(1504),
    [aux_sym_identity_file_token1] = ACTIONS(1504),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1504),
    [aux_sym_include_token1] = ACTIONS(1504),
    [aux_sym_ip_qos_token1] = ACTIONS(1504),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1504),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1504),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1504),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1504),
    [aux_sym_local_command_token1] = ACTIONS(1504),
    [aux_sym_local_forward_token1] = ACTIONS(1504),
    [aux_sym_log_level_token1] = ACTIONS(1504),
    [aux_sym_log_verbose_token1] = ACTIONS(1504),
    [aux_sym_macs_token1] = ACTIONS(1504),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1504),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1504),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1504),
    [aux_sym_password_authentication_token1] = ACTIONS(1504),
    [aux_sym_permit_local_command_token1] = ACTIONS(1504),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1504),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1504),
    [aux_sym_port_token1] = ACTIONS(1504),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1504),
    [aux_sym_protocol_token1] = ACTIONS(1504),
    [aux_sym_proxy_command_token1] = ACTIONS(1504),
    [aux_sym_proxy_jump_token1] = ACTIONS(1504),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1504),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1504),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1504),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1504),
    [aux_sym_rekey_limit_token1] = ACTIONS(1504),
    [aux_sym_remote_command_token1] = ACTIONS(1504),
    [aux_sym_remote_forward_token1] = ACTIONS(1504),
    [aux_sym_request_tty_token1] = ACTIONS(1504),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1504),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1504),
    [aux_sym_security_key_provider_token1] = ACTIONS(1504),
    [aux_sym_send_env_token1] = ACTIONS(1504),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1504),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1504),
    [aux_sym_session_type_token1] = ACTIONS(1504),
    [aux_sym_set_env_token1] = ACTIONS(1504),
    [aux_sym_stdin_null_token1] = ACTIONS(1504),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1504),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1504),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1504),
    [aux_sym_syslog_facility_token1] = ACTIONS(1504),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1504),
    [aux_sym_keep_alive_token1] = ACTIONS(1504),
    [aux_sym_tag_token1] = ACTIONS(1504),
    [aux_sym_tunnel_token1] = ACTIONS(1506),
    [aux_sym_tunnel_device_token1] = ACTIONS(1504),
    [aux_sym_update_host_keys_token1] = ACTIONS(1504),
    [aux_sym_use_keychain_token1] = ACTIONS(1504),
    [aux_sym_use_roaming_token1] = ACTIONS(1504),
    [aux_sym_user_token1] = ACTIONS(1506),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1504),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1504),
    [aux_sym_version_addendum_token1] = ACTIONS(1504),
    [aux_sym_visual_host_key_token1] = ACTIONS(1504),
    [aux_sym_xauth_location_token1] = ACTIONS(1504),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_match_token1] = ACTIONS(1510),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1510),
    [aux_sym_address_family_token1] = ACTIONS(1510),
    [aux_sym_batch_mode_token1] = ACTIONS(1510),
    [aux_sym_bind_address_token1] = ACTIONS(1510),
    [aux_sym_bind_interface_token1] = ACTIONS(1510),
    [aux_sym_canonical_domains_token1] = ACTIONS(1510),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1510),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1510),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1510),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1510),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1510),
    [aux_sym_certificate_file_token1] = ACTIONS(1510),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1510),
    [aux_sym_channel_timeout_token1] = ACTIONS(1510),
    [aux_sym_check_host_ip_token1] = ACTIONS(1510),
    [aux_sym_ciphers_token1] = ACTIONS(1510),
    [aux_sym_cipher_token1] = ACTIONS(1512),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1510),
    [aux_sym_compression_token1] = ACTIONS(1510),
    [aux_sym_connection_attempts_token1] = ACTIONS(1510),
    [aux_sym_connect_timeout_token1] = ACTIONS(1510),
    [aux_sym_control_master_token1] = ACTIONS(1510),
    [aux_sym_control_path_token1] = ACTIONS(1510),
    [aux_sym_control_persist_token1] = ACTIONS(1510),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1510),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1510),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1510),
    [aux_sym_escape_char_token1] = ACTIONS(1510),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1510),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1510),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1510),
    [aux_sym_forward_agent_token1] = ACTIONS(1510),
    [aux_sym_forward_x11_token1] = ACTIONS(1512),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1510),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1510),
    [aux_sym_gateway_ports_token1] = ACTIONS(1510),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1510),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1510),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1510),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1510),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1510),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1510),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1510),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1510),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1510),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1510),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1510),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1510),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1510),
    [aux_sym_host_key_alias_token1] = ACTIONS(1510),
    [aux_sym_hostname_token1] = ACTIONS(1510),
    [aux_sym_identities_only_token1] = ACTIONS(1510),
    [aux_sym_identity_agent_token1] = ACTIONS(1510),
    [aux_sym_identity_file_token1] = ACTIONS(1510),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1510),
    [aux_sym_include_token1] = ACTIONS(1510),
    [aux_sym_ip_qos_token1] = ACTIONS(1510),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1510),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1510),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1510),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1510),
    [aux_sym_local_command_token1] = ACTIONS(1510),
    [aux_sym_local_forward_token1] = ACTIONS(1510),
    [aux_sym_log_level_token1] = ACTIONS(1510),
    [aux_sym_log_verbose_token1] = ACTIONS(1510),
    [aux_sym_macs_token1] = ACTIONS(1510),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1510),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1510),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1510),
    [aux_sym_password_authentication_token1] = ACTIONS(1510),
    [aux_sym_permit_local_command_token1] = ACTIONS(1510),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1510),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1510),
    [aux_sym_port_token1] = ACTIONS(1510),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1510),
    [aux_sym_protocol_token1] = ACTIONS(1510),
    [aux_sym_proxy_command_token1] = ACTIONS(1510),
    [aux_sym_proxy_jump_token1] = ACTIONS(1510),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1510),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1510),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1510),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1510),
    [aux_sym_rekey_limit_token1] = ACTIONS(1510),
    [aux_sym_remote_command_token1] = ACTIONS(1510),
    [aux_sym_remote_forward_token1] = ACTIONS(1510),
    [aux_sym_request_tty_token1] = ACTIONS(1510),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1510),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1510),
    [aux_sym_security_key_provider_token1] = ACTIONS(1510),
    [aux_sym_send_env_token1] = ACTIONS(1510),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1510),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1510),
    [aux_sym_session_type_token1] = ACTIONS(1510),
    [aux_sym_set_env_token1] = ACTIONS(1510),
    [aux_sym_stdin_null_token1] = ACTIONS(1510),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1510),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1510),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1510),
    [aux_sym_syslog_facility_token1] = ACTIONS(1510),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1510),
    [aux_sym_keep_alive_token1] = ACTIONS(1510),
    [aux_sym_tag_token1] = ACTIONS(1510),
    [aux_sym_tunnel_token1] = ACTIONS(1512),
    [aux_sym_tunnel_device_token1] = ACTIONS(1510),
    [aux_sym_update_host_keys_token1] = ACTIONS(1510),
    [aux_sym_use_keychain_token1] = ACTIONS(1510),
    [aux_sym_use_roaming_token1] = ACTIONS(1510),
    [aux_sym_user_token1] = ACTIONS(1512),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1510),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1510),
    [aux_sym_version_addendum_token1] = ACTIONS(1510),
    [aux_sym_visual_host_key_token1] = ACTIONS(1510),
    [aux_sym_xauth_location_token1] = ACTIONS(1510),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_match_token1] = ACTIONS(1514),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1514),
    [aux_sym_address_family_token1] = ACTIONS(1514),
    [aux_sym_batch_mode_token1] = ACTIONS(1514),
    [aux_sym_bind_address_token1] = ACTIONS(1514),
    [aux_sym_bind_interface_token1] = ACTIONS(1514),
    [aux_sym_canonical_domains_token1] = ACTIONS(1514),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1514),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1514),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1514),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1514),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1514),
    [aux_sym_certificate_file_token1] = ACTIONS(1514),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1514),
    [aux_sym_channel_timeout_token1] = ACTIONS(1514),
    [aux_sym_check_host_ip_token1] = ACTIONS(1514),
    [aux_sym_ciphers_token1] = ACTIONS(1514),
    [aux_sym_cipher_token1] = ACTIONS(1516),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1514),
    [aux_sym_compression_token1] = ACTIONS(1514),
    [aux_sym_connection_attempts_token1] = ACTIONS(1514),
    [aux_sym_connect_timeout_token1] = ACTIONS(1514),
    [aux_sym_control_master_token1] = ACTIONS(1514),
    [aux_sym_control_path_token1] = ACTIONS(1514),
    [aux_sym_control_persist_token1] = ACTIONS(1514),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1514),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1514),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1514),
    [aux_sym_escape_char_token1] = ACTIONS(1514),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1514),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1514),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1514),
    [aux_sym_forward_agent_token1] = ACTIONS(1514),
    [aux_sym_forward_x11_token1] = ACTIONS(1516),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1514),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1514),
    [aux_sym_gateway_ports_token1] = ACTIONS(1514),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1514),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1514),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1514),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1514),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1514),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1514),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1514),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1514),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1514),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1514),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1514),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1514),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1514),
    [aux_sym_host_key_alias_token1] = ACTIONS(1514),
    [aux_sym_hostname_token1] = ACTIONS(1514),
    [aux_sym_identities_only_token1] = ACTIONS(1514),
    [aux_sym_identity_agent_token1] = ACTIONS(1514),
    [aux_sym_identity_file_token1] = ACTIONS(1514),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1514),
    [aux_sym_include_token1] = ACTIONS(1514),
    [aux_sym_ip_qos_token1] = ACTIONS(1514),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1514),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1514),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1514),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1514),
    [aux_sym_local_command_token1] = ACTIONS(1514),
    [aux_sym_local_forward_token1] = ACTIONS(1514),
    [aux_sym_log_level_token1] = ACTIONS(1514),
    [aux_sym_log_verbose_token1] = ACTIONS(1514),
    [aux_sym_macs_token1] = ACTIONS(1514),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1514),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1514),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1514),
    [aux_sym_password_authentication_token1] = ACTIONS(1514),
    [aux_sym_permit_local_command_token1] = ACTIONS(1514),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1514),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1514),
    [aux_sym_port_token1] = ACTIONS(1514),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1514),
    [aux_sym_protocol_token1] = ACTIONS(1514),
    [aux_sym_proxy_command_token1] = ACTIONS(1514),
    [aux_sym_proxy_jump_token1] = ACTIONS(1514),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1514),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1514),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1514),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1514),
    [aux_sym_rekey_limit_token1] = ACTIONS(1514),
    [aux_sym_remote_command_token1] = ACTIONS(1514),
    [aux_sym_remote_forward_token1] = ACTIONS(1514),
    [aux_sym_request_tty_token1] = ACTIONS(1514),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1514),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1514),
    [aux_sym_security_key_provider_token1] = ACTIONS(1514),
    [aux_sym_send_env_token1] = ACTIONS(1514),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1514),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1514),
    [aux_sym_session_type_token1] = ACTIONS(1514),
    [aux_sym_set_env_token1] = ACTIONS(1514),
    [aux_sym_stdin_null_token1] = ACTIONS(1514),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1514),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1514),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1514),
    [aux_sym_syslog_facility_token1] = ACTIONS(1514),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1514),
    [aux_sym_keep_alive_token1] = ACTIONS(1514),
    [aux_sym_tag_token1] = ACTIONS(1514),
    [aux_sym_tunnel_token1] = ACTIONS(1516),
    [aux_sym_tunnel_device_token1] = ACTIONS(1514),
    [aux_sym_update_host_keys_token1] = ACTIONS(1514),
    [aux_sym_use_keychain_token1] = ACTIONS(1514),
    [aux_sym_use_roaming_token1] = ACTIONS(1514),
    [aux_sym_user_token1] = ACTIONS(1516),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1514),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1514),
    [aux_sym_version_addendum_token1] = ACTIONS(1514),
    [aux_sym_visual_host_key_token1] = ACTIONS(1514),
    [aux_sym_xauth_location_token1] = ACTIONS(1514),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_match_token1] = ACTIONS(1520),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1520),
    [aux_sym_address_family_token1] = ACTIONS(1520),
    [aux_sym_batch_mode_token1] = ACTIONS(1520),
    [aux_sym_bind_address_token1] = ACTIONS(1520),
    [aux_sym_bind_interface_token1] = ACTIONS(1520),
    [aux_sym_canonical_domains_token1] = ACTIONS(1520),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1520),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1520),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1520),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1520),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1520),
    [aux_sym_certificate_file_token1] = ACTIONS(1520),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1520),
    [aux_sym_channel_timeout_token1] = ACTIONS(1520),
    [aux_sym_check_host_ip_token1] = ACTIONS(1520),
    [aux_sym_ciphers_token1] = ACTIONS(1520),
    [aux_sym_cipher_token1] = ACTIONS(1522),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1520),
    [aux_sym_compression_token1] = ACTIONS(1520),
    [aux_sym_connection_attempts_token1] = ACTIONS(1520),
    [aux_sym_connect_timeout_token1] = ACTIONS(1520),
    [aux_sym_control_master_token1] = ACTIONS(1520),
    [aux_sym_control_path_token1] = ACTIONS(1520),
    [aux_sym_control_persist_token1] = ACTIONS(1520),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1520),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1520),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1520),
    [aux_sym_escape_char_token1] = ACTIONS(1520),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1520),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1520),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1520),
    [aux_sym_forward_agent_token1] = ACTIONS(1520),
    [aux_sym_forward_x11_token1] = ACTIONS(1522),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1520),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1520),
    [aux_sym_gateway_ports_token1] = ACTIONS(1520),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1520),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1520),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1520),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1520),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1520),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1520),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1520),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1520),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1520),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1520),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1520),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1520),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1520),
    [aux_sym_host_key_alias_token1] = ACTIONS(1520),
    [aux_sym_hostname_token1] = ACTIONS(1520),
    [aux_sym_identities_only_token1] = ACTIONS(1520),
    [aux_sym_identity_agent_token1] = ACTIONS(1520),
    [aux_sym_identity_file_token1] = ACTIONS(1520),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1520),
    [aux_sym_include_token1] = ACTIONS(1520),
    [aux_sym_ip_qos_token1] = ACTIONS(1520),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1520),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1520),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1520),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1520),
    [aux_sym_local_command_token1] = ACTIONS(1520),
    [aux_sym_local_forward_token1] = ACTIONS(1520),
    [aux_sym_log_level_token1] = ACTIONS(1520),
    [aux_sym_log_verbose_token1] = ACTIONS(1520),
    [aux_sym_macs_token1] = ACTIONS(1520),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1520),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1520),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1520),
    [aux_sym_password_authentication_token1] = ACTIONS(1520),
    [aux_sym_permit_local_command_token1] = ACTIONS(1520),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1520),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1520),
    [aux_sym_port_token1] = ACTIONS(1520),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1520),
    [aux_sym_protocol_token1] = ACTIONS(1520),
    [aux_sym_proxy_command_token1] = ACTIONS(1520),
    [aux_sym_proxy_jump_token1] = ACTIONS(1520),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1520),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1520),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1520),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1520),
    [aux_sym_rekey_limit_token1] = ACTIONS(1520),
    [aux_sym_remote_command_token1] = ACTIONS(1520),
    [aux_sym_remote_forward_token1] = ACTIONS(1520),
    [aux_sym_request_tty_token1] = ACTIONS(1520),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1520),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1520),
    [aux_sym_security_key_provider_token1] = ACTIONS(1520),
    [aux_sym_send_env_token1] = ACTIONS(1520),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1520),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1520),
    [aux_sym_session_type_token1] = ACTIONS(1520),
    [aux_sym_set_env_token1] = ACTIONS(1520),
    [aux_sym_stdin_null_token1] = ACTIONS(1520),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1520),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1520),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1520),
    [aux_sym_syslog_facility_token1] = ACTIONS(1520),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1520),
    [aux_sym_keep_alive_token1] = ACTIONS(1520),
    [aux_sym_tag_token1] = ACTIONS(1520),
    [aux_sym_tunnel_token1] = ACTIONS(1522),
    [aux_sym_tunnel_device_token1] = ACTIONS(1520),
    [aux_sym_update_host_keys_token1] = ACTIONS(1520),
    [aux_sym_use_keychain_token1] = ACTIONS(1520),
    [aux_sym_use_roaming_token1] = ACTIONS(1520),
    [aux_sym_user_token1] = ACTIONS(1522),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1520),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1520),
    [aux_sym_version_addendum_token1] = ACTIONS(1520),
    [aux_sym_visual_host_key_token1] = ACTIONS(1520),
    [aux_sym_xauth_location_token1] = ACTIONS(1520),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_match_token1] = ACTIONS(1524),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1524),
    [aux_sym_address_family_token1] = ACTIONS(1524),
    [aux_sym_batch_mode_token1] = ACTIONS(1524),
    [aux_sym_bind_address_token1] = ACTIONS(1524),
    [aux_sym_bind_interface_token1] = ACTIONS(1524),
    [aux_sym_canonical_domains_token1] = ACTIONS(1524),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1524),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1524),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1524),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1524),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1524),
    [aux_sym_certificate_file_token1] = ACTIONS(1524),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1524),
    [aux_sym_channel_timeout_token1] = ACTIONS(1524),
    [aux_sym_check_host_ip_token1] = ACTIONS(1524),
    [aux_sym_ciphers_token1] = ACTIONS(1524),
    [aux_sym_cipher_token1] = ACTIONS(1526),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1524),
    [aux_sym_compression_token1] = ACTIONS(1524),
    [aux_sym_connection_attempts_token1] = ACTIONS(1524),
    [aux_sym_connect_timeout_token1] = ACTIONS(1524),
    [aux_sym_control_master_token1] = ACTIONS(1524),
    [aux_sym_control_path_token1] = ACTIONS(1524),
    [aux_sym_control_persist_token1] = ACTIONS(1524),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1524),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1524),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1524),
    [aux_sym_escape_char_token1] = ACTIONS(1524),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1524),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1524),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1524),
    [aux_sym_forward_agent_token1] = ACTIONS(1524),
    [aux_sym_forward_x11_token1] = ACTIONS(1526),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1524),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1524),
    [aux_sym_gateway_ports_token1] = ACTIONS(1524),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1524),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1524),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1524),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1524),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1524),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1524),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1524),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1524),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1524),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1524),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1524),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1524),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1524),
    [aux_sym_host_key_alias_token1] = ACTIONS(1524),
    [aux_sym_hostname_token1] = ACTIONS(1524),
    [aux_sym_identities_only_token1] = ACTIONS(1524),
    [aux_sym_identity_agent_token1] = ACTIONS(1524),
    [aux_sym_identity_file_token1] = ACTIONS(1524),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1524),
    [aux_sym_include_token1] = ACTIONS(1524),
    [aux_sym_ip_qos_token1] = ACTIONS(1524),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1524),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1524),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1524),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1524),
    [aux_sym_local_command_token1] = ACTIONS(1524),
    [aux_sym_local_forward_token1] = ACTIONS(1524),
    [aux_sym_log_level_token1] = ACTIONS(1524),
    [aux_sym_log_verbose_token1] = ACTIONS(1524),
    [aux_sym_macs_token1] = ACTIONS(1524),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1524),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1524),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1524),
    [aux_sym_password_authentication_token1] = ACTIONS(1524),
    [aux_sym_permit_local_command_token1] = ACTIONS(1524),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1524),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1524),
    [aux_sym_port_token1] = ACTIONS(1524),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1524),
    [aux_sym_protocol_token1] = ACTIONS(1524),
    [aux_sym_proxy_command_token1] = ACTIONS(1524),
    [aux_sym_proxy_jump_token1] = ACTIONS(1524),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1524),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1524),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1524),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1524),
    [aux_sym_rekey_limit_token1] = ACTIONS(1524),
    [aux_sym_remote_command_token1] = ACTIONS(1524),
    [aux_sym_remote_forward_token1] = ACTIONS(1524),
    [aux_sym_request_tty_token1] = ACTIONS(1524),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1524),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1524),
    [aux_sym_security_key_provider_token1] = ACTIONS(1524),
    [aux_sym_send_env_token1] = ACTIONS(1524),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1524),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1524),
    [aux_sym_session_type_token1] = ACTIONS(1524),
    [aux_sym_set_env_token1] = ACTIONS(1524),
    [aux_sym_stdin_null_token1] = ACTIONS(1524),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1524),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1524),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1524),
    [aux_sym_syslog_facility_token1] = ACTIONS(1524),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1524),
    [aux_sym_keep_alive_token1] = ACTIONS(1524),
    [aux_sym_tag_token1] = ACTIONS(1524),
    [aux_sym_tunnel_token1] = ACTIONS(1526),
    [aux_sym_tunnel_device_token1] = ACTIONS(1524),
    [aux_sym_update_host_keys_token1] = ACTIONS(1524),
    [aux_sym_use_keychain_token1] = ACTIONS(1524),
    [aux_sym_use_roaming_token1] = ACTIONS(1524),
    [aux_sym_user_token1] = ACTIONS(1526),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1524),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1524),
    [aux_sym_version_addendum_token1] = ACTIONS(1524),
    [aux_sym_visual_host_key_token1] = ACTIONS(1524),
    [aux_sym_xauth_location_token1] = ACTIONS(1524),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_match_token1] = ACTIONS(1530),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1530),
    [aux_sym_address_family_token1] = ACTIONS(1530),
    [aux_sym_batch_mode_token1] = ACTIONS(1530),
    [aux_sym_bind_address_token1] = ACTIONS(1530),
    [aux_sym_bind_interface_token1] = ACTIONS(1530),
    [aux_sym_canonical_domains_token1] = ACTIONS(1530),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1530),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1530),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1530),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1530),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1530),
    [aux_sym_certificate_file_token1] = ACTIONS(1530),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1530),
    [aux_sym_channel_timeout_token1] = ACTIONS(1530),
    [aux_sym_check_host_ip_token1] = ACTIONS(1530),
    [aux_sym_ciphers_token1] = ACTIONS(1530),
    [aux_sym_cipher_token1] = ACTIONS(1532),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1530),
    [aux_sym_compression_token1] = ACTIONS(1530),
    [aux_sym_connection_attempts_token1] = ACTIONS(1530),
    [aux_sym_connect_timeout_token1] = ACTIONS(1530),
    [aux_sym_control_master_token1] = ACTIONS(1530),
    [aux_sym_control_path_token1] = ACTIONS(1530),
    [aux_sym_control_persist_token1] = ACTIONS(1530),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1530),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1530),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1530),
    [aux_sym_escape_char_token1] = ACTIONS(1530),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1530),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1530),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1530),
    [aux_sym_forward_agent_token1] = ACTIONS(1530),
    [aux_sym_forward_x11_token1] = ACTIONS(1532),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1530),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1530),
    [aux_sym_gateway_ports_token1] = ACTIONS(1530),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1530),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1530),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1530),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1530),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1530),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1530),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1530),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1530),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1530),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1530),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1530),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1530),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1530),
    [aux_sym_host_key_alias_token1] = ACTIONS(1530),
    [aux_sym_hostname_token1] = ACTIONS(1530),
    [aux_sym_identities_only_token1] = ACTIONS(1530),
    [aux_sym_identity_agent_token1] = ACTIONS(1530),
    [aux_sym_identity_file_token1] = ACTIONS(1530),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1530),
    [aux_sym_include_token1] = ACTIONS(1530),
    [aux_sym_ip_qos_token1] = ACTIONS(1530),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1530),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1530),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1530),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1530),
    [aux_sym_local_command_token1] = ACTIONS(1530),
    [aux_sym_local_forward_token1] = ACTIONS(1530),
    [aux_sym_log_level_token1] = ACTIONS(1530),
    [aux_sym_log_verbose_token1] = ACTIONS(1530),
    [aux_sym_macs_token1] = ACTIONS(1530),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1530),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1530),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1530),
    [aux_sym_password_authentication_token1] = ACTIONS(1530),
    [aux_sym_permit_local_command_token1] = ACTIONS(1530),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1530),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1530),
    [aux_sym_port_token1] = ACTIONS(1530),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1530),
    [aux_sym_protocol_token1] = ACTIONS(1530),
    [aux_sym_proxy_command_token1] = ACTIONS(1530),
    [aux_sym_proxy_jump_token1] = ACTIONS(1530),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1530),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1530),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1530),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1530),
    [aux_sym_rekey_limit_token1] = ACTIONS(1530),
    [aux_sym_remote_command_token1] = ACTIONS(1530),
    [aux_sym_remote_forward_token1] = ACTIONS(1530),
    [aux_sym_request_tty_token1] = ACTIONS(1530),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1530),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1530),
    [aux_sym_security_key_provider_token1] = ACTIONS(1530),
    [aux_sym_send_env_token1] = ACTIONS(1530),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1530),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1530),
    [aux_sym_session_type_token1] = ACTIONS(1530),
    [aux_sym_set_env_token1] = ACTIONS(1530),
    [aux_sym_stdin_null_token1] = ACTIONS(1530),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1530),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1530),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1530),
    [aux_sym_syslog_facility_token1] = ACTIONS(1530),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1530),
    [aux_sym_keep_alive_token1] = ACTIONS(1530),
    [aux_sym_tag_token1] = ACTIONS(1530),
    [aux_sym_tunnel_token1] = ACTIONS(1532),
    [aux_sym_tunnel_device_token1] = ACTIONS(1530),
    [aux_sym_update_host_keys_token1] = ACTIONS(1530),
    [aux_sym_use_keychain_token1] = ACTIONS(1530),
    [aux_sym_use_roaming_token1] = ACTIONS(1530),
    [aux_sym_user_token1] = ACTIONS(1532),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1530),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1530),
    [aux_sym_version_addendum_token1] = ACTIONS(1530),
    [aux_sym_visual_host_key_token1] = ACTIONS(1530),
    [aux_sym_xauth_location_token1] = ACTIONS(1530),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_match_token1] = ACTIONS(1534),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1534),
    [aux_sym_address_family_token1] = ACTIONS(1534),
    [aux_sym_batch_mode_token1] = ACTIONS(1534),
    [aux_sym_bind_address_token1] = ACTIONS(1534),
    [aux_sym_bind_interface_token1] = ACTIONS(1534),
    [aux_sym_canonical_domains_token1] = ACTIONS(1534),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1534),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1534),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1534),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1534),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1534),
    [aux_sym_certificate_file_token1] = ACTIONS(1534),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1534),
    [aux_sym_channel_timeout_token1] = ACTIONS(1534),
    [aux_sym_check_host_ip_token1] = ACTIONS(1534),
    [aux_sym_ciphers_token1] = ACTIONS(1534),
    [aux_sym_cipher_token1] = ACTIONS(1536),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1534),
    [aux_sym_compression_token1] = ACTIONS(1534),
    [aux_sym_connection_attempts_token1] = ACTIONS(1534),
    [aux_sym_connect_timeout_token1] = ACTIONS(1534),
    [aux_sym_control_master_token1] = ACTIONS(1534),
    [aux_sym_control_path_token1] = ACTIONS(1534),
    [aux_sym_control_persist_token1] = ACTIONS(1534),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1534),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1534),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1534),
    [aux_sym_escape_char_token1] = ACTIONS(1534),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1534),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1534),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1534),
    [aux_sym_forward_agent_token1] = ACTIONS(1534),
    [aux_sym_forward_x11_token1] = ACTIONS(1536),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1534),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1534),
    [aux_sym_gateway_ports_token1] = ACTIONS(1534),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1534),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1534),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1534),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1534),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1534),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1534),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1534),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1534),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1534),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1534),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1534),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1534),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1534),
    [aux_sym_host_key_alias_token1] = ACTIONS(1534),
    [aux_sym_hostname_token1] = ACTIONS(1534),
    [aux_sym_identities_only_token1] = ACTIONS(1534),
    [aux_sym_identity_agent_token1] = ACTIONS(1534),
    [aux_sym_identity_file_token1] = ACTIONS(1534),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1534),
    [aux_sym_include_token1] = ACTIONS(1534),
    [aux_sym_ip_qos_token1] = ACTIONS(1534),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1534),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1534),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1534),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1534),
    [aux_sym_local_command_token1] = ACTIONS(1534),
    [aux_sym_local_forward_token1] = ACTIONS(1534),
    [aux_sym_log_level_token1] = ACTIONS(1534),
    [aux_sym_log_verbose_token1] = ACTIONS(1534),
    [aux_sym_macs_token1] = ACTIONS(1534),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1534),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1534),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1534),
    [aux_sym_password_authentication_token1] = ACTIONS(1534),
    [aux_sym_permit_local_command_token1] = ACTIONS(1534),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1534),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1534),
    [aux_sym_port_token1] = ACTIONS(1534),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1534),
    [aux_sym_protocol_token1] = ACTIONS(1534),
    [aux_sym_proxy_command_token1] = ACTIONS(1534),
    [aux_sym_proxy_jump_token1] = ACTIONS(1534),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1534),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1534),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1534),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1534),
    [aux_sym_rekey_limit_token1] = ACTIONS(1534),
    [aux_sym_remote_command_token1] = ACTIONS(1534),
    [aux_sym_remote_forward_token1] = ACTIONS(1534),
    [aux_sym_request_tty_token1] = ACTIONS(1534),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1534),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1534),
    [aux_sym_security_key_provider_token1] = ACTIONS(1534),
    [aux_sym_send_env_token1] = ACTIONS(1534),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1534),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1534),
    [aux_sym_session_type_token1] = ACTIONS(1534),
    [aux_sym_set_env_token1] = ACTIONS(1534),
    [aux_sym_stdin_null_token1] = ACTIONS(1534),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1534),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1534),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1534),
    [aux_sym_syslog_facility_token1] = ACTIONS(1534),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1534),
    [aux_sym_keep_alive_token1] = ACTIONS(1534),
    [aux_sym_tag_token1] = ACTIONS(1534),
    [aux_sym_tunnel_token1] = ACTIONS(1536),
    [aux_sym_tunnel_device_token1] = ACTIONS(1534),
    [aux_sym_update_host_keys_token1] = ACTIONS(1534),
    [aux_sym_use_keychain_token1] = ACTIONS(1534),
    [aux_sym_use_roaming_token1] = ACTIONS(1534),
    [aux_sym_user_token1] = ACTIONS(1536),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1534),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1534),
    [aux_sym_version_addendum_token1] = ACTIONS(1534),
    [aux_sym_visual_host_key_token1] = ACTIONS(1534),
    [aux_sym_xauth_location_token1] = ACTIONS(1534),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_match_token1] = ACTIONS(1540),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1540),
    [aux_sym_address_family_token1] = ACTIONS(1540),
    [aux_sym_batch_mode_token1] = ACTIONS(1540),
    [aux_sym_bind_address_token1] = ACTIONS(1540),
    [aux_sym_bind_interface_token1] = ACTIONS(1540),
    [aux_sym_canonical_domains_token1] = ACTIONS(1540),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1540),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1540),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1540),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1540),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1540),
    [aux_sym_certificate_file_token1] = ACTIONS(1540),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1540),
    [aux_sym_channel_timeout_token1] = ACTIONS(1540),
    [aux_sym_check_host_ip_token1] = ACTIONS(1540),
    [aux_sym_ciphers_token1] = ACTIONS(1540),
    [aux_sym_cipher_token1] = ACTIONS(1542),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1540),
    [aux_sym_compression_token1] = ACTIONS(1540),
    [aux_sym_connection_attempts_token1] = ACTIONS(1540),
    [aux_sym_connect_timeout_token1] = ACTIONS(1540),
    [aux_sym_control_master_token1] = ACTIONS(1540),
    [aux_sym_control_path_token1] = ACTIONS(1540),
    [aux_sym_control_persist_token1] = ACTIONS(1540),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1540),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1540),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1540),
    [aux_sym_escape_char_token1] = ACTIONS(1540),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1540),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1540),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1540),
    [aux_sym_forward_agent_token1] = ACTIONS(1540),
    [aux_sym_forward_x11_token1] = ACTIONS(1542),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1540),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1540),
    [aux_sym_gateway_ports_token1] = ACTIONS(1540),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1540),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1540),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1540),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1540),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1540),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1540),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1540),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1540),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1540),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1540),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1540),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1540),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1540),
    [aux_sym_host_key_alias_token1] = ACTIONS(1540),
    [aux_sym_hostname_token1] = ACTIONS(1540),
    [aux_sym_identities_only_token1] = ACTIONS(1540),
    [aux_sym_identity_agent_token1] = ACTIONS(1540),
    [aux_sym_identity_file_token1] = ACTIONS(1540),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1540),
    [aux_sym_include_token1] = ACTIONS(1540),
    [aux_sym_ip_qos_token1] = ACTIONS(1540),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1540),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1540),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1540),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1540),
    [aux_sym_local_command_token1] = ACTIONS(1540),
    [aux_sym_local_forward_token1] = ACTIONS(1540),
    [aux_sym_log_level_token1] = ACTIONS(1540),
    [aux_sym_log_verbose_token1] = ACTIONS(1540),
    [aux_sym_macs_token1] = ACTIONS(1540),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1540),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1540),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1540),
    [aux_sym_password_authentication_token1] = ACTIONS(1540),
    [aux_sym_permit_local_command_token1] = ACTIONS(1540),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1540),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1540),
    [aux_sym_port_token1] = ACTIONS(1540),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1540),
    [aux_sym_protocol_token1] = ACTIONS(1540),
    [aux_sym_proxy_command_token1] = ACTIONS(1540),
    [aux_sym_proxy_jump_token1] = ACTIONS(1540),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1540),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1540),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1540),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1540),
    [aux_sym_rekey_limit_token1] = ACTIONS(1540),
    [aux_sym_remote_command_token1] = ACTIONS(1540),
    [aux_sym_remote_forward_token1] = ACTIONS(1540),
    [aux_sym_request_tty_token1] = ACTIONS(1540),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1540),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1540),
    [aux_sym_security_key_provider_token1] = ACTIONS(1540),
    [aux_sym_send_env_token1] = ACTIONS(1540),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1540),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1540),
    [aux_sym_session_type_token1] = ACTIONS(1540),
    [aux_sym_set_env_token1] = ACTIONS(1540),
    [aux_sym_stdin_null_token1] = ACTIONS(1540),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1540),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1540),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1540),
    [aux_sym_syslog_facility_token1] = ACTIONS(1540),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1540),
    [aux_sym_keep_alive_token1] = ACTIONS(1540),
    [aux_sym_tag_token1] = ACTIONS(1540),
    [aux_sym_tunnel_token1] = ACTIONS(1542),
    [aux_sym_tunnel_device_token1] = ACTIONS(1540),
    [aux_sym_update_host_keys_token1] = ACTIONS(1540),
    [aux_sym_use_keychain_token1] = ACTIONS(1540),
    [aux_sym_use_roaming_token1] = ACTIONS(1540),
    [aux_sym_user_token1] = ACTIONS(1542),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1540),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1540),
    [aux_sym_version_addendum_token1] = ACTIONS(1540),
    [aux_sym_visual_host_key_token1] = ACTIONS(1540),
    [aux_sym_xauth_location_token1] = ACTIONS(1540),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_match_token1] = ACTIONS(1544),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1544),
    [aux_sym_address_family_token1] = ACTIONS(1544),
    [aux_sym_batch_mode_token1] = ACTIONS(1544),
    [aux_sym_bind_address_token1] = ACTIONS(1544),
    [aux_sym_bind_interface_token1] = ACTIONS(1544),
    [aux_sym_canonical_domains_token1] = ACTIONS(1544),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1544),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1544),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1544),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1544),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1544),
    [aux_sym_certificate_file_token1] = ACTIONS(1544),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1544),
    [aux_sym_channel_timeout_token1] = ACTIONS(1544),
    [aux_sym_check_host_ip_token1] = ACTIONS(1544),
    [aux_sym_ciphers_token1] = ACTIONS(1544),
    [aux_sym_cipher_token1] = ACTIONS(1546),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1544),
    [aux_sym_compression_token1] = ACTIONS(1544),
    [aux_sym_connection_attempts_token1] = ACTIONS(1544),
    [aux_sym_connect_timeout_token1] = ACTIONS(1544),
    [aux_sym_control_master_token1] = ACTIONS(1544),
    [aux_sym_control_path_token1] = ACTIONS(1544),
    [aux_sym_control_persist_token1] = ACTIONS(1544),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1544),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1544),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1544),
    [aux_sym_escape_char_token1] = ACTIONS(1544),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1544),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1544),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1544),
    [aux_sym_forward_agent_token1] = ACTIONS(1544),
    [aux_sym_forward_x11_token1] = ACTIONS(1546),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1544),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1544),
    [aux_sym_gateway_ports_token1] = ACTIONS(1544),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1544),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1544),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1544),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1544),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1544),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1544),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1544),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1544),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1544),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1544),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1544),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1544),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1544),
    [aux_sym_host_key_alias_token1] = ACTIONS(1544),
    [aux_sym_hostname_token1] = ACTIONS(1544),
    [aux_sym_identities_only_token1] = ACTIONS(1544),
    [aux_sym_identity_agent_token1] = ACTIONS(1544),
    [aux_sym_identity_file_token1] = ACTIONS(1544),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1544),
    [aux_sym_include_token1] = ACTIONS(1544),
    [aux_sym_ip_qos_token1] = ACTIONS(1544),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1544),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1544),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1544),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1544),
    [aux_sym_local_command_token1] = ACTIONS(1544),
    [aux_sym_local_forward_token1] = ACTIONS(1544),
    [aux_sym_log_level_token1] = ACTIONS(1544),
    [aux_sym_log_verbose_token1] = ACTIONS(1544),
    [aux_sym_macs_token1] = ACTIONS(1544),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1544),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1544),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1544),
    [aux_sym_password_authentication_token1] = ACTIONS(1544),
    [aux_sym_permit_local_command_token1] = ACTIONS(1544),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1544),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1544),
    [aux_sym_port_token1] = ACTIONS(1544),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1544),
    [aux_sym_protocol_token1] = ACTIONS(1544),
    [aux_sym_proxy_command_token1] = ACTIONS(1544),
    [aux_sym_proxy_jump_token1] = ACTIONS(1544),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1544),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1544),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1544),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1544),
    [aux_sym_rekey_limit_token1] = ACTIONS(1544),
    [aux_sym_remote_command_token1] = ACTIONS(1544),
    [aux_sym_remote_forward_token1] = ACTIONS(1544),
    [aux_sym_request_tty_token1] = ACTIONS(1544),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1544),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1544),
    [aux_sym_security_key_provider_token1] = ACTIONS(1544),
    [aux_sym_send_env_token1] = ACTIONS(1544),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1544),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1544),
    [aux_sym_session_type_token1] = ACTIONS(1544),
    [aux_sym_set_env_token1] = ACTIONS(1544),
    [aux_sym_stdin_null_token1] = ACTIONS(1544),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1544),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1544),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1544),
    [aux_sym_syslog_facility_token1] = ACTIONS(1544),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1544),
    [aux_sym_keep_alive_token1] = ACTIONS(1544),
    [aux_sym_tag_token1] = ACTIONS(1544),
    [aux_sym_tunnel_token1] = ACTIONS(1546),
    [aux_sym_tunnel_device_token1] = ACTIONS(1544),
    [aux_sym_update_host_keys_token1] = ACTIONS(1544),
    [aux_sym_use_keychain_token1] = ACTIONS(1544),
    [aux_sym_use_roaming_token1] = ACTIONS(1544),
    [aux_sym_user_token1] = ACTIONS(1546),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1544),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1544),
    [aux_sym_version_addendum_token1] = ACTIONS(1544),
    [aux_sym_visual_host_key_token1] = ACTIONS(1544),
    [aux_sym_xauth_location_token1] = ACTIONS(1544),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_match_token1] = ACTIONS(1550),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1550),
    [aux_sym_address_family_token1] = ACTIONS(1550),
    [aux_sym_batch_mode_token1] = ACTIONS(1550),
    [aux_sym_bind_address_token1] = ACTIONS(1550),
    [aux_sym_bind_interface_token1] = ACTIONS(1550),
    [aux_sym_canonical_domains_token1] = ACTIONS(1550),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1550),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1550),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1550),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1550),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1550),
    [aux_sym_certificate_file_token1] = ACTIONS(1550),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1550),
    [aux_sym_channel_timeout_token1] = ACTIONS(1550),
    [aux_sym_check_host_ip_token1] = ACTIONS(1550),
    [aux_sym_ciphers_token1] = ACTIONS(1550),
    [aux_sym_cipher_token1] = ACTIONS(1552),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1550),
    [aux_sym_compression_token1] = ACTIONS(1550),
    [aux_sym_connection_attempts_token1] = ACTIONS(1550),
    [aux_sym_connect_timeout_token1] = ACTIONS(1550),
    [aux_sym_control_master_token1] = ACTIONS(1550),
    [aux_sym_control_path_token1] = ACTIONS(1550),
    [aux_sym_control_persist_token1] = ACTIONS(1550),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1550),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1550),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1550),
    [aux_sym_escape_char_token1] = ACTIONS(1550),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1550),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1550),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1550),
    [aux_sym_forward_agent_token1] = ACTIONS(1550),
    [aux_sym_forward_x11_token1] = ACTIONS(1552),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1550),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1550),
    [aux_sym_gateway_ports_token1] = ACTIONS(1550),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1550),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1550),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1550),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1550),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1550),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1550),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1550),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1550),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1550),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1550),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1550),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1550),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1550),
    [aux_sym_host_key_alias_token1] = ACTIONS(1550),
    [aux_sym_hostname_token1] = ACTIONS(1550),
    [aux_sym_identities_only_token1] = ACTIONS(1550),
    [aux_sym_identity_agent_token1] = ACTIONS(1550),
    [aux_sym_identity_file_token1] = ACTIONS(1550),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1550),
    [aux_sym_include_token1] = ACTIONS(1550),
    [aux_sym_ip_qos_token1] = ACTIONS(1550),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1550),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1550),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1550),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1550),
    [aux_sym_local_command_token1] = ACTIONS(1550),
    [aux_sym_local_forward_token1] = ACTIONS(1550),
    [aux_sym_log_level_token1] = ACTIONS(1550),
    [aux_sym_log_verbose_token1] = ACTIONS(1550),
    [aux_sym_macs_token1] = ACTIONS(1550),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1550),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1550),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1550),
    [aux_sym_password_authentication_token1] = ACTIONS(1550),
    [aux_sym_permit_local_command_token1] = ACTIONS(1550),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1550),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1550),
    [aux_sym_port_token1] = ACTIONS(1550),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1550),
    [aux_sym_protocol_token1] = ACTIONS(1550),
    [aux_sym_proxy_command_token1] = ACTIONS(1550),
    [aux_sym_proxy_jump_token1] = ACTIONS(1550),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1550),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1550),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1550),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1550),
    [aux_sym_rekey_limit_token1] = ACTIONS(1550),
    [aux_sym_remote_command_token1] = ACTIONS(1550),
    [aux_sym_remote_forward_token1] = ACTIONS(1550),
    [aux_sym_request_tty_token1] = ACTIONS(1550),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1550),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1550),
    [aux_sym_security_key_provider_token1] = ACTIONS(1550),
    [aux_sym_send_env_token1] = ACTIONS(1550),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1550),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1550),
    [aux_sym_session_type_token1] = ACTIONS(1550),
    [aux_sym_set_env_token1] = ACTIONS(1550),
    [aux_sym_stdin_null_token1] = ACTIONS(1550),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1550),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1550),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1550),
    [aux_sym_syslog_facility_token1] = ACTIONS(1550),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1550),
    [aux_sym_keep_alive_token1] = ACTIONS(1550),
    [aux_sym_tag_token1] = ACTIONS(1550),
    [aux_sym_tunnel_token1] = ACTIONS(1552),
    [aux_sym_tunnel_device_token1] = ACTIONS(1550),
    [aux_sym_update_host_keys_token1] = ACTIONS(1550),
    [aux_sym_use_keychain_token1] = ACTIONS(1550),
    [aux_sym_use_roaming_token1] = ACTIONS(1550),
    [aux_sym_user_token1] = ACTIONS(1552),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1550),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1550),
    [aux_sym_version_addendum_token1] = ACTIONS(1550),
    [aux_sym_visual_host_key_token1] = ACTIONS(1550),
    [aux_sym_xauth_location_token1] = ACTIONS(1550),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1556),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_match_token1] = ACTIONS(1554),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1554),
    [aux_sym_address_family_token1] = ACTIONS(1554),
    [aux_sym_batch_mode_token1] = ACTIONS(1554),
    [aux_sym_bind_address_token1] = ACTIONS(1554),
    [aux_sym_bind_interface_token1] = ACTIONS(1554),
    [aux_sym_canonical_domains_token1] = ACTIONS(1554),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1554),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1554),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1554),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1554),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1554),
    [aux_sym_certificate_file_token1] = ACTIONS(1554),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1554),
    [aux_sym_channel_timeout_token1] = ACTIONS(1554),
    [aux_sym_check_host_ip_token1] = ACTIONS(1554),
    [aux_sym_ciphers_token1] = ACTIONS(1554),
    [aux_sym_cipher_token1] = ACTIONS(1556),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1554),
    [aux_sym_compression_token1] = ACTIONS(1554),
    [aux_sym_connection_attempts_token1] = ACTIONS(1554),
    [aux_sym_connect_timeout_token1] = ACTIONS(1554),
    [aux_sym_control_master_token1] = ACTIONS(1554),
    [aux_sym_control_path_token1] = ACTIONS(1554),
    [aux_sym_control_persist_token1] = ACTIONS(1554),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1554),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1554),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1554),
    [aux_sym_escape_char_token1] = ACTIONS(1554),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1554),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1554),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1554),
    [aux_sym_forward_agent_token1] = ACTIONS(1554),
    [aux_sym_forward_x11_token1] = ACTIONS(1556),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1554),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1554),
    [aux_sym_gateway_ports_token1] = ACTIONS(1554),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1554),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1554),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1554),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1554),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1554),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1554),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1554),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1554),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1554),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1554),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1554),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1554),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1554),
    [aux_sym_host_key_alias_token1] = ACTIONS(1554),
    [aux_sym_hostname_token1] = ACTIONS(1554),
    [aux_sym_identities_only_token1] = ACTIONS(1554),
    [aux_sym_identity_agent_token1] = ACTIONS(1554),
    [aux_sym_identity_file_token1] = ACTIONS(1554),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1554),
    [aux_sym_include_token1] = ACTIONS(1554),
    [aux_sym_ip_qos_token1] = ACTIONS(1554),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1554),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1554),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1554),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1554),
    [aux_sym_local_command_token1] = ACTIONS(1554),
    [aux_sym_local_forward_token1] = ACTIONS(1554),
    [aux_sym_log_level_token1] = ACTIONS(1554),
    [aux_sym_log_verbose_token1] = ACTIONS(1554),
    [aux_sym_macs_token1] = ACTIONS(1554),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1554),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1554),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1554),
    [aux_sym_password_authentication_token1] = ACTIONS(1554),
    [aux_sym_permit_local_command_token1] = ACTIONS(1554),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1554),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1554),
    [aux_sym_port_token1] = ACTIONS(1554),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1554),
    [aux_sym_protocol_token1] = ACTIONS(1554),
    [aux_sym_proxy_command_token1] = ACTIONS(1554),
    [aux_sym_proxy_jump_token1] = ACTIONS(1554),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1554),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1554),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1554),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1554),
    [aux_sym_rekey_limit_token1] = ACTIONS(1554),
    [aux_sym_remote_command_token1] = ACTIONS(1554),
    [aux_sym_remote_forward_token1] = ACTIONS(1554),
    [aux_sym_request_tty_token1] = ACTIONS(1554),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1554),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1554),
    [aux_sym_security_key_provider_token1] = ACTIONS(1554),
    [aux_sym_send_env_token1] = ACTIONS(1554),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1554),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1554),
    [aux_sym_session_type_token1] = ACTIONS(1554),
    [aux_sym_set_env_token1] = ACTIONS(1554),
    [aux_sym_stdin_null_token1] = ACTIONS(1554),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1554),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1554),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1554),
    [aux_sym_syslog_facility_token1] = ACTIONS(1554),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1554),
    [aux_sym_keep_alive_token1] = ACTIONS(1554),
    [aux_sym_tag_token1] = ACTIONS(1554),
    [aux_sym_tunnel_token1] = ACTIONS(1556),
    [aux_sym_tunnel_device_token1] = ACTIONS(1554),
    [aux_sym_update_host_keys_token1] = ACTIONS(1554),
    [aux_sym_use_keychain_token1] = ACTIONS(1554),
    [aux_sym_use_roaming_token1] = ACTIONS(1554),
    [aux_sym_user_token1] = ACTIONS(1556),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1554),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1554),
    [aux_sym_version_addendum_token1] = ACTIONS(1554),
    [aux_sym_visual_host_key_token1] = ACTIONS(1554),
    [aux_sym_xauth_location_token1] = ACTIONS(1554),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [aux_sym_match_token1] = ACTIONS(1560),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1560),
    [aux_sym_address_family_token1] = ACTIONS(1560),
    [aux_sym_batch_mode_token1] = ACTIONS(1560),
    [aux_sym_bind_address_token1] = ACTIONS(1560),
    [aux_sym_bind_interface_token1] = ACTIONS(1560),
    [aux_sym_canonical_domains_token1] = ACTIONS(1560),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1560),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1560),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1560),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1560),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1560),
    [aux_sym_certificate_file_token1] = ACTIONS(1560),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1560),
    [aux_sym_channel_timeout_token1] = ACTIONS(1560),
    [aux_sym_check_host_ip_token1] = ACTIONS(1560),
    [aux_sym_ciphers_token1] = ACTIONS(1560),
    [aux_sym_cipher_token1] = ACTIONS(1562),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1560),
    [aux_sym_compression_token1] = ACTIONS(1560),
    [aux_sym_connection_attempts_token1] = ACTIONS(1560),
    [aux_sym_connect_timeout_token1] = ACTIONS(1560),
    [aux_sym_control_master_token1] = ACTIONS(1560),
    [aux_sym_control_path_token1] = ACTIONS(1560),
    [aux_sym_control_persist_token1] = ACTIONS(1560),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1560),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1560),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1560),
    [aux_sym_escape_char_token1] = ACTIONS(1560),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1560),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1560),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1560),
    [aux_sym_forward_agent_token1] = ACTIONS(1560),
    [aux_sym_forward_x11_token1] = ACTIONS(1562),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1560),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1560),
    [aux_sym_gateway_ports_token1] = ACTIONS(1560),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1560),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1560),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1560),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1560),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1560),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1560),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1560),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1560),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1560),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1560),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1560),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1560),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1560),
    [aux_sym_host_key_alias_token1] = ACTIONS(1560),
    [aux_sym_hostname_token1] = ACTIONS(1560),
    [aux_sym_identities_only_token1] = ACTIONS(1560),
    [aux_sym_identity_agent_token1] = ACTIONS(1560),
    [aux_sym_identity_file_token1] = ACTIONS(1560),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1560),
    [aux_sym_include_token1] = ACTIONS(1560),
    [aux_sym_ip_qos_token1] = ACTIONS(1560),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1560),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1560),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1560),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1560),
    [aux_sym_local_command_token1] = ACTIONS(1560),
    [aux_sym_local_forward_token1] = ACTIONS(1560),
    [aux_sym_log_level_token1] = ACTIONS(1560),
    [aux_sym_log_verbose_token1] = ACTIONS(1560),
    [aux_sym_macs_token1] = ACTIONS(1560),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1560),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1560),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1560),
    [aux_sym_password_authentication_token1] = ACTIONS(1560),
    [aux_sym_permit_local_command_token1] = ACTIONS(1560),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1560),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1560),
    [aux_sym_port_token1] = ACTIONS(1560),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1560),
    [aux_sym_protocol_token1] = ACTIONS(1560),
    [aux_sym_proxy_command_token1] = ACTIONS(1560),
    [aux_sym_proxy_jump_token1] = ACTIONS(1560),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1560),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1560),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1560),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1560),
    [aux_sym_rekey_limit_token1] = ACTIONS(1560),
    [aux_sym_remote_command_token1] = ACTIONS(1560),
    [aux_sym_remote_forward_token1] = ACTIONS(1560),
    [aux_sym_request_tty_token1] = ACTIONS(1560),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1560),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1560),
    [aux_sym_security_key_provider_token1] = ACTIONS(1560),
    [aux_sym_send_env_token1] = ACTIONS(1560),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1560),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1560),
    [aux_sym_session_type_token1] = ACTIONS(1560),
    [aux_sym_set_env_token1] = ACTIONS(1560),
    [aux_sym_stdin_null_token1] = ACTIONS(1560),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1560),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1560),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1560),
    [aux_sym_syslog_facility_token1] = ACTIONS(1560),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1560),
    [aux_sym_keep_alive_token1] = ACTIONS(1560),
    [aux_sym_tag_token1] = ACTIONS(1560),
    [aux_sym_tunnel_token1] = ACTIONS(1562),
    [aux_sym_tunnel_device_token1] = ACTIONS(1560),
    [aux_sym_update_host_keys_token1] = ACTIONS(1560),
    [aux_sym_use_keychain_token1] = ACTIONS(1560),
    [aux_sym_use_roaming_token1] = ACTIONS(1560),
    [aux_sym_user_token1] = ACTIONS(1562),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1560),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1560),
    [aux_sym_version_addendum_token1] = ACTIONS(1560),
    [aux_sym_visual_host_key_token1] = ACTIONS(1560),
    [aux_sym_xauth_location_token1] = ACTIONS(1560),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [aux_sym_match_token1] = ACTIONS(1564),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1564),
    [aux_sym_address_family_token1] = ACTIONS(1564),
    [aux_sym_batch_mode_token1] = ACTIONS(1564),
    [aux_sym_bind_address_token1] = ACTIONS(1564),
    [aux_sym_bind_interface_token1] = ACTIONS(1564),
    [aux_sym_canonical_domains_token1] = ACTIONS(1564),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1564),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1564),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1564),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1564),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1564),
    [aux_sym_certificate_file_token1] = ACTIONS(1564),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1564),
    [aux_sym_channel_timeout_token1] = ACTIONS(1564),
    [aux_sym_check_host_ip_token1] = ACTIONS(1564),
    [aux_sym_ciphers_token1] = ACTIONS(1564),
    [aux_sym_cipher_token1] = ACTIONS(1566),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1564),
    [aux_sym_compression_token1] = ACTIONS(1564),
    [aux_sym_connection_attempts_token1] = ACTIONS(1564),
    [aux_sym_connect_timeout_token1] = ACTIONS(1564),
    [aux_sym_control_master_token1] = ACTIONS(1564),
    [aux_sym_control_path_token1] = ACTIONS(1564),
    [aux_sym_control_persist_token1] = ACTIONS(1564),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1564),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1564),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1564),
    [aux_sym_escape_char_token1] = ACTIONS(1564),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1564),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1564),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1564),
    [aux_sym_forward_agent_token1] = ACTIONS(1564),
    [aux_sym_forward_x11_token1] = ACTIONS(1566),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1564),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1564),
    [aux_sym_gateway_ports_token1] = ACTIONS(1564),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1564),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1564),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1564),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1564),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1564),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1564),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1564),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1564),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1564),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1564),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1564),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1564),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1564),
    [aux_sym_host_key_alias_token1] = ACTIONS(1564),
    [aux_sym_hostname_token1] = ACTIONS(1564),
    [aux_sym_identities_only_token1] = ACTIONS(1564),
    [aux_sym_identity_agent_token1] = ACTIONS(1564),
    [aux_sym_identity_file_token1] = ACTIONS(1564),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1564),
    [aux_sym_include_token1] = ACTIONS(1564),
    [aux_sym_ip_qos_token1] = ACTIONS(1564),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1564),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1564),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1564),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1564),
    [aux_sym_local_command_token1] = ACTIONS(1564),
    [aux_sym_local_forward_token1] = ACTIONS(1564),
    [aux_sym_log_level_token1] = ACTIONS(1564),
    [aux_sym_log_verbose_token1] = ACTIONS(1564),
    [aux_sym_macs_token1] = ACTIONS(1564),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1564),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1564),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1564),
    [aux_sym_password_authentication_token1] = ACTIONS(1564),
    [aux_sym_permit_local_command_token1] = ACTIONS(1564),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1564),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1564),
    [aux_sym_port_token1] = ACTIONS(1564),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1564),
    [aux_sym_protocol_token1] = ACTIONS(1564),
    [aux_sym_proxy_command_token1] = ACTIONS(1564),
    [aux_sym_proxy_jump_token1] = ACTIONS(1564),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1564),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1564),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1564),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1564),
    [aux_sym_rekey_limit_token1] = ACTIONS(1564),
    [aux_sym_remote_command_token1] = ACTIONS(1564),
    [aux_sym_remote_forward_token1] = ACTIONS(1564),
    [aux_sym_request_tty_token1] = ACTIONS(1564),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1564),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1564),
    [aux_sym_security_key_provider_token1] = ACTIONS(1564),
    [aux_sym_send_env_token1] = ACTIONS(1564),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1564),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1564),
    [aux_sym_session_type_token1] = ACTIONS(1564),
    [aux_sym_set_env_token1] = ACTIONS(1564),
    [aux_sym_stdin_null_token1] = ACTIONS(1564),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1564),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1564),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1564),
    [aux_sym_syslog_facility_token1] = ACTIONS(1564),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1564),
    [aux_sym_keep_alive_token1] = ACTIONS(1564),
    [aux_sym_tag_token1] = ACTIONS(1564),
    [aux_sym_tunnel_token1] = ACTIONS(1566),
    [aux_sym_tunnel_device_token1] = ACTIONS(1564),
    [aux_sym_update_host_keys_token1] = ACTIONS(1564),
    [aux_sym_use_keychain_token1] = ACTIONS(1564),
    [aux_sym_use_roaming_token1] = ACTIONS(1564),
    [aux_sym_user_token1] = ACTIONS(1566),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1564),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1564),
    [aux_sym_version_addendum_token1] = ACTIONS(1564),
    [aux_sym_visual_host_key_token1] = ACTIONS(1564),
    [aux_sym_xauth_location_token1] = ACTIONS(1564),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_match_token1] = ACTIONS(1570),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1570),
    [aux_sym_address_family_token1] = ACTIONS(1570),
    [aux_sym_batch_mode_token1] = ACTIONS(1570),
    [aux_sym_bind_address_token1] = ACTIONS(1570),
    [aux_sym_bind_interface_token1] = ACTIONS(1570),
    [aux_sym_canonical_domains_token1] = ACTIONS(1570),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1570),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1570),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1570),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1570),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1570),
    [aux_sym_certificate_file_token1] = ACTIONS(1570),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1570),
    [aux_sym_channel_timeout_token1] = ACTIONS(1570),
    [aux_sym_check_host_ip_token1] = ACTIONS(1570),
    [aux_sym_ciphers_token1] = ACTIONS(1570),
    [aux_sym_cipher_token1] = ACTIONS(1572),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1570),
    [aux_sym_compression_token1] = ACTIONS(1570),
    [aux_sym_connection_attempts_token1] = ACTIONS(1570),
    [aux_sym_connect_timeout_token1] = ACTIONS(1570),
    [aux_sym_control_master_token1] = ACTIONS(1570),
    [aux_sym_control_path_token1] = ACTIONS(1570),
    [aux_sym_control_persist_token1] = ACTIONS(1570),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1570),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1570),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1570),
    [aux_sym_escape_char_token1] = ACTIONS(1570),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1570),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1570),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1570),
    [aux_sym_forward_agent_token1] = ACTIONS(1570),
    [aux_sym_forward_x11_token1] = ACTIONS(1572),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1570),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1570),
    [aux_sym_gateway_ports_token1] = ACTIONS(1570),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1570),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1570),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1570),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1570),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1570),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1570),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1570),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1570),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1570),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1570),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1570),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1570),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1570),
    [aux_sym_host_key_alias_token1] = ACTIONS(1570),
    [aux_sym_hostname_token1] = ACTIONS(1570),
    [aux_sym_identities_only_token1] = ACTIONS(1570),
    [aux_sym_identity_agent_token1] = ACTIONS(1570),
    [aux_sym_identity_file_token1] = ACTIONS(1570),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1570),
    [aux_sym_include_token1] = ACTIONS(1570),
    [aux_sym_ip_qos_token1] = ACTIONS(1570),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1570),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1570),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1570),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1570),
    [aux_sym_local_command_token1] = ACTIONS(1570),
    [aux_sym_local_forward_token1] = ACTIONS(1570),
    [aux_sym_log_level_token1] = ACTIONS(1570),
    [aux_sym_log_verbose_token1] = ACTIONS(1570),
    [aux_sym_macs_token1] = ACTIONS(1570),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1570),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1570),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1570),
    [aux_sym_password_authentication_token1] = ACTIONS(1570),
    [aux_sym_permit_local_command_token1] = ACTIONS(1570),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1570),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1570),
    [aux_sym_port_token1] = ACTIONS(1570),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1570),
    [aux_sym_protocol_token1] = ACTIONS(1570),
    [aux_sym_proxy_command_token1] = ACTIONS(1570),
    [aux_sym_proxy_jump_token1] = ACTIONS(1570),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1570),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1570),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1570),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1570),
    [aux_sym_rekey_limit_token1] = ACTIONS(1570),
    [aux_sym_remote_command_token1] = ACTIONS(1570),
    [aux_sym_remote_forward_token1] = ACTIONS(1570),
    [aux_sym_request_tty_token1] = ACTIONS(1570),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1570),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1570),
    [aux_sym_security_key_provider_token1] = ACTIONS(1570),
    [aux_sym_send_env_token1] = ACTIONS(1570),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1570),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1570),
    [aux_sym_session_type_token1] = ACTIONS(1570),
    [aux_sym_set_env_token1] = ACTIONS(1570),
    [aux_sym_stdin_null_token1] = ACTIONS(1570),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1570),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1570),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1570),
    [aux_sym_syslog_facility_token1] = ACTIONS(1570),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1570),
    [aux_sym_keep_alive_token1] = ACTIONS(1570),
    [aux_sym_tag_token1] = ACTIONS(1570),
    [aux_sym_tunnel_token1] = ACTIONS(1572),
    [aux_sym_tunnel_device_token1] = ACTIONS(1570),
    [aux_sym_update_host_keys_token1] = ACTIONS(1570),
    [aux_sym_use_keychain_token1] = ACTIONS(1570),
    [aux_sym_use_roaming_token1] = ACTIONS(1570),
    [aux_sym_user_token1] = ACTIONS(1572),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1570),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1570),
    [aux_sym_version_addendum_token1] = ACTIONS(1570),
    [aux_sym_visual_host_key_token1] = ACTIONS(1570),
    [aux_sym_xauth_location_token1] = ACTIONS(1570),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_match_token1] = ACTIONS(1574),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1574),
    [aux_sym_address_family_token1] = ACTIONS(1574),
    [aux_sym_batch_mode_token1] = ACTIONS(1574),
    [aux_sym_bind_address_token1] = ACTIONS(1574),
    [aux_sym_bind_interface_token1] = ACTIONS(1574),
    [aux_sym_canonical_domains_token1] = ACTIONS(1574),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1574),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1574),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1574),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1574),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1574),
    [aux_sym_certificate_file_token1] = ACTIONS(1574),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1574),
    [aux_sym_channel_timeout_token1] = ACTIONS(1574),
    [aux_sym_check_host_ip_token1] = ACTIONS(1574),
    [aux_sym_ciphers_token1] = ACTIONS(1574),
    [aux_sym_cipher_token1] = ACTIONS(1576),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1574),
    [aux_sym_compression_token1] = ACTIONS(1574),
    [aux_sym_connection_attempts_token1] = ACTIONS(1574),
    [aux_sym_connect_timeout_token1] = ACTIONS(1574),
    [aux_sym_control_master_token1] = ACTIONS(1574),
    [aux_sym_control_path_token1] = ACTIONS(1574),
    [aux_sym_control_persist_token1] = ACTIONS(1574),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1574),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1574),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1574),
    [aux_sym_escape_char_token1] = ACTIONS(1574),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1574),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1574),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1574),
    [aux_sym_forward_agent_token1] = ACTIONS(1574),
    [aux_sym_forward_x11_token1] = ACTIONS(1576),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1574),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1574),
    [aux_sym_gateway_ports_token1] = ACTIONS(1574),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1574),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1574),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1574),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1574),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1574),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1574),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1574),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1574),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1574),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1574),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1574),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1574),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1574),
    [aux_sym_host_key_alias_token1] = ACTIONS(1574),
    [aux_sym_hostname_token1] = ACTIONS(1574),
    [aux_sym_identities_only_token1] = ACTIONS(1574),
    [aux_sym_identity_agent_token1] = ACTIONS(1574),
    [aux_sym_identity_file_token1] = ACTIONS(1574),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1574),
    [aux_sym_include_token1] = ACTIONS(1574),
    [aux_sym_ip_qos_token1] = ACTIONS(1574),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1574),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1574),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1574),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1574),
    [aux_sym_local_command_token1] = ACTIONS(1574),
    [aux_sym_local_forward_token1] = ACTIONS(1574),
    [aux_sym_log_level_token1] = ACTIONS(1574),
    [aux_sym_log_verbose_token1] = ACTIONS(1574),
    [aux_sym_macs_token1] = ACTIONS(1574),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1574),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1574),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1574),
    [aux_sym_password_authentication_token1] = ACTIONS(1574),
    [aux_sym_permit_local_command_token1] = ACTIONS(1574),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1574),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1574),
    [aux_sym_port_token1] = ACTIONS(1574),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1574),
    [aux_sym_protocol_token1] = ACTIONS(1574),
    [aux_sym_proxy_command_token1] = ACTIONS(1574),
    [aux_sym_proxy_jump_token1] = ACTIONS(1574),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1574),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1574),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1574),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1574),
    [aux_sym_rekey_limit_token1] = ACTIONS(1574),
    [aux_sym_remote_command_token1] = ACTIONS(1574),
    [aux_sym_remote_forward_token1] = ACTIONS(1574),
    [aux_sym_request_tty_token1] = ACTIONS(1574),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1574),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1574),
    [aux_sym_security_key_provider_token1] = ACTIONS(1574),
    [aux_sym_send_env_token1] = ACTIONS(1574),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1574),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1574),
    [aux_sym_session_type_token1] = ACTIONS(1574),
    [aux_sym_set_env_token1] = ACTIONS(1574),
    [aux_sym_stdin_null_token1] = ACTIONS(1574),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1574),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1574),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1574),
    [aux_sym_syslog_facility_token1] = ACTIONS(1574),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1574),
    [aux_sym_keep_alive_token1] = ACTIONS(1574),
    [aux_sym_tag_token1] = ACTIONS(1574),
    [aux_sym_tunnel_token1] = ACTIONS(1576),
    [aux_sym_tunnel_device_token1] = ACTIONS(1574),
    [aux_sym_update_host_keys_token1] = ACTIONS(1574),
    [aux_sym_use_keychain_token1] = ACTIONS(1574),
    [aux_sym_use_roaming_token1] = ACTIONS(1574),
    [aux_sym_user_token1] = ACTIONS(1576),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1574),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1574),
    [aux_sym_version_addendum_token1] = ACTIONS(1574),
    [aux_sym_visual_host_key_token1] = ACTIONS(1574),
    [aux_sym_xauth_location_token1] = ACTIONS(1574),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1580),
    [aux_sym_match_token1] = ACTIONS(1580),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1580),
    [aux_sym_address_family_token1] = ACTIONS(1580),
    [aux_sym_batch_mode_token1] = ACTIONS(1580),
    [aux_sym_bind_address_token1] = ACTIONS(1580),
    [aux_sym_bind_interface_token1] = ACTIONS(1580),
    [aux_sym_canonical_domains_token1] = ACTIONS(1580),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1580),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1580),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1580),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1580),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1580),
    [aux_sym_certificate_file_token1] = ACTIONS(1580),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1580),
    [aux_sym_channel_timeout_token1] = ACTIONS(1580),
    [aux_sym_check_host_ip_token1] = ACTIONS(1580),
    [aux_sym_ciphers_token1] = ACTIONS(1580),
    [aux_sym_cipher_token1] = ACTIONS(1582),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1580),
    [aux_sym_compression_token1] = ACTIONS(1580),
    [aux_sym_connection_attempts_token1] = ACTIONS(1580),
    [aux_sym_connect_timeout_token1] = ACTIONS(1580),
    [aux_sym_control_master_token1] = ACTIONS(1580),
    [aux_sym_control_path_token1] = ACTIONS(1580),
    [aux_sym_control_persist_token1] = ACTIONS(1580),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1580),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1580),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1580),
    [aux_sym_escape_char_token1] = ACTIONS(1580),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1580),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1580),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1580),
    [aux_sym_forward_agent_token1] = ACTIONS(1580),
    [aux_sym_forward_x11_token1] = ACTIONS(1582),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1580),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1580),
    [aux_sym_gateway_ports_token1] = ACTIONS(1580),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1580),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1580),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1580),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1580),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1580),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1580),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1580),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1580),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1580),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1580),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1580),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1580),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1580),
    [aux_sym_host_key_alias_token1] = ACTIONS(1580),
    [aux_sym_hostname_token1] = ACTIONS(1580),
    [aux_sym_identities_only_token1] = ACTIONS(1580),
    [aux_sym_identity_agent_token1] = ACTIONS(1580),
    [aux_sym_identity_file_token1] = ACTIONS(1580),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1580),
    [aux_sym_include_token1] = ACTIONS(1580),
    [aux_sym_ip_qos_token1] = ACTIONS(1580),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1580),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1580),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1580),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1580),
    [aux_sym_local_command_token1] = ACTIONS(1580),
    [aux_sym_local_forward_token1] = ACTIONS(1580),
    [aux_sym_log_level_token1] = ACTIONS(1580),
    [aux_sym_log_verbose_token1] = ACTIONS(1580),
    [aux_sym_macs_token1] = ACTIONS(1580),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1580),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1580),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1580),
    [aux_sym_password_authentication_token1] = ACTIONS(1580),
    [aux_sym_permit_local_command_token1] = ACTIONS(1580),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1580),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1580),
    [aux_sym_port_token1] = ACTIONS(1580),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1580),
    [aux_sym_protocol_token1] = ACTIONS(1580),
    [aux_sym_proxy_command_token1] = ACTIONS(1580),
    [aux_sym_proxy_jump_token1] = ACTIONS(1580),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1580),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1580),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1580),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1580),
    [aux_sym_rekey_limit_token1] = ACTIONS(1580),
    [aux_sym_remote_command_token1] = ACTIONS(1580),
    [aux_sym_remote_forward_token1] = ACTIONS(1580),
    [aux_sym_request_tty_token1] = ACTIONS(1580),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1580),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1580),
    [aux_sym_security_key_provider_token1] = ACTIONS(1580),
    [aux_sym_send_env_token1] = ACTIONS(1580),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1580),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1580),
    [aux_sym_session_type_token1] = ACTIONS(1580),
    [aux_sym_set_env_token1] = ACTIONS(1580),
    [aux_sym_stdin_null_token1] = ACTIONS(1580),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1580),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1580),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1580),
    [aux_sym_syslog_facility_token1] = ACTIONS(1580),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1580),
    [aux_sym_keep_alive_token1] = ACTIONS(1580),
    [aux_sym_tag_token1] = ACTIONS(1580),
    [aux_sym_tunnel_token1] = ACTIONS(1582),
    [aux_sym_tunnel_device_token1] = ACTIONS(1580),
    [aux_sym_update_host_keys_token1] = ACTIONS(1580),
    [aux_sym_use_keychain_token1] = ACTIONS(1580),
    [aux_sym_use_roaming_token1] = ACTIONS(1580),
    [aux_sym_user_token1] = ACTIONS(1582),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1580),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1580),
    [aux_sym_version_addendum_token1] = ACTIONS(1580),
    [aux_sym_visual_host_key_token1] = ACTIONS(1580),
    [aux_sym_xauth_location_token1] = ACTIONS(1580),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [aux_sym_match_token1] = ACTIONS(1584),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1584),
    [aux_sym_address_family_token1] = ACTIONS(1584),
    [aux_sym_batch_mode_token1] = ACTIONS(1584),
    [aux_sym_bind_address_token1] = ACTIONS(1584),
    [aux_sym_bind_interface_token1] = ACTIONS(1584),
    [aux_sym_canonical_domains_token1] = ACTIONS(1584),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1584),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1584),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1584),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1584),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1584),
    [aux_sym_certificate_file_token1] = ACTIONS(1584),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1584),
    [aux_sym_channel_timeout_token1] = ACTIONS(1584),
    [aux_sym_check_host_ip_token1] = ACTIONS(1584),
    [aux_sym_ciphers_token1] = ACTIONS(1584),
    [aux_sym_cipher_token1] = ACTIONS(1586),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1584),
    [aux_sym_compression_token1] = ACTIONS(1584),
    [aux_sym_connection_attempts_token1] = ACTIONS(1584),
    [aux_sym_connect_timeout_token1] = ACTIONS(1584),
    [aux_sym_control_master_token1] = ACTIONS(1584),
    [aux_sym_control_path_token1] = ACTIONS(1584),
    [aux_sym_control_persist_token1] = ACTIONS(1584),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1584),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1584),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1584),
    [aux_sym_escape_char_token1] = ACTIONS(1584),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1584),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1584),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1584),
    [aux_sym_forward_agent_token1] = ACTIONS(1584),
    [aux_sym_forward_x11_token1] = ACTIONS(1586),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1584),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1584),
    [aux_sym_gateway_ports_token1] = ACTIONS(1584),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1584),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1584),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1584),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1584),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1584),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1584),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1584),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1584),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1584),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1584),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1584),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1584),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1584),
    [aux_sym_host_key_alias_token1] = ACTIONS(1584),
    [aux_sym_hostname_token1] = ACTIONS(1584),
    [aux_sym_identities_only_token1] = ACTIONS(1584),
    [aux_sym_identity_agent_token1] = ACTIONS(1584),
    [aux_sym_identity_file_token1] = ACTIONS(1584),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1584),
    [aux_sym_include_token1] = ACTIONS(1584),
    [aux_sym_ip_qos_token1] = ACTIONS(1584),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1584),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1584),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1584),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1584),
    [aux_sym_local_command_token1] = ACTIONS(1584),
    [aux_sym_local_forward_token1] = ACTIONS(1584),
    [aux_sym_log_level_token1] = ACTIONS(1584),
    [aux_sym_log_verbose_token1] = ACTIONS(1584),
    [aux_sym_macs_token1] = ACTIONS(1584),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1584),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1584),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1584),
    [aux_sym_password_authentication_token1] = ACTIONS(1584),
    [aux_sym_permit_local_command_token1] = ACTIONS(1584),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1584),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1584),
    [aux_sym_port_token1] = ACTIONS(1584),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1584),
    [aux_sym_protocol_token1] = ACTIONS(1584),
    [aux_sym_proxy_command_token1] = ACTIONS(1584),
    [aux_sym_proxy_jump_token1] = ACTIONS(1584),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1584),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1584),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1584),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1584),
    [aux_sym_rekey_limit_token1] = ACTIONS(1584),
    [aux_sym_remote_command_token1] = ACTIONS(1584),
    [aux_sym_remote_forward_token1] = ACTIONS(1584),
    [aux_sym_request_tty_token1] = ACTIONS(1584),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1584),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1584),
    [aux_sym_security_key_provider_token1] = ACTIONS(1584),
    [aux_sym_send_env_token1] = ACTIONS(1584),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1584),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1584),
    [aux_sym_session_type_token1] = ACTIONS(1584),
    [aux_sym_set_env_token1] = ACTIONS(1584),
    [aux_sym_stdin_null_token1] = ACTIONS(1584),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1584),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1584),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1584),
    [aux_sym_syslog_facility_token1] = ACTIONS(1584),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1584),
    [aux_sym_keep_alive_token1] = ACTIONS(1584),
    [aux_sym_tag_token1] = ACTIONS(1584),
    [aux_sym_tunnel_token1] = ACTIONS(1586),
    [aux_sym_tunnel_device_token1] = ACTIONS(1584),
    [aux_sym_update_host_keys_token1] = ACTIONS(1584),
    [aux_sym_use_keychain_token1] = ACTIONS(1584),
    [aux_sym_use_roaming_token1] = ACTIONS(1584),
    [aux_sym_user_token1] = ACTIONS(1586),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1584),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1584),
    [aux_sym_version_addendum_token1] = ACTIONS(1584),
    [aux_sym_visual_host_key_token1] = ACTIONS(1584),
    [aux_sym_xauth_location_token1] = ACTIONS(1584),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1590),
    [aux_sym_match_token1] = ACTIONS(1590),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1590),
    [aux_sym_address_family_token1] = ACTIONS(1590),
    [aux_sym_batch_mode_token1] = ACTIONS(1590),
    [aux_sym_bind_address_token1] = ACTIONS(1590),
    [aux_sym_bind_interface_token1] = ACTIONS(1590),
    [aux_sym_canonical_domains_token1] = ACTIONS(1590),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1590),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1590),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1590),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1590),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1590),
    [aux_sym_certificate_file_token1] = ACTIONS(1590),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1590),
    [aux_sym_channel_timeout_token1] = ACTIONS(1590),
    [aux_sym_check_host_ip_token1] = ACTIONS(1590),
    [aux_sym_ciphers_token1] = ACTIONS(1590),
    [aux_sym_cipher_token1] = ACTIONS(1592),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1590),
    [aux_sym_compression_token1] = ACTIONS(1590),
    [aux_sym_connection_attempts_token1] = ACTIONS(1590),
    [aux_sym_connect_timeout_token1] = ACTIONS(1590),
    [aux_sym_control_master_token1] = ACTIONS(1590),
    [aux_sym_control_path_token1] = ACTIONS(1590),
    [aux_sym_control_persist_token1] = ACTIONS(1590),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1590),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1590),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1590),
    [aux_sym_escape_char_token1] = ACTIONS(1590),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1590),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1590),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1590),
    [aux_sym_forward_agent_token1] = ACTIONS(1590),
    [aux_sym_forward_x11_token1] = ACTIONS(1592),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1590),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1590),
    [aux_sym_gateway_ports_token1] = ACTIONS(1590),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1590),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1590),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1590),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1590),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1590),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1590),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1590),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1590),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1590),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1590),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1590),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1590),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1590),
    [aux_sym_host_key_alias_token1] = ACTIONS(1590),
    [aux_sym_hostname_token1] = ACTIONS(1590),
    [aux_sym_identities_only_token1] = ACTIONS(1590),
    [aux_sym_identity_agent_token1] = ACTIONS(1590),
    [aux_sym_identity_file_token1] = ACTIONS(1590),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1590),
    [aux_sym_include_token1] = ACTIONS(1590),
    [aux_sym_ip_qos_token1] = ACTIONS(1590),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1590),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1590),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1590),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1590),
    [aux_sym_local_command_token1] = ACTIONS(1590),
    [aux_sym_local_forward_token1] = ACTIONS(1590),
    [aux_sym_log_level_token1] = ACTIONS(1590),
    [aux_sym_log_verbose_token1] = ACTIONS(1590),
    [aux_sym_macs_token1] = ACTIONS(1590),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1590),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1590),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1590),
    [aux_sym_password_authentication_token1] = ACTIONS(1590),
    [aux_sym_permit_local_command_token1] = ACTIONS(1590),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1590),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1590),
    [aux_sym_port_token1] = ACTIONS(1590),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1590),
    [aux_sym_protocol_token1] = ACTIONS(1590),
    [aux_sym_proxy_command_token1] = ACTIONS(1590),
    [aux_sym_proxy_jump_token1] = ACTIONS(1590),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1590),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1590),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1590),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1590),
    [aux_sym_rekey_limit_token1] = ACTIONS(1590),
    [aux_sym_remote_command_token1] = ACTIONS(1590),
    [aux_sym_remote_forward_token1] = ACTIONS(1590),
    [aux_sym_request_tty_token1] = ACTIONS(1590),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1590),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1590),
    [aux_sym_security_key_provider_token1] = ACTIONS(1590),
    [aux_sym_send_env_token1] = ACTIONS(1590),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1590),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1590),
    [aux_sym_session_type_token1] = ACTIONS(1590),
    [aux_sym_set_env_token1] = ACTIONS(1590),
    [aux_sym_stdin_null_token1] = ACTIONS(1590),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1590),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1590),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1590),
    [aux_sym_syslog_facility_token1] = ACTIONS(1590),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1590),
    [aux_sym_keep_alive_token1] = ACTIONS(1590),
    [aux_sym_tag_token1] = ACTIONS(1590),
    [aux_sym_tunnel_token1] = ACTIONS(1592),
    [aux_sym_tunnel_device_token1] = ACTIONS(1590),
    [aux_sym_update_host_keys_token1] = ACTIONS(1590),
    [aux_sym_use_keychain_token1] = ACTIONS(1590),
    [aux_sym_use_roaming_token1] = ACTIONS(1590),
    [aux_sym_user_token1] = ACTIONS(1592),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1590),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1590),
    [aux_sym_version_addendum_token1] = ACTIONS(1590),
    [aux_sym_visual_host_key_token1] = ACTIONS(1590),
    [aux_sym_xauth_location_token1] = ACTIONS(1590),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1598),
    [aux_sym_match_token1] = ACTIONS(1594),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1594),
    [aux_sym_address_family_token1] = ACTIONS(1594),
    [aux_sym_batch_mode_token1] = ACTIONS(1594),
    [aux_sym_bind_address_token1] = ACTIONS(1594),
    [aux_sym_bind_interface_token1] = ACTIONS(1594),
    [aux_sym_canonical_domains_token1] = ACTIONS(1594),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1594),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1594),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1594),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1594),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1594),
    [aux_sym_certificate_file_token1] = ACTIONS(1594),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1594),
    [aux_sym_channel_timeout_token1] = ACTIONS(1594),
    [aux_sym_check_host_ip_token1] = ACTIONS(1594),
    [aux_sym_ciphers_token1] = ACTIONS(1594),
    [aux_sym_cipher_token1] = ACTIONS(1596),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1594),
    [aux_sym_compression_token1] = ACTIONS(1594),
    [aux_sym_connection_attempts_token1] = ACTIONS(1594),
    [aux_sym_connect_timeout_token1] = ACTIONS(1594),
    [aux_sym_control_master_token1] = ACTIONS(1594),
    [aux_sym_control_path_token1] = ACTIONS(1594),
    [aux_sym_control_persist_token1] = ACTIONS(1594),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1594),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1594),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1594),
    [aux_sym_escape_char_token1] = ACTIONS(1594),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1594),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1594),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1594),
    [aux_sym_forward_agent_token1] = ACTIONS(1594),
    [aux_sym_forward_x11_token1] = ACTIONS(1596),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1594),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1594),
    [aux_sym_gateway_ports_token1] = ACTIONS(1594),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1594),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1594),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1594),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1594),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1594),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1594),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1594),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1594),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1594),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1594),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1594),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1594),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1594),
    [aux_sym_host_key_alias_token1] = ACTIONS(1594),
    [aux_sym_hostname_token1] = ACTIONS(1594),
    [aux_sym_identities_only_token1] = ACTIONS(1594),
    [aux_sym_identity_agent_token1] = ACTIONS(1594),
    [aux_sym_identity_file_token1] = ACTIONS(1594),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1594),
    [aux_sym_include_token1] = ACTIONS(1594),
    [aux_sym_ip_qos_token1] = ACTIONS(1594),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1594),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1594),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1594),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1594),
    [aux_sym_local_command_token1] = ACTIONS(1594),
    [aux_sym_local_forward_token1] = ACTIONS(1594),
    [aux_sym_log_level_token1] = ACTIONS(1594),
    [aux_sym_log_verbose_token1] = ACTIONS(1594),
    [aux_sym_macs_token1] = ACTIONS(1594),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1594),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1594),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1594),
    [aux_sym_password_authentication_token1] = ACTIONS(1594),
    [aux_sym_permit_local_command_token1] = ACTIONS(1594),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1594),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1594),
    [aux_sym_port_token1] = ACTIONS(1594),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1594),
    [aux_sym_protocol_token1] = ACTIONS(1594),
    [aux_sym_proxy_command_token1] = ACTIONS(1594),
    [aux_sym_proxy_jump_token1] = ACTIONS(1594),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1594),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1594),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1594),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1594),
    [aux_sym_rekey_limit_token1] = ACTIONS(1594),
    [aux_sym_remote_command_token1] = ACTIONS(1594),
    [aux_sym_remote_forward_token1] = ACTIONS(1594),
    [aux_sym_request_tty_token1] = ACTIONS(1594),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1594),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1594),
    [aux_sym_security_key_provider_token1] = ACTIONS(1594),
    [aux_sym_send_env_token1] = ACTIONS(1594),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1594),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1594),
    [aux_sym_session_type_token1] = ACTIONS(1594),
    [aux_sym_set_env_token1] = ACTIONS(1594),
    [aux_sym_stdin_null_token1] = ACTIONS(1594),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1594),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1594),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1594),
    [aux_sym_syslog_facility_token1] = ACTIONS(1594),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1594),
    [aux_sym_keep_alive_token1] = ACTIONS(1594),
    [aux_sym_tag_token1] = ACTIONS(1594),
    [aux_sym_tunnel_token1] = ACTIONS(1596),
    [aux_sym_tunnel_device_token1] = ACTIONS(1594),
    [aux_sym_update_host_keys_token1] = ACTIONS(1594),
    [aux_sym_use_keychain_token1] = ACTIONS(1594),
    [aux_sym_use_roaming_token1] = ACTIONS(1594),
    [aux_sym_user_token1] = ACTIONS(1596),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1594),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1594),
    [aux_sym_version_addendum_token1] = ACTIONS(1594),
    [aux_sym_visual_host_key_token1] = ACTIONS(1594),
    [aux_sym_xauth_location_token1] = ACTIONS(1594),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [aux_sym_match_token1] = ACTIONS(1600),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1600),
    [aux_sym_address_family_token1] = ACTIONS(1600),
    [aux_sym_batch_mode_token1] = ACTIONS(1600),
    [aux_sym_bind_address_token1] = ACTIONS(1600),
    [aux_sym_bind_interface_token1] = ACTIONS(1600),
    [aux_sym_canonical_domains_token1] = ACTIONS(1600),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1600),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1600),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1600),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1600),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1600),
    [aux_sym_certificate_file_token1] = ACTIONS(1600),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1600),
    [aux_sym_channel_timeout_token1] = ACTIONS(1600),
    [aux_sym_check_host_ip_token1] = ACTIONS(1600),
    [aux_sym_ciphers_token1] = ACTIONS(1600),
    [aux_sym_cipher_token1] = ACTIONS(1602),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1600),
    [aux_sym_compression_token1] = ACTIONS(1600),
    [aux_sym_connection_attempts_token1] = ACTIONS(1600),
    [aux_sym_connect_timeout_token1] = ACTIONS(1600),
    [aux_sym_control_master_token1] = ACTIONS(1600),
    [aux_sym_control_path_token1] = ACTIONS(1600),
    [aux_sym_control_persist_token1] = ACTIONS(1600),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1600),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1600),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1600),
    [aux_sym_escape_char_token1] = ACTIONS(1600),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1600),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1600),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1600),
    [aux_sym_forward_agent_token1] = ACTIONS(1600),
    [aux_sym_forward_x11_token1] = ACTIONS(1602),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1600),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1600),
    [aux_sym_gateway_ports_token1] = ACTIONS(1600),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1600),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1600),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1600),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1600),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1600),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1600),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1600),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1600),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1600),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1600),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1600),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1600),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1600),
    [aux_sym_host_key_alias_token1] = ACTIONS(1600),
    [aux_sym_hostname_token1] = ACTIONS(1600),
    [aux_sym_identities_only_token1] = ACTIONS(1600),
    [aux_sym_identity_agent_token1] = ACTIONS(1600),
    [aux_sym_identity_file_token1] = ACTIONS(1600),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1600),
    [aux_sym_include_token1] = ACTIONS(1600),
    [aux_sym_ip_qos_token1] = ACTIONS(1600),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1600),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1600),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1600),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1600),
    [aux_sym_local_command_token1] = ACTIONS(1600),
    [aux_sym_local_forward_token1] = ACTIONS(1600),
    [aux_sym_log_level_token1] = ACTIONS(1600),
    [aux_sym_log_verbose_token1] = ACTIONS(1600),
    [aux_sym_macs_token1] = ACTIONS(1600),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1600),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1600),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1600),
    [aux_sym_password_authentication_token1] = ACTIONS(1600),
    [aux_sym_permit_local_command_token1] = ACTIONS(1600),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1600),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1600),
    [aux_sym_port_token1] = ACTIONS(1600),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1600),
    [aux_sym_protocol_token1] = ACTIONS(1600),
    [aux_sym_proxy_command_token1] = ACTIONS(1600),
    [aux_sym_proxy_jump_token1] = ACTIONS(1600),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1600),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1600),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1600),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1600),
    [aux_sym_rekey_limit_token1] = ACTIONS(1600),
    [aux_sym_remote_command_token1] = ACTIONS(1600),
    [aux_sym_remote_forward_token1] = ACTIONS(1600),
    [aux_sym_request_tty_token1] = ACTIONS(1600),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1600),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1600),
    [aux_sym_security_key_provider_token1] = ACTIONS(1600),
    [aux_sym_send_env_token1] = ACTIONS(1600),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1600),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1600),
    [aux_sym_session_type_token1] = ACTIONS(1600),
    [aux_sym_set_env_token1] = ACTIONS(1600),
    [aux_sym_stdin_null_token1] = ACTIONS(1600),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1600),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1600),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1600),
    [aux_sym_syslog_facility_token1] = ACTIONS(1600),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1600),
    [aux_sym_keep_alive_token1] = ACTIONS(1600),
    [aux_sym_tag_token1] = ACTIONS(1600),
    [aux_sym_tunnel_token1] = ACTIONS(1602),
    [aux_sym_tunnel_device_token1] = ACTIONS(1600),
    [aux_sym_update_host_keys_token1] = ACTIONS(1600),
    [aux_sym_use_keychain_token1] = ACTIONS(1600),
    [aux_sym_use_roaming_token1] = ACTIONS(1600),
    [aux_sym_user_token1] = ACTIONS(1602),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1600),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1600),
    [aux_sym_version_addendum_token1] = ACTIONS(1600),
    [aux_sym_visual_host_key_token1] = ACTIONS(1600),
    [aux_sym_xauth_location_token1] = ACTIONS(1600),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(1604),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1606),
    [anon_sym_DQUOTE] = ACTIONS(1608),
    [aux_sym_match_token1] = ACTIONS(1604),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1604),
    [aux_sym_address_family_token1] = ACTIONS(1604),
    [aux_sym_batch_mode_token1] = ACTIONS(1604),
    [aux_sym_bind_address_token1] = ACTIONS(1604),
    [aux_sym_bind_interface_token1] = ACTIONS(1604),
    [aux_sym_canonical_domains_token1] = ACTIONS(1604),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1604),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1604),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1604),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1604),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1604),
    [aux_sym_certificate_file_token1] = ACTIONS(1604),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1604),
    [aux_sym_channel_timeout_token1] = ACTIONS(1604),
    [aux_sym_check_host_ip_token1] = ACTIONS(1604),
    [aux_sym_ciphers_token1] = ACTIONS(1604),
    [aux_sym_cipher_token1] = ACTIONS(1606),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1604),
    [aux_sym_compression_token1] = ACTIONS(1604),
    [aux_sym_connection_attempts_token1] = ACTIONS(1604),
    [aux_sym_connect_timeout_token1] = ACTIONS(1604),
    [aux_sym_control_master_token1] = ACTIONS(1604),
    [aux_sym_control_path_token1] = ACTIONS(1604),
    [aux_sym_control_persist_token1] = ACTIONS(1604),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1604),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1604),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1604),
    [aux_sym_escape_char_token1] = ACTIONS(1604),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1604),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1604),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1604),
    [aux_sym_forward_agent_token1] = ACTIONS(1604),
    [aux_sym_forward_x11_token1] = ACTIONS(1606),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1604),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1604),
    [aux_sym_gateway_ports_token1] = ACTIONS(1604),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1604),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1604),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1604),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1604),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1604),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1604),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1604),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1604),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1604),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1604),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1604),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1604),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1604),
    [aux_sym_host_key_alias_token1] = ACTIONS(1604),
    [aux_sym_hostname_token1] = ACTIONS(1604),
    [aux_sym_identities_only_token1] = ACTIONS(1604),
    [aux_sym_identity_agent_token1] = ACTIONS(1604),
    [aux_sym_identity_file_token1] = ACTIONS(1604),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1604),
    [aux_sym_include_token1] = ACTIONS(1604),
    [aux_sym_ip_qos_token1] = ACTIONS(1604),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1604),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1604),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1604),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1604),
    [aux_sym_local_command_token1] = ACTIONS(1604),
    [aux_sym_local_forward_token1] = ACTIONS(1604),
    [aux_sym_log_level_token1] = ACTIONS(1604),
    [aux_sym_log_verbose_token1] = ACTIONS(1604),
    [aux_sym_macs_token1] = ACTIONS(1604),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1604),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1604),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1604),
    [aux_sym_password_authentication_token1] = ACTIONS(1604),
    [aux_sym_permit_local_command_token1] = ACTIONS(1604),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1604),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1604),
    [aux_sym_port_token1] = ACTIONS(1604),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1604),
    [aux_sym_protocol_token1] = ACTIONS(1604),
    [aux_sym_proxy_command_token1] = ACTIONS(1604),
    [aux_sym_proxy_jump_token1] = ACTIONS(1604),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1604),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1604),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1604),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1604),
    [aux_sym_rekey_limit_token1] = ACTIONS(1604),
    [aux_sym_remote_command_token1] = ACTIONS(1604),
    [aux_sym_remote_forward_token1] = ACTIONS(1604),
    [aux_sym_request_tty_token1] = ACTIONS(1604),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1604),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1604),
    [aux_sym_security_key_provider_token1] = ACTIONS(1604),
    [aux_sym_send_env_token1] = ACTIONS(1604),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1604),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1604),
    [aux_sym_session_type_token1] = ACTIONS(1604),
    [aux_sym_set_env_token1] = ACTIONS(1604),
    [aux_sym_stdin_null_token1] = ACTIONS(1604),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1604),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1604),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1604),
    [aux_sym_syslog_facility_token1] = ACTIONS(1604),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1604),
    [aux_sym_keep_alive_token1] = ACTIONS(1604),
    [aux_sym_tag_token1] = ACTIONS(1604),
    [aux_sym_tunnel_token1] = ACTIONS(1606),
    [aux_sym_tunnel_device_token1] = ACTIONS(1604),
    [aux_sym_update_host_keys_token1] = ACTIONS(1604),
    [aux_sym_use_keychain_token1] = ACTIONS(1604),
    [aux_sym_use_roaming_token1] = ACTIONS(1604),
    [aux_sym_user_token1] = ACTIONS(1606),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1604),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1604),
    [aux_sym_version_addendum_token1] = ACTIONS(1604),
    [aux_sym_visual_host_key_token1] = ACTIONS(1604),
    [aux_sym_xauth_location_token1] = ACTIONS(1604),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [aux_sym_match_token1] = ACTIONS(1610),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1610),
    [aux_sym_address_family_token1] = ACTIONS(1610),
    [aux_sym_batch_mode_token1] = ACTIONS(1610),
    [aux_sym_bind_address_token1] = ACTIONS(1610),
    [aux_sym_bind_interface_token1] = ACTIONS(1610),
    [aux_sym_canonical_domains_token1] = ACTIONS(1610),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1610),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1610),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1610),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1610),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1610),
    [aux_sym_certificate_file_token1] = ACTIONS(1610),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1610),
    [aux_sym_channel_timeout_token1] = ACTIONS(1610),
    [aux_sym_check_host_ip_token1] = ACTIONS(1610),
    [aux_sym_ciphers_token1] = ACTIONS(1610),
    [aux_sym_cipher_token1] = ACTIONS(1612),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1610),
    [aux_sym_compression_token1] = ACTIONS(1610),
    [aux_sym_connection_attempts_token1] = ACTIONS(1610),
    [aux_sym_connect_timeout_token1] = ACTIONS(1610),
    [aux_sym_control_master_token1] = ACTIONS(1610),
    [aux_sym_control_path_token1] = ACTIONS(1610),
    [aux_sym_control_persist_token1] = ACTIONS(1610),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1610),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1610),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1610),
    [aux_sym_escape_char_token1] = ACTIONS(1610),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1610),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1610),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1610),
    [aux_sym_forward_agent_token1] = ACTIONS(1610),
    [aux_sym_forward_x11_token1] = ACTIONS(1612),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1610),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1610),
    [aux_sym_gateway_ports_token1] = ACTIONS(1610),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1610),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1610),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1610),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1610),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1610),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1610),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1610),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1610),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1610),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1610),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1610),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1610),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1610),
    [aux_sym_host_key_alias_token1] = ACTIONS(1610),
    [aux_sym_hostname_token1] = ACTIONS(1610),
    [aux_sym_identities_only_token1] = ACTIONS(1610),
    [aux_sym_identity_agent_token1] = ACTIONS(1610),
    [aux_sym_identity_file_token1] = ACTIONS(1610),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1610),
    [aux_sym_include_token1] = ACTIONS(1610),
    [aux_sym_ip_qos_token1] = ACTIONS(1610),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1610),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1610),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1610),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1610),
    [aux_sym_local_command_token1] = ACTIONS(1610),
    [aux_sym_local_forward_token1] = ACTIONS(1610),
    [aux_sym_log_level_token1] = ACTIONS(1610),
    [aux_sym_log_verbose_token1] = ACTIONS(1610),
    [aux_sym_macs_token1] = ACTIONS(1610),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1610),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1610),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1610),
    [aux_sym_password_authentication_token1] = ACTIONS(1610),
    [aux_sym_permit_local_command_token1] = ACTIONS(1610),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1610),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1610),
    [aux_sym_port_token1] = ACTIONS(1610),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1610),
    [aux_sym_protocol_token1] = ACTIONS(1610),
    [aux_sym_proxy_command_token1] = ACTIONS(1610),
    [aux_sym_proxy_jump_token1] = ACTIONS(1610),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1610),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1610),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1610),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1610),
    [aux_sym_rekey_limit_token1] = ACTIONS(1610),
    [aux_sym_remote_command_token1] = ACTIONS(1610),
    [aux_sym_remote_forward_token1] = ACTIONS(1610),
    [aux_sym_request_tty_token1] = ACTIONS(1610),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1610),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1610),
    [aux_sym_security_key_provider_token1] = ACTIONS(1610),
    [aux_sym_send_env_token1] = ACTIONS(1610),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1610),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1610),
    [aux_sym_session_type_token1] = ACTIONS(1610),
    [aux_sym_set_env_token1] = ACTIONS(1610),
    [aux_sym_stdin_null_token1] = ACTIONS(1610),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1610),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1610),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1610),
    [aux_sym_syslog_facility_token1] = ACTIONS(1610),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1610),
    [aux_sym_keep_alive_token1] = ACTIONS(1610),
    [aux_sym_tag_token1] = ACTIONS(1610),
    [aux_sym_tunnel_token1] = ACTIONS(1612),
    [aux_sym_tunnel_device_token1] = ACTIONS(1610),
    [aux_sym_update_host_keys_token1] = ACTIONS(1610),
    [aux_sym_use_keychain_token1] = ACTIONS(1610),
    [aux_sym_use_roaming_token1] = ACTIONS(1610),
    [aux_sym_user_token1] = ACTIONS(1612),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1610),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1610),
    [aux_sym_version_addendum_token1] = ACTIONS(1610),
    [aux_sym_visual_host_key_token1] = ACTIONS(1610),
    [aux_sym_xauth_location_token1] = ACTIONS(1610),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1618),
    [aux_sym_match_token1] = ACTIONS(1614),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1614),
    [aux_sym_address_family_token1] = ACTIONS(1614),
    [aux_sym_batch_mode_token1] = ACTIONS(1614),
    [aux_sym_bind_address_token1] = ACTIONS(1614),
    [aux_sym_bind_interface_token1] = ACTIONS(1614),
    [aux_sym_canonical_domains_token1] = ACTIONS(1614),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1614),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1614),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1614),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1614),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1614),
    [aux_sym_certificate_file_token1] = ACTIONS(1614),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1614),
    [aux_sym_channel_timeout_token1] = ACTIONS(1614),
    [aux_sym_check_host_ip_token1] = ACTIONS(1614),
    [aux_sym_ciphers_token1] = ACTIONS(1614),
    [aux_sym_cipher_token1] = ACTIONS(1616),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1614),
    [aux_sym_compression_token1] = ACTIONS(1614),
    [aux_sym_connection_attempts_token1] = ACTIONS(1614),
    [aux_sym_connect_timeout_token1] = ACTIONS(1614),
    [aux_sym_control_master_token1] = ACTIONS(1614),
    [aux_sym_control_path_token1] = ACTIONS(1614),
    [aux_sym_control_persist_token1] = ACTIONS(1614),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1614),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1614),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1614),
    [aux_sym_escape_char_token1] = ACTIONS(1614),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1614),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1614),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1614),
    [aux_sym_forward_agent_token1] = ACTIONS(1614),
    [aux_sym_forward_x11_token1] = ACTIONS(1616),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1614),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1614),
    [aux_sym_gateway_ports_token1] = ACTIONS(1614),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1614),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1614),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1614),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1614),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1614),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1614),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1614),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1614),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1614),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1614),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1614),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1614),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1614),
    [aux_sym_host_key_alias_token1] = ACTIONS(1614),
    [aux_sym_hostname_token1] = ACTIONS(1614),
    [aux_sym_identities_only_token1] = ACTIONS(1614),
    [aux_sym_identity_agent_token1] = ACTIONS(1614),
    [aux_sym_identity_file_token1] = ACTIONS(1614),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1614),
    [aux_sym_include_token1] = ACTIONS(1614),
    [aux_sym_ip_qos_token1] = ACTIONS(1614),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1614),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1614),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1614),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1614),
    [aux_sym_local_command_token1] = ACTIONS(1614),
    [aux_sym_local_forward_token1] = ACTIONS(1614),
    [aux_sym_log_level_token1] = ACTIONS(1614),
    [aux_sym_log_verbose_token1] = ACTIONS(1614),
    [aux_sym_macs_token1] = ACTIONS(1614),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1614),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1614),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1614),
    [aux_sym_password_authentication_token1] = ACTIONS(1614),
    [aux_sym_permit_local_command_token1] = ACTIONS(1614),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1614),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1614),
    [aux_sym_port_token1] = ACTIONS(1614),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1614),
    [aux_sym_protocol_token1] = ACTIONS(1614),
    [aux_sym_proxy_command_token1] = ACTIONS(1614),
    [aux_sym_proxy_jump_token1] = ACTIONS(1614),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1614),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1614),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1614),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1614),
    [aux_sym_rekey_limit_token1] = ACTIONS(1614),
    [aux_sym_remote_command_token1] = ACTIONS(1614),
    [aux_sym_remote_forward_token1] = ACTIONS(1614),
    [aux_sym_request_tty_token1] = ACTIONS(1614),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1614),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1614),
    [aux_sym_security_key_provider_token1] = ACTIONS(1614),
    [aux_sym_send_env_token1] = ACTIONS(1614),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1614),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1614),
    [aux_sym_session_type_token1] = ACTIONS(1614),
    [aux_sym_set_env_token1] = ACTIONS(1614),
    [aux_sym_stdin_null_token1] = ACTIONS(1614),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1614),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1614),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1614),
    [aux_sym_syslog_facility_token1] = ACTIONS(1614),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1614),
    [aux_sym_keep_alive_token1] = ACTIONS(1614),
    [aux_sym_tag_token1] = ACTIONS(1614),
    [aux_sym_tunnel_token1] = ACTIONS(1616),
    [aux_sym_tunnel_device_token1] = ACTIONS(1614),
    [aux_sym_update_host_keys_token1] = ACTIONS(1614),
    [aux_sym_use_keychain_token1] = ACTIONS(1614),
    [aux_sym_use_roaming_token1] = ACTIONS(1614),
    [aux_sym_user_token1] = ACTIONS(1616),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1614),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1614),
    [aux_sym_version_addendum_token1] = ACTIONS(1614),
    [aux_sym_visual_host_key_token1] = ACTIONS(1614),
    [aux_sym_xauth_location_token1] = ACTIONS(1614),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1620),
    [aux_sym_match_token1] = ACTIONS(1620),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1620),
    [aux_sym_address_family_token1] = ACTIONS(1620),
    [aux_sym_batch_mode_token1] = ACTIONS(1620),
    [aux_sym_bind_address_token1] = ACTIONS(1620),
    [aux_sym_bind_interface_token1] = ACTIONS(1620),
    [aux_sym_canonical_domains_token1] = ACTIONS(1620),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1620),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1620),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1620),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1620),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1620),
    [aux_sym_certificate_file_token1] = ACTIONS(1620),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1620),
    [aux_sym_channel_timeout_token1] = ACTIONS(1620),
    [aux_sym_check_host_ip_token1] = ACTIONS(1620),
    [aux_sym_ciphers_token1] = ACTIONS(1620),
    [aux_sym_cipher_token1] = ACTIONS(1622),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1620),
    [aux_sym_compression_token1] = ACTIONS(1620),
    [aux_sym_connection_attempts_token1] = ACTIONS(1620),
    [aux_sym_connect_timeout_token1] = ACTIONS(1620),
    [aux_sym_control_master_token1] = ACTIONS(1620),
    [aux_sym_control_path_token1] = ACTIONS(1620),
    [aux_sym_control_persist_token1] = ACTIONS(1620),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1620),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1620),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1620),
    [aux_sym_escape_char_token1] = ACTIONS(1620),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1620),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1620),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1620),
    [aux_sym_forward_agent_token1] = ACTIONS(1620),
    [aux_sym_forward_x11_token1] = ACTIONS(1622),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1620),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1620),
    [aux_sym_gateway_ports_token1] = ACTIONS(1620),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1620),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1620),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1620),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1620),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1620),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1620),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1620),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1620),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1620),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1620),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1620),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1620),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1620),
    [aux_sym_host_key_alias_token1] = ACTIONS(1620),
    [aux_sym_hostname_token1] = ACTIONS(1620),
    [aux_sym_identities_only_token1] = ACTIONS(1620),
    [aux_sym_identity_agent_token1] = ACTIONS(1620),
    [aux_sym_identity_file_token1] = ACTIONS(1620),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1620),
    [aux_sym_include_token1] = ACTIONS(1620),
    [aux_sym_ip_qos_token1] = ACTIONS(1620),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1620),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1620),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1620),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1620),
    [aux_sym_local_command_token1] = ACTIONS(1620),
    [aux_sym_local_forward_token1] = ACTIONS(1620),
    [aux_sym_log_level_token1] = ACTIONS(1620),
    [aux_sym_log_verbose_token1] = ACTIONS(1620),
    [aux_sym_macs_token1] = ACTIONS(1620),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1620),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1620),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1620),
    [aux_sym_password_authentication_token1] = ACTIONS(1620),
    [aux_sym_permit_local_command_token1] = ACTIONS(1620),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1620),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1620),
    [aux_sym_port_token1] = ACTIONS(1620),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1620),
    [aux_sym_protocol_token1] = ACTIONS(1620),
    [aux_sym_proxy_command_token1] = ACTIONS(1620),
    [aux_sym_proxy_jump_token1] = ACTIONS(1620),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1620),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1620),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1620),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1620),
    [aux_sym_rekey_limit_token1] = ACTIONS(1620),
    [aux_sym_remote_command_token1] = ACTIONS(1620),
    [aux_sym_remote_forward_token1] = ACTIONS(1620),
    [aux_sym_request_tty_token1] = ACTIONS(1620),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1620),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1620),
    [aux_sym_security_key_provider_token1] = ACTIONS(1620),
    [aux_sym_send_env_token1] = ACTIONS(1620),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1620),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1620),
    [aux_sym_session_type_token1] = ACTIONS(1620),
    [aux_sym_set_env_token1] = ACTIONS(1620),
    [aux_sym_stdin_null_token1] = ACTIONS(1620),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1620),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1620),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1620),
    [aux_sym_syslog_facility_token1] = ACTIONS(1620),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1620),
    [aux_sym_keep_alive_token1] = ACTIONS(1620),
    [aux_sym_tag_token1] = ACTIONS(1620),
    [aux_sym_tunnel_token1] = ACTIONS(1622),
    [aux_sym_tunnel_device_token1] = ACTIONS(1620),
    [aux_sym_update_host_keys_token1] = ACTIONS(1620),
    [aux_sym_use_keychain_token1] = ACTIONS(1620),
    [aux_sym_use_roaming_token1] = ACTIONS(1620),
    [aux_sym_user_token1] = ACTIONS(1622),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1620),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1620),
    [aux_sym_version_addendum_token1] = ACTIONS(1620),
    [aux_sym_visual_host_key_token1] = ACTIONS(1620),
    [aux_sym_xauth_location_token1] = ACTIONS(1620),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1626),
    [anon_sym_DQUOTE] = ACTIONS(1628),
    [aux_sym_match_token1] = ACTIONS(1624),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1624),
    [aux_sym_address_family_token1] = ACTIONS(1624),
    [aux_sym_batch_mode_token1] = ACTIONS(1624),
    [aux_sym_bind_address_token1] = ACTIONS(1624),
    [aux_sym_bind_interface_token1] = ACTIONS(1624),
    [aux_sym_canonical_domains_token1] = ACTIONS(1624),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1624),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1624),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1624),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1624),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1624),
    [aux_sym_certificate_file_token1] = ACTIONS(1624),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1624),
    [aux_sym_channel_timeout_token1] = ACTIONS(1624),
    [aux_sym_check_host_ip_token1] = ACTIONS(1624),
    [aux_sym_ciphers_token1] = ACTIONS(1624),
    [aux_sym_cipher_token1] = ACTIONS(1626),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1624),
    [aux_sym_compression_token1] = ACTIONS(1624),
    [aux_sym_connection_attempts_token1] = ACTIONS(1624),
    [aux_sym_connect_timeout_token1] = ACTIONS(1624),
    [aux_sym_control_master_token1] = ACTIONS(1624),
    [aux_sym_control_path_token1] = ACTIONS(1624),
    [aux_sym_control_persist_token1] = ACTIONS(1624),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1624),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1624),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1624),
    [aux_sym_escape_char_token1] = ACTIONS(1624),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1624),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1624),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1624),
    [aux_sym_forward_agent_token1] = ACTIONS(1624),
    [aux_sym_forward_x11_token1] = ACTIONS(1626),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1624),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1624),
    [aux_sym_gateway_ports_token1] = ACTIONS(1624),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1624),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1624),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1624),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1624),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1624),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1624),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1624),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1624),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1624),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1624),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1624),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1624),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1624),
    [aux_sym_host_key_alias_token1] = ACTIONS(1624),
    [aux_sym_hostname_token1] = ACTIONS(1624),
    [aux_sym_identities_only_token1] = ACTIONS(1624),
    [aux_sym_identity_agent_token1] = ACTIONS(1624),
    [aux_sym_identity_file_token1] = ACTIONS(1624),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1624),
    [aux_sym_include_token1] = ACTIONS(1624),
    [aux_sym_ip_qos_token1] = ACTIONS(1624),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1624),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1624),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1624),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1624),
    [aux_sym_local_command_token1] = ACTIONS(1624),
    [aux_sym_local_forward_token1] = ACTIONS(1624),
    [aux_sym_log_level_token1] = ACTIONS(1624),
    [aux_sym_log_verbose_token1] = ACTIONS(1624),
    [aux_sym_macs_token1] = ACTIONS(1624),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1624),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1624),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1624),
    [aux_sym_password_authentication_token1] = ACTIONS(1624),
    [aux_sym_permit_local_command_token1] = ACTIONS(1624),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1624),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1624),
    [aux_sym_port_token1] = ACTIONS(1624),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1624),
    [aux_sym_protocol_token1] = ACTIONS(1624),
    [aux_sym_proxy_command_token1] = ACTIONS(1624),
    [aux_sym_proxy_jump_token1] = ACTIONS(1624),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1624),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1624),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1624),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1624),
    [aux_sym_rekey_limit_token1] = ACTIONS(1624),
    [aux_sym_remote_command_token1] = ACTIONS(1624),
    [aux_sym_remote_forward_token1] = ACTIONS(1624),
    [aux_sym_request_tty_token1] = ACTIONS(1624),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1624),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1624),
    [aux_sym_security_key_provider_token1] = ACTIONS(1624),
    [aux_sym_send_env_token1] = ACTIONS(1624),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1624),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1624),
    [aux_sym_session_type_token1] = ACTIONS(1624),
    [aux_sym_set_env_token1] = ACTIONS(1624),
    [aux_sym_stdin_null_token1] = ACTIONS(1624),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1624),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1624),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1624),
    [aux_sym_syslog_facility_token1] = ACTIONS(1624),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1624),
    [aux_sym_keep_alive_token1] = ACTIONS(1624),
    [aux_sym_tag_token1] = ACTIONS(1624),
    [aux_sym_tunnel_token1] = ACTIONS(1626),
    [aux_sym_tunnel_device_token1] = ACTIONS(1624),
    [aux_sym_update_host_keys_token1] = ACTIONS(1624),
    [aux_sym_use_keychain_token1] = ACTIONS(1624),
    [aux_sym_use_roaming_token1] = ACTIONS(1624),
    [aux_sym_user_token1] = ACTIONS(1626),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1624),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1624),
    [aux_sym_version_addendum_token1] = ACTIONS(1624),
    [aux_sym_visual_host_key_token1] = ACTIONS(1624),
    [aux_sym_xauth_location_token1] = ACTIONS(1624),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1630),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1630),
    [aux_sym_match_token1] = ACTIONS(1630),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1630),
    [aux_sym_address_family_token1] = ACTIONS(1630),
    [aux_sym_batch_mode_token1] = ACTIONS(1630),
    [aux_sym_bind_address_token1] = ACTIONS(1630),
    [aux_sym_bind_interface_token1] = ACTIONS(1630),
    [aux_sym_canonical_domains_token1] = ACTIONS(1630),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1630),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1630),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1630),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1630),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1630),
    [aux_sym_certificate_file_token1] = ACTIONS(1630),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1630),
    [aux_sym_channel_timeout_token1] = ACTIONS(1630),
    [aux_sym_check_host_ip_token1] = ACTIONS(1630),
    [aux_sym_ciphers_token1] = ACTIONS(1630),
    [aux_sym_cipher_token1] = ACTIONS(1632),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1630),
    [aux_sym_compression_token1] = ACTIONS(1630),
    [aux_sym_connection_attempts_token1] = ACTIONS(1630),
    [aux_sym_connect_timeout_token1] = ACTIONS(1630),
    [aux_sym_control_master_token1] = ACTIONS(1630),
    [aux_sym_control_path_token1] = ACTIONS(1630),
    [aux_sym_control_persist_token1] = ACTIONS(1630),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1630),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1630),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1630),
    [aux_sym_escape_char_token1] = ACTIONS(1630),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1630),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1630),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1630),
    [aux_sym_forward_agent_token1] = ACTIONS(1630),
    [aux_sym_forward_x11_token1] = ACTIONS(1632),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1630),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1630),
    [aux_sym_gateway_ports_token1] = ACTIONS(1630),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1630),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1630),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1630),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1630),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1630),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1630),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1630),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1630),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1630),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1630),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1630),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1630),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1630),
    [aux_sym_host_key_alias_token1] = ACTIONS(1630),
    [aux_sym_hostname_token1] = ACTIONS(1630),
    [aux_sym_identities_only_token1] = ACTIONS(1630),
    [aux_sym_identity_agent_token1] = ACTIONS(1630),
    [aux_sym_identity_file_token1] = ACTIONS(1630),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1630),
    [aux_sym_include_token1] = ACTIONS(1630),
    [aux_sym_ip_qos_token1] = ACTIONS(1630),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1630),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1630),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1630),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1630),
    [aux_sym_local_command_token1] = ACTIONS(1630),
    [aux_sym_local_forward_token1] = ACTIONS(1630),
    [aux_sym_log_level_token1] = ACTIONS(1630),
    [aux_sym_log_verbose_token1] = ACTIONS(1630),
    [aux_sym_macs_token1] = ACTIONS(1630),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1630),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1630),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1630),
    [aux_sym_password_authentication_token1] = ACTIONS(1630),
    [aux_sym_permit_local_command_token1] = ACTIONS(1630),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1630),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1630),
    [aux_sym_port_token1] = ACTIONS(1630),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1630),
    [aux_sym_protocol_token1] = ACTIONS(1630),
    [aux_sym_proxy_command_token1] = ACTIONS(1630),
    [aux_sym_proxy_jump_token1] = ACTIONS(1630),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1630),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1630),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1630),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1630),
    [aux_sym_rekey_limit_token1] = ACTIONS(1630),
    [aux_sym_remote_command_token1] = ACTIONS(1630),
    [aux_sym_remote_forward_token1] = ACTIONS(1630),
    [aux_sym_request_tty_token1] = ACTIONS(1630),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1630),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1630),
    [aux_sym_security_key_provider_token1] = ACTIONS(1630),
    [aux_sym_send_env_token1] = ACTIONS(1630),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1630),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1630),
    [aux_sym_session_type_token1] = ACTIONS(1630),
    [aux_sym_set_env_token1] = ACTIONS(1630),
    [aux_sym_stdin_null_token1] = ACTIONS(1630),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1630),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1630),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1630),
    [aux_sym_syslog_facility_token1] = ACTIONS(1630),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1630),
    [aux_sym_keep_alive_token1] = ACTIONS(1630),
    [aux_sym_tag_token1] = ACTIONS(1630),
    [aux_sym_tunnel_token1] = ACTIONS(1632),
    [aux_sym_tunnel_device_token1] = ACTIONS(1630),
    [aux_sym_update_host_keys_token1] = ACTIONS(1630),
    [aux_sym_use_keychain_token1] = ACTIONS(1630),
    [aux_sym_use_roaming_token1] = ACTIONS(1630),
    [aux_sym_user_token1] = ACTIONS(1632),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1630),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1630),
    [aux_sym_version_addendum_token1] = ACTIONS(1630),
    [aux_sym_visual_host_key_token1] = ACTIONS(1630),
    [aux_sym_xauth_location_token1] = ACTIONS(1630),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1634),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1638),
    [aux_sym_match_token1] = ACTIONS(1634),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1634),
    [aux_sym_address_family_token1] = ACTIONS(1634),
    [aux_sym_batch_mode_token1] = ACTIONS(1634),
    [aux_sym_bind_address_token1] = ACTIONS(1634),
    [aux_sym_bind_interface_token1] = ACTIONS(1634),
    [aux_sym_canonical_domains_token1] = ACTIONS(1634),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1634),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1634),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1634),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1634),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1634),
    [aux_sym_certificate_file_token1] = ACTIONS(1634),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1634),
    [aux_sym_channel_timeout_token1] = ACTIONS(1634),
    [aux_sym_check_host_ip_token1] = ACTIONS(1634),
    [aux_sym_ciphers_token1] = ACTIONS(1634),
    [aux_sym_cipher_token1] = ACTIONS(1636),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1634),
    [aux_sym_compression_token1] = ACTIONS(1634),
    [aux_sym_connection_attempts_token1] = ACTIONS(1634),
    [aux_sym_connect_timeout_token1] = ACTIONS(1634),
    [aux_sym_control_master_token1] = ACTIONS(1634),
    [aux_sym_control_path_token1] = ACTIONS(1634),
    [aux_sym_control_persist_token1] = ACTIONS(1634),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1634),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1634),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1634),
    [aux_sym_escape_char_token1] = ACTIONS(1634),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1634),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1634),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1634),
    [aux_sym_forward_agent_token1] = ACTIONS(1634),
    [aux_sym_forward_x11_token1] = ACTIONS(1636),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1634),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1634),
    [aux_sym_gateway_ports_token1] = ACTIONS(1634),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1634),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1634),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1634),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1634),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1634),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1634),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1634),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1634),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1634),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1634),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1634),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1634),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1634),
    [aux_sym_host_key_alias_token1] = ACTIONS(1634),
    [aux_sym_hostname_token1] = ACTIONS(1634),
    [aux_sym_identities_only_token1] = ACTIONS(1634),
    [aux_sym_identity_agent_token1] = ACTIONS(1634),
    [aux_sym_identity_file_token1] = ACTIONS(1634),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1634),
    [aux_sym_include_token1] = ACTIONS(1634),
    [aux_sym_ip_qos_token1] = ACTIONS(1634),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1634),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1634),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1634),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1634),
    [aux_sym_local_command_token1] = ACTIONS(1634),
    [aux_sym_local_forward_token1] = ACTIONS(1634),
    [aux_sym_log_level_token1] = ACTIONS(1634),
    [aux_sym_log_verbose_token1] = ACTIONS(1634),
    [aux_sym_macs_token1] = ACTIONS(1634),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1634),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1634),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1634),
    [aux_sym_password_authentication_token1] = ACTIONS(1634),
    [aux_sym_permit_local_command_token1] = ACTIONS(1634),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1634),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1634),
    [aux_sym_port_token1] = ACTIONS(1634),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1634),
    [aux_sym_protocol_token1] = ACTIONS(1634),
    [aux_sym_proxy_command_token1] = ACTIONS(1634),
    [aux_sym_proxy_jump_token1] = ACTIONS(1634),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1634),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1634),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1634),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1634),
    [aux_sym_rekey_limit_token1] = ACTIONS(1634),
    [aux_sym_remote_command_token1] = ACTIONS(1634),
    [aux_sym_remote_forward_token1] = ACTIONS(1634),
    [aux_sym_request_tty_token1] = ACTIONS(1634),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1634),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1634),
    [aux_sym_security_key_provider_token1] = ACTIONS(1634),
    [aux_sym_send_env_token1] = ACTIONS(1634),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1634),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1634),
    [aux_sym_session_type_token1] = ACTIONS(1634),
    [aux_sym_set_env_token1] = ACTIONS(1634),
    [aux_sym_stdin_null_token1] = ACTIONS(1634),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1634),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1634),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1634),
    [aux_sym_syslog_facility_token1] = ACTIONS(1634),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1634),
    [aux_sym_keep_alive_token1] = ACTIONS(1634),
    [aux_sym_tag_token1] = ACTIONS(1634),
    [aux_sym_tunnel_token1] = ACTIONS(1636),
    [aux_sym_tunnel_device_token1] = ACTIONS(1634),
    [aux_sym_update_host_keys_token1] = ACTIONS(1634),
    [aux_sym_use_keychain_token1] = ACTIONS(1634),
    [aux_sym_use_roaming_token1] = ACTIONS(1634),
    [aux_sym_user_token1] = ACTIONS(1636),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1634),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1634),
    [aux_sym_version_addendum_token1] = ACTIONS(1634),
    [aux_sym_visual_host_key_token1] = ACTIONS(1634),
    [aux_sym_xauth_location_token1] = ACTIONS(1634),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1642),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [aux_sym_match_token1] = ACTIONS(1640),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1640),
    [aux_sym_address_family_token1] = ACTIONS(1640),
    [aux_sym_batch_mode_token1] = ACTIONS(1640),
    [aux_sym_bind_address_token1] = ACTIONS(1640),
    [aux_sym_bind_interface_token1] = ACTIONS(1640),
    [aux_sym_canonical_domains_token1] = ACTIONS(1640),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1640),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1640),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1640),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1640),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1640),
    [aux_sym_certificate_file_token1] = ACTIONS(1640),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1640),
    [aux_sym_channel_timeout_token1] = ACTIONS(1640),
    [aux_sym_check_host_ip_token1] = ACTIONS(1640),
    [aux_sym_ciphers_token1] = ACTIONS(1640),
    [aux_sym_cipher_token1] = ACTIONS(1642),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1640),
    [aux_sym_compression_token1] = ACTIONS(1640),
    [aux_sym_connection_attempts_token1] = ACTIONS(1640),
    [aux_sym_connect_timeout_token1] = ACTIONS(1640),
    [aux_sym_control_master_token1] = ACTIONS(1640),
    [aux_sym_control_path_token1] = ACTIONS(1640),
    [aux_sym_control_persist_token1] = ACTIONS(1640),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1640),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1640),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1640),
    [aux_sym_escape_char_token1] = ACTIONS(1640),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1640),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1640),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1640),
    [aux_sym_forward_agent_token1] = ACTIONS(1640),
    [aux_sym_forward_x11_token1] = ACTIONS(1642),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1640),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1640),
    [aux_sym_gateway_ports_token1] = ACTIONS(1640),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1640),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1640),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1640),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1640),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1640),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1640),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1640),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1640),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1640),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1640),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1640),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1640),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1640),
    [aux_sym_host_key_alias_token1] = ACTIONS(1640),
    [aux_sym_hostname_token1] = ACTIONS(1640),
    [aux_sym_identities_only_token1] = ACTIONS(1640),
    [aux_sym_identity_agent_token1] = ACTIONS(1640),
    [aux_sym_identity_file_token1] = ACTIONS(1640),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1640),
    [aux_sym_include_token1] = ACTIONS(1640),
    [aux_sym_ip_qos_token1] = ACTIONS(1640),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1640),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1640),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1640),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1640),
    [aux_sym_local_command_token1] = ACTIONS(1640),
    [aux_sym_local_forward_token1] = ACTIONS(1640),
    [aux_sym_log_level_token1] = ACTIONS(1640),
    [aux_sym_log_verbose_token1] = ACTIONS(1640),
    [aux_sym_macs_token1] = ACTIONS(1640),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1640),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1640),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1640),
    [aux_sym_password_authentication_token1] = ACTIONS(1640),
    [aux_sym_permit_local_command_token1] = ACTIONS(1640),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1640),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1640),
    [aux_sym_port_token1] = ACTIONS(1640),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1640),
    [aux_sym_protocol_token1] = ACTIONS(1640),
    [aux_sym_proxy_command_token1] = ACTIONS(1640),
    [aux_sym_proxy_jump_token1] = ACTIONS(1640),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1640),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1640),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1640),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1640),
    [aux_sym_rekey_limit_token1] = ACTIONS(1640),
    [aux_sym_remote_command_token1] = ACTIONS(1640),
    [aux_sym_remote_forward_token1] = ACTIONS(1640),
    [aux_sym_request_tty_token1] = ACTIONS(1640),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1640),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1640),
    [aux_sym_security_key_provider_token1] = ACTIONS(1640),
    [aux_sym_send_env_token1] = ACTIONS(1640),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1640),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1640),
    [aux_sym_session_type_token1] = ACTIONS(1640),
    [aux_sym_set_env_token1] = ACTIONS(1640),
    [aux_sym_stdin_null_token1] = ACTIONS(1640),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1640),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1640),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1640),
    [aux_sym_syslog_facility_token1] = ACTIONS(1640),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1640),
    [aux_sym_keep_alive_token1] = ACTIONS(1640),
    [aux_sym_tag_token1] = ACTIONS(1640),
    [aux_sym_tunnel_token1] = ACTIONS(1642),
    [aux_sym_tunnel_device_token1] = ACTIONS(1640),
    [aux_sym_update_host_keys_token1] = ACTIONS(1640),
    [aux_sym_use_keychain_token1] = ACTIONS(1640),
    [aux_sym_use_roaming_token1] = ACTIONS(1640),
    [aux_sym_user_token1] = ACTIONS(1642),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1640),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1640),
    [aux_sym_version_addendum_token1] = ACTIONS(1640),
    [aux_sym_visual_host_key_token1] = ACTIONS(1640),
    [aux_sym_xauth_location_token1] = ACTIONS(1640),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1646),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [aux_sym_match_token1] = ACTIONS(1644),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1644),
    [aux_sym_address_family_token1] = ACTIONS(1644),
    [aux_sym_batch_mode_token1] = ACTIONS(1644),
    [aux_sym_bind_address_token1] = ACTIONS(1644),
    [aux_sym_bind_interface_token1] = ACTIONS(1644),
    [aux_sym_canonical_domains_token1] = ACTIONS(1644),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1644),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1644),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1644),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1644),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1644),
    [aux_sym_certificate_file_token1] = ACTIONS(1644),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1644),
    [aux_sym_channel_timeout_token1] = ACTIONS(1644),
    [aux_sym_check_host_ip_token1] = ACTIONS(1644),
    [aux_sym_ciphers_token1] = ACTIONS(1644),
    [aux_sym_cipher_token1] = ACTIONS(1646),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1644),
    [aux_sym_compression_token1] = ACTIONS(1644),
    [aux_sym_connection_attempts_token1] = ACTIONS(1644),
    [aux_sym_connect_timeout_token1] = ACTIONS(1644),
    [aux_sym_control_master_token1] = ACTIONS(1644),
    [aux_sym_control_path_token1] = ACTIONS(1644),
    [aux_sym_control_persist_token1] = ACTIONS(1644),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1644),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1644),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1644),
    [aux_sym_escape_char_token1] = ACTIONS(1644),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1644),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1644),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1644),
    [aux_sym_forward_agent_token1] = ACTIONS(1644),
    [aux_sym_forward_x11_token1] = ACTIONS(1646),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1644),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1644),
    [aux_sym_gateway_ports_token1] = ACTIONS(1644),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1644),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1644),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1644),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1644),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1644),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1644),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1644),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1644),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1644),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1644),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1644),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1644),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1644),
    [aux_sym_host_key_alias_token1] = ACTIONS(1644),
    [aux_sym_hostname_token1] = ACTIONS(1644),
    [aux_sym_identities_only_token1] = ACTIONS(1644),
    [aux_sym_identity_agent_token1] = ACTIONS(1644),
    [aux_sym_identity_file_token1] = ACTIONS(1644),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1644),
    [aux_sym_include_token1] = ACTIONS(1644),
    [aux_sym_ip_qos_token1] = ACTIONS(1644),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1644),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1644),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1644),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1644),
    [aux_sym_local_command_token1] = ACTIONS(1644),
    [aux_sym_local_forward_token1] = ACTIONS(1644),
    [aux_sym_log_level_token1] = ACTIONS(1644),
    [aux_sym_log_verbose_token1] = ACTIONS(1644),
    [aux_sym_macs_token1] = ACTIONS(1644),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1644),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1644),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1644),
    [aux_sym_password_authentication_token1] = ACTIONS(1644),
    [aux_sym_permit_local_command_token1] = ACTIONS(1644),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1644),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1644),
    [aux_sym_port_token1] = ACTIONS(1644),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1644),
    [aux_sym_protocol_token1] = ACTIONS(1644),
    [aux_sym_proxy_command_token1] = ACTIONS(1644),
    [aux_sym_proxy_jump_token1] = ACTIONS(1644),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1644),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1644),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1644),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1644),
    [aux_sym_rekey_limit_token1] = ACTIONS(1644),
    [aux_sym_remote_command_token1] = ACTIONS(1644),
    [aux_sym_remote_forward_token1] = ACTIONS(1644),
    [aux_sym_request_tty_token1] = ACTIONS(1644),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1644),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1644),
    [aux_sym_security_key_provider_token1] = ACTIONS(1644),
    [aux_sym_send_env_token1] = ACTIONS(1644),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1644),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1644),
    [aux_sym_session_type_token1] = ACTIONS(1644),
    [aux_sym_set_env_token1] = ACTIONS(1644),
    [aux_sym_stdin_null_token1] = ACTIONS(1644),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1644),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1644),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1644),
    [aux_sym_syslog_facility_token1] = ACTIONS(1644),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1644),
    [aux_sym_keep_alive_token1] = ACTIONS(1644),
    [aux_sym_tag_token1] = ACTIONS(1644),
    [aux_sym_tunnel_token1] = ACTIONS(1646),
    [aux_sym_tunnel_device_token1] = ACTIONS(1644),
    [aux_sym_update_host_keys_token1] = ACTIONS(1644),
    [aux_sym_use_keychain_token1] = ACTIONS(1644),
    [aux_sym_use_roaming_token1] = ACTIONS(1644),
    [aux_sym_user_token1] = ACTIONS(1646),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1644),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1644),
    [aux_sym_version_addendum_token1] = ACTIONS(1644),
    [aux_sym_visual_host_key_token1] = ACTIONS(1644),
    [aux_sym_xauth_location_token1] = ACTIONS(1644),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(1650),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1652),
    [anon_sym_DQUOTE] = ACTIONS(1650),
    [aux_sym_match_token1] = ACTIONS(1650),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1650),
    [aux_sym_address_family_token1] = ACTIONS(1650),
    [aux_sym_batch_mode_token1] = ACTIONS(1650),
    [aux_sym_bind_address_token1] = ACTIONS(1650),
    [aux_sym_bind_interface_token1] = ACTIONS(1650),
    [aux_sym_canonical_domains_token1] = ACTIONS(1650),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1650),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1650),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1650),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1650),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1650),
    [aux_sym_certificate_file_token1] = ACTIONS(1650),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1650),
    [aux_sym_channel_timeout_token1] = ACTIONS(1650),
    [aux_sym_check_host_ip_token1] = ACTIONS(1650),
    [aux_sym_ciphers_token1] = ACTIONS(1650),
    [aux_sym_cipher_token1] = ACTIONS(1652),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1650),
    [aux_sym_compression_token1] = ACTIONS(1650),
    [aux_sym_connection_attempts_token1] = ACTIONS(1650),
    [aux_sym_connect_timeout_token1] = ACTIONS(1650),
    [aux_sym_control_master_token1] = ACTIONS(1650),
    [aux_sym_control_path_token1] = ACTIONS(1650),
    [aux_sym_control_persist_token1] = ACTIONS(1650),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1650),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1650),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1650),
    [aux_sym_escape_char_token1] = ACTIONS(1650),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1650),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1650),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1650),
    [aux_sym_forward_agent_token1] = ACTIONS(1650),
    [aux_sym_forward_x11_token1] = ACTIONS(1652),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1650),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1650),
    [aux_sym_gateway_ports_token1] = ACTIONS(1650),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1650),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1650),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1650),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1650),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1650),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1650),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1650),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1650),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1650),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1650),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1650),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1650),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1650),
    [aux_sym_host_key_alias_token1] = ACTIONS(1650),
    [aux_sym_hostname_token1] = ACTIONS(1650),
    [aux_sym_identities_only_token1] = ACTIONS(1650),
    [aux_sym_identity_agent_token1] = ACTIONS(1650),
    [aux_sym_identity_file_token1] = ACTIONS(1650),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1650),
    [aux_sym_include_token1] = ACTIONS(1650),
    [aux_sym_ip_qos_token1] = ACTIONS(1650),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1650),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1650),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1650),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1650),
    [aux_sym_local_command_token1] = ACTIONS(1650),
    [aux_sym_local_forward_token1] = ACTIONS(1650),
    [aux_sym_log_level_token1] = ACTIONS(1650),
    [aux_sym_log_verbose_token1] = ACTIONS(1650),
    [aux_sym_macs_token1] = ACTIONS(1650),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1650),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1650),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1650),
    [aux_sym_password_authentication_token1] = ACTIONS(1650),
    [aux_sym_permit_local_command_token1] = ACTIONS(1650),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1650),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1650),
    [aux_sym_port_token1] = ACTIONS(1650),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1650),
    [aux_sym_protocol_token1] = ACTIONS(1650),
    [aux_sym_proxy_command_token1] = ACTIONS(1650),
    [aux_sym_proxy_jump_token1] = ACTIONS(1650),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1650),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1650),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1650),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1650),
    [aux_sym_rekey_limit_token1] = ACTIONS(1650),
    [aux_sym_remote_command_token1] = ACTIONS(1650),
    [aux_sym_remote_forward_token1] = ACTIONS(1650),
    [aux_sym_request_tty_token1] = ACTIONS(1650),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1650),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1650),
    [aux_sym_security_key_provider_token1] = ACTIONS(1650),
    [aux_sym_send_env_token1] = ACTIONS(1650),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1650),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1650),
    [aux_sym_session_type_token1] = ACTIONS(1650),
    [aux_sym_set_env_token1] = ACTIONS(1650),
    [aux_sym_stdin_null_token1] = ACTIONS(1650),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1650),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1650),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1650),
    [aux_sym_syslog_facility_token1] = ACTIONS(1650),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1650),
    [aux_sym_keep_alive_token1] = ACTIONS(1650),
    [aux_sym_tag_token1] = ACTIONS(1650),
    [aux_sym_tunnel_token1] = ACTIONS(1652),
    [aux_sym_tunnel_device_token1] = ACTIONS(1650),
    [aux_sym_update_host_keys_token1] = ACTIONS(1650),
    [aux_sym_use_keychain_token1] = ACTIONS(1650),
    [aux_sym_use_roaming_token1] = ACTIONS(1650),
    [aux_sym_user_token1] = ACTIONS(1652),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1650),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1650),
    [aux_sym_version_addendum_token1] = ACTIONS(1650),
    [aux_sym_visual_host_key_token1] = ACTIONS(1650),
    [aux_sym_xauth_location_token1] = ACTIONS(1650),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(1654),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [aux_sym_match_token1] = ACTIONS(1654),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1654),
    [aux_sym_address_family_token1] = ACTIONS(1654),
    [aux_sym_batch_mode_token1] = ACTIONS(1654),
    [aux_sym_bind_address_token1] = ACTIONS(1654),
    [aux_sym_bind_interface_token1] = ACTIONS(1654),
    [aux_sym_canonical_domains_token1] = ACTIONS(1654),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1654),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1654),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1654),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1654),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1654),
    [aux_sym_certificate_file_token1] = ACTIONS(1654),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1654),
    [aux_sym_channel_timeout_token1] = ACTIONS(1654),
    [aux_sym_check_host_ip_token1] = ACTIONS(1654),
    [aux_sym_ciphers_token1] = ACTIONS(1654),
    [aux_sym_cipher_token1] = ACTIONS(1656),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1654),
    [aux_sym_compression_token1] = ACTIONS(1654),
    [aux_sym_connection_attempts_token1] = ACTIONS(1654),
    [aux_sym_connect_timeout_token1] = ACTIONS(1654),
    [aux_sym_control_master_token1] = ACTIONS(1654),
    [aux_sym_control_path_token1] = ACTIONS(1654),
    [aux_sym_control_persist_token1] = ACTIONS(1654),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1654),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1654),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1654),
    [aux_sym_escape_char_token1] = ACTIONS(1654),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1654),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1654),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1654),
    [aux_sym_forward_agent_token1] = ACTIONS(1654),
    [aux_sym_forward_x11_token1] = ACTIONS(1656),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1654),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1654),
    [aux_sym_gateway_ports_token1] = ACTIONS(1654),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1654),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1654),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1654),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1654),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1654),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1654),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1654),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1654),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1654),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1654),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1654),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1654),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1654),
    [aux_sym_host_key_alias_token1] = ACTIONS(1654),
    [aux_sym_hostname_token1] = ACTIONS(1654),
    [aux_sym_identities_only_token1] = ACTIONS(1654),
    [aux_sym_identity_agent_token1] = ACTIONS(1654),
    [aux_sym_identity_file_token1] = ACTIONS(1654),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1654),
    [aux_sym_include_token1] = ACTIONS(1654),
    [aux_sym_ip_qos_token1] = ACTIONS(1654),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1654),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1654),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1654),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1654),
    [aux_sym_local_command_token1] = ACTIONS(1654),
    [aux_sym_local_forward_token1] = ACTIONS(1654),
    [aux_sym_log_level_token1] = ACTIONS(1654),
    [aux_sym_log_verbose_token1] = ACTIONS(1654),
    [aux_sym_macs_token1] = ACTIONS(1654),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1654),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1654),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1654),
    [aux_sym_password_authentication_token1] = ACTIONS(1654),
    [aux_sym_permit_local_command_token1] = ACTIONS(1654),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1654),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1654),
    [aux_sym_port_token1] = ACTIONS(1654),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1654),
    [aux_sym_protocol_token1] = ACTIONS(1654),
    [aux_sym_proxy_command_token1] = ACTIONS(1654),
    [aux_sym_proxy_jump_token1] = ACTIONS(1654),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1654),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1654),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1654),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1654),
    [aux_sym_rekey_limit_token1] = ACTIONS(1654),
    [aux_sym_remote_command_token1] = ACTIONS(1654),
    [aux_sym_remote_forward_token1] = ACTIONS(1654),
    [aux_sym_request_tty_token1] = ACTIONS(1654),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1654),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1654),
    [aux_sym_security_key_provider_token1] = ACTIONS(1654),
    [aux_sym_send_env_token1] = ACTIONS(1654),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1654),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1654),
    [aux_sym_session_type_token1] = ACTIONS(1654),
    [aux_sym_set_env_token1] = ACTIONS(1654),
    [aux_sym_stdin_null_token1] = ACTIONS(1654),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1654),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1654),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1654),
    [aux_sym_syslog_facility_token1] = ACTIONS(1654),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1654),
    [aux_sym_keep_alive_token1] = ACTIONS(1654),
    [aux_sym_tag_token1] = ACTIONS(1654),
    [aux_sym_tunnel_token1] = ACTIONS(1656),
    [aux_sym_tunnel_device_token1] = ACTIONS(1654),
    [aux_sym_update_host_keys_token1] = ACTIONS(1654),
    [aux_sym_use_keychain_token1] = ACTIONS(1654),
    [aux_sym_use_roaming_token1] = ACTIONS(1654),
    [aux_sym_user_token1] = ACTIONS(1656),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1654),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1654),
    [aux_sym_version_addendum_token1] = ACTIONS(1654),
    [aux_sym_visual_host_key_token1] = ACTIONS(1654),
    [aux_sym_xauth_location_token1] = ACTIONS(1654),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1662),
    [anon_sym_DQUOTE] = ACTIONS(1660),
    [aux_sym_match_token1] = ACTIONS(1660),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1660),
    [aux_sym_address_family_token1] = ACTIONS(1660),
    [aux_sym_batch_mode_token1] = ACTIONS(1660),
    [aux_sym_bind_address_token1] = ACTIONS(1660),
    [aux_sym_bind_interface_token1] = ACTIONS(1660),
    [aux_sym_canonical_domains_token1] = ACTIONS(1660),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1660),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1660),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1660),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1660),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1660),
    [aux_sym_certificate_file_token1] = ACTIONS(1660),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1660),
    [aux_sym_channel_timeout_token1] = ACTIONS(1660),
    [aux_sym_check_host_ip_token1] = ACTIONS(1660),
    [aux_sym_ciphers_token1] = ACTIONS(1660),
    [aux_sym_cipher_token1] = ACTIONS(1662),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1660),
    [aux_sym_compression_token1] = ACTIONS(1660),
    [aux_sym_connection_attempts_token1] = ACTIONS(1660),
    [aux_sym_connect_timeout_token1] = ACTIONS(1660),
    [aux_sym_control_master_token1] = ACTIONS(1660),
    [aux_sym_control_path_token1] = ACTIONS(1660),
    [aux_sym_control_persist_token1] = ACTIONS(1660),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1660),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1660),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1660),
    [aux_sym_escape_char_token1] = ACTIONS(1660),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1660),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1660),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1660),
    [aux_sym_forward_agent_token1] = ACTIONS(1660),
    [aux_sym_forward_x11_token1] = ACTIONS(1662),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1660),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1660),
    [aux_sym_gateway_ports_token1] = ACTIONS(1660),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1660),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1660),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1660),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1660),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1660),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1660),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1660),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1660),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1660),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1660),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1660),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1660),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1660),
    [aux_sym_host_key_alias_token1] = ACTIONS(1660),
    [aux_sym_hostname_token1] = ACTIONS(1660),
    [aux_sym_identities_only_token1] = ACTIONS(1660),
    [aux_sym_identity_agent_token1] = ACTIONS(1660),
    [aux_sym_identity_file_token1] = ACTIONS(1660),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1660),
    [aux_sym_include_token1] = ACTIONS(1660),
    [aux_sym_ip_qos_token1] = ACTIONS(1660),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1660),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1660),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1660),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1660),
    [aux_sym_local_command_token1] = ACTIONS(1660),
    [aux_sym_local_forward_token1] = ACTIONS(1660),
    [aux_sym_log_level_token1] = ACTIONS(1660),
    [aux_sym_log_verbose_token1] = ACTIONS(1660),
    [aux_sym_macs_token1] = ACTIONS(1660),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1660),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1660),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1660),
    [aux_sym_password_authentication_token1] = ACTIONS(1660),
    [aux_sym_permit_local_command_token1] = ACTIONS(1660),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1660),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1660),
    [aux_sym_port_token1] = ACTIONS(1660),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1660),
    [aux_sym_protocol_token1] = ACTIONS(1660),
    [aux_sym_proxy_command_token1] = ACTIONS(1660),
    [aux_sym_proxy_jump_token1] = ACTIONS(1660),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1660),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1660),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1660),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1660),
    [aux_sym_rekey_limit_token1] = ACTIONS(1660),
    [aux_sym_remote_command_token1] = ACTIONS(1660),
    [aux_sym_remote_forward_token1] = ACTIONS(1660),
    [aux_sym_request_tty_token1] = ACTIONS(1660),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1660),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1660),
    [aux_sym_security_key_provider_token1] = ACTIONS(1660),
    [aux_sym_send_env_token1] = ACTIONS(1660),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1660),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1660),
    [aux_sym_session_type_token1] = ACTIONS(1660),
    [aux_sym_set_env_token1] = ACTIONS(1660),
    [aux_sym_stdin_null_token1] = ACTIONS(1660),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1660),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1660),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1660),
    [aux_sym_syslog_facility_token1] = ACTIONS(1660),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1660),
    [aux_sym_keep_alive_token1] = ACTIONS(1660),
    [aux_sym_tag_token1] = ACTIONS(1660),
    [aux_sym_tunnel_token1] = ACTIONS(1662),
    [aux_sym_tunnel_device_token1] = ACTIONS(1660),
    [aux_sym_update_host_keys_token1] = ACTIONS(1660),
    [aux_sym_use_keychain_token1] = ACTIONS(1660),
    [aux_sym_use_roaming_token1] = ACTIONS(1660),
    [aux_sym_user_token1] = ACTIONS(1662),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1660),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1660),
    [aux_sym_version_addendum_token1] = ACTIONS(1660),
    [aux_sym_visual_host_key_token1] = ACTIONS(1660),
    [aux_sym_xauth_location_token1] = ACTIONS(1660),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1666),
    [anon_sym_DQUOTE] = ACTIONS(1668),
    [aux_sym_match_token1] = ACTIONS(1664),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1664),
    [aux_sym_address_family_token1] = ACTIONS(1664),
    [aux_sym_batch_mode_token1] = ACTIONS(1664),
    [aux_sym_bind_address_token1] = ACTIONS(1664),
    [aux_sym_bind_interface_token1] = ACTIONS(1664),
    [aux_sym_canonical_domains_token1] = ACTIONS(1664),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1664),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1664),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1664),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1664),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1664),
    [aux_sym_certificate_file_token1] = ACTIONS(1664),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1664),
    [aux_sym_channel_timeout_token1] = ACTIONS(1664),
    [aux_sym_check_host_ip_token1] = ACTIONS(1664),
    [aux_sym_ciphers_token1] = ACTIONS(1664),
    [aux_sym_cipher_token1] = ACTIONS(1666),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1664),
    [aux_sym_compression_token1] = ACTIONS(1664),
    [aux_sym_connection_attempts_token1] = ACTIONS(1664),
    [aux_sym_connect_timeout_token1] = ACTIONS(1664),
    [aux_sym_control_master_token1] = ACTIONS(1664),
    [aux_sym_control_path_token1] = ACTIONS(1664),
    [aux_sym_control_persist_token1] = ACTIONS(1664),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1664),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1664),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1664),
    [aux_sym_escape_char_token1] = ACTIONS(1664),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1664),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1664),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1664),
    [aux_sym_forward_agent_token1] = ACTIONS(1664),
    [aux_sym_forward_x11_token1] = ACTIONS(1666),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1664),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1664),
    [aux_sym_gateway_ports_token1] = ACTIONS(1664),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1664),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1664),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1664),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1664),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1664),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1664),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1664),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1664),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1664),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1664),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1664),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1664),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1664),
    [aux_sym_host_key_alias_token1] = ACTIONS(1664),
    [aux_sym_hostname_token1] = ACTIONS(1664),
    [aux_sym_identities_only_token1] = ACTIONS(1664),
    [aux_sym_identity_agent_token1] = ACTIONS(1664),
    [aux_sym_identity_file_token1] = ACTIONS(1664),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1664),
    [aux_sym_include_token1] = ACTIONS(1664),
    [aux_sym_ip_qos_token1] = ACTIONS(1664),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1664),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1664),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1664),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1664),
    [aux_sym_local_command_token1] = ACTIONS(1664),
    [aux_sym_local_forward_token1] = ACTIONS(1664),
    [aux_sym_log_level_token1] = ACTIONS(1664),
    [aux_sym_log_verbose_token1] = ACTIONS(1664),
    [aux_sym_macs_token1] = ACTIONS(1664),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1664),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1664),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1664),
    [aux_sym_password_authentication_token1] = ACTIONS(1664),
    [aux_sym_permit_local_command_token1] = ACTIONS(1664),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1664),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1664),
    [aux_sym_port_token1] = ACTIONS(1664),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1664),
    [aux_sym_protocol_token1] = ACTIONS(1664),
    [aux_sym_proxy_command_token1] = ACTIONS(1664),
    [aux_sym_proxy_jump_token1] = ACTIONS(1664),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1664),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1664),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1664),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1664),
    [aux_sym_rekey_limit_token1] = ACTIONS(1664),
    [aux_sym_remote_command_token1] = ACTIONS(1664),
    [aux_sym_remote_forward_token1] = ACTIONS(1664),
    [aux_sym_request_tty_token1] = ACTIONS(1664),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1664),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1664),
    [aux_sym_security_key_provider_token1] = ACTIONS(1664),
    [aux_sym_send_env_token1] = ACTIONS(1664),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1664),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1664),
    [aux_sym_session_type_token1] = ACTIONS(1664),
    [aux_sym_set_env_token1] = ACTIONS(1664),
    [aux_sym_stdin_null_token1] = ACTIONS(1664),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1664),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1664),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1664),
    [aux_sym_syslog_facility_token1] = ACTIONS(1664),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1664),
    [aux_sym_keep_alive_token1] = ACTIONS(1664),
    [aux_sym_tag_token1] = ACTIONS(1664),
    [aux_sym_tunnel_token1] = ACTIONS(1666),
    [aux_sym_tunnel_device_token1] = ACTIONS(1664),
    [aux_sym_update_host_keys_token1] = ACTIONS(1664),
    [aux_sym_use_keychain_token1] = ACTIONS(1664),
    [aux_sym_use_roaming_token1] = ACTIONS(1664),
    [aux_sym_user_token1] = ACTIONS(1666),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1664),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1664),
    [aux_sym_version_addendum_token1] = ACTIONS(1664),
    [aux_sym_visual_host_key_token1] = ACTIONS(1664),
    [aux_sym_xauth_location_token1] = ACTIONS(1664),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [aux_sym_match_token1] = ACTIONS(1670),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1670),
    [aux_sym_address_family_token1] = ACTIONS(1670),
    [aux_sym_batch_mode_token1] = ACTIONS(1670),
    [aux_sym_bind_address_token1] = ACTIONS(1670),
    [aux_sym_bind_interface_token1] = ACTIONS(1670),
    [aux_sym_canonical_domains_token1] = ACTIONS(1670),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1670),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1670),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1670),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1670),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1670),
    [aux_sym_certificate_file_token1] = ACTIONS(1670),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1670),
    [aux_sym_channel_timeout_token1] = ACTIONS(1670),
    [aux_sym_check_host_ip_token1] = ACTIONS(1670),
    [aux_sym_ciphers_token1] = ACTIONS(1670),
    [aux_sym_cipher_token1] = ACTIONS(1672),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1670),
    [aux_sym_compression_token1] = ACTIONS(1670),
    [aux_sym_connection_attempts_token1] = ACTIONS(1670),
    [aux_sym_connect_timeout_token1] = ACTIONS(1670),
    [aux_sym_control_master_token1] = ACTIONS(1670),
    [aux_sym_control_path_token1] = ACTIONS(1670),
    [aux_sym_control_persist_token1] = ACTIONS(1670),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1670),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1670),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1670),
    [aux_sym_escape_char_token1] = ACTIONS(1670),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1670),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1670),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1670),
    [aux_sym_forward_agent_token1] = ACTIONS(1670),
    [aux_sym_forward_x11_token1] = ACTIONS(1672),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1670),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1670),
    [aux_sym_gateway_ports_token1] = ACTIONS(1670),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1670),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1670),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1670),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1670),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1670),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1670),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1670),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1670),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1670),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1670),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1670),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1670),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1670),
    [aux_sym_host_key_alias_token1] = ACTIONS(1670),
    [aux_sym_hostname_token1] = ACTIONS(1670),
    [aux_sym_identities_only_token1] = ACTIONS(1670),
    [aux_sym_identity_agent_token1] = ACTIONS(1670),
    [aux_sym_identity_file_token1] = ACTIONS(1670),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1670),
    [aux_sym_include_token1] = ACTIONS(1670),
    [aux_sym_ip_qos_token1] = ACTIONS(1670),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1670),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1670),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1670),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1670),
    [aux_sym_local_command_token1] = ACTIONS(1670),
    [aux_sym_local_forward_token1] = ACTIONS(1670),
    [aux_sym_log_level_token1] = ACTIONS(1670),
    [aux_sym_log_verbose_token1] = ACTIONS(1670),
    [aux_sym_macs_token1] = ACTIONS(1670),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1670),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1670),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1670),
    [aux_sym_password_authentication_token1] = ACTIONS(1670),
    [aux_sym_permit_local_command_token1] = ACTIONS(1670),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1670),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1670),
    [aux_sym_port_token1] = ACTIONS(1670),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1670),
    [aux_sym_protocol_token1] = ACTIONS(1670),
    [aux_sym_proxy_command_token1] = ACTIONS(1670),
    [aux_sym_proxy_jump_token1] = ACTIONS(1670),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1670),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1670),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1670),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1670),
    [aux_sym_rekey_limit_token1] = ACTIONS(1670),
    [aux_sym_remote_command_token1] = ACTIONS(1670),
    [aux_sym_remote_forward_token1] = ACTIONS(1670),
    [aux_sym_request_tty_token1] = ACTIONS(1670),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1670),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1670),
    [aux_sym_security_key_provider_token1] = ACTIONS(1670),
    [aux_sym_send_env_token1] = ACTIONS(1670),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1670),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1670),
    [aux_sym_session_type_token1] = ACTIONS(1670),
    [aux_sym_set_env_token1] = ACTIONS(1670),
    [aux_sym_stdin_null_token1] = ACTIONS(1670),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1670),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1670),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1670),
    [aux_sym_syslog_facility_token1] = ACTIONS(1670),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1670),
    [aux_sym_keep_alive_token1] = ACTIONS(1670),
    [aux_sym_tag_token1] = ACTIONS(1670),
    [aux_sym_tunnel_token1] = ACTIONS(1672),
    [aux_sym_tunnel_device_token1] = ACTIONS(1670),
    [aux_sym_update_host_keys_token1] = ACTIONS(1670),
    [aux_sym_use_keychain_token1] = ACTIONS(1670),
    [aux_sym_use_roaming_token1] = ACTIONS(1670),
    [aux_sym_user_token1] = ACTIONS(1672),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1670),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1670),
    [aux_sym_version_addendum_token1] = ACTIONS(1670),
    [aux_sym_visual_host_key_token1] = ACTIONS(1670),
    [aux_sym_xauth_location_token1] = ACTIONS(1670),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [aux_sym_match_token1] = ACTIONS(1674),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1674),
    [aux_sym_address_family_token1] = ACTIONS(1674),
    [aux_sym_batch_mode_token1] = ACTIONS(1674),
    [aux_sym_bind_address_token1] = ACTIONS(1674),
    [aux_sym_bind_interface_token1] = ACTIONS(1674),
    [aux_sym_canonical_domains_token1] = ACTIONS(1674),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1674),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1674),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1674),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1674),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1674),
    [aux_sym_certificate_file_token1] = ACTIONS(1674),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1674),
    [aux_sym_channel_timeout_token1] = ACTIONS(1674),
    [aux_sym_check_host_ip_token1] = ACTIONS(1674),
    [aux_sym_ciphers_token1] = ACTIONS(1674),
    [aux_sym_cipher_token1] = ACTIONS(1676),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1674),
    [aux_sym_compression_token1] = ACTIONS(1674),
    [aux_sym_connection_attempts_token1] = ACTIONS(1674),
    [aux_sym_connect_timeout_token1] = ACTIONS(1674),
    [aux_sym_control_master_token1] = ACTIONS(1674),
    [aux_sym_control_path_token1] = ACTIONS(1674),
    [aux_sym_control_persist_token1] = ACTIONS(1674),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1674),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1674),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1674),
    [aux_sym_escape_char_token1] = ACTIONS(1674),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1674),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1674),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1674),
    [aux_sym_forward_agent_token1] = ACTIONS(1674),
    [aux_sym_forward_x11_token1] = ACTIONS(1676),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1674),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1674),
    [aux_sym_gateway_ports_token1] = ACTIONS(1674),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1674),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1674),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1674),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1674),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1674),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1674),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1674),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1674),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1674),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1674),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1674),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1674),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1674),
    [aux_sym_host_key_alias_token1] = ACTIONS(1674),
    [aux_sym_hostname_token1] = ACTIONS(1674),
    [aux_sym_identities_only_token1] = ACTIONS(1674),
    [aux_sym_identity_agent_token1] = ACTIONS(1674),
    [aux_sym_identity_file_token1] = ACTIONS(1674),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1674),
    [aux_sym_include_token1] = ACTIONS(1674),
    [aux_sym_ip_qos_token1] = ACTIONS(1674),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1674),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1674),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1674),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1674),
    [aux_sym_local_command_token1] = ACTIONS(1674),
    [aux_sym_local_forward_token1] = ACTIONS(1674),
    [aux_sym_log_level_token1] = ACTIONS(1674),
    [aux_sym_log_verbose_token1] = ACTIONS(1674),
    [aux_sym_macs_token1] = ACTIONS(1674),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1674),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1674),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1674),
    [aux_sym_password_authentication_token1] = ACTIONS(1674),
    [aux_sym_permit_local_command_token1] = ACTIONS(1674),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1674),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1674),
    [aux_sym_port_token1] = ACTIONS(1674),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1674),
    [aux_sym_protocol_token1] = ACTIONS(1674),
    [aux_sym_proxy_command_token1] = ACTIONS(1674),
    [aux_sym_proxy_jump_token1] = ACTIONS(1674),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1674),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1674),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1674),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1674),
    [aux_sym_rekey_limit_token1] = ACTIONS(1674),
    [aux_sym_remote_command_token1] = ACTIONS(1674),
    [aux_sym_remote_forward_token1] = ACTIONS(1674),
    [aux_sym_request_tty_token1] = ACTIONS(1674),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1674),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1674),
    [aux_sym_security_key_provider_token1] = ACTIONS(1674),
    [aux_sym_send_env_token1] = ACTIONS(1674),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1674),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1674),
    [aux_sym_session_type_token1] = ACTIONS(1674),
    [aux_sym_set_env_token1] = ACTIONS(1674),
    [aux_sym_stdin_null_token1] = ACTIONS(1674),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1674),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1674),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1674),
    [aux_sym_syslog_facility_token1] = ACTIONS(1674),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1674),
    [aux_sym_keep_alive_token1] = ACTIONS(1674),
    [aux_sym_tag_token1] = ACTIONS(1674),
    [aux_sym_tunnel_token1] = ACTIONS(1676),
    [aux_sym_tunnel_device_token1] = ACTIONS(1674),
    [aux_sym_update_host_keys_token1] = ACTIONS(1674),
    [aux_sym_use_keychain_token1] = ACTIONS(1674),
    [aux_sym_use_roaming_token1] = ACTIONS(1674),
    [aux_sym_user_token1] = ACTIONS(1676),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1674),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1674),
    [aux_sym_version_addendum_token1] = ACTIONS(1674),
    [aux_sym_visual_host_key_token1] = ACTIONS(1674),
    [aux_sym_xauth_location_token1] = ACTIONS(1674),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [aux_sym_match_token1] = ACTIONS(1680),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1680),
    [aux_sym_address_family_token1] = ACTIONS(1680),
    [aux_sym_batch_mode_token1] = ACTIONS(1680),
    [aux_sym_bind_address_token1] = ACTIONS(1680),
    [aux_sym_bind_interface_token1] = ACTIONS(1680),
    [aux_sym_canonical_domains_token1] = ACTIONS(1680),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1680),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1680),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1680),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1680),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1680),
    [aux_sym_certificate_file_token1] = ACTIONS(1680),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1680),
    [aux_sym_channel_timeout_token1] = ACTIONS(1680),
    [aux_sym_check_host_ip_token1] = ACTIONS(1680),
    [aux_sym_ciphers_token1] = ACTIONS(1680),
    [aux_sym_cipher_token1] = ACTIONS(1682),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1680),
    [aux_sym_compression_token1] = ACTIONS(1680),
    [aux_sym_connection_attempts_token1] = ACTIONS(1680),
    [aux_sym_connect_timeout_token1] = ACTIONS(1680),
    [aux_sym_control_master_token1] = ACTIONS(1680),
    [aux_sym_control_path_token1] = ACTIONS(1680),
    [aux_sym_control_persist_token1] = ACTIONS(1680),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1680),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1680),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1680),
    [aux_sym_escape_char_token1] = ACTIONS(1680),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1680),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1680),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1680),
    [aux_sym_forward_agent_token1] = ACTIONS(1680),
    [aux_sym_forward_x11_token1] = ACTIONS(1682),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1680),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1680),
    [aux_sym_gateway_ports_token1] = ACTIONS(1680),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1680),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1680),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1680),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1680),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1680),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1680),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1680),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1680),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1680),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1680),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1680),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1680),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1680),
    [aux_sym_host_key_alias_token1] = ACTIONS(1680),
    [aux_sym_hostname_token1] = ACTIONS(1680),
    [aux_sym_identities_only_token1] = ACTIONS(1680),
    [aux_sym_identity_agent_token1] = ACTIONS(1680),
    [aux_sym_identity_file_token1] = ACTIONS(1680),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1680),
    [aux_sym_include_token1] = ACTIONS(1680),
    [aux_sym_ip_qos_token1] = ACTIONS(1680),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1680),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1680),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1680),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1680),
    [aux_sym_local_command_token1] = ACTIONS(1680),
    [aux_sym_local_forward_token1] = ACTIONS(1680),
    [aux_sym_log_level_token1] = ACTIONS(1680),
    [aux_sym_log_verbose_token1] = ACTIONS(1680),
    [aux_sym_macs_token1] = ACTIONS(1680),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1680),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1680),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1680),
    [aux_sym_password_authentication_token1] = ACTIONS(1680),
    [aux_sym_permit_local_command_token1] = ACTIONS(1680),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1680),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1680),
    [aux_sym_port_token1] = ACTIONS(1680),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1680),
    [aux_sym_protocol_token1] = ACTIONS(1680),
    [aux_sym_proxy_command_token1] = ACTIONS(1680),
    [aux_sym_proxy_jump_token1] = ACTIONS(1680),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1680),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1680),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1680),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1680),
    [aux_sym_rekey_limit_token1] = ACTIONS(1680),
    [aux_sym_remote_command_token1] = ACTIONS(1680),
    [aux_sym_remote_forward_token1] = ACTIONS(1680),
    [aux_sym_request_tty_token1] = ACTIONS(1680),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1680),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1680),
    [aux_sym_security_key_provider_token1] = ACTIONS(1680),
    [aux_sym_send_env_token1] = ACTIONS(1680),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1680),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1680),
    [aux_sym_session_type_token1] = ACTIONS(1680),
    [aux_sym_set_env_token1] = ACTIONS(1680),
    [aux_sym_stdin_null_token1] = ACTIONS(1680),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1680),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1680),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1680),
    [aux_sym_syslog_facility_token1] = ACTIONS(1680),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1680),
    [aux_sym_keep_alive_token1] = ACTIONS(1680),
    [aux_sym_tag_token1] = ACTIONS(1680),
    [aux_sym_tunnel_token1] = ACTIONS(1682),
    [aux_sym_tunnel_device_token1] = ACTIONS(1680),
    [aux_sym_update_host_keys_token1] = ACTIONS(1680),
    [aux_sym_use_keychain_token1] = ACTIONS(1680),
    [aux_sym_use_roaming_token1] = ACTIONS(1680),
    [aux_sym_user_token1] = ACTIONS(1682),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1680),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1680),
    [aux_sym_version_addendum_token1] = ACTIONS(1680),
    [aux_sym_visual_host_key_token1] = ACTIONS(1680),
    [aux_sym_xauth_location_token1] = ACTIONS(1680),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1686),
    [anon_sym_DQUOTE] = ACTIONS(1688),
    [aux_sym_match_token1] = ACTIONS(1684),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1684),
    [aux_sym_address_family_token1] = ACTIONS(1684),
    [aux_sym_batch_mode_token1] = ACTIONS(1684),
    [aux_sym_bind_address_token1] = ACTIONS(1684),
    [aux_sym_bind_interface_token1] = ACTIONS(1684),
    [aux_sym_canonical_domains_token1] = ACTIONS(1684),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1684),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1684),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1684),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1684),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1684),
    [aux_sym_certificate_file_token1] = ACTIONS(1684),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1684),
    [aux_sym_channel_timeout_token1] = ACTIONS(1684),
    [aux_sym_check_host_ip_token1] = ACTIONS(1684),
    [aux_sym_ciphers_token1] = ACTIONS(1684),
    [aux_sym_cipher_token1] = ACTIONS(1686),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1684),
    [aux_sym_compression_token1] = ACTIONS(1684),
    [aux_sym_connection_attempts_token1] = ACTIONS(1684),
    [aux_sym_connect_timeout_token1] = ACTIONS(1684),
    [aux_sym_control_master_token1] = ACTIONS(1684),
    [aux_sym_control_path_token1] = ACTIONS(1684),
    [aux_sym_control_persist_token1] = ACTIONS(1684),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1684),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1684),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1684),
    [aux_sym_escape_char_token1] = ACTIONS(1684),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1684),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1684),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1684),
    [aux_sym_forward_agent_token1] = ACTIONS(1684),
    [aux_sym_forward_x11_token1] = ACTIONS(1686),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1684),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1684),
    [aux_sym_gateway_ports_token1] = ACTIONS(1684),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1684),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1684),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1684),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1684),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1684),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1684),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1684),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1684),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1684),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1684),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1684),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1684),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1684),
    [aux_sym_host_key_alias_token1] = ACTIONS(1684),
    [aux_sym_hostname_token1] = ACTIONS(1684),
    [aux_sym_identities_only_token1] = ACTIONS(1684),
    [aux_sym_identity_agent_token1] = ACTIONS(1684),
    [aux_sym_identity_file_token1] = ACTIONS(1684),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1684),
    [aux_sym_include_token1] = ACTIONS(1684),
    [aux_sym_ip_qos_token1] = ACTIONS(1684),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1684),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1684),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1684),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1684),
    [aux_sym_local_command_token1] = ACTIONS(1684),
    [aux_sym_local_forward_token1] = ACTIONS(1684),
    [aux_sym_log_level_token1] = ACTIONS(1684),
    [aux_sym_log_verbose_token1] = ACTIONS(1684),
    [aux_sym_macs_token1] = ACTIONS(1684),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1684),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1684),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1684),
    [aux_sym_password_authentication_token1] = ACTIONS(1684),
    [aux_sym_permit_local_command_token1] = ACTIONS(1684),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1684),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1684),
    [aux_sym_port_token1] = ACTIONS(1684),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1684),
    [aux_sym_protocol_token1] = ACTIONS(1684),
    [aux_sym_proxy_command_token1] = ACTIONS(1684),
    [aux_sym_proxy_jump_token1] = ACTIONS(1684),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1684),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1684),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1684),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1684),
    [aux_sym_rekey_limit_token1] = ACTIONS(1684),
    [aux_sym_remote_command_token1] = ACTIONS(1684),
    [aux_sym_remote_forward_token1] = ACTIONS(1684),
    [aux_sym_request_tty_token1] = ACTIONS(1684),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1684),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1684),
    [aux_sym_security_key_provider_token1] = ACTIONS(1684),
    [aux_sym_send_env_token1] = ACTIONS(1684),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1684),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1684),
    [aux_sym_session_type_token1] = ACTIONS(1684),
    [aux_sym_set_env_token1] = ACTIONS(1684),
    [aux_sym_stdin_null_token1] = ACTIONS(1684),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1684),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1684),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1684),
    [aux_sym_syslog_facility_token1] = ACTIONS(1684),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1684),
    [aux_sym_keep_alive_token1] = ACTIONS(1684),
    [aux_sym_tag_token1] = ACTIONS(1684),
    [aux_sym_tunnel_token1] = ACTIONS(1686),
    [aux_sym_tunnel_device_token1] = ACTIONS(1684),
    [aux_sym_update_host_keys_token1] = ACTIONS(1684),
    [aux_sym_use_keychain_token1] = ACTIONS(1684),
    [aux_sym_use_roaming_token1] = ACTIONS(1684),
    [aux_sym_user_token1] = ACTIONS(1686),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1684),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1684),
    [aux_sym_version_addendum_token1] = ACTIONS(1684),
    [aux_sym_visual_host_key_token1] = ACTIONS(1684),
    [aux_sym_xauth_location_token1] = ACTIONS(1684),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1690),
    [aux_sym_match_token1] = ACTIONS(1690),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1690),
    [aux_sym_address_family_token1] = ACTIONS(1690),
    [aux_sym_batch_mode_token1] = ACTIONS(1690),
    [aux_sym_bind_address_token1] = ACTIONS(1690),
    [aux_sym_bind_interface_token1] = ACTIONS(1690),
    [aux_sym_canonical_domains_token1] = ACTIONS(1690),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1690),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1690),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1690),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1690),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1690),
    [aux_sym_certificate_file_token1] = ACTIONS(1690),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1690),
    [aux_sym_channel_timeout_token1] = ACTIONS(1690),
    [aux_sym_check_host_ip_token1] = ACTIONS(1690),
    [aux_sym_ciphers_token1] = ACTIONS(1690),
    [aux_sym_cipher_token1] = ACTIONS(1692),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1690),
    [aux_sym_compression_token1] = ACTIONS(1690),
    [aux_sym_connection_attempts_token1] = ACTIONS(1690),
    [aux_sym_connect_timeout_token1] = ACTIONS(1690),
    [aux_sym_control_master_token1] = ACTIONS(1690),
    [aux_sym_control_path_token1] = ACTIONS(1690),
    [aux_sym_control_persist_token1] = ACTIONS(1690),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1690),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1690),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1690),
    [aux_sym_escape_char_token1] = ACTIONS(1690),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1690),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1690),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1690),
    [aux_sym_forward_agent_token1] = ACTIONS(1690),
    [aux_sym_forward_x11_token1] = ACTIONS(1692),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1690),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1690),
    [aux_sym_gateway_ports_token1] = ACTIONS(1690),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1690),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1690),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1690),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1690),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1690),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1690),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1690),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1690),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1690),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1690),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1690),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1690),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1690),
    [aux_sym_host_key_alias_token1] = ACTIONS(1690),
    [aux_sym_hostname_token1] = ACTIONS(1690),
    [aux_sym_identities_only_token1] = ACTIONS(1690),
    [aux_sym_identity_agent_token1] = ACTIONS(1690),
    [aux_sym_identity_file_token1] = ACTIONS(1690),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1690),
    [aux_sym_include_token1] = ACTIONS(1690),
    [aux_sym_ip_qos_token1] = ACTIONS(1690),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1690),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1690),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1690),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1690),
    [aux_sym_local_command_token1] = ACTIONS(1690),
    [aux_sym_local_forward_token1] = ACTIONS(1690),
    [aux_sym_log_level_token1] = ACTIONS(1690),
    [aux_sym_log_verbose_token1] = ACTIONS(1690),
    [aux_sym_macs_token1] = ACTIONS(1690),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1690),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1690),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1690),
    [aux_sym_password_authentication_token1] = ACTIONS(1690),
    [aux_sym_permit_local_command_token1] = ACTIONS(1690),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1690),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1690),
    [aux_sym_port_token1] = ACTIONS(1690),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1690),
    [aux_sym_protocol_token1] = ACTIONS(1690),
    [aux_sym_proxy_command_token1] = ACTIONS(1690),
    [aux_sym_proxy_jump_token1] = ACTIONS(1690),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1690),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1690),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1690),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1690),
    [aux_sym_rekey_limit_token1] = ACTIONS(1690),
    [aux_sym_remote_command_token1] = ACTIONS(1690),
    [aux_sym_remote_forward_token1] = ACTIONS(1690),
    [aux_sym_request_tty_token1] = ACTIONS(1690),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1690),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1690),
    [aux_sym_security_key_provider_token1] = ACTIONS(1690),
    [aux_sym_send_env_token1] = ACTIONS(1690),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1690),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1690),
    [aux_sym_session_type_token1] = ACTIONS(1690),
    [aux_sym_set_env_token1] = ACTIONS(1690),
    [aux_sym_stdin_null_token1] = ACTIONS(1690),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1690),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1690),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1690),
    [aux_sym_syslog_facility_token1] = ACTIONS(1690),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1690),
    [aux_sym_keep_alive_token1] = ACTIONS(1690),
    [aux_sym_tag_token1] = ACTIONS(1690),
    [aux_sym_tunnel_token1] = ACTIONS(1692),
    [aux_sym_tunnel_device_token1] = ACTIONS(1690),
    [aux_sym_update_host_keys_token1] = ACTIONS(1690),
    [aux_sym_use_keychain_token1] = ACTIONS(1690),
    [aux_sym_use_roaming_token1] = ACTIONS(1690),
    [aux_sym_user_token1] = ACTIONS(1692),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1690),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1690),
    [aux_sym_version_addendum_token1] = ACTIONS(1690),
    [aux_sym_visual_host_key_token1] = ACTIONS(1690),
    [aux_sym_xauth_location_token1] = ACTIONS(1690),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1694),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1696),
    [anon_sym_DQUOTE] = ACTIONS(1698),
    [aux_sym_match_token1] = ACTIONS(1694),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1694),
    [aux_sym_address_family_token1] = ACTIONS(1694),
    [aux_sym_batch_mode_token1] = ACTIONS(1694),
    [aux_sym_bind_address_token1] = ACTIONS(1694),
    [aux_sym_bind_interface_token1] = ACTIONS(1694),
    [aux_sym_canonical_domains_token1] = ACTIONS(1694),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1694),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1694),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1694),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1694),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1694),
    [aux_sym_certificate_file_token1] = ACTIONS(1694),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1694),
    [aux_sym_channel_timeout_token1] = ACTIONS(1694),
    [aux_sym_check_host_ip_token1] = ACTIONS(1694),
    [aux_sym_ciphers_token1] = ACTIONS(1694),
    [aux_sym_cipher_token1] = ACTIONS(1696),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1694),
    [aux_sym_compression_token1] = ACTIONS(1694),
    [aux_sym_connection_attempts_token1] = ACTIONS(1694),
    [aux_sym_connect_timeout_token1] = ACTIONS(1694),
    [aux_sym_control_master_token1] = ACTIONS(1694),
    [aux_sym_control_path_token1] = ACTIONS(1694),
    [aux_sym_control_persist_token1] = ACTIONS(1694),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1694),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1694),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1694),
    [aux_sym_escape_char_token1] = ACTIONS(1694),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1694),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1694),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1694),
    [aux_sym_forward_agent_token1] = ACTIONS(1694),
    [aux_sym_forward_x11_token1] = ACTIONS(1696),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1694),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1694),
    [aux_sym_gateway_ports_token1] = ACTIONS(1694),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1694),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1694),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1694),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1694),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1694),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1694),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1694),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1694),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1694),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1694),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1694),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1694),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1694),
    [aux_sym_host_key_alias_token1] = ACTIONS(1694),
    [aux_sym_hostname_token1] = ACTIONS(1694),
    [aux_sym_identities_only_token1] = ACTIONS(1694),
    [aux_sym_identity_agent_token1] = ACTIONS(1694),
    [aux_sym_identity_file_token1] = ACTIONS(1694),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1694),
    [aux_sym_include_token1] = ACTIONS(1694),
    [aux_sym_ip_qos_token1] = ACTIONS(1694),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1694),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1694),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1694),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1694),
    [aux_sym_local_command_token1] = ACTIONS(1694),
    [aux_sym_local_forward_token1] = ACTIONS(1694),
    [aux_sym_log_level_token1] = ACTIONS(1694),
    [aux_sym_log_verbose_token1] = ACTIONS(1694),
    [aux_sym_macs_token1] = ACTIONS(1694),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1694),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1694),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1694),
    [aux_sym_password_authentication_token1] = ACTIONS(1694),
    [aux_sym_permit_local_command_token1] = ACTIONS(1694),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1694),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1694),
    [aux_sym_port_token1] = ACTIONS(1694),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1694),
    [aux_sym_protocol_token1] = ACTIONS(1694),
    [aux_sym_proxy_command_token1] = ACTIONS(1694),
    [aux_sym_proxy_jump_token1] = ACTIONS(1694),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1694),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1694),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1694),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1694),
    [aux_sym_rekey_limit_token1] = ACTIONS(1694),
    [aux_sym_remote_command_token1] = ACTIONS(1694),
    [aux_sym_remote_forward_token1] = ACTIONS(1694),
    [aux_sym_request_tty_token1] = ACTIONS(1694),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1694),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1694),
    [aux_sym_security_key_provider_token1] = ACTIONS(1694),
    [aux_sym_send_env_token1] = ACTIONS(1694),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1694),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1694),
    [aux_sym_session_type_token1] = ACTIONS(1694),
    [aux_sym_set_env_token1] = ACTIONS(1694),
    [aux_sym_stdin_null_token1] = ACTIONS(1694),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1694),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1694),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1694),
    [aux_sym_syslog_facility_token1] = ACTIONS(1694),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1694),
    [aux_sym_keep_alive_token1] = ACTIONS(1694),
    [aux_sym_tag_token1] = ACTIONS(1694),
    [aux_sym_tunnel_token1] = ACTIONS(1696),
    [aux_sym_tunnel_device_token1] = ACTIONS(1694),
    [aux_sym_update_host_keys_token1] = ACTIONS(1694),
    [aux_sym_use_keychain_token1] = ACTIONS(1694),
    [aux_sym_use_roaming_token1] = ACTIONS(1694),
    [aux_sym_user_token1] = ACTIONS(1696),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1694),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1694),
    [aux_sym_version_addendum_token1] = ACTIONS(1694),
    [aux_sym_visual_host_key_token1] = ACTIONS(1694),
    [aux_sym_xauth_location_token1] = ACTIONS(1694),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [aux_sym_match_token1] = ACTIONS(1700),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1700),
    [aux_sym_address_family_token1] = ACTIONS(1700),
    [aux_sym_batch_mode_token1] = ACTIONS(1700),
    [aux_sym_bind_address_token1] = ACTIONS(1700),
    [aux_sym_bind_interface_token1] = ACTIONS(1700),
    [aux_sym_canonical_domains_token1] = ACTIONS(1700),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1700),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1700),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1700),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1700),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1700),
    [aux_sym_certificate_file_token1] = ACTIONS(1700),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1700),
    [aux_sym_channel_timeout_token1] = ACTIONS(1700),
    [aux_sym_check_host_ip_token1] = ACTIONS(1700),
    [aux_sym_ciphers_token1] = ACTIONS(1700),
    [aux_sym_cipher_token1] = ACTIONS(1702),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1700),
    [aux_sym_compression_token1] = ACTIONS(1700),
    [aux_sym_connection_attempts_token1] = ACTIONS(1700),
    [aux_sym_connect_timeout_token1] = ACTIONS(1700),
    [aux_sym_control_master_token1] = ACTIONS(1700),
    [aux_sym_control_path_token1] = ACTIONS(1700),
    [aux_sym_control_persist_token1] = ACTIONS(1700),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1700),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1700),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1700),
    [aux_sym_escape_char_token1] = ACTIONS(1700),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1700),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1700),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1700),
    [aux_sym_forward_agent_token1] = ACTIONS(1700),
    [aux_sym_forward_x11_token1] = ACTIONS(1702),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1700),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1700),
    [aux_sym_gateway_ports_token1] = ACTIONS(1700),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1700),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1700),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1700),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1700),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1700),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1700),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1700),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1700),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1700),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1700),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1700),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1700),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1700),
    [aux_sym_host_key_alias_token1] = ACTIONS(1700),
    [aux_sym_hostname_token1] = ACTIONS(1700),
    [aux_sym_identities_only_token1] = ACTIONS(1700),
    [aux_sym_identity_agent_token1] = ACTIONS(1700),
    [aux_sym_identity_file_token1] = ACTIONS(1700),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1700),
    [aux_sym_include_token1] = ACTIONS(1700),
    [aux_sym_ip_qos_token1] = ACTIONS(1700),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1700),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1700),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1700),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1700),
    [aux_sym_local_command_token1] = ACTIONS(1700),
    [aux_sym_local_forward_token1] = ACTIONS(1700),
    [aux_sym_log_level_token1] = ACTIONS(1700),
    [aux_sym_log_verbose_token1] = ACTIONS(1700),
    [aux_sym_macs_token1] = ACTIONS(1700),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1700),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1700),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1700),
    [aux_sym_password_authentication_token1] = ACTIONS(1700),
    [aux_sym_permit_local_command_token1] = ACTIONS(1700),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1700),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1700),
    [aux_sym_port_token1] = ACTIONS(1700),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1700),
    [aux_sym_protocol_token1] = ACTIONS(1700),
    [aux_sym_proxy_command_token1] = ACTIONS(1700),
    [aux_sym_proxy_jump_token1] = ACTIONS(1700),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1700),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1700),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1700),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1700),
    [aux_sym_rekey_limit_token1] = ACTIONS(1700),
    [aux_sym_remote_command_token1] = ACTIONS(1700),
    [aux_sym_remote_forward_token1] = ACTIONS(1700),
    [aux_sym_request_tty_token1] = ACTIONS(1700),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1700),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1700),
    [aux_sym_security_key_provider_token1] = ACTIONS(1700),
    [aux_sym_send_env_token1] = ACTIONS(1700),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1700),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1700),
    [aux_sym_session_type_token1] = ACTIONS(1700),
    [aux_sym_set_env_token1] = ACTIONS(1700),
    [aux_sym_stdin_null_token1] = ACTIONS(1700),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1700),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1700),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1700),
    [aux_sym_syslog_facility_token1] = ACTIONS(1700),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1700),
    [aux_sym_keep_alive_token1] = ACTIONS(1700),
    [aux_sym_tag_token1] = ACTIONS(1700),
    [aux_sym_tunnel_token1] = ACTIONS(1702),
    [aux_sym_tunnel_device_token1] = ACTIONS(1700),
    [aux_sym_update_host_keys_token1] = ACTIONS(1700),
    [aux_sym_use_keychain_token1] = ACTIONS(1700),
    [aux_sym_use_roaming_token1] = ACTIONS(1700),
    [aux_sym_user_token1] = ACTIONS(1702),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1700),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1700),
    [aux_sym_version_addendum_token1] = ACTIONS(1700),
    [aux_sym_visual_host_key_token1] = ACTIONS(1700),
    [aux_sym_xauth_location_token1] = ACTIONS(1700),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1708),
    [aux_sym_match_token1] = ACTIONS(1704),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1704),
    [aux_sym_address_family_token1] = ACTIONS(1704),
    [aux_sym_batch_mode_token1] = ACTIONS(1704),
    [aux_sym_bind_address_token1] = ACTIONS(1704),
    [aux_sym_bind_interface_token1] = ACTIONS(1704),
    [aux_sym_canonical_domains_token1] = ACTIONS(1704),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1704),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1704),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1704),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1704),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1704),
    [aux_sym_certificate_file_token1] = ACTIONS(1704),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1704),
    [aux_sym_channel_timeout_token1] = ACTIONS(1704),
    [aux_sym_check_host_ip_token1] = ACTIONS(1704),
    [aux_sym_ciphers_token1] = ACTIONS(1704),
    [aux_sym_cipher_token1] = ACTIONS(1706),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1704),
    [aux_sym_compression_token1] = ACTIONS(1704),
    [aux_sym_connection_attempts_token1] = ACTIONS(1704),
    [aux_sym_connect_timeout_token1] = ACTIONS(1704),
    [aux_sym_control_master_token1] = ACTIONS(1704),
    [aux_sym_control_path_token1] = ACTIONS(1704),
    [aux_sym_control_persist_token1] = ACTIONS(1704),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1704),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1704),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1704),
    [aux_sym_escape_char_token1] = ACTIONS(1704),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1704),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1704),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1704),
    [aux_sym_forward_agent_token1] = ACTIONS(1704),
    [aux_sym_forward_x11_token1] = ACTIONS(1706),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1704),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1704),
    [aux_sym_gateway_ports_token1] = ACTIONS(1704),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1704),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1704),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1704),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1704),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1704),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1704),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1704),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1704),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1704),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1704),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1704),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1704),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1704),
    [aux_sym_host_key_alias_token1] = ACTIONS(1704),
    [aux_sym_hostname_token1] = ACTIONS(1704),
    [aux_sym_identities_only_token1] = ACTIONS(1704),
    [aux_sym_identity_agent_token1] = ACTIONS(1704),
    [aux_sym_identity_file_token1] = ACTIONS(1704),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1704),
    [aux_sym_include_token1] = ACTIONS(1704),
    [aux_sym_ip_qos_token1] = ACTIONS(1704),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1704),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1704),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1704),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1704),
    [aux_sym_local_command_token1] = ACTIONS(1704),
    [aux_sym_local_forward_token1] = ACTIONS(1704),
    [aux_sym_log_level_token1] = ACTIONS(1704),
    [aux_sym_log_verbose_token1] = ACTIONS(1704),
    [aux_sym_macs_token1] = ACTIONS(1704),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1704),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1704),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1704),
    [aux_sym_password_authentication_token1] = ACTIONS(1704),
    [aux_sym_permit_local_command_token1] = ACTIONS(1704),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1704),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1704),
    [aux_sym_port_token1] = ACTIONS(1704),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1704),
    [aux_sym_protocol_token1] = ACTIONS(1704),
    [aux_sym_proxy_command_token1] = ACTIONS(1704),
    [aux_sym_proxy_jump_token1] = ACTIONS(1704),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1704),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1704),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1704),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1704),
    [aux_sym_rekey_limit_token1] = ACTIONS(1704),
    [aux_sym_remote_command_token1] = ACTIONS(1704),
    [aux_sym_remote_forward_token1] = ACTIONS(1704),
    [aux_sym_request_tty_token1] = ACTIONS(1704),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1704),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1704),
    [aux_sym_security_key_provider_token1] = ACTIONS(1704),
    [aux_sym_send_env_token1] = ACTIONS(1704),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1704),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1704),
    [aux_sym_session_type_token1] = ACTIONS(1704),
    [aux_sym_set_env_token1] = ACTIONS(1704),
    [aux_sym_stdin_null_token1] = ACTIONS(1704),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1704),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1704),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1704),
    [aux_sym_syslog_facility_token1] = ACTIONS(1704),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1704),
    [aux_sym_keep_alive_token1] = ACTIONS(1704),
    [aux_sym_tag_token1] = ACTIONS(1704),
    [aux_sym_tunnel_token1] = ACTIONS(1706),
    [aux_sym_tunnel_device_token1] = ACTIONS(1704),
    [aux_sym_update_host_keys_token1] = ACTIONS(1704),
    [aux_sym_use_keychain_token1] = ACTIONS(1704),
    [aux_sym_use_roaming_token1] = ACTIONS(1704),
    [aux_sym_user_token1] = ACTIONS(1706),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1704),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1704),
    [aux_sym_version_addendum_token1] = ACTIONS(1704),
    [aux_sym_visual_host_key_token1] = ACTIONS(1704),
    [aux_sym_xauth_location_token1] = ACTIONS(1704),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1712),
    [anon_sym_DQUOTE] = ACTIONS(1710),
    [aux_sym_match_token1] = ACTIONS(1710),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1710),
    [aux_sym_address_family_token1] = ACTIONS(1710),
    [aux_sym_batch_mode_token1] = ACTIONS(1710),
    [aux_sym_bind_address_token1] = ACTIONS(1710),
    [aux_sym_bind_interface_token1] = ACTIONS(1710),
    [aux_sym_canonical_domains_token1] = ACTIONS(1710),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1710),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1710),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1710),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1710),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1710),
    [aux_sym_certificate_file_token1] = ACTIONS(1710),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1710),
    [aux_sym_channel_timeout_token1] = ACTIONS(1710),
    [aux_sym_check_host_ip_token1] = ACTIONS(1710),
    [aux_sym_ciphers_token1] = ACTIONS(1710),
    [aux_sym_cipher_token1] = ACTIONS(1712),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1710),
    [aux_sym_compression_token1] = ACTIONS(1710),
    [aux_sym_connection_attempts_token1] = ACTIONS(1710),
    [aux_sym_connect_timeout_token1] = ACTIONS(1710),
    [aux_sym_control_master_token1] = ACTIONS(1710),
    [aux_sym_control_path_token1] = ACTIONS(1710),
    [aux_sym_control_persist_token1] = ACTIONS(1710),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1710),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1710),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1710),
    [aux_sym_escape_char_token1] = ACTIONS(1710),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1710),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1710),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1710),
    [aux_sym_forward_agent_token1] = ACTIONS(1710),
    [aux_sym_forward_x11_token1] = ACTIONS(1712),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1710),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1710),
    [aux_sym_gateway_ports_token1] = ACTIONS(1710),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1710),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1710),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1710),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1710),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1710),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1710),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1710),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1710),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1710),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1710),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1710),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1710),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1710),
    [aux_sym_host_key_alias_token1] = ACTIONS(1710),
    [aux_sym_hostname_token1] = ACTIONS(1710),
    [aux_sym_identities_only_token1] = ACTIONS(1710),
    [aux_sym_identity_agent_token1] = ACTIONS(1710),
    [aux_sym_identity_file_token1] = ACTIONS(1710),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1710),
    [aux_sym_include_token1] = ACTIONS(1710),
    [aux_sym_ip_qos_token1] = ACTIONS(1710),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1710),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1710),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1710),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1710),
    [aux_sym_local_command_token1] = ACTIONS(1710),
    [aux_sym_local_forward_token1] = ACTIONS(1710),
    [aux_sym_log_level_token1] = ACTIONS(1710),
    [aux_sym_log_verbose_token1] = ACTIONS(1710),
    [aux_sym_macs_token1] = ACTIONS(1710),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1710),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1710),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1710),
    [aux_sym_password_authentication_token1] = ACTIONS(1710),
    [aux_sym_permit_local_command_token1] = ACTIONS(1710),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1710),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1710),
    [aux_sym_port_token1] = ACTIONS(1710),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1710),
    [aux_sym_protocol_token1] = ACTIONS(1710),
    [aux_sym_proxy_command_token1] = ACTIONS(1710),
    [aux_sym_proxy_jump_token1] = ACTIONS(1710),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1710),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1710),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1710),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1710),
    [aux_sym_rekey_limit_token1] = ACTIONS(1710),
    [aux_sym_remote_command_token1] = ACTIONS(1710),
    [aux_sym_remote_forward_token1] = ACTIONS(1710),
    [aux_sym_request_tty_token1] = ACTIONS(1710),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1710),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1710),
    [aux_sym_security_key_provider_token1] = ACTIONS(1710),
    [aux_sym_send_env_token1] = ACTIONS(1710),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1710),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1710),
    [aux_sym_session_type_token1] = ACTIONS(1710),
    [aux_sym_set_env_token1] = ACTIONS(1710),
    [aux_sym_stdin_null_token1] = ACTIONS(1710),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1710),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1710),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1710),
    [aux_sym_syslog_facility_token1] = ACTIONS(1710),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1710),
    [aux_sym_keep_alive_token1] = ACTIONS(1710),
    [aux_sym_tag_token1] = ACTIONS(1710),
    [aux_sym_tunnel_token1] = ACTIONS(1712),
    [aux_sym_tunnel_device_token1] = ACTIONS(1710),
    [aux_sym_update_host_keys_token1] = ACTIONS(1710),
    [aux_sym_use_keychain_token1] = ACTIONS(1710),
    [aux_sym_use_roaming_token1] = ACTIONS(1710),
    [aux_sym_user_token1] = ACTIONS(1712),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1710),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1710),
    [aux_sym_version_addendum_token1] = ACTIONS(1710),
    [aux_sym_visual_host_key_token1] = ACTIONS(1710),
    [aux_sym_xauth_location_token1] = ACTIONS(1710),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1716),
    [anon_sym_DQUOTE] = ACTIONS(1718),
    [aux_sym_match_token1] = ACTIONS(1714),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1714),
    [aux_sym_address_family_token1] = ACTIONS(1714),
    [aux_sym_batch_mode_token1] = ACTIONS(1714),
    [aux_sym_bind_address_token1] = ACTIONS(1714),
    [aux_sym_bind_interface_token1] = ACTIONS(1714),
    [aux_sym_canonical_domains_token1] = ACTIONS(1714),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1714),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1714),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1714),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1714),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1714),
    [aux_sym_certificate_file_token1] = ACTIONS(1714),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1714),
    [aux_sym_channel_timeout_token1] = ACTIONS(1714),
    [aux_sym_check_host_ip_token1] = ACTIONS(1714),
    [aux_sym_ciphers_token1] = ACTIONS(1714),
    [aux_sym_cipher_token1] = ACTIONS(1716),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1714),
    [aux_sym_compression_token1] = ACTIONS(1714),
    [aux_sym_connection_attempts_token1] = ACTIONS(1714),
    [aux_sym_connect_timeout_token1] = ACTIONS(1714),
    [aux_sym_control_master_token1] = ACTIONS(1714),
    [aux_sym_control_path_token1] = ACTIONS(1714),
    [aux_sym_control_persist_token1] = ACTIONS(1714),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1714),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1714),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1714),
    [aux_sym_escape_char_token1] = ACTIONS(1714),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1714),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1714),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1714),
    [aux_sym_forward_agent_token1] = ACTIONS(1714),
    [aux_sym_forward_x11_token1] = ACTIONS(1716),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1714),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1714),
    [aux_sym_gateway_ports_token1] = ACTIONS(1714),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1714),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1714),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1714),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1714),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1714),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1714),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1714),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1714),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1714),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1714),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1714),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1714),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1714),
    [aux_sym_host_key_alias_token1] = ACTIONS(1714),
    [aux_sym_hostname_token1] = ACTIONS(1714),
    [aux_sym_identities_only_token1] = ACTIONS(1714),
    [aux_sym_identity_agent_token1] = ACTIONS(1714),
    [aux_sym_identity_file_token1] = ACTIONS(1714),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1714),
    [aux_sym_include_token1] = ACTIONS(1714),
    [aux_sym_ip_qos_token1] = ACTIONS(1714),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1714),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1714),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1714),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1714),
    [aux_sym_local_command_token1] = ACTIONS(1714),
    [aux_sym_local_forward_token1] = ACTIONS(1714),
    [aux_sym_log_level_token1] = ACTIONS(1714),
    [aux_sym_log_verbose_token1] = ACTIONS(1714),
    [aux_sym_macs_token1] = ACTIONS(1714),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1714),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1714),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1714),
    [aux_sym_password_authentication_token1] = ACTIONS(1714),
    [aux_sym_permit_local_command_token1] = ACTIONS(1714),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1714),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1714),
    [aux_sym_port_token1] = ACTIONS(1714),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1714),
    [aux_sym_protocol_token1] = ACTIONS(1714),
    [aux_sym_proxy_command_token1] = ACTIONS(1714),
    [aux_sym_proxy_jump_token1] = ACTIONS(1714),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1714),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1714),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1714),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1714),
    [aux_sym_rekey_limit_token1] = ACTIONS(1714),
    [aux_sym_remote_command_token1] = ACTIONS(1714),
    [aux_sym_remote_forward_token1] = ACTIONS(1714),
    [aux_sym_request_tty_token1] = ACTIONS(1714),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1714),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1714),
    [aux_sym_security_key_provider_token1] = ACTIONS(1714),
    [aux_sym_send_env_token1] = ACTIONS(1714),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1714),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1714),
    [aux_sym_session_type_token1] = ACTIONS(1714),
    [aux_sym_set_env_token1] = ACTIONS(1714),
    [aux_sym_stdin_null_token1] = ACTIONS(1714),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1714),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1714),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1714),
    [aux_sym_syslog_facility_token1] = ACTIONS(1714),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1714),
    [aux_sym_keep_alive_token1] = ACTIONS(1714),
    [aux_sym_tag_token1] = ACTIONS(1714),
    [aux_sym_tunnel_token1] = ACTIONS(1716),
    [aux_sym_tunnel_device_token1] = ACTIONS(1714),
    [aux_sym_update_host_keys_token1] = ACTIONS(1714),
    [aux_sym_use_keychain_token1] = ACTIONS(1714),
    [aux_sym_use_roaming_token1] = ACTIONS(1714),
    [aux_sym_user_token1] = ACTIONS(1716),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1714),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1714),
    [aux_sym_version_addendum_token1] = ACTIONS(1714),
    [aux_sym_visual_host_key_token1] = ACTIONS(1714),
    [aux_sym_xauth_location_token1] = ACTIONS(1714),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1720),
    [aux_sym_match_token1] = ACTIONS(1720),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1720),
    [aux_sym_address_family_token1] = ACTIONS(1720),
    [aux_sym_batch_mode_token1] = ACTIONS(1720),
    [aux_sym_bind_address_token1] = ACTIONS(1720),
    [aux_sym_bind_interface_token1] = ACTIONS(1720),
    [aux_sym_canonical_domains_token1] = ACTIONS(1720),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1720),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1720),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1720),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1720),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1720),
    [aux_sym_certificate_file_token1] = ACTIONS(1720),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1720),
    [aux_sym_channel_timeout_token1] = ACTIONS(1720),
    [aux_sym_check_host_ip_token1] = ACTIONS(1720),
    [aux_sym_ciphers_token1] = ACTIONS(1720),
    [aux_sym_cipher_token1] = ACTIONS(1722),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1720),
    [aux_sym_compression_token1] = ACTIONS(1720),
    [aux_sym_connection_attempts_token1] = ACTIONS(1720),
    [aux_sym_connect_timeout_token1] = ACTIONS(1720),
    [aux_sym_control_master_token1] = ACTIONS(1720),
    [aux_sym_control_path_token1] = ACTIONS(1720),
    [aux_sym_control_persist_token1] = ACTIONS(1720),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1720),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1720),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1720),
    [aux_sym_escape_char_token1] = ACTIONS(1720),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1720),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1720),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1720),
    [aux_sym_forward_agent_token1] = ACTIONS(1720),
    [aux_sym_forward_x11_token1] = ACTIONS(1722),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1720),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1720),
    [aux_sym_gateway_ports_token1] = ACTIONS(1720),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1720),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1720),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1720),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1720),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1720),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1720),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1720),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1720),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1720),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1720),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1720),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1720),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1720),
    [aux_sym_host_key_alias_token1] = ACTIONS(1720),
    [aux_sym_hostname_token1] = ACTIONS(1720),
    [aux_sym_identities_only_token1] = ACTIONS(1720),
    [aux_sym_identity_agent_token1] = ACTIONS(1720),
    [aux_sym_identity_file_token1] = ACTIONS(1720),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1720),
    [aux_sym_include_token1] = ACTIONS(1720),
    [aux_sym_ip_qos_token1] = ACTIONS(1720),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1720),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1720),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1720),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1720),
    [aux_sym_local_command_token1] = ACTIONS(1720),
    [aux_sym_local_forward_token1] = ACTIONS(1720),
    [aux_sym_log_level_token1] = ACTIONS(1720),
    [aux_sym_log_verbose_token1] = ACTIONS(1720),
    [aux_sym_macs_token1] = ACTIONS(1720),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1720),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1720),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1720),
    [aux_sym_password_authentication_token1] = ACTIONS(1720),
    [aux_sym_permit_local_command_token1] = ACTIONS(1720),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1720),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1720),
    [aux_sym_port_token1] = ACTIONS(1720),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1720),
    [aux_sym_protocol_token1] = ACTIONS(1720),
    [aux_sym_proxy_command_token1] = ACTIONS(1720),
    [aux_sym_proxy_jump_token1] = ACTIONS(1720),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1720),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1720),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1720),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1720),
    [aux_sym_rekey_limit_token1] = ACTIONS(1720),
    [aux_sym_remote_command_token1] = ACTIONS(1720),
    [aux_sym_remote_forward_token1] = ACTIONS(1720),
    [aux_sym_request_tty_token1] = ACTIONS(1720),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1720),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1720),
    [aux_sym_security_key_provider_token1] = ACTIONS(1720),
    [aux_sym_send_env_token1] = ACTIONS(1720),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1720),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1720),
    [aux_sym_session_type_token1] = ACTIONS(1720),
    [aux_sym_set_env_token1] = ACTIONS(1720),
    [aux_sym_stdin_null_token1] = ACTIONS(1720),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1720),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1720),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1720),
    [aux_sym_syslog_facility_token1] = ACTIONS(1720),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1720),
    [aux_sym_keep_alive_token1] = ACTIONS(1720),
    [aux_sym_tag_token1] = ACTIONS(1720),
    [aux_sym_tunnel_token1] = ACTIONS(1722),
    [aux_sym_tunnel_device_token1] = ACTIONS(1720),
    [aux_sym_update_host_keys_token1] = ACTIONS(1720),
    [aux_sym_use_keychain_token1] = ACTIONS(1720),
    [aux_sym_use_roaming_token1] = ACTIONS(1720),
    [aux_sym_user_token1] = ACTIONS(1722),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1720),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1720),
    [aux_sym_version_addendum_token1] = ACTIONS(1720),
    [aux_sym_visual_host_key_token1] = ACTIONS(1720),
    [aux_sym_xauth_location_token1] = ACTIONS(1720),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1726),
    [anon_sym_DQUOTE] = ACTIONS(1728),
    [aux_sym_match_token1] = ACTIONS(1724),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1724),
    [aux_sym_address_family_token1] = ACTIONS(1724),
    [aux_sym_batch_mode_token1] = ACTIONS(1724),
    [aux_sym_bind_address_token1] = ACTIONS(1724),
    [aux_sym_bind_interface_token1] = ACTIONS(1724),
    [aux_sym_canonical_domains_token1] = ACTIONS(1724),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1724),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1724),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1724),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1724),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1724),
    [aux_sym_certificate_file_token1] = ACTIONS(1724),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1724),
    [aux_sym_channel_timeout_token1] = ACTIONS(1724),
    [aux_sym_check_host_ip_token1] = ACTIONS(1724),
    [aux_sym_ciphers_token1] = ACTIONS(1724),
    [aux_sym_cipher_token1] = ACTIONS(1726),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1724),
    [aux_sym_compression_token1] = ACTIONS(1724),
    [aux_sym_connection_attempts_token1] = ACTIONS(1724),
    [aux_sym_connect_timeout_token1] = ACTIONS(1724),
    [aux_sym_control_master_token1] = ACTIONS(1724),
    [aux_sym_control_path_token1] = ACTIONS(1724),
    [aux_sym_control_persist_token1] = ACTIONS(1724),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1724),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1724),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1724),
    [aux_sym_escape_char_token1] = ACTIONS(1724),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1724),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1724),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1724),
    [aux_sym_forward_agent_token1] = ACTIONS(1724),
    [aux_sym_forward_x11_token1] = ACTIONS(1726),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1724),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1724),
    [aux_sym_gateway_ports_token1] = ACTIONS(1724),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1724),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1724),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1724),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1724),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1724),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1724),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1724),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1724),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1724),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1724),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1724),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1724),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1724),
    [aux_sym_host_key_alias_token1] = ACTIONS(1724),
    [aux_sym_hostname_token1] = ACTIONS(1724),
    [aux_sym_identities_only_token1] = ACTIONS(1724),
    [aux_sym_identity_agent_token1] = ACTIONS(1724),
    [aux_sym_identity_file_token1] = ACTIONS(1724),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1724),
    [aux_sym_include_token1] = ACTIONS(1724),
    [aux_sym_ip_qos_token1] = ACTIONS(1724),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1724),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1724),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1724),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1724),
    [aux_sym_local_command_token1] = ACTIONS(1724),
    [aux_sym_local_forward_token1] = ACTIONS(1724),
    [aux_sym_log_level_token1] = ACTIONS(1724),
    [aux_sym_log_verbose_token1] = ACTIONS(1724),
    [aux_sym_macs_token1] = ACTIONS(1724),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1724),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1724),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1724),
    [aux_sym_password_authentication_token1] = ACTIONS(1724),
    [aux_sym_permit_local_command_token1] = ACTIONS(1724),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1724),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1724),
    [aux_sym_port_token1] = ACTIONS(1724),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1724),
    [aux_sym_protocol_token1] = ACTIONS(1724),
    [aux_sym_proxy_command_token1] = ACTIONS(1724),
    [aux_sym_proxy_jump_token1] = ACTIONS(1724),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1724),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1724),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1724),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1724),
    [aux_sym_rekey_limit_token1] = ACTIONS(1724),
    [aux_sym_remote_command_token1] = ACTIONS(1724),
    [aux_sym_remote_forward_token1] = ACTIONS(1724),
    [aux_sym_request_tty_token1] = ACTIONS(1724),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1724),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1724),
    [aux_sym_security_key_provider_token1] = ACTIONS(1724),
    [aux_sym_send_env_token1] = ACTIONS(1724),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1724),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1724),
    [aux_sym_session_type_token1] = ACTIONS(1724),
    [aux_sym_set_env_token1] = ACTIONS(1724),
    [aux_sym_stdin_null_token1] = ACTIONS(1724),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1724),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1724),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1724),
    [aux_sym_syslog_facility_token1] = ACTIONS(1724),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1724),
    [aux_sym_keep_alive_token1] = ACTIONS(1724),
    [aux_sym_tag_token1] = ACTIONS(1724),
    [aux_sym_tunnel_token1] = ACTIONS(1726),
    [aux_sym_tunnel_device_token1] = ACTIONS(1724),
    [aux_sym_update_host_keys_token1] = ACTIONS(1724),
    [aux_sym_use_keychain_token1] = ACTIONS(1724),
    [aux_sym_use_roaming_token1] = ACTIONS(1724),
    [aux_sym_user_token1] = ACTIONS(1726),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1724),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1724),
    [aux_sym_version_addendum_token1] = ACTIONS(1724),
    [aux_sym_visual_host_key_token1] = ACTIONS(1724),
    [aux_sym_xauth_location_token1] = ACTIONS(1724),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1732),
    [anon_sym_DQUOTE] = ACTIONS(1730),
    [aux_sym_match_token1] = ACTIONS(1730),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1730),
    [aux_sym_address_family_token1] = ACTIONS(1730),
    [aux_sym_batch_mode_token1] = ACTIONS(1730),
    [aux_sym_bind_address_token1] = ACTIONS(1730),
    [aux_sym_bind_interface_token1] = ACTIONS(1730),
    [aux_sym_canonical_domains_token1] = ACTIONS(1730),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1730),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1730),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1730),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1730),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1730),
    [aux_sym_certificate_file_token1] = ACTIONS(1730),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1730),
    [aux_sym_channel_timeout_token1] = ACTIONS(1730),
    [aux_sym_check_host_ip_token1] = ACTIONS(1730),
    [aux_sym_ciphers_token1] = ACTIONS(1730),
    [aux_sym_cipher_token1] = ACTIONS(1732),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1730),
    [aux_sym_compression_token1] = ACTIONS(1730),
    [aux_sym_connection_attempts_token1] = ACTIONS(1730),
    [aux_sym_connect_timeout_token1] = ACTIONS(1730),
    [aux_sym_control_master_token1] = ACTIONS(1730),
    [aux_sym_control_path_token1] = ACTIONS(1730),
    [aux_sym_control_persist_token1] = ACTIONS(1730),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1730),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1730),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1730),
    [aux_sym_escape_char_token1] = ACTIONS(1730),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1730),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1730),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1730),
    [aux_sym_forward_agent_token1] = ACTIONS(1730),
    [aux_sym_forward_x11_token1] = ACTIONS(1732),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1730),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1730),
    [aux_sym_gateway_ports_token1] = ACTIONS(1730),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1730),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1730),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1730),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1730),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1730),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1730),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1730),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1730),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1730),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1730),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1730),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1730),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1730),
    [aux_sym_host_key_alias_token1] = ACTIONS(1730),
    [aux_sym_hostname_token1] = ACTIONS(1730),
    [aux_sym_identities_only_token1] = ACTIONS(1730),
    [aux_sym_identity_agent_token1] = ACTIONS(1730),
    [aux_sym_identity_file_token1] = ACTIONS(1730),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1730),
    [aux_sym_include_token1] = ACTIONS(1730),
    [aux_sym_ip_qos_token1] = ACTIONS(1730),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1730),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1730),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1730),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1730),
    [aux_sym_local_command_token1] = ACTIONS(1730),
    [aux_sym_local_forward_token1] = ACTIONS(1730),
    [aux_sym_log_level_token1] = ACTIONS(1730),
    [aux_sym_log_verbose_token1] = ACTIONS(1730),
    [aux_sym_macs_token1] = ACTIONS(1730),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1730),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1730),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1730),
    [aux_sym_password_authentication_token1] = ACTIONS(1730),
    [aux_sym_permit_local_command_token1] = ACTIONS(1730),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1730),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1730),
    [aux_sym_port_token1] = ACTIONS(1730),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1730),
    [aux_sym_protocol_token1] = ACTIONS(1730),
    [aux_sym_proxy_command_token1] = ACTIONS(1730),
    [aux_sym_proxy_jump_token1] = ACTIONS(1730),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1730),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1730),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1730),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1730),
    [aux_sym_rekey_limit_token1] = ACTIONS(1730),
    [aux_sym_remote_command_token1] = ACTIONS(1730),
    [aux_sym_remote_forward_token1] = ACTIONS(1730),
    [aux_sym_request_tty_token1] = ACTIONS(1730),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1730),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1730),
    [aux_sym_security_key_provider_token1] = ACTIONS(1730),
    [aux_sym_send_env_token1] = ACTIONS(1730),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1730),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1730),
    [aux_sym_session_type_token1] = ACTIONS(1730),
    [aux_sym_set_env_token1] = ACTIONS(1730),
    [aux_sym_stdin_null_token1] = ACTIONS(1730),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1730),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1730),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1730),
    [aux_sym_syslog_facility_token1] = ACTIONS(1730),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1730),
    [aux_sym_keep_alive_token1] = ACTIONS(1730),
    [aux_sym_tag_token1] = ACTIONS(1730),
    [aux_sym_tunnel_token1] = ACTIONS(1732),
    [aux_sym_tunnel_device_token1] = ACTIONS(1730),
    [aux_sym_update_host_keys_token1] = ACTIONS(1730),
    [aux_sym_use_keychain_token1] = ACTIONS(1730),
    [aux_sym_use_roaming_token1] = ACTIONS(1730),
    [aux_sym_user_token1] = ACTIONS(1732),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1730),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1730),
    [aux_sym_version_addendum_token1] = ACTIONS(1730),
    [aux_sym_visual_host_key_token1] = ACTIONS(1730),
    [aux_sym_xauth_location_token1] = ACTIONS(1730),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1736),
    [anon_sym_DQUOTE] = ACTIONS(1738),
    [aux_sym_match_token1] = ACTIONS(1734),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1734),
    [aux_sym_address_family_token1] = ACTIONS(1734),
    [aux_sym_batch_mode_token1] = ACTIONS(1734),
    [aux_sym_bind_address_token1] = ACTIONS(1734),
    [aux_sym_bind_interface_token1] = ACTIONS(1734),
    [aux_sym_canonical_domains_token1] = ACTIONS(1734),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1734),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1734),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1734),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1734),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1734),
    [aux_sym_certificate_file_token1] = ACTIONS(1734),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1734),
    [aux_sym_channel_timeout_token1] = ACTIONS(1734),
    [aux_sym_check_host_ip_token1] = ACTIONS(1734),
    [aux_sym_ciphers_token1] = ACTIONS(1734),
    [aux_sym_cipher_token1] = ACTIONS(1736),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1734),
    [aux_sym_compression_token1] = ACTIONS(1734),
    [aux_sym_connection_attempts_token1] = ACTIONS(1734),
    [aux_sym_connect_timeout_token1] = ACTIONS(1734),
    [aux_sym_control_master_token1] = ACTIONS(1734),
    [aux_sym_control_path_token1] = ACTIONS(1734),
    [aux_sym_control_persist_token1] = ACTIONS(1734),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1734),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1734),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1734),
    [aux_sym_escape_char_token1] = ACTIONS(1734),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1734),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1734),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1734),
    [aux_sym_forward_agent_token1] = ACTIONS(1734),
    [aux_sym_forward_x11_token1] = ACTIONS(1736),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1734),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1734),
    [aux_sym_gateway_ports_token1] = ACTIONS(1734),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1734),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1734),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1734),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1734),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1734),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1734),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1734),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1734),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1734),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1734),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1734),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1734),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1734),
    [aux_sym_host_key_alias_token1] = ACTIONS(1734),
    [aux_sym_hostname_token1] = ACTIONS(1734),
    [aux_sym_identities_only_token1] = ACTIONS(1734),
    [aux_sym_identity_agent_token1] = ACTIONS(1734),
    [aux_sym_identity_file_token1] = ACTIONS(1734),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1734),
    [aux_sym_include_token1] = ACTIONS(1734),
    [aux_sym_ip_qos_token1] = ACTIONS(1734),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1734),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1734),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1734),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1734),
    [aux_sym_local_command_token1] = ACTIONS(1734),
    [aux_sym_local_forward_token1] = ACTIONS(1734),
    [aux_sym_log_level_token1] = ACTIONS(1734),
    [aux_sym_log_verbose_token1] = ACTIONS(1734),
    [aux_sym_macs_token1] = ACTIONS(1734),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1734),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1734),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1734),
    [aux_sym_password_authentication_token1] = ACTIONS(1734),
    [aux_sym_permit_local_command_token1] = ACTIONS(1734),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1734),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1734),
    [aux_sym_port_token1] = ACTIONS(1734),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1734),
    [aux_sym_protocol_token1] = ACTIONS(1734),
    [aux_sym_proxy_command_token1] = ACTIONS(1734),
    [aux_sym_proxy_jump_token1] = ACTIONS(1734),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1734),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1734),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1734),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1734),
    [aux_sym_rekey_limit_token1] = ACTIONS(1734),
    [aux_sym_remote_command_token1] = ACTIONS(1734),
    [aux_sym_remote_forward_token1] = ACTIONS(1734),
    [aux_sym_request_tty_token1] = ACTIONS(1734),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1734),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1734),
    [aux_sym_security_key_provider_token1] = ACTIONS(1734),
    [aux_sym_send_env_token1] = ACTIONS(1734),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1734),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1734),
    [aux_sym_session_type_token1] = ACTIONS(1734),
    [aux_sym_set_env_token1] = ACTIONS(1734),
    [aux_sym_stdin_null_token1] = ACTIONS(1734),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1734),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1734),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1734),
    [aux_sym_syslog_facility_token1] = ACTIONS(1734),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1734),
    [aux_sym_keep_alive_token1] = ACTIONS(1734),
    [aux_sym_tag_token1] = ACTIONS(1734),
    [aux_sym_tunnel_token1] = ACTIONS(1736),
    [aux_sym_tunnel_device_token1] = ACTIONS(1734),
    [aux_sym_update_host_keys_token1] = ACTIONS(1734),
    [aux_sym_use_keychain_token1] = ACTIONS(1734),
    [aux_sym_use_roaming_token1] = ACTIONS(1734),
    [aux_sym_user_token1] = ACTIONS(1736),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1734),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1734),
    [aux_sym_version_addendum_token1] = ACTIONS(1734),
    [aux_sym_visual_host_key_token1] = ACTIONS(1734),
    [aux_sym_xauth_location_token1] = ACTIONS(1734),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1742),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [aux_sym_match_token1] = ACTIONS(1740),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1740),
    [aux_sym_address_family_token1] = ACTIONS(1740),
    [aux_sym_batch_mode_token1] = ACTIONS(1740),
    [aux_sym_bind_address_token1] = ACTIONS(1740),
    [aux_sym_bind_interface_token1] = ACTIONS(1740),
    [aux_sym_canonical_domains_token1] = ACTIONS(1740),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1740),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1740),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1740),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1740),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1740),
    [aux_sym_certificate_file_token1] = ACTIONS(1740),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1740),
    [aux_sym_channel_timeout_token1] = ACTIONS(1740),
    [aux_sym_check_host_ip_token1] = ACTIONS(1740),
    [aux_sym_ciphers_token1] = ACTIONS(1740),
    [aux_sym_cipher_token1] = ACTIONS(1742),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1740),
    [aux_sym_compression_token1] = ACTIONS(1740),
    [aux_sym_connection_attempts_token1] = ACTIONS(1740),
    [aux_sym_connect_timeout_token1] = ACTIONS(1740),
    [aux_sym_control_master_token1] = ACTIONS(1740),
    [aux_sym_control_path_token1] = ACTIONS(1740),
    [aux_sym_control_persist_token1] = ACTIONS(1740),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1740),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1740),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1740),
    [aux_sym_escape_char_token1] = ACTIONS(1740),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1740),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1740),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1740),
    [aux_sym_forward_agent_token1] = ACTIONS(1740),
    [aux_sym_forward_x11_token1] = ACTIONS(1742),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1740),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1740),
    [aux_sym_gateway_ports_token1] = ACTIONS(1740),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1740),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1740),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1740),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1740),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1740),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1740),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1740),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1740),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1740),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1740),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1740),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1740),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1740),
    [aux_sym_host_key_alias_token1] = ACTIONS(1740),
    [aux_sym_hostname_token1] = ACTIONS(1740),
    [aux_sym_identities_only_token1] = ACTIONS(1740),
    [aux_sym_identity_agent_token1] = ACTIONS(1740),
    [aux_sym_identity_file_token1] = ACTIONS(1740),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1740),
    [aux_sym_include_token1] = ACTIONS(1740),
    [aux_sym_ip_qos_token1] = ACTIONS(1740),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1740),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1740),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1740),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1740),
    [aux_sym_local_command_token1] = ACTIONS(1740),
    [aux_sym_local_forward_token1] = ACTIONS(1740),
    [aux_sym_log_level_token1] = ACTIONS(1740),
    [aux_sym_log_verbose_token1] = ACTIONS(1740),
    [aux_sym_macs_token1] = ACTIONS(1740),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1740),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1740),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1740),
    [aux_sym_password_authentication_token1] = ACTIONS(1740),
    [aux_sym_permit_local_command_token1] = ACTIONS(1740),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1740),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1740),
    [aux_sym_port_token1] = ACTIONS(1740),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1740),
    [aux_sym_protocol_token1] = ACTIONS(1740),
    [aux_sym_proxy_command_token1] = ACTIONS(1740),
    [aux_sym_proxy_jump_token1] = ACTIONS(1740),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1740),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1740),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1740),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1740),
    [aux_sym_rekey_limit_token1] = ACTIONS(1740),
    [aux_sym_remote_command_token1] = ACTIONS(1740),
    [aux_sym_remote_forward_token1] = ACTIONS(1740),
    [aux_sym_request_tty_token1] = ACTIONS(1740),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1740),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1740),
    [aux_sym_security_key_provider_token1] = ACTIONS(1740),
    [aux_sym_send_env_token1] = ACTIONS(1740),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1740),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1740),
    [aux_sym_session_type_token1] = ACTIONS(1740),
    [aux_sym_set_env_token1] = ACTIONS(1740),
    [aux_sym_stdin_null_token1] = ACTIONS(1740),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1740),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1740),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1740),
    [aux_sym_syslog_facility_token1] = ACTIONS(1740),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1740),
    [aux_sym_keep_alive_token1] = ACTIONS(1740),
    [aux_sym_tag_token1] = ACTIONS(1740),
    [aux_sym_tunnel_token1] = ACTIONS(1742),
    [aux_sym_tunnel_device_token1] = ACTIONS(1740),
    [aux_sym_update_host_keys_token1] = ACTIONS(1740),
    [aux_sym_use_keychain_token1] = ACTIONS(1740),
    [aux_sym_use_roaming_token1] = ACTIONS(1740),
    [aux_sym_user_token1] = ACTIONS(1742),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1740),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1740),
    [aux_sym_version_addendum_token1] = ACTIONS(1740),
    [aux_sym_visual_host_key_token1] = ACTIONS(1740),
    [aux_sym_xauth_location_token1] = ACTIONS(1740),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1746),
    [anon_sym_DQUOTE] = ACTIONS(1748),
    [aux_sym_match_token1] = ACTIONS(1744),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1744),
    [aux_sym_address_family_token1] = ACTIONS(1744),
    [aux_sym_batch_mode_token1] = ACTIONS(1744),
    [aux_sym_bind_address_token1] = ACTIONS(1744),
    [aux_sym_bind_interface_token1] = ACTIONS(1744),
    [aux_sym_canonical_domains_token1] = ACTIONS(1744),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1744),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1744),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1744),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1744),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1744),
    [aux_sym_certificate_file_token1] = ACTIONS(1744),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1744),
    [aux_sym_channel_timeout_token1] = ACTIONS(1744),
    [aux_sym_check_host_ip_token1] = ACTIONS(1744),
    [aux_sym_ciphers_token1] = ACTIONS(1744),
    [aux_sym_cipher_token1] = ACTIONS(1746),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1744),
    [aux_sym_compression_token1] = ACTIONS(1744),
    [aux_sym_connection_attempts_token1] = ACTIONS(1744),
    [aux_sym_connect_timeout_token1] = ACTIONS(1744),
    [aux_sym_control_master_token1] = ACTIONS(1744),
    [aux_sym_control_path_token1] = ACTIONS(1744),
    [aux_sym_control_persist_token1] = ACTIONS(1744),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1744),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1744),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1744),
    [aux_sym_escape_char_token1] = ACTIONS(1744),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1744),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1744),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1744),
    [aux_sym_forward_agent_token1] = ACTIONS(1744),
    [aux_sym_forward_x11_token1] = ACTIONS(1746),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1744),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1744),
    [aux_sym_gateway_ports_token1] = ACTIONS(1744),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1744),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1744),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1744),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1744),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1744),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1744),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1744),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1744),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1744),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1744),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1744),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1744),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1744),
    [aux_sym_host_key_alias_token1] = ACTIONS(1744),
    [aux_sym_hostname_token1] = ACTIONS(1744),
    [aux_sym_identities_only_token1] = ACTIONS(1744),
    [aux_sym_identity_agent_token1] = ACTIONS(1744),
    [aux_sym_identity_file_token1] = ACTIONS(1744),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1744),
    [aux_sym_include_token1] = ACTIONS(1744),
    [aux_sym_ip_qos_token1] = ACTIONS(1744),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1744),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1744),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1744),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1744),
    [aux_sym_local_command_token1] = ACTIONS(1744),
    [aux_sym_local_forward_token1] = ACTIONS(1744),
    [aux_sym_log_level_token1] = ACTIONS(1744),
    [aux_sym_log_verbose_token1] = ACTIONS(1744),
    [aux_sym_macs_token1] = ACTIONS(1744),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1744),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1744),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1744),
    [aux_sym_password_authentication_token1] = ACTIONS(1744),
    [aux_sym_permit_local_command_token1] = ACTIONS(1744),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1744),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1744),
    [aux_sym_port_token1] = ACTIONS(1744),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1744),
    [aux_sym_protocol_token1] = ACTIONS(1744),
    [aux_sym_proxy_command_token1] = ACTIONS(1744),
    [aux_sym_proxy_jump_token1] = ACTIONS(1744),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1744),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1744),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1744),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1744),
    [aux_sym_rekey_limit_token1] = ACTIONS(1744),
    [aux_sym_remote_command_token1] = ACTIONS(1744),
    [aux_sym_remote_forward_token1] = ACTIONS(1744),
    [aux_sym_request_tty_token1] = ACTIONS(1744),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1744),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1744),
    [aux_sym_security_key_provider_token1] = ACTIONS(1744),
    [aux_sym_send_env_token1] = ACTIONS(1744),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1744),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1744),
    [aux_sym_session_type_token1] = ACTIONS(1744),
    [aux_sym_set_env_token1] = ACTIONS(1744),
    [aux_sym_stdin_null_token1] = ACTIONS(1744),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1744),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1744),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1744),
    [aux_sym_syslog_facility_token1] = ACTIONS(1744),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1744),
    [aux_sym_keep_alive_token1] = ACTIONS(1744),
    [aux_sym_tag_token1] = ACTIONS(1744),
    [aux_sym_tunnel_token1] = ACTIONS(1746),
    [aux_sym_tunnel_device_token1] = ACTIONS(1744),
    [aux_sym_update_host_keys_token1] = ACTIONS(1744),
    [aux_sym_use_keychain_token1] = ACTIONS(1744),
    [aux_sym_use_roaming_token1] = ACTIONS(1744),
    [aux_sym_user_token1] = ACTIONS(1746),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1744),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1744),
    [aux_sym_version_addendum_token1] = ACTIONS(1744),
    [aux_sym_visual_host_key_token1] = ACTIONS(1744),
    [aux_sym_xauth_location_token1] = ACTIONS(1744),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1750),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1752),
    [anon_sym_DQUOTE] = ACTIONS(1750),
    [aux_sym_match_token1] = ACTIONS(1750),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1750),
    [aux_sym_address_family_token1] = ACTIONS(1750),
    [aux_sym_batch_mode_token1] = ACTIONS(1750),
    [aux_sym_bind_address_token1] = ACTIONS(1750),
    [aux_sym_bind_interface_token1] = ACTIONS(1750),
    [aux_sym_canonical_domains_token1] = ACTIONS(1750),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1750),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1750),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1750),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1750),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1750),
    [aux_sym_certificate_file_token1] = ACTIONS(1750),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1750),
    [aux_sym_channel_timeout_token1] = ACTIONS(1750),
    [aux_sym_check_host_ip_token1] = ACTIONS(1750),
    [aux_sym_ciphers_token1] = ACTIONS(1750),
    [aux_sym_cipher_token1] = ACTIONS(1752),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1750),
    [aux_sym_compression_token1] = ACTIONS(1750),
    [aux_sym_connection_attempts_token1] = ACTIONS(1750),
    [aux_sym_connect_timeout_token1] = ACTIONS(1750),
    [aux_sym_control_master_token1] = ACTIONS(1750),
    [aux_sym_control_path_token1] = ACTIONS(1750),
    [aux_sym_control_persist_token1] = ACTIONS(1750),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1750),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1750),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1750),
    [aux_sym_escape_char_token1] = ACTIONS(1750),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1750),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1750),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1750),
    [aux_sym_forward_agent_token1] = ACTIONS(1750),
    [aux_sym_forward_x11_token1] = ACTIONS(1752),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1750),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1750),
    [aux_sym_gateway_ports_token1] = ACTIONS(1750),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1750),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1750),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1750),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1750),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1750),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1750),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1750),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1750),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1750),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1750),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1750),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1750),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1750),
    [aux_sym_host_key_alias_token1] = ACTIONS(1750),
    [aux_sym_hostname_token1] = ACTIONS(1750),
    [aux_sym_identities_only_token1] = ACTIONS(1750),
    [aux_sym_identity_agent_token1] = ACTIONS(1750),
    [aux_sym_identity_file_token1] = ACTIONS(1750),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1750),
    [aux_sym_include_token1] = ACTIONS(1750),
    [aux_sym_ip_qos_token1] = ACTIONS(1750),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1750),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1750),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1750),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1750),
    [aux_sym_local_command_token1] = ACTIONS(1750),
    [aux_sym_local_forward_token1] = ACTIONS(1750),
    [aux_sym_log_level_token1] = ACTIONS(1750),
    [aux_sym_log_verbose_token1] = ACTIONS(1750),
    [aux_sym_macs_token1] = ACTIONS(1750),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1750),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1750),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1750),
    [aux_sym_password_authentication_token1] = ACTIONS(1750),
    [aux_sym_permit_local_command_token1] = ACTIONS(1750),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1750),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1750),
    [aux_sym_port_token1] = ACTIONS(1750),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1750),
    [aux_sym_protocol_token1] = ACTIONS(1750),
    [aux_sym_proxy_command_token1] = ACTIONS(1750),
    [aux_sym_proxy_jump_token1] = ACTIONS(1750),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1750),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1750),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1750),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1750),
    [aux_sym_rekey_limit_token1] = ACTIONS(1750),
    [aux_sym_remote_command_token1] = ACTIONS(1750),
    [aux_sym_remote_forward_token1] = ACTIONS(1750),
    [aux_sym_request_tty_token1] = ACTIONS(1750),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1750),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1750),
    [aux_sym_security_key_provider_token1] = ACTIONS(1750),
    [aux_sym_send_env_token1] = ACTIONS(1750),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1750),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1750),
    [aux_sym_session_type_token1] = ACTIONS(1750),
    [aux_sym_set_env_token1] = ACTIONS(1750),
    [aux_sym_stdin_null_token1] = ACTIONS(1750),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1750),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1750),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1750),
    [aux_sym_syslog_facility_token1] = ACTIONS(1750),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1750),
    [aux_sym_keep_alive_token1] = ACTIONS(1750),
    [aux_sym_tag_token1] = ACTIONS(1750),
    [aux_sym_tunnel_token1] = ACTIONS(1752),
    [aux_sym_tunnel_device_token1] = ACTIONS(1750),
    [aux_sym_update_host_keys_token1] = ACTIONS(1750),
    [aux_sym_use_keychain_token1] = ACTIONS(1750),
    [aux_sym_use_roaming_token1] = ACTIONS(1750),
    [aux_sym_user_token1] = ACTIONS(1752),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1750),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1750),
    [aux_sym_version_addendum_token1] = ACTIONS(1750),
    [aux_sym_visual_host_key_token1] = ACTIONS(1750),
    [aux_sym_xauth_location_token1] = ACTIONS(1750),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1756),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [aux_sym_match_token1] = ACTIONS(1754),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1754),
    [aux_sym_address_family_token1] = ACTIONS(1754),
    [aux_sym_batch_mode_token1] = ACTIONS(1754),
    [aux_sym_bind_address_token1] = ACTIONS(1754),
    [aux_sym_bind_interface_token1] = ACTIONS(1754),
    [aux_sym_canonical_domains_token1] = ACTIONS(1754),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1754),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1754),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1754),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1754),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1754),
    [aux_sym_certificate_file_token1] = ACTIONS(1754),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1754),
    [aux_sym_channel_timeout_token1] = ACTIONS(1754),
    [aux_sym_check_host_ip_token1] = ACTIONS(1754),
    [aux_sym_ciphers_token1] = ACTIONS(1754),
    [aux_sym_cipher_token1] = ACTIONS(1756),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1754),
    [aux_sym_compression_token1] = ACTIONS(1754),
    [aux_sym_connection_attempts_token1] = ACTIONS(1754),
    [aux_sym_connect_timeout_token1] = ACTIONS(1754),
    [aux_sym_control_master_token1] = ACTIONS(1754),
    [aux_sym_control_path_token1] = ACTIONS(1754),
    [aux_sym_control_persist_token1] = ACTIONS(1754),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1754),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1754),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1754),
    [aux_sym_escape_char_token1] = ACTIONS(1754),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1754),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1754),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1754),
    [aux_sym_forward_agent_token1] = ACTIONS(1754),
    [aux_sym_forward_x11_token1] = ACTIONS(1756),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1754),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1754),
    [aux_sym_gateway_ports_token1] = ACTIONS(1754),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1754),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1754),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1754),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1754),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1754),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1754),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1754),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1754),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1754),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1754),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1754),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1754),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1754),
    [aux_sym_host_key_alias_token1] = ACTIONS(1754),
    [aux_sym_hostname_token1] = ACTIONS(1754),
    [aux_sym_identities_only_token1] = ACTIONS(1754),
    [aux_sym_identity_agent_token1] = ACTIONS(1754),
    [aux_sym_identity_file_token1] = ACTIONS(1754),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1754),
    [aux_sym_include_token1] = ACTIONS(1754),
    [aux_sym_ip_qos_token1] = ACTIONS(1754),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1754),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1754),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1754),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1754),
    [aux_sym_local_command_token1] = ACTIONS(1754),
    [aux_sym_local_forward_token1] = ACTIONS(1754),
    [aux_sym_log_level_token1] = ACTIONS(1754),
    [aux_sym_log_verbose_token1] = ACTIONS(1754),
    [aux_sym_macs_token1] = ACTIONS(1754),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1754),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1754),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1754),
    [aux_sym_password_authentication_token1] = ACTIONS(1754),
    [aux_sym_permit_local_command_token1] = ACTIONS(1754),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1754),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1754),
    [aux_sym_port_token1] = ACTIONS(1754),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1754),
    [aux_sym_protocol_token1] = ACTIONS(1754),
    [aux_sym_proxy_command_token1] = ACTIONS(1754),
    [aux_sym_proxy_jump_token1] = ACTIONS(1754),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1754),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1754),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1754),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1754),
    [aux_sym_rekey_limit_token1] = ACTIONS(1754),
    [aux_sym_remote_command_token1] = ACTIONS(1754),
    [aux_sym_remote_forward_token1] = ACTIONS(1754),
    [aux_sym_request_tty_token1] = ACTIONS(1754),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1754),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1754),
    [aux_sym_security_key_provider_token1] = ACTIONS(1754),
    [aux_sym_send_env_token1] = ACTIONS(1754),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1754),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1754),
    [aux_sym_session_type_token1] = ACTIONS(1754),
    [aux_sym_set_env_token1] = ACTIONS(1754),
    [aux_sym_stdin_null_token1] = ACTIONS(1754),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1754),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1754),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1754),
    [aux_sym_syslog_facility_token1] = ACTIONS(1754),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1754),
    [aux_sym_keep_alive_token1] = ACTIONS(1754),
    [aux_sym_tag_token1] = ACTIONS(1754),
    [aux_sym_tunnel_token1] = ACTIONS(1756),
    [aux_sym_tunnel_device_token1] = ACTIONS(1754),
    [aux_sym_update_host_keys_token1] = ACTIONS(1754),
    [aux_sym_use_keychain_token1] = ACTIONS(1754),
    [aux_sym_use_roaming_token1] = ACTIONS(1754),
    [aux_sym_user_token1] = ACTIONS(1756),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1754),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1754),
    [aux_sym_version_addendum_token1] = ACTIONS(1754),
    [aux_sym_visual_host_key_token1] = ACTIONS(1754),
    [aux_sym_xauth_location_token1] = ACTIONS(1754),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1762),
    [anon_sym_DQUOTE] = ACTIONS(1760),
    [aux_sym_match_token1] = ACTIONS(1760),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1760),
    [aux_sym_address_family_token1] = ACTIONS(1760),
    [aux_sym_batch_mode_token1] = ACTIONS(1760),
    [aux_sym_bind_address_token1] = ACTIONS(1760),
    [aux_sym_bind_interface_token1] = ACTIONS(1760),
    [aux_sym_canonical_domains_token1] = ACTIONS(1760),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1760),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1760),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1760),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1760),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1760),
    [aux_sym_certificate_file_token1] = ACTIONS(1760),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1760),
    [aux_sym_channel_timeout_token1] = ACTIONS(1760),
    [aux_sym_check_host_ip_token1] = ACTIONS(1760),
    [aux_sym_ciphers_token1] = ACTIONS(1760),
    [aux_sym_cipher_token1] = ACTIONS(1762),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1760),
    [aux_sym_compression_token1] = ACTIONS(1760),
    [aux_sym_connection_attempts_token1] = ACTIONS(1760),
    [aux_sym_connect_timeout_token1] = ACTIONS(1760),
    [aux_sym_control_master_token1] = ACTIONS(1760),
    [aux_sym_control_path_token1] = ACTIONS(1760),
    [aux_sym_control_persist_token1] = ACTIONS(1760),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1760),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1760),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1760),
    [aux_sym_escape_char_token1] = ACTIONS(1760),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1760),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1760),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1760),
    [aux_sym_forward_agent_token1] = ACTIONS(1760),
    [aux_sym_forward_x11_token1] = ACTIONS(1762),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1760),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1760),
    [aux_sym_gateway_ports_token1] = ACTIONS(1760),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1760),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1760),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1760),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1760),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1760),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1760),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1760),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1760),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1760),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1760),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1760),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1760),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1760),
    [aux_sym_host_key_alias_token1] = ACTIONS(1760),
    [aux_sym_hostname_token1] = ACTIONS(1760),
    [aux_sym_identities_only_token1] = ACTIONS(1760),
    [aux_sym_identity_agent_token1] = ACTIONS(1760),
    [aux_sym_identity_file_token1] = ACTIONS(1760),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1760),
    [aux_sym_include_token1] = ACTIONS(1760),
    [aux_sym_ip_qos_token1] = ACTIONS(1760),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1760),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1760),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1760),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1760),
    [aux_sym_local_command_token1] = ACTIONS(1760),
    [aux_sym_local_forward_token1] = ACTIONS(1760),
    [aux_sym_log_level_token1] = ACTIONS(1760),
    [aux_sym_log_verbose_token1] = ACTIONS(1760),
    [aux_sym_macs_token1] = ACTIONS(1760),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1760),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1760),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1760),
    [aux_sym_password_authentication_token1] = ACTIONS(1760),
    [aux_sym_permit_local_command_token1] = ACTIONS(1760),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1760),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1760),
    [aux_sym_port_token1] = ACTIONS(1760),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1760),
    [aux_sym_protocol_token1] = ACTIONS(1760),
    [aux_sym_proxy_command_token1] = ACTIONS(1760),
    [aux_sym_proxy_jump_token1] = ACTIONS(1760),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1760),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1760),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1760),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1760),
    [aux_sym_rekey_limit_token1] = ACTIONS(1760),
    [aux_sym_remote_command_token1] = ACTIONS(1760),
    [aux_sym_remote_forward_token1] = ACTIONS(1760),
    [aux_sym_request_tty_token1] = ACTIONS(1760),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1760),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1760),
    [aux_sym_security_key_provider_token1] = ACTIONS(1760),
    [aux_sym_send_env_token1] = ACTIONS(1760),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1760),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1760),
    [aux_sym_session_type_token1] = ACTIONS(1760),
    [aux_sym_set_env_token1] = ACTIONS(1760),
    [aux_sym_stdin_null_token1] = ACTIONS(1760),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1760),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1760),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1760),
    [aux_sym_syslog_facility_token1] = ACTIONS(1760),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1760),
    [aux_sym_keep_alive_token1] = ACTIONS(1760),
    [aux_sym_tag_token1] = ACTIONS(1760),
    [aux_sym_tunnel_token1] = ACTIONS(1762),
    [aux_sym_tunnel_device_token1] = ACTIONS(1760),
    [aux_sym_update_host_keys_token1] = ACTIONS(1760),
    [aux_sym_use_keychain_token1] = ACTIONS(1760),
    [aux_sym_use_roaming_token1] = ACTIONS(1760),
    [aux_sym_user_token1] = ACTIONS(1762),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1760),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1760),
    [aux_sym_version_addendum_token1] = ACTIONS(1760),
    [aux_sym_visual_host_key_token1] = ACTIONS(1760),
    [aux_sym_xauth_location_token1] = ACTIONS(1760),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1766),
    [anon_sym_DQUOTE] = ACTIONS(1768),
    [aux_sym_match_token1] = ACTIONS(1764),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1764),
    [aux_sym_address_family_token1] = ACTIONS(1764),
    [aux_sym_batch_mode_token1] = ACTIONS(1764),
    [aux_sym_bind_address_token1] = ACTIONS(1764),
    [aux_sym_bind_interface_token1] = ACTIONS(1764),
    [aux_sym_canonical_domains_token1] = ACTIONS(1764),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1764),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1764),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1764),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1764),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1764),
    [aux_sym_certificate_file_token1] = ACTIONS(1764),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1764),
    [aux_sym_channel_timeout_token1] = ACTIONS(1764),
    [aux_sym_check_host_ip_token1] = ACTIONS(1764),
    [aux_sym_ciphers_token1] = ACTIONS(1764),
    [aux_sym_cipher_token1] = ACTIONS(1766),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1764),
    [aux_sym_compression_token1] = ACTIONS(1764),
    [aux_sym_connection_attempts_token1] = ACTIONS(1764),
    [aux_sym_connect_timeout_token1] = ACTIONS(1764),
    [aux_sym_control_master_token1] = ACTIONS(1764),
    [aux_sym_control_path_token1] = ACTIONS(1764),
    [aux_sym_control_persist_token1] = ACTIONS(1764),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1764),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1764),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1764),
    [aux_sym_escape_char_token1] = ACTIONS(1764),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1764),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1764),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1764),
    [aux_sym_forward_agent_token1] = ACTIONS(1764),
    [aux_sym_forward_x11_token1] = ACTIONS(1766),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1764),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1764),
    [aux_sym_gateway_ports_token1] = ACTIONS(1764),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1764),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1764),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1764),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1764),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1764),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1764),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1764),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1764),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1764),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1764),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1764),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1764),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1764),
    [aux_sym_host_key_alias_token1] = ACTIONS(1764),
    [aux_sym_hostname_token1] = ACTIONS(1764),
    [aux_sym_identities_only_token1] = ACTIONS(1764),
    [aux_sym_identity_agent_token1] = ACTIONS(1764),
    [aux_sym_identity_file_token1] = ACTIONS(1764),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1764),
    [aux_sym_include_token1] = ACTIONS(1764),
    [aux_sym_ip_qos_token1] = ACTIONS(1764),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1764),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1764),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1764),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1764),
    [aux_sym_local_command_token1] = ACTIONS(1764),
    [aux_sym_local_forward_token1] = ACTIONS(1764),
    [aux_sym_log_level_token1] = ACTIONS(1764),
    [aux_sym_log_verbose_token1] = ACTIONS(1764),
    [aux_sym_macs_token1] = ACTIONS(1764),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1764),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1764),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1764),
    [aux_sym_password_authentication_token1] = ACTIONS(1764),
    [aux_sym_permit_local_command_token1] = ACTIONS(1764),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1764),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1764),
    [aux_sym_port_token1] = ACTIONS(1764),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1764),
    [aux_sym_protocol_token1] = ACTIONS(1764),
    [aux_sym_proxy_command_token1] = ACTIONS(1764),
    [aux_sym_proxy_jump_token1] = ACTIONS(1764),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1764),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1764),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1764),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1764),
    [aux_sym_rekey_limit_token1] = ACTIONS(1764),
    [aux_sym_remote_command_token1] = ACTIONS(1764),
    [aux_sym_remote_forward_token1] = ACTIONS(1764),
    [aux_sym_request_tty_token1] = ACTIONS(1764),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1764),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1764),
    [aux_sym_security_key_provider_token1] = ACTIONS(1764),
    [aux_sym_send_env_token1] = ACTIONS(1764),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1764),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1764),
    [aux_sym_session_type_token1] = ACTIONS(1764),
    [aux_sym_set_env_token1] = ACTIONS(1764),
    [aux_sym_stdin_null_token1] = ACTIONS(1764),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1764),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1764),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1764),
    [aux_sym_syslog_facility_token1] = ACTIONS(1764),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1764),
    [aux_sym_keep_alive_token1] = ACTIONS(1764),
    [aux_sym_tag_token1] = ACTIONS(1764),
    [aux_sym_tunnel_token1] = ACTIONS(1766),
    [aux_sym_tunnel_device_token1] = ACTIONS(1764),
    [aux_sym_update_host_keys_token1] = ACTIONS(1764),
    [aux_sym_use_keychain_token1] = ACTIONS(1764),
    [aux_sym_use_roaming_token1] = ACTIONS(1764),
    [aux_sym_user_token1] = ACTIONS(1766),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1764),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1764),
    [aux_sym_version_addendum_token1] = ACTIONS(1764),
    [aux_sym_visual_host_key_token1] = ACTIONS(1764),
    [aux_sym_xauth_location_token1] = ACTIONS(1764),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1770),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1774),
    [aux_sym_match_token1] = ACTIONS(1770),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1770),
    [aux_sym_address_family_token1] = ACTIONS(1770),
    [aux_sym_batch_mode_token1] = ACTIONS(1770),
    [aux_sym_bind_address_token1] = ACTIONS(1770),
    [aux_sym_bind_interface_token1] = ACTIONS(1770),
    [aux_sym_canonical_domains_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1770),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1770),
    [aux_sym_certificate_file_token1] = ACTIONS(1770),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1770),
    [aux_sym_channel_timeout_token1] = ACTIONS(1770),
    [aux_sym_check_host_ip_token1] = ACTIONS(1770),
    [aux_sym_ciphers_token1] = ACTIONS(1770),
    [aux_sym_cipher_token1] = ACTIONS(1772),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1770),
    [aux_sym_compression_token1] = ACTIONS(1770),
    [aux_sym_connection_attempts_token1] = ACTIONS(1770),
    [aux_sym_connect_timeout_token1] = ACTIONS(1770),
    [aux_sym_control_master_token1] = ACTIONS(1770),
    [aux_sym_control_path_token1] = ACTIONS(1770),
    [aux_sym_control_persist_token1] = ACTIONS(1770),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1770),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1770),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1770),
    [aux_sym_escape_char_token1] = ACTIONS(1770),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1770),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1770),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1770),
    [aux_sym_forward_agent_token1] = ACTIONS(1770),
    [aux_sym_forward_x11_token1] = ACTIONS(1772),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1770),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1770),
    [aux_sym_gateway_ports_token1] = ACTIONS(1770),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1770),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1770),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1770),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1770),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1770),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1770),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1770),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1770),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1770),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1770),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1770),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1770),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1770),
    [aux_sym_host_key_alias_token1] = ACTIONS(1770),
    [aux_sym_hostname_token1] = ACTIONS(1770),
    [aux_sym_identities_only_token1] = ACTIONS(1770),
    [aux_sym_identity_agent_token1] = ACTIONS(1770),
    [aux_sym_identity_file_token1] = ACTIONS(1770),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1770),
    [aux_sym_include_token1] = ACTIONS(1770),
    [aux_sym_ip_qos_token1] = ACTIONS(1770),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1770),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1770),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1770),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1770),
    [aux_sym_local_command_token1] = ACTIONS(1770),
    [aux_sym_local_forward_token1] = ACTIONS(1770),
    [aux_sym_log_level_token1] = ACTIONS(1770),
    [aux_sym_log_verbose_token1] = ACTIONS(1770),
    [aux_sym_macs_token1] = ACTIONS(1770),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1770),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1770),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1770),
    [aux_sym_password_authentication_token1] = ACTIONS(1770),
    [aux_sym_permit_local_command_token1] = ACTIONS(1770),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1770),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1770),
    [aux_sym_port_token1] = ACTIONS(1770),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1770),
    [aux_sym_protocol_token1] = ACTIONS(1770),
    [aux_sym_proxy_command_token1] = ACTIONS(1770),
    [aux_sym_proxy_jump_token1] = ACTIONS(1770),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1770),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1770),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1770),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1770),
    [aux_sym_rekey_limit_token1] = ACTIONS(1770),
    [aux_sym_remote_command_token1] = ACTIONS(1770),
    [aux_sym_remote_forward_token1] = ACTIONS(1770),
    [aux_sym_request_tty_token1] = ACTIONS(1770),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1770),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1770),
    [aux_sym_security_key_provider_token1] = ACTIONS(1770),
    [aux_sym_send_env_token1] = ACTIONS(1770),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1770),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1770),
    [aux_sym_session_type_token1] = ACTIONS(1770),
    [aux_sym_set_env_token1] = ACTIONS(1770),
    [aux_sym_stdin_null_token1] = ACTIONS(1770),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1770),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1770),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1770),
    [aux_sym_syslog_facility_token1] = ACTIONS(1770),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1770),
    [aux_sym_keep_alive_token1] = ACTIONS(1770),
    [aux_sym_tag_token1] = ACTIONS(1770),
    [aux_sym_tunnel_token1] = ACTIONS(1772),
    [aux_sym_tunnel_device_token1] = ACTIONS(1770),
    [aux_sym_update_host_keys_token1] = ACTIONS(1770),
    [aux_sym_use_keychain_token1] = ACTIONS(1770),
    [aux_sym_use_roaming_token1] = ACTIONS(1770),
    [aux_sym_user_token1] = ACTIONS(1772),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1770),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1770),
    [aux_sym_version_addendum_token1] = ACTIONS(1770),
    [aux_sym_visual_host_key_token1] = ACTIONS(1770),
    [aux_sym_xauth_location_token1] = ACTIONS(1770),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1778),
    [anon_sym_DQUOTE] = ACTIONS(1780),
    [aux_sym_match_token1] = ACTIONS(1776),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1776),
    [aux_sym_address_family_token1] = ACTIONS(1776),
    [aux_sym_batch_mode_token1] = ACTIONS(1776),
    [aux_sym_bind_address_token1] = ACTIONS(1776),
    [aux_sym_bind_interface_token1] = ACTIONS(1776),
    [aux_sym_canonical_domains_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1776),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1776),
    [aux_sym_certificate_file_token1] = ACTIONS(1776),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1776),
    [aux_sym_channel_timeout_token1] = ACTIONS(1776),
    [aux_sym_check_host_ip_token1] = ACTIONS(1776),
    [aux_sym_ciphers_token1] = ACTIONS(1776),
    [aux_sym_cipher_token1] = ACTIONS(1778),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1776),
    [aux_sym_compression_token1] = ACTIONS(1776),
    [aux_sym_connection_attempts_token1] = ACTIONS(1776),
    [aux_sym_connect_timeout_token1] = ACTIONS(1776),
    [aux_sym_control_master_token1] = ACTIONS(1776),
    [aux_sym_control_path_token1] = ACTIONS(1776),
    [aux_sym_control_persist_token1] = ACTIONS(1776),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1776),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1776),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1776),
    [aux_sym_escape_char_token1] = ACTIONS(1776),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1776),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1776),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1776),
    [aux_sym_forward_agent_token1] = ACTIONS(1776),
    [aux_sym_forward_x11_token1] = ACTIONS(1778),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1776),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1776),
    [aux_sym_gateway_ports_token1] = ACTIONS(1776),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1776),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1776),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1776),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1776),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1776),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1776),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1776),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1776),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1776),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1776),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1776),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1776),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1776),
    [aux_sym_host_key_alias_token1] = ACTIONS(1776),
    [aux_sym_hostname_token1] = ACTIONS(1776),
    [aux_sym_identities_only_token1] = ACTIONS(1776),
    [aux_sym_identity_agent_token1] = ACTIONS(1776),
    [aux_sym_identity_file_token1] = ACTIONS(1776),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1776),
    [aux_sym_include_token1] = ACTIONS(1776),
    [aux_sym_ip_qos_token1] = ACTIONS(1776),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1776),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1776),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1776),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1776),
    [aux_sym_local_command_token1] = ACTIONS(1776),
    [aux_sym_local_forward_token1] = ACTIONS(1776),
    [aux_sym_log_level_token1] = ACTIONS(1776),
    [aux_sym_log_verbose_token1] = ACTIONS(1776),
    [aux_sym_macs_token1] = ACTIONS(1776),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1776),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1776),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1776),
    [aux_sym_password_authentication_token1] = ACTIONS(1776),
    [aux_sym_permit_local_command_token1] = ACTIONS(1776),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1776),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1776),
    [aux_sym_port_token1] = ACTIONS(1776),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1776),
    [aux_sym_protocol_token1] = ACTIONS(1776),
    [aux_sym_proxy_command_token1] = ACTIONS(1776),
    [aux_sym_proxy_jump_token1] = ACTIONS(1776),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1776),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1776),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1776),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1776),
    [aux_sym_rekey_limit_token1] = ACTIONS(1776),
    [aux_sym_remote_command_token1] = ACTIONS(1776),
    [aux_sym_remote_forward_token1] = ACTIONS(1776),
    [aux_sym_request_tty_token1] = ACTIONS(1776),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1776),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1776),
    [aux_sym_security_key_provider_token1] = ACTIONS(1776),
    [aux_sym_send_env_token1] = ACTIONS(1776),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1776),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1776),
    [aux_sym_session_type_token1] = ACTIONS(1776),
    [aux_sym_set_env_token1] = ACTIONS(1776),
    [aux_sym_stdin_null_token1] = ACTIONS(1776),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1776),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1776),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1776),
    [aux_sym_syslog_facility_token1] = ACTIONS(1776),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1776),
    [aux_sym_keep_alive_token1] = ACTIONS(1776),
    [aux_sym_tag_token1] = ACTIONS(1776),
    [aux_sym_tunnel_token1] = ACTIONS(1778),
    [aux_sym_tunnel_device_token1] = ACTIONS(1776),
    [aux_sym_update_host_keys_token1] = ACTIONS(1776),
    [aux_sym_use_keychain_token1] = ACTIONS(1776),
    [aux_sym_use_roaming_token1] = ACTIONS(1776),
    [aux_sym_user_token1] = ACTIONS(1778),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1776),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1776),
    [aux_sym_version_addendum_token1] = ACTIONS(1776),
    [aux_sym_visual_host_key_token1] = ACTIONS(1776),
    [aux_sym_xauth_location_token1] = ACTIONS(1776),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1782),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1784),
    [anon_sym_DQUOTE] = ACTIONS(1786),
    [aux_sym_match_token1] = ACTIONS(1782),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1782),
    [aux_sym_address_family_token1] = ACTIONS(1782),
    [aux_sym_batch_mode_token1] = ACTIONS(1782),
    [aux_sym_bind_address_token1] = ACTIONS(1782),
    [aux_sym_bind_interface_token1] = ACTIONS(1782),
    [aux_sym_canonical_domains_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1782),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1782),
    [aux_sym_certificate_file_token1] = ACTIONS(1782),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1782),
    [aux_sym_channel_timeout_token1] = ACTIONS(1782),
    [aux_sym_check_host_ip_token1] = ACTIONS(1782),
    [aux_sym_ciphers_token1] = ACTIONS(1782),
    [aux_sym_cipher_token1] = ACTIONS(1784),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1782),
    [aux_sym_compression_token1] = ACTIONS(1782),
    [aux_sym_connection_attempts_token1] = ACTIONS(1782),
    [aux_sym_connect_timeout_token1] = ACTIONS(1782),
    [aux_sym_control_master_token1] = ACTIONS(1782),
    [aux_sym_control_path_token1] = ACTIONS(1782),
    [aux_sym_control_persist_token1] = ACTIONS(1782),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1782),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1782),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1782),
    [aux_sym_escape_char_token1] = ACTIONS(1782),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1782),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1782),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1782),
    [aux_sym_forward_agent_token1] = ACTIONS(1782),
    [aux_sym_forward_x11_token1] = ACTIONS(1784),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1782),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1782),
    [aux_sym_gateway_ports_token1] = ACTIONS(1782),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1782),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1782),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1782),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1782),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1782),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1782),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1782),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1782),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1782),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1782),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1782),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1782),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1782),
    [aux_sym_host_key_alias_token1] = ACTIONS(1782),
    [aux_sym_hostname_token1] = ACTIONS(1782),
    [aux_sym_identities_only_token1] = ACTIONS(1782),
    [aux_sym_identity_agent_token1] = ACTIONS(1782),
    [aux_sym_identity_file_token1] = ACTIONS(1782),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1782),
    [aux_sym_include_token1] = ACTIONS(1782),
    [aux_sym_ip_qos_token1] = ACTIONS(1782),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1782),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1782),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1782),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1782),
    [aux_sym_local_command_token1] = ACTIONS(1782),
    [aux_sym_local_forward_token1] = ACTIONS(1782),
    [aux_sym_log_level_token1] = ACTIONS(1782),
    [aux_sym_log_verbose_token1] = ACTIONS(1782),
    [aux_sym_macs_token1] = ACTIONS(1782),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1782),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1782),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1782),
    [aux_sym_password_authentication_token1] = ACTIONS(1782),
    [aux_sym_permit_local_command_token1] = ACTIONS(1782),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1782),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1782),
    [aux_sym_port_token1] = ACTIONS(1782),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1782),
    [aux_sym_protocol_token1] = ACTIONS(1782),
    [aux_sym_proxy_command_token1] = ACTIONS(1782),
    [aux_sym_proxy_jump_token1] = ACTIONS(1782),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1782),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1782),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1782),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1782),
    [aux_sym_rekey_limit_token1] = ACTIONS(1782),
    [aux_sym_remote_command_token1] = ACTIONS(1782),
    [aux_sym_remote_forward_token1] = ACTIONS(1782),
    [aux_sym_request_tty_token1] = ACTIONS(1782),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1782),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1782),
    [aux_sym_security_key_provider_token1] = ACTIONS(1782),
    [aux_sym_send_env_token1] = ACTIONS(1782),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1782),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1782),
    [aux_sym_session_type_token1] = ACTIONS(1782),
    [aux_sym_set_env_token1] = ACTIONS(1782),
    [aux_sym_stdin_null_token1] = ACTIONS(1782),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1782),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1782),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1782),
    [aux_sym_syslog_facility_token1] = ACTIONS(1782),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1782),
    [aux_sym_keep_alive_token1] = ACTIONS(1782),
    [aux_sym_tag_token1] = ACTIONS(1782),
    [aux_sym_tunnel_token1] = ACTIONS(1784),
    [aux_sym_tunnel_device_token1] = ACTIONS(1782),
    [aux_sym_update_host_keys_token1] = ACTIONS(1782),
    [aux_sym_use_keychain_token1] = ACTIONS(1782),
    [aux_sym_use_roaming_token1] = ACTIONS(1782),
    [aux_sym_user_token1] = ACTIONS(1784),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1782),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1782),
    [aux_sym_version_addendum_token1] = ACTIONS(1782),
    [aux_sym_visual_host_key_token1] = ACTIONS(1782),
    [aux_sym_xauth_location_token1] = ACTIONS(1782),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1790),
    [anon_sym_DQUOTE] = ACTIONS(1792),
    [aux_sym_match_token1] = ACTIONS(1788),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1788),
    [aux_sym_address_family_token1] = ACTIONS(1788),
    [aux_sym_batch_mode_token1] = ACTIONS(1788),
    [aux_sym_bind_address_token1] = ACTIONS(1788),
    [aux_sym_bind_interface_token1] = ACTIONS(1788),
    [aux_sym_canonical_domains_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1788),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1788),
    [aux_sym_certificate_file_token1] = ACTIONS(1788),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1788),
    [aux_sym_channel_timeout_token1] = ACTIONS(1788),
    [aux_sym_check_host_ip_token1] = ACTIONS(1788),
    [aux_sym_ciphers_token1] = ACTIONS(1788),
    [aux_sym_cipher_token1] = ACTIONS(1790),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1788),
    [aux_sym_compression_token1] = ACTIONS(1788),
    [aux_sym_connection_attempts_token1] = ACTIONS(1788),
    [aux_sym_connect_timeout_token1] = ACTIONS(1788),
    [aux_sym_control_master_token1] = ACTIONS(1788),
    [aux_sym_control_path_token1] = ACTIONS(1788),
    [aux_sym_control_persist_token1] = ACTIONS(1788),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1788),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1788),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1788),
    [aux_sym_escape_char_token1] = ACTIONS(1788),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1788),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1788),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1788),
    [aux_sym_forward_agent_token1] = ACTIONS(1788),
    [aux_sym_forward_x11_token1] = ACTIONS(1790),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1788),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1788),
    [aux_sym_gateway_ports_token1] = ACTIONS(1788),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1788),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1788),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1788),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1788),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1788),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1788),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1788),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1788),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1788),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1788),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1788),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1788),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1788),
    [aux_sym_host_key_alias_token1] = ACTIONS(1788),
    [aux_sym_hostname_token1] = ACTIONS(1788),
    [aux_sym_identities_only_token1] = ACTIONS(1788),
    [aux_sym_identity_agent_token1] = ACTIONS(1788),
    [aux_sym_identity_file_token1] = ACTIONS(1788),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1788),
    [aux_sym_include_token1] = ACTIONS(1788),
    [aux_sym_ip_qos_token1] = ACTIONS(1788),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1788),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1788),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1788),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1788),
    [aux_sym_local_command_token1] = ACTIONS(1788),
    [aux_sym_local_forward_token1] = ACTIONS(1788),
    [aux_sym_log_level_token1] = ACTIONS(1788),
    [aux_sym_log_verbose_token1] = ACTIONS(1788),
    [aux_sym_macs_token1] = ACTIONS(1788),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1788),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1788),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1788),
    [aux_sym_password_authentication_token1] = ACTIONS(1788),
    [aux_sym_permit_local_command_token1] = ACTIONS(1788),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1788),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1788),
    [aux_sym_port_token1] = ACTIONS(1788),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1788),
    [aux_sym_protocol_token1] = ACTIONS(1788),
    [aux_sym_proxy_command_token1] = ACTIONS(1788),
    [aux_sym_proxy_jump_token1] = ACTIONS(1788),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1788),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1788),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1788),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1788),
    [aux_sym_rekey_limit_token1] = ACTIONS(1788),
    [aux_sym_remote_command_token1] = ACTIONS(1788),
    [aux_sym_remote_forward_token1] = ACTIONS(1788),
    [aux_sym_request_tty_token1] = ACTIONS(1788),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1788),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1788),
    [aux_sym_security_key_provider_token1] = ACTIONS(1788),
    [aux_sym_send_env_token1] = ACTIONS(1788),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1788),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1788),
    [aux_sym_session_type_token1] = ACTIONS(1788),
    [aux_sym_set_env_token1] = ACTIONS(1788),
    [aux_sym_stdin_null_token1] = ACTIONS(1788),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1788),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1788),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1788),
    [aux_sym_syslog_facility_token1] = ACTIONS(1788),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1788),
    [aux_sym_keep_alive_token1] = ACTIONS(1788),
    [aux_sym_tag_token1] = ACTIONS(1788),
    [aux_sym_tunnel_token1] = ACTIONS(1790),
    [aux_sym_tunnel_device_token1] = ACTIONS(1788),
    [aux_sym_update_host_keys_token1] = ACTIONS(1788),
    [aux_sym_use_keychain_token1] = ACTIONS(1788),
    [aux_sym_use_roaming_token1] = ACTIONS(1788),
    [aux_sym_user_token1] = ACTIONS(1790),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1788),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1788),
    [aux_sym_version_addendum_token1] = ACTIONS(1788),
    [aux_sym_visual_host_key_token1] = ACTIONS(1788),
    [aux_sym_xauth_location_token1] = ACTIONS(1788),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1794),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1796),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [aux_sym_match_token1] = ACTIONS(1794),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1794),
    [aux_sym_address_family_token1] = ACTIONS(1794),
    [aux_sym_batch_mode_token1] = ACTIONS(1794),
    [aux_sym_bind_address_token1] = ACTIONS(1794),
    [aux_sym_bind_interface_token1] = ACTIONS(1794),
    [aux_sym_canonical_domains_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1794),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1794),
    [aux_sym_certificate_file_token1] = ACTIONS(1794),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1794),
    [aux_sym_channel_timeout_token1] = ACTIONS(1794),
    [aux_sym_check_host_ip_token1] = ACTIONS(1794),
    [aux_sym_ciphers_token1] = ACTIONS(1794),
    [aux_sym_cipher_token1] = ACTIONS(1796),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1794),
    [aux_sym_compression_token1] = ACTIONS(1794),
    [aux_sym_connection_attempts_token1] = ACTIONS(1794),
    [aux_sym_connect_timeout_token1] = ACTIONS(1794),
    [aux_sym_control_master_token1] = ACTIONS(1794),
    [aux_sym_control_path_token1] = ACTIONS(1794),
    [aux_sym_control_persist_token1] = ACTIONS(1794),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1794),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1794),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1794),
    [aux_sym_escape_char_token1] = ACTIONS(1794),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1794),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1794),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1794),
    [aux_sym_forward_agent_token1] = ACTIONS(1794),
    [aux_sym_forward_x11_token1] = ACTIONS(1796),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1794),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1794),
    [aux_sym_gateway_ports_token1] = ACTIONS(1794),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1794),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1794),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1794),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1794),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1794),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1794),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1794),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1794),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1794),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1794),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1794),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1794),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1794),
    [aux_sym_host_key_alias_token1] = ACTIONS(1794),
    [aux_sym_hostname_token1] = ACTIONS(1794),
    [aux_sym_identities_only_token1] = ACTIONS(1794),
    [aux_sym_identity_agent_token1] = ACTIONS(1794),
    [aux_sym_identity_file_token1] = ACTIONS(1794),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1794),
    [aux_sym_include_token1] = ACTIONS(1794),
    [aux_sym_ip_qos_token1] = ACTIONS(1794),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1794),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1794),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1794),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1794),
    [aux_sym_local_command_token1] = ACTIONS(1794),
    [aux_sym_local_forward_token1] = ACTIONS(1794),
    [aux_sym_log_level_token1] = ACTIONS(1794),
    [aux_sym_log_verbose_token1] = ACTIONS(1794),
    [aux_sym_macs_token1] = ACTIONS(1794),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1794),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1794),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1794),
    [aux_sym_password_authentication_token1] = ACTIONS(1794),
    [aux_sym_permit_local_command_token1] = ACTIONS(1794),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1794),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1794),
    [aux_sym_port_token1] = ACTIONS(1794),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1794),
    [aux_sym_protocol_token1] = ACTIONS(1794),
    [aux_sym_proxy_command_token1] = ACTIONS(1794),
    [aux_sym_proxy_jump_token1] = ACTIONS(1794),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1794),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1794),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1794),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1794),
    [aux_sym_rekey_limit_token1] = ACTIONS(1794),
    [aux_sym_remote_command_token1] = ACTIONS(1794),
    [aux_sym_remote_forward_token1] = ACTIONS(1794),
    [aux_sym_request_tty_token1] = ACTIONS(1794),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1794),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1794),
    [aux_sym_security_key_provider_token1] = ACTIONS(1794),
    [aux_sym_send_env_token1] = ACTIONS(1794),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1794),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1794),
    [aux_sym_session_type_token1] = ACTIONS(1794),
    [aux_sym_set_env_token1] = ACTIONS(1794),
    [aux_sym_stdin_null_token1] = ACTIONS(1794),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1794),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1794),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1794),
    [aux_sym_syslog_facility_token1] = ACTIONS(1794),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1794),
    [aux_sym_keep_alive_token1] = ACTIONS(1794),
    [aux_sym_tag_token1] = ACTIONS(1794),
    [aux_sym_tunnel_token1] = ACTIONS(1796),
    [aux_sym_tunnel_device_token1] = ACTIONS(1794),
    [aux_sym_update_host_keys_token1] = ACTIONS(1794),
    [aux_sym_use_keychain_token1] = ACTIONS(1794),
    [aux_sym_use_roaming_token1] = ACTIONS(1794),
    [aux_sym_user_token1] = ACTIONS(1796),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1794),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1794),
    [aux_sym_version_addendum_token1] = ACTIONS(1794),
    [aux_sym_visual_host_key_token1] = ACTIONS(1794),
    [aux_sym_xauth_location_token1] = ACTIONS(1794),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1802),
    [anon_sym_DQUOTE] = ACTIONS(1804),
    [aux_sym_match_token1] = ACTIONS(1800),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1800),
    [aux_sym_address_family_token1] = ACTIONS(1800),
    [aux_sym_batch_mode_token1] = ACTIONS(1800),
    [aux_sym_bind_address_token1] = ACTIONS(1800),
    [aux_sym_bind_interface_token1] = ACTIONS(1800),
    [aux_sym_canonical_domains_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1800),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1800),
    [aux_sym_certificate_file_token1] = ACTIONS(1800),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1800),
    [aux_sym_channel_timeout_token1] = ACTIONS(1800),
    [aux_sym_check_host_ip_token1] = ACTIONS(1800),
    [aux_sym_ciphers_token1] = ACTIONS(1800),
    [aux_sym_cipher_token1] = ACTIONS(1802),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1800),
    [aux_sym_compression_token1] = ACTIONS(1800),
    [aux_sym_connection_attempts_token1] = ACTIONS(1800),
    [aux_sym_connect_timeout_token1] = ACTIONS(1800),
    [aux_sym_control_master_token1] = ACTIONS(1800),
    [aux_sym_control_path_token1] = ACTIONS(1800),
    [aux_sym_control_persist_token1] = ACTIONS(1800),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1800),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1800),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1800),
    [aux_sym_escape_char_token1] = ACTIONS(1800),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1800),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1800),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1800),
    [aux_sym_forward_agent_token1] = ACTIONS(1800),
    [aux_sym_forward_x11_token1] = ACTIONS(1802),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1800),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1800),
    [aux_sym_gateway_ports_token1] = ACTIONS(1800),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1800),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1800),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1800),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1800),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1800),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1800),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1800),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1800),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1800),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1800),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1800),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1800),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1800),
    [aux_sym_host_key_alias_token1] = ACTIONS(1800),
    [aux_sym_hostname_token1] = ACTIONS(1800),
    [aux_sym_identities_only_token1] = ACTIONS(1800),
    [aux_sym_identity_agent_token1] = ACTIONS(1800),
    [aux_sym_identity_file_token1] = ACTIONS(1800),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1800),
    [aux_sym_include_token1] = ACTIONS(1800),
    [aux_sym_ip_qos_token1] = ACTIONS(1800),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1800),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1800),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1800),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1800),
    [aux_sym_local_command_token1] = ACTIONS(1800),
    [aux_sym_local_forward_token1] = ACTIONS(1800),
    [aux_sym_log_level_token1] = ACTIONS(1800),
    [aux_sym_log_verbose_token1] = ACTIONS(1800),
    [aux_sym_macs_token1] = ACTIONS(1800),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1800),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1800),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1800),
    [aux_sym_password_authentication_token1] = ACTIONS(1800),
    [aux_sym_permit_local_command_token1] = ACTIONS(1800),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1800),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1800),
    [aux_sym_port_token1] = ACTIONS(1800),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1800),
    [aux_sym_protocol_token1] = ACTIONS(1800),
    [aux_sym_proxy_command_token1] = ACTIONS(1800),
    [aux_sym_proxy_jump_token1] = ACTIONS(1800),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1800),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1800),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1800),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1800),
    [aux_sym_rekey_limit_token1] = ACTIONS(1800),
    [aux_sym_remote_command_token1] = ACTIONS(1800),
    [aux_sym_remote_forward_token1] = ACTIONS(1800),
    [aux_sym_request_tty_token1] = ACTIONS(1800),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1800),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1800),
    [aux_sym_security_key_provider_token1] = ACTIONS(1800),
    [aux_sym_send_env_token1] = ACTIONS(1800),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1800),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1800),
    [aux_sym_session_type_token1] = ACTIONS(1800),
    [aux_sym_set_env_token1] = ACTIONS(1800),
    [aux_sym_stdin_null_token1] = ACTIONS(1800),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1800),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1800),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1800),
    [aux_sym_syslog_facility_token1] = ACTIONS(1800),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1800),
    [aux_sym_keep_alive_token1] = ACTIONS(1800),
    [aux_sym_tag_token1] = ACTIONS(1800),
    [aux_sym_tunnel_token1] = ACTIONS(1802),
    [aux_sym_tunnel_device_token1] = ACTIONS(1800),
    [aux_sym_update_host_keys_token1] = ACTIONS(1800),
    [aux_sym_use_keychain_token1] = ACTIONS(1800),
    [aux_sym_use_roaming_token1] = ACTIONS(1800),
    [aux_sym_user_token1] = ACTIONS(1802),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1800),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1800),
    [aux_sym_version_addendum_token1] = ACTIONS(1800),
    [aux_sym_visual_host_key_token1] = ACTIONS(1800),
    [aux_sym_xauth_location_token1] = ACTIONS(1800),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1806),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1808),
    [anon_sym_DQUOTE] = ACTIONS(1810),
    [aux_sym_match_token1] = ACTIONS(1806),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1806),
    [aux_sym_address_family_token1] = ACTIONS(1806),
    [aux_sym_batch_mode_token1] = ACTIONS(1806),
    [aux_sym_bind_address_token1] = ACTIONS(1806),
    [aux_sym_bind_interface_token1] = ACTIONS(1806),
    [aux_sym_canonical_domains_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1806),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1806),
    [aux_sym_certificate_file_token1] = ACTIONS(1806),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1806),
    [aux_sym_channel_timeout_token1] = ACTIONS(1806),
    [aux_sym_check_host_ip_token1] = ACTIONS(1806),
    [aux_sym_ciphers_token1] = ACTIONS(1806),
    [aux_sym_cipher_token1] = ACTIONS(1808),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1806),
    [aux_sym_compression_token1] = ACTIONS(1806),
    [aux_sym_connection_attempts_token1] = ACTIONS(1806),
    [aux_sym_connect_timeout_token1] = ACTIONS(1806),
    [aux_sym_control_master_token1] = ACTIONS(1806),
    [aux_sym_control_path_token1] = ACTIONS(1806),
    [aux_sym_control_persist_token1] = ACTIONS(1806),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1806),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1806),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1806),
    [aux_sym_escape_char_token1] = ACTIONS(1806),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1806),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1806),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1806),
    [aux_sym_forward_agent_token1] = ACTIONS(1806),
    [aux_sym_forward_x11_token1] = ACTIONS(1808),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1806),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1806),
    [aux_sym_gateway_ports_token1] = ACTIONS(1806),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1806),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1806),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1806),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1806),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1806),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1806),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1806),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1806),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1806),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1806),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1806),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1806),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1806),
    [aux_sym_host_key_alias_token1] = ACTIONS(1806),
    [aux_sym_hostname_token1] = ACTIONS(1806),
    [aux_sym_identities_only_token1] = ACTIONS(1806),
    [aux_sym_identity_agent_token1] = ACTIONS(1806),
    [aux_sym_identity_file_token1] = ACTIONS(1806),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1806),
    [aux_sym_include_token1] = ACTIONS(1806),
    [aux_sym_ip_qos_token1] = ACTIONS(1806),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1806),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1806),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1806),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1806),
    [aux_sym_local_command_token1] = ACTIONS(1806),
    [aux_sym_local_forward_token1] = ACTIONS(1806),
    [aux_sym_log_level_token1] = ACTIONS(1806),
    [aux_sym_log_verbose_token1] = ACTIONS(1806),
    [aux_sym_macs_token1] = ACTIONS(1806),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1806),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1806),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1806),
    [aux_sym_password_authentication_token1] = ACTIONS(1806),
    [aux_sym_permit_local_command_token1] = ACTIONS(1806),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1806),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1806),
    [aux_sym_port_token1] = ACTIONS(1806),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1806),
    [aux_sym_protocol_token1] = ACTIONS(1806),
    [aux_sym_proxy_command_token1] = ACTIONS(1806),
    [aux_sym_proxy_jump_token1] = ACTIONS(1806),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1806),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1806),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1806),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1806),
    [aux_sym_rekey_limit_token1] = ACTIONS(1806),
    [aux_sym_remote_command_token1] = ACTIONS(1806),
    [aux_sym_remote_forward_token1] = ACTIONS(1806),
    [aux_sym_request_tty_token1] = ACTIONS(1806),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1806),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1806),
    [aux_sym_security_key_provider_token1] = ACTIONS(1806),
    [aux_sym_send_env_token1] = ACTIONS(1806),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1806),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1806),
    [aux_sym_session_type_token1] = ACTIONS(1806),
    [aux_sym_set_env_token1] = ACTIONS(1806),
    [aux_sym_stdin_null_token1] = ACTIONS(1806),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1806),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1806),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1806),
    [aux_sym_syslog_facility_token1] = ACTIONS(1806),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1806),
    [aux_sym_keep_alive_token1] = ACTIONS(1806),
    [aux_sym_tag_token1] = ACTIONS(1806),
    [aux_sym_tunnel_token1] = ACTIONS(1808),
    [aux_sym_tunnel_device_token1] = ACTIONS(1806),
    [aux_sym_update_host_keys_token1] = ACTIONS(1806),
    [aux_sym_use_keychain_token1] = ACTIONS(1806),
    [aux_sym_use_roaming_token1] = ACTIONS(1806),
    [aux_sym_user_token1] = ACTIONS(1808),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1806),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1806),
    [aux_sym_version_addendum_token1] = ACTIONS(1806),
    [aux_sym_visual_host_key_token1] = ACTIONS(1806),
    [aux_sym_xauth_location_token1] = ACTIONS(1806),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(1812),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1814),
    [anon_sym_DQUOTE] = ACTIONS(1816),
    [aux_sym_match_token1] = ACTIONS(1812),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1812),
    [aux_sym_address_family_token1] = ACTIONS(1812),
    [aux_sym_batch_mode_token1] = ACTIONS(1812),
    [aux_sym_bind_address_token1] = ACTIONS(1812),
    [aux_sym_bind_interface_token1] = ACTIONS(1812),
    [aux_sym_canonical_domains_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1812),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1812),
    [aux_sym_certificate_file_token1] = ACTIONS(1812),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1812),
    [aux_sym_channel_timeout_token1] = ACTIONS(1812),
    [aux_sym_check_host_ip_token1] = ACTIONS(1812),
    [aux_sym_ciphers_token1] = ACTIONS(1812),
    [aux_sym_cipher_token1] = ACTIONS(1814),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1812),
    [aux_sym_compression_token1] = ACTIONS(1812),
    [aux_sym_connection_attempts_token1] = ACTIONS(1812),
    [aux_sym_connect_timeout_token1] = ACTIONS(1812),
    [aux_sym_control_master_token1] = ACTIONS(1812),
    [aux_sym_control_path_token1] = ACTIONS(1812),
    [aux_sym_control_persist_token1] = ACTIONS(1812),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1812),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1812),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1812),
    [aux_sym_escape_char_token1] = ACTIONS(1812),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1812),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1812),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1812),
    [aux_sym_forward_agent_token1] = ACTIONS(1812),
    [aux_sym_forward_x11_token1] = ACTIONS(1814),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1812),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1812),
    [aux_sym_gateway_ports_token1] = ACTIONS(1812),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1812),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1812),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1812),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1812),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1812),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1812),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1812),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1812),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1812),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1812),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1812),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1812),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1812),
    [aux_sym_host_key_alias_token1] = ACTIONS(1812),
    [aux_sym_hostname_token1] = ACTIONS(1812),
    [aux_sym_identities_only_token1] = ACTIONS(1812),
    [aux_sym_identity_agent_token1] = ACTIONS(1812),
    [aux_sym_identity_file_token1] = ACTIONS(1812),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1812),
    [aux_sym_include_token1] = ACTIONS(1812),
    [aux_sym_ip_qos_token1] = ACTIONS(1812),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1812),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1812),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1812),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1812),
    [aux_sym_local_command_token1] = ACTIONS(1812),
    [aux_sym_local_forward_token1] = ACTIONS(1812),
    [aux_sym_log_level_token1] = ACTIONS(1812),
    [aux_sym_log_verbose_token1] = ACTIONS(1812),
    [aux_sym_macs_token1] = ACTIONS(1812),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1812),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1812),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1812),
    [aux_sym_password_authentication_token1] = ACTIONS(1812),
    [aux_sym_permit_local_command_token1] = ACTIONS(1812),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1812),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1812),
    [aux_sym_port_token1] = ACTIONS(1812),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1812),
    [aux_sym_protocol_token1] = ACTIONS(1812),
    [aux_sym_proxy_command_token1] = ACTIONS(1812),
    [aux_sym_proxy_jump_token1] = ACTIONS(1812),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1812),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1812),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1812),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1812),
    [aux_sym_rekey_limit_token1] = ACTIONS(1812),
    [aux_sym_remote_command_token1] = ACTIONS(1812),
    [aux_sym_remote_forward_token1] = ACTIONS(1812),
    [aux_sym_request_tty_token1] = ACTIONS(1812),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1812),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1812),
    [aux_sym_security_key_provider_token1] = ACTIONS(1812),
    [aux_sym_send_env_token1] = ACTIONS(1812),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1812),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1812),
    [aux_sym_session_type_token1] = ACTIONS(1812),
    [aux_sym_set_env_token1] = ACTIONS(1812),
    [aux_sym_stdin_null_token1] = ACTIONS(1812),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1812),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1812),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1812),
    [aux_sym_syslog_facility_token1] = ACTIONS(1812),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1812),
    [aux_sym_keep_alive_token1] = ACTIONS(1812),
    [aux_sym_tag_token1] = ACTIONS(1812),
    [aux_sym_tunnel_token1] = ACTIONS(1814),
    [aux_sym_tunnel_device_token1] = ACTIONS(1812),
    [aux_sym_update_host_keys_token1] = ACTIONS(1812),
    [aux_sym_use_keychain_token1] = ACTIONS(1812),
    [aux_sym_use_roaming_token1] = ACTIONS(1812),
    [aux_sym_user_token1] = ACTIONS(1814),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1812),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1812),
    [aux_sym_version_addendum_token1] = ACTIONS(1812),
    [aux_sym_visual_host_key_token1] = ACTIONS(1812),
    [aux_sym_xauth_location_token1] = ACTIONS(1812),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1820),
    [anon_sym_DQUOTE] = ACTIONS(1822),
    [aux_sym_match_token1] = ACTIONS(1818),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1818),
    [aux_sym_address_family_token1] = ACTIONS(1818),
    [aux_sym_batch_mode_token1] = ACTIONS(1818),
    [aux_sym_bind_address_token1] = ACTIONS(1818),
    [aux_sym_bind_interface_token1] = ACTIONS(1818),
    [aux_sym_canonical_domains_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1818),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1818),
    [aux_sym_certificate_file_token1] = ACTIONS(1818),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1818),
    [aux_sym_channel_timeout_token1] = ACTIONS(1818),
    [aux_sym_check_host_ip_token1] = ACTIONS(1818),
    [aux_sym_ciphers_token1] = ACTIONS(1818),
    [aux_sym_cipher_token1] = ACTIONS(1820),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1818),
    [aux_sym_compression_token1] = ACTIONS(1818),
    [aux_sym_connection_attempts_token1] = ACTIONS(1818),
    [aux_sym_connect_timeout_token1] = ACTIONS(1818),
    [aux_sym_control_master_token1] = ACTIONS(1818),
    [aux_sym_control_path_token1] = ACTIONS(1818),
    [aux_sym_control_persist_token1] = ACTIONS(1818),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1818),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1818),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1818),
    [aux_sym_escape_char_token1] = ACTIONS(1818),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1818),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1818),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1818),
    [aux_sym_forward_agent_token1] = ACTIONS(1818),
    [aux_sym_forward_x11_token1] = ACTIONS(1820),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1818),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1818),
    [aux_sym_gateway_ports_token1] = ACTIONS(1818),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1818),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1818),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1818),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1818),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1818),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1818),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1818),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1818),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1818),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1818),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1818),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1818),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1818),
    [aux_sym_host_key_alias_token1] = ACTIONS(1818),
    [aux_sym_hostname_token1] = ACTIONS(1818),
    [aux_sym_identities_only_token1] = ACTIONS(1818),
    [aux_sym_identity_agent_token1] = ACTIONS(1818),
    [aux_sym_identity_file_token1] = ACTIONS(1818),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1818),
    [aux_sym_include_token1] = ACTIONS(1818),
    [aux_sym_ip_qos_token1] = ACTIONS(1818),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1818),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1818),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1818),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1818),
    [aux_sym_local_command_token1] = ACTIONS(1818),
    [aux_sym_local_forward_token1] = ACTIONS(1818),
    [aux_sym_log_level_token1] = ACTIONS(1818),
    [aux_sym_log_verbose_token1] = ACTIONS(1818),
    [aux_sym_macs_token1] = ACTIONS(1818),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1818),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1818),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1818),
    [aux_sym_password_authentication_token1] = ACTIONS(1818),
    [aux_sym_permit_local_command_token1] = ACTIONS(1818),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1818),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1818),
    [aux_sym_port_token1] = ACTIONS(1818),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1818),
    [aux_sym_protocol_token1] = ACTIONS(1818),
    [aux_sym_proxy_command_token1] = ACTIONS(1818),
    [aux_sym_proxy_jump_token1] = ACTIONS(1818),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1818),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1818),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1818),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1818),
    [aux_sym_rekey_limit_token1] = ACTIONS(1818),
    [aux_sym_remote_command_token1] = ACTIONS(1818),
    [aux_sym_remote_forward_token1] = ACTIONS(1818),
    [aux_sym_request_tty_token1] = ACTIONS(1818),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1818),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1818),
    [aux_sym_security_key_provider_token1] = ACTIONS(1818),
    [aux_sym_send_env_token1] = ACTIONS(1818),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1818),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1818),
    [aux_sym_session_type_token1] = ACTIONS(1818),
    [aux_sym_set_env_token1] = ACTIONS(1818),
    [aux_sym_stdin_null_token1] = ACTIONS(1818),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1818),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1818),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1818),
    [aux_sym_syslog_facility_token1] = ACTIONS(1818),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1818),
    [aux_sym_keep_alive_token1] = ACTIONS(1818),
    [aux_sym_tag_token1] = ACTIONS(1818),
    [aux_sym_tunnel_token1] = ACTIONS(1820),
    [aux_sym_tunnel_device_token1] = ACTIONS(1818),
    [aux_sym_update_host_keys_token1] = ACTIONS(1818),
    [aux_sym_use_keychain_token1] = ACTIONS(1818),
    [aux_sym_use_roaming_token1] = ACTIONS(1818),
    [aux_sym_user_token1] = ACTIONS(1820),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1818),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1818),
    [aux_sym_version_addendum_token1] = ACTIONS(1818),
    [aux_sym_visual_host_key_token1] = ACTIONS(1818),
    [aux_sym_xauth_location_token1] = ACTIONS(1818),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1826),
    [anon_sym_DQUOTE] = ACTIONS(1828),
    [aux_sym_match_token1] = ACTIONS(1824),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1824),
    [aux_sym_address_family_token1] = ACTIONS(1824),
    [aux_sym_batch_mode_token1] = ACTIONS(1824),
    [aux_sym_bind_address_token1] = ACTIONS(1824),
    [aux_sym_bind_interface_token1] = ACTIONS(1824),
    [aux_sym_canonical_domains_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1824),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1824),
    [aux_sym_certificate_file_token1] = ACTIONS(1824),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1824),
    [aux_sym_channel_timeout_token1] = ACTIONS(1824),
    [aux_sym_check_host_ip_token1] = ACTIONS(1824),
    [aux_sym_ciphers_token1] = ACTIONS(1824),
    [aux_sym_cipher_token1] = ACTIONS(1826),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1824),
    [aux_sym_compression_token1] = ACTIONS(1824),
    [aux_sym_connection_attempts_token1] = ACTIONS(1824),
    [aux_sym_connect_timeout_token1] = ACTIONS(1824),
    [aux_sym_control_master_token1] = ACTIONS(1824),
    [aux_sym_control_path_token1] = ACTIONS(1824),
    [aux_sym_control_persist_token1] = ACTIONS(1824),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1824),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1824),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1824),
    [aux_sym_escape_char_token1] = ACTIONS(1824),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1824),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1824),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1824),
    [aux_sym_forward_agent_token1] = ACTIONS(1824),
    [aux_sym_forward_x11_token1] = ACTIONS(1826),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1824),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1824),
    [aux_sym_gateway_ports_token1] = ACTIONS(1824),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1824),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1824),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1824),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1824),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1824),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1824),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1824),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1824),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1824),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1824),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1824),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1824),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1824),
    [aux_sym_host_key_alias_token1] = ACTIONS(1824),
    [aux_sym_hostname_token1] = ACTIONS(1824),
    [aux_sym_identities_only_token1] = ACTIONS(1824),
    [aux_sym_identity_agent_token1] = ACTIONS(1824),
    [aux_sym_identity_file_token1] = ACTIONS(1824),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1824),
    [aux_sym_include_token1] = ACTIONS(1824),
    [aux_sym_ip_qos_token1] = ACTIONS(1824),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1824),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1824),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1824),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1824),
    [aux_sym_local_command_token1] = ACTIONS(1824),
    [aux_sym_local_forward_token1] = ACTIONS(1824),
    [aux_sym_log_level_token1] = ACTIONS(1824),
    [aux_sym_log_verbose_token1] = ACTIONS(1824),
    [aux_sym_macs_token1] = ACTIONS(1824),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1824),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1824),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1824),
    [aux_sym_password_authentication_token1] = ACTIONS(1824),
    [aux_sym_permit_local_command_token1] = ACTIONS(1824),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1824),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1824),
    [aux_sym_port_token1] = ACTIONS(1824),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1824),
    [aux_sym_protocol_token1] = ACTIONS(1824),
    [aux_sym_proxy_command_token1] = ACTIONS(1824),
    [aux_sym_proxy_jump_token1] = ACTIONS(1824),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1824),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1824),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1824),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1824),
    [aux_sym_rekey_limit_token1] = ACTIONS(1824),
    [aux_sym_remote_command_token1] = ACTIONS(1824),
    [aux_sym_remote_forward_token1] = ACTIONS(1824),
    [aux_sym_request_tty_token1] = ACTIONS(1824),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1824),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1824),
    [aux_sym_security_key_provider_token1] = ACTIONS(1824),
    [aux_sym_send_env_token1] = ACTIONS(1824),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1824),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1824),
    [aux_sym_session_type_token1] = ACTIONS(1824),
    [aux_sym_set_env_token1] = ACTIONS(1824),
    [aux_sym_stdin_null_token1] = ACTIONS(1824),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1824),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1824),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1824),
    [aux_sym_syslog_facility_token1] = ACTIONS(1824),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1824),
    [aux_sym_keep_alive_token1] = ACTIONS(1824),
    [aux_sym_tag_token1] = ACTIONS(1824),
    [aux_sym_tunnel_token1] = ACTIONS(1826),
    [aux_sym_tunnel_device_token1] = ACTIONS(1824),
    [aux_sym_update_host_keys_token1] = ACTIONS(1824),
    [aux_sym_use_keychain_token1] = ACTIONS(1824),
    [aux_sym_use_roaming_token1] = ACTIONS(1824),
    [aux_sym_user_token1] = ACTIONS(1826),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1824),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1824),
    [aux_sym_version_addendum_token1] = ACTIONS(1824),
    [aux_sym_visual_host_key_token1] = ACTIONS(1824),
    [aux_sym_xauth_location_token1] = ACTIONS(1824),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1832),
    [anon_sym_DQUOTE] = ACTIONS(1834),
    [aux_sym_match_token1] = ACTIONS(1830),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1830),
    [aux_sym_address_family_token1] = ACTIONS(1830),
    [aux_sym_batch_mode_token1] = ACTIONS(1830),
    [aux_sym_bind_address_token1] = ACTIONS(1830),
    [aux_sym_bind_interface_token1] = ACTIONS(1830),
    [aux_sym_canonical_domains_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1830),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1830),
    [aux_sym_certificate_file_token1] = ACTIONS(1830),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1830),
    [aux_sym_channel_timeout_token1] = ACTIONS(1830),
    [aux_sym_check_host_ip_token1] = ACTIONS(1830),
    [aux_sym_ciphers_token1] = ACTIONS(1830),
    [aux_sym_cipher_token1] = ACTIONS(1832),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1830),
    [aux_sym_compression_token1] = ACTIONS(1830),
    [aux_sym_connection_attempts_token1] = ACTIONS(1830),
    [aux_sym_connect_timeout_token1] = ACTIONS(1830),
    [aux_sym_control_master_token1] = ACTIONS(1830),
    [aux_sym_control_path_token1] = ACTIONS(1830),
    [aux_sym_control_persist_token1] = ACTIONS(1830),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1830),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1830),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1830),
    [aux_sym_escape_char_token1] = ACTIONS(1830),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1830),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1830),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1830),
    [aux_sym_forward_agent_token1] = ACTIONS(1830),
    [aux_sym_forward_x11_token1] = ACTIONS(1832),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1830),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1830),
    [aux_sym_gateway_ports_token1] = ACTIONS(1830),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1830),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1830),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1830),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1830),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1830),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1830),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1830),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1830),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1830),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1830),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1830),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1830),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1830),
    [aux_sym_host_key_alias_token1] = ACTIONS(1830),
    [aux_sym_hostname_token1] = ACTIONS(1830),
    [aux_sym_identities_only_token1] = ACTIONS(1830),
    [aux_sym_identity_agent_token1] = ACTIONS(1830),
    [aux_sym_identity_file_token1] = ACTIONS(1830),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1830),
    [aux_sym_include_token1] = ACTIONS(1830),
    [aux_sym_ip_qos_token1] = ACTIONS(1830),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1830),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1830),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1830),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1830),
    [aux_sym_local_command_token1] = ACTIONS(1830),
    [aux_sym_local_forward_token1] = ACTIONS(1830),
    [aux_sym_log_level_token1] = ACTIONS(1830),
    [aux_sym_log_verbose_token1] = ACTIONS(1830),
    [aux_sym_macs_token1] = ACTIONS(1830),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1830),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1830),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1830),
    [aux_sym_password_authentication_token1] = ACTIONS(1830),
    [aux_sym_permit_local_command_token1] = ACTIONS(1830),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1830),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1830),
    [aux_sym_port_token1] = ACTIONS(1830),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1830),
    [aux_sym_protocol_token1] = ACTIONS(1830),
    [aux_sym_proxy_command_token1] = ACTIONS(1830),
    [aux_sym_proxy_jump_token1] = ACTIONS(1830),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1830),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1830),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1830),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1830),
    [aux_sym_rekey_limit_token1] = ACTIONS(1830),
    [aux_sym_remote_command_token1] = ACTIONS(1830),
    [aux_sym_remote_forward_token1] = ACTIONS(1830),
    [aux_sym_request_tty_token1] = ACTIONS(1830),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1830),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1830),
    [aux_sym_security_key_provider_token1] = ACTIONS(1830),
    [aux_sym_send_env_token1] = ACTIONS(1830),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1830),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1830),
    [aux_sym_session_type_token1] = ACTIONS(1830),
    [aux_sym_set_env_token1] = ACTIONS(1830),
    [aux_sym_stdin_null_token1] = ACTIONS(1830),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1830),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1830),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1830),
    [aux_sym_syslog_facility_token1] = ACTIONS(1830),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1830),
    [aux_sym_keep_alive_token1] = ACTIONS(1830),
    [aux_sym_tag_token1] = ACTIONS(1830),
    [aux_sym_tunnel_token1] = ACTIONS(1832),
    [aux_sym_tunnel_device_token1] = ACTIONS(1830),
    [aux_sym_update_host_keys_token1] = ACTIONS(1830),
    [aux_sym_use_keychain_token1] = ACTIONS(1830),
    [aux_sym_use_roaming_token1] = ACTIONS(1830),
    [aux_sym_user_token1] = ACTIONS(1832),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1830),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1830),
    [aux_sym_version_addendum_token1] = ACTIONS(1830),
    [aux_sym_visual_host_key_token1] = ACTIONS(1830),
    [aux_sym_xauth_location_token1] = ACTIONS(1830),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1836),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1838),
    [anon_sym_DQUOTE] = ACTIONS(1840),
    [aux_sym_match_token1] = ACTIONS(1836),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1836),
    [aux_sym_address_family_token1] = ACTIONS(1836),
    [aux_sym_batch_mode_token1] = ACTIONS(1836),
    [aux_sym_bind_address_token1] = ACTIONS(1836),
    [aux_sym_bind_interface_token1] = ACTIONS(1836),
    [aux_sym_canonical_domains_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1836),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1836),
    [aux_sym_certificate_file_token1] = ACTIONS(1836),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1836),
    [aux_sym_channel_timeout_token1] = ACTIONS(1836),
    [aux_sym_check_host_ip_token1] = ACTIONS(1836),
    [aux_sym_ciphers_token1] = ACTIONS(1836),
    [aux_sym_cipher_token1] = ACTIONS(1838),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1836),
    [aux_sym_compression_token1] = ACTIONS(1836),
    [aux_sym_connection_attempts_token1] = ACTIONS(1836),
    [aux_sym_connect_timeout_token1] = ACTIONS(1836),
    [aux_sym_control_master_token1] = ACTIONS(1836),
    [aux_sym_control_path_token1] = ACTIONS(1836),
    [aux_sym_control_persist_token1] = ACTIONS(1836),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1836),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1836),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1836),
    [aux_sym_escape_char_token1] = ACTIONS(1836),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1836),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1836),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1836),
    [aux_sym_forward_agent_token1] = ACTIONS(1836),
    [aux_sym_forward_x11_token1] = ACTIONS(1838),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1836),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1836),
    [aux_sym_gateway_ports_token1] = ACTIONS(1836),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1836),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1836),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1836),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1836),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1836),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1836),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1836),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1836),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1836),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1836),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1836),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1836),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1836),
    [aux_sym_host_key_alias_token1] = ACTIONS(1836),
    [aux_sym_hostname_token1] = ACTIONS(1836),
    [aux_sym_identities_only_token1] = ACTIONS(1836),
    [aux_sym_identity_agent_token1] = ACTIONS(1836),
    [aux_sym_identity_file_token1] = ACTIONS(1836),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1836),
    [aux_sym_include_token1] = ACTIONS(1836),
    [aux_sym_ip_qos_token1] = ACTIONS(1836),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1836),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1836),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1836),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1836),
    [aux_sym_local_command_token1] = ACTIONS(1836),
    [aux_sym_local_forward_token1] = ACTIONS(1836),
    [aux_sym_log_level_token1] = ACTIONS(1836),
    [aux_sym_log_verbose_token1] = ACTIONS(1836),
    [aux_sym_macs_token1] = ACTIONS(1836),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1836),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1836),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1836),
    [aux_sym_password_authentication_token1] = ACTIONS(1836),
    [aux_sym_permit_local_command_token1] = ACTIONS(1836),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1836),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1836),
    [aux_sym_port_token1] = ACTIONS(1836),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1836),
    [aux_sym_protocol_token1] = ACTIONS(1836),
    [aux_sym_proxy_command_token1] = ACTIONS(1836),
    [aux_sym_proxy_jump_token1] = ACTIONS(1836),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1836),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1836),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1836),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1836),
    [aux_sym_rekey_limit_token1] = ACTIONS(1836),
    [aux_sym_remote_command_token1] = ACTIONS(1836),
    [aux_sym_remote_forward_token1] = ACTIONS(1836),
    [aux_sym_request_tty_token1] = ACTIONS(1836),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1836),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1836),
    [aux_sym_security_key_provider_token1] = ACTIONS(1836),
    [aux_sym_send_env_token1] = ACTIONS(1836),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1836),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1836),
    [aux_sym_session_type_token1] = ACTIONS(1836),
    [aux_sym_set_env_token1] = ACTIONS(1836),
    [aux_sym_stdin_null_token1] = ACTIONS(1836),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1836),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1836),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1836),
    [aux_sym_syslog_facility_token1] = ACTIONS(1836),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1836),
    [aux_sym_keep_alive_token1] = ACTIONS(1836),
    [aux_sym_tag_token1] = ACTIONS(1836),
    [aux_sym_tunnel_token1] = ACTIONS(1838),
    [aux_sym_tunnel_device_token1] = ACTIONS(1836),
    [aux_sym_update_host_keys_token1] = ACTIONS(1836),
    [aux_sym_use_keychain_token1] = ACTIONS(1836),
    [aux_sym_use_roaming_token1] = ACTIONS(1836),
    [aux_sym_user_token1] = ACTIONS(1838),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1836),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1836),
    [aux_sym_version_addendum_token1] = ACTIONS(1836),
    [aux_sym_visual_host_key_token1] = ACTIONS(1836),
    [aux_sym_xauth_location_token1] = ACTIONS(1836),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1844),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [aux_sym_match_token1] = ACTIONS(1842),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1842),
    [aux_sym_address_family_token1] = ACTIONS(1842),
    [aux_sym_batch_mode_token1] = ACTIONS(1842),
    [aux_sym_bind_address_token1] = ACTIONS(1842),
    [aux_sym_bind_interface_token1] = ACTIONS(1842),
    [aux_sym_canonical_domains_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1842),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1842),
    [aux_sym_certificate_file_token1] = ACTIONS(1842),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1842),
    [aux_sym_channel_timeout_token1] = ACTIONS(1842),
    [aux_sym_check_host_ip_token1] = ACTIONS(1842),
    [aux_sym_ciphers_token1] = ACTIONS(1842),
    [aux_sym_cipher_token1] = ACTIONS(1844),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1842),
    [aux_sym_compression_token1] = ACTIONS(1842),
    [aux_sym_connection_attempts_token1] = ACTIONS(1842),
    [aux_sym_connect_timeout_token1] = ACTIONS(1842),
    [aux_sym_control_master_token1] = ACTIONS(1842),
    [aux_sym_control_path_token1] = ACTIONS(1842),
    [aux_sym_control_persist_token1] = ACTIONS(1842),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1842),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1842),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1842),
    [aux_sym_escape_char_token1] = ACTIONS(1842),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1842),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1842),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1842),
    [aux_sym_forward_agent_token1] = ACTIONS(1842),
    [aux_sym_forward_x11_token1] = ACTIONS(1844),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1842),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1842),
    [aux_sym_gateway_ports_token1] = ACTIONS(1842),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1842),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1842),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1842),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1842),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1842),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1842),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1842),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1842),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1842),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1842),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1842),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1842),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1842),
    [aux_sym_host_key_alias_token1] = ACTIONS(1842),
    [aux_sym_hostname_token1] = ACTIONS(1842),
    [aux_sym_identities_only_token1] = ACTIONS(1842),
    [aux_sym_identity_agent_token1] = ACTIONS(1842),
    [aux_sym_identity_file_token1] = ACTIONS(1842),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1842),
    [aux_sym_include_token1] = ACTIONS(1842),
    [aux_sym_ip_qos_token1] = ACTIONS(1842),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1842),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1842),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1842),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1842),
    [aux_sym_local_command_token1] = ACTIONS(1842),
    [aux_sym_local_forward_token1] = ACTIONS(1842),
    [aux_sym_log_level_token1] = ACTIONS(1842),
    [aux_sym_log_verbose_token1] = ACTIONS(1842),
    [aux_sym_macs_token1] = ACTIONS(1842),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1842),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1842),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1842),
    [aux_sym_password_authentication_token1] = ACTIONS(1842),
    [aux_sym_permit_local_command_token1] = ACTIONS(1842),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1842),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1842),
    [aux_sym_port_token1] = ACTIONS(1842),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1842),
    [aux_sym_protocol_token1] = ACTIONS(1842),
    [aux_sym_proxy_command_token1] = ACTIONS(1842),
    [aux_sym_proxy_jump_token1] = ACTIONS(1842),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1842),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1842),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1842),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1842),
    [aux_sym_rekey_limit_token1] = ACTIONS(1842),
    [aux_sym_remote_command_token1] = ACTIONS(1842),
    [aux_sym_remote_forward_token1] = ACTIONS(1842),
    [aux_sym_request_tty_token1] = ACTIONS(1842),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1842),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1842),
    [aux_sym_security_key_provider_token1] = ACTIONS(1842),
    [aux_sym_send_env_token1] = ACTIONS(1842),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1842),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1842),
    [aux_sym_session_type_token1] = ACTIONS(1842),
    [aux_sym_set_env_token1] = ACTIONS(1842),
    [aux_sym_stdin_null_token1] = ACTIONS(1842),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1842),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1842),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1842),
    [aux_sym_syslog_facility_token1] = ACTIONS(1842),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1842),
    [aux_sym_keep_alive_token1] = ACTIONS(1842),
    [aux_sym_tag_token1] = ACTIONS(1842),
    [aux_sym_tunnel_token1] = ACTIONS(1844),
    [aux_sym_tunnel_device_token1] = ACTIONS(1842),
    [aux_sym_update_host_keys_token1] = ACTIONS(1842),
    [aux_sym_use_keychain_token1] = ACTIONS(1842),
    [aux_sym_use_roaming_token1] = ACTIONS(1842),
    [aux_sym_user_token1] = ACTIONS(1844),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1842),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1842),
    [aux_sym_version_addendum_token1] = ACTIONS(1842),
    [aux_sym_visual_host_key_token1] = ACTIONS(1842),
    [aux_sym_xauth_location_token1] = ACTIONS(1842),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1852),
    [aux_sym_match_token1] = ACTIONS(1848),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1848),
    [aux_sym_address_family_token1] = ACTIONS(1848),
    [aux_sym_batch_mode_token1] = ACTIONS(1848),
    [aux_sym_bind_address_token1] = ACTIONS(1848),
    [aux_sym_bind_interface_token1] = ACTIONS(1848),
    [aux_sym_canonical_domains_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1848),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1848),
    [aux_sym_certificate_file_token1] = ACTIONS(1848),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1848),
    [aux_sym_channel_timeout_token1] = ACTIONS(1848),
    [aux_sym_check_host_ip_token1] = ACTIONS(1848),
    [aux_sym_ciphers_token1] = ACTIONS(1848),
    [aux_sym_cipher_token1] = ACTIONS(1850),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1848),
    [aux_sym_compression_token1] = ACTIONS(1848),
    [aux_sym_connection_attempts_token1] = ACTIONS(1848),
    [aux_sym_connect_timeout_token1] = ACTIONS(1848),
    [aux_sym_control_master_token1] = ACTIONS(1848),
    [aux_sym_control_path_token1] = ACTIONS(1848),
    [aux_sym_control_persist_token1] = ACTIONS(1848),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1848),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1848),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1848),
    [aux_sym_escape_char_token1] = ACTIONS(1848),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1848),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1848),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1848),
    [aux_sym_forward_agent_token1] = ACTIONS(1848),
    [aux_sym_forward_x11_token1] = ACTIONS(1850),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1848),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1848),
    [aux_sym_gateway_ports_token1] = ACTIONS(1848),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1848),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1848),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1848),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1848),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1848),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1848),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1848),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1848),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1848),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1848),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1848),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1848),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1848),
    [aux_sym_host_key_alias_token1] = ACTIONS(1848),
    [aux_sym_hostname_token1] = ACTIONS(1848),
    [aux_sym_identities_only_token1] = ACTIONS(1848),
    [aux_sym_identity_agent_token1] = ACTIONS(1848),
    [aux_sym_identity_file_token1] = ACTIONS(1848),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1848),
    [aux_sym_include_token1] = ACTIONS(1848),
    [aux_sym_ip_qos_token1] = ACTIONS(1848),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1848),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1848),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1848),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1848),
    [aux_sym_local_command_token1] = ACTIONS(1848),
    [aux_sym_local_forward_token1] = ACTIONS(1848),
    [aux_sym_log_level_token1] = ACTIONS(1848),
    [aux_sym_log_verbose_token1] = ACTIONS(1848),
    [aux_sym_macs_token1] = ACTIONS(1848),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1848),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1848),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1848),
    [aux_sym_password_authentication_token1] = ACTIONS(1848),
    [aux_sym_permit_local_command_token1] = ACTIONS(1848),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1848),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1848),
    [aux_sym_port_token1] = ACTIONS(1848),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1848),
    [aux_sym_protocol_token1] = ACTIONS(1848),
    [aux_sym_proxy_command_token1] = ACTIONS(1848),
    [aux_sym_proxy_jump_token1] = ACTIONS(1848),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1848),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1848),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1848),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1848),
    [aux_sym_rekey_limit_token1] = ACTIONS(1848),
    [aux_sym_remote_command_token1] = ACTIONS(1848),
    [aux_sym_remote_forward_token1] = ACTIONS(1848),
    [aux_sym_request_tty_token1] = ACTIONS(1848),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1848),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1848),
    [aux_sym_security_key_provider_token1] = ACTIONS(1848),
    [aux_sym_send_env_token1] = ACTIONS(1848),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1848),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1848),
    [aux_sym_session_type_token1] = ACTIONS(1848),
    [aux_sym_set_env_token1] = ACTIONS(1848),
    [aux_sym_stdin_null_token1] = ACTIONS(1848),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1848),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1848),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1848),
    [aux_sym_syslog_facility_token1] = ACTIONS(1848),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1848),
    [aux_sym_keep_alive_token1] = ACTIONS(1848),
    [aux_sym_tag_token1] = ACTIONS(1848),
    [aux_sym_tunnel_token1] = ACTIONS(1850),
    [aux_sym_tunnel_device_token1] = ACTIONS(1848),
    [aux_sym_update_host_keys_token1] = ACTIONS(1848),
    [aux_sym_use_keychain_token1] = ACTIONS(1848),
    [aux_sym_use_roaming_token1] = ACTIONS(1848),
    [aux_sym_user_token1] = ACTIONS(1850),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1848),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1848),
    [aux_sym_version_addendum_token1] = ACTIONS(1848),
    [aux_sym_visual_host_key_token1] = ACTIONS(1848),
    [aux_sym_xauth_location_token1] = ACTIONS(1848),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1856),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [aux_sym_match_token1] = ACTIONS(1854),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1854),
    [aux_sym_address_family_token1] = ACTIONS(1854),
    [aux_sym_batch_mode_token1] = ACTIONS(1854),
    [aux_sym_bind_address_token1] = ACTIONS(1854),
    [aux_sym_bind_interface_token1] = ACTIONS(1854),
    [aux_sym_canonical_domains_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1854),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1854),
    [aux_sym_certificate_file_token1] = ACTIONS(1854),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1854),
    [aux_sym_channel_timeout_token1] = ACTIONS(1854),
    [aux_sym_check_host_ip_token1] = ACTIONS(1854),
    [aux_sym_ciphers_token1] = ACTIONS(1854),
    [aux_sym_cipher_token1] = ACTIONS(1856),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1854),
    [aux_sym_compression_token1] = ACTIONS(1854),
    [aux_sym_connection_attempts_token1] = ACTIONS(1854),
    [aux_sym_connect_timeout_token1] = ACTIONS(1854),
    [aux_sym_control_master_token1] = ACTIONS(1854),
    [aux_sym_control_path_token1] = ACTIONS(1854),
    [aux_sym_control_persist_token1] = ACTIONS(1854),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1854),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1854),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1854),
    [aux_sym_escape_char_token1] = ACTIONS(1854),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1854),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1854),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1854),
    [aux_sym_forward_agent_token1] = ACTIONS(1854),
    [aux_sym_forward_x11_token1] = ACTIONS(1856),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1854),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1854),
    [aux_sym_gateway_ports_token1] = ACTIONS(1854),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1854),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1854),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1854),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1854),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1854),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1854),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1854),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1854),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1854),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1854),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1854),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1854),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1854),
    [aux_sym_host_key_alias_token1] = ACTIONS(1854),
    [aux_sym_hostname_token1] = ACTIONS(1854),
    [aux_sym_identities_only_token1] = ACTIONS(1854),
    [aux_sym_identity_agent_token1] = ACTIONS(1854),
    [aux_sym_identity_file_token1] = ACTIONS(1854),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1854),
    [aux_sym_include_token1] = ACTIONS(1854),
    [aux_sym_ip_qos_token1] = ACTIONS(1854),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1854),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1854),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1854),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1854),
    [aux_sym_local_command_token1] = ACTIONS(1854),
    [aux_sym_local_forward_token1] = ACTIONS(1854),
    [aux_sym_log_level_token1] = ACTIONS(1854),
    [aux_sym_log_verbose_token1] = ACTIONS(1854),
    [aux_sym_macs_token1] = ACTIONS(1854),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1854),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1854),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1854),
    [aux_sym_password_authentication_token1] = ACTIONS(1854),
    [aux_sym_permit_local_command_token1] = ACTIONS(1854),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1854),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1854),
    [aux_sym_port_token1] = ACTIONS(1854),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1854),
    [aux_sym_protocol_token1] = ACTIONS(1854),
    [aux_sym_proxy_command_token1] = ACTIONS(1854),
    [aux_sym_proxy_jump_token1] = ACTIONS(1854),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1854),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1854),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1854),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1854),
    [aux_sym_rekey_limit_token1] = ACTIONS(1854),
    [aux_sym_remote_command_token1] = ACTIONS(1854),
    [aux_sym_remote_forward_token1] = ACTIONS(1854),
    [aux_sym_request_tty_token1] = ACTIONS(1854),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1854),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1854),
    [aux_sym_security_key_provider_token1] = ACTIONS(1854),
    [aux_sym_send_env_token1] = ACTIONS(1854),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1854),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1854),
    [aux_sym_session_type_token1] = ACTIONS(1854),
    [aux_sym_set_env_token1] = ACTIONS(1854),
    [aux_sym_stdin_null_token1] = ACTIONS(1854),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1854),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1854),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1854),
    [aux_sym_syslog_facility_token1] = ACTIONS(1854),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1854),
    [aux_sym_keep_alive_token1] = ACTIONS(1854),
    [aux_sym_tag_token1] = ACTIONS(1854),
    [aux_sym_tunnel_token1] = ACTIONS(1856),
    [aux_sym_tunnel_device_token1] = ACTIONS(1854),
    [aux_sym_update_host_keys_token1] = ACTIONS(1854),
    [aux_sym_use_keychain_token1] = ACTIONS(1854),
    [aux_sym_use_roaming_token1] = ACTIONS(1854),
    [aux_sym_user_token1] = ACTIONS(1856),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1854),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1854),
    [aux_sym_version_addendum_token1] = ACTIONS(1854),
    [aux_sym_visual_host_key_token1] = ACTIONS(1854),
    [aux_sym_xauth_location_token1] = ACTIONS(1854),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1862),
    [anon_sym_DQUOTE] = ACTIONS(1864),
    [aux_sym_match_token1] = ACTIONS(1860),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1860),
    [aux_sym_address_family_token1] = ACTIONS(1860),
    [aux_sym_batch_mode_token1] = ACTIONS(1860),
    [aux_sym_bind_address_token1] = ACTIONS(1860),
    [aux_sym_bind_interface_token1] = ACTIONS(1860),
    [aux_sym_canonical_domains_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1860),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1860),
    [aux_sym_certificate_file_token1] = ACTIONS(1860),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1860),
    [aux_sym_channel_timeout_token1] = ACTIONS(1860),
    [aux_sym_check_host_ip_token1] = ACTIONS(1860),
    [aux_sym_ciphers_token1] = ACTIONS(1860),
    [aux_sym_cipher_token1] = ACTIONS(1862),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1860),
    [aux_sym_compression_token1] = ACTIONS(1860),
    [aux_sym_connection_attempts_token1] = ACTIONS(1860),
    [aux_sym_connect_timeout_token1] = ACTIONS(1860),
    [aux_sym_control_master_token1] = ACTIONS(1860),
    [aux_sym_control_path_token1] = ACTIONS(1860),
    [aux_sym_control_persist_token1] = ACTIONS(1860),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1860),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1860),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1860),
    [aux_sym_escape_char_token1] = ACTIONS(1860),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1860),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1860),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1860),
    [aux_sym_forward_agent_token1] = ACTIONS(1860),
    [aux_sym_forward_x11_token1] = ACTIONS(1862),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1860),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1860),
    [aux_sym_gateway_ports_token1] = ACTIONS(1860),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1860),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1860),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1860),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1860),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1860),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1860),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1860),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1860),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1860),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1860),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1860),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1860),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1860),
    [aux_sym_host_key_alias_token1] = ACTIONS(1860),
    [aux_sym_hostname_token1] = ACTIONS(1860),
    [aux_sym_identities_only_token1] = ACTIONS(1860),
    [aux_sym_identity_agent_token1] = ACTIONS(1860),
    [aux_sym_identity_file_token1] = ACTIONS(1860),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1860),
    [aux_sym_include_token1] = ACTIONS(1860),
    [aux_sym_ip_qos_token1] = ACTIONS(1860),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1860),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1860),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1860),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1860),
    [aux_sym_local_command_token1] = ACTIONS(1860),
    [aux_sym_local_forward_token1] = ACTIONS(1860),
    [aux_sym_log_level_token1] = ACTIONS(1860),
    [aux_sym_log_verbose_token1] = ACTIONS(1860),
    [aux_sym_macs_token1] = ACTIONS(1860),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1860),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1860),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1860),
    [aux_sym_password_authentication_token1] = ACTIONS(1860),
    [aux_sym_permit_local_command_token1] = ACTIONS(1860),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1860),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1860),
    [aux_sym_port_token1] = ACTIONS(1860),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1860),
    [aux_sym_protocol_token1] = ACTIONS(1860),
    [aux_sym_proxy_command_token1] = ACTIONS(1860),
    [aux_sym_proxy_jump_token1] = ACTIONS(1860),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1860),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1860),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1860),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1860),
    [aux_sym_rekey_limit_token1] = ACTIONS(1860),
    [aux_sym_remote_command_token1] = ACTIONS(1860),
    [aux_sym_remote_forward_token1] = ACTIONS(1860),
    [aux_sym_request_tty_token1] = ACTIONS(1860),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1860),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1860),
    [aux_sym_security_key_provider_token1] = ACTIONS(1860),
    [aux_sym_send_env_token1] = ACTIONS(1860),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1860),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1860),
    [aux_sym_session_type_token1] = ACTIONS(1860),
    [aux_sym_set_env_token1] = ACTIONS(1860),
    [aux_sym_stdin_null_token1] = ACTIONS(1860),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1860),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1860),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1860),
    [aux_sym_syslog_facility_token1] = ACTIONS(1860),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1860),
    [aux_sym_keep_alive_token1] = ACTIONS(1860),
    [aux_sym_tag_token1] = ACTIONS(1860),
    [aux_sym_tunnel_token1] = ACTIONS(1862),
    [aux_sym_tunnel_device_token1] = ACTIONS(1860),
    [aux_sym_update_host_keys_token1] = ACTIONS(1860),
    [aux_sym_use_keychain_token1] = ACTIONS(1860),
    [aux_sym_use_roaming_token1] = ACTIONS(1860),
    [aux_sym_user_token1] = ACTIONS(1862),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1860),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1860),
    [aux_sym_version_addendum_token1] = ACTIONS(1860),
    [aux_sym_visual_host_key_token1] = ACTIONS(1860),
    [aux_sym_xauth_location_token1] = ACTIONS(1860),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(1866),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1868),
    [anon_sym_DQUOTE] = ACTIONS(1870),
    [aux_sym_match_token1] = ACTIONS(1866),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1866),
    [aux_sym_address_family_token1] = ACTIONS(1866),
    [aux_sym_batch_mode_token1] = ACTIONS(1866),
    [aux_sym_bind_address_token1] = ACTIONS(1866),
    [aux_sym_bind_interface_token1] = ACTIONS(1866),
    [aux_sym_canonical_domains_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1866),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1866),
    [aux_sym_certificate_file_token1] = ACTIONS(1866),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1866),
    [aux_sym_channel_timeout_token1] = ACTIONS(1866),
    [aux_sym_check_host_ip_token1] = ACTIONS(1866),
    [aux_sym_ciphers_token1] = ACTIONS(1866),
    [aux_sym_cipher_token1] = ACTIONS(1868),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1866),
    [aux_sym_compression_token1] = ACTIONS(1866),
    [aux_sym_connection_attempts_token1] = ACTIONS(1866),
    [aux_sym_connect_timeout_token1] = ACTIONS(1866),
    [aux_sym_control_master_token1] = ACTIONS(1866),
    [aux_sym_control_path_token1] = ACTIONS(1866),
    [aux_sym_control_persist_token1] = ACTIONS(1866),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1866),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1866),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1866),
    [aux_sym_escape_char_token1] = ACTIONS(1866),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1866),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1866),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1866),
    [aux_sym_forward_agent_token1] = ACTIONS(1866),
    [aux_sym_forward_x11_token1] = ACTIONS(1868),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1866),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1866),
    [aux_sym_gateway_ports_token1] = ACTIONS(1866),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1866),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1866),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1866),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1866),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1866),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1866),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1866),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1866),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1866),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1866),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1866),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1866),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1866),
    [aux_sym_host_key_alias_token1] = ACTIONS(1866),
    [aux_sym_hostname_token1] = ACTIONS(1866),
    [aux_sym_identities_only_token1] = ACTIONS(1866),
    [aux_sym_identity_agent_token1] = ACTIONS(1866),
    [aux_sym_identity_file_token1] = ACTIONS(1866),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1866),
    [aux_sym_include_token1] = ACTIONS(1866),
    [aux_sym_ip_qos_token1] = ACTIONS(1866),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1866),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1866),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1866),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1866),
    [aux_sym_local_command_token1] = ACTIONS(1866),
    [aux_sym_local_forward_token1] = ACTIONS(1866),
    [aux_sym_log_level_token1] = ACTIONS(1866),
    [aux_sym_log_verbose_token1] = ACTIONS(1866),
    [aux_sym_macs_token1] = ACTIONS(1866),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1866),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1866),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1866),
    [aux_sym_password_authentication_token1] = ACTIONS(1866),
    [aux_sym_permit_local_command_token1] = ACTIONS(1866),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1866),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1866),
    [aux_sym_port_token1] = ACTIONS(1866),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1866),
    [aux_sym_protocol_token1] = ACTIONS(1866),
    [aux_sym_proxy_command_token1] = ACTIONS(1866),
    [aux_sym_proxy_jump_token1] = ACTIONS(1866),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1866),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1866),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1866),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1866),
    [aux_sym_rekey_limit_token1] = ACTIONS(1866),
    [aux_sym_remote_command_token1] = ACTIONS(1866),
    [aux_sym_remote_forward_token1] = ACTIONS(1866),
    [aux_sym_request_tty_token1] = ACTIONS(1866),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1866),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1866),
    [aux_sym_security_key_provider_token1] = ACTIONS(1866),
    [aux_sym_send_env_token1] = ACTIONS(1866),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1866),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1866),
    [aux_sym_session_type_token1] = ACTIONS(1866),
    [aux_sym_set_env_token1] = ACTIONS(1866),
    [aux_sym_stdin_null_token1] = ACTIONS(1866),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1866),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1866),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1866),
    [aux_sym_syslog_facility_token1] = ACTIONS(1866),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1866),
    [aux_sym_keep_alive_token1] = ACTIONS(1866),
    [aux_sym_tag_token1] = ACTIONS(1866),
    [aux_sym_tunnel_token1] = ACTIONS(1868),
    [aux_sym_tunnel_device_token1] = ACTIONS(1866),
    [aux_sym_update_host_keys_token1] = ACTIONS(1866),
    [aux_sym_use_keychain_token1] = ACTIONS(1866),
    [aux_sym_use_roaming_token1] = ACTIONS(1866),
    [aux_sym_user_token1] = ACTIONS(1868),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1866),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1866),
    [aux_sym_version_addendum_token1] = ACTIONS(1866),
    [aux_sym_visual_host_key_token1] = ACTIONS(1866),
    [aux_sym_xauth_location_token1] = ACTIONS(1866),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1874),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [aux_sym_match_token1] = ACTIONS(1872),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1872),
    [aux_sym_address_family_token1] = ACTIONS(1872),
    [aux_sym_batch_mode_token1] = ACTIONS(1872),
    [aux_sym_bind_address_token1] = ACTIONS(1872),
    [aux_sym_bind_interface_token1] = ACTIONS(1872),
    [aux_sym_canonical_domains_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1872),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1872),
    [aux_sym_certificate_file_token1] = ACTIONS(1872),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1872),
    [aux_sym_channel_timeout_token1] = ACTIONS(1872),
    [aux_sym_check_host_ip_token1] = ACTIONS(1872),
    [aux_sym_ciphers_token1] = ACTIONS(1872),
    [aux_sym_cipher_token1] = ACTIONS(1874),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1872),
    [aux_sym_compression_token1] = ACTIONS(1872),
    [aux_sym_connection_attempts_token1] = ACTIONS(1872),
    [aux_sym_connect_timeout_token1] = ACTIONS(1872),
    [aux_sym_control_master_token1] = ACTIONS(1872),
    [aux_sym_control_path_token1] = ACTIONS(1872),
    [aux_sym_control_persist_token1] = ACTIONS(1872),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1872),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1872),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1872),
    [aux_sym_escape_char_token1] = ACTIONS(1872),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1872),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1872),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1872),
    [aux_sym_forward_agent_token1] = ACTIONS(1872),
    [aux_sym_forward_x11_token1] = ACTIONS(1874),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1872),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1872),
    [aux_sym_gateway_ports_token1] = ACTIONS(1872),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1872),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1872),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1872),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1872),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1872),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1872),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1872),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1872),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1872),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1872),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1872),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1872),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1872),
    [aux_sym_host_key_alias_token1] = ACTIONS(1872),
    [aux_sym_hostname_token1] = ACTIONS(1872),
    [aux_sym_identities_only_token1] = ACTIONS(1872),
    [aux_sym_identity_agent_token1] = ACTIONS(1872),
    [aux_sym_identity_file_token1] = ACTIONS(1872),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1872),
    [aux_sym_include_token1] = ACTIONS(1872),
    [aux_sym_ip_qos_token1] = ACTIONS(1872),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1872),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1872),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1872),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1872),
    [aux_sym_local_command_token1] = ACTIONS(1872),
    [aux_sym_local_forward_token1] = ACTIONS(1872),
    [aux_sym_log_level_token1] = ACTIONS(1872),
    [aux_sym_log_verbose_token1] = ACTIONS(1872),
    [aux_sym_macs_token1] = ACTIONS(1872),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1872),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1872),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1872),
    [aux_sym_password_authentication_token1] = ACTIONS(1872),
    [aux_sym_permit_local_command_token1] = ACTIONS(1872),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1872),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1872),
    [aux_sym_port_token1] = ACTIONS(1872),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1872),
    [aux_sym_protocol_token1] = ACTIONS(1872),
    [aux_sym_proxy_command_token1] = ACTIONS(1872),
    [aux_sym_proxy_jump_token1] = ACTIONS(1872),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1872),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1872),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1872),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1872),
    [aux_sym_rekey_limit_token1] = ACTIONS(1872),
    [aux_sym_remote_command_token1] = ACTIONS(1872),
    [aux_sym_remote_forward_token1] = ACTIONS(1872),
    [aux_sym_request_tty_token1] = ACTIONS(1872),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1872),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1872),
    [aux_sym_security_key_provider_token1] = ACTIONS(1872),
    [aux_sym_send_env_token1] = ACTIONS(1872),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1872),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1872),
    [aux_sym_session_type_token1] = ACTIONS(1872),
    [aux_sym_set_env_token1] = ACTIONS(1872),
    [aux_sym_stdin_null_token1] = ACTIONS(1872),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1872),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1872),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1872),
    [aux_sym_syslog_facility_token1] = ACTIONS(1872),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1872),
    [aux_sym_keep_alive_token1] = ACTIONS(1872),
    [aux_sym_tag_token1] = ACTIONS(1872),
    [aux_sym_tunnel_token1] = ACTIONS(1874),
    [aux_sym_tunnel_device_token1] = ACTIONS(1872),
    [aux_sym_update_host_keys_token1] = ACTIONS(1872),
    [aux_sym_use_keychain_token1] = ACTIONS(1872),
    [aux_sym_use_roaming_token1] = ACTIONS(1872),
    [aux_sym_user_token1] = ACTIONS(1874),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1872),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1872),
    [aux_sym_version_addendum_token1] = ACTIONS(1872),
    [aux_sym_visual_host_key_token1] = ACTIONS(1872),
    [aux_sym_xauth_location_token1] = ACTIONS(1872),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1882),
    [aux_sym_match_token1] = ACTIONS(1878),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1878),
    [aux_sym_address_family_token1] = ACTIONS(1878),
    [aux_sym_batch_mode_token1] = ACTIONS(1878),
    [aux_sym_bind_address_token1] = ACTIONS(1878),
    [aux_sym_bind_interface_token1] = ACTIONS(1878),
    [aux_sym_canonical_domains_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1878),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1878),
    [aux_sym_certificate_file_token1] = ACTIONS(1878),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1878),
    [aux_sym_channel_timeout_token1] = ACTIONS(1878),
    [aux_sym_check_host_ip_token1] = ACTIONS(1878),
    [aux_sym_ciphers_token1] = ACTIONS(1878),
    [aux_sym_cipher_token1] = ACTIONS(1880),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1878),
    [aux_sym_compression_token1] = ACTIONS(1878),
    [aux_sym_connection_attempts_token1] = ACTIONS(1878),
    [aux_sym_connect_timeout_token1] = ACTIONS(1878),
    [aux_sym_control_master_token1] = ACTIONS(1878),
    [aux_sym_control_path_token1] = ACTIONS(1878),
    [aux_sym_control_persist_token1] = ACTIONS(1878),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1878),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1878),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1878),
    [aux_sym_escape_char_token1] = ACTIONS(1878),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1878),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1878),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1878),
    [aux_sym_forward_agent_token1] = ACTIONS(1878),
    [aux_sym_forward_x11_token1] = ACTIONS(1880),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1878),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1878),
    [aux_sym_gateway_ports_token1] = ACTIONS(1878),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1878),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1878),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1878),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1878),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1878),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1878),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1878),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1878),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1878),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1878),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1878),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1878),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1878),
    [aux_sym_host_key_alias_token1] = ACTIONS(1878),
    [aux_sym_hostname_token1] = ACTIONS(1878),
    [aux_sym_identities_only_token1] = ACTIONS(1878),
    [aux_sym_identity_agent_token1] = ACTIONS(1878),
    [aux_sym_identity_file_token1] = ACTIONS(1878),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1878),
    [aux_sym_include_token1] = ACTIONS(1878),
    [aux_sym_ip_qos_token1] = ACTIONS(1878),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1878),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1878),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1878),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1878),
    [aux_sym_local_command_token1] = ACTIONS(1878),
    [aux_sym_local_forward_token1] = ACTIONS(1878),
    [aux_sym_log_level_token1] = ACTIONS(1878),
    [aux_sym_log_verbose_token1] = ACTIONS(1878),
    [aux_sym_macs_token1] = ACTIONS(1878),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1878),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1878),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1878),
    [aux_sym_password_authentication_token1] = ACTIONS(1878),
    [aux_sym_permit_local_command_token1] = ACTIONS(1878),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1878),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1878),
    [aux_sym_port_token1] = ACTIONS(1878),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1878),
    [aux_sym_protocol_token1] = ACTIONS(1878),
    [aux_sym_proxy_command_token1] = ACTIONS(1878),
    [aux_sym_proxy_jump_token1] = ACTIONS(1878),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1878),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1878),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1878),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1878),
    [aux_sym_rekey_limit_token1] = ACTIONS(1878),
    [aux_sym_remote_command_token1] = ACTIONS(1878),
    [aux_sym_remote_forward_token1] = ACTIONS(1878),
    [aux_sym_request_tty_token1] = ACTIONS(1878),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1878),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1878),
    [aux_sym_security_key_provider_token1] = ACTIONS(1878),
    [aux_sym_send_env_token1] = ACTIONS(1878),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1878),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1878),
    [aux_sym_session_type_token1] = ACTIONS(1878),
    [aux_sym_set_env_token1] = ACTIONS(1878),
    [aux_sym_stdin_null_token1] = ACTIONS(1878),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1878),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1878),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1878),
    [aux_sym_syslog_facility_token1] = ACTIONS(1878),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1878),
    [aux_sym_keep_alive_token1] = ACTIONS(1878),
    [aux_sym_tag_token1] = ACTIONS(1878),
    [aux_sym_tunnel_token1] = ACTIONS(1880),
    [aux_sym_tunnel_device_token1] = ACTIONS(1878),
    [aux_sym_update_host_keys_token1] = ACTIONS(1878),
    [aux_sym_use_keychain_token1] = ACTIONS(1878),
    [aux_sym_use_roaming_token1] = ACTIONS(1878),
    [aux_sym_user_token1] = ACTIONS(1880),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1878),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1878),
    [aux_sym_version_addendum_token1] = ACTIONS(1878),
    [aux_sym_visual_host_key_token1] = ACTIONS(1878),
    [aux_sym_xauth_location_token1] = ACTIONS(1878),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1886),
    [anon_sym_DQUOTE] = ACTIONS(1888),
    [aux_sym_match_token1] = ACTIONS(1884),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1884),
    [aux_sym_address_family_token1] = ACTIONS(1884),
    [aux_sym_batch_mode_token1] = ACTIONS(1884),
    [aux_sym_bind_address_token1] = ACTIONS(1884),
    [aux_sym_bind_interface_token1] = ACTIONS(1884),
    [aux_sym_canonical_domains_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1884),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1884),
    [aux_sym_certificate_file_token1] = ACTIONS(1884),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1884),
    [aux_sym_channel_timeout_token1] = ACTIONS(1884),
    [aux_sym_check_host_ip_token1] = ACTIONS(1884),
    [aux_sym_ciphers_token1] = ACTIONS(1884),
    [aux_sym_cipher_token1] = ACTIONS(1886),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1884),
    [aux_sym_compression_token1] = ACTIONS(1884),
    [aux_sym_connection_attempts_token1] = ACTIONS(1884),
    [aux_sym_connect_timeout_token1] = ACTIONS(1884),
    [aux_sym_control_master_token1] = ACTIONS(1884),
    [aux_sym_control_path_token1] = ACTIONS(1884),
    [aux_sym_control_persist_token1] = ACTIONS(1884),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1884),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1884),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1884),
    [aux_sym_escape_char_token1] = ACTIONS(1884),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1884),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1884),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1884),
    [aux_sym_forward_agent_token1] = ACTIONS(1884),
    [aux_sym_forward_x11_token1] = ACTIONS(1886),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1884),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1884),
    [aux_sym_gateway_ports_token1] = ACTIONS(1884),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1884),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1884),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1884),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1884),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1884),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1884),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1884),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1884),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1884),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1884),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1884),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1884),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1884),
    [aux_sym_host_key_alias_token1] = ACTIONS(1884),
    [aux_sym_hostname_token1] = ACTIONS(1884),
    [aux_sym_identities_only_token1] = ACTIONS(1884),
    [aux_sym_identity_agent_token1] = ACTIONS(1884),
    [aux_sym_identity_file_token1] = ACTIONS(1884),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1884),
    [aux_sym_include_token1] = ACTIONS(1884),
    [aux_sym_ip_qos_token1] = ACTIONS(1884),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1884),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1884),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1884),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1884),
    [aux_sym_local_command_token1] = ACTIONS(1884),
    [aux_sym_local_forward_token1] = ACTIONS(1884),
    [aux_sym_log_level_token1] = ACTIONS(1884),
    [aux_sym_log_verbose_token1] = ACTIONS(1884),
    [aux_sym_macs_token1] = ACTIONS(1884),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1884),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1884),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1884),
    [aux_sym_password_authentication_token1] = ACTIONS(1884),
    [aux_sym_permit_local_command_token1] = ACTIONS(1884),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1884),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1884),
    [aux_sym_port_token1] = ACTIONS(1884),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1884),
    [aux_sym_protocol_token1] = ACTIONS(1884),
    [aux_sym_proxy_command_token1] = ACTIONS(1884),
    [aux_sym_proxy_jump_token1] = ACTIONS(1884),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1884),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1884),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1884),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1884),
    [aux_sym_rekey_limit_token1] = ACTIONS(1884),
    [aux_sym_remote_command_token1] = ACTIONS(1884),
    [aux_sym_remote_forward_token1] = ACTIONS(1884),
    [aux_sym_request_tty_token1] = ACTIONS(1884),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1884),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1884),
    [aux_sym_security_key_provider_token1] = ACTIONS(1884),
    [aux_sym_send_env_token1] = ACTIONS(1884),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1884),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1884),
    [aux_sym_session_type_token1] = ACTIONS(1884),
    [aux_sym_set_env_token1] = ACTIONS(1884),
    [aux_sym_stdin_null_token1] = ACTIONS(1884),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1884),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1884),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1884),
    [aux_sym_syslog_facility_token1] = ACTIONS(1884),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1884),
    [aux_sym_keep_alive_token1] = ACTIONS(1884),
    [aux_sym_tag_token1] = ACTIONS(1884),
    [aux_sym_tunnel_token1] = ACTIONS(1886),
    [aux_sym_tunnel_device_token1] = ACTIONS(1884),
    [aux_sym_update_host_keys_token1] = ACTIONS(1884),
    [aux_sym_use_keychain_token1] = ACTIONS(1884),
    [aux_sym_use_roaming_token1] = ACTIONS(1884),
    [aux_sym_user_token1] = ACTIONS(1886),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1884),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1884),
    [aux_sym_version_addendum_token1] = ACTIONS(1884),
    [aux_sym_visual_host_key_token1] = ACTIONS(1884),
    [aux_sym_xauth_location_token1] = ACTIONS(1884),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(1890),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1894),
    [aux_sym_match_token1] = ACTIONS(1890),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1890),
    [aux_sym_address_family_token1] = ACTIONS(1890),
    [aux_sym_batch_mode_token1] = ACTIONS(1890),
    [aux_sym_bind_address_token1] = ACTIONS(1890),
    [aux_sym_bind_interface_token1] = ACTIONS(1890),
    [aux_sym_canonical_domains_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1890),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1890),
    [aux_sym_certificate_file_token1] = ACTIONS(1890),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1890),
    [aux_sym_channel_timeout_token1] = ACTIONS(1890),
    [aux_sym_check_host_ip_token1] = ACTIONS(1890),
    [aux_sym_ciphers_token1] = ACTIONS(1890),
    [aux_sym_cipher_token1] = ACTIONS(1892),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1890),
    [aux_sym_compression_token1] = ACTIONS(1890),
    [aux_sym_connection_attempts_token1] = ACTIONS(1890),
    [aux_sym_connect_timeout_token1] = ACTIONS(1890),
    [aux_sym_control_master_token1] = ACTIONS(1890),
    [aux_sym_control_path_token1] = ACTIONS(1890),
    [aux_sym_control_persist_token1] = ACTIONS(1890),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1890),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1890),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1890),
    [aux_sym_escape_char_token1] = ACTIONS(1890),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1890),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1890),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1890),
    [aux_sym_forward_agent_token1] = ACTIONS(1890),
    [aux_sym_forward_x11_token1] = ACTIONS(1892),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1890),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1890),
    [aux_sym_gateway_ports_token1] = ACTIONS(1890),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1890),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1890),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1890),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1890),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1890),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1890),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1890),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1890),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1890),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1890),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1890),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1890),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1890),
    [aux_sym_host_key_alias_token1] = ACTIONS(1890),
    [aux_sym_hostname_token1] = ACTIONS(1890),
    [aux_sym_identities_only_token1] = ACTIONS(1890),
    [aux_sym_identity_agent_token1] = ACTIONS(1890),
    [aux_sym_identity_file_token1] = ACTIONS(1890),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1890),
    [aux_sym_include_token1] = ACTIONS(1890),
    [aux_sym_ip_qos_token1] = ACTIONS(1890),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1890),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1890),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1890),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1890),
    [aux_sym_local_command_token1] = ACTIONS(1890),
    [aux_sym_local_forward_token1] = ACTIONS(1890),
    [aux_sym_log_level_token1] = ACTIONS(1890),
    [aux_sym_log_verbose_token1] = ACTIONS(1890),
    [aux_sym_macs_token1] = ACTIONS(1890),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1890),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1890),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1890),
    [aux_sym_password_authentication_token1] = ACTIONS(1890),
    [aux_sym_permit_local_command_token1] = ACTIONS(1890),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1890),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1890),
    [aux_sym_port_token1] = ACTIONS(1890),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1890),
    [aux_sym_protocol_token1] = ACTIONS(1890),
    [aux_sym_proxy_command_token1] = ACTIONS(1890),
    [aux_sym_proxy_jump_token1] = ACTIONS(1890),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1890),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1890),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1890),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1890),
    [aux_sym_rekey_limit_token1] = ACTIONS(1890),
    [aux_sym_remote_command_token1] = ACTIONS(1890),
    [aux_sym_remote_forward_token1] = ACTIONS(1890),
    [aux_sym_request_tty_token1] = ACTIONS(1890),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1890),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1890),
    [aux_sym_security_key_provider_token1] = ACTIONS(1890),
    [aux_sym_send_env_token1] = ACTIONS(1890),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1890),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1890),
    [aux_sym_session_type_token1] = ACTIONS(1890),
    [aux_sym_set_env_token1] = ACTIONS(1890),
    [aux_sym_stdin_null_token1] = ACTIONS(1890),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1890),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1890),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1890),
    [aux_sym_syslog_facility_token1] = ACTIONS(1890),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1890),
    [aux_sym_keep_alive_token1] = ACTIONS(1890),
    [aux_sym_tag_token1] = ACTIONS(1890),
    [aux_sym_tunnel_token1] = ACTIONS(1892),
    [aux_sym_tunnel_device_token1] = ACTIONS(1890),
    [aux_sym_update_host_keys_token1] = ACTIONS(1890),
    [aux_sym_use_keychain_token1] = ACTIONS(1890),
    [aux_sym_use_roaming_token1] = ACTIONS(1890),
    [aux_sym_user_token1] = ACTIONS(1892),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1890),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1890),
    [aux_sym_version_addendum_token1] = ACTIONS(1890),
    [aux_sym_visual_host_key_token1] = ACTIONS(1890),
    [aux_sym_xauth_location_token1] = ACTIONS(1890),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [aux_sym_match_token1] = ACTIONS(1896),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1896),
    [aux_sym_address_family_token1] = ACTIONS(1896),
    [aux_sym_batch_mode_token1] = ACTIONS(1896),
    [aux_sym_bind_address_token1] = ACTIONS(1896),
    [aux_sym_bind_interface_token1] = ACTIONS(1896),
    [aux_sym_canonical_domains_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1896),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1896),
    [aux_sym_certificate_file_token1] = ACTIONS(1896),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1896),
    [aux_sym_channel_timeout_token1] = ACTIONS(1896),
    [aux_sym_check_host_ip_token1] = ACTIONS(1896),
    [aux_sym_ciphers_token1] = ACTIONS(1896),
    [aux_sym_cipher_token1] = ACTIONS(1898),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1896),
    [aux_sym_compression_token1] = ACTIONS(1896),
    [aux_sym_connection_attempts_token1] = ACTIONS(1896),
    [aux_sym_connect_timeout_token1] = ACTIONS(1896),
    [aux_sym_control_master_token1] = ACTIONS(1896),
    [aux_sym_control_path_token1] = ACTIONS(1896),
    [aux_sym_control_persist_token1] = ACTIONS(1896),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1896),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1896),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1896),
    [aux_sym_escape_char_token1] = ACTIONS(1896),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1896),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1896),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1896),
    [aux_sym_forward_agent_token1] = ACTIONS(1896),
    [aux_sym_forward_x11_token1] = ACTIONS(1898),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1896),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1896),
    [aux_sym_gateway_ports_token1] = ACTIONS(1896),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1896),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1896),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1896),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1896),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1896),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1896),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1896),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1896),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1896),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1896),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1896),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1896),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1896),
    [aux_sym_host_key_alias_token1] = ACTIONS(1896),
    [aux_sym_hostname_token1] = ACTIONS(1896),
    [aux_sym_identities_only_token1] = ACTIONS(1896),
    [aux_sym_identity_agent_token1] = ACTIONS(1896),
    [aux_sym_identity_file_token1] = ACTIONS(1896),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1896),
    [aux_sym_include_token1] = ACTIONS(1896),
    [aux_sym_ip_qos_token1] = ACTIONS(1896),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1896),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1896),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1896),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1896),
    [aux_sym_local_command_token1] = ACTIONS(1896),
    [aux_sym_local_forward_token1] = ACTIONS(1896),
    [aux_sym_log_level_token1] = ACTIONS(1896),
    [aux_sym_log_verbose_token1] = ACTIONS(1896),
    [aux_sym_macs_token1] = ACTIONS(1896),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1896),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1896),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1896),
    [aux_sym_password_authentication_token1] = ACTIONS(1896),
    [aux_sym_permit_local_command_token1] = ACTIONS(1896),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1896),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1896),
    [aux_sym_port_token1] = ACTIONS(1896),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1896),
    [aux_sym_protocol_token1] = ACTIONS(1896),
    [aux_sym_proxy_command_token1] = ACTIONS(1896),
    [aux_sym_proxy_jump_token1] = ACTIONS(1896),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1896),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1896),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1896),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1896),
    [aux_sym_rekey_limit_token1] = ACTIONS(1896),
    [aux_sym_remote_command_token1] = ACTIONS(1896),
    [aux_sym_remote_forward_token1] = ACTIONS(1896),
    [aux_sym_request_tty_token1] = ACTIONS(1896),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1896),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1896),
    [aux_sym_security_key_provider_token1] = ACTIONS(1896),
    [aux_sym_send_env_token1] = ACTIONS(1896),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1896),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1896),
    [aux_sym_session_type_token1] = ACTIONS(1896),
    [aux_sym_set_env_token1] = ACTIONS(1896),
    [aux_sym_stdin_null_token1] = ACTIONS(1896),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1896),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1896),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1896),
    [aux_sym_syslog_facility_token1] = ACTIONS(1896),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1896),
    [aux_sym_keep_alive_token1] = ACTIONS(1896),
    [aux_sym_tag_token1] = ACTIONS(1896),
    [aux_sym_tunnel_token1] = ACTIONS(1898),
    [aux_sym_tunnel_device_token1] = ACTIONS(1896),
    [aux_sym_update_host_keys_token1] = ACTIONS(1896),
    [aux_sym_use_keychain_token1] = ACTIONS(1896),
    [aux_sym_use_roaming_token1] = ACTIONS(1896),
    [aux_sym_user_token1] = ACTIONS(1898),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1896),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1896),
    [aux_sym_version_addendum_token1] = ACTIONS(1896),
    [aux_sym_visual_host_key_token1] = ACTIONS(1896),
    [aux_sym_xauth_location_token1] = ACTIONS(1896),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1904),
    [anon_sym_DQUOTE] = ACTIONS(1906),
    [aux_sym_match_token1] = ACTIONS(1902),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1902),
    [aux_sym_address_family_token1] = ACTIONS(1902),
    [aux_sym_batch_mode_token1] = ACTIONS(1902),
    [aux_sym_bind_address_token1] = ACTIONS(1902),
    [aux_sym_bind_interface_token1] = ACTIONS(1902),
    [aux_sym_canonical_domains_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1902),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1902),
    [aux_sym_certificate_file_token1] = ACTIONS(1902),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1902),
    [aux_sym_channel_timeout_token1] = ACTIONS(1902),
    [aux_sym_check_host_ip_token1] = ACTIONS(1902),
    [aux_sym_ciphers_token1] = ACTIONS(1902),
    [aux_sym_cipher_token1] = ACTIONS(1904),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1902),
    [aux_sym_compression_token1] = ACTIONS(1902),
    [aux_sym_connection_attempts_token1] = ACTIONS(1902),
    [aux_sym_connect_timeout_token1] = ACTIONS(1902),
    [aux_sym_control_master_token1] = ACTIONS(1902),
    [aux_sym_control_path_token1] = ACTIONS(1902),
    [aux_sym_control_persist_token1] = ACTIONS(1902),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1902),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1902),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1902),
    [aux_sym_escape_char_token1] = ACTIONS(1902),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1902),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1902),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1902),
    [aux_sym_forward_agent_token1] = ACTIONS(1902),
    [aux_sym_forward_x11_token1] = ACTIONS(1904),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1902),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1902),
    [aux_sym_gateway_ports_token1] = ACTIONS(1902),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1902),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1902),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1902),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1902),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1902),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1902),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1902),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1902),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1902),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1902),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1902),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1902),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1902),
    [aux_sym_host_key_alias_token1] = ACTIONS(1902),
    [aux_sym_hostname_token1] = ACTIONS(1902),
    [aux_sym_identities_only_token1] = ACTIONS(1902),
    [aux_sym_identity_agent_token1] = ACTIONS(1902),
    [aux_sym_identity_file_token1] = ACTIONS(1902),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1902),
    [aux_sym_include_token1] = ACTIONS(1902),
    [aux_sym_ip_qos_token1] = ACTIONS(1902),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1902),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1902),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1902),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1902),
    [aux_sym_local_command_token1] = ACTIONS(1902),
    [aux_sym_local_forward_token1] = ACTIONS(1902),
    [aux_sym_log_level_token1] = ACTIONS(1902),
    [aux_sym_log_verbose_token1] = ACTIONS(1902),
    [aux_sym_macs_token1] = ACTIONS(1902),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1902),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1902),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1902),
    [aux_sym_password_authentication_token1] = ACTIONS(1902),
    [aux_sym_permit_local_command_token1] = ACTIONS(1902),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1902),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1902),
    [aux_sym_port_token1] = ACTIONS(1902),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1902),
    [aux_sym_protocol_token1] = ACTIONS(1902),
    [aux_sym_proxy_command_token1] = ACTIONS(1902),
    [aux_sym_proxy_jump_token1] = ACTIONS(1902),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1902),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1902),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1902),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1902),
    [aux_sym_rekey_limit_token1] = ACTIONS(1902),
    [aux_sym_remote_command_token1] = ACTIONS(1902),
    [aux_sym_remote_forward_token1] = ACTIONS(1902),
    [aux_sym_request_tty_token1] = ACTIONS(1902),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1902),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1902),
    [aux_sym_security_key_provider_token1] = ACTIONS(1902),
    [aux_sym_send_env_token1] = ACTIONS(1902),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1902),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1902),
    [aux_sym_session_type_token1] = ACTIONS(1902),
    [aux_sym_set_env_token1] = ACTIONS(1902),
    [aux_sym_stdin_null_token1] = ACTIONS(1902),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1902),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1902),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1902),
    [aux_sym_syslog_facility_token1] = ACTIONS(1902),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1902),
    [aux_sym_keep_alive_token1] = ACTIONS(1902),
    [aux_sym_tag_token1] = ACTIONS(1902),
    [aux_sym_tunnel_token1] = ACTIONS(1904),
    [aux_sym_tunnel_device_token1] = ACTIONS(1902),
    [aux_sym_update_host_keys_token1] = ACTIONS(1902),
    [aux_sym_use_keychain_token1] = ACTIONS(1902),
    [aux_sym_use_roaming_token1] = ACTIONS(1902),
    [aux_sym_user_token1] = ACTIONS(1904),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1902),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1902),
    [aux_sym_version_addendum_token1] = ACTIONS(1902),
    [aux_sym_visual_host_key_token1] = ACTIONS(1902),
    [aux_sym_xauth_location_token1] = ACTIONS(1902),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1910),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [aux_sym_match_token1] = ACTIONS(1908),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1908),
    [aux_sym_address_family_token1] = ACTIONS(1908),
    [aux_sym_batch_mode_token1] = ACTIONS(1908),
    [aux_sym_bind_address_token1] = ACTIONS(1908),
    [aux_sym_bind_interface_token1] = ACTIONS(1908),
    [aux_sym_canonical_domains_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1908),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1908),
    [aux_sym_certificate_file_token1] = ACTIONS(1908),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1908),
    [aux_sym_channel_timeout_token1] = ACTIONS(1908),
    [aux_sym_check_host_ip_token1] = ACTIONS(1908),
    [aux_sym_ciphers_token1] = ACTIONS(1908),
    [aux_sym_cipher_token1] = ACTIONS(1910),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1908),
    [aux_sym_compression_token1] = ACTIONS(1908),
    [aux_sym_connection_attempts_token1] = ACTIONS(1908),
    [aux_sym_connect_timeout_token1] = ACTIONS(1908),
    [aux_sym_control_master_token1] = ACTIONS(1908),
    [aux_sym_control_path_token1] = ACTIONS(1908),
    [aux_sym_control_persist_token1] = ACTIONS(1908),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1908),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1908),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1908),
    [aux_sym_escape_char_token1] = ACTIONS(1908),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1908),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1908),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1908),
    [aux_sym_forward_agent_token1] = ACTIONS(1908),
    [aux_sym_forward_x11_token1] = ACTIONS(1910),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1908),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1908),
    [aux_sym_gateway_ports_token1] = ACTIONS(1908),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1908),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1908),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1908),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1908),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1908),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1908),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1908),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1908),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1908),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1908),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1908),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1908),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1908),
    [aux_sym_host_key_alias_token1] = ACTIONS(1908),
    [aux_sym_hostname_token1] = ACTIONS(1908),
    [aux_sym_identities_only_token1] = ACTIONS(1908),
    [aux_sym_identity_agent_token1] = ACTIONS(1908),
    [aux_sym_identity_file_token1] = ACTIONS(1908),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1908),
    [aux_sym_include_token1] = ACTIONS(1908),
    [aux_sym_ip_qos_token1] = ACTIONS(1908),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1908),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1908),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1908),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1908),
    [aux_sym_local_command_token1] = ACTIONS(1908),
    [aux_sym_local_forward_token1] = ACTIONS(1908),
    [aux_sym_log_level_token1] = ACTIONS(1908),
    [aux_sym_log_verbose_token1] = ACTIONS(1908),
    [aux_sym_macs_token1] = ACTIONS(1908),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1908),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1908),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1908),
    [aux_sym_password_authentication_token1] = ACTIONS(1908),
    [aux_sym_permit_local_command_token1] = ACTIONS(1908),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1908),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1908),
    [aux_sym_port_token1] = ACTIONS(1908),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1908),
    [aux_sym_protocol_token1] = ACTIONS(1908),
    [aux_sym_proxy_command_token1] = ACTIONS(1908),
    [aux_sym_proxy_jump_token1] = ACTIONS(1908),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1908),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1908),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1908),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1908),
    [aux_sym_rekey_limit_token1] = ACTIONS(1908),
    [aux_sym_remote_command_token1] = ACTIONS(1908),
    [aux_sym_remote_forward_token1] = ACTIONS(1908),
    [aux_sym_request_tty_token1] = ACTIONS(1908),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1908),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1908),
    [aux_sym_security_key_provider_token1] = ACTIONS(1908),
    [aux_sym_send_env_token1] = ACTIONS(1908),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1908),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1908),
    [aux_sym_session_type_token1] = ACTIONS(1908),
    [aux_sym_set_env_token1] = ACTIONS(1908),
    [aux_sym_stdin_null_token1] = ACTIONS(1908),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1908),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1908),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1908),
    [aux_sym_syslog_facility_token1] = ACTIONS(1908),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1908),
    [aux_sym_keep_alive_token1] = ACTIONS(1908),
    [aux_sym_tag_token1] = ACTIONS(1908),
    [aux_sym_tunnel_token1] = ACTIONS(1910),
    [aux_sym_tunnel_device_token1] = ACTIONS(1908),
    [aux_sym_update_host_keys_token1] = ACTIONS(1908),
    [aux_sym_use_keychain_token1] = ACTIONS(1908),
    [aux_sym_use_roaming_token1] = ACTIONS(1908),
    [aux_sym_user_token1] = ACTIONS(1910),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1908),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1908),
    [aux_sym_version_addendum_token1] = ACTIONS(1908),
    [aux_sym_visual_host_key_token1] = ACTIONS(1908),
    [aux_sym_xauth_location_token1] = ACTIONS(1908),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(1914),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1916),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [aux_sym_match_token1] = ACTIONS(1914),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1914),
    [aux_sym_address_family_token1] = ACTIONS(1914),
    [aux_sym_batch_mode_token1] = ACTIONS(1914),
    [aux_sym_bind_address_token1] = ACTIONS(1914),
    [aux_sym_bind_interface_token1] = ACTIONS(1914),
    [aux_sym_canonical_domains_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1914),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1914),
    [aux_sym_certificate_file_token1] = ACTIONS(1914),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1914),
    [aux_sym_channel_timeout_token1] = ACTIONS(1914),
    [aux_sym_check_host_ip_token1] = ACTIONS(1914),
    [aux_sym_ciphers_token1] = ACTIONS(1914),
    [aux_sym_cipher_token1] = ACTIONS(1916),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1914),
    [aux_sym_compression_token1] = ACTIONS(1914),
    [aux_sym_connection_attempts_token1] = ACTIONS(1914),
    [aux_sym_connect_timeout_token1] = ACTIONS(1914),
    [aux_sym_control_master_token1] = ACTIONS(1914),
    [aux_sym_control_path_token1] = ACTIONS(1914),
    [aux_sym_control_persist_token1] = ACTIONS(1914),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1914),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1914),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1914),
    [aux_sym_escape_char_token1] = ACTIONS(1914),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1914),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1914),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1914),
    [aux_sym_forward_agent_token1] = ACTIONS(1914),
    [aux_sym_forward_x11_token1] = ACTIONS(1916),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1914),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1914),
    [aux_sym_gateway_ports_token1] = ACTIONS(1914),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1914),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1914),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1914),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1914),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1914),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1914),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1914),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1914),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1914),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1914),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1914),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1914),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1914),
    [aux_sym_host_key_alias_token1] = ACTIONS(1914),
    [aux_sym_hostname_token1] = ACTIONS(1914),
    [aux_sym_identities_only_token1] = ACTIONS(1914),
    [aux_sym_identity_agent_token1] = ACTIONS(1914),
    [aux_sym_identity_file_token1] = ACTIONS(1914),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1914),
    [aux_sym_include_token1] = ACTIONS(1914),
    [aux_sym_ip_qos_token1] = ACTIONS(1914),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1914),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1914),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1914),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1914),
    [aux_sym_local_command_token1] = ACTIONS(1914),
    [aux_sym_local_forward_token1] = ACTIONS(1914),
    [aux_sym_log_level_token1] = ACTIONS(1914),
    [aux_sym_log_verbose_token1] = ACTIONS(1914),
    [aux_sym_macs_token1] = ACTIONS(1914),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1914),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1914),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1914),
    [aux_sym_password_authentication_token1] = ACTIONS(1914),
    [aux_sym_permit_local_command_token1] = ACTIONS(1914),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1914),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1914),
    [aux_sym_port_token1] = ACTIONS(1914),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1914),
    [aux_sym_protocol_token1] = ACTIONS(1914),
    [aux_sym_proxy_command_token1] = ACTIONS(1914),
    [aux_sym_proxy_jump_token1] = ACTIONS(1914),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1914),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1914),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1914),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1914),
    [aux_sym_rekey_limit_token1] = ACTIONS(1914),
    [aux_sym_remote_command_token1] = ACTIONS(1914),
    [aux_sym_remote_forward_token1] = ACTIONS(1914),
    [aux_sym_request_tty_token1] = ACTIONS(1914),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1914),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1914),
    [aux_sym_security_key_provider_token1] = ACTIONS(1914),
    [aux_sym_send_env_token1] = ACTIONS(1914),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1914),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1914),
    [aux_sym_session_type_token1] = ACTIONS(1914),
    [aux_sym_set_env_token1] = ACTIONS(1914),
    [aux_sym_stdin_null_token1] = ACTIONS(1914),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1914),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1914),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1914),
    [aux_sym_syslog_facility_token1] = ACTIONS(1914),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1914),
    [aux_sym_keep_alive_token1] = ACTIONS(1914),
    [aux_sym_tag_token1] = ACTIONS(1914),
    [aux_sym_tunnel_token1] = ACTIONS(1916),
    [aux_sym_tunnel_device_token1] = ACTIONS(1914),
    [aux_sym_update_host_keys_token1] = ACTIONS(1914),
    [aux_sym_use_keychain_token1] = ACTIONS(1914),
    [aux_sym_use_roaming_token1] = ACTIONS(1914),
    [aux_sym_user_token1] = ACTIONS(1916),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1914),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1914),
    [aux_sym_version_addendum_token1] = ACTIONS(1914),
    [aux_sym_visual_host_key_token1] = ACTIONS(1914),
    [aux_sym_xauth_location_token1] = ACTIONS(1914),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1922),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [aux_sym_match_token1] = ACTIONS(1920),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1920),
    [aux_sym_address_family_token1] = ACTIONS(1920),
    [aux_sym_batch_mode_token1] = ACTIONS(1920),
    [aux_sym_bind_address_token1] = ACTIONS(1920),
    [aux_sym_bind_interface_token1] = ACTIONS(1920),
    [aux_sym_canonical_domains_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1920),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1920),
    [aux_sym_certificate_file_token1] = ACTIONS(1920),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1920),
    [aux_sym_channel_timeout_token1] = ACTIONS(1920),
    [aux_sym_check_host_ip_token1] = ACTIONS(1920),
    [aux_sym_ciphers_token1] = ACTIONS(1920),
    [aux_sym_cipher_token1] = ACTIONS(1922),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1920),
    [aux_sym_compression_token1] = ACTIONS(1920),
    [aux_sym_connection_attempts_token1] = ACTIONS(1920),
    [aux_sym_connect_timeout_token1] = ACTIONS(1920),
    [aux_sym_control_master_token1] = ACTIONS(1920),
    [aux_sym_control_path_token1] = ACTIONS(1920),
    [aux_sym_control_persist_token1] = ACTIONS(1920),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1920),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1920),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1920),
    [aux_sym_escape_char_token1] = ACTIONS(1920),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1920),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1920),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1920),
    [aux_sym_forward_agent_token1] = ACTIONS(1920),
    [aux_sym_forward_x11_token1] = ACTIONS(1922),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1920),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1920),
    [aux_sym_gateway_ports_token1] = ACTIONS(1920),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1920),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1920),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1920),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1920),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1920),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1920),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1920),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1920),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1920),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1920),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1920),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1920),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1920),
    [aux_sym_host_key_alias_token1] = ACTIONS(1920),
    [aux_sym_hostname_token1] = ACTIONS(1920),
    [aux_sym_identities_only_token1] = ACTIONS(1920),
    [aux_sym_identity_agent_token1] = ACTIONS(1920),
    [aux_sym_identity_file_token1] = ACTIONS(1920),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1920),
    [aux_sym_include_token1] = ACTIONS(1920),
    [aux_sym_ip_qos_token1] = ACTIONS(1920),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1920),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1920),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1920),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1920),
    [aux_sym_local_command_token1] = ACTIONS(1920),
    [aux_sym_local_forward_token1] = ACTIONS(1920),
    [aux_sym_log_level_token1] = ACTIONS(1920),
    [aux_sym_log_verbose_token1] = ACTIONS(1920),
    [aux_sym_macs_token1] = ACTIONS(1920),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1920),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1920),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1920),
    [aux_sym_password_authentication_token1] = ACTIONS(1920),
    [aux_sym_permit_local_command_token1] = ACTIONS(1920),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1920),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1920),
    [aux_sym_port_token1] = ACTIONS(1920),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1920),
    [aux_sym_protocol_token1] = ACTIONS(1920),
    [aux_sym_proxy_command_token1] = ACTIONS(1920),
    [aux_sym_proxy_jump_token1] = ACTIONS(1920),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1920),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1920),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1920),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1920),
    [aux_sym_rekey_limit_token1] = ACTIONS(1920),
    [aux_sym_remote_command_token1] = ACTIONS(1920),
    [aux_sym_remote_forward_token1] = ACTIONS(1920),
    [aux_sym_request_tty_token1] = ACTIONS(1920),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1920),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1920),
    [aux_sym_security_key_provider_token1] = ACTIONS(1920),
    [aux_sym_send_env_token1] = ACTIONS(1920),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1920),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1920),
    [aux_sym_session_type_token1] = ACTIONS(1920),
    [aux_sym_set_env_token1] = ACTIONS(1920),
    [aux_sym_stdin_null_token1] = ACTIONS(1920),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1920),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1920),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1920),
    [aux_sym_syslog_facility_token1] = ACTIONS(1920),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1920),
    [aux_sym_keep_alive_token1] = ACTIONS(1920),
    [aux_sym_tag_token1] = ACTIONS(1920),
    [aux_sym_tunnel_token1] = ACTIONS(1922),
    [aux_sym_tunnel_device_token1] = ACTIONS(1920),
    [aux_sym_update_host_keys_token1] = ACTIONS(1920),
    [aux_sym_use_keychain_token1] = ACTIONS(1920),
    [aux_sym_use_roaming_token1] = ACTIONS(1920),
    [aux_sym_user_token1] = ACTIONS(1922),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1920),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1920),
    [aux_sym_version_addendum_token1] = ACTIONS(1920),
    [aux_sym_visual_host_key_token1] = ACTIONS(1920),
    [aux_sym_xauth_location_token1] = ACTIONS(1920),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1928),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [aux_sym_match_token1] = ACTIONS(1926),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1926),
    [aux_sym_address_family_token1] = ACTIONS(1926),
    [aux_sym_batch_mode_token1] = ACTIONS(1926),
    [aux_sym_bind_address_token1] = ACTIONS(1926),
    [aux_sym_bind_interface_token1] = ACTIONS(1926),
    [aux_sym_canonical_domains_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1926),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1926),
    [aux_sym_certificate_file_token1] = ACTIONS(1926),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1926),
    [aux_sym_channel_timeout_token1] = ACTIONS(1926),
    [aux_sym_check_host_ip_token1] = ACTIONS(1926),
    [aux_sym_ciphers_token1] = ACTIONS(1926),
    [aux_sym_cipher_token1] = ACTIONS(1928),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1926),
    [aux_sym_compression_token1] = ACTIONS(1926),
    [aux_sym_connection_attempts_token1] = ACTIONS(1926),
    [aux_sym_connect_timeout_token1] = ACTIONS(1926),
    [aux_sym_control_master_token1] = ACTIONS(1926),
    [aux_sym_control_path_token1] = ACTIONS(1926),
    [aux_sym_control_persist_token1] = ACTIONS(1926),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1926),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1926),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1926),
    [aux_sym_escape_char_token1] = ACTIONS(1926),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1926),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1926),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1926),
    [aux_sym_forward_agent_token1] = ACTIONS(1926),
    [aux_sym_forward_x11_token1] = ACTIONS(1928),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1926),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1926),
    [aux_sym_gateway_ports_token1] = ACTIONS(1926),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1926),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1926),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1926),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1926),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1926),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1926),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1926),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1926),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1926),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1926),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1926),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1926),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1926),
    [aux_sym_host_key_alias_token1] = ACTIONS(1926),
    [aux_sym_hostname_token1] = ACTIONS(1926),
    [aux_sym_identities_only_token1] = ACTIONS(1926),
    [aux_sym_identity_agent_token1] = ACTIONS(1926),
    [aux_sym_identity_file_token1] = ACTIONS(1926),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1926),
    [aux_sym_include_token1] = ACTIONS(1926),
    [aux_sym_ip_qos_token1] = ACTIONS(1926),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1926),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1926),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1926),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1926),
    [aux_sym_local_command_token1] = ACTIONS(1926),
    [aux_sym_local_forward_token1] = ACTIONS(1926),
    [aux_sym_log_level_token1] = ACTIONS(1926),
    [aux_sym_log_verbose_token1] = ACTIONS(1926),
    [aux_sym_macs_token1] = ACTIONS(1926),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1926),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1926),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1926),
    [aux_sym_password_authentication_token1] = ACTIONS(1926),
    [aux_sym_permit_local_command_token1] = ACTIONS(1926),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1926),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1926),
    [aux_sym_port_token1] = ACTIONS(1926),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1926),
    [aux_sym_protocol_token1] = ACTIONS(1926),
    [aux_sym_proxy_command_token1] = ACTIONS(1926),
    [aux_sym_proxy_jump_token1] = ACTIONS(1926),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1926),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1926),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1926),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1926),
    [aux_sym_rekey_limit_token1] = ACTIONS(1926),
    [aux_sym_remote_command_token1] = ACTIONS(1926),
    [aux_sym_remote_forward_token1] = ACTIONS(1926),
    [aux_sym_request_tty_token1] = ACTIONS(1926),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1926),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1926),
    [aux_sym_security_key_provider_token1] = ACTIONS(1926),
    [aux_sym_send_env_token1] = ACTIONS(1926),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1926),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1926),
    [aux_sym_session_type_token1] = ACTIONS(1926),
    [aux_sym_set_env_token1] = ACTIONS(1926),
    [aux_sym_stdin_null_token1] = ACTIONS(1926),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1926),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1926),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1926),
    [aux_sym_syslog_facility_token1] = ACTIONS(1926),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1926),
    [aux_sym_keep_alive_token1] = ACTIONS(1926),
    [aux_sym_tag_token1] = ACTIONS(1926),
    [aux_sym_tunnel_token1] = ACTIONS(1928),
    [aux_sym_tunnel_device_token1] = ACTIONS(1926),
    [aux_sym_update_host_keys_token1] = ACTIONS(1926),
    [aux_sym_use_keychain_token1] = ACTIONS(1926),
    [aux_sym_use_roaming_token1] = ACTIONS(1926),
    [aux_sym_user_token1] = ACTIONS(1928),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1926),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1926),
    [aux_sym_version_addendum_token1] = ACTIONS(1926),
    [aux_sym_visual_host_key_token1] = ACTIONS(1926),
    [aux_sym_xauth_location_token1] = ACTIONS(1926),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1934),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [aux_sym_match_token1] = ACTIONS(1932),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1932),
    [aux_sym_address_family_token1] = ACTIONS(1932),
    [aux_sym_batch_mode_token1] = ACTIONS(1932),
    [aux_sym_bind_address_token1] = ACTIONS(1932),
    [aux_sym_bind_interface_token1] = ACTIONS(1932),
    [aux_sym_canonical_domains_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1932),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1932),
    [aux_sym_certificate_file_token1] = ACTIONS(1932),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1932),
    [aux_sym_channel_timeout_token1] = ACTIONS(1932),
    [aux_sym_check_host_ip_token1] = ACTIONS(1932),
    [aux_sym_ciphers_token1] = ACTIONS(1932),
    [aux_sym_cipher_token1] = ACTIONS(1934),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1932),
    [aux_sym_compression_token1] = ACTIONS(1932),
    [aux_sym_connection_attempts_token1] = ACTIONS(1932),
    [aux_sym_connect_timeout_token1] = ACTIONS(1932),
    [aux_sym_control_master_token1] = ACTIONS(1932),
    [aux_sym_control_path_token1] = ACTIONS(1932),
    [aux_sym_control_persist_token1] = ACTIONS(1932),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1932),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1932),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1932),
    [aux_sym_escape_char_token1] = ACTIONS(1932),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1932),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1932),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1932),
    [aux_sym_forward_agent_token1] = ACTIONS(1932),
    [aux_sym_forward_x11_token1] = ACTIONS(1934),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1932),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1932),
    [aux_sym_gateway_ports_token1] = ACTIONS(1932),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1932),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1932),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1932),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1932),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1932),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1932),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1932),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1932),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1932),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1932),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1932),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1932),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1932),
    [aux_sym_host_key_alias_token1] = ACTIONS(1932),
    [aux_sym_hostname_token1] = ACTIONS(1932),
    [aux_sym_identities_only_token1] = ACTIONS(1932),
    [aux_sym_identity_agent_token1] = ACTIONS(1932),
    [aux_sym_identity_file_token1] = ACTIONS(1932),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1932),
    [aux_sym_include_token1] = ACTIONS(1932),
    [aux_sym_ip_qos_token1] = ACTIONS(1932),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1932),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1932),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1932),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1932),
    [aux_sym_local_command_token1] = ACTIONS(1932),
    [aux_sym_local_forward_token1] = ACTIONS(1932),
    [aux_sym_log_level_token1] = ACTIONS(1932),
    [aux_sym_log_verbose_token1] = ACTIONS(1932),
    [aux_sym_macs_token1] = ACTIONS(1932),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1932),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1932),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1932),
    [aux_sym_password_authentication_token1] = ACTIONS(1932),
    [aux_sym_permit_local_command_token1] = ACTIONS(1932),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1932),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1932),
    [aux_sym_port_token1] = ACTIONS(1932),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1932),
    [aux_sym_protocol_token1] = ACTIONS(1932),
    [aux_sym_proxy_command_token1] = ACTIONS(1932),
    [aux_sym_proxy_jump_token1] = ACTIONS(1932),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1932),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1932),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1932),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1932),
    [aux_sym_rekey_limit_token1] = ACTIONS(1932),
    [aux_sym_remote_command_token1] = ACTIONS(1932),
    [aux_sym_remote_forward_token1] = ACTIONS(1932),
    [aux_sym_request_tty_token1] = ACTIONS(1932),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1932),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1932),
    [aux_sym_security_key_provider_token1] = ACTIONS(1932),
    [aux_sym_send_env_token1] = ACTIONS(1932),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1932),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1932),
    [aux_sym_session_type_token1] = ACTIONS(1932),
    [aux_sym_set_env_token1] = ACTIONS(1932),
    [aux_sym_stdin_null_token1] = ACTIONS(1932),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1932),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1932),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1932),
    [aux_sym_syslog_facility_token1] = ACTIONS(1932),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1932),
    [aux_sym_keep_alive_token1] = ACTIONS(1932),
    [aux_sym_tag_token1] = ACTIONS(1932),
    [aux_sym_tunnel_token1] = ACTIONS(1934),
    [aux_sym_tunnel_device_token1] = ACTIONS(1932),
    [aux_sym_update_host_keys_token1] = ACTIONS(1932),
    [aux_sym_use_keychain_token1] = ACTIONS(1932),
    [aux_sym_use_roaming_token1] = ACTIONS(1932),
    [aux_sym_user_token1] = ACTIONS(1934),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1932),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1932),
    [aux_sym_version_addendum_token1] = ACTIONS(1932),
    [aux_sym_visual_host_key_token1] = ACTIONS(1932),
    [aux_sym_xauth_location_token1] = ACTIONS(1932),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1940),
    [anon_sym_DQUOTE] = ACTIONS(1942),
    [aux_sym_match_token1] = ACTIONS(1938),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1938),
    [aux_sym_address_family_token1] = ACTIONS(1938),
    [aux_sym_batch_mode_token1] = ACTIONS(1938),
    [aux_sym_bind_address_token1] = ACTIONS(1938),
    [aux_sym_bind_interface_token1] = ACTIONS(1938),
    [aux_sym_canonical_domains_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1938),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1938),
    [aux_sym_certificate_file_token1] = ACTIONS(1938),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1938),
    [aux_sym_channel_timeout_token1] = ACTIONS(1938),
    [aux_sym_check_host_ip_token1] = ACTIONS(1938),
    [aux_sym_ciphers_token1] = ACTIONS(1938),
    [aux_sym_cipher_token1] = ACTIONS(1940),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1938),
    [aux_sym_compression_token1] = ACTIONS(1938),
    [aux_sym_connection_attempts_token1] = ACTIONS(1938),
    [aux_sym_connect_timeout_token1] = ACTIONS(1938),
    [aux_sym_control_master_token1] = ACTIONS(1938),
    [aux_sym_control_path_token1] = ACTIONS(1938),
    [aux_sym_control_persist_token1] = ACTIONS(1938),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1938),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1938),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1938),
    [aux_sym_escape_char_token1] = ACTIONS(1938),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1938),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1938),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1938),
    [aux_sym_forward_agent_token1] = ACTIONS(1938),
    [aux_sym_forward_x11_token1] = ACTIONS(1940),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1938),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1938),
    [aux_sym_gateway_ports_token1] = ACTIONS(1938),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1938),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1938),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1938),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1938),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1938),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1938),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1938),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1938),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1938),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1938),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1938),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1938),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1938),
    [aux_sym_host_key_alias_token1] = ACTIONS(1938),
    [aux_sym_hostname_token1] = ACTIONS(1938),
    [aux_sym_identities_only_token1] = ACTIONS(1938),
    [aux_sym_identity_agent_token1] = ACTIONS(1938),
    [aux_sym_identity_file_token1] = ACTIONS(1938),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1938),
    [aux_sym_include_token1] = ACTIONS(1938),
    [aux_sym_ip_qos_token1] = ACTIONS(1938),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1938),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1938),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1938),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1938),
    [aux_sym_local_command_token1] = ACTIONS(1938),
    [aux_sym_local_forward_token1] = ACTIONS(1938),
    [aux_sym_log_level_token1] = ACTIONS(1938),
    [aux_sym_log_verbose_token1] = ACTIONS(1938),
    [aux_sym_macs_token1] = ACTIONS(1938),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1938),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1938),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1938),
    [aux_sym_password_authentication_token1] = ACTIONS(1938),
    [aux_sym_permit_local_command_token1] = ACTIONS(1938),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1938),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1938),
    [aux_sym_port_token1] = ACTIONS(1938),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1938),
    [aux_sym_protocol_token1] = ACTIONS(1938),
    [aux_sym_proxy_command_token1] = ACTIONS(1938),
    [aux_sym_proxy_jump_token1] = ACTIONS(1938),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1938),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1938),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1938),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1938),
    [aux_sym_rekey_limit_token1] = ACTIONS(1938),
    [aux_sym_remote_command_token1] = ACTIONS(1938),
    [aux_sym_remote_forward_token1] = ACTIONS(1938),
    [aux_sym_request_tty_token1] = ACTIONS(1938),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1938),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1938),
    [aux_sym_security_key_provider_token1] = ACTIONS(1938),
    [aux_sym_send_env_token1] = ACTIONS(1938),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1938),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1938),
    [aux_sym_session_type_token1] = ACTIONS(1938),
    [aux_sym_set_env_token1] = ACTIONS(1938),
    [aux_sym_stdin_null_token1] = ACTIONS(1938),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1938),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1938),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1938),
    [aux_sym_syslog_facility_token1] = ACTIONS(1938),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1938),
    [aux_sym_keep_alive_token1] = ACTIONS(1938),
    [aux_sym_tag_token1] = ACTIONS(1938),
    [aux_sym_tunnel_token1] = ACTIONS(1940),
    [aux_sym_tunnel_device_token1] = ACTIONS(1938),
    [aux_sym_update_host_keys_token1] = ACTIONS(1938),
    [aux_sym_use_keychain_token1] = ACTIONS(1938),
    [aux_sym_use_roaming_token1] = ACTIONS(1938),
    [aux_sym_user_token1] = ACTIONS(1940),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1938),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1938),
    [aux_sym_version_addendum_token1] = ACTIONS(1938),
    [aux_sym_visual_host_key_token1] = ACTIONS(1938),
    [aux_sym_xauth_location_token1] = ACTIONS(1938),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1946),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [aux_sym_match_token1] = ACTIONS(1944),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1944),
    [aux_sym_address_family_token1] = ACTIONS(1944),
    [aux_sym_batch_mode_token1] = ACTIONS(1944),
    [aux_sym_bind_address_token1] = ACTIONS(1944),
    [aux_sym_bind_interface_token1] = ACTIONS(1944),
    [aux_sym_canonical_domains_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1944),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1944),
    [aux_sym_certificate_file_token1] = ACTIONS(1944),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1944),
    [aux_sym_channel_timeout_token1] = ACTIONS(1944),
    [aux_sym_check_host_ip_token1] = ACTIONS(1944),
    [aux_sym_ciphers_token1] = ACTIONS(1944),
    [aux_sym_cipher_token1] = ACTIONS(1946),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1944),
    [aux_sym_compression_token1] = ACTIONS(1944),
    [aux_sym_connection_attempts_token1] = ACTIONS(1944),
    [aux_sym_connect_timeout_token1] = ACTIONS(1944),
    [aux_sym_control_master_token1] = ACTIONS(1944),
    [aux_sym_control_path_token1] = ACTIONS(1944),
    [aux_sym_control_persist_token1] = ACTIONS(1944),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1944),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1944),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1944),
    [aux_sym_escape_char_token1] = ACTIONS(1944),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1944),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1944),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1944),
    [aux_sym_forward_agent_token1] = ACTIONS(1944),
    [aux_sym_forward_x11_token1] = ACTIONS(1946),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1944),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1944),
    [aux_sym_gateway_ports_token1] = ACTIONS(1944),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1944),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1944),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1944),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1944),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1944),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1944),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1944),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1944),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1944),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1944),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1944),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1944),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1944),
    [aux_sym_host_key_alias_token1] = ACTIONS(1944),
    [aux_sym_hostname_token1] = ACTIONS(1944),
    [aux_sym_identities_only_token1] = ACTIONS(1944),
    [aux_sym_identity_agent_token1] = ACTIONS(1944),
    [aux_sym_identity_file_token1] = ACTIONS(1944),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1944),
    [aux_sym_include_token1] = ACTIONS(1944),
    [aux_sym_ip_qos_token1] = ACTIONS(1944),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1944),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1944),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1944),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1944),
    [aux_sym_local_command_token1] = ACTIONS(1944),
    [aux_sym_local_forward_token1] = ACTIONS(1944),
    [aux_sym_log_level_token1] = ACTIONS(1944),
    [aux_sym_log_verbose_token1] = ACTIONS(1944),
    [aux_sym_macs_token1] = ACTIONS(1944),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1944),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1944),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1944),
    [aux_sym_password_authentication_token1] = ACTIONS(1944),
    [aux_sym_permit_local_command_token1] = ACTIONS(1944),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1944),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1944),
    [aux_sym_port_token1] = ACTIONS(1944),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1944),
    [aux_sym_protocol_token1] = ACTIONS(1944),
    [aux_sym_proxy_command_token1] = ACTIONS(1944),
    [aux_sym_proxy_jump_token1] = ACTIONS(1944),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1944),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1944),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1944),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1944),
    [aux_sym_rekey_limit_token1] = ACTIONS(1944),
    [aux_sym_remote_command_token1] = ACTIONS(1944),
    [aux_sym_remote_forward_token1] = ACTIONS(1944),
    [aux_sym_request_tty_token1] = ACTIONS(1944),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1944),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1944),
    [aux_sym_security_key_provider_token1] = ACTIONS(1944),
    [aux_sym_send_env_token1] = ACTIONS(1944),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1944),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1944),
    [aux_sym_session_type_token1] = ACTIONS(1944),
    [aux_sym_set_env_token1] = ACTIONS(1944),
    [aux_sym_stdin_null_token1] = ACTIONS(1944),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1944),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1944),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1944),
    [aux_sym_syslog_facility_token1] = ACTIONS(1944),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1944),
    [aux_sym_keep_alive_token1] = ACTIONS(1944),
    [aux_sym_tag_token1] = ACTIONS(1944),
    [aux_sym_tunnel_token1] = ACTIONS(1946),
    [aux_sym_tunnel_device_token1] = ACTIONS(1944),
    [aux_sym_update_host_keys_token1] = ACTIONS(1944),
    [aux_sym_use_keychain_token1] = ACTIONS(1944),
    [aux_sym_use_roaming_token1] = ACTIONS(1944),
    [aux_sym_user_token1] = ACTIONS(1946),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1944),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1944),
    [aux_sym_version_addendum_token1] = ACTIONS(1944),
    [aux_sym_visual_host_key_token1] = ACTIONS(1944),
    [aux_sym_xauth_location_token1] = ACTIONS(1944),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1952),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [aux_sym_match_token1] = ACTIONS(1950),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1950),
    [aux_sym_address_family_token1] = ACTIONS(1950),
    [aux_sym_batch_mode_token1] = ACTIONS(1950),
    [aux_sym_bind_address_token1] = ACTIONS(1950),
    [aux_sym_bind_interface_token1] = ACTIONS(1950),
    [aux_sym_canonical_domains_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1950),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1950),
    [aux_sym_certificate_file_token1] = ACTIONS(1950),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1950),
    [aux_sym_channel_timeout_token1] = ACTIONS(1950),
    [aux_sym_check_host_ip_token1] = ACTIONS(1950),
    [aux_sym_ciphers_token1] = ACTIONS(1950),
    [aux_sym_cipher_token1] = ACTIONS(1952),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1950),
    [aux_sym_compression_token1] = ACTIONS(1950),
    [aux_sym_connection_attempts_token1] = ACTIONS(1950),
    [aux_sym_connect_timeout_token1] = ACTIONS(1950),
    [aux_sym_control_master_token1] = ACTIONS(1950),
    [aux_sym_control_path_token1] = ACTIONS(1950),
    [aux_sym_control_persist_token1] = ACTIONS(1950),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1950),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1950),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1950),
    [aux_sym_escape_char_token1] = ACTIONS(1950),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1950),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1950),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1950),
    [aux_sym_forward_agent_token1] = ACTIONS(1950),
    [aux_sym_forward_x11_token1] = ACTIONS(1952),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1950),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1950),
    [aux_sym_gateway_ports_token1] = ACTIONS(1950),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1950),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1950),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1950),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1950),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1950),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1950),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1950),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1950),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1950),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1950),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1950),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1950),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1950),
    [aux_sym_host_key_alias_token1] = ACTIONS(1950),
    [aux_sym_hostname_token1] = ACTIONS(1950),
    [aux_sym_identities_only_token1] = ACTIONS(1950),
    [aux_sym_identity_agent_token1] = ACTIONS(1950),
    [aux_sym_identity_file_token1] = ACTIONS(1950),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1950),
    [aux_sym_include_token1] = ACTIONS(1950),
    [aux_sym_ip_qos_token1] = ACTIONS(1950),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1950),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1950),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1950),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1950),
    [aux_sym_local_command_token1] = ACTIONS(1950),
    [aux_sym_local_forward_token1] = ACTIONS(1950),
    [aux_sym_log_level_token1] = ACTIONS(1950),
    [aux_sym_log_verbose_token1] = ACTIONS(1950),
    [aux_sym_macs_token1] = ACTIONS(1950),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1950),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1950),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1950),
    [aux_sym_password_authentication_token1] = ACTIONS(1950),
    [aux_sym_permit_local_command_token1] = ACTIONS(1950),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1950),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1950),
    [aux_sym_port_token1] = ACTIONS(1950),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1950),
    [aux_sym_protocol_token1] = ACTIONS(1950),
    [aux_sym_proxy_command_token1] = ACTIONS(1950),
    [aux_sym_proxy_jump_token1] = ACTIONS(1950),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1950),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1950),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1950),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1950),
    [aux_sym_rekey_limit_token1] = ACTIONS(1950),
    [aux_sym_remote_command_token1] = ACTIONS(1950),
    [aux_sym_remote_forward_token1] = ACTIONS(1950),
    [aux_sym_request_tty_token1] = ACTIONS(1950),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1950),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1950),
    [aux_sym_security_key_provider_token1] = ACTIONS(1950),
    [aux_sym_send_env_token1] = ACTIONS(1950),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1950),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1950),
    [aux_sym_session_type_token1] = ACTIONS(1950),
    [aux_sym_set_env_token1] = ACTIONS(1950),
    [aux_sym_stdin_null_token1] = ACTIONS(1950),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1950),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1950),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1950),
    [aux_sym_syslog_facility_token1] = ACTIONS(1950),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1950),
    [aux_sym_keep_alive_token1] = ACTIONS(1950),
    [aux_sym_tag_token1] = ACTIONS(1950),
    [aux_sym_tunnel_token1] = ACTIONS(1952),
    [aux_sym_tunnel_device_token1] = ACTIONS(1950),
    [aux_sym_update_host_keys_token1] = ACTIONS(1950),
    [aux_sym_use_keychain_token1] = ACTIONS(1950),
    [aux_sym_use_roaming_token1] = ACTIONS(1950),
    [aux_sym_user_token1] = ACTIONS(1952),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1950),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1950),
    [aux_sym_version_addendum_token1] = ACTIONS(1950),
    [aux_sym_visual_host_key_token1] = ACTIONS(1950),
    [aux_sym_xauth_location_token1] = ACTIONS(1950),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1958),
    [anon_sym_DQUOTE] = ACTIONS(1960),
    [aux_sym_match_token1] = ACTIONS(1956),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1956),
    [aux_sym_address_family_token1] = ACTIONS(1956),
    [aux_sym_batch_mode_token1] = ACTIONS(1956),
    [aux_sym_bind_address_token1] = ACTIONS(1956),
    [aux_sym_bind_interface_token1] = ACTIONS(1956),
    [aux_sym_canonical_domains_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1956),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1956),
    [aux_sym_certificate_file_token1] = ACTIONS(1956),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1956),
    [aux_sym_channel_timeout_token1] = ACTIONS(1956),
    [aux_sym_check_host_ip_token1] = ACTIONS(1956),
    [aux_sym_ciphers_token1] = ACTIONS(1956),
    [aux_sym_cipher_token1] = ACTIONS(1958),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1956),
    [aux_sym_compression_token1] = ACTIONS(1956),
    [aux_sym_connection_attempts_token1] = ACTIONS(1956),
    [aux_sym_connect_timeout_token1] = ACTIONS(1956),
    [aux_sym_control_master_token1] = ACTIONS(1956),
    [aux_sym_control_path_token1] = ACTIONS(1956),
    [aux_sym_control_persist_token1] = ACTIONS(1956),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1956),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1956),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1956),
    [aux_sym_escape_char_token1] = ACTIONS(1956),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1956),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1956),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1956),
    [aux_sym_forward_agent_token1] = ACTIONS(1956),
    [aux_sym_forward_x11_token1] = ACTIONS(1958),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1956),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1956),
    [aux_sym_gateway_ports_token1] = ACTIONS(1956),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1956),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1956),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1956),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1956),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1956),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1956),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1956),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1956),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1956),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1956),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1956),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1956),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1956),
    [aux_sym_host_key_alias_token1] = ACTIONS(1956),
    [aux_sym_hostname_token1] = ACTIONS(1956),
    [aux_sym_identities_only_token1] = ACTIONS(1956),
    [aux_sym_identity_agent_token1] = ACTIONS(1956),
    [aux_sym_identity_file_token1] = ACTIONS(1956),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1956),
    [aux_sym_include_token1] = ACTIONS(1956),
    [aux_sym_ip_qos_token1] = ACTIONS(1956),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1956),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1956),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1956),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1956),
    [aux_sym_local_command_token1] = ACTIONS(1956),
    [aux_sym_local_forward_token1] = ACTIONS(1956),
    [aux_sym_log_level_token1] = ACTIONS(1956),
    [aux_sym_log_verbose_token1] = ACTIONS(1956),
    [aux_sym_macs_token1] = ACTIONS(1956),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1956),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1956),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1956),
    [aux_sym_password_authentication_token1] = ACTIONS(1956),
    [aux_sym_permit_local_command_token1] = ACTIONS(1956),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1956),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1956),
    [aux_sym_port_token1] = ACTIONS(1956),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1956),
    [aux_sym_protocol_token1] = ACTIONS(1956),
    [aux_sym_proxy_command_token1] = ACTIONS(1956),
    [aux_sym_proxy_jump_token1] = ACTIONS(1956),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1956),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1956),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1956),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1956),
    [aux_sym_rekey_limit_token1] = ACTIONS(1956),
    [aux_sym_remote_command_token1] = ACTIONS(1956),
    [aux_sym_remote_forward_token1] = ACTIONS(1956),
    [aux_sym_request_tty_token1] = ACTIONS(1956),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1956),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1956),
    [aux_sym_security_key_provider_token1] = ACTIONS(1956),
    [aux_sym_send_env_token1] = ACTIONS(1956),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1956),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1956),
    [aux_sym_session_type_token1] = ACTIONS(1956),
    [aux_sym_set_env_token1] = ACTIONS(1956),
    [aux_sym_stdin_null_token1] = ACTIONS(1956),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1956),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1956),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1956),
    [aux_sym_syslog_facility_token1] = ACTIONS(1956),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1956),
    [aux_sym_keep_alive_token1] = ACTIONS(1956),
    [aux_sym_tag_token1] = ACTIONS(1956),
    [aux_sym_tunnel_token1] = ACTIONS(1958),
    [aux_sym_tunnel_device_token1] = ACTIONS(1956),
    [aux_sym_update_host_keys_token1] = ACTIONS(1956),
    [aux_sym_use_keychain_token1] = ACTIONS(1956),
    [aux_sym_use_roaming_token1] = ACTIONS(1956),
    [aux_sym_user_token1] = ACTIONS(1958),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1956),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1956),
    [aux_sym_version_addendum_token1] = ACTIONS(1956),
    [aux_sym_visual_host_key_token1] = ACTIONS(1956),
    [aux_sym_xauth_location_token1] = ACTIONS(1956),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1964),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [aux_sym_match_token1] = ACTIONS(1962),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1962),
    [aux_sym_address_family_token1] = ACTIONS(1962),
    [aux_sym_batch_mode_token1] = ACTIONS(1962),
    [aux_sym_bind_address_token1] = ACTIONS(1962),
    [aux_sym_bind_interface_token1] = ACTIONS(1962),
    [aux_sym_canonical_domains_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1962),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1962),
    [aux_sym_certificate_file_token1] = ACTIONS(1962),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1962),
    [aux_sym_channel_timeout_token1] = ACTIONS(1962),
    [aux_sym_check_host_ip_token1] = ACTIONS(1962),
    [aux_sym_ciphers_token1] = ACTIONS(1962),
    [aux_sym_cipher_token1] = ACTIONS(1964),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1962),
    [aux_sym_compression_token1] = ACTIONS(1962),
    [aux_sym_connection_attempts_token1] = ACTIONS(1962),
    [aux_sym_connect_timeout_token1] = ACTIONS(1962),
    [aux_sym_control_master_token1] = ACTIONS(1962),
    [aux_sym_control_path_token1] = ACTIONS(1962),
    [aux_sym_control_persist_token1] = ACTIONS(1962),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1962),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1962),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1962),
    [aux_sym_escape_char_token1] = ACTIONS(1962),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1962),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1962),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1962),
    [aux_sym_forward_agent_token1] = ACTIONS(1962),
    [aux_sym_forward_x11_token1] = ACTIONS(1964),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1962),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1962),
    [aux_sym_gateway_ports_token1] = ACTIONS(1962),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1962),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1962),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1962),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1962),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1962),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1962),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1962),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1962),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1962),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1962),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1962),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1962),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1962),
    [aux_sym_host_key_alias_token1] = ACTIONS(1962),
    [aux_sym_hostname_token1] = ACTIONS(1962),
    [aux_sym_identities_only_token1] = ACTIONS(1962),
    [aux_sym_identity_agent_token1] = ACTIONS(1962),
    [aux_sym_identity_file_token1] = ACTIONS(1962),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1962),
    [aux_sym_include_token1] = ACTIONS(1962),
    [aux_sym_ip_qos_token1] = ACTIONS(1962),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1962),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1962),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1962),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1962),
    [aux_sym_local_command_token1] = ACTIONS(1962),
    [aux_sym_local_forward_token1] = ACTIONS(1962),
    [aux_sym_log_level_token1] = ACTIONS(1962),
    [aux_sym_log_verbose_token1] = ACTIONS(1962),
    [aux_sym_macs_token1] = ACTIONS(1962),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1962),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1962),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1962),
    [aux_sym_password_authentication_token1] = ACTIONS(1962),
    [aux_sym_permit_local_command_token1] = ACTIONS(1962),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1962),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1962),
    [aux_sym_port_token1] = ACTIONS(1962),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1962),
    [aux_sym_protocol_token1] = ACTIONS(1962),
    [aux_sym_proxy_command_token1] = ACTIONS(1962),
    [aux_sym_proxy_jump_token1] = ACTIONS(1962),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1962),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1962),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1962),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1962),
    [aux_sym_rekey_limit_token1] = ACTIONS(1962),
    [aux_sym_remote_command_token1] = ACTIONS(1962),
    [aux_sym_remote_forward_token1] = ACTIONS(1962),
    [aux_sym_request_tty_token1] = ACTIONS(1962),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1962),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1962),
    [aux_sym_security_key_provider_token1] = ACTIONS(1962),
    [aux_sym_send_env_token1] = ACTIONS(1962),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1962),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1962),
    [aux_sym_session_type_token1] = ACTIONS(1962),
    [aux_sym_set_env_token1] = ACTIONS(1962),
    [aux_sym_stdin_null_token1] = ACTIONS(1962),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1962),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1962),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1962),
    [aux_sym_syslog_facility_token1] = ACTIONS(1962),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1962),
    [aux_sym_keep_alive_token1] = ACTIONS(1962),
    [aux_sym_tag_token1] = ACTIONS(1962),
    [aux_sym_tunnel_token1] = ACTIONS(1964),
    [aux_sym_tunnel_device_token1] = ACTIONS(1962),
    [aux_sym_update_host_keys_token1] = ACTIONS(1962),
    [aux_sym_use_keychain_token1] = ACTIONS(1962),
    [aux_sym_use_roaming_token1] = ACTIONS(1962),
    [aux_sym_user_token1] = ACTIONS(1964),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1962),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1962),
    [aux_sym_version_addendum_token1] = ACTIONS(1962),
    [aux_sym_visual_host_key_token1] = ACTIONS(1962),
    [aux_sym_xauth_location_token1] = ACTIONS(1962),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1972),
    [aux_sym_match_token1] = ACTIONS(1968),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1968),
    [aux_sym_address_family_token1] = ACTIONS(1968),
    [aux_sym_batch_mode_token1] = ACTIONS(1968),
    [aux_sym_bind_address_token1] = ACTIONS(1968),
    [aux_sym_bind_interface_token1] = ACTIONS(1968),
    [aux_sym_canonical_domains_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1968),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1968),
    [aux_sym_certificate_file_token1] = ACTIONS(1968),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1968),
    [aux_sym_channel_timeout_token1] = ACTIONS(1968),
    [aux_sym_check_host_ip_token1] = ACTIONS(1968),
    [aux_sym_ciphers_token1] = ACTIONS(1968),
    [aux_sym_cipher_token1] = ACTIONS(1970),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1968),
    [aux_sym_compression_token1] = ACTIONS(1968),
    [aux_sym_connection_attempts_token1] = ACTIONS(1968),
    [aux_sym_connect_timeout_token1] = ACTIONS(1968),
    [aux_sym_control_master_token1] = ACTIONS(1968),
    [aux_sym_control_path_token1] = ACTIONS(1968),
    [aux_sym_control_persist_token1] = ACTIONS(1968),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1968),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1968),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1968),
    [aux_sym_escape_char_token1] = ACTIONS(1968),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1968),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1968),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1968),
    [aux_sym_forward_agent_token1] = ACTIONS(1968),
    [aux_sym_forward_x11_token1] = ACTIONS(1970),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1968),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1968),
    [aux_sym_gateway_ports_token1] = ACTIONS(1968),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1968),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1968),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1968),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1968),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1968),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1968),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1968),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1968),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1968),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1968),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1968),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1968),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1968),
    [aux_sym_host_key_alias_token1] = ACTIONS(1968),
    [aux_sym_hostname_token1] = ACTIONS(1968),
    [aux_sym_identities_only_token1] = ACTIONS(1968),
    [aux_sym_identity_agent_token1] = ACTIONS(1968),
    [aux_sym_identity_file_token1] = ACTIONS(1968),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1968),
    [aux_sym_include_token1] = ACTIONS(1968),
    [aux_sym_ip_qos_token1] = ACTIONS(1968),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1968),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1968),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1968),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1968),
    [aux_sym_local_command_token1] = ACTIONS(1968),
    [aux_sym_local_forward_token1] = ACTIONS(1968),
    [aux_sym_log_level_token1] = ACTIONS(1968),
    [aux_sym_log_verbose_token1] = ACTIONS(1968),
    [aux_sym_macs_token1] = ACTIONS(1968),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1968),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1968),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1968),
    [aux_sym_password_authentication_token1] = ACTIONS(1968),
    [aux_sym_permit_local_command_token1] = ACTIONS(1968),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1968),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1968),
    [aux_sym_port_token1] = ACTIONS(1968),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1968),
    [aux_sym_protocol_token1] = ACTIONS(1968),
    [aux_sym_proxy_command_token1] = ACTIONS(1968),
    [aux_sym_proxy_jump_token1] = ACTIONS(1968),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1968),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1968),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1968),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1968),
    [aux_sym_rekey_limit_token1] = ACTIONS(1968),
    [aux_sym_remote_command_token1] = ACTIONS(1968),
    [aux_sym_remote_forward_token1] = ACTIONS(1968),
    [aux_sym_request_tty_token1] = ACTIONS(1968),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1968),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1968),
    [aux_sym_security_key_provider_token1] = ACTIONS(1968),
    [aux_sym_send_env_token1] = ACTIONS(1968),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1968),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1968),
    [aux_sym_session_type_token1] = ACTIONS(1968),
    [aux_sym_set_env_token1] = ACTIONS(1968),
    [aux_sym_stdin_null_token1] = ACTIONS(1968),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1968),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1968),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1968),
    [aux_sym_syslog_facility_token1] = ACTIONS(1968),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1968),
    [aux_sym_keep_alive_token1] = ACTIONS(1968),
    [aux_sym_tag_token1] = ACTIONS(1968),
    [aux_sym_tunnel_token1] = ACTIONS(1970),
    [aux_sym_tunnel_device_token1] = ACTIONS(1968),
    [aux_sym_update_host_keys_token1] = ACTIONS(1968),
    [aux_sym_use_keychain_token1] = ACTIONS(1968),
    [aux_sym_use_roaming_token1] = ACTIONS(1968),
    [aux_sym_user_token1] = ACTIONS(1970),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1968),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1968),
    [aux_sym_version_addendum_token1] = ACTIONS(1968),
    [aux_sym_visual_host_key_token1] = ACTIONS(1968),
    [aux_sym_xauth_location_token1] = ACTIONS(1968),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1974),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1976),
    [anon_sym_DQUOTE] = ACTIONS(1978),
    [aux_sym_match_token1] = ACTIONS(1974),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1974),
    [aux_sym_address_family_token1] = ACTIONS(1974),
    [aux_sym_batch_mode_token1] = ACTIONS(1974),
    [aux_sym_bind_address_token1] = ACTIONS(1974),
    [aux_sym_bind_interface_token1] = ACTIONS(1974),
    [aux_sym_canonical_domains_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1974),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1974),
    [aux_sym_certificate_file_token1] = ACTIONS(1974),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1974),
    [aux_sym_channel_timeout_token1] = ACTIONS(1974),
    [aux_sym_check_host_ip_token1] = ACTIONS(1974),
    [aux_sym_ciphers_token1] = ACTIONS(1974),
    [aux_sym_cipher_token1] = ACTIONS(1976),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1974),
    [aux_sym_compression_token1] = ACTIONS(1974),
    [aux_sym_connection_attempts_token1] = ACTIONS(1974),
    [aux_sym_connect_timeout_token1] = ACTIONS(1974),
    [aux_sym_control_master_token1] = ACTIONS(1974),
    [aux_sym_control_path_token1] = ACTIONS(1974),
    [aux_sym_control_persist_token1] = ACTIONS(1974),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1974),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1974),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1974),
    [aux_sym_escape_char_token1] = ACTIONS(1974),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1974),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1974),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1974),
    [aux_sym_forward_agent_token1] = ACTIONS(1974),
    [aux_sym_forward_x11_token1] = ACTIONS(1976),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1974),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1974),
    [aux_sym_gateway_ports_token1] = ACTIONS(1974),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1974),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1974),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1974),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1974),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1974),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1974),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1974),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1974),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1974),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1974),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1974),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1974),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1974),
    [aux_sym_host_key_alias_token1] = ACTIONS(1974),
    [aux_sym_hostname_token1] = ACTIONS(1974),
    [aux_sym_identities_only_token1] = ACTIONS(1974),
    [aux_sym_identity_agent_token1] = ACTIONS(1974),
    [aux_sym_identity_file_token1] = ACTIONS(1974),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1974),
    [aux_sym_include_token1] = ACTIONS(1974),
    [aux_sym_ip_qos_token1] = ACTIONS(1974),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1974),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1974),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1974),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1974),
    [aux_sym_local_command_token1] = ACTIONS(1974),
    [aux_sym_local_forward_token1] = ACTIONS(1974),
    [aux_sym_log_level_token1] = ACTIONS(1974),
    [aux_sym_log_verbose_token1] = ACTIONS(1974),
    [aux_sym_macs_token1] = ACTIONS(1974),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1974),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1974),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1974),
    [aux_sym_password_authentication_token1] = ACTIONS(1974),
    [aux_sym_permit_local_command_token1] = ACTIONS(1974),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1974),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1974),
    [aux_sym_port_token1] = ACTIONS(1974),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1974),
    [aux_sym_protocol_token1] = ACTIONS(1974),
    [aux_sym_proxy_command_token1] = ACTIONS(1974),
    [aux_sym_proxy_jump_token1] = ACTIONS(1974),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1974),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1974),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1974),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1974),
    [aux_sym_rekey_limit_token1] = ACTIONS(1974),
    [aux_sym_remote_command_token1] = ACTIONS(1974),
    [aux_sym_remote_forward_token1] = ACTIONS(1974),
    [aux_sym_request_tty_token1] = ACTIONS(1974),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1974),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1974),
    [aux_sym_security_key_provider_token1] = ACTIONS(1974),
    [aux_sym_send_env_token1] = ACTIONS(1974),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1974),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1974),
    [aux_sym_session_type_token1] = ACTIONS(1974),
    [aux_sym_set_env_token1] = ACTIONS(1974),
    [aux_sym_stdin_null_token1] = ACTIONS(1974),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1974),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1974),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1974),
    [aux_sym_syslog_facility_token1] = ACTIONS(1974),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1974),
    [aux_sym_keep_alive_token1] = ACTIONS(1974),
    [aux_sym_tag_token1] = ACTIONS(1974),
    [aux_sym_tunnel_token1] = ACTIONS(1976),
    [aux_sym_tunnel_device_token1] = ACTIONS(1974),
    [aux_sym_update_host_keys_token1] = ACTIONS(1974),
    [aux_sym_use_keychain_token1] = ACTIONS(1974),
    [aux_sym_use_roaming_token1] = ACTIONS(1974),
    [aux_sym_user_token1] = ACTIONS(1976),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1974),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1974),
    [aux_sym_version_addendum_token1] = ACTIONS(1974),
    [aux_sym_visual_host_key_token1] = ACTIONS(1974),
    [aux_sym_xauth_location_token1] = ACTIONS(1974),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1984),
    [aux_sym_match_token1] = ACTIONS(1980),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1980),
    [aux_sym_address_family_token1] = ACTIONS(1980),
    [aux_sym_batch_mode_token1] = ACTIONS(1980),
    [aux_sym_bind_address_token1] = ACTIONS(1980),
    [aux_sym_bind_interface_token1] = ACTIONS(1980),
    [aux_sym_canonical_domains_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1980),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1980),
    [aux_sym_certificate_file_token1] = ACTIONS(1980),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1980),
    [aux_sym_channel_timeout_token1] = ACTIONS(1980),
    [aux_sym_check_host_ip_token1] = ACTIONS(1980),
    [aux_sym_ciphers_token1] = ACTIONS(1980),
    [aux_sym_cipher_token1] = ACTIONS(1982),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1980),
    [aux_sym_compression_token1] = ACTIONS(1980),
    [aux_sym_connection_attempts_token1] = ACTIONS(1980),
    [aux_sym_connect_timeout_token1] = ACTIONS(1980),
    [aux_sym_control_master_token1] = ACTIONS(1980),
    [aux_sym_control_path_token1] = ACTIONS(1980),
    [aux_sym_control_persist_token1] = ACTIONS(1980),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1980),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1980),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1980),
    [aux_sym_escape_char_token1] = ACTIONS(1980),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1980),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1980),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1980),
    [aux_sym_forward_agent_token1] = ACTIONS(1980),
    [aux_sym_forward_x11_token1] = ACTIONS(1982),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1980),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1980),
    [aux_sym_gateway_ports_token1] = ACTIONS(1980),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1980),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1980),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1980),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1980),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1980),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1980),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1980),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1980),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1980),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1980),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1980),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1980),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1980),
    [aux_sym_host_key_alias_token1] = ACTIONS(1980),
    [aux_sym_hostname_token1] = ACTIONS(1980),
    [aux_sym_identities_only_token1] = ACTIONS(1980),
    [aux_sym_identity_agent_token1] = ACTIONS(1980),
    [aux_sym_identity_file_token1] = ACTIONS(1980),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1980),
    [aux_sym_include_token1] = ACTIONS(1980),
    [aux_sym_ip_qos_token1] = ACTIONS(1980),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1980),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1980),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1980),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1980),
    [aux_sym_local_command_token1] = ACTIONS(1980),
    [aux_sym_local_forward_token1] = ACTIONS(1980),
    [aux_sym_log_level_token1] = ACTIONS(1980),
    [aux_sym_log_verbose_token1] = ACTIONS(1980),
    [aux_sym_macs_token1] = ACTIONS(1980),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1980),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1980),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1980),
    [aux_sym_password_authentication_token1] = ACTIONS(1980),
    [aux_sym_permit_local_command_token1] = ACTIONS(1980),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1980),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1980),
    [aux_sym_port_token1] = ACTIONS(1980),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1980),
    [aux_sym_protocol_token1] = ACTIONS(1980),
    [aux_sym_proxy_command_token1] = ACTIONS(1980),
    [aux_sym_proxy_jump_token1] = ACTIONS(1980),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1980),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1980),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1980),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1980),
    [aux_sym_rekey_limit_token1] = ACTIONS(1980),
    [aux_sym_remote_command_token1] = ACTIONS(1980),
    [aux_sym_remote_forward_token1] = ACTIONS(1980),
    [aux_sym_request_tty_token1] = ACTIONS(1980),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1980),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1980),
    [aux_sym_security_key_provider_token1] = ACTIONS(1980),
    [aux_sym_send_env_token1] = ACTIONS(1980),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1980),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1980),
    [aux_sym_session_type_token1] = ACTIONS(1980),
    [aux_sym_set_env_token1] = ACTIONS(1980),
    [aux_sym_stdin_null_token1] = ACTIONS(1980),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1980),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1980),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1980),
    [aux_sym_syslog_facility_token1] = ACTIONS(1980),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1980),
    [aux_sym_keep_alive_token1] = ACTIONS(1980),
    [aux_sym_tag_token1] = ACTIONS(1980),
    [aux_sym_tunnel_token1] = ACTIONS(1982),
    [aux_sym_tunnel_device_token1] = ACTIONS(1980),
    [aux_sym_update_host_keys_token1] = ACTIONS(1980),
    [aux_sym_use_keychain_token1] = ACTIONS(1980),
    [aux_sym_use_roaming_token1] = ACTIONS(1980),
    [aux_sym_user_token1] = ACTIONS(1982),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1980),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1980),
    [aux_sym_version_addendum_token1] = ACTIONS(1980),
    [aux_sym_visual_host_key_token1] = ACTIONS(1980),
    [aux_sym_xauth_location_token1] = ACTIONS(1980),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(1986),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1988),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [aux_sym_match_token1] = ACTIONS(1986),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1986),
    [aux_sym_address_family_token1] = ACTIONS(1986),
    [aux_sym_batch_mode_token1] = ACTIONS(1986),
    [aux_sym_bind_address_token1] = ACTIONS(1986),
    [aux_sym_bind_interface_token1] = ACTIONS(1986),
    [aux_sym_canonical_domains_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1986),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1986),
    [aux_sym_certificate_file_token1] = ACTIONS(1986),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1986),
    [aux_sym_channel_timeout_token1] = ACTIONS(1986),
    [aux_sym_check_host_ip_token1] = ACTIONS(1986),
    [aux_sym_ciphers_token1] = ACTIONS(1986),
    [aux_sym_cipher_token1] = ACTIONS(1988),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1986),
    [aux_sym_compression_token1] = ACTIONS(1986),
    [aux_sym_connection_attempts_token1] = ACTIONS(1986),
    [aux_sym_connect_timeout_token1] = ACTIONS(1986),
    [aux_sym_control_master_token1] = ACTIONS(1986),
    [aux_sym_control_path_token1] = ACTIONS(1986),
    [aux_sym_control_persist_token1] = ACTIONS(1986),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1986),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1986),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1986),
    [aux_sym_escape_char_token1] = ACTIONS(1986),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1986),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1986),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1986),
    [aux_sym_forward_agent_token1] = ACTIONS(1986),
    [aux_sym_forward_x11_token1] = ACTIONS(1988),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1986),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1986),
    [aux_sym_gateway_ports_token1] = ACTIONS(1986),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1986),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1986),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1986),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1986),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1986),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1986),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1986),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1986),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1986),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1986),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1986),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1986),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1986),
    [aux_sym_host_key_alias_token1] = ACTIONS(1986),
    [aux_sym_hostname_token1] = ACTIONS(1986),
    [aux_sym_identities_only_token1] = ACTIONS(1986),
    [aux_sym_identity_agent_token1] = ACTIONS(1986),
    [aux_sym_identity_file_token1] = ACTIONS(1986),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1986),
    [aux_sym_include_token1] = ACTIONS(1986),
    [aux_sym_ip_qos_token1] = ACTIONS(1986),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1986),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1986),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1986),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1986),
    [aux_sym_local_command_token1] = ACTIONS(1986),
    [aux_sym_local_forward_token1] = ACTIONS(1986),
    [aux_sym_log_level_token1] = ACTIONS(1986),
    [aux_sym_log_verbose_token1] = ACTIONS(1986),
    [aux_sym_macs_token1] = ACTIONS(1986),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1986),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1986),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1986),
    [aux_sym_password_authentication_token1] = ACTIONS(1986),
    [aux_sym_permit_local_command_token1] = ACTIONS(1986),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1986),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1986),
    [aux_sym_port_token1] = ACTIONS(1986),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1986),
    [aux_sym_protocol_token1] = ACTIONS(1986),
    [aux_sym_proxy_command_token1] = ACTIONS(1986),
    [aux_sym_proxy_jump_token1] = ACTIONS(1986),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1986),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1986),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1986),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1986),
    [aux_sym_rekey_limit_token1] = ACTIONS(1986),
    [aux_sym_remote_command_token1] = ACTIONS(1986),
    [aux_sym_remote_forward_token1] = ACTIONS(1986),
    [aux_sym_request_tty_token1] = ACTIONS(1986),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1986),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1986),
    [aux_sym_security_key_provider_token1] = ACTIONS(1986),
    [aux_sym_send_env_token1] = ACTIONS(1986),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1986),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1986),
    [aux_sym_session_type_token1] = ACTIONS(1986),
    [aux_sym_set_env_token1] = ACTIONS(1986),
    [aux_sym_stdin_null_token1] = ACTIONS(1986),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1986),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1986),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1986),
    [aux_sym_syslog_facility_token1] = ACTIONS(1986),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1986),
    [aux_sym_keep_alive_token1] = ACTIONS(1986),
    [aux_sym_tag_token1] = ACTIONS(1986),
    [aux_sym_tunnel_token1] = ACTIONS(1988),
    [aux_sym_tunnel_device_token1] = ACTIONS(1986),
    [aux_sym_update_host_keys_token1] = ACTIONS(1986),
    [aux_sym_use_keychain_token1] = ACTIONS(1986),
    [aux_sym_use_roaming_token1] = ACTIONS(1986),
    [aux_sym_user_token1] = ACTIONS(1988),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1986),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1986),
    [aux_sym_version_addendum_token1] = ACTIONS(1986),
    [aux_sym_visual_host_key_token1] = ACTIONS(1986),
    [aux_sym_xauth_location_token1] = ACTIONS(1986),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1994),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [aux_sym_match_token1] = ACTIONS(1992),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1992),
    [aux_sym_address_family_token1] = ACTIONS(1992),
    [aux_sym_batch_mode_token1] = ACTIONS(1992),
    [aux_sym_bind_address_token1] = ACTIONS(1992),
    [aux_sym_bind_interface_token1] = ACTIONS(1992),
    [aux_sym_canonical_domains_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1992),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1992),
    [aux_sym_certificate_file_token1] = ACTIONS(1992),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1992),
    [aux_sym_channel_timeout_token1] = ACTIONS(1992),
    [aux_sym_check_host_ip_token1] = ACTIONS(1992),
    [aux_sym_ciphers_token1] = ACTIONS(1992),
    [aux_sym_cipher_token1] = ACTIONS(1994),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1992),
    [aux_sym_compression_token1] = ACTIONS(1992),
    [aux_sym_connection_attempts_token1] = ACTIONS(1992),
    [aux_sym_connect_timeout_token1] = ACTIONS(1992),
    [aux_sym_control_master_token1] = ACTIONS(1992),
    [aux_sym_control_path_token1] = ACTIONS(1992),
    [aux_sym_control_persist_token1] = ACTIONS(1992),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1992),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1992),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1992),
    [aux_sym_escape_char_token1] = ACTIONS(1992),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1992),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1992),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1992),
    [aux_sym_forward_agent_token1] = ACTIONS(1992),
    [aux_sym_forward_x11_token1] = ACTIONS(1994),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1992),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1992),
    [aux_sym_gateway_ports_token1] = ACTIONS(1992),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1992),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1992),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1992),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1992),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1992),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1992),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1992),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1992),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1992),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1992),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1992),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1992),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1992),
    [aux_sym_host_key_alias_token1] = ACTIONS(1992),
    [aux_sym_hostname_token1] = ACTIONS(1992),
    [aux_sym_identities_only_token1] = ACTIONS(1992),
    [aux_sym_identity_agent_token1] = ACTIONS(1992),
    [aux_sym_identity_file_token1] = ACTIONS(1992),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1992),
    [aux_sym_include_token1] = ACTIONS(1992),
    [aux_sym_ip_qos_token1] = ACTIONS(1992),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1992),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1992),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1992),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1992),
    [aux_sym_local_command_token1] = ACTIONS(1992),
    [aux_sym_local_forward_token1] = ACTIONS(1992),
    [aux_sym_log_level_token1] = ACTIONS(1992),
    [aux_sym_log_verbose_token1] = ACTIONS(1992),
    [aux_sym_macs_token1] = ACTIONS(1992),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1992),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1992),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1992),
    [aux_sym_password_authentication_token1] = ACTIONS(1992),
    [aux_sym_permit_local_command_token1] = ACTIONS(1992),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1992),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1992),
    [aux_sym_port_token1] = ACTIONS(1992),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1992),
    [aux_sym_protocol_token1] = ACTIONS(1992),
    [aux_sym_proxy_command_token1] = ACTIONS(1992),
    [aux_sym_proxy_jump_token1] = ACTIONS(1992),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1992),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1992),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1992),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1992),
    [aux_sym_rekey_limit_token1] = ACTIONS(1992),
    [aux_sym_remote_command_token1] = ACTIONS(1992),
    [aux_sym_remote_forward_token1] = ACTIONS(1992),
    [aux_sym_request_tty_token1] = ACTIONS(1992),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1992),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1992),
    [aux_sym_security_key_provider_token1] = ACTIONS(1992),
    [aux_sym_send_env_token1] = ACTIONS(1992),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1992),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1992),
    [aux_sym_session_type_token1] = ACTIONS(1992),
    [aux_sym_set_env_token1] = ACTIONS(1992),
    [aux_sym_stdin_null_token1] = ACTIONS(1992),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1992),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1992),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1992),
    [aux_sym_syslog_facility_token1] = ACTIONS(1992),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1992),
    [aux_sym_keep_alive_token1] = ACTIONS(1992),
    [aux_sym_tag_token1] = ACTIONS(1992),
    [aux_sym_tunnel_token1] = ACTIONS(1994),
    [aux_sym_tunnel_device_token1] = ACTIONS(1992),
    [aux_sym_update_host_keys_token1] = ACTIONS(1992),
    [aux_sym_use_keychain_token1] = ACTIONS(1992),
    [aux_sym_use_roaming_token1] = ACTIONS(1992),
    [aux_sym_user_token1] = ACTIONS(1994),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1992),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1992),
    [aux_sym_version_addendum_token1] = ACTIONS(1992),
    [aux_sym_visual_host_key_token1] = ACTIONS(1992),
    [aux_sym_xauth_location_token1] = ACTIONS(1992),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(1998),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2000),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [aux_sym_match_token1] = ACTIONS(1998),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1998),
    [aux_sym_address_family_token1] = ACTIONS(1998),
    [aux_sym_batch_mode_token1] = ACTIONS(1998),
    [aux_sym_bind_address_token1] = ACTIONS(1998),
    [aux_sym_bind_interface_token1] = ACTIONS(1998),
    [aux_sym_canonical_domains_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1998),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1998),
    [aux_sym_certificate_file_token1] = ACTIONS(1998),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1998),
    [aux_sym_channel_timeout_token1] = ACTIONS(1998),
    [aux_sym_check_host_ip_token1] = ACTIONS(1998),
    [aux_sym_ciphers_token1] = ACTIONS(1998),
    [aux_sym_cipher_token1] = ACTIONS(2000),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1998),
    [aux_sym_compression_token1] = ACTIONS(1998),
    [aux_sym_connection_attempts_token1] = ACTIONS(1998),
    [aux_sym_connect_timeout_token1] = ACTIONS(1998),
    [aux_sym_control_master_token1] = ACTIONS(1998),
    [aux_sym_control_path_token1] = ACTIONS(1998),
    [aux_sym_control_persist_token1] = ACTIONS(1998),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1998),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1998),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1998),
    [aux_sym_escape_char_token1] = ACTIONS(1998),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1998),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1998),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1998),
    [aux_sym_forward_agent_token1] = ACTIONS(1998),
    [aux_sym_forward_x11_token1] = ACTIONS(2000),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1998),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1998),
    [aux_sym_gateway_ports_token1] = ACTIONS(1998),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1998),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1998),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1998),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1998),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1998),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1998),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1998),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1998),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1998),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1998),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1998),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1998),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1998),
    [aux_sym_host_key_alias_token1] = ACTIONS(1998),
    [aux_sym_hostname_token1] = ACTIONS(1998),
    [aux_sym_identities_only_token1] = ACTIONS(1998),
    [aux_sym_identity_agent_token1] = ACTIONS(1998),
    [aux_sym_identity_file_token1] = ACTIONS(1998),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1998),
    [aux_sym_include_token1] = ACTIONS(1998),
    [aux_sym_ip_qos_token1] = ACTIONS(1998),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1998),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1998),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1998),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1998),
    [aux_sym_local_command_token1] = ACTIONS(1998),
    [aux_sym_local_forward_token1] = ACTIONS(1998),
    [aux_sym_log_level_token1] = ACTIONS(1998),
    [aux_sym_log_verbose_token1] = ACTIONS(1998),
    [aux_sym_macs_token1] = ACTIONS(1998),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1998),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1998),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1998),
    [aux_sym_password_authentication_token1] = ACTIONS(1998),
    [aux_sym_permit_local_command_token1] = ACTIONS(1998),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1998),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1998),
    [aux_sym_port_token1] = ACTIONS(1998),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1998),
    [aux_sym_protocol_token1] = ACTIONS(1998),
    [aux_sym_proxy_command_token1] = ACTIONS(1998),
    [aux_sym_proxy_jump_token1] = ACTIONS(1998),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1998),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1998),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1998),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1998),
    [aux_sym_rekey_limit_token1] = ACTIONS(1998),
    [aux_sym_remote_command_token1] = ACTIONS(1998),
    [aux_sym_remote_forward_token1] = ACTIONS(1998),
    [aux_sym_request_tty_token1] = ACTIONS(1998),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1998),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1998),
    [aux_sym_security_key_provider_token1] = ACTIONS(1998),
    [aux_sym_send_env_token1] = ACTIONS(1998),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1998),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1998),
    [aux_sym_session_type_token1] = ACTIONS(1998),
    [aux_sym_set_env_token1] = ACTIONS(1998),
    [aux_sym_stdin_null_token1] = ACTIONS(1998),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1998),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1998),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1998),
    [aux_sym_syslog_facility_token1] = ACTIONS(1998),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1998),
    [aux_sym_keep_alive_token1] = ACTIONS(1998),
    [aux_sym_tag_token1] = ACTIONS(1998),
    [aux_sym_tunnel_token1] = ACTIONS(2000),
    [aux_sym_tunnel_device_token1] = ACTIONS(1998),
    [aux_sym_update_host_keys_token1] = ACTIONS(1998),
    [aux_sym_use_keychain_token1] = ACTIONS(1998),
    [aux_sym_use_roaming_token1] = ACTIONS(1998),
    [aux_sym_user_token1] = ACTIONS(2000),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1998),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1998),
    [aux_sym_version_addendum_token1] = ACTIONS(1998),
    [aux_sym_visual_host_key_token1] = ACTIONS(1998),
    [aux_sym_xauth_location_token1] = ACTIONS(1998),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2006),
    [anon_sym_DQUOTE] = ACTIONS(2008),
    [aux_sym_match_token1] = ACTIONS(2004),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2004),
    [aux_sym_address_family_token1] = ACTIONS(2004),
    [aux_sym_batch_mode_token1] = ACTIONS(2004),
    [aux_sym_bind_address_token1] = ACTIONS(2004),
    [aux_sym_bind_interface_token1] = ACTIONS(2004),
    [aux_sym_canonical_domains_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2004),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2004),
    [aux_sym_certificate_file_token1] = ACTIONS(2004),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2004),
    [aux_sym_channel_timeout_token1] = ACTIONS(2004),
    [aux_sym_check_host_ip_token1] = ACTIONS(2004),
    [aux_sym_ciphers_token1] = ACTIONS(2004),
    [aux_sym_cipher_token1] = ACTIONS(2006),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2004),
    [aux_sym_compression_token1] = ACTIONS(2004),
    [aux_sym_connection_attempts_token1] = ACTIONS(2004),
    [aux_sym_connect_timeout_token1] = ACTIONS(2004),
    [aux_sym_control_master_token1] = ACTIONS(2004),
    [aux_sym_control_path_token1] = ACTIONS(2004),
    [aux_sym_control_persist_token1] = ACTIONS(2004),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2004),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2004),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2004),
    [aux_sym_escape_char_token1] = ACTIONS(2004),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2004),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2004),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2004),
    [aux_sym_forward_agent_token1] = ACTIONS(2004),
    [aux_sym_forward_x11_token1] = ACTIONS(2006),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2004),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2004),
    [aux_sym_gateway_ports_token1] = ACTIONS(2004),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2004),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2004),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2004),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2004),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2004),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2004),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2004),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2004),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2004),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2004),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2004),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2004),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2004),
    [aux_sym_host_key_alias_token1] = ACTIONS(2004),
    [aux_sym_hostname_token1] = ACTIONS(2004),
    [aux_sym_identities_only_token1] = ACTIONS(2004),
    [aux_sym_identity_agent_token1] = ACTIONS(2004),
    [aux_sym_identity_file_token1] = ACTIONS(2004),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2004),
    [aux_sym_include_token1] = ACTIONS(2004),
    [aux_sym_ip_qos_token1] = ACTIONS(2004),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2004),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2004),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2004),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2004),
    [aux_sym_local_command_token1] = ACTIONS(2004),
    [aux_sym_local_forward_token1] = ACTIONS(2004),
    [aux_sym_log_level_token1] = ACTIONS(2004),
    [aux_sym_log_verbose_token1] = ACTIONS(2004),
    [aux_sym_macs_token1] = ACTIONS(2004),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2004),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2004),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2004),
    [aux_sym_password_authentication_token1] = ACTIONS(2004),
    [aux_sym_permit_local_command_token1] = ACTIONS(2004),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2004),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2004),
    [aux_sym_port_token1] = ACTIONS(2004),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2004),
    [aux_sym_protocol_token1] = ACTIONS(2004),
    [aux_sym_proxy_command_token1] = ACTIONS(2004),
    [aux_sym_proxy_jump_token1] = ACTIONS(2004),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2004),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2004),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2004),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2004),
    [aux_sym_rekey_limit_token1] = ACTIONS(2004),
    [aux_sym_remote_command_token1] = ACTIONS(2004),
    [aux_sym_remote_forward_token1] = ACTIONS(2004),
    [aux_sym_request_tty_token1] = ACTIONS(2004),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2004),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2004),
    [aux_sym_security_key_provider_token1] = ACTIONS(2004),
    [aux_sym_send_env_token1] = ACTIONS(2004),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2004),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2004),
    [aux_sym_session_type_token1] = ACTIONS(2004),
    [aux_sym_set_env_token1] = ACTIONS(2004),
    [aux_sym_stdin_null_token1] = ACTIONS(2004),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2004),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2004),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2004),
    [aux_sym_syslog_facility_token1] = ACTIONS(2004),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2004),
    [aux_sym_keep_alive_token1] = ACTIONS(2004),
    [aux_sym_tag_token1] = ACTIONS(2004),
    [aux_sym_tunnel_token1] = ACTIONS(2006),
    [aux_sym_tunnel_device_token1] = ACTIONS(2004),
    [aux_sym_update_host_keys_token1] = ACTIONS(2004),
    [aux_sym_use_keychain_token1] = ACTIONS(2004),
    [aux_sym_use_roaming_token1] = ACTIONS(2004),
    [aux_sym_user_token1] = ACTIONS(2006),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2004),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2004),
    [aux_sym_version_addendum_token1] = ACTIONS(2004),
    [aux_sym_visual_host_key_token1] = ACTIONS(2004),
    [aux_sym_xauth_location_token1] = ACTIONS(2004),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2012),
    [anon_sym_DQUOTE] = ACTIONS(2014),
    [aux_sym_match_token1] = ACTIONS(2010),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2010),
    [aux_sym_address_family_token1] = ACTIONS(2010),
    [aux_sym_batch_mode_token1] = ACTIONS(2010),
    [aux_sym_bind_address_token1] = ACTIONS(2010),
    [aux_sym_bind_interface_token1] = ACTIONS(2010),
    [aux_sym_canonical_domains_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2010),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2010),
    [aux_sym_certificate_file_token1] = ACTIONS(2010),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2010),
    [aux_sym_channel_timeout_token1] = ACTIONS(2010),
    [aux_sym_check_host_ip_token1] = ACTIONS(2010),
    [aux_sym_ciphers_token1] = ACTIONS(2010),
    [aux_sym_cipher_token1] = ACTIONS(2012),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2010),
    [aux_sym_compression_token1] = ACTIONS(2010),
    [aux_sym_connection_attempts_token1] = ACTIONS(2010),
    [aux_sym_connect_timeout_token1] = ACTIONS(2010),
    [aux_sym_control_master_token1] = ACTIONS(2010),
    [aux_sym_control_path_token1] = ACTIONS(2010),
    [aux_sym_control_persist_token1] = ACTIONS(2010),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2010),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2010),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2010),
    [aux_sym_escape_char_token1] = ACTIONS(2010),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2010),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2010),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2010),
    [aux_sym_forward_agent_token1] = ACTIONS(2010),
    [aux_sym_forward_x11_token1] = ACTIONS(2012),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2010),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2010),
    [aux_sym_gateway_ports_token1] = ACTIONS(2010),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2010),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2010),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2010),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2010),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2010),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2010),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2010),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2010),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2010),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2010),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2010),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2010),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2010),
    [aux_sym_host_key_alias_token1] = ACTIONS(2010),
    [aux_sym_hostname_token1] = ACTIONS(2010),
    [aux_sym_identities_only_token1] = ACTIONS(2010),
    [aux_sym_identity_agent_token1] = ACTIONS(2010),
    [aux_sym_identity_file_token1] = ACTIONS(2010),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2010),
    [aux_sym_include_token1] = ACTIONS(2010),
    [aux_sym_ip_qos_token1] = ACTIONS(2010),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2010),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2010),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2010),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2010),
    [aux_sym_local_command_token1] = ACTIONS(2010),
    [aux_sym_local_forward_token1] = ACTIONS(2010),
    [aux_sym_log_level_token1] = ACTIONS(2010),
    [aux_sym_log_verbose_token1] = ACTIONS(2010),
    [aux_sym_macs_token1] = ACTIONS(2010),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2010),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2010),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2010),
    [aux_sym_password_authentication_token1] = ACTIONS(2010),
    [aux_sym_permit_local_command_token1] = ACTIONS(2010),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2010),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2010),
    [aux_sym_port_token1] = ACTIONS(2010),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2010),
    [aux_sym_protocol_token1] = ACTIONS(2010),
    [aux_sym_proxy_command_token1] = ACTIONS(2010),
    [aux_sym_proxy_jump_token1] = ACTIONS(2010),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2010),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2010),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2010),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2010),
    [aux_sym_rekey_limit_token1] = ACTIONS(2010),
    [aux_sym_remote_command_token1] = ACTIONS(2010),
    [aux_sym_remote_forward_token1] = ACTIONS(2010),
    [aux_sym_request_tty_token1] = ACTIONS(2010),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2010),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2010),
    [aux_sym_security_key_provider_token1] = ACTIONS(2010),
    [aux_sym_send_env_token1] = ACTIONS(2010),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2010),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2010),
    [aux_sym_session_type_token1] = ACTIONS(2010),
    [aux_sym_set_env_token1] = ACTIONS(2010),
    [aux_sym_stdin_null_token1] = ACTIONS(2010),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2010),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2010),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2010),
    [aux_sym_syslog_facility_token1] = ACTIONS(2010),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2010),
    [aux_sym_keep_alive_token1] = ACTIONS(2010),
    [aux_sym_tag_token1] = ACTIONS(2010),
    [aux_sym_tunnel_token1] = ACTIONS(2012),
    [aux_sym_tunnel_device_token1] = ACTIONS(2010),
    [aux_sym_update_host_keys_token1] = ACTIONS(2010),
    [aux_sym_use_keychain_token1] = ACTIONS(2010),
    [aux_sym_use_roaming_token1] = ACTIONS(2010),
    [aux_sym_user_token1] = ACTIONS(2012),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2010),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2010),
    [aux_sym_version_addendum_token1] = ACTIONS(2010),
    [aux_sym_visual_host_key_token1] = ACTIONS(2010),
    [aux_sym_xauth_location_token1] = ACTIONS(2010),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2018),
    [anon_sym_DQUOTE] = ACTIONS(2020),
    [aux_sym_match_token1] = ACTIONS(2016),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2016),
    [aux_sym_address_family_token1] = ACTIONS(2016),
    [aux_sym_batch_mode_token1] = ACTIONS(2016),
    [aux_sym_bind_address_token1] = ACTIONS(2016),
    [aux_sym_bind_interface_token1] = ACTIONS(2016),
    [aux_sym_canonical_domains_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2016),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2016),
    [aux_sym_certificate_file_token1] = ACTIONS(2016),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2016),
    [aux_sym_channel_timeout_token1] = ACTIONS(2016),
    [aux_sym_check_host_ip_token1] = ACTIONS(2016),
    [aux_sym_ciphers_token1] = ACTIONS(2016),
    [aux_sym_cipher_token1] = ACTIONS(2018),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2016),
    [aux_sym_compression_token1] = ACTIONS(2016),
    [aux_sym_connection_attempts_token1] = ACTIONS(2016),
    [aux_sym_connect_timeout_token1] = ACTIONS(2016),
    [aux_sym_control_master_token1] = ACTIONS(2016),
    [aux_sym_control_path_token1] = ACTIONS(2016),
    [aux_sym_control_persist_token1] = ACTIONS(2016),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2016),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2016),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2016),
    [aux_sym_escape_char_token1] = ACTIONS(2016),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2016),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2016),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2016),
    [aux_sym_forward_agent_token1] = ACTIONS(2016),
    [aux_sym_forward_x11_token1] = ACTIONS(2018),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2016),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2016),
    [aux_sym_gateway_ports_token1] = ACTIONS(2016),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2016),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2016),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2016),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2016),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2016),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2016),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2016),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2016),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2016),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2016),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2016),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2016),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2016),
    [aux_sym_host_key_alias_token1] = ACTIONS(2016),
    [aux_sym_hostname_token1] = ACTIONS(2016),
    [aux_sym_identities_only_token1] = ACTIONS(2016),
    [aux_sym_identity_agent_token1] = ACTIONS(2016),
    [aux_sym_identity_file_token1] = ACTIONS(2016),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2016),
    [aux_sym_include_token1] = ACTIONS(2016),
    [aux_sym_ip_qos_token1] = ACTIONS(2016),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2016),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2016),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2016),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2016),
    [aux_sym_local_command_token1] = ACTIONS(2016),
    [aux_sym_local_forward_token1] = ACTIONS(2016),
    [aux_sym_log_level_token1] = ACTIONS(2016),
    [aux_sym_log_verbose_token1] = ACTIONS(2016),
    [aux_sym_macs_token1] = ACTIONS(2016),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2016),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2016),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2016),
    [aux_sym_password_authentication_token1] = ACTIONS(2016),
    [aux_sym_permit_local_command_token1] = ACTIONS(2016),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2016),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2016),
    [aux_sym_port_token1] = ACTIONS(2016),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2016),
    [aux_sym_protocol_token1] = ACTIONS(2016),
    [aux_sym_proxy_command_token1] = ACTIONS(2016),
    [aux_sym_proxy_jump_token1] = ACTIONS(2016),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2016),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2016),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2016),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2016),
    [aux_sym_rekey_limit_token1] = ACTIONS(2016),
    [aux_sym_remote_command_token1] = ACTIONS(2016),
    [aux_sym_remote_forward_token1] = ACTIONS(2016),
    [aux_sym_request_tty_token1] = ACTIONS(2016),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2016),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2016),
    [aux_sym_security_key_provider_token1] = ACTIONS(2016),
    [aux_sym_send_env_token1] = ACTIONS(2016),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2016),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2016),
    [aux_sym_session_type_token1] = ACTIONS(2016),
    [aux_sym_set_env_token1] = ACTIONS(2016),
    [aux_sym_stdin_null_token1] = ACTIONS(2016),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2016),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2016),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2016),
    [aux_sym_syslog_facility_token1] = ACTIONS(2016),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2016),
    [aux_sym_keep_alive_token1] = ACTIONS(2016),
    [aux_sym_tag_token1] = ACTIONS(2016),
    [aux_sym_tunnel_token1] = ACTIONS(2018),
    [aux_sym_tunnel_device_token1] = ACTIONS(2016),
    [aux_sym_update_host_keys_token1] = ACTIONS(2016),
    [aux_sym_use_keychain_token1] = ACTIONS(2016),
    [aux_sym_use_roaming_token1] = ACTIONS(2016),
    [aux_sym_user_token1] = ACTIONS(2018),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2016),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2016),
    [aux_sym_version_addendum_token1] = ACTIONS(2016),
    [aux_sym_visual_host_key_token1] = ACTIONS(2016),
    [aux_sym_xauth_location_token1] = ACTIONS(2016),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(2022),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2024),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [aux_sym_match_token1] = ACTIONS(2022),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2022),
    [aux_sym_address_family_token1] = ACTIONS(2022),
    [aux_sym_batch_mode_token1] = ACTIONS(2022),
    [aux_sym_bind_address_token1] = ACTIONS(2022),
    [aux_sym_bind_interface_token1] = ACTIONS(2022),
    [aux_sym_canonical_domains_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2022),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2022),
    [aux_sym_certificate_file_token1] = ACTIONS(2022),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2022),
    [aux_sym_channel_timeout_token1] = ACTIONS(2022),
    [aux_sym_check_host_ip_token1] = ACTIONS(2022),
    [aux_sym_ciphers_token1] = ACTIONS(2022),
    [aux_sym_cipher_token1] = ACTIONS(2024),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2022),
    [aux_sym_compression_token1] = ACTIONS(2022),
    [aux_sym_connection_attempts_token1] = ACTIONS(2022),
    [aux_sym_connect_timeout_token1] = ACTIONS(2022),
    [aux_sym_control_master_token1] = ACTIONS(2022),
    [aux_sym_control_path_token1] = ACTIONS(2022),
    [aux_sym_control_persist_token1] = ACTIONS(2022),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2022),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2022),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2022),
    [aux_sym_escape_char_token1] = ACTIONS(2022),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2022),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2022),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2022),
    [aux_sym_forward_agent_token1] = ACTIONS(2022),
    [aux_sym_forward_x11_token1] = ACTIONS(2024),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2022),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2022),
    [aux_sym_gateway_ports_token1] = ACTIONS(2022),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2022),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2022),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2022),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2022),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2022),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2022),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2022),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2022),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2022),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2022),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2022),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2022),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2022),
    [aux_sym_host_key_alias_token1] = ACTIONS(2022),
    [aux_sym_hostname_token1] = ACTIONS(2022),
    [aux_sym_identities_only_token1] = ACTIONS(2022),
    [aux_sym_identity_agent_token1] = ACTIONS(2022),
    [aux_sym_identity_file_token1] = ACTIONS(2022),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2022),
    [aux_sym_include_token1] = ACTIONS(2022),
    [aux_sym_ip_qos_token1] = ACTIONS(2022),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2022),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2022),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2022),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2022),
    [aux_sym_local_command_token1] = ACTIONS(2022),
    [aux_sym_local_forward_token1] = ACTIONS(2022),
    [aux_sym_log_level_token1] = ACTIONS(2022),
    [aux_sym_log_verbose_token1] = ACTIONS(2022),
    [aux_sym_macs_token1] = ACTIONS(2022),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2022),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2022),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2022),
    [aux_sym_password_authentication_token1] = ACTIONS(2022),
    [aux_sym_permit_local_command_token1] = ACTIONS(2022),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2022),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2022),
    [aux_sym_port_token1] = ACTIONS(2022),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2022),
    [aux_sym_protocol_token1] = ACTIONS(2022),
    [aux_sym_proxy_command_token1] = ACTIONS(2022),
    [aux_sym_proxy_jump_token1] = ACTIONS(2022),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2022),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2022),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2022),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2022),
    [aux_sym_rekey_limit_token1] = ACTIONS(2022),
    [aux_sym_remote_command_token1] = ACTIONS(2022),
    [aux_sym_remote_forward_token1] = ACTIONS(2022),
    [aux_sym_request_tty_token1] = ACTIONS(2022),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2022),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2022),
    [aux_sym_security_key_provider_token1] = ACTIONS(2022),
    [aux_sym_send_env_token1] = ACTIONS(2022),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2022),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2022),
    [aux_sym_session_type_token1] = ACTIONS(2022),
    [aux_sym_set_env_token1] = ACTIONS(2022),
    [aux_sym_stdin_null_token1] = ACTIONS(2022),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2022),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2022),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2022),
    [aux_sym_syslog_facility_token1] = ACTIONS(2022),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2022),
    [aux_sym_keep_alive_token1] = ACTIONS(2022),
    [aux_sym_tag_token1] = ACTIONS(2022),
    [aux_sym_tunnel_token1] = ACTIONS(2024),
    [aux_sym_tunnel_device_token1] = ACTIONS(2022),
    [aux_sym_update_host_keys_token1] = ACTIONS(2022),
    [aux_sym_use_keychain_token1] = ACTIONS(2022),
    [aux_sym_use_roaming_token1] = ACTIONS(2022),
    [aux_sym_user_token1] = ACTIONS(2024),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2022),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2022),
    [aux_sym_version_addendum_token1] = ACTIONS(2022),
    [aux_sym_visual_host_key_token1] = ACTIONS(2022),
    [aux_sym_xauth_location_token1] = ACTIONS(2022),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2030),
    [anon_sym_DQUOTE] = ACTIONS(2032),
    [aux_sym_match_token1] = ACTIONS(2028),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2028),
    [aux_sym_address_family_token1] = ACTIONS(2028),
    [aux_sym_batch_mode_token1] = ACTIONS(2028),
    [aux_sym_bind_address_token1] = ACTIONS(2028),
    [aux_sym_bind_interface_token1] = ACTIONS(2028),
    [aux_sym_canonical_domains_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2028),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2028),
    [aux_sym_certificate_file_token1] = ACTIONS(2028),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2028),
    [aux_sym_channel_timeout_token1] = ACTIONS(2028),
    [aux_sym_check_host_ip_token1] = ACTIONS(2028),
    [aux_sym_ciphers_token1] = ACTIONS(2028),
    [aux_sym_cipher_token1] = ACTIONS(2030),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2028),
    [aux_sym_compression_token1] = ACTIONS(2028),
    [aux_sym_connection_attempts_token1] = ACTIONS(2028),
    [aux_sym_connect_timeout_token1] = ACTIONS(2028),
    [aux_sym_control_master_token1] = ACTIONS(2028),
    [aux_sym_control_path_token1] = ACTIONS(2028),
    [aux_sym_control_persist_token1] = ACTIONS(2028),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2028),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2028),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2028),
    [aux_sym_escape_char_token1] = ACTIONS(2028),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2028),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2028),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2028),
    [aux_sym_forward_agent_token1] = ACTIONS(2028),
    [aux_sym_forward_x11_token1] = ACTIONS(2030),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2028),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2028),
    [aux_sym_gateway_ports_token1] = ACTIONS(2028),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2028),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2028),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2028),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2028),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2028),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2028),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2028),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2028),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2028),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2028),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2028),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2028),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2028),
    [aux_sym_host_key_alias_token1] = ACTIONS(2028),
    [aux_sym_hostname_token1] = ACTIONS(2028),
    [aux_sym_identities_only_token1] = ACTIONS(2028),
    [aux_sym_identity_agent_token1] = ACTIONS(2028),
    [aux_sym_identity_file_token1] = ACTIONS(2028),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2028),
    [aux_sym_include_token1] = ACTIONS(2028),
    [aux_sym_ip_qos_token1] = ACTIONS(2028),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2028),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2028),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2028),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2028),
    [aux_sym_local_command_token1] = ACTIONS(2028),
    [aux_sym_local_forward_token1] = ACTIONS(2028),
    [aux_sym_log_level_token1] = ACTIONS(2028),
    [aux_sym_log_verbose_token1] = ACTIONS(2028),
    [aux_sym_macs_token1] = ACTIONS(2028),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2028),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2028),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2028),
    [aux_sym_password_authentication_token1] = ACTIONS(2028),
    [aux_sym_permit_local_command_token1] = ACTIONS(2028),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2028),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2028),
    [aux_sym_port_token1] = ACTIONS(2028),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2028),
    [aux_sym_protocol_token1] = ACTIONS(2028),
    [aux_sym_proxy_command_token1] = ACTIONS(2028),
    [aux_sym_proxy_jump_token1] = ACTIONS(2028),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2028),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2028),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2028),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2028),
    [aux_sym_rekey_limit_token1] = ACTIONS(2028),
    [aux_sym_remote_command_token1] = ACTIONS(2028),
    [aux_sym_remote_forward_token1] = ACTIONS(2028),
    [aux_sym_request_tty_token1] = ACTIONS(2028),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2028),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2028),
    [aux_sym_security_key_provider_token1] = ACTIONS(2028),
    [aux_sym_send_env_token1] = ACTIONS(2028),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2028),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2028),
    [aux_sym_session_type_token1] = ACTIONS(2028),
    [aux_sym_set_env_token1] = ACTIONS(2028),
    [aux_sym_stdin_null_token1] = ACTIONS(2028),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2028),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2028),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2028),
    [aux_sym_syslog_facility_token1] = ACTIONS(2028),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2028),
    [aux_sym_keep_alive_token1] = ACTIONS(2028),
    [aux_sym_tag_token1] = ACTIONS(2028),
    [aux_sym_tunnel_token1] = ACTIONS(2030),
    [aux_sym_tunnel_device_token1] = ACTIONS(2028),
    [aux_sym_update_host_keys_token1] = ACTIONS(2028),
    [aux_sym_use_keychain_token1] = ACTIONS(2028),
    [aux_sym_use_roaming_token1] = ACTIONS(2028),
    [aux_sym_user_token1] = ACTIONS(2030),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2028),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2028),
    [aux_sym_version_addendum_token1] = ACTIONS(2028),
    [aux_sym_visual_host_key_token1] = ACTIONS(2028),
    [aux_sym_xauth_location_token1] = ACTIONS(2028),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [aux_sym_match_token1] = ACTIONS(2034),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2034),
    [aux_sym_address_family_token1] = ACTIONS(2034),
    [aux_sym_batch_mode_token1] = ACTIONS(2034),
    [aux_sym_bind_address_token1] = ACTIONS(2034),
    [aux_sym_bind_interface_token1] = ACTIONS(2034),
    [aux_sym_canonical_domains_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2034),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2034),
    [aux_sym_certificate_file_token1] = ACTIONS(2034),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2034),
    [aux_sym_channel_timeout_token1] = ACTIONS(2034),
    [aux_sym_check_host_ip_token1] = ACTIONS(2034),
    [aux_sym_ciphers_token1] = ACTIONS(2034),
    [aux_sym_cipher_token1] = ACTIONS(2036),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2034),
    [aux_sym_compression_token1] = ACTIONS(2034),
    [aux_sym_connection_attempts_token1] = ACTIONS(2034),
    [aux_sym_connect_timeout_token1] = ACTIONS(2034),
    [aux_sym_control_master_token1] = ACTIONS(2034),
    [aux_sym_control_path_token1] = ACTIONS(2034),
    [aux_sym_control_persist_token1] = ACTIONS(2034),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2034),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2034),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2034),
    [aux_sym_escape_char_token1] = ACTIONS(2034),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2034),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2034),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2034),
    [aux_sym_forward_agent_token1] = ACTIONS(2034),
    [aux_sym_forward_x11_token1] = ACTIONS(2036),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2034),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2034),
    [aux_sym_gateway_ports_token1] = ACTIONS(2034),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2034),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2034),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2034),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2034),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2034),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2034),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2034),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2034),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2034),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2034),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2034),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2034),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2034),
    [aux_sym_host_key_alias_token1] = ACTIONS(2034),
    [aux_sym_hostname_token1] = ACTIONS(2034),
    [aux_sym_identities_only_token1] = ACTIONS(2034),
    [aux_sym_identity_agent_token1] = ACTIONS(2034),
    [aux_sym_identity_file_token1] = ACTIONS(2034),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2034),
    [aux_sym_include_token1] = ACTIONS(2034),
    [aux_sym_ip_qos_token1] = ACTIONS(2034),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2034),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2034),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2034),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2034),
    [aux_sym_local_command_token1] = ACTIONS(2034),
    [aux_sym_local_forward_token1] = ACTIONS(2034),
    [aux_sym_log_level_token1] = ACTIONS(2034),
    [aux_sym_log_verbose_token1] = ACTIONS(2034),
    [aux_sym_macs_token1] = ACTIONS(2034),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2034),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2034),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2034),
    [aux_sym_password_authentication_token1] = ACTIONS(2034),
    [aux_sym_permit_local_command_token1] = ACTIONS(2034),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2034),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2034),
    [aux_sym_port_token1] = ACTIONS(2034),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2034),
    [aux_sym_protocol_token1] = ACTIONS(2034),
    [aux_sym_proxy_command_token1] = ACTIONS(2034),
    [aux_sym_proxy_jump_token1] = ACTIONS(2034),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2034),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2034),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2034),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2034),
    [aux_sym_rekey_limit_token1] = ACTIONS(2034),
    [aux_sym_remote_command_token1] = ACTIONS(2034),
    [aux_sym_remote_forward_token1] = ACTIONS(2034),
    [aux_sym_request_tty_token1] = ACTIONS(2034),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2034),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2034),
    [aux_sym_security_key_provider_token1] = ACTIONS(2034),
    [aux_sym_send_env_token1] = ACTIONS(2034),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2034),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2034),
    [aux_sym_session_type_token1] = ACTIONS(2034),
    [aux_sym_set_env_token1] = ACTIONS(2034),
    [aux_sym_stdin_null_token1] = ACTIONS(2034),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2034),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2034),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2034),
    [aux_sym_syslog_facility_token1] = ACTIONS(2034),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2034),
    [aux_sym_keep_alive_token1] = ACTIONS(2034),
    [aux_sym_tag_token1] = ACTIONS(2034),
    [aux_sym_tunnel_token1] = ACTIONS(2036),
    [aux_sym_tunnel_device_token1] = ACTIONS(2034),
    [aux_sym_update_host_keys_token1] = ACTIONS(2034),
    [aux_sym_use_keychain_token1] = ACTIONS(2034),
    [aux_sym_use_roaming_token1] = ACTIONS(2034),
    [aux_sym_user_token1] = ACTIONS(2036),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2034),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2034),
    [aux_sym_version_addendum_token1] = ACTIONS(2034),
    [aux_sym_visual_host_key_token1] = ACTIONS(2034),
    [aux_sym_xauth_location_token1] = ACTIONS(2034),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2042),
    [anon_sym_DQUOTE] = ACTIONS(2044),
    [aux_sym_match_token1] = ACTIONS(2040),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2040),
    [aux_sym_address_family_token1] = ACTIONS(2040),
    [aux_sym_batch_mode_token1] = ACTIONS(2040),
    [aux_sym_bind_address_token1] = ACTIONS(2040),
    [aux_sym_bind_interface_token1] = ACTIONS(2040),
    [aux_sym_canonical_domains_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2040),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2040),
    [aux_sym_certificate_file_token1] = ACTIONS(2040),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2040),
    [aux_sym_channel_timeout_token1] = ACTIONS(2040),
    [aux_sym_check_host_ip_token1] = ACTIONS(2040),
    [aux_sym_ciphers_token1] = ACTIONS(2040),
    [aux_sym_cipher_token1] = ACTIONS(2042),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2040),
    [aux_sym_compression_token1] = ACTIONS(2040),
    [aux_sym_connection_attempts_token1] = ACTIONS(2040),
    [aux_sym_connect_timeout_token1] = ACTIONS(2040),
    [aux_sym_control_master_token1] = ACTIONS(2040),
    [aux_sym_control_path_token1] = ACTIONS(2040),
    [aux_sym_control_persist_token1] = ACTIONS(2040),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2040),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2040),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2040),
    [aux_sym_escape_char_token1] = ACTIONS(2040),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2040),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2040),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2040),
    [aux_sym_forward_agent_token1] = ACTIONS(2040),
    [aux_sym_forward_x11_token1] = ACTIONS(2042),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2040),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2040),
    [aux_sym_gateway_ports_token1] = ACTIONS(2040),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2040),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2040),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2040),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2040),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2040),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2040),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2040),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2040),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2040),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2040),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2040),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2040),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2040),
    [aux_sym_host_key_alias_token1] = ACTIONS(2040),
    [aux_sym_hostname_token1] = ACTIONS(2040),
    [aux_sym_identities_only_token1] = ACTIONS(2040),
    [aux_sym_identity_agent_token1] = ACTIONS(2040),
    [aux_sym_identity_file_token1] = ACTIONS(2040),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2040),
    [aux_sym_include_token1] = ACTIONS(2040),
    [aux_sym_ip_qos_token1] = ACTIONS(2040),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2040),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2040),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2040),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2040),
    [aux_sym_local_command_token1] = ACTIONS(2040),
    [aux_sym_local_forward_token1] = ACTIONS(2040),
    [aux_sym_log_level_token1] = ACTIONS(2040),
    [aux_sym_log_verbose_token1] = ACTIONS(2040),
    [aux_sym_macs_token1] = ACTIONS(2040),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2040),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2040),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2040),
    [aux_sym_password_authentication_token1] = ACTIONS(2040),
    [aux_sym_permit_local_command_token1] = ACTIONS(2040),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2040),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2040),
    [aux_sym_port_token1] = ACTIONS(2040),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2040),
    [aux_sym_protocol_token1] = ACTIONS(2040),
    [aux_sym_proxy_command_token1] = ACTIONS(2040),
    [aux_sym_proxy_jump_token1] = ACTIONS(2040),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2040),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2040),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2040),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2040),
    [aux_sym_rekey_limit_token1] = ACTIONS(2040),
    [aux_sym_remote_command_token1] = ACTIONS(2040),
    [aux_sym_remote_forward_token1] = ACTIONS(2040),
    [aux_sym_request_tty_token1] = ACTIONS(2040),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2040),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2040),
    [aux_sym_security_key_provider_token1] = ACTIONS(2040),
    [aux_sym_send_env_token1] = ACTIONS(2040),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2040),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2040),
    [aux_sym_session_type_token1] = ACTIONS(2040),
    [aux_sym_set_env_token1] = ACTIONS(2040),
    [aux_sym_stdin_null_token1] = ACTIONS(2040),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2040),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2040),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2040),
    [aux_sym_syslog_facility_token1] = ACTIONS(2040),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2040),
    [aux_sym_keep_alive_token1] = ACTIONS(2040),
    [aux_sym_tag_token1] = ACTIONS(2040),
    [aux_sym_tunnel_token1] = ACTIONS(2042),
    [aux_sym_tunnel_device_token1] = ACTIONS(2040),
    [aux_sym_update_host_keys_token1] = ACTIONS(2040),
    [aux_sym_use_keychain_token1] = ACTIONS(2040),
    [aux_sym_use_roaming_token1] = ACTIONS(2040),
    [aux_sym_user_token1] = ACTIONS(2042),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2040),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2040),
    [aux_sym_version_addendum_token1] = ACTIONS(2040),
    [aux_sym_visual_host_key_token1] = ACTIONS(2040),
    [aux_sym_xauth_location_token1] = ACTIONS(2040),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(2046),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2050),
    [aux_sym_match_token1] = ACTIONS(2046),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2046),
    [aux_sym_address_family_token1] = ACTIONS(2046),
    [aux_sym_batch_mode_token1] = ACTIONS(2046),
    [aux_sym_bind_address_token1] = ACTIONS(2046),
    [aux_sym_bind_interface_token1] = ACTIONS(2046),
    [aux_sym_canonical_domains_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2046),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2046),
    [aux_sym_certificate_file_token1] = ACTIONS(2046),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2046),
    [aux_sym_channel_timeout_token1] = ACTIONS(2046),
    [aux_sym_check_host_ip_token1] = ACTIONS(2046),
    [aux_sym_ciphers_token1] = ACTIONS(2046),
    [aux_sym_cipher_token1] = ACTIONS(2048),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2046),
    [aux_sym_compression_token1] = ACTIONS(2046),
    [aux_sym_connection_attempts_token1] = ACTIONS(2046),
    [aux_sym_connect_timeout_token1] = ACTIONS(2046),
    [aux_sym_control_master_token1] = ACTIONS(2046),
    [aux_sym_control_path_token1] = ACTIONS(2046),
    [aux_sym_control_persist_token1] = ACTIONS(2046),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2046),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2046),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2046),
    [aux_sym_escape_char_token1] = ACTIONS(2046),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2046),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2046),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2046),
    [aux_sym_forward_agent_token1] = ACTIONS(2046),
    [aux_sym_forward_x11_token1] = ACTIONS(2048),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2046),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2046),
    [aux_sym_gateway_ports_token1] = ACTIONS(2046),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2046),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2046),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2046),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2046),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2046),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2046),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2046),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2046),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2046),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2046),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2046),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2046),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2046),
    [aux_sym_host_key_alias_token1] = ACTIONS(2046),
    [aux_sym_hostname_token1] = ACTIONS(2046),
    [aux_sym_identities_only_token1] = ACTIONS(2046),
    [aux_sym_identity_agent_token1] = ACTIONS(2046),
    [aux_sym_identity_file_token1] = ACTIONS(2046),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2046),
    [aux_sym_include_token1] = ACTIONS(2046),
    [aux_sym_ip_qos_token1] = ACTIONS(2046),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2046),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2046),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2046),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2046),
    [aux_sym_local_command_token1] = ACTIONS(2046),
    [aux_sym_local_forward_token1] = ACTIONS(2046),
    [aux_sym_log_level_token1] = ACTIONS(2046),
    [aux_sym_log_verbose_token1] = ACTIONS(2046),
    [aux_sym_macs_token1] = ACTIONS(2046),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2046),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2046),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2046),
    [aux_sym_password_authentication_token1] = ACTIONS(2046),
    [aux_sym_permit_local_command_token1] = ACTIONS(2046),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2046),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2046),
    [aux_sym_port_token1] = ACTIONS(2046),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2046),
    [aux_sym_protocol_token1] = ACTIONS(2046),
    [aux_sym_proxy_command_token1] = ACTIONS(2046),
    [aux_sym_proxy_jump_token1] = ACTIONS(2046),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2046),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2046),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2046),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2046),
    [aux_sym_rekey_limit_token1] = ACTIONS(2046),
    [aux_sym_remote_command_token1] = ACTIONS(2046),
    [aux_sym_remote_forward_token1] = ACTIONS(2046),
    [aux_sym_request_tty_token1] = ACTIONS(2046),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2046),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2046),
    [aux_sym_security_key_provider_token1] = ACTIONS(2046),
    [aux_sym_send_env_token1] = ACTIONS(2046),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2046),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2046),
    [aux_sym_session_type_token1] = ACTIONS(2046),
    [aux_sym_set_env_token1] = ACTIONS(2046),
    [aux_sym_stdin_null_token1] = ACTIONS(2046),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2046),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2046),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2046),
    [aux_sym_syslog_facility_token1] = ACTIONS(2046),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2046),
    [aux_sym_keep_alive_token1] = ACTIONS(2046),
    [aux_sym_tag_token1] = ACTIONS(2046),
    [aux_sym_tunnel_token1] = ACTIONS(2048),
    [aux_sym_tunnel_device_token1] = ACTIONS(2046),
    [aux_sym_update_host_keys_token1] = ACTIONS(2046),
    [aux_sym_use_keychain_token1] = ACTIONS(2046),
    [aux_sym_use_roaming_token1] = ACTIONS(2046),
    [aux_sym_user_token1] = ACTIONS(2048),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2046),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2046),
    [aux_sym_version_addendum_token1] = ACTIONS(2046),
    [aux_sym_visual_host_key_token1] = ACTIONS(2046),
    [aux_sym_xauth_location_token1] = ACTIONS(2046),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2056),
    [aux_sym_match_token1] = ACTIONS(2052),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2052),
    [aux_sym_address_family_token1] = ACTIONS(2052),
    [aux_sym_batch_mode_token1] = ACTIONS(2052),
    [aux_sym_bind_address_token1] = ACTIONS(2052),
    [aux_sym_bind_interface_token1] = ACTIONS(2052),
    [aux_sym_canonical_domains_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2052),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2052),
    [aux_sym_certificate_file_token1] = ACTIONS(2052),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2052),
    [aux_sym_channel_timeout_token1] = ACTIONS(2052),
    [aux_sym_check_host_ip_token1] = ACTIONS(2052),
    [aux_sym_ciphers_token1] = ACTIONS(2052),
    [aux_sym_cipher_token1] = ACTIONS(2054),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2052),
    [aux_sym_compression_token1] = ACTIONS(2052),
    [aux_sym_connection_attempts_token1] = ACTIONS(2052),
    [aux_sym_connect_timeout_token1] = ACTIONS(2052),
    [aux_sym_control_master_token1] = ACTIONS(2052),
    [aux_sym_control_path_token1] = ACTIONS(2052),
    [aux_sym_control_persist_token1] = ACTIONS(2052),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2052),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2052),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2052),
    [aux_sym_escape_char_token1] = ACTIONS(2052),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2052),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2052),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2052),
    [aux_sym_forward_agent_token1] = ACTIONS(2052),
    [aux_sym_forward_x11_token1] = ACTIONS(2054),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2052),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2052),
    [aux_sym_gateway_ports_token1] = ACTIONS(2052),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2052),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2052),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2052),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2052),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2052),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2052),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2052),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2052),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2052),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2052),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2052),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2052),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2052),
    [aux_sym_host_key_alias_token1] = ACTIONS(2052),
    [aux_sym_hostname_token1] = ACTIONS(2052),
    [aux_sym_identities_only_token1] = ACTIONS(2052),
    [aux_sym_identity_agent_token1] = ACTIONS(2052),
    [aux_sym_identity_file_token1] = ACTIONS(2052),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2052),
    [aux_sym_include_token1] = ACTIONS(2052),
    [aux_sym_ip_qos_token1] = ACTIONS(2052),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2052),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2052),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2052),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2052),
    [aux_sym_local_command_token1] = ACTIONS(2052),
    [aux_sym_local_forward_token1] = ACTIONS(2052),
    [aux_sym_log_level_token1] = ACTIONS(2052),
    [aux_sym_log_verbose_token1] = ACTIONS(2052),
    [aux_sym_macs_token1] = ACTIONS(2052),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2052),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2052),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2052),
    [aux_sym_password_authentication_token1] = ACTIONS(2052),
    [aux_sym_permit_local_command_token1] = ACTIONS(2052),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2052),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2052),
    [aux_sym_port_token1] = ACTIONS(2052),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2052),
    [aux_sym_protocol_token1] = ACTIONS(2052),
    [aux_sym_proxy_command_token1] = ACTIONS(2052),
    [aux_sym_proxy_jump_token1] = ACTIONS(2052),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2052),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2052),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2052),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2052),
    [aux_sym_rekey_limit_token1] = ACTIONS(2052),
    [aux_sym_remote_command_token1] = ACTIONS(2052),
    [aux_sym_remote_forward_token1] = ACTIONS(2052),
    [aux_sym_request_tty_token1] = ACTIONS(2052),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2052),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2052),
    [aux_sym_security_key_provider_token1] = ACTIONS(2052),
    [aux_sym_send_env_token1] = ACTIONS(2052),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2052),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2052),
    [aux_sym_session_type_token1] = ACTIONS(2052),
    [aux_sym_set_env_token1] = ACTIONS(2052),
    [aux_sym_stdin_null_token1] = ACTIONS(2052),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2052),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2052),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2052),
    [aux_sym_syslog_facility_token1] = ACTIONS(2052),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2052),
    [aux_sym_keep_alive_token1] = ACTIONS(2052),
    [aux_sym_tag_token1] = ACTIONS(2052),
    [aux_sym_tunnel_token1] = ACTIONS(2054),
    [aux_sym_tunnel_device_token1] = ACTIONS(2052),
    [aux_sym_update_host_keys_token1] = ACTIONS(2052),
    [aux_sym_use_keychain_token1] = ACTIONS(2052),
    [aux_sym_use_roaming_token1] = ACTIONS(2052),
    [aux_sym_user_token1] = ACTIONS(2054),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2052),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2052),
    [aux_sym_version_addendum_token1] = ACTIONS(2052),
    [aux_sym_visual_host_key_token1] = ACTIONS(2052),
    [aux_sym_xauth_location_token1] = ACTIONS(2052),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(2058),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2060),
    [anon_sym_DQUOTE] = ACTIONS(2062),
    [aux_sym_match_token1] = ACTIONS(2058),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2058),
    [aux_sym_address_family_token1] = ACTIONS(2058),
    [aux_sym_batch_mode_token1] = ACTIONS(2058),
    [aux_sym_bind_address_token1] = ACTIONS(2058),
    [aux_sym_bind_interface_token1] = ACTIONS(2058),
    [aux_sym_canonical_domains_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2058),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2058),
    [aux_sym_certificate_file_token1] = ACTIONS(2058),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2058),
    [aux_sym_channel_timeout_token1] = ACTIONS(2058),
    [aux_sym_check_host_ip_token1] = ACTIONS(2058),
    [aux_sym_ciphers_token1] = ACTIONS(2058),
    [aux_sym_cipher_token1] = ACTIONS(2060),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2058),
    [aux_sym_compression_token1] = ACTIONS(2058),
    [aux_sym_connection_attempts_token1] = ACTIONS(2058),
    [aux_sym_connect_timeout_token1] = ACTIONS(2058),
    [aux_sym_control_master_token1] = ACTIONS(2058),
    [aux_sym_control_path_token1] = ACTIONS(2058),
    [aux_sym_control_persist_token1] = ACTIONS(2058),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2058),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2058),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2058),
    [aux_sym_escape_char_token1] = ACTIONS(2058),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2058),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2058),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2058),
    [aux_sym_forward_agent_token1] = ACTIONS(2058),
    [aux_sym_forward_x11_token1] = ACTIONS(2060),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2058),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2058),
    [aux_sym_gateway_ports_token1] = ACTIONS(2058),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2058),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2058),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2058),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2058),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2058),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2058),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2058),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2058),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2058),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2058),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2058),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2058),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2058),
    [aux_sym_host_key_alias_token1] = ACTIONS(2058),
    [aux_sym_hostname_token1] = ACTIONS(2058),
    [aux_sym_identities_only_token1] = ACTIONS(2058),
    [aux_sym_identity_agent_token1] = ACTIONS(2058),
    [aux_sym_identity_file_token1] = ACTIONS(2058),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2058),
    [aux_sym_include_token1] = ACTIONS(2058),
    [aux_sym_ip_qos_token1] = ACTIONS(2058),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2058),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2058),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2058),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2058),
    [aux_sym_local_command_token1] = ACTIONS(2058),
    [aux_sym_local_forward_token1] = ACTIONS(2058),
    [aux_sym_log_level_token1] = ACTIONS(2058),
    [aux_sym_log_verbose_token1] = ACTIONS(2058),
    [aux_sym_macs_token1] = ACTIONS(2058),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2058),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2058),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2058),
    [aux_sym_password_authentication_token1] = ACTIONS(2058),
    [aux_sym_permit_local_command_token1] = ACTIONS(2058),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2058),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2058),
    [aux_sym_port_token1] = ACTIONS(2058),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2058),
    [aux_sym_protocol_token1] = ACTIONS(2058),
    [aux_sym_proxy_command_token1] = ACTIONS(2058),
    [aux_sym_proxy_jump_token1] = ACTIONS(2058),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2058),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2058),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2058),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2058),
    [aux_sym_rekey_limit_token1] = ACTIONS(2058),
    [aux_sym_remote_command_token1] = ACTIONS(2058),
    [aux_sym_remote_forward_token1] = ACTIONS(2058),
    [aux_sym_request_tty_token1] = ACTIONS(2058),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2058),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2058),
    [aux_sym_security_key_provider_token1] = ACTIONS(2058),
    [aux_sym_send_env_token1] = ACTIONS(2058),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2058),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2058),
    [aux_sym_session_type_token1] = ACTIONS(2058),
    [aux_sym_set_env_token1] = ACTIONS(2058),
    [aux_sym_stdin_null_token1] = ACTIONS(2058),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2058),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2058),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2058),
    [aux_sym_syslog_facility_token1] = ACTIONS(2058),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2058),
    [aux_sym_keep_alive_token1] = ACTIONS(2058),
    [aux_sym_tag_token1] = ACTIONS(2058),
    [aux_sym_tunnel_token1] = ACTIONS(2060),
    [aux_sym_tunnel_device_token1] = ACTIONS(2058),
    [aux_sym_update_host_keys_token1] = ACTIONS(2058),
    [aux_sym_use_keychain_token1] = ACTIONS(2058),
    [aux_sym_use_roaming_token1] = ACTIONS(2058),
    [aux_sym_user_token1] = ACTIONS(2060),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2058),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2058),
    [aux_sym_version_addendum_token1] = ACTIONS(2058),
    [aux_sym_visual_host_key_token1] = ACTIONS(2058),
    [aux_sym_xauth_location_token1] = ACTIONS(2058),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2066),
    [anon_sym_DQUOTE] = ACTIONS(2068),
    [aux_sym_match_token1] = ACTIONS(2064),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2064),
    [aux_sym_address_family_token1] = ACTIONS(2064),
    [aux_sym_batch_mode_token1] = ACTIONS(2064),
    [aux_sym_bind_address_token1] = ACTIONS(2064),
    [aux_sym_bind_interface_token1] = ACTIONS(2064),
    [aux_sym_canonical_domains_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2064),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2064),
    [aux_sym_certificate_file_token1] = ACTIONS(2064),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2064),
    [aux_sym_channel_timeout_token1] = ACTIONS(2064),
    [aux_sym_check_host_ip_token1] = ACTIONS(2064),
    [aux_sym_ciphers_token1] = ACTIONS(2064),
    [aux_sym_cipher_token1] = ACTIONS(2066),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2064),
    [aux_sym_compression_token1] = ACTIONS(2064),
    [aux_sym_connection_attempts_token1] = ACTIONS(2064),
    [aux_sym_connect_timeout_token1] = ACTIONS(2064),
    [aux_sym_control_master_token1] = ACTIONS(2064),
    [aux_sym_control_path_token1] = ACTIONS(2064),
    [aux_sym_control_persist_token1] = ACTIONS(2064),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2064),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2064),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2064),
    [aux_sym_escape_char_token1] = ACTIONS(2064),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2064),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2064),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2064),
    [aux_sym_forward_agent_token1] = ACTIONS(2064),
    [aux_sym_forward_x11_token1] = ACTIONS(2066),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2064),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2064),
    [aux_sym_gateway_ports_token1] = ACTIONS(2064),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2064),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2064),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2064),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2064),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2064),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2064),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2064),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2064),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2064),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2064),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2064),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2064),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2064),
    [aux_sym_host_key_alias_token1] = ACTIONS(2064),
    [aux_sym_hostname_token1] = ACTIONS(2064),
    [aux_sym_identities_only_token1] = ACTIONS(2064),
    [aux_sym_identity_agent_token1] = ACTIONS(2064),
    [aux_sym_identity_file_token1] = ACTIONS(2064),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2064),
    [aux_sym_include_token1] = ACTIONS(2064),
    [aux_sym_ip_qos_token1] = ACTIONS(2064),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2064),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2064),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2064),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2064),
    [aux_sym_local_command_token1] = ACTIONS(2064),
    [aux_sym_local_forward_token1] = ACTIONS(2064),
    [aux_sym_log_level_token1] = ACTIONS(2064),
    [aux_sym_log_verbose_token1] = ACTIONS(2064),
    [aux_sym_macs_token1] = ACTIONS(2064),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2064),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2064),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2064),
    [aux_sym_password_authentication_token1] = ACTIONS(2064),
    [aux_sym_permit_local_command_token1] = ACTIONS(2064),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2064),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2064),
    [aux_sym_port_token1] = ACTIONS(2064),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2064),
    [aux_sym_protocol_token1] = ACTIONS(2064),
    [aux_sym_proxy_command_token1] = ACTIONS(2064),
    [aux_sym_proxy_jump_token1] = ACTIONS(2064),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2064),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2064),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2064),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2064),
    [aux_sym_rekey_limit_token1] = ACTIONS(2064),
    [aux_sym_remote_command_token1] = ACTIONS(2064),
    [aux_sym_remote_forward_token1] = ACTIONS(2064),
    [aux_sym_request_tty_token1] = ACTIONS(2064),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2064),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2064),
    [aux_sym_security_key_provider_token1] = ACTIONS(2064),
    [aux_sym_send_env_token1] = ACTIONS(2064),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2064),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2064),
    [aux_sym_session_type_token1] = ACTIONS(2064),
    [aux_sym_set_env_token1] = ACTIONS(2064),
    [aux_sym_stdin_null_token1] = ACTIONS(2064),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2064),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2064),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2064),
    [aux_sym_syslog_facility_token1] = ACTIONS(2064),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2064),
    [aux_sym_keep_alive_token1] = ACTIONS(2064),
    [aux_sym_tag_token1] = ACTIONS(2064),
    [aux_sym_tunnel_token1] = ACTIONS(2066),
    [aux_sym_tunnel_device_token1] = ACTIONS(2064),
    [aux_sym_update_host_keys_token1] = ACTIONS(2064),
    [aux_sym_use_keychain_token1] = ACTIONS(2064),
    [aux_sym_use_roaming_token1] = ACTIONS(2064),
    [aux_sym_user_token1] = ACTIONS(2066),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2064),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2064),
    [aux_sym_version_addendum_token1] = ACTIONS(2064),
    [aux_sym_visual_host_key_token1] = ACTIONS(2064),
    [aux_sym_xauth_location_token1] = ACTIONS(2064),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2072),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [aux_sym_match_token1] = ACTIONS(2070),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2070),
    [aux_sym_address_family_token1] = ACTIONS(2070),
    [aux_sym_batch_mode_token1] = ACTIONS(2070),
    [aux_sym_bind_address_token1] = ACTIONS(2070),
    [aux_sym_bind_interface_token1] = ACTIONS(2070),
    [aux_sym_canonical_domains_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2070),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2070),
    [aux_sym_certificate_file_token1] = ACTIONS(2070),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2070),
    [aux_sym_channel_timeout_token1] = ACTIONS(2070),
    [aux_sym_check_host_ip_token1] = ACTIONS(2070),
    [aux_sym_ciphers_token1] = ACTIONS(2070),
    [aux_sym_cipher_token1] = ACTIONS(2072),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2070),
    [aux_sym_compression_token1] = ACTIONS(2070),
    [aux_sym_connection_attempts_token1] = ACTIONS(2070),
    [aux_sym_connect_timeout_token1] = ACTIONS(2070),
    [aux_sym_control_master_token1] = ACTIONS(2070),
    [aux_sym_control_path_token1] = ACTIONS(2070),
    [aux_sym_control_persist_token1] = ACTIONS(2070),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2070),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2070),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2070),
    [aux_sym_escape_char_token1] = ACTIONS(2070),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2070),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2070),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2070),
    [aux_sym_forward_agent_token1] = ACTIONS(2070),
    [aux_sym_forward_x11_token1] = ACTIONS(2072),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2070),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2070),
    [aux_sym_gateway_ports_token1] = ACTIONS(2070),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2070),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2070),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2070),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2070),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2070),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2070),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2070),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2070),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2070),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2070),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2070),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2070),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2070),
    [aux_sym_host_key_alias_token1] = ACTIONS(2070),
    [aux_sym_hostname_token1] = ACTIONS(2070),
    [aux_sym_identities_only_token1] = ACTIONS(2070),
    [aux_sym_identity_agent_token1] = ACTIONS(2070),
    [aux_sym_identity_file_token1] = ACTIONS(2070),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2070),
    [aux_sym_include_token1] = ACTIONS(2070),
    [aux_sym_ip_qos_token1] = ACTIONS(2070),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2070),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2070),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2070),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2070),
    [aux_sym_local_command_token1] = ACTIONS(2070),
    [aux_sym_local_forward_token1] = ACTIONS(2070),
    [aux_sym_log_level_token1] = ACTIONS(2070),
    [aux_sym_log_verbose_token1] = ACTIONS(2070),
    [aux_sym_macs_token1] = ACTIONS(2070),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2070),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2070),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2070),
    [aux_sym_password_authentication_token1] = ACTIONS(2070),
    [aux_sym_permit_local_command_token1] = ACTIONS(2070),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2070),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2070),
    [aux_sym_port_token1] = ACTIONS(2070),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2070),
    [aux_sym_protocol_token1] = ACTIONS(2070),
    [aux_sym_proxy_command_token1] = ACTIONS(2070),
    [aux_sym_proxy_jump_token1] = ACTIONS(2070),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2070),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2070),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2070),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2070),
    [aux_sym_rekey_limit_token1] = ACTIONS(2070),
    [aux_sym_remote_command_token1] = ACTIONS(2070),
    [aux_sym_remote_forward_token1] = ACTIONS(2070),
    [aux_sym_request_tty_token1] = ACTIONS(2070),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2070),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2070),
    [aux_sym_security_key_provider_token1] = ACTIONS(2070),
    [aux_sym_send_env_token1] = ACTIONS(2070),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2070),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2070),
    [aux_sym_session_type_token1] = ACTIONS(2070),
    [aux_sym_set_env_token1] = ACTIONS(2070),
    [aux_sym_stdin_null_token1] = ACTIONS(2070),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2070),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2070),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2070),
    [aux_sym_syslog_facility_token1] = ACTIONS(2070),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2070),
    [aux_sym_keep_alive_token1] = ACTIONS(2070),
    [aux_sym_tag_token1] = ACTIONS(2070),
    [aux_sym_tunnel_token1] = ACTIONS(2072),
    [aux_sym_tunnel_device_token1] = ACTIONS(2070),
    [aux_sym_update_host_keys_token1] = ACTIONS(2070),
    [aux_sym_use_keychain_token1] = ACTIONS(2070),
    [aux_sym_use_roaming_token1] = ACTIONS(2070),
    [aux_sym_user_token1] = ACTIONS(2072),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2070),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2070),
    [aux_sym_version_addendum_token1] = ACTIONS(2070),
    [aux_sym_visual_host_key_token1] = ACTIONS(2070),
    [aux_sym_xauth_location_token1] = ACTIONS(2070),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(2080),
    [aux_sym_match_token1] = ACTIONS(2076),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2076),
    [aux_sym_address_family_token1] = ACTIONS(2076),
    [aux_sym_batch_mode_token1] = ACTIONS(2076),
    [aux_sym_bind_address_token1] = ACTIONS(2076),
    [aux_sym_bind_interface_token1] = ACTIONS(2076),
    [aux_sym_canonical_domains_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2076),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2076),
    [aux_sym_certificate_file_token1] = ACTIONS(2076),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2076),
    [aux_sym_channel_timeout_token1] = ACTIONS(2076),
    [aux_sym_check_host_ip_token1] = ACTIONS(2076),
    [aux_sym_ciphers_token1] = ACTIONS(2076),
    [aux_sym_cipher_token1] = ACTIONS(2078),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2076),
    [aux_sym_compression_token1] = ACTIONS(2076),
    [aux_sym_connection_attempts_token1] = ACTIONS(2076),
    [aux_sym_connect_timeout_token1] = ACTIONS(2076),
    [aux_sym_control_master_token1] = ACTIONS(2076),
    [aux_sym_control_path_token1] = ACTIONS(2076),
    [aux_sym_control_persist_token1] = ACTIONS(2076),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2076),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2076),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2076),
    [aux_sym_escape_char_token1] = ACTIONS(2076),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2076),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2076),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2076),
    [aux_sym_forward_agent_token1] = ACTIONS(2076),
    [aux_sym_forward_x11_token1] = ACTIONS(2078),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2076),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2076),
    [aux_sym_gateway_ports_token1] = ACTIONS(2076),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2076),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2076),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2076),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2076),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2076),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2076),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2076),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2076),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2076),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2076),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2076),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2076),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2076),
    [aux_sym_host_key_alias_token1] = ACTIONS(2076),
    [aux_sym_hostname_token1] = ACTIONS(2076),
    [aux_sym_identities_only_token1] = ACTIONS(2076),
    [aux_sym_identity_agent_token1] = ACTIONS(2076),
    [aux_sym_identity_file_token1] = ACTIONS(2076),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2076),
    [aux_sym_include_token1] = ACTIONS(2076),
    [aux_sym_ip_qos_token1] = ACTIONS(2076),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2076),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2076),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2076),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2076),
    [aux_sym_local_command_token1] = ACTIONS(2076),
    [aux_sym_local_forward_token1] = ACTIONS(2076),
    [aux_sym_log_level_token1] = ACTIONS(2076),
    [aux_sym_log_verbose_token1] = ACTIONS(2076),
    [aux_sym_macs_token1] = ACTIONS(2076),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2076),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2076),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2076),
    [aux_sym_password_authentication_token1] = ACTIONS(2076),
    [aux_sym_permit_local_command_token1] = ACTIONS(2076),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2076),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2076),
    [aux_sym_port_token1] = ACTIONS(2076),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2076),
    [aux_sym_protocol_token1] = ACTIONS(2076),
    [aux_sym_proxy_command_token1] = ACTIONS(2076),
    [aux_sym_proxy_jump_token1] = ACTIONS(2076),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2076),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2076),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2076),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2076),
    [aux_sym_rekey_limit_token1] = ACTIONS(2076),
    [aux_sym_remote_command_token1] = ACTIONS(2076),
    [aux_sym_remote_forward_token1] = ACTIONS(2076),
    [aux_sym_request_tty_token1] = ACTIONS(2076),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2076),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2076),
    [aux_sym_security_key_provider_token1] = ACTIONS(2076),
    [aux_sym_send_env_token1] = ACTIONS(2076),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2076),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2076),
    [aux_sym_session_type_token1] = ACTIONS(2076),
    [aux_sym_set_env_token1] = ACTIONS(2076),
    [aux_sym_stdin_null_token1] = ACTIONS(2076),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2076),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2076),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2076),
    [aux_sym_syslog_facility_token1] = ACTIONS(2076),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2076),
    [aux_sym_keep_alive_token1] = ACTIONS(2076),
    [aux_sym_tag_token1] = ACTIONS(2076),
    [aux_sym_tunnel_token1] = ACTIONS(2078),
    [aux_sym_tunnel_device_token1] = ACTIONS(2076),
    [aux_sym_update_host_keys_token1] = ACTIONS(2076),
    [aux_sym_use_keychain_token1] = ACTIONS(2076),
    [aux_sym_use_roaming_token1] = ACTIONS(2076),
    [aux_sym_user_token1] = ACTIONS(2078),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2076),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2076),
    [aux_sym_version_addendum_token1] = ACTIONS(2076),
    [aux_sym_visual_host_key_token1] = ACTIONS(2076),
    [aux_sym_xauth_location_token1] = ACTIONS(2076),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2084),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [aux_sym_match_token1] = ACTIONS(2082),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2082),
    [aux_sym_address_family_token1] = ACTIONS(2082),
    [aux_sym_batch_mode_token1] = ACTIONS(2082),
    [aux_sym_bind_address_token1] = ACTIONS(2082),
    [aux_sym_bind_interface_token1] = ACTIONS(2082),
    [aux_sym_canonical_domains_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2082),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2082),
    [aux_sym_certificate_file_token1] = ACTIONS(2082),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2082),
    [aux_sym_channel_timeout_token1] = ACTIONS(2082),
    [aux_sym_check_host_ip_token1] = ACTIONS(2082),
    [aux_sym_ciphers_token1] = ACTIONS(2082),
    [aux_sym_cipher_token1] = ACTIONS(2084),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2082),
    [aux_sym_compression_token1] = ACTIONS(2082),
    [aux_sym_connection_attempts_token1] = ACTIONS(2082),
    [aux_sym_connect_timeout_token1] = ACTIONS(2082),
    [aux_sym_control_master_token1] = ACTIONS(2082),
    [aux_sym_control_path_token1] = ACTIONS(2082),
    [aux_sym_control_persist_token1] = ACTIONS(2082),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2082),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2082),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2082),
    [aux_sym_escape_char_token1] = ACTIONS(2082),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2082),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2082),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2082),
    [aux_sym_forward_agent_token1] = ACTIONS(2082),
    [aux_sym_forward_x11_token1] = ACTIONS(2084),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2082),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2082),
    [aux_sym_gateway_ports_token1] = ACTIONS(2082),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2082),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2082),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2082),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2082),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2082),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2082),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2082),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2082),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2082),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2082),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2082),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2082),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2082),
    [aux_sym_host_key_alias_token1] = ACTIONS(2082),
    [aux_sym_hostname_token1] = ACTIONS(2082),
    [aux_sym_identities_only_token1] = ACTIONS(2082),
    [aux_sym_identity_agent_token1] = ACTIONS(2082),
    [aux_sym_identity_file_token1] = ACTIONS(2082),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2082),
    [aux_sym_include_token1] = ACTIONS(2082),
    [aux_sym_ip_qos_token1] = ACTIONS(2082),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2082),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2082),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2082),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2082),
    [aux_sym_local_command_token1] = ACTIONS(2082),
    [aux_sym_local_forward_token1] = ACTIONS(2082),
    [aux_sym_log_level_token1] = ACTIONS(2082),
    [aux_sym_log_verbose_token1] = ACTIONS(2082),
    [aux_sym_macs_token1] = ACTIONS(2082),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2082),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2082),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2082),
    [aux_sym_password_authentication_token1] = ACTIONS(2082),
    [aux_sym_permit_local_command_token1] = ACTIONS(2082),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2082),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2082),
    [aux_sym_port_token1] = ACTIONS(2082),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2082),
    [aux_sym_protocol_token1] = ACTIONS(2082),
    [aux_sym_proxy_command_token1] = ACTIONS(2082),
    [aux_sym_proxy_jump_token1] = ACTIONS(2082),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2082),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2082),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2082),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2082),
    [aux_sym_rekey_limit_token1] = ACTIONS(2082),
    [aux_sym_remote_command_token1] = ACTIONS(2082),
    [aux_sym_remote_forward_token1] = ACTIONS(2082),
    [aux_sym_request_tty_token1] = ACTIONS(2082),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2082),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2082),
    [aux_sym_security_key_provider_token1] = ACTIONS(2082),
    [aux_sym_send_env_token1] = ACTIONS(2082),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2082),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2082),
    [aux_sym_session_type_token1] = ACTIONS(2082),
    [aux_sym_set_env_token1] = ACTIONS(2082),
    [aux_sym_stdin_null_token1] = ACTIONS(2082),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2082),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2082),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2082),
    [aux_sym_syslog_facility_token1] = ACTIONS(2082),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2082),
    [aux_sym_keep_alive_token1] = ACTIONS(2082),
    [aux_sym_tag_token1] = ACTIONS(2082),
    [aux_sym_tunnel_token1] = ACTIONS(2084),
    [aux_sym_tunnel_device_token1] = ACTIONS(2082),
    [aux_sym_update_host_keys_token1] = ACTIONS(2082),
    [aux_sym_use_keychain_token1] = ACTIONS(2082),
    [aux_sym_use_roaming_token1] = ACTIONS(2082),
    [aux_sym_user_token1] = ACTIONS(2084),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2082),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2082),
    [aux_sym_version_addendum_token1] = ACTIONS(2082),
    [aux_sym_visual_host_key_token1] = ACTIONS(2082),
    [aux_sym_xauth_location_token1] = ACTIONS(2082),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(2088),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2090),
    [anon_sym_DQUOTE] = ACTIONS(2092),
    [aux_sym_match_token1] = ACTIONS(2088),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2088),
    [aux_sym_address_family_token1] = ACTIONS(2088),
    [aux_sym_batch_mode_token1] = ACTIONS(2088),
    [aux_sym_bind_address_token1] = ACTIONS(2088),
    [aux_sym_bind_interface_token1] = ACTIONS(2088),
    [aux_sym_canonical_domains_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2088),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2088),
    [aux_sym_certificate_file_token1] = ACTIONS(2088),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2088),
    [aux_sym_channel_timeout_token1] = ACTIONS(2088),
    [aux_sym_check_host_ip_token1] = ACTIONS(2088),
    [aux_sym_ciphers_token1] = ACTIONS(2088),
    [aux_sym_cipher_token1] = ACTIONS(2090),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2088),
    [aux_sym_compression_token1] = ACTIONS(2088),
    [aux_sym_connection_attempts_token1] = ACTIONS(2088),
    [aux_sym_connect_timeout_token1] = ACTIONS(2088),
    [aux_sym_control_master_token1] = ACTIONS(2088),
    [aux_sym_control_path_token1] = ACTIONS(2088),
    [aux_sym_control_persist_token1] = ACTIONS(2088),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2088),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2088),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2088),
    [aux_sym_escape_char_token1] = ACTIONS(2088),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2088),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2088),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2088),
    [aux_sym_forward_agent_token1] = ACTIONS(2088),
    [aux_sym_forward_x11_token1] = ACTIONS(2090),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2088),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2088),
    [aux_sym_gateway_ports_token1] = ACTIONS(2088),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2088),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2088),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2088),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2088),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2088),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2088),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2088),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2088),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2088),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2088),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2088),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2088),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2088),
    [aux_sym_host_key_alias_token1] = ACTIONS(2088),
    [aux_sym_hostname_token1] = ACTIONS(2088),
    [aux_sym_identities_only_token1] = ACTIONS(2088),
    [aux_sym_identity_agent_token1] = ACTIONS(2088),
    [aux_sym_identity_file_token1] = ACTIONS(2088),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2088),
    [aux_sym_include_token1] = ACTIONS(2088),
    [aux_sym_ip_qos_token1] = ACTIONS(2088),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2088),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2088),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2088),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2088),
    [aux_sym_local_command_token1] = ACTIONS(2088),
    [aux_sym_local_forward_token1] = ACTIONS(2088),
    [aux_sym_log_level_token1] = ACTIONS(2088),
    [aux_sym_log_verbose_token1] = ACTIONS(2088),
    [aux_sym_macs_token1] = ACTIONS(2088),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2088),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2088),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2088),
    [aux_sym_password_authentication_token1] = ACTIONS(2088),
    [aux_sym_permit_local_command_token1] = ACTIONS(2088),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2088),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2088),
    [aux_sym_port_token1] = ACTIONS(2088),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2088),
    [aux_sym_protocol_token1] = ACTIONS(2088),
    [aux_sym_proxy_command_token1] = ACTIONS(2088),
    [aux_sym_proxy_jump_token1] = ACTIONS(2088),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2088),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2088),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2088),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2088),
    [aux_sym_rekey_limit_token1] = ACTIONS(2088),
    [aux_sym_remote_command_token1] = ACTIONS(2088),
    [aux_sym_remote_forward_token1] = ACTIONS(2088),
    [aux_sym_request_tty_token1] = ACTIONS(2088),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2088),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2088),
    [aux_sym_security_key_provider_token1] = ACTIONS(2088),
    [aux_sym_send_env_token1] = ACTIONS(2088),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2088),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2088),
    [aux_sym_session_type_token1] = ACTIONS(2088),
    [aux_sym_set_env_token1] = ACTIONS(2088),
    [aux_sym_stdin_null_token1] = ACTIONS(2088),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2088),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2088),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2088),
    [aux_sym_syslog_facility_token1] = ACTIONS(2088),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2088),
    [aux_sym_keep_alive_token1] = ACTIONS(2088),
    [aux_sym_tag_token1] = ACTIONS(2088),
    [aux_sym_tunnel_token1] = ACTIONS(2090),
    [aux_sym_tunnel_device_token1] = ACTIONS(2088),
    [aux_sym_update_host_keys_token1] = ACTIONS(2088),
    [aux_sym_use_keychain_token1] = ACTIONS(2088),
    [aux_sym_use_roaming_token1] = ACTIONS(2088),
    [aux_sym_user_token1] = ACTIONS(2090),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2088),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2088),
    [aux_sym_version_addendum_token1] = ACTIONS(2088),
    [aux_sym_visual_host_key_token1] = ACTIONS(2088),
    [aux_sym_xauth_location_token1] = ACTIONS(2088),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(2094),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2096),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [aux_sym_match_token1] = ACTIONS(2094),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2094),
    [aux_sym_address_family_token1] = ACTIONS(2094),
    [aux_sym_batch_mode_token1] = ACTIONS(2094),
    [aux_sym_bind_address_token1] = ACTIONS(2094),
    [aux_sym_bind_interface_token1] = ACTIONS(2094),
    [aux_sym_canonical_domains_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2094),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2094),
    [aux_sym_certificate_file_token1] = ACTIONS(2094),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2094),
    [aux_sym_channel_timeout_token1] = ACTIONS(2094),
    [aux_sym_check_host_ip_token1] = ACTIONS(2094),
    [aux_sym_ciphers_token1] = ACTIONS(2094),
    [aux_sym_cipher_token1] = ACTIONS(2096),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2094),
    [aux_sym_compression_token1] = ACTIONS(2094),
    [aux_sym_connection_attempts_token1] = ACTIONS(2094),
    [aux_sym_connect_timeout_token1] = ACTIONS(2094),
    [aux_sym_control_master_token1] = ACTIONS(2094),
    [aux_sym_control_path_token1] = ACTIONS(2094),
    [aux_sym_control_persist_token1] = ACTIONS(2094),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2094),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2094),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2094),
    [aux_sym_escape_char_token1] = ACTIONS(2094),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2094),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2094),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2094),
    [aux_sym_forward_agent_token1] = ACTIONS(2094),
    [aux_sym_forward_x11_token1] = ACTIONS(2096),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2094),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2094),
    [aux_sym_gateway_ports_token1] = ACTIONS(2094),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2094),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2094),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2094),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2094),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2094),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2094),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2094),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2094),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2094),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2094),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2094),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2094),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2094),
    [aux_sym_host_key_alias_token1] = ACTIONS(2094),
    [aux_sym_hostname_token1] = ACTIONS(2094),
    [aux_sym_identities_only_token1] = ACTIONS(2094),
    [aux_sym_identity_agent_token1] = ACTIONS(2094),
    [aux_sym_identity_file_token1] = ACTIONS(2094),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2094),
    [aux_sym_include_token1] = ACTIONS(2094),
    [aux_sym_ip_qos_token1] = ACTIONS(2094),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2094),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2094),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2094),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2094),
    [aux_sym_local_command_token1] = ACTIONS(2094),
    [aux_sym_local_forward_token1] = ACTIONS(2094),
    [aux_sym_log_level_token1] = ACTIONS(2094),
    [aux_sym_log_verbose_token1] = ACTIONS(2094),
    [aux_sym_macs_token1] = ACTIONS(2094),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2094),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2094),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2094),
    [aux_sym_password_authentication_token1] = ACTIONS(2094),
    [aux_sym_permit_local_command_token1] = ACTIONS(2094),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2094),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2094),
    [aux_sym_port_token1] = ACTIONS(2094),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2094),
    [aux_sym_protocol_token1] = ACTIONS(2094),
    [aux_sym_proxy_command_token1] = ACTIONS(2094),
    [aux_sym_proxy_jump_token1] = ACTIONS(2094),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2094),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2094),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2094),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2094),
    [aux_sym_rekey_limit_token1] = ACTIONS(2094),
    [aux_sym_remote_command_token1] = ACTIONS(2094),
    [aux_sym_remote_forward_token1] = ACTIONS(2094),
    [aux_sym_request_tty_token1] = ACTIONS(2094),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2094),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2094),
    [aux_sym_security_key_provider_token1] = ACTIONS(2094),
    [aux_sym_send_env_token1] = ACTIONS(2094),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2094),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2094),
    [aux_sym_session_type_token1] = ACTIONS(2094),
    [aux_sym_set_env_token1] = ACTIONS(2094),
    [aux_sym_stdin_null_token1] = ACTIONS(2094),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2094),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2094),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2094),
    [aux_sym_syslog_facility_token1] = ACTIONS(2094),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2094),
    [aux_sym_keep_alive_token1] = ACTIONS(2094),
    [aux_sym_tag_token1] = ACTIONS(2094),
    [aux_sym_tunnel_token1] = ACTIONS(2096),
    [aux_sym_tunnel_device_token1] = ACTIONS(2094),
    [aux_sym_update_host_keys_token1] = ACTIONS(2094),
    [aux_sym_use_keychain_token1] = ACTIONS(2094),
    [aux_sym_use_roaming_token1] = ACTIONS(2094),
    [aux_sym_user_token1] = ACTIONS(2096),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2094),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2094),
    [aux_sym_version_addendum_token1] = ACTIONS(2094),
    [aux_sym_visual_host_key_token1] = ACTIONS(2094),
    [aux_sym_xauth_location_token1] = ACTIONS(2094),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(2100),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2102),
    [anon_sym_DQUOTE] = ACTIONS(2104),
    [aux_sym_match_token1] = ACTIONS(2100),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2100),
    [aux_sym_address_family_token1] = ACTIONS(2100),
    [aux_sym_batch_mode_token1] = ACTIONS(2100),
    [aux_sym_bind_address_token1] = ACTIONS(2100),
    [aux_sym_bind_interface_token1] = ACTIONS(2100),
    [aux_sym_canonical_domains_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2100),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2100),
    [aux_sym_certificate_file_token1] = ACTIONS(2100),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2100),
    [aux_sym_channel_timeout_token1] = ACTIONS(2100),
    [aux_sym_check_host_ip_token1] = ACTIONS(2100),
    [aux_sym_ciphers_token1] = ACTIONS(2100),
    [aux_sym_cipher_token1] = ACTIONS(2102),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2100),
    [aux_sym_compression_token1] = ACTIONS(2100),
    [aux_sym_connection_attempts_token1] = ACTIONS(2100),
    [aux_sym_connect_timeout_token1] = ACTIONS(2100),
    [aux_sym_control_master_token1] = ACTIONS(2100),
    [aux_sym_control_path_token1] = ACTIONS(2100),
    [aux_sym_control_persist_token1] = ACTIONS(2100),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2100),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2100),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2100),
    [aux_sym_escape_char_token1] = ACTIONS(2100),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2100),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2100),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2100),
    [aux_sym_forward_agent_token1] = ACTIONS(2100),
    [aux_sym_forward_x11_token1] = ACTIONS(2102),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2100),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2100),
    [aux_sym_gateway_ports_token1] = ACTIONS(2100),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2100),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2100),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2100),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2100),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2100),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2100),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2100),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2100),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2100),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2100),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2100),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2100),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2100),
    [aux_sym_host_key_alias_token1] = ACTIONS(2100),
    [aux_sym_hostname_token1] = ACTIONS(2100),
    [aux_sym_identities_only_token1] = ACTIONS(2100),
    [aux_sym_identity_agent_token1] = ACTIONS(2100),
    [aux_sym_identity_file_token1] = ACTIONS(2100),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2100),
    [aux_sym_include_token1] = ACTIONS(2100),
    [aux_sym_ip_qos_token1] = ACTIONS(2100),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2100),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2100),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2100),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2100),
    [aux_sym_local_command_token1] = ACTIONS(2100),
    [aux_sym_local_forward_token1] = ACTIONS(2100),
    [aux_sym_log_level_token1] = ACTIONS(2100),
    [aux_sym_log_verbose_token1] = ACTIONS(2100),
    [aux_sym_macs_token1] = ACTIONS(2100),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2100),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2100),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2100),
    [aux_sym_password_authentication_token1] = ACTIONS(2100),
    [aux_sym_permit_local_command_token1] = ACTIONS(2100),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2100),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2100),
    [aux_sym_port_token1] = ACTIONS(2100),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2100),
    [aux_sym_protocol_token1] = ACTIONS(2100),
    [aux_sym_proxy_command_token1] = ACTIONS(2100),
    [aux_sym_proxy_jump_token1] = ACTIONS(2100),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2100),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2100),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2100),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2100),
    [aux_sym_rekey_limit_token1] = ACTIONS(2100),
    [aux_sym_remote_command_token1] = ACTIONS(2100),
    [aux_sym_remote_forward_token1] = ACTIONS(2100),
    [aux_sym_request_tty_token1] = ACTIONS(2100),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2100),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2100),
    [aux_sym_security_key_provider_token1] = ACTIONS(2100),
    [aux_sym_send_env_token1] = ACTIONS(2100),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2100),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2100),
    [aux_sym_session_type_token1] = ACTIONS(2100),
    [aux_sym_set_env_token1] = ACTIONS(2100),
    [aux_sym_stdin_null_token1] = ACTIONS(2100),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2100),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2100),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2100),
    [aux_sym_syslog_facility_token1] = ACTIONS(2100),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2100),
    [aux_sym_keep_alive_token1] = ACTIONS(2100),
    [aux_sym_tag_token1] = ACTIONS(2100),
    [aux_sym_tunnel_token1] = ACTIONS(2102),
    [aux_sym_tunnel_device_token1] = ACTIONS(2100),
    [aux_sym_update_host_keys_token1] = ACTIONS(2100),
    [aux_sym_use_keychain_token1] = ACTIONS(2100),
    [aux_sym_use_roaming_token1] = ACTIONS(2100),
    [aux_sym_user_token1] = ACTIONS(2102),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2100),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2100),
    [aux_sym_version_addendum_token1] = ACTIONS(2100),
    [aux_sym_visual_host_key_token1] = ACTIONS(2100),
    [aux_sym_xauth_location_token1] = ACTIONS(2100),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [aux_sym_match_token1] = ACTIONS(2106),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2106),
    [aux_sym_address_family_token1] = ACTIONS(2106),
    [aux_sym_batch_mode_token1] = ACTIONS(2106),
    [aux_sym_bind_address_token1] = ACTIONS(2106),
    [aux_sym_bind_interface_token1] = ACTIONS(2106),
    [aux_sym_canonical_domains_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2106),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2106),
    [aux_sym_certificate_file_token1] = ACTIONS(2106),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2106),
    [aux_sym_channel_timeout_token1] = ACTIONS(2106),
    [aux_sym_check_host_ip_token1] = ACTIONS(2106),
    [aux_sym_ciphers_token1] = ACTIONS(2106),
    [aux_sym_cipher_token1] = ACTIONS(2108),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2106),
    [aux_sym_compression_token1] = ACTIONS(2106),
    [aux_sym_connection_attempts_token1] = ACTIONS(2106),
    [aux_sym_connect_timeout_token1] = ACTIONS(2106),
    [aux_sym_control_master_token1] = ACTIONS(2106),
    [aux_sym_control_path_token1] = ACTIONS(2106),
    [aux_sym_control_persist_token1] = ACTIONS(2106),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2106),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2106),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2106),
    [aux_sym_escape_char_token1] = ACTIONS(2106),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2106),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2106),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2106),
    [aux_sym_forward_agent_token1] = ACTIONS(2106),
    [aux_sym_forward_x11_token1] = ACTIONS(2108),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2106),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2106),
    [aux_sym_gateway_ports_token1] = ACTIONS(2106),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2106),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2106),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2106),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2106),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2106),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2106),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2106),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2106),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2106),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2106),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2106),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2106),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2106),
    [aux_sym_host_key_alias_token1] = ACTIONS(2106),
    [aux_sym_hostname_token1] = ACTIONS(2106),
    [aux_sym_identities_only_token1] = ACTIONS(2106),
    [aux_sym_identity_agent_token1] = ACTIONS(2106),
    [aux_sym_identity_file_token1] = ACTIONS(2106),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2106),
    [aux_sym_include_token1] = ACTIONS(2106),
    [aux_sym_ip_qos_token1] = ACTIONS(2106),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2106),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2106),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2106),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2106),
    [aux_sym_local_command_token1] = ACTIONS(2106),
    [aux_sym_local_forward_token1] = ACTIONS(2106),
    [aux_sym_log_level_token1] = ACTIONS(2106),
    [aux_sym_log_verbose_token1] = ACTIONS(2106),
    [aux_sym_macs_token1] = ACTIONS(2106),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2106),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2106),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2106),
    [aux_sym_password_authentication_token1] = ACTIONS(2106),
    [aux_sym_permit_local_command_token1] = ACTIONS(2106),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2106),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2106),
    [aux_sym_port_token1] = ACTIONS(2106),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2106),
    [aux_sym_protocol_token1] = ACTIONS(2106),
    [aux_sym_proxy_command_token1] = ACTIONS(2106),
    [aux_sym_proxy_jump_token1] = ACTIONS(2106),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2106),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2106),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2106),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2106),
    [aux_sym_rekey_limit_token1] = ACTIONS(2106),
    [aux_sym_remote_command_token1] = ACTIONS(2106),
    [aux_sym_remote_forward_token1] = ACTIONS(2106),
    [aux_sym_request_tty_token1] = ACTIONS(2106),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2106),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2106),
    [aux_sym_security_key_provider_token1] = ACTIONS(2106),
    [aux_sym_send_env_token1] = ACTIONS(2106),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2106),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2106),
    [aux_sym_session_type_token1] = ACTIONS(2106),
    [aux_sym_set_env_token1] = ACTIONS(2106),
    [aux_sym_stdin_null_token1] = ACTIONS(2106),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2106),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2106),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2106),
    [aux_sym_syslog_facility_token1] = ACTIONS(2106),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2106),
    [aux_sym_keep_alive_token1] = ACTIONS(2106),
    [aux_sym_tag_token1] = ACTIONS(2106),
    [aux_sym_tunnel_token1] = ACTIONS(2108),
    [aux_sym_tunnel_device_token1] = ACTIONS(2106),
    [aux_sym_update_host_keys_token1] = ACTIONS(2106),
    [aux_sym_use_keychain_token1] = ACTIONS(2106),
    [aux_sym_use_roaming_token1] = ACTIONS(2106),
    [aux_sym_user_token1] = ACTIONS(2108),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2106),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2106),
    [aux_sym_version_addendum_token1] = ACTIONS(2106),
    [aux_sym_visual_host_key_token1] = ACTIONS(2106),
    [aux_sym_xauth_location_token1] = ACTIONS(2106),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(2112),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2114),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [aux_sym_match_token1] = ACTIONS(2112),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2112),
    [aux_sym_address_family_token1] = ACTIONS(2112),
    [aux_sym_batch_mode_token1] = ACTIONS(2112),
    [aux_sym_bind_address_token1] = ACTIONS(2112),
    [aux_sym_bind_interface_token1] = ACTIONS(2112),
    [aux_sym_canonical_domains_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2112),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2112),
    [aux_sym_certificate_file_token1] = ACTIONS(2112),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2112),
    [aux_sym_channel_timeout_token1] = ACTIONS(2112),
    [aux_sym_check_host_ip_token1] = ACTIONS(2112),
    [aux_sym_ciphers_token1] = ACTIONS(2112),
    [aux_sym_cipher_token1] = ACTIONS(2114),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2112),
    [aux_sym_compression_token1] = ACTIONS(2112),
    [aux_sym_connection_attempts_token1] = ACTIONS(2112),
    [aux_sym_connect_timeout_token1] = ACTIONS(2112),
    [aux_sym_control_master_token1] = ACTIONS(2112),
    [aux_sym_control_path_token1] = ACTIONS(2112),
    [aux_sym_control_persist_token1] = ACTIONS(2112),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2112),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2112),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2112),
    [aux_sym_escape_char_token1] = ACTIONS(2112),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2112),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2112),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2112),
    [aux_sym_forward_agent_token1] = ACTIONS(2112),
    [aux_sym_forward_x11_token1] = ACTIONS(2114),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2112),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2112),
    [aux_sym_gateway_ports_token1] = ACTIONS(2112),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2112),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2112),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2112),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2112),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2112),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2112),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2112),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2112),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2112),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2112),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2112),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2112),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2112),
    [aux_sym_host_key_alias_token1] = ACTIONS(2112),
    [aux_sym_hostname_token1] = ACTIONS(2112),
    [aux_sym_identities_only_token1] = ACTIONS(2112),
    [aux_sym_identity_agent_token1] = ACTIONS(2112),
    [aux_sym_identity_file_token1] = ACTIONS(2112),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2112),
    [aux_sym_include_token1] = ACTIONS(2112),
    [aux_sym_ip_qos_token1] = ACTIONS(2112),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2112),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2112),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2112),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2112),
    [aux_sym_local_command_token1] = ACTIONS(2112),
    [aux_sym_local_forward_token1] = ACTIONS(2112),
    [aux_sym_log_level_token1] = ACTIONS(2112),
    [aux_sym_log_verbose_token1] = ACTIONS(2112),
    [aux_sym_macs_token1] = ACTIONS(2112),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2112),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2112),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2112),
    [aux_sym_password_authentication_token1] = ACTIONS(2112),
    [aux_sym_permit_local_command_token1] = ACTIONS(2112),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2112),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2112),
    [aux_sym_port_token1] = ACTIONS(2112),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2112),
    [aux_sym_protocol_token1] = ACTIONS(2112),
    [aux_sym_proxy_command_token1] = ACTIONS(2112),
    [aux_sym_proxy_jump_token1] = ACTIONS(2112),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2112),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2112),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2112),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2112),
    [aux_sym_rekey_limit_token1] = ACTIONS(2112),
    [aux_sym_remote_command_token1] = ACTIONS(2112),
    [aux_sym_remote_forward_token1] = ACTIONS(2112),
    [aux_sym_request_tty_token1] = ACTIONS(2112),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2112),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2112),
    [aux_sym_security_key_provider_token1] = ACTIONS(2112),
    [aux_sym_send_env_token1] = ACTIONS(2112),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2112),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2112),
    [aux_sym_session_type_token1] = ACTIONS(2112),
    [aux_sym_set_env_token1] = ACTIONS(2112),
    [aux_sym_stdin_null_token1] = ACTIONS(2112),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2112),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2112),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2112),
    [aux_sym_syslog_facility_token1] = ACTIONS(2112),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2112),
    [aux_sym_keep_alive_token1] = ACTIONS(2112),
    [aux_sym_tag_token1] = ACTIONS(2112),
    [aux_sym_tunnel_token1] = ACTIONS(2114),
    [aux_sym_tunnel_device_token1] = ACTIONS(2112),
    [aux_sym_update_host_keys_token1] = ACTIONS(2112),
    [aux_sym_use_keychain_token1] = ACTIONS(2112),
    [aux_sym_use_roaming_token1] = ACTIONS(2112),
    [aux_sym_user_token1] = ACTIONS(2114),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2112),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2112),
    [aux_sym_version_addendum_token1] = ACTIONS(2112),
    [aux_sym_visual_host_key_token1] = ACTIONS(2112),
    [aux_sym_xauth_location_token1] = ACTIONS(2112),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2122),
    [aux_sym_match_token1] = ACTIONS(2118),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2118),
    [aux_sym_address_family_token1] = ACTIONS(2118),
    [aux_sym_batch_mode_token1] = ACTIONS(2118),
    [aux_sym_bind_address_token1] = ACTIONS(2118),
    [aux_sym_bind_interface_token1] = ACTIONS(2118),
    [aux_sym_canonical_domains_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2118),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2118),
    [aux_sym_certificate_file_token1] = ACTIONS(2118),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2118),
    [aux_sym_channel_timeout_token1] = ACTIONS(2118),
    [aux_sym_check_host_ip_token1] = ACTIONS(2118),
    [aux_sym_ciphers_token1] = ACTIONS(2118),
    [aux_sym_cipher_token1] = ACTIONS(2120),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2118),
    [aux_sym_compression_token1] = ACTIONS(2118),
    [aux_sym_connection_attempts_token1] = ACTIONS(2118),
    [aux_sym_connect_timeout_token1] = ACTIONS(2118),
    [aux_sym_control_master_token1] = ACTIONS(2118),
    [aux_sym_control_path_token1] = ACTIONS(2118),
    [aux_sym_control_persist_token1] = ACTIONS(2118),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2118),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2118),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2118),
    [aux_sym_escape_char_token1] = ACTIONS(2118),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2118),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2118),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2118),
    [aux_sym_forward_agent_token1] = ACTIONS(2118),
    [aux_sym_forward_x11_token1] = ACTIONS(2120),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2118),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2118),
    [aux_sym_gateway_ports_token1] = ACTIONS(2118),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2118),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2118),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2118),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2118),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2118),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2118),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2118),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2118),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2118),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2118),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2118),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2118),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2118),
    [aux_sym_host_key_alias_token1] = ACTIONS(2118),
    [aux_sym_hostname_token1] = ACTIONS(2118),
    [aux_sym_identities_only_token1] = ACTIONS(2118),
    [aux_sym_identity_agent_token1] = ACTIONS(2118),
    [aux_sym_identity_file_token1] = ACTIONS(2118),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2118),
    [aux_sym_include_token1] = ACTIONS(2118),
    [aux_sym_ip_qos_token1] = ACTIONS(2118),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2118),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2118),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2118),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2118),
    [aux_sym_local_command_token1] = ACTIONS(2118),
    [aux_sym_local_forward_token1] = ACTIONS(2118),
    [aux_sym_log_level_token1] = ACTIONS(2118),
    [aux_sym_log_verbose_token1] = ACTIONS(2118),
    [aux_sym_macs_token1] = ACTIONS(2118),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2118),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2118),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2118),
    [aux_sym_password_authentication_token1] = ACTIONS(2118),
    [aux_sym_permit_local_command_token1] = ACTIONS(2118),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2118),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2118),
    [aux_sym_port_token1] = ACTIONS(2118),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2118),
    [aux_sym_protocol_token1] = ACTIONS(2118),
    [aux_sym_proxy_command_token1] = ACTIONS(2118),
    [aux_sym_proxy_jump_token1] = ACTIONS(2118),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2118),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2118),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2118),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2118),
    [aux_sym_rekey_limit_token1] = ACTIONS(2118),
    [aux_sym_remote_command_token1] = ACTIONS(2118),
    [aux_sym_remote_forward_token1] = ACTIONS(2118),
    [aux_sym_request_tty_token1] = ACTIONS(2118),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2118),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2118),
    [aux_sym_security_key_provider_token1] = ACTIONS(2118),
    [aux_sym_send_env_token1] = ACTIONS(2118),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2118),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2118),
    [aux_sym_session_type_token1] = ACTIONS(2118),
    [aux_sym_set_env_token1] = ACTIONS(2118),
    [aux_sym_stdin_null_token1] = ACTIONS(2118),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2118),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2118),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2118),
    [aux_sym_syslog_facility_token1] = ACTIONS(2118),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2118),
    [aux_sym_keep_alive_token1] = ACTIONS(2118),
    [aux_sym_tag_token1] = ACTIONS(2118),
    [aux_sym_tunnel_token1] = ACTIONS(2120),
    [aux_sym_tunnel_device_token1] = ACTIONS(2118),
    [aux_sym_update_host_keys_token1] = ACTIONS(2118),
    [aux_sym_use_keychain_token1] = ACTIONS(2118),
    [aux_sym_use_roaming_token1] = ACTIONS(2118),
    [aux_sym_user_token1] = ACTIONS(2120),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2118),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2118),
    [aux_sym_version_addendum_token1] = ACTIONS(2118),
    [aux_sym_visual_host_key_token1] = ACTIONS(2118),
    [aux_sym_xauth_location_token1] = ACTIONS(2118),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(2124),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2126),
    [anon_sym_DQUOTE] = ACTIONS(2128),
    [aux_sym_match_token1] = ACTIONS(2124),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2124),
    [aux_sym_address_family_token1] = ACTIONS(2124),
    [aux_sym_batch_mode_token1] = ACTIONS(2124),
    [aux_sym_bind_address_token1] = ACTIONS(2124),
    [aux_sym_bind_interface_token1] = ACTIONS(2124),
    [aux_sym_canonical_domains_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2124),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2124),
    [aux_sym_certificate_file_token1] = ACTIONS(2124),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2124),
    [aux_sym_channel_timeout_token1] = ACTIONS(2124),
    [aux_sym_check_host_ip_token1] = ACTIONS(2124),
    [aux_sym_ciphers_token1] = ACTIONS(2124),
    [aux_sym_cipher_token1] = ACTIONS(2126),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2124),
    [aux_sym_compression_token1] = ACTIONS(2124),
    [aux_sym_connection_attempts_token1] = ACTIONS(2124),
    [aux_sym_connect_timeout_token1] = ACTIONS(2124),
    [aux_sym_control_master_token1] = ACTIONS(2124),
    [aux_sym_control_path_token1] = ACTIONS(2124),
    [aux_sym_control_persist_token1] = ACTIONS(2124),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2124),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2124),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2124),
    [aux_sym_escape_char_token1] = ACTIONS(2124),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2124),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2124),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2124),
    [aux_sym_forward_agent_token1] = ACTIONS(2124),
    [aux_sym_forward_x11_token1] = ACTIONS(2126),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2124),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2124),
    [aux_sym_gateway_ports_token1] = ACTIONS(2124),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2124),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2124),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2124),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2124),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2124),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2124),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2124),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2124),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2124),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2124),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2124),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2124),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2124),
    [aux_sym_host_key_alias_token1] = ACTIONS(2124),
    [aux_sym_hostname_token1] = ACTIONS(2124),
    [aux_sym_identities_only_token1] = ACTIONS(2124),
    [aux_sym_identity_agent_token1] = ACTIONS(2124),
    [aux_sym_identity_file_token1] = ACTIONS(2124),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2124),
    [aux_sym_include_token1] = ACTIONS(2124),
    [aux_sym_ip_qos_token1] = ACTIONS(2124),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2124),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2124),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2124),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2124),
    [aux_sym_local_command_token1] = ACTIONS(2124),
    [aux_sym_local_forward_token1] = ACTIONS(2124),
    [aux_sym_log_level_token1] = ACTIONS(2124),
    [aux_sym_log_verbose_token1] = ACTIONS(2124),
    [aux_sym_macs_token1] = ACTIONS(2124),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2124),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2124),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2124),
    [aux_sym_password_authentication_token1] = ACTIONS(2124),
    [aux_sym_permit_local_command_token1] = ACTIONS(2124),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2124),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2124),
    [aux_sym_port_token1] = ACTIONS(2124),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2124),
    [aux_sym_protocol_token1] = ACTIONS(2124),
    [aux_sym_proxy_command_token1] = ACTIONS(2124),
    [aux_sym_proxy_jump_token1] = ACTIONS(2124),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2124),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2124),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2124),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2124),
    [aux_sym_rekey_limit_token1] = ACTIONS(2124),
    [aux_sym_remote_command_token1] = ACTIONS(2124),
    [aux_sym_remote_forward_token1] = ACTIONS(2124),
    [aux_sym_request_tty_token1] = ACTIONS(2124),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2124),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2124),
    [aux_sym_security_key_provider_token1] = ACTIONS(2124),
    [aux_sym_send_env_token1] = ACTIONS(2124),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2124),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2124),
    [aux_sym_session_type_token1] = ACTIONS(2124),
    [aux_sym_set_env_token1] = ACTIONS(2124),
    [aux_sym_stdin_null_token1] = ACTIONS(2124),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2124),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2124),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2124),
    [aux_sym_syslog_facility_token1] = ACTIONS(2124),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2124),
    [aux_sym_keep_alive_token1] = ACTIONS(2124),
    [aux_sym_tag_token1] = ACTIONS(2124),
    [aux_sym_tunnel_token1] = ACTIONS(2126),
    [aux_sym_tunnel_device_token1] = ACTIONS(2124),
    [aux_sym_update_host_keys_token1] = ACTIONS(2124),
    [aux_sym_use_keychain_token1] = ACTIONS(2124),
    [aux_sym_use_roaming_token1] = ACTIONS(2124),
    [aux_sym_user_token1] = ACTIONS(2126),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2124),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2124),
    [aux_sym_version_addendum_token1] = ACTIONS(2124),
    [aux_sym_visual_host_key_token1] = ACTIONS(2124),
    [aux_sym_xauth_location_token1] = ACTIONS(2124),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [aux_sym_match_token1] = ACTIONS(2130),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2130),
    [aux_sym_address_family_token1] = ACTIONS(2130),
    [aux_sym_batch_mode_token1] = ACTIONS(2130),
    [aux_sym_bind_address_token1] = ACTIONS(2130),
    [aux_sym_bind_interface_token1] = ACTIONS(2130),
    [aux_sym_canonical_domains_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2130),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2130),
    [aux_sym_certificate_file_token1] = ACTIONS(2130),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2130),
    [aux_sym_channel_timeout_token1] = ACTIONS(2130),
    [aux_sym_check_host_ip_token1] = ACTIONS(2130),
    [aux_sym_ciphers_token1] = ACTIONS(2130),
    [aux_sym_cipher_token1] = ACTIONS(2132),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2130),
    [aux_sym_compression_token1] = ACTIONS(2130),
    [aux_sym_connection_attempts_token1] = ACTIONS(2130),
    [aux_sym_connect_timeout_token1] = ACTIONS(2130),
    [aux_sym_control_master_token1] = ACTIONS(2130),
    [aux_sym_control_path_token1] = ACTIONS(2130),
    [aux_sym_control_persist_token1] = ACTIONS(2130),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2130),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2130),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2130),
    [aux_sym_escape_char_token1] = ACTIONS(2130),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2130),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2130),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2130),
    [aux_sym_forward_agent_token1] = ACTIONS(2130),
    [aux_sym_forward_x11_token1] = ACTIONS(2132),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2130),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2130),
    [aux_sym_gateway_ports_token1] = ACTIONS(2130),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2130),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2130),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2130),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2130),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2130),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2130),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2130),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2130),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2130),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2130),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2130),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2130),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2130),
    [aux_sym_host_key_alias_token1] = ACTIONS(2130),
    [aux_sym_hostname_token1] = ACTIONS(2130),
    [aux_sym_identities_only_token1] = ACTIONS(2130),
    [aux_sym_identity_agent_token1] = ACTIONS(2130),
    [aux_sym_identity_file_token1] = ACTIONS(2130),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2130),
    [aux_sym_include_token1] = ACTIONS(2130),
    [aux_sym_ip_qos_token1] = ACTIONS(2130),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2130),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2130),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2130),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2130),
    [aux_sym_local_command_token1] = ACTIONS(2130),
    [aux_sym_local_forward_token1] = ACTIONS(2130),
    [aux_sym_log_level_token1] = ACTIONS(2130),
    [aux_sym_log_verbose_token1] = ACTIONS(2130),
    [aux_sym_macs_token1] = ACTIONS(2130),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2130),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2130),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2130),
    [aux_sym_password_authentication_token1] = ACTIONS(2130),
    [aux_sym_permit_local_command_token1] = ACTIONS(2130),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2130),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2130),
    [aux_sym_port_token1] = ACTIONS(2130),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2130),
    [aux_sym_protocol_token1] = ACTIONS(2130),
    [aux_sym_proxy_command_token1] = ACTIONS(2130),
    [aux_sym_proxy_jump_token1] = ACTIONS(2130),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2130),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2130),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2130),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2130),
    [aux_sym_rekey_limit_token1] = ACTIONS(2130),
    [aux_sym_remote_command_token1] = ACTIONS(2130),
    [aux_sym_remote_forward_token1] = ACTIONS(2130),
    [aux_sym_request_tty_token1] = ACTIONS(2130),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2130),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2130),
    [aux_sym_security_key_provider_token1] = ACTIONS(2130),
    [aux_sym_send_env_token1] = ACTIONS(2130),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2130),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2130),
    [aux_sym_session_type_token1] = ACTIONS(2130),
    [aux_sym_set_env_token1] = ACTIONS(2130),
    [aux_sym_stdin_null_token1] = ACTIONS(2130),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2130),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2130),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2130),
    [aux_sym_syslog_facility_token1] = ACTIONS(2130),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2130),
    [aux_sym_keep_alive_token1] = ACTIONS(2130),
    [aux_sym_tag_token1] = ACTIONS(2130),
    [aux_sym_tunnel_token1] = ACTIONS(2132),
    [aux_sym_tunnel_device_token1] = ACTIONS(2130),
    [aux_sym_update_host_keys_token1] = ACTIONS(2130),
    [aux_sym_use_keychain_token1] = ACTIONS(2130),
    [aux_sym_use_roaming_token1] = ACTIONS(2130),
    [aux_sym_user_token1] = ACTIONS(2132),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2130),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2130),
    [aux_sym_version_addendum_token1] = ACTIONS(2130),
    [aux_sym_visual_host_key_token1] = ACTIONS(2130),
    [aux_sym_xauth_location_token1] = ACTIONS(2130),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2138),
    [anon_sym_DQUOTE] = ACTIONS(2140),
    [aux_sym_match_token1] = ACTIONS(2136),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2136),
    [aux_sym_address_family_token1] = ACTIONS(2136),
    [aux_sym_batch_mode_token1] = ACTIONS(2136),
    [aux_sym_bind_address_token1] = ACTIONS(2136),
    [aux_sym_bind_interface_token1] = ACTIONS(2136),
    [aux_sym_canonical_domains_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2136),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2136),
    [aux_sym_certificate_file_token1] = ACTIONS(2136),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2136),
    [aux_sym_channel_timeout_token1] = ACTIONS(2136),
    [aux_sym_check_host_ip_token1] = ACTIONS(2136),
    [aux_sym_ciphers_token1] = ACTIONS(2136),
    [aux_sym_cipher_token1] = ACTIONS(2138),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2136),
    [aux_sym_compression_token1] = ACTIONS(2136),
    [aux_sym_connection_attempts_token1] = ACTIONS(2136),
    [aux_sym_connect_timeout_token1] = ACTIONS(2136),
    [aux_sym_control_master_token1] = ACTIONS(2136),
    [aux_sym_control_path_token1] = ACTIONS(2136),
    [aux_sym_control_persist_token1] = ACTIONS(2136),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2136),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2136),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2136),
    [aux_sym_escape_char_token1] = ACTIONS(2136),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2136),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2136),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2136),
    [aux_sym_forward_agent_token1] = ACTIONS(2136),
    [aux_sym_forward_x11_token1] = ACTIONS(2138),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2136),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2136),
    [aux_sym_gateway_ports_token1] = ACTIONS(2136),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2136),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2136),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2136),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2136),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2136),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2136),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2136),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2136),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2136),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2136),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2136),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2136),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2136),
    [aux_sym_host_key_alias_token1] = ACTIONS(2136),
    [aux_sym_hostname_token1] = ACTIONS(2136),
    [aux_sym_identities_only_token1] = ACTIONS(2136),
    [aux_sym_identity_agent_token1] = ACTIONS(2136),
    [aux_sym_identity_file_token1] = ACTIONS(2136),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2136),
    [aux_sym_include_token1] = ACTIONS(2136),
    [aux_sym_ip_qos_token1] = ACTIONS(2136),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2136),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2136),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2136),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2136),
    [aux_sym_local_command_token1] = ACTIONS(2136),
    [aux_sym_local_forward_token1] = ACTIONS(2136),
    [aux_sym_log_level_token1] = ACTIONS(2136),
    [aux_sym_log_verbose_token1] = ACTIONS(2136),
    [aux_sym_macs_token1] = ACTIONS(2136),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2136),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2136),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2136),
    [aux_sym_password_authentication_token1] = ACTIONS(2136),
    [aux_sym_permit_local_command_token1] = ACTIONS(2136),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2136),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2136),
    [aux_sym_port_token1] = ACTIONS(2136),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2136),
    [aux_sym_protocol_token1] = ACTIONS(2136),
    [aux_sym_proxy_command_token1] = ACTIONS(2136),
    [aux_sym_proxy_jump_token1] = ACTIONS(2136),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2136),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2136),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2136),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2136),
    [aux_sym_rekey_limit_token1] = ACTIONS(2136),
    [aux_sym_remote_command_token1] = ACTIONS(2136),
    [aux_sym_remote_forward_token1] = ACTIONS(2136),
    [aux_sym_request_tty_token1] = ACTIONS(2136),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2136),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2136),
    [aux_sym_security_key_provider_token1] = ACTIONS(2136),
    [aux_sym_send_env_token1] = ACTIONS(2136),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2136),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2136),
    [aux_sym_session_type_token1] = ACTIONS(2136),
    [aux_sym_set_env_token1] = ACTIONS(2136),
    [aux_sym_stdin_null_token1] = ACTIONS(2136),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2136),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2136),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2136),
    [aux_sym_syslog_facility_token1] = ACTIONS(2136),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2136),
    [aux_sym_keep_alive_token1] = ACTIONS(2136),
    [aux_sym_tag_token1] = ACTIONS(2136),
    [aux_sym_tunnel_token1] = ACTIONS(2138),
    [aux_sym_tunnel_device_token1] = ACTIONS(2136),
    [aux_sym_update_host_keys_token1] = ACTIONS(2136),
    [aux_sym_use_keychain_token1] = ACTIONS(2136),
    [aux_sym_use_roaming_token1] = ACTIONS(2136),
    [aux_sym_user_token1] = ACTIONS(2138),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2136),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2136),
    [aux_sym_version_addendum_token1] = ACTIONS(2136),
    [aux_sym_visual_host_key_token1] = ACTIONS(2136),
    [aux_sym_xauth_location_token1] = ACTIONS(2136),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2146),
    [aux_sym_match_token1] = ACTIONS(2142),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2142),
    [aux_sym_address_family_token1] = ACTIONS(2142),
    [aux_sym_batch_mode_token1] = ACTIONS(2142),
    [aux_sym_bind_address_token1] = ACTIONS(2142),
    [aux_sym_bind_interface_token1] = ACTIONS(2142),
    [aux_sym_canonical_domains_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2142),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2142),
    [aux_sym_certificate_file_token1] = ACTIONS(2142),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2142),
    [aux_sym_channel_timeout_token1] = ACTIONS(2142),
    [aux_sym_check_host_ip_token1] = ACTIONS(2142),
    [aux_sym_ciphers_token1] = ACTIONS(2142),
    [aux_sym_cipher_token1] = ACTIONS(2144),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2142),
    [aux_sym_compression_token1] = ACTIONS(2142),
    [aux_sym_connection_attempts_token1] = ACTIONS(2142),
    [aux_sym_connect_timeout_token1] = ACTIONS(2142),
    [aux_sym_control_master_token1] = ACTIONS(2142),
    [aux_sym_control_path_token1] = ACTIONS(2142),
    [aux_sym_control_persist_token1] = ACTIONS(2142),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2142),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2142),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2142),
    [aux_sym_escape_char_token1] = ACTIONS(2142),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2142),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2142),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2142),
    [aux_sym_forward_agent_token1] = ACTIONS(2142),
    [aux_sym_forward_x11_token1] = ACTIONS(2144),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2142),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2142),
    [aux_sym_gateway_ports_token1] = ACTIONS(2142),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2142),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2142),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2142),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2142),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2142),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2142),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2142),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2142),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2142),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2142),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2142),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2142),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2142),
    [aux_sym_host_key_alias_token1] = ACTIONS(2142),
    [aux_sym_hostname_token1] = ACTIONS(2142),
    [aux_sym_identities_only_token1] = ACTIONS(2142),
    [aux_sym_identity_agent_token1] = ACTIONS(2142),
    [aux_sym_identity_file_token1] = ACTIONS(2142),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2142),
    [aux_sym_include_token1] = ACTIONS(2142),
    [aux_sym_ip_qos_token1] = ACTIONS(2142),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2142),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2142),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2142),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2142),
    [aux_sym_local_command_token1] = ACTIONS(2142),
    [aux_sym_local_forward_token1] = ACTIONS(2142),
    [aux_sym_log_level_token1] = ACTIONS(2142),
    [aux_sym_log_verbose_token1] = ACTIONS(2142),
    [aux_sym_macs_token1] = ACTIONS(2142),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2142),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2142),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2142),
    [aux_sym_password_authentication_token1] = ACTIONS(2142),
    [aux_sym_permit_local_command_token1] = ACTIONS(2142),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2142),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2142),
    [aux_sym_port_token1] = ACTIONS(2142),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2142),
    [aux_sym_protocol_token1] = ACTIONS(2142),
    [aux_sym_proxy_command_token1] = ACTIONS(2142),
    [aux_sym_proxy_jump_token1] = ACTIONS(2142),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2142),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2142),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2142),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2142),
    [aux_sym_rekey_limit_token1] = ACTIONS(2142),
    [aux_sym_remote_command_token1] = ACTIONS(2142),
    [aux_sym_remote_forward_token1] = ACTIONS(2142),
    [aux_sym_request_tty_token1] = ACTIONS(2142),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2142),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2142),
    [aux_sym_security_key_provider_token1] = ACTIONS(2142),
    [aux_sym_send_env_token1] = ACTIONS(2142),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2142),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2142),
    [aux_sym_session_type_token1] = ACTIONS(2142),
    [aux_sym_set_env_token1] = ACTIONS(2142),
    [aux_sym_stdin_null_token1] = ACTIONS(2142),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2142),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2142),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2142),
    [aux_sym_syslog_facility_token1] = ACTIONS(2142),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2142),
    [aux_sym_keep_alive_token1] = ACTIONS(2142),
    [aux_sym_tag_token1] = ACTIONS(2142),
    [aux_sym_tunnel_token1] = ACTIONS(2144),
    [aux_sym_tunnel_device_token1] = ACTIONS(2142),
    [aux_sym_update_host_keys_token1] = ACTIONS(2142),
    [aux_sym_use_keychain_token1] = ACTIONS(2142),
    [aux_sym_use_roaming_token1] = ACTIONS(2142),
    [aux_sym_user_token1] = ACTIONS(2144),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2142),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2142),
    [aux_sym_version_addendum_token1] = ACTIONS(2142),
    [aux_sym_visual_host_key_token1] = ACTIONS(2142),
    [aux_sym_xauth_location_token1] = ACTIONS(2142),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2150),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [aux_sym_match_token1] = ACTIONS(2148),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2148),
    [aux_sym_address_family_token1] = ACTIONS(2148),
    [aux_sym_batch_mode_token1] = ACTIONS(2148),
    [aux_sym_bind_address_token1] = ACTIONS(2148),
    [aux_sym_bind_interface_token1] = ACTIONS(2148),
    [aux_sym_canonical_domains_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2148),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2148),
    [aux_sym_certificate_file_token1] = ACTIONS(2148),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2148),
    [aux_sym_channel_timeout_token1] = ACTIONS(2148),
    [aux_sym_check_host_ip_token1] = ACTIONS(2148),
    [aux_sym_ciphers_token1] = ACTIONS(2148),
    [aux_sym_cipher_token1] = ACTIONS(2150),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2148),
    [aux_sym_compression_token1] = ACTIONS(2148),
    [aux_sym_connection_attempts_token1] = ACTIONS(2148),
    [aux_sym_connect_timeout_token1] = ACTIONS(2148),
    [aux_sym_control_master_token1] = ACTIONS(2148),
    [aux_sym_control_path_token1] = ACTIONS(2148),
    [aux_sym_control_persist_token1] = ACTIONS(2148),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2148),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2148),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2148),
    [aux_sym_escape_char_token1] = ACTIONS(2148),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2148),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2148),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2148),
    [aux_sym_forward_agent_token1] = ACTIONS(2148),
    [aux_sym_forward_x11_token1] = ACTIONS(2150),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2148),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2148),
    [aux_sym_gateway_ports_token1] = ACTIONS(2148),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2148),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2148),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2148),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2148),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2148),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2148),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2148),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2148),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2148),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2148),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2148),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2148),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2148),
    [aux_sym_host_key_alias_token1] = ACTIONS(2148),
    [aux_sym_hostname_token1] = ACTIONS(2148),
    [aux_sym_identities_only_token1] = ACTIONS(2148),
    [aux_sym_identity_agent_token1] = ACTIONS(2148),
    [aux_sym_identity_file_token1] = ACTIONS(2148),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2148),
    [aux_sym_include_token1] = ACTIONS(2148),
    [aux_sym_ip_qos_token1] = ACTIONS(2148),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2148),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2148),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2148),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2148),
    [aux_sym_local_command_token1] = ACTIONS(2148),
    [aux_sym_local_forward_token1] = ACTIONS(2148),
    [aux_sym_log_level_token1] = ACTIONS(2148),
    [aux_sym_log_verbose_token1] = ACTIONS(2148),
    [aux_sym_macs_token1] = ACTIONS(2148),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2148),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2148),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2148),
    [aux_sym_password_authentication_token1] = ACTIONS(2148),
    [aux_sym_permit_local_command_token1] = ACTIONS(2148),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2148),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2148),
    [aux_sym_port_token1] = ACTIONS(2148),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2148),
    [aux_sym_protocol_token1] = ACTIONS(2148),
    [aux_sym_proxy_command_token1] = ACTIONS(2148),
    [aux_sym_proxy_jump_token1] = ACTIONS(2148),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2148),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2148),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2148),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2148),
    [aux_sym_rekey_limit_token1] = ACTIONS(2148),
    [aux_sym_remote_command_token1] = ACTIONS(2148),
    [aux_sym_remote_forward_token1] = ACTIONS(2148),
    [aux_sym_request_tty_token1] = ACTIONS(2148),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2148),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2148),
    [aux_sym_security_key_provider_token1] = ACTIONS(2148),
    [aux_sym_send_env_token1] = ACTIONS(2148),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2148),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2148),
    [aux_sym_session_type_token1] = ACTIONS(2148),
    [aux_sym_set_env_token1] = ACTIONS(2148),
    [aux_sym_stdin_null_token1] = ACTIONS(2148),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2148),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2148),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2148),
    [aux_sym_syslog_facility_token1] = ACTIONS(2148),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2148),
    [aux_sym_keep_alive_token1] = ACTIONS(2148),
    [aux_sym_tag_token1] = ACTIONS(2148),
    [aux_sym_tunnel_token1] = ACTIONS(2150),
    [aux_sym_tunnel_device_token1] = ACTIONS(2148),
    [aux_sym_update_host_keys_token1] = ACTIONS(2148),
    [aux_sym_use_keychain_token1] = ACTIONS(2148),
    [aux_sym_use_roaming_token1] = ACTIONS(2148),
    [aux_sym_user_token1] = ACTIONS(2150),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2148),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2148),
    [aux_sym_version_addendum_token1] = ACTIONS(2148),
    [aux_sym_visual_host_key_token1] = ACTIONS(2148),
    [aux_sym_xauth_location_token1] = ACTIONS(2148),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2158),
    [aux_sym_match_token1] = ACTIONS(2154),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2154),
    [aux_sym_address_family_token1] = ACTIONS(2154),
    [aux_sym_batch_mode_token1] = ACTIONS(2154),
    [aux_sym_bind_address_token1] = ACTIONS(2154),
    [aux_sym_bind_interface_token1] = ACTIONS(2154),
    [aux_sym_canonical_domains_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2154),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2154),
    [aux_sym_certificate_file_token1] = ACTIONS(2154),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2154),
    [aux_sym_channel_timeout_token1] = ACTIONS(2154),
    [aux_sym_check_host_ip_token1] = ACTIONS(2154),
    [aux_sym_ciphers_token1] = ACTIONS(2154),
    [aux_sym_cipher_token1] = ACTIONS(2156),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2154),
    [aux_sym_compression_token1] = ACTIONS(2154),
    [aux_sym_connection_attempts_token1] = ACTIONS(2154),
    [aux_sym_connect_timeout_token1] = ACTIONS(2154),
    [aux_sym_control_master_token1] = ACTIONS(2154),
    [aux_sym_control_path_token1] = ACTIONS(2154),
    [aux_sym_control_persist_token1] = ACTIONS(2154),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2154),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2154),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2154),
    [aux_sym_escape_char_token1] = ACTIONS(2154),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2154),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2154),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2154),
    [aux_sym_forward_agent_token1] = ACTIONS(2154),
    [aux_sym_forward_x11_token1] = ACTIONS(2156),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2154),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2154),
    [aux_sym_gateway_ports_token1] = ACTIONS(2154),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2154),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2154),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2154),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2154),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2154),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2154),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2154),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2154),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2154),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2154),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2154),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2154),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2154),
    [aux_sym_host_key_alias_token1] = ACTIONS(2154),
    [aux_sym_hostname_token1] = ACTIONS(2154),
    [aux_sym_identities_only_token1] = ACTIONS(2154),
    [aux_sym_identity_agent_token1] = ACTIONS(2154),
    [aux_sym_identity_file_token1] = ACTIONS(2154),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2154),
    [aux_sym_include_token1] = ACTIONS(2154),
    [aux_sym_ip_qos_token1] = ACTIONS(2154),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2154),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2154),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2154),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2154),
    [aux_sym_local_command_token1] = ACTIONS(2154),
    [aux_sym_local_forward_token1] = ACTIONS(2154),
    [aux_sym_log_level_token1] = ACTIONS(2154),
    [aux_sym_log_verbose_token1] = ACTIONS(2154),
    [aux_sym_macs_token1] = ACTIONS(2154),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2154),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2154),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2154),
    [aux_sym_password_authentication_token1] = ACTIONS(2154),
    [aux_sym_permit_local_command_token1] = ACTIONS(2154),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2154),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2154),
    [aux_sym_port_token1] = ACTIONS(2154),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2154),
    [aux_sym_protocol_token1] = ACTIONS(2154),
    [aux_sym_proxy_command_token1] = ACTIONS(2154),
    [aux_sym_proxy_jump_token1] = ACTIONS(2154),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2154),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2154),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2154),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2154),
    [aux_sym_rekey_limit_token1] = ACTIONS(2154),
    [aux_sym_remote_command_token1] = ACTIONS(2154),
    [aux_sym_remote_forward_token1] = ACTIONS(2154),
    [aux_sym_request_tty_token1] = ACTIONS(2154),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2154),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2154),
    [aux_sym_security_key_provider_token1] = ACTIONS(2154),
    [aux_sym_send_env_token1] = ACTIONS(2154),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2154),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2154),
    [aux_sym_session_type_token1] = ACTIONS(2154),
    [aux_sym_set_env_token1] = ACTIONS(2154),
    [aux_sym_stdin_null_token1] = ACTIONS(2154),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2154),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2154),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2154),
    [aux_sym_syslog_facility_token1] = ACTIONS(2154),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2154),
    [aux_sym_keep_alive_token1] = ACTIONS(2154),
    [aux_sym_tag_token1] = ACTIONS(2154),
    [aux_sym_tunnel_token1] = ACTIONS(2156),
    [aux_sym_tunnel_device_token1] = ACTIONS(2154),
    [aux_sym_update_host_keys_token1] = ACTIONS(2154),
    [aux_sym_use_keychain_token1] = ACTIONS(2154),
    [aux_sym_use_roaming_token1] = ACTIONS(2154),
    [aux_sym_user_token1] = ACTIONS(2156),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2154),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2154),
    [aux_sym_version_addendum_token1] = ACTIONS(2154),
    [aux_sym_visual_host_key_token1] = ACTIONS(2154),
    [aux_sym_xauth_location_token1] = ACTIONS(2154),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(2160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [aux_sym_match_token1] = ACTIONS(2160),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2160),
    [aux_sym_address_family_token1] = ACTIONS(2160),
    [aux_sym_batch_mode_token1] = ACTIONS(2160),
    [aux_sym_bind_address_token1] = ACTIONS(2160),
    [aux_sym_bind_interface_token1] = ACTIONS(2160),
    [aux_sym_canonical_domains_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2160),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2160),
    [aux_sym_certificate_file_token1] = ACTIONS(2160),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2160),
    [aux_sym_channel_timeout_token1] = ACTIONS(2160),
    [aux_sym_check_host_ip_token1] = ACTIONS(2160),
    [aux_sym_ciphers_token1] = ACTIONS(2160),
    [aux_sym_cipher_token1] = ACTIONS(2162),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2160),
    [aux_sym_compression_token1] = ACTIONS(2160),
    [aux_sym_connection_attempts_token1] = ACTIONS(2160),
    [aux_sym_connect_timeout_token1] = ACTIONS(2160),
    [aux_sym_control_master_token1] = ACTIONS(2160),
    [aux_sym_control_path_token1] = ACTIONS(2160),
    [aux_sym_control_persist_token1] = ACTIONS(2160),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2160),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2160),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2160),
    [aux_sym_escape_char_token1] = ACTIONS(2160),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2160),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2160),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2160),
    [aux_sym_forward_agent_token1] = ACTIONS(2160),
    [aux_sym_forward_x11_token1] = ACTIONS(2162),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2160),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2160),
    [aux_sym_gateway_ports_token1] = ACTIONS(2160),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2160),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2160),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2160),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2160),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2160),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2160),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2160),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2160),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2160),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2160),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2160),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2160),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2160),
    [aux_sym_host_key_alias_token1] = ACTIONS(2160),
    [aux_sym_hostname_token1] = ACTIONS(2160),
    [aux_sym_identities_only_token1] = ACTIONS(2160),
    [aux_sym_identity_agent_token1] = ACTIONS(2160),
    [aux_sym_identity_file_token1] = ACTIONS(2160),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2160),
    [aux_sym_include_token1] = ACTIONS(2160),
    [aux_sym_ip_qos_token1] = ACTIONS(2160),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2160),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2160),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2160),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2160),
    [aux_sym_local_command_token1] = ACTIONS(2160),
    [aux_sym_local_forward_token1] = ACTIONS(2160),
    [aux_sym_log_level_token1] = ACTIONS(2160),
    [aux_sym_log_verbose_token1] = ACTIONS(2160),
    [aux_sym_macs_token1] = ACTIONS(2160),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2160),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2160),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2160),
    [aux_sym_password_authentication_token1] = ACTIONS(2160),
    [aux_sym_permit_local_command_token1] = ACTIONS(2160),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2160),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2160),
    [aux_sym_port_token1] = ACTIONS(2160),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2160),
    [aux_sym_protocol_token1] = ACTIONS(2160),
    [aux_sym_proxy_command_token1] = ACTIONS(2160),
    [aux_sym_proxy_jump_token1] = ACTIONS(2160),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2160),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2160),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2160),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2160),
    [aux_sym_rekey_limit_token1] = ACTIONS(2160),
    [aux_sym_remote_command_token1] = ACTIONS(2160),
    [aux_sym_remote_forward_token1] = ACTIONS(2160),
    [aux_sym_request_tty_token1] = ACTIONS(2160),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2160),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2160),
    [aux_sym_security_key_provider_token1] = ACTIONS(2160),
    [aux_sym_send_env_token1] = ACTIONS(2160),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2160),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2160),
    [aux_sym_session_type_token1] = ACTIONS(2160),
    [aux_sym_set_env_token1] = ACTIONS(2160),
    [aux_sym_stdin_null_token1] = ACTIONS(2160),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2160),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2160),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2160),
    [aux_sym_syslog_facility_token1] = ACTIONS(2160),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2160),
    [aux_sym_keep_alive_token1] = ACTIONS(2160),
    [aux_sym_tag_token1] = ACTIONS(2160),
    [aux_sym_tunnel_token1] = ACTIONS(2162),
    [aux_sym_tunnel_device_token1] = ACTIONS(2160),
    [aux_sym_update_host_keys_token1] = ACTIONS(2160),
    [aux_sym_use_keychain_token1] = ACTIONS(2160),
    [aux_sym_use_roaming_token1] = ACTIONS(2160),
    [aux_sym_user_token1] = ACTIONS(2162),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2160),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2160),
    [aux_sym_version_addendum_token1] = ACTIONS(2160),
    [aux_sym_visual_host_key_token1] = ACTIONS(2160),
    [aux_sym_xauth_location_token1] = ACTIONS(2160),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2170),
    [aux_sym_match_token1] = ACTIONS(2166),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2166),
    [aux_sym_address_family_token1] = ACTIONS(2166),
    [aux_sym_batch_mode_token1] = ACTIONS(2166),
    [aux_sym_bind_address_token1] = ACTIONS(2166),
    [aux_sym_bind_interface_token1] = ACTIONS(2166),
    [aux_sym_canonical_domains_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2166),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2166),
    [aux_sym_certificate_file_token1] = ACTIONS(2166),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2166),
    [aux_sym_channel_timeout_token1] = ACTIONS(2166),
    [aux_sym_check_host_ip_token1] = ACTIONS(2166),
    [aux_sym_ciphers_token1] = ACTIONS(2166),
    [aux_sym_cipher_token1] = ACTIONS(2168),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2166),
    [aux_sym_compression_token1] = ACTIONS(2166),
    [aux_sym_connection_attempts_token1] = ACTIONS(2166),
    [aux_sym_connect_timeout_token1] = ACTIONS(2166),
    [aux_sym_control_master_token1] = ACTIONS(2166),
    [aux_sym_control_path_token1] = ACTIONS(2166),
    [aux_sym_control_persist_token1] = ACTIONS(2166),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2166),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2166),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2166),
    [aux_sym_escape_char_token1] = ACTIONS(2166),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2166),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2166),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2166),
    [aux_sym_forward_agent_token1] = ACTIONS(2166),
    [aux_sym_forward_x11_token1] = ACTIONS(2168),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2166),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2166),
    [aux_sym_gateway_ports_token1] = ACTIONS(2166),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2166),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2166),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2166),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2166),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2166),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2166),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2166),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2166),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2166),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2166),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2166),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2166),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2166),
    [aux_sym_host_key_alias_token1] = ACTIONS(2166),
    [aux_sym_hostname_token1] = ACTIONS(2166),
    [aux_sym_identities_only_token1] = ACTIONS(2166),
    [aux_sym_identity_agent_token1] = ACTIONS(2166),
    [aux_sym_identity_file_token1] = ACTIONS(2166),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2166),
    [aux_sym_include_token1] = ACTIONS(2166),
    [aux_sym_ip_qos_token1] = ACTIONS(2166),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2166),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2166),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2166),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2166),
    [aux_sym_local_command_token1] = ACTIONS(2166),
    [aux_sym_local_forward_token1] = ACTIONS(2166),
    [aux_sym_log_level_token1] = ACTIONS(2166),
    [aux_sym_log_verbose_token1] = ACTIONS(2166),
    [aux_sym_macs_token1] = ACTIONS(2166),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2166),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2166),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2166),
    [aux_sym_password_authentication_token1] = ACTIONS(2166),
    [aux_sym_permit_local_command_token1] = ACTIONS(2166),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2166),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2166),
    [aux_sym_port_token1] = ACTIONS(2166),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2166),
    [aux_sym_protocol_token1] = ACTIONS(2166),
    [aux_sym_proxy_command_token1] = ACTIONS(2166),
    [aux_sym_proxy_jump_token1] = ACTIONS(2166),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2166),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2166),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2166),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2166),
    [aux_sym_rekey_limit_token1] = ACTIONS(2166),
    [aux_sym_remote_command_token1] = ACTIONS(2166),
    [aux_sym_remote_forward_token1] = ACTIONS(2166),
    [aux_sym_request_tty_token1] = ACTIONS(2166),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2166),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2166),
    [aux_sym_security_key_provider_token1] = ACTIONS(2166),
    [aux_sym_send_env_token1] = ACTIONS(2166),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2166),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2166),
    [aux_sym_session_type_token1] = ACTIONS(2166),
    [aux_sym_set_env_token1] = ACTIONS(2166),
    [aux_sym_stdin_null_token1] = ACTIONS(2166),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2166),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2166),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2166),
    [aux_sym_syslog_facility_token1] = ACTIONS(2166),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2166),
    [aux_sym_keep_alive_token1] = ACTIONS(2166),
    [aux_sym_tag_token1] = ACTIONS(2166),
    [aux_sym_tunnel_token1] = ACTIONS(2168),
    [aux_sym_tunnel_device_token1] = ACTIONS(2166),
    [aux_sym_update_host_keys_token1] = ACTIONS(2166),
    [aux_sym_use_keychain_token1] = ACTIONS(2166),
    [aux_sym_use_roaming_token1] = ACTIONS(2166),
    [aux_sym_user_token1] = ACTIONS(2168),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2166),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2166),
    [aux_sym_version_addendum_token1] = ACTIONS(2166),
    [aux_sym_visual_host_key_token1] = ACTIONS(2166),
    [aux_sym_xauth_location_token1] = ACTIONS(2166),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(2172),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2176),
    [aux_sym_match_token1] = ACTIONS(2172),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2172),
    [aux_sym_address_family_token1] = ACTIONS(2172),
    [aux_sym_batch_mode_token1] = ACTIONS(2172),
    [aux_sym_bind_address_token1] = ACTIONS(2172),
    [aux_sym_bind_interface_token1] = ACTIONS(2172),
    [aux_sym_canonical_domains_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2172),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2172),
    [aux_sym_certificate_file_token1] = ACTIONS(2172),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2172),
    [aux_sym_channel_timeout_token1] = ACTIONS(2172),
    [aux_sym_check_host_ip_token1] = ACTIONS(2172),
    [aux_sym_ciphers_token1] = ACTIONS(2172),
    [aux_sym_cipher_token1] = ACTIONS(2174),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2172),
    [aux_sym_compression_token1] = ACTIONS(2172),
    [aux_sym_connection_attempts_token1] = ACTIONS(2172),
    [aux_sym_connect_timeout_token1] = ACTIONS(2172),
    [aux_sym_control_master_token1] = ACTIONS(2172),
    [aux_sym_control_path_token1] = ACTIONS(2172),
    [aux_sym_control_persist_token1] = ACTIONS(2172),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2172),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2172),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2172),
    [aux_sym_escape_char_token1] = ACTIONS(2172),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2172),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2172),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2172),
    [aux_sym_forward_agent_token1] = ACTIONS(2172),
    [aux_sym_forward_x11_token1] = ACTIONS(2174),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2172),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2172),
    [aux_sym_gateway_ports_token1] = ACTIONS(2172),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2172),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2172),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2172),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2172),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2172),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2172),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2172),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2172),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2172),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2172),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2172),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2172),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2172),
    [aux_sym_host_key_alias_token1] = ACTIONS(2172),
    [aux_sym_hostname_token1] = ACTIONS(2172),
    [aux_sym_identities_only_token1] = ACTIONS(2172),
    [aux_sym_identity_agent_token1] = ACTIONS(2172),
    [aux_sym_identity_file_token1] = ACTIONS(2172),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2172),
    [aux_sym_include_token1] = ACTIONS(2172),
    [aux_sym_ip_qos_token1] = ACTIONS(2172),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2172),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2172),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2172),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2172),
    [aux_sym_local_command_token1] = ACTIONS(2172),
    [aux_sym_local_forward_token1] = ACTIONS(2172),
    [aux_sym_log_level_token1] = ACTIONS(2172),
    [aux_sym_log_verbose_token1] = ACTIONS(2172),
    [aux_sym_macs_token1] = ACTIONS(2172),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2172),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2172),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2172),
    [aux_sym_password_authentication_token1] = ACTIONS(2172),
    [aux_sym_permit_local_command_token1] = ACTIONS(2172),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2172),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2172),
    [aux_sym_port_token1] = ACTIONS(2172),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2172),
    [aux_sym_protocol_token1] = ACTIONS(2172),
    [aux_sym_proxy_command_token1] = ACTIONS(2172),
    [aux_sym_proxy_jump_token1] = ACTIONS(2172),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2172),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2172),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2172),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2172),
    [aux_sym_rekey_limit_token1] = ACTIONS(2172),
    [aux_sym_remote_command_token1] = ACTIONS(2172),
    [aux_sym_remote_forward_token1] = ACTIONS(2172),
    [aux_sym_request_tty_token1] = ACTIONS(2172),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2172),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2172),
    [aux_sym_security_key_provider_token1] = ACTIONS(2172),
    [aux_sym_send_env_token1] = ACTIONS(2172),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2172),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2172),
    [aux_sym_session_type_token1] = ACTIONS(2172),
    [aux_sym_set_env_token1] = ACTIONS(2172),
    [aux_sym_stdin_null_token1] = ACTIONS(2172),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2172),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2172),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2172),
    [aux_sym_syslog_facility_token1] = ACTIONS(2172),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2172),
    [aux_sym_keep_alive_token1] = ACTIONS(2172),
    [aux_sym_tag_token1] = ACTIONS(2172),
    [aux_sym_tunnel_token1] = ACTIONS(2174),
    [aux_sym_tunnel_device_token1] = ACTIONS(2172),
    [aux_sym_update_host_keys_token1] = ACTIONS(2172),
    [aux_sym_use_keychain_token1] = ACTIONS(2172),
    [aux_sym_use_roaming_token1] = ACTIONS(2172),
    [aux_sym_user_token1] = ACTIONS(2174),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2172),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2172),
    [aux_sym_version_addendum_token1] = ACTIONS(2172),
    [aux_sym_visual_host_key_token1] = ACTIONS(2172),
    [aux_sym_xauth_location_token1] = ACTIONS(2172),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [aux_sym_match_token1] = ACTIONS(2178),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2178),
    [aux_sym_address_family_token1] = ACTIONS(2178),
    [aux_sym_batch_mode_token1] = ACTIONS(2178),
    [aux_sym_bind_address_token1] = ACTIONS(2178),
    [aux_sym_bind_interface_token1] = ACTIONS(2178),
    [aux_sym_canonical_domains_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2178),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2178),
    [aux_sym_certificate_file_token1] = ACTIONS(2178),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2178),
    [aux_sym_channel_timeout_token1] = ACTIONS(2178),
    [aux_sym_check_host_ip_token1] = ACTIONS(2178),
    [aux_sym_ciphers_token1] = ACTIONS(2178),
    [aux_sym_cipher_token1] = ACTIONS(2180),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2178),
    [aux_sym_compression_token1] = ACTIONS(2178),
    [aux_sym_connection_attempts_token1] = ACTIONS(2178),
    [aux_sym_connect_timeout_token1] = ACTIONS(2178),
    [aux_sym_control_master_token1] = ACTIONS(2178),
    [aux_sym_control_path_token1] = ACTIONS(2178),
    [aux_sym_control_persist_token1] = ACTIONS(2178),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2178),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2178),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2178),
    [aux_sym_escape_char_token1] = ACTIONS(2178),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2178),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2178),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2178),
    [aux_sym_forward_agent_token1] = ACTIONS(2178),
    [aux_sym_forward_x11_token1] = ACTIONS(2180),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2178),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2178),
    [aux_sym_gateway_ports_token1] = ACTIONS(2178),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2178),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2178),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2178),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2178),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2178),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2178),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2178),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2178),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2178),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2178),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2178),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2178),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2178),
    [aux_sym_host_key_alias_token1] = ACTIONS(2178),
    [aux_sym_hostname_token1] = ACTIONS(2178),
    [aux_sym_identities_only_token1] = ACTIONS(2178),
    [aux_sym_identity_agent_token1] = ACTIONS(2178),
    [aux_sym_identity_file_token1] = ACTIONS(2178),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2178),
    [aux_sym_include_token1] = ACTIONS(2178),
    [aux_sym_ip_qos_token1] = ACTIONS(2178),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2178),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2178),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2178),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2178),
    [aux_sym_local_command_token1] = ACTIONS(2178),
    [aux_sym_local_forward_token1] = ACTIONS(2178),
    [aux_sym_log_level_token1] = ACTIONS(2178),
    [aux_sym_log_verbose_token1] = ACTIONS(2178),
    [aux_sym_macs_token1] = ACTIONS(2178),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2178),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2178),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2178),
    [aux_sym_password_authentication_token1] = ACTIONS(2178),
    [aux_sym_permit_local_command_token1] = ACTIONS(2178),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2178),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2178),
    [aux_sym_port_token1] = ACTIONS(2178),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2178),
    [aux_sym_protocol_token1] = ACTIONS(2178),
    [aux_sym_proxy_command_token1] = ACTIONS(2178),
    [aux_sym_proxy_jump_token1] = ACTIONS(2178),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2178),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2178),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2178),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2178),
    [aux_sym_rekey_limit_token1] = ACTIONS(2178),
    [aux_sym_remote_command_token1] = ACTIONS(2178),
    [aux_sym_remote_forward_token1] = ACTIONS(2178),
    [aux_sym_request_tty_token1] = ACTIONS(2178),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2178),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2178),
    [aux_sym_security_key_provider_token1] = ACTIONS(2178),
    [aux_sym_send_env_token1] = ACTIONS(2178),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2178),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2178),
    [aux_sym_session_type_token1] = ACTIONS(2178),
    [aux_sym_set_env_token1] = ACTIONS(2178),
    [aux_sym_stdin_null_token1] = ACTIONS(2178),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2178),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2178),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2178),
    [aux_sym_syslog_facility_token1] = ACTIONS(2178),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2178),
    [aux_sym_keep_alive_token1] = ACTIONS(2178),
    [aux_sym_tag_token1] = ACTIONS(2178),
    [aux_sym_tunnel_token1] = ACTIONS(2180),
    [aux_sym_tunnel_device_token1] = ACTIONS(2178),
    [aux_sym_update_host_keys_token1] = ACTIONS(2178),
    [aux_sym_use_keychain_token1] = ACTIONS(2178),
    [aux_sym_use_roaming_token1] = ACTIONS(2178),
    [aux_sym_user_token1] = ACTIONS(2180),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2178),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2178),
    [aux_sym_version_addendum_token1] = ACTIONS(2178),
    [aux_sym_visual_host_key_token1] = ACTIONS(2178),
    [aux_sym_xauth_location_token1] = ACTIONS(2178),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2188),
    [aux_sym_match_token1] = ACTIONS(2184),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2184),
    [aux_sym_address_family_token1] = ACTIONS(2184),
    [aux_sym_batch_mode_token1] = ACTIONS(2184),
    [aux_sym_bind_address_token1] = ACTIONS(2184),
    [aux_sym_bind_interface_token1] = ACTIONS(2184),
    [aux_sym_canonical_domains_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2184),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2184),
    [aux_sym_certificate_file_token1] = ACTIONS(2184),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2184),
    [aux_sym_channel_timeout_token1] = ACTIONS(2184),
    [aux_sym_check_host_ip_token1] = ACTIONS(2184),
    [aux_sym_ciphers_token1] = ACTIONS(2184),
    [aux_sym_cipher_token1] = ACTIONS(2186),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2184),
    [aux_sym_compression_token1] = ACTIONS(2184),
    [aux_sym_connection_attempts_token1] = ACTIONS(2184),
    [aux_sym_connect_timeout_token1] = ACTIONS(2184),
    [aux_sym_control_master_token1] = ACTIONS(2184),
    [aux_sym_control_path_token1] = ACTIONS(2184),
    [aux_sym_control_persist_token1] = ACTIONS(2184),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2184),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2184),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2184),
    [aux_sym_escape_char_token1] = ACTIONS(2184),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2184),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2184),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2184),
    [aux_sym_forward_agent_token1] = ACTIONS(2184),
    [aux_sym_forward_x11_token1] = ACTIONS(2186),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2184),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2184),
    [aux_sym_gateway_ports_token1] = ACTIONS(2184),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2184),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2184),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2184),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2184),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2184),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2184),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2184),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2184),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2184),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2184),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2184),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2184),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2184),
    [aux_sym_host_key_alias_token1] = ACTIONS(2184),
    [aux_sym_hostname_token1] = ACTIONS(2184),
    [aux_sym_identities_only_token1] = ACTIONS(2184),
    [aux_sym_identity_agent_token1] = ACTIONS(2184),
    [aux_sym_identity_file_token1] = ACTIONS(2184),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2184),
    [aux_sym_include_token1] = ACTIONS(2184),
    [aux_sym_ip_qos_token1] = ACTIONS(2184),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2184),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2184),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2184),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2184),
    [aux_sym_local_command_token1] = ACTIONS(2184),
    [aux_sym_local_forward_token1] = ACTIONS(2184),
    [aux_sym_log_level_token1] = ACTIONS(2184),
    [aux_sym_log_verbose_token1] = ACTIONS(2184),
    [aux_sym_macs_token1] = ACTIONS(2184),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2184),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2184),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2184),
    [aux_sym_password_authentication_token1] = ACTIONS(2184),
    [aux_sym_permit_local_command_token1] = ACTIONS(2184),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2184),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2184),
    [aux_sym_port_token1] = ACTIONS(2184),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2184),
    [aux_sym_protocol_token1] = ACTIONS(2184),
    [aux_sym_proxy_command_token1] = ACTIONS(2184),
    [aux_sym_proxy_jump_token1] = ACTIONS(2184),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2184),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2184),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2184),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2184),
    [aux_sym_rekey_limit_token1] = ACTIONS(2184),
    [aux_sym_remote_command_token1] = ACTIONS(2184),
    [aux_sym_remote_forward_token1] = ACTIONS(2184),
    [aux_sym_request_tty_token1] = ACTIONS(2184),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2184),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2184),
    [aux_sym_security_key_provider_token1] = ACTIONS(2184),
    [aux_sym_send_env_token1] = ACTIONS(2184),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2184),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2184),
    [aux_sym_session_type_token1] = ACTIONS(2184),
    [aux_sym_set_env_token1] = ACTIONS(2184),
    [aux_sym_stdin_null_token1] = ACTIONS(2184),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2184),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2184),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2184),
    [aux_sym_syslog_facility_token1] = ACTIONS(2184),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2184),
    [aux_sym_keep_alive_token1] = ACTIONS(2184),
    [aux_sym_tag_token1] = ACTIONS(2184),
    [aux_sym_tunnel_token1] = ACTIONS(2186),
    [aux_sym_tunnel_device_token1] = ACTIONS(2184),
    [aux_sym_update_host_keys_token1] = ACTIONS(2184),
    [aux_sym_use_keychain_token1] = ACTIONS(2184),
    [aux_sym_use_roaming_token1] = ACTIONS(2184),
    [aux_sym_user_token1] = ACTIONS(2186),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2184),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2184),
    [aux_sym_version_addendum_token1] = ACTIONS(2184),
    [aux_sym_visual_host_key_token1] = ACTIONS(2184),
    [aux_sym_xauth_location_token1] = ACTIONS(2184),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [aux_sym_match_token1] = ACTIONS(2190),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2190),
    [aux_sym_address_family_token1] = ACTIONS(2190),
    [aux_sym_batch_mode_token1] = ACTIONS(2190),
    [aux_sym_bind_address_token1] = ACTIONS(2190),
    [aux_sym_bind_interface_token1] = ACTIONS(2190),
    [aux_sym_canonical_domains_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2190),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2190),
    [aux_sym_certificate_file_token1] = ACTIONS(2190),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2190),
    [aux_sym_channel_timeout_token1] = ACTIONS(2190),
    [aux_sym_check_host_ip_token1] = ACTIONS(2190),
    [aux_sym_ciphers_token1] = ACTIONS(2190),
    [aux_sym_cipher_token1] = ACTIONS(2192),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2190),
    [aux_sym_compression_token1] = ACTIONS(2190),
    [aux_sym_connection_attempts_token1] = ACTIONS(2190),
    [aux_sym_connect_timeout_token1] = ACTIONS(2190),
    [aux_sym_control_master_token1] = ACTIONS(2190),
    [aux_sym_control_path_token1] = ACTIONS(2190),
    [aux_sym_control_persist_token1] = ACTIONS(2190),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2190),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2190),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2190),
    [aux_sym_escape_char_token1] = ACTIONS(2190),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2190),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2190),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2190),
    [aux_sym_forward_agent_token1] = ACTIONS(2190),
    [aux_sym_forward_x11_token1] = ACTIONS(2192),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2190),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2190),
    [aux_sym_gateway_ports_token1] = ACTIONS(2190),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2190),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2190),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2190),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2190),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2190),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2190),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2190),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2190),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2190),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2190),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2190),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2190),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2190),
    [aux_sym_host_key_alias_token1] = ACTIONS(2190),
    [aux_sym_hostname_token1] = ACTIONS(2190),
    [aux_sym_identities_only_token1] = ACTIONS(2190),
    [aux_sym_identity_agent_token1] = ACTIONS(2190),
    [aux_sym_identity_file_token1] = ACTIONS(2190),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2190),
    [aux_sym_include_token1] = ACTIONS(2190),
    [aux_sym_ip_qos_token1] = ACTIONS(2190),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2190),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2190),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2190),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2190),
    [aux_sym_local_command_token1] = ACTIONS(2190),
    [aux_sym_local_forward_token1] = ACTIONS(2190),
    [aux_sym_log_level_token1] = ACTIONS(2190),
    [aux_sym_log_verbose_token1] = ACTIONS(2190),
    [aux_sym_macs_token1] = ACTIONS(2190),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2190),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2190),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2190),
    [aux_sym_password_authentication_token1] = ACTIONS(2190),
    [aux_sym_permit_local_command_token1] = ACTIONS(2190),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2190),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2190),
    [aux_sym_port_token1] = ACTIONS(2190),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2190),
    [aux_sym_protocol_token1] = ACTIONS(2190),
    [aux_sym_proxy_command_token1] = ACTIONS(2190),
    [aux_sym_proxy_jump_token1] = ACTIONS(2190),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2190),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2190),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2190),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2190),
    [aux_sym_rekey_limit_token1] = ACTIONS(2190),
    [aux_sym_remote_command_token1] = ACTIONS(2190),
    [aux_sym_remote_forward_token1] = ACTIONS(2190),
    [aux_sym_request_tty_token1] = ACTIONS(2190),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2190),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2190),
    [aux_sym_security_key_provider_token1] = ACTIONS(2190),
    [aux_sym_send_env_token1] = ACTIONS(2190),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2190),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2190),
    [aux_sym_session_type_token1] = ACTIONS(2190),
    [aux_sym_set_env_token1] = ACTIONS(2190),
    [aux_sym_stdin_null_token1] = ACTIONS(2190),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2190),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2190),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2190),
    [aux_sym_syslog_facility_token1] = ACTIONS(2190),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2190),
    [aux_sym_keep_alive_token1] = ACTIONS(2190),
    [aux_sym_tag_token1] = ACTIONS(2190),
    [aux_sym_tunnel_token1] = ACTIONS(2192),
    [aux_sym_tunnel_device_token1] = ACTIONS(2190),
    [aux_sym_update_host_keys_token1] = ACTIONS(2190),
    [aux_sym_use_keychain_token1] = ACTIONS(2190),
    [aux_sym_use_roaming_token1] = ACTIONS(2190),
    [aux_sym_user_token1] = ACTIONS(2192),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2190),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2190),
    [aux_sym_version_addendum_token1] = ACTIONS(2190),
    [aux_sym_visual_host_key_token1] = ACTIONS(2190),
    [aux_sym_xauth_location_token1] = ACTIONS(2190),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [aux_sym_match_token1] = ACTIONS(2196),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2196),
    [aux_sym_address_family_token1] = ACTIONS(2196),
    [aux_sym_batch_mode_token1] = ACTIONS(2196),
    [aux_sym_bind_address_token1] = ACTIONS(2196),
    [aux_sym_bind_interface_token1] = ACTIONS(2196),
    [aux_sym_canonical_domains_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2196),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2196),
    [aux_sym_certificate_file_token1] = ACTIONS(2196),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2196),
    [aux_sym_channel_timeout_token1] = ACTIONS(2196),
    [aux_sym_check_host_ip_token1] = ACTIONS(2196),
    [aux_sym_ciphers_token1] = ACTIONS(2196),
    [aux_sym_cipher_token1] = ACTIONS(2198),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2196),
    [aux_sym_compression_token1] = ACTIONS(2196),
    [aux_sym_connection_attempts_token1] = ACTIONS(2196),
    [aux_sym_connect_timeout_token1] = ACTIONS(2196),
    [aux_sym_control_master_token1] = ACTIONS(2196),
    [aux_sym_control_path_token1] = ACTIONS(2196),
    [aux_sym_control_persist_token1] = ACTIONS(2196),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2196),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2196),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2196),
    [aux_sym_escape_char_token1] = ACTIONS(2196),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2196),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2196),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2196),
    [aux_sym_forward_agent_token1] = ACTIONS(2196),
    [aux_sym_forward_x11_token1] = ACTIONS(2198),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2196),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2196),
    [aux_sym_gateway_ports_token1] = ACTIONS(2196),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2196),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2196),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2196),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2196),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2196),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2196),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2196),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2196),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2196),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2196),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2196),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2196),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2196),
    [aux_sym_host_key_alias_token1] = ACTIONS(2196),
    [aux_sym_hostname_token1] = ACTIONS(2196),
    [aux_sym_identities_only_token1] = ACTIONS(2196),
    [aux_sym_identity_agent_token1] = ACTIONS(2196),
    [aux_sym_identity_file_token1] = ACTIONS(2196),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2196),
    [aux_sym_include_token1] = ACTIONS(2196),
    [aux_sym_ip_qos_token1] = ACTIONS(2196),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2196),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2196),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2196),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2196),
    [aux_sym_local_command_token1] = ACTIONS(2196),
    [aux_sym_local_forward_token1] = ACTIONS(2196),
    [aux_sym_log_level_token1] = ACTIONS(2196),
    [aux_sym_log_verbose_token1] = ACTIONS(2196),
    [aux_sym_macs_token1] = ACTIONS(2196),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2196),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2196),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2196),
    [aux_sym_password_authentication_token1] = ACTIONS(2196),
    [aux_sym_permit_local_command_token1] = ACTIONS(2196),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2196),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2196),
    [aux_sym_port_token1] = ACTIONS(2196),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2196),
    [aux_sym_protocol_token1] = ACTIONS(2196),
    [aux_sym_proxy_command_token1] = ACTIONS(2196),
    [aux_sym_proxy_jump_token1] = ACTIONS(2196),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2196),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2196),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2196),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2196),
    [aux_sym_rekey_limit_token1] = ACTIONS(2196),
    [aux_sym_remote_command_token1] = ACTIONS(2196),
    [aux_sym_remote_forward_token1] = ACTIONS(2196),
    [aux_sym_request_tty_token1] = ACTIONS(2196),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2196),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2196),
    [aux_sym_security_key_provider_token1] = ACTIONS(2196),
    [aux_sym_send_env_token1] = ACTIONS(2196),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2196),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2196),
    [aux_sym_session_type_token1] = ACTIONS(2196),
    [aux_sym_set_env_token1] = ACTIONS(2196),
    [aux_sym_stdin_null_token1] = ACTIONS(2196),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2196),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2196),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2196),
    [aux_sym_syslog_facility_token1] = ACTIONS(2196),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2196),
    [aux_sym_keep_alive_token1] = ACTIONS(2196),
    [aux_sym_tag_token1] = ACTIONS(2196),
    [aux_sym_tunnel_token1] = ACTIONS(2198),
    [aux_sym_tunnel_device_token1] = ACTIONS(2196),
    [aux_sym_update_host_keys_token1] = ACTIONS(2196),
    [aux_sym_use_keychain_token1] = ACTIONS(2196),
    [aux_sym_use_roaming_token1] = ACTIONS(2196),
    [aux_sym_user_token1] = ACTIONS(2198),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2196),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2196),
    [aux_sym_version_addendum_token1] = ACTIONS(2196),
    [aux_sym_visual_host_key_token1] = ACTIONS(2196),
    [aux_sym_xauth_location_token1] = ACTIONS(2196),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [aux_sym_match_token1] = ACTIONS(2202),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2202),
    [aux_sym_address_family_token1] = ACTIONS(2202),
    [aux_sym_batch_mode_token1] = ACTIONS(2202),
    [aux_sym_bind_address_token1] = ACTIONS(2202),
    [aux_sym_bind_interface_token1] = ACTIONS(2202),
    [aux_sym_canonical_domains_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2202),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2202),
    [aux_sym_certificate_file_token1] = ACTIONS(2202),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2202),
    [aux_sym_channel_timeout_token1] = ACTIONS(2202),
    [aux_sym_check_host_ip_token1] = ACTIONS(2202),
    [aux_sym_ciphers_token1] = ACTIONS(2202),
    [aux_sym_cipher_token1] = ACTIONS(2204),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2202),
    [aux_sym_compression_token1] = ACTIONS(2202),
    [aux_sym_connection_attempts_token1] = ACTIONS(2202),
    [aux_sym_connect_timeout_token1] = ACTIONS(2202),
    [aux_sym_control_master_token1] = ACTIONS(2202),
    [aux_sym_control_path_token1] = ACTIONS(2202),
    [aux_sym_control_persist_token1] = ACTIONS(2202),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2202),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2202),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2202),
    [aux_sym_escape_char_token1] = ACTIONS(2202),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2202),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2202),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2202),
    [aux_sym_forward_agent_token1] = ACTIONS(2202),
    [aux_sym_forward_x11_token1] = ACTIONS(2204),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2202),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2202),
    [aux_sym_gateway_ports_token1] = ACTIONS(2202),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2202),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2202),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2202),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2202),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2202),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2202),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2202),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2202),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2202),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2202),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2202),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2202),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2202),
    [aux_sym_host_key_alias_token1] = ACTIONS(2202),
    [aux_sym_hostname_token1] = ACTIONS(2202),
    [aux_sym_identities_only_token1] = ACTIONS(2202),
    [aux_sym_identity_agent_token1] = ACTIONS(2202),
    [aux_sym_identity_file_token1] = ACTIONS(2202),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2202),
    [aux_sym_include_token1] = ACTIONS(2202),
    [aux_sym_ip_qos_token1] = ACTIONS(2202),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2202),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2202),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2202),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2202),
    [aux_sym_local_command_token1] = ACTIONS(2202),
    [aux_sym_local_forward_token1] = ACTIONS(2202),
    [aux_sym_log_level_token1] = ACTIONS(2202),
    [aux_sym_log_verbose_token1] = ACTIONS(2202),
    [aux_sym_macs_token1] = ACTIONS(2202),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2202),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2202),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2202),
    [aux_sym_password_authentication_token1] = ACTIONS(2202),
    [aux_sym_permit_local_command_token1] = ACTIONS(2202),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2202),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2202),
    [aux_sym_port_token1] = ACTIONS(2202),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2202),
    [aux_sym_protocol_token1] = ACTIONS(2202),
    [aux_sym_proxy_command_token1] = ACTIONS(2202),
    [aux_sym_proxy_jump_token1] = ACTIONS(2202),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2202),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2202),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2202),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2202),
    [aux_sym_rekey_limit_token1] = ACTIONS(2202),
    [aux_sym_remote_command_token1] = ACTIONS(2202),
    [aux_sym_remote_forward_token1] = ACTIONS(2202),
    [aux_sym_request_tty_token1] = ACTIONS(2202),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2202),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2202),
    [aux_sym_security_key_provider_token1] = ACTIONS(2202),
    [aux_sym_send_env_token1] = ACTIONS(2202),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2202),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2202),
    [aux_sym_session_type_token1] = ACTIONS(2202),
    [aux_sym_set_env_token1] = ACTIONS(2202),
    [aux_sym_stdin_null_token1] = ACTIONS(2202),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2202),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2202),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2202),
    [aux_sym_syslog_facility_token1] = ACTIONS(2202),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2202),
    [aux_sym_keep_alive_token1] = ACTIONS(2202),
    [aux_sym_tag_token1] = ACTIONS(2202),
    [aux_sym_tunnel_token1] = ACTIONS(2204),
    [aux_sym_tunnel_device_token1] = ACTIONS(2202),
    [aux_sym_update_host_keys_token1] = ACTIONS(2202),
    [aux_sym_use_keychain_token1] = ACTIONS(2202),
    [aux_sym_use_roaming_token1] = ACTIONS(2202),
    [aux_sym_user_token1] = ACTIONS(2204),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2202),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2202),
    [aux_sym_version_addendum_token1] = ACTIONS(2202),
    [aux_sym_visual_host_key_token1] = ACTIONS(2202),
    [aux_sym_xauth_location_token1] = ACTIONS(2202),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [aux_sym_match_token1] = ACTIONS(2208),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2208),
    [aux_sym_address_family_token1] = ACTIONS(2208),
    [aux_sym_batch_mode_token1] = ACTIONS(2208),
    [aux_sym_bind_address_token1] = ACTIONS(2208),
    [aux_sym_bind_interface_token1] = ACTIONS(2208),
    [aux_sym_canonical_domains_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2208),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2208),
    [aux_sym_certificate_file_token1] = ACTIONS(2208),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2208),
    [aux_sym_channel_timeout_token1] = ACTIONS(2208),
    [aux_sym_check_host_ip_token1] = ACTIONS(2208),
    [aux_sym_ciphers_token1] = ACTIONS(2208),
    [aux_sym_cipher_token1] = ACTIONS(2210),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2208),
    [aux_sym_compression_token1] = ACTIONS(2208),
    [aux_sym_connection_attempts_token1] = ACTIONS(2208),
    [aux_sym_connect_timeout_token1] = ACTIONS(2208),
    [aux_sym_control_master_token1] = ACTIONS(2208),
    [aux_sym_control_path_token1] = ACTIONS(2208),
    [aux_sym_control_persist_token1] = ACTIONS(2208),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2208),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2208),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2208),
    [aux_sym_escape_char_token1] = ACTIONS(2208),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2208),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2208),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2208),
    [aux_sym_forward_agent_token1] = ACTIONS(2208),
    [aux_sym_forward_x11_token1] = ACTIONS(2210),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2208),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2208),
    [aux_sym_gateway_ports_token1] = ACTIONS(2208),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2208),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2208),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2208),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2208),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2208),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2208),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2208),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2208),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2208),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2208),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2208),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2208),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2208),
    [aux_sym_host_key_alias_token1] = ACTIONS(2208),
    [aux_sym_hostname_token1] = ACTIONS(2208),
    [aux_sym_identities_only_token1] = ACTIONS(2208),
    [aux_sym_identity_agent_token1] = ACTIONS(2208),
    [aux_sym_identity_file_token1] = ACTIONS(2208),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2208),
    [aux_sym_include_token1] = ACTIONS(2208),
    [aux_sym_ip_qos_token1] = ACTIONS(2208),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2208),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2208),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2208),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2208),
    [aux_sym_local_command_token1] = ACTIONS(2208),
    [aux_sym_local_forward_token1] = ACTIONS(2208),
    [aux_sym_log_level_token1] = ACTIONS(2208),
    [aux_sym_log_verbose_token1] = ACTIONS(2208),
    [aux_sym_macs_token1] = ACTIONS(2208),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2208),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2208),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2208),
    [aux_sym_password_authentication_token1] = ACTIONS(2208),
    [aux_sym_permit_local_command_token1] = ACTIONS(2208),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2208),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2208),
    [aux_sym_port_token1] = ACTIONS(2208),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2208),
    [aux_sym_protocol_token1] = ACTIONS(2208),
    [aux_sym_proxy_command_token1] = ACTIONS(2208),
    [aux_sym_proxy_jump_token1] = ACTIONS(2208),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2208),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2208),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2208),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2208),
    [aux_sym_rekey_limit_token1] = ACTIONS(2208),
    [aux_sym_remote_command_token1] = ACTIONS(2208),
    [aux_sym_remote_forward_token1] = ACTIONS(2208),
    [aux_sym_request_tty_token1] = ACTIONS(2208),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2208),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2208),
    [aux_sym_security_key_provider_token1] = ACTIONS(2208),
    [aux_sym_send_env_token1] = ACTIONS(2208),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2208),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2208),
    [aux_sym_session_type_token1] = ACTIONS(2208),
    [aux_sym_set_env_token1] = ACTIONS(2208),
    [aux_sym_stdin_null_token1] = ACTIONS(2208),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2208),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2208),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2208),
    [aux_sym_syslog_facility_token1] = ACTIONS(2208),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2208),
    [aux_sym_keep_alive_token1] = ACTIONS(2208),
    [aux_sym_tag_token1] = ACTIONS(2208),
    [aux_sym_tunnel_token1] = ACTIONS(2210),
    [aux_sym_tunnel_device_token1] = ACTIONS(2208),
    [aux_sym_update_host_keys_token1] = ACTIONS(2208),
    [aux_sym_use_keychain_token1] = ACTIONS(2208),
    [aux_sym_use_roaming_token1] = ACTIONS(2208),
    [aux_sym_user_token1] = ACTIONS(2210),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2208),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2208),
    [aux_sym_version_addendum_token1] = ACTIONS(2208),
    [aux_sym_visual_host_key_token1] = ACTIONS(2208),
    [aux_sym_xauth_location_token1] = ACTIONS(2208),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [aux_sym_match_token1] = ACTIONS(2214),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2214),
    [aux_sym_address_family_token1] = ACTIONS(2214),
    [aux_sym_batch_mode_token1] = ACTIONS(2214),
    [aux_sym_bind_address_token1] = ACTIONS(2214),
    [aux_sym_bind_interface_token1] = ACTIONS(2214),
    [aux_sym_canonical_domains_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2214),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2214),
    [aux_sym_certificate_file_token1] = ACTIONS(2214),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2214),
    [aux_sym_channel_timeout_token1] = ACTIONS(2214),
    [aux_sym_check_host_ip_token1] = ACTIONS(2214),
    [aux_sym_ciphers_token1] = ACTIONS(2214),
    [aux_sym_cipher_token1] = ACTIONS(2216),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2214),
    [aux_sym_compression_token1] = ACTIONS(2214),
    [aux_sym_connection_attempts_token1] = ACTIONS(2214),
    [aux_sym_connect_timeout_token1] = ACTIONS(2214),
    [aux_sym_control_master_token1] = ACTIONS(2214),
    [aux_sym_control_path_token1] = ACTIONS(2214),
    [aux_sym_control_persist_token1] = ACTIONS(2214),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2214),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2214),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2214),
    [aux_sym_escape_char_token1] = ACTIONS(2214),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2214),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2214),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2214),
    [aux_sym_forward_agent_token1] = ACTIONS(2214),
    [aux_sym_forward_x11_token1] = ACTIONS(2216),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2214),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2214),
    [aux_sym_gateway_ports_token1] = ACTIONS(2214),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2214),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2214),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2214),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2214),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2214),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2214),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2214),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2214),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2214),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2214),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2214),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2214),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2214),
    [aux_sym_host_key_alias_token1] = ACTIONS(2214),
    [aux_sym_hostname_token1] = ACTIONS(2214),
    [aux_sym_identities_only_token1] = ACTIONS(2214),
    [aux_sym_identity_agent_token1] = ACTIONS(2214),
    [aux_sym_identity_file_token1] = ACTIONS(2214),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2214),
    [aux_sym_include_token1] = ACTIONS(2214),
    [aux_sym_ip_qos_token1] = ACTIONS(2214),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2214),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2214),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2214),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2214),
    [aux_sym_local_command_token1] = ACTIONS(2214),
    [aux_sym_local_forward_token1] = ACTIONS(2214),
    [aux_sym_log_level_token1] = ACTIONS(2214),
    [aux_sym_log_verbose_token1] = ACTIONS(2214),
    [aux_sym_macs_token1] = ACTIONS(2214),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2214),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2214),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2214),
    [aux_sym_password_authentication_token1] = ACTIONS(2214),
    [aux_sym_permit_local_command_token1] = ACTIONS(2214),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2214),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2214),
    [aux_sym_port_token1] = ACTIONS(2214),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2214),
    [aux_sym_protocol_token1] = ACTIONS(2214),
    [aux_sym_proxy_command_token1] = ACTIONS(2214),
    [aux_sym_proxy_jump_token1] = ACTIONS(2214),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2214),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2214),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2214),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2214),
    [aux_sym_rekey_limit_token1] = ACTIONS(2214),
    [aux_sym_remote_command_token1] = ACTIONS(2214),
    [aux_sym_remote_forward_token1] = ACTIONS(2214),
    [aux_sym_request_tty_token1] = ACTIONS(2214),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2214),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2214),
    [aux_sym_security_key_provider_token1] = ACTIONS(2214),
    [aux_sym_send_env_token1] = ACTIONS(2214),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2214),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2214),
    [aux_sym_session_type_token1] = ACTIONS(2214),
    [aux_sym_set_env_token1] = ACTIONS(2214),
    [aux_sym_stdin_null_token1] = ACTIONS(2214),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2214),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2214),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2214),
    [aux_sym_syslog_facility_token1] = ACTIONS(2214),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2214),
    [aux_sym_keep_alive_token1] = ACTIONS(2214),
    [aux_sym_tag_token1] = ACTIONS(2214),
    [aux_sym_tunnel_token1] = ACTIONS(2216),
    [aux_sym_tunnel_device_token1] = ACTIONS(2214),
    [aux_sym_update_host_keys_token1] = ACTIONS(2214),
    [aux_sym_use_keychain_token1] = ACTIONS(2214),
    [aux_sym_use_roaming_token1] = ACTIONS(2214),
    [aux_sym_user_token1] = ACTIONS(2216),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2214),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2214),
    [aux_sym_version_addendum_token1] = ACTIONS(2214),
    [aux_sym_visual_host_key_token1] = ACTIONS(2214),
    [aux_sym_xauth_location_token1] = ACTIONS(2214),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2224),
    [aux_sym_match_token1] = ACTIONS(2220),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2220),
    [aux_sym_address_family_token1] = ACTIONS(2220),
    [aux_sym_batch_mode_token1] = ACTIONS(2220),
    [aux_sym_bind_address_token1] = ACTIONS(2220),
    [aux_sym_bind_interface_token1] = ACTIONS(2220),
    [aux_sym_canonical_domains_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2220),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2220),
    [aux_sym_certificate_file_token1] = ACTIONS(2220),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2220),
    [aux_sym_channel_timeout_token1] = ACTIONS(2220),
    [aux_sym_check_host_ip_token1] = ACTIONS(2220),
    [aux_sym_ciphers_token1] = ACTIONS(2220),
    [aux_sym_cipher_token1] = ACTIONS(2222),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2220),
    [aux_sym_compression_token1] = ACTIONS(2220),
    [aux_sym_connection_attempts_token1] = ACTIONS(2220),
    [aux_sym_connect_timeout_token1] = ACTIONS(2220),
    [aux_sym_control_master_token1] = ACTIONS(2220),
    [aux_sym_control_path_token1] = ACTIONS(2220),
    [aux_sym_control_persist_token1] = ACTIONS(2220),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2220),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2220),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2220),
    [aux_sym_escape_char_token1] = ACTIONS(2220),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2220),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2220),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2220),
    [aux_sym_forward_agent_token1] = ACTIONS(2220),
    [aux_sym_forward_x11_token1] = ACTIONS(2222),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2220),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2220),
    [aux_sym_gateway_ports_token1] = ACTIONS(2220),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2220),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2220),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2220),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2220),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2220),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2220),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2220),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2220),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2220),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2220),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2220),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2220),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2220),
    [aux_sym_host_key_alias_token1] = ACTIONS(2220),
    [aux_sym_hostname_token1] = ACTIONS(2220),
    [aux_sym_identities_only_token1] = ACTIONS(2220),
    [aux_sym_identity_agent_token1] = ACTIONS(2220),
    [aux_sym_identity_file_token1] = ACTIONS(2220),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2220),
    [aux_sym_include_token1] = ACTIONS(2220),
    [aux_sym_ip_qos_token1] = ACTIONS(2220),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2220),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2220),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2220),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2220),
    [aux_sym_local_command_token1] = ACTIONS(2220),
    [aux_sym_local_forward_token1] = ACTIONS(2220),
    [aux_sym_log_level_token1] = ACTIONS(2220),
    [aux_sym_log_verbose_token1] = ACTIONS(2220),
    [aux_sym_macs_token1] = ACTIONS(2220),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2220),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2220),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2220),
    [aux_sym_password_authentication_token1] = ACTIONS(2220),
    [aux_sym_permit_local_command_token1] = ACTIONS(2220),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2220),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2220),
    [aux_sym_port_token1] = ACTIONS(2220),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2220),
    [aux_sym_protocol_token1] = ACTIONS(2220),
    [aux_sym_proxy_command_token1] = ACTIONS(2220),
    [aux_sym_proxy_jump_token1] = ACTIONS(2220),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2220),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2220),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2220),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2220),
    [aux_sym_rekey_limit_token1] = ACTIONS(2220),
    [aux_sym_remote_command_token1] = ACTIONS(2220),
    [aux_sym_remote_forward_token1] = ACTIONS(2220),
    [aux_sym_request_tty_token1] = ACTIONS(2220),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2220),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2220),
    [aux_sym_security_key_provider_token1] = ACTIONS(2220),
    [aux_sym_send_env_token1] = ACTIONS(2220),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2220),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2220),
    [aux_sym_session_type_token1] = ACTIONS(2220),
    [aux_sym_set_env_token1] = ACTIONS(2220),
    [aux_sym_stdin_null_token1] = ACTIONS(2220),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2220),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2220),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2220),
    [aux_sym_syslog_facility_token1] = ACTIONS(2220),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2220),
    [aux_sym_keep_alive_token1] = ACTIONS(2220),
    [aux_sym_tag_token1] = ACTIONS(2220),
    [aux_sym_tunnel_token1] = ACTIONS(2222),
    [aux_sym_tunnel_device_token1] = ACTIONS(2220),
    [aux_sym_update_host_keys_token1] = ACTIONS(2220),
    [aux_sym_use_keychain_token1] = ACTIONS(2220),
    [aux_sym_use_roaming_token1] = ACTIONS(2220),
    [aux_sym_user_token1] = ACTIONS(2222),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2220),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2220),
    [aux_sym_version_addendum_token1] = ACTIONS(2220),
    [aux_sym_visual_host_key_token1] = ACTIONS(2220),
    [aux_sym_xauth_location_token1] = ACTIONS(2220),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [aux_sym_match_token1] = ACTIONS(2226),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2226),
    [aux_sym_address_family_token1] = ACTIONS(2226),
    [aux_sym_batch_mode_token1] = ACTIONS(2226),
    [aux_sym_bind_address_token1] = ACTIONS(2226),
    [aux_sym_bind_interface_token1] = ACTIONS(2226),
    [aux_sym_canonical_domains_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2226),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2226),
    [aux_sym_certificate_file_token1] = ACTIONS(2226),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2226),
    [aux_sym_channel_timeout_token1] = ACTIONS(2226),
    [aux_sym_check_host_ip_token1] = ACTIONS(2226),
    [aux_sym_ciphers_token1] = ACTIONS(2226),
    [aux_sym_cipher_token1] = ACTIONS(2228),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2226),
    [aux_sym_compression_token1] = ACTIONS(2226),
    [aux_sym_connection_attempts_token1] = ACTIONS(2226),
    [aux_sym_connect_timeout_token1] = ACTIONS(2226),
    [aux_sym_control_master_token1] = ACTIONS(2226),
    [aux_sym_control_path_token1] = ACTIONS(2226),
    [aux_sym_control_persist_token1] = ACTIONS(2226),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2226),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2226),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2226),
    [aux_sym_escape_char_token1] = ACTIONS(2226),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2226),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2226),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2226),
    [aux_sym_forward_agent_token1] = ACTIONS(2226),
    [aux_sym_forward_x11_token1] = ACTIONS(2228),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2226),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2226),
    [aux_sym_gateway_ports_token1] = ACTIONS(2226),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2226),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2226),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2226),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2226),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2226),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2226),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2226),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2226),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2226),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2226),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2226),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2226),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2226),
    [aux_sym_host_key_alias_token1] = ACTIONS(2226),
    [aux_sym_hostname_token1] = ACTIONS(2226),
    [aux_sym_identities_only_token1] = ACTIONS(2226),
    [aux_sym_identity_agent_token1] = ACTIONS(2226),
    [aux_sym_identity_file_token1] = ACTIONS(2226),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2226),
    [aux_sym_include_token1] = ACTIONS(2226),
    [aux_sym_ip_qos_token1] = ACTIONS(2226),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2226),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2226),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2226),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2226),
    [aux_sym_local_command_token1] = ACTIONS(2226),
    [aux_sym_local_forward_token1] = ACTIONS(2226),
    [aux_sym_log_level_token1] = ACTIONS(2226),
    [aux_sym_log_verbose_token1] = ACTIONS(2226),
    [aux_sym_macs_token1] = ACTIONS(2226),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2226),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2226),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2226),
    [aux_sym_password_authentication_token1] = ACTIONS(2226),
    [aux_sym_permit_local_command_token1] = ACTIONS(2226),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2226),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2226),
    [aux_sym_port_token1] = ACTIONS(2226),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2226),
    [aux_sym_protocol_token1] = ACTIONS(2226),
    [aux_sym_proxy_command_token1] = ACTIONS(2226),
    [aux_sym_proxy_jump_token1] = ACTIONS(2226),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2226),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2226),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2226),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2226),
    [aux_sym_rekey_limit_token1] = ACTIONS(2226),
    [aux_sym_remote_command_token1] = ACTIONS(2226),
    [aux_sym_remote_forward_token1] = ACTIONS(2226),
    [aux_sym_request_tty_token1] = ACTIONS(2226),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2226),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2226),
    [aux_sym_security_key_provider_token1] = ACTIONS(2226),
    [aux_sym_send_env_token1] = ACTIONS(2226),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2226),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2226),
    [aux_sym_session_type_token1] = ACTIONS(2226),
    [aux_sym_set_env_token1] = ACTIONS(2226),
    [aux_sym_stdin_null_token1] = ACTIONS(2226),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2226),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2226),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2226),
    [aux_sym_syslog_facility_token1] = ACTIONS(2226),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2226),
    [aux_sym_keep_alive_token1] = ACTIONS(2226),
    [aux_sym_tag_token1] = ACTIONS(2226),
    [aux_sym_tunnel_token1] = ACTIONS(2228),
    [aux_sym_tunnel_device_token1] = ACTIONS(2226),
    [aux_sym_update_host_keys_token1] = ACTIONS(2226),
    [aux_sym_use_keychain_token1] = ACTIONS(2226),
    [aux_sym_use_roaming_token1] = ACTIONS(2226),
    [aux_sym_user_token1] = ACTIONS(2228),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2226),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2226),
    [aux_sym_version_addendum_token1] = ACTIONS(2226),
    [aux_sym_visual_host_key_token1] = ACTIONS(2226),
    [aux_sym_xauth_location_token1] = ACTIONS(2226),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2234),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [aux_sym_match_token1] = ACTIONS(2232),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2232),
    [aux_sym_address_family_token1] = ACTIONS(2232),
    [aux_sym_batch_mode_token1] = ACTIONS(2232),
    [aux_sym_bind_address_token1] = ACTIONS(2232),
    [aux_sym_bind_interface_token1] = ACTIONS(2232),
    [aux_sym_canonical_domains_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2232),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2232),
    [aux_sym_certificate_file_token1] = ACTIONS(2232),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2232),
    [aux_sym_channel_timeout_token1] = ACTIONS(2232),
    [aux_sym_check_host_ip_token1] = ACTIONS(2232),
    [aux_sym_ciphers_token1] = ACTIONS(2232),
    [aux_sym_cipher_token1] = ACTIONS(2234),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2232),
    [aux_sym_compression_token1] = ACTIONS(2232),
    [aux_sym_connection_attempts_token1] = ACTIONS(2232),
    [aux_sym_connect_timeout_token1] = ACTIONS(2232),
    [aux_sym_control_master_token1] = ACTIONS(2232),
    [aux_sym_control_path_token1] = ACTIONS(2232),
    [aux_sym_control_persist_token1] = ACTIONS(2232),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2232),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2232),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2232),
    [aux_sym_escape_char_token1] = ACTIONS(2232),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2232),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2232),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2232),
    [aux_sym_forward_agent_token1] = ACTIONS(2232),
    [aux_sym_forward_x11_token1] = ACTIONS(2234),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2232),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2232),
    [aux_sym_gateway_ports_token1] = ACTIONS(2232),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2232),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2232),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2232),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2232),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2232),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2232),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2232),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2232),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2232),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2232),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2232),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2232),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2232),
    [aux_sym_host_key_alias_token1] = ACTIONS(2232),
    [aux_sym_hostname_token1] = ACTIONS(2232),
    [aux_sym_identities_only_token1] = ACTIONS(2232),
    [aux_sym_identity_agent_token1] = ACTIONS(2232),
    [aux_sym_identity_file_token1] = ACTIONS(2232),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2232),
    [aux_sym_include_token1] = ACTIONS(2232),
    [aux_sym_ip_qos_token1] = ACTIONS(2232),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2232),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2232),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2232),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2232),
    [aux_sym_local_command_token1] = ACTIONS(2232),
    [aux_sym_local_forward_token1] = ACTIONS(2232),
    [aux_sym_log_level_token1] = ACTIONS(2232),
    [aux_sym_log_verbose_token1] = ACTIONS(2232),
    [aux_sym_macs_token1] = ACTIONS(2232),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2232),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2232),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2232),
    [aux_sym_password_authentication_token1] = ACTIONS(2232),
    [aux_sym_permit_local_command_token1] = ACTIONS(2232),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2232),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2232),
    [aux_sym_port_token1] = ACTIONS(2232),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2232),
    [aux_sym_protocol_token1] = ACTIONS(2232),
    [aux_sym_proxy_command_token1] = ACTIONS(2232),
    [aux_sym_proxy_jump_token1] = ACTIONS(2232),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2232),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2232),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2232),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2232),
    [aux_sym_rekey_limit_token1] = ACTIONS(2232),
    [aux_sym_remote_command_token1] = ACTIONS(2232),
    [aux_sym_remote_forward_token1] = ACTIONS(2232),
    [aux_sym_request_tty_token1] = ACTIONS(2232),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2232),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2232),
    [aux_sym_security_key_provider_token1] = ACTIONS(2232),
    [aux_sym_send_env_token1] = ACTIONS(2232),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2232),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2232),
    [aux_sym_session_type_token1] = ACTIONS(2232),
    [aux_sym_set_env_token1] = ACTIONS(2232),
    [aux_sym_stdin_null_token1] = ACTIONS(2232),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2232),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2232),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2232),
    [aux_sym_syslog_facility_token1] = ACTIONS(2232),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2232),
    [aux_sym_keep_alive_token1] = ACTIONS(2232),
    [aux_sym_tag_token1] = ACTIONS(2232),
    [aux_sym_tunnel_token1] = ACTIONS(2234),
    [aux_sym_tunnel_device_token1] = ACTIONS(2232),
    [aux_sym_update_host_keys_token1] = ACTIONS(2232),
    [aux_sym_use_keychain_token1] = ACTIONS(2232),
    [aux_sym_use_roaming_token1] = ACTIONS(2232),
    [aux_sym_user_token1] = ACTIONS(2234),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2232),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2232),
    [aux_sym_version_addendum_token1] = ACTIONS(2232),
    [aux_sym_visual_host_key_token1] = ACTIONS(2232),
    [aux_sym_xauth_location_token1] = ACTIONS(2232),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [aux_sym_match_token1] = ACTIONS(2238),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2238),
    [aux_sym_address_family_token1] = ACTIONS(2238),
    [aux_sym_batch_mode_token1] = ACTIONS(2238),
    [aux_sym_bind_address_token1] = ACTIONS(2238),
    [aux_sym_bind_interface_token1] = ACTIONS(2238),
    [aux_sym_canonical_domains_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2238),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2238),
    [aux_sym_certificate_file_token1] = ACTIONS(2238),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2238),
    [aux_sym_channel_timeout_token1] = ACTIONS(2238),
    [aux_sym_check_host_ip_token1] = ACTIONS(2238),
    [aux_sym_ciphers_token1] = ACTIONS(2238),
    [aux_sym_cipher_token1] = ACTIONS(2240),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2238),
    [aux_sym_compression_token1] = ACTIONS(2238),
    [aux_sym_connection_attempts_token1] = ACTIONS(2238),
    [aux_sym_connect_timeout_token1] = ACTIONS(2238),
    [aux_sym_control_master_token1] = ACTIONS(2238),
    [aux_sym_control_path_token1] = ACTIONS(2238),
    [aux_sym_control_persist_token1] = ACTIONS(2238),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2238),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2238),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2238),
    [aux_sym_escape_char_token1] = ACTIONS(2238),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2238),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2238),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2238),
    [aux_sym_forward_agent_token1] = ACTIONS(2238),
    [aux_sym_forward_x11_token1] = ACTIONS(2240),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2238),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2238),
    [aux_sym_gateway_ports_token1] = ACTIONS(2238),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2238),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2238),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2238),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2238),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2238),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2238),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2238),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2238),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2238),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2238),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2238),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2238),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2238),
    [aux_sym_host_key_alias_token1] = ACTIONS(2238),
    [aux_sym_hostname_token1] = ACTIONS(2238),
    [aux_sym_identities_only_token1] = ACTIONS(2238),
    [aux_sym_identity_agent_token1] = ACTIONS(2238),
    [aux_sym_identity_file_token1] = ACTIONS(2238),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2238),
    [aux_sym_include_token1] = ACTIONS(2238),
    [aux_sym_ip_qos_token1] = ACTIONS(2238),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2238),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2238),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2238),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2238),
    [aux_sym_local_command_token1] = ACTIONS(2238),
    [aux_sym_local_forward_token1] = ACTIONS(2238),
    [aux_sym_log_level_token1] = ACTIONS(2238),
    [aux_sym_log_verbose_token1] = ACTIONS(2238),
    [aux_sym_macs_token1] = ACTIONS(2238),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2238),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2238),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2238),
    [aux_sym_password_authentication_token1] = ACTIONS(2238),
    [aux_sym_permit_local_command_token1] = ACTIONS(2238),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2238),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2238),
    [aux_sym_port_token1] = ACTIONS(2238),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2238),
    [aux_sym_protocol_token1] = ACTIONS(2238),
    [aux_sym_proxy_command_token1] = ACTIONS(2238),
    [aux_sym_proxy_jump_token1] = ACTIONS(2238),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2238),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2238),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2238),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2238),
    [aux_sym_rekey_limit_token1] = ACTIONS(2238),
    [aux_sym_remote_command_token1] = ACTIONS(2238),
    [aux_sym_remote_forward_token1] = ACTIONS(2238),
    [aux_sym_request_tty_token1] = ACTIONS(2238),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2238),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2238),
    [aux_sym_security_key_provider_token1] = ACTIONS(2238),
    [aux_sym_send_env_token1] = ACTIONS(2238),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2238),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2238),
    [aux_sym_session_type_token1] = ACTIONS(2238),
    [aux_sym_set_env_token1] = ACTIONS(2238),
    [aux_sym_stdin_null_token1] = ACTIONS(2238),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2238),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2238),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2238),
    [aux_sym_syslog_facility_token1] = ACTIONS(2238),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2238),
    [aux_sym_keep_alive_token1] = ACTIONS(2238),
    [aux_sym_tag_token1] = ACTIONS(2238),
    [aux_sym_tunnel_token1] = ACTIONS(2240),
    [aux_sym_tunnel_device_token1] = ACTIONS(2238),
    [aux_sym_update_host_keys_token1] = ACTIONS(2238),
    [aux_sym_use_keychain_token1] = ACTIONS(2238),
    [aux_sym_use_roaming_token1] = ACTIONS(2238),
    [aux_sym_user_token1] = ACTIONS(2240),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2238),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2238),
    [aux_sym_version_addendum_token1] = ACTIONS(2238),
    [aux_sym_visual_host_key_token1] = ACTIONS(2238),
    [aux_sym_xauth_location_token1] = ACTIONS(2238),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2246),
    [anon_sym_DQUOTE] = ACTIONS(2248),
    [aux_sym_match_token1] = ACTIONS(2244),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2244),
    [aux_sym_address_family_token1] = ACTIONS(2244),
    [aux_sym_batch_mode_token1] = ACTIONS(2244),
    [aux_sym_bind_address_token1] = ACTIONS(2244),
    [aux_sym_bind_interface_token1] = ACTIONS(2244),
    [aux_sym_canonical_domains_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2244),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2244),
    [aux_sym_certificate_file_token1] = ACTIONS(2244),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2244),
    [aux_sym_channel_timeout_token1] = ACTIONS(2244),
    [aux_sym_check_host_ip_token1] = ACTIONS(2244),
    [aux_sym_ciphers_token1] = ACTIONS(2244),
    [aux_sym_cipher_token1] = ACTIONS(2246),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2244),
    [aux_sym_compression_token1] = ACTIONS(2244),
    [aux_sym_connection_attempts_token1] = ACTIONS(2244),
    [aux_sym_connect_timeout_token1] = ACTIONS(2244),
    [aux_sym_control_master_token1] = ACTIONS(2244),
    [aux_sym_control_path_token1] = ACTIONS(2244),
    [aux_sym_control_persist_token1] = ACTIONS(2244),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2244),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2244),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2244),
    [aux_sym_escape_char_token1] = ACTIONS(2244),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2244),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2244),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2244),
    [aux_sym_forward_agent_token1] = ACTIONS(2244),
    [aux_sym_forward_x11_token1] = ACTIONS(2246),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2244),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2244),
    [aux_sym_gateway_ports_token1] = ACTIONS(2244),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2244),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2244),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2244),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2244),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2244),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2244),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2244),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2244),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2244),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2244),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2244),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2244),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2244),
    [aux_sym_host_key_alias_token1] = ACTIONS(2244),
    [aux_sym_hostname_token1] = ACTIONS(2244),
    [aux_sym_identities_only_token1] = ACTIONS(2244),
    [aux_sym_identity_agent_token1] = ACTIONS(2244),
    [aux_sym_identity_file_token1] = ACTIONS(2244),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2244),
    [aux_sym_include_token1] = ACTIONS(2244),
    [aux_sym_ip_qos_token1] = ACTIONS(2244),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2244),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2244),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2244),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2244),
    [aux_sym_local_command_token1] = ACTIONS(2244),
    [aux_sym_local_forward_token1] = ACTIONS(2244),
    [aux_sym_log_level_token1] = ACTIONS(2244),
    [aux_sym_log_verbose_token1] = ACTIONS(2244),
    [aux_sym_macs_token1] = ACTIONS(2244),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2244),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2244),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2244),
    [aux_sym_password_authentication_token1] = ACTIONS(2244),
    [aux_sym_permit_local_command_token1] = ACTIONS(2244),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2244),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2244),
    [aux_sym_port_token1] = ACTIONS(2244),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2244),
    [aux_sym_protocol_token1] = ACTIONS(2244),
    [aux_sym_proxy_command_token1] = ACTIONS(2244),
    [aux_sym_proxy_jump_token1] = ACTIONS(2244),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2244),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2244),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2244),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2244),
    [aux_sym_rekey_limit_token1] = ACTIONS(2244),
    [aux_sym_remote_command_token1] = ACTIONS(2244),
    [aux_sym_remote_forward_token1] = ACTIONS(2244),
    [aux_sym_request_tty_token1] = ACTIONS(2244),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2244),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2244),
    [aux_sym_security_key_provider_token1] = ACTIONS(2244),
    [aux_sym_send_env_token1] = ACTIONS(2244),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2244),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2244),
    [aux_sym_session_type_token1] = ACTIONS(2244),
    [aux_sym_set_env_token1] = ACTIONS(2244),
    [aux_sym_stdin_null_token1] = ACTIONS(2244),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2244),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2244),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2244),
    [aux_sym_syslog_facility_token1] = ACTIONS(2244),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2244),
    [aux_sym_keep_alive_token1] = ACTIONS(2244),
    [aux_sym_tag_token1] = ACTIONS(2244),
    [aux_sym_tunnel_token1] = ACTIONS(2246),
    [aux_sym_tunnel_device_token1] = ACTIONS(2244),
    [aux_sym_update_host_keys_token1] = ACTIONS(2244),
    [aux_sym_use_keychain_token1] = ACTIONS(2244),
    [aux_sym_use_roaming_token1] = ACTIONS(2244),
    [aux_sym_user_token1] = ACTIONS(2246),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2244),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2244),
    [aux_sym_version_addendum_token1] = ACTIONS(2244),
    [aux_sym_visual_host_key_token1] = ACTIONS(2244),
    [aux_sym_xauth_location_token1] = ACTIONS(2244),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [aux_sym_match_token1] = ACTIONS(2250),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2250),
    [aux_sym_address_family_token1] = ACTIONS(2250),
    [aux_sym_batch_mode_token1] = ACTIONS(2250),
    [aux_sym_bind_address_token1] = ACTIONS(2250),
    [aux_sym_bind_interface_token1] = ACTIONS(2250),
    [aux_sym_canonical_domains_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2250),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2250),
    [aux_sym_certificate_file_token1] = ACTIONS(2250),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2250),
    [aux_sym_channel_timeout_token1] = ACTIONS(2250),
    [aux_sym_check_host_ip_token1] = ACTIONS(2250),
    [aux_sym_ciphers_token1] = ACTIONS(2250),
    [aux_sym_cipher_token1] = ACTIONS(2252),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2250),
    [aux_sym_compression_token1] = ACTIONS(2250),
    [aux_sym_connection_attempts_token1] = ACTIONS(2250),
    [aux_sym_connect_timeout_token1] = ACTIONS(2250),
    [aux_sym_control_master_token1] = ACTIONS(2250),
    [aux_sym_control_path_token1] = ACTIONS(2250),
    [aux_sym_control_persist_token1] = ACTIONS(2250),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2250),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2250),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2250),
    [aux_sym_escape_char_token1] = ACTIONS(2250),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2250),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2250),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2250),
    [aux_sym_forward_agent_token1] = ACTIONS(2250),
    [aux_sym_forward_x11_token1] = ACTIONS(2252),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2250),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2250),
    [aux_sym_gateway_ports_token1] = ACTIONS(2250),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2250),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2250),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2250),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2250),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2250),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2250),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2250),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2250),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2250),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2250),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2250),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2250),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2250),
    [aux_sym_host_key_alias_token1] = ACTIONS(2250),
    [aux_sym_hostname_token1] = ACTIONS(2250),
    [aux_sym_identities_only_token1] = ACTIONS(2250),
    [aux_sym_identity_agent_token1] = ACTIONS(2250),
    [aux_sym_identity_file_token1] = ACTIONS(2250),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2250),
    [aux_sym_include_token1] = ACTIONS(2250),
    [aux_sym_ip_qos_token1] = ACTIONS(2250),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2250),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2250),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2250),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2250),
    [aux_sym_local_command_token1] = ACTIONS(2250),
    [aux_sym_local_forward_token1] = ACTIONS(2250),
    [aux_sym_log_level_token1] = ACTIONS(2250),
    [aux_sym_log_verbose_token1] = ACTIONS(2250),
    [aux_sym_macs_token1] = ACTIONS(2250),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2250),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2250),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2250),
    [aux_sym_password_authentication_token1] = ACTIONS(2250),
    [aux_sym_permit_local_command_token1] = ACTIONS(2250),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2250),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2250),
    [aux_sym_port_token1] = ACTIONS(2250),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2250),
    [aux_sym_protocol_token1] = ACTIONS(2250),
    [aux_sym_proxy_command_token1] = ACTIONS(2250),
    [aux_sym_proxy_jump_token1] = ACTIONS(2250),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2250),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2250),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2250),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2250),
    [aux_sym_rekey_limit_token1] = ACTIONS(2250),
    [aux_sym_remote_command_token1] = ACTIONS(2250),
    [aux_sym_remote_forward_token1] = ACTIONS(2250),
    [aux_sym_request_tty_token1] = ACTIONS(2250),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2250),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2250),
    [aux_sym_security_key_provider_token1] = ACTIONS(2250),
    [aux_sym_send_env_token1] = ACTIONS(2250),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2250),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2250),
    [aux_sym_session_type_token1] = ACTIONS(2250),
    [aux_sym_set_env_token1] = ACTIONS(2250),
    [aux_sym_stdin_null_token1] = ACTIONS(2250),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2250),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2250),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2250),
    [aux_sym_syslog_facility_token1] = ACTIONS(2250),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2250),
    [aux_sym_keep_alive_token1] = ACTIONS(2250),
    [aux_sym_tag_token1] = ACTIONS(2250),
    [aux_sym_tunnel_token1] = ACTIONS(2252),
    [aux_sym_tunnel_device_token1] = ACTIONS(2250),
    [aux_sym_update_host_keys_token1] = ACTIONS(2250),
    [aux_sym_use_keychain_token1] = ACTIONS(2250),
    [aux_sym_use_roaming_token1] = ACTIONS(2250),
    [aux_sym_user_token1] = ACTIONS(2252),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2250),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2250),
    [aux_sym_version_addendum_token1] = ACTIONS(2250),
    [aux_sym_visual_host_key_token1] = ACTIONS(2250),
    [aux_sym_xauth_location_token1] = ACTIONS(2250),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2260),
    [aux_sym_match_token1] = ACTIONS(2256),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2256),
    [aux_sym_address_family_token1] = ACTIONS(2256),
    [aux_sym_batch_mode_token1] = ACTIONS(2256),
    [aux_sym_bind_address_token1] = ACTIONS(2256),
    [aux_sym_bind_interface_token1] = ACTIONS(2256),
    [aux_sym_canonical_domains_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2256),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2256),
    [aux_sym_certificate_file_token1] = ACTIONS(2256),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2256),
    [aux_sym_channel_timeout_token1] = ACTIONS(2256),
    [aux_sym_check_host_ip_token1] = ACTIONS(2256),
    [aux_sym_ciphers_token1] = ACTIONS(2256),
    [aux_sym_cipher_token1] = ACTIONS(2258),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2256),
    [aux_sym_compression_token1] = ACTIONS(2256),
    [aux_sym_connection_attempts_token1] = ACTIONS(2256),
    [aux_sym_connect_timeout_token1] = ACTIONS(2256),
    [aux_sym_control_master_token1] = ACTIONS(2256),
    [aux_sym_control_path_token1] = ACTIONS(2256),
    [aux_sym_control_persist_token1] = ACTIONS(2256),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2256),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2256),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2256),
    [aux_sym_escape_char_token1] = ACTIONS(2256),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2256),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2256),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2256),
    [aux_sym_forward_agent_token1] = ACTIONS(2256),
    [aux_sym_forward_x11_token1] = ACTIONS(2258),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2256),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2256),
    [aux_sym_gateway_ports_token1] = ACTIONS(2256),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2256),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2256),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2256),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2256),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2256),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2256),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2256),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2256),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2256),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2256),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2256),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2256),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2256),
    [aux_sym_host_key_alias_token1] = ACTIONS(2256),
    [aux_sym_hostname_token1] = ACTIONS(2256),
    [aux_sym_identities_only_token1] = ACTIONS(2256),
    [aux_sym_identity_agent_token1] = ACTIONS(2256),
    [aux_sym_identity_file_token1] = ACTIONS(2256),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2256),
    [aux_sym_include_token1] = ACTIONS(2256),
    [aux_sym_ip_qos_token1] = ACTIONS(2256),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2256),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2256),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2256),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2256),
    [aux_sym_local_command_token1] = ACTIONS(2256),
    [aux_sym_local_forward_token1] = ACTIONS(2256),
    [aux_sym_log_level_token1] = ACTIONS(2256),
    [aux_sym_log_verbose_token1] = ACTIONS(2256),
    [aux_sym_macs_token1] = ACTIONS(2256),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2256),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2256),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2256),
    [aux_sym_password_authentication_token1] = ACTIONS(2256),
    [aux_sym_permit_local_command_token1] = ACTIONS(2256),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2256),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2256),
    [aux_sym_port_token1] = ACTIONS(2256),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2256),
    [aux_sym_protocol_token1] = ACTIONS(2256),
    [aux_sym_proxy_command_token1] = ACTIONS(2256),
    [aux_sym_proxy_jump_token1] = ACTIONS(2256),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2256),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2256),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2256),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2256),
    [aux_sym_rekey_limit_token1] = ACTIONS(2256),
    [aux_sym_remote_command_token1] = ACTIONS(2256),
    [aux_sym_remote_forward_token1] = ACTIONS(2256),
    [aux_sym_request_tty_token1] = ACTIONS(2256),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2256),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2256),
    [aux_sym_security_key_provider_token1] = ACTIONS(2256),
    [aux_sym_send_env_token1] = ACTIONS(2256),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2256),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2256),
    [aux_sym_session_type_token1] = ACTIONS(2256),
    [aux_sym_set_env_token1] = ACTIONS(2256),
    [aux_sym_stdin_null_token1] = ACTIONS(2256),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2256),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2256),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2256),
    [aux_sym_syslog_facility_token1] = ACTIONS(2256),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2256),
    [aux_sym_keep_alive_token1] = ACTIONS(2256),
    [aux_sym_tag_token1] = ACTIONS(2256),
    [aux_sym_tunnel_token1] = ACTIONS(2258),
    [aux_sym_tunnel_device_token1] = ACTIONS(2256),
    [aux_sym_update_host_keys_token1] = ACTIONS(2256),
    [aux_sym_use_keychain_token1] = ACTIONS(2256),
    [aux_sym_use_roaming_token1] = ACTIONS(2256),
    [aux_sym_user_token1] = ACTIONS(2258),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2256),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2256),
    [aux_sym_version_addendum_token1] = ACTIONS(2256),
    [aux_sym_visual_host_key_token1] = ACTIONS(2256),
    [aux_sym_xauth_location_token1] = ACTIONS(2256),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2264),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [aux_sym_match_token1] = ACTIONS(2262),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2262),
    [aux_sym_address_family_token1] = ACTIONS(2262),
    [aux_sym_batch_mode_token1] = ACTIONS(2262),
    [aux_sym_bind_address_token1] = ACTIONS(2262),
    [aux_sym_bind_interface_token1] = ACTIONS(2262),
    [aux_sym_canonical_domains_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2262),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2262),
    [aux_sym_certificate_file_token1] = ACTIONS(2262),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2262),
    [aux_sym_channel_timeout_token1] = ACTIONS(2262),
    [aux_sym_check_host_ip_token1] = ACTIONS(2262),
    [aux_sym_ciphers_token1] = ACTIONS(2262),
    [aux_sym_cipher_token1] = ACTIONS(2264),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2262),
    [aux_sym_compression_token1] = ACTIONS(2262),
    [aux_sym_connection_attempts_token1] = ACTIONS(2262),
    [aux_sym_connect_timeout_token1] = ACTIONS(2262),
    [aux_sym_control_master_token1] = ACTIONS(2262),
    [aux_sym_control_path_token1] = ACTIONS(2262),
    [aux_sym_control_persist_token1] = ACTIONS(2262),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2262),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2262),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2262),
    [aux_sym_escape_char_token1] = ACTIONS(2262),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2262),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2262),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2262),
    [aux_sym_forward_agent_token1] = ACTIONS(2262),
    [aux_sym_forward_x11_token1] = ACTIONS(2264),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2262),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2262),
    [aux_sym_gateway_ports_token1] = ACTIONS(2262),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2262),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2262),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2262),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2262),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2262),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2262),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2262),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2262),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2262),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2262),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2262),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2262),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2262),
    [aux_sym_host_key_alias_token1] = ACTIONS(2262),
    [aux_sym_hostname_token1] = ACTIONS(2262),
    [aux_sym_identities_only_token1] = ACTIONS(2262),
    [aux_sym_identity_agent_token1] = ACTIONS(2262),
    [aux_sym_identity_file_token1] = ACTIONS(2262),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2262),
    [aux_sym_include_token1] = ACTIONS(2262),
    [aux_sym_ip_qos_token1] = ACTIONS(2262),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2262),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2262),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2262),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2262),
    [aux_sym_local_command_token1] = ACTIONS(2262),
    [aux_sym_local_forward_token1] = ACTIONS(2262),
    [aux_sym_log_level_token1] = ACTIONS(2262),
    [aux_sym_log_verbose_token1] = ACTIONS(2262),
    [aux_sym_macs_token1] = ACTIONS(2262),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2262),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2262),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2262),
    [aux_sym_password_authentication_token1] = ACTIONS(2262),
    [aux_sym_permit_local_command_token1] = ACTIONS(2262),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2262),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2262),
    [aux_sym_port_token1] = ACTIONS(2262),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2262),
    [aux_sym_protocol_token1] = ACTIONS(2262),
    [aux_sym_proxy_command_token1] = ACTIONS(2262),
    [aux_sym_proxy_jump_token1] = ACTIONS(2262),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2262),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2262),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2262),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2262),
    [aux_sym_rekey_limit_token1] = ACTIONS(2262),
    [aux_sym_remote_command_token1] = ACTIONS(2262),
    [aux_sym_remote_forward_token1] = ACTIONS(2262),
    [aux_sym_request_tty_token1] = ACTIONS(2262),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2262),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2262),
    [aux_sym_security_key_provider_token1] = ACTIONS(2262),
    [aux_sym_send_env_token1] = ACTIONS(2262),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2262),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2262),
    [aux_sym_session_type_token1] = ACTIONS(2262),
    [aux_sym_set_env_token1] = ACTIONS(2262),
    [aux_sym_stdin_null_token1] = ACTIONS(2262),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2262),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2262),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2262),
    [aux_sym_syslog_facility_token1] = ACTIONS(2262),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2262),
    [aux_sym_keep_alive_token1] = ACTIONS(2262),
    [aux_sym_tag_token1] = ACTIONS(2262),
    [aux_sym_tunnel_token1] = ACTIONS(2264),
    [aux_sym_tunnel_device_token1] = ACTIONS(2262),
    [aux_sym_update_host_keys_token1] = ACTIONS(2262),
    [aux_sym_use_keychain_token1] = ACTIONS(2262),
    [aux_sym_use_roaming_token1] = ACTIONS(2262),
    [aux_sym_user_token1] = ACTIONS(2264),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2262),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2262),
    [aux_sym_version_addendum_token1] = ACTIONS(2262),
    [aux_sym_visual_host_key_token1] = ACTIONS(2262),
    [aux_sym_xauth_location_token1] = ACTIONS(2262),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2270),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [aux_sym_match_token1] = ACTIONS(2268),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2268),
    [aux_sym_address_family_token1] = ACTIONS(2268),
    [aux_sym_batch_mode_token1] = ACTIONS(2268),
    [aux_sym_bind_address_token1] = ACTIONS(2268),
    [aux_sym_bind_interface_token1] = ACTIONS(2268),
    [aux_sym_canonical_domains_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2268),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2268),
    [aux_sym_certificate_file_token1] = ACTIONS(2268),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2268),
    [aux_sym_channel_timeout_token1] = ACTIONS(2268),
    [aux_sym_check_host_ip_token1] = ACTIONS(2268),
    [aux_sym_ciphers_token1] = ACTIONS(2268),
    [aux_sym_cipher_token1] = ACTIONS(2270),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2268),
    [aux_sym_compression_token1] = ACTIONS(2268),
    [aux_sym_connection_attempts_token1] = ACTIONS(2268),
    [aux_sym_connect_timeout_token1] = ACTIONS(2268),
    [aux_sym_control_master_token1] = ACTIONS(2268),
    [aux_sym_control_path_token1] = ACTIONS(2268),
    [aux_sym_control_persist_token1] = ACTIONS(2268),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2268),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2268),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2268),
    [aux_sym_escape_char_token1] = ACTIONS(2268),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2268),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2268),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2268),
    [aux_sym_forward_agent_token1] = ACTIONS(2268),
    [aux_sym_forward_x11_token1] = ACTIONS(2270),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2268),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2268),
    [aux_sym_gateway_ports_token1] = ACTIONS(2268),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2268),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2268),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2268),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2268),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2268),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2268),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2268),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2268),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2268),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2268),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2268),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2268),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2268),
    [aux_sym_host_key_alias_token1] = ACTIONS(2268),
    [aux_sym_hostname_token1] = ACTIONS(2268),
    [aux_sym_identities_only_token1] = ACTIONS(2268),
    [aux_sym_identity_agent_token1] = ACTIONS(2268),
    [aux_sym_identity_file_token1] = ACTIONS(2268),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2268),
    [aux_sym_include_token1] = ACTIONS(2268),
    [aux_sym_ip_qos_token1] = ACTIONS(2268),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2268),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2268),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2268),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2268),
    [aux_sym_local_command_token1] = ACTIONS(2268),
    [aux_sym_local_forward_token1] = ACTIONS(2268),
    [aux_sym_log_level_token1] = ACTIONS(2268),
    [aux_sym_log_verbose_token1] = ACTIONS(2268),
    [aux_sym_macs_token1] = ACTIONS(2268),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2268),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2268),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2268),
    [aux_sym_password_authentication_token1] = ACTIONS(2268),
    [aux_sym_permit_local_command_token1] = ACTIONS(2268),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2268),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2268),
    [aux_sym_port_token1] = ACTIONS(2268),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2268),
    [aux_sym_protocol_token1] = ACTIONS(2268),
    [aux_sym_proxy_command_token1] = ACTIONS(2268),
    [aux_sym_proxy_jump_token1] = ACTIONS(2268),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2268),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2268),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2268),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2268),
    [aux_sym_rekey_limit_token1] = ACTIONS(2268),
    [aux_sym_remote_command_token1] = ACTIONS(2268),
    [aux_sym_remote_forward_token1] = ACTIONS(2268),
    [aux_sym_request_tty_token1] = ACTIONS(2268),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2268),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2268),
    [aux_sym_security_key_provider_token1] = ACTIONS(2268),
    [aux_sym_send_env_token1] = ACTIONS(2268),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2268),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2268),
    [aux_sym_session_type_token1] = ACTIONS(2268),
    [aux_sym_set_env_token1] = ACTIONS(2268),
    [aux_sym_stdin_null_token1] = ACTIONS(2268),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2268),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2268),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2268),
    [aux_sym_syslog_facility_token1] = ACTIONS(2268),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2268),
    [aux_sym_keep_alive_token1] = ACTIONS(2268),
    [aux_sym_tag_token1] = ACTIONS(2268),
    [aux_sym_tunnel_token1] = ACTIONS(2270),
    [aux_sym_tunnel_device_token1] = ACTIONS(2268),
    [aux_sym_update_host_keys_token1] = ACTIONS(2268),
    [aux_sym_use_keychain_token1] = ACTIONS(2268),
    [aux_sym_use_roaming_token1] = ACTIONS(2268),
    [aux_sym_user_token1] = ACTIONS(2270),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2268),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2268),
    [aux_sym_version_addendum_token1] = ACTIONS(2268),
    [aux_sym_visual_host_key_token1] = ACTIONS(2268),
    [aux_sym_xauth_location_token1] = ACTIONS(2268),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [aux_sym_match_token1] = ACTIONS(2274),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2274),
    [aux_sym_address_family_token1] = ACTIONS(2274),
    [aux_sym_batch_mode_token1] = ACTIONS(2274),
    [aux_sym_bind_address_token1] = ACTIONS(2274),
    [aux_sym_bind_interface_token1] = ACTIONS(2274),
    [aux_sym_canonical_domains_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2274),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2274),
    [aux_sym_certificate_file_token1] = ACTIONS(2274),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2274),
    [aux_sym_channel_timeout_token1] = ACTIONS(2274),
    [aux_sym_check_host_ip_token1] = ACTIONS(2274),
    [aux_sym_ciphers_token1] = ACTIONS(2274),
    [aux_sym_cipher_token1] = ACTIONS(2276),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2274),
    [aux_sym_compression_token1] = ACTIONS(2274),
    [aux_sym_connection_attempts_token1] = ACTIONS(2274),
    [aux_sym_connect_timeout_token1] = ACTIONS(2274),
    [aux_sym_control_master_token1] = ACTIONS(2274),
    [aux_sym_control_path_token1] = ACTIONS(2274),
    [aux_sym_control_persist_token1] = ACTIONS(2274),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2274),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2274),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2274),
    [aux_sym_escape_char_token1] = ACTIONS(2274),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2274),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2274),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2274),
    [aux_sym_forward_agent_token1] = ACTIONS(2274),
    [aux_sym_forward_x11_token1] = ACTIONS(2276),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2274),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2274),
    [aux_sym_gateway_ports_token1] = ACTIONS(2274),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2274),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2274),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2274),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2274),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2274),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2274),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2274),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2274),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2274),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2274),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2274),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2274),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2274),
    [aux_sym_host_key_alias_token1] = ACTIONS(2274),
    [aux_sym_hostname_token1] = ACTIONS(2274),
    [aux_sym_identities_only_token1] = ACTIONS(2274),
    [aux_sym_identity_agent_token1] = ACTIONS(2274),
    [aux_sym_identity_file_token1] = ACTIONS(2274),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2274),
    [aux_sym_include_token1] = ACTIONS(2274),
    [aux_sym_ip_qos_token1] = ACTIONS(2274),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2274),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2274),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2274),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2274),
    [aux_sym_local_command_token1] = ACTIONS(2274),
    [aux_sym_local_forward_token1] = ACTIONS(2274),
    [aux_sym_log_level_token1] = ACTIONS(2274),
    [aux_sym_log_verbose_token1] = ACTIONS(2274),
    [aux_sym_macs_token1] = ACTIONS(2274),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2274),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2274),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2274),
    [aux_sym_password_authentication_token1] = ACTIONS(2274),
    [aux_sym_permit_local_command_token1] = ACTIONS(2274),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2274),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2274),
    [aux_sym_port_token1] = ACTIONS(2274),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2274),
    [aux_sym_protocol_token1] = ACTIONS(2274),
    [aux_sym_proxy_command_token1] = ACTIONS(2274),
    [aux_sym_proxy_jump_token1] = ACTIONS(2274),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2274),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2274),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2274),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2274),
    [aux_sym_rekey_limit_token1] = ACTIONS(2274),
    [aux_sym_remote_command_token1] = ACTIONS(2274),
    [aux_sym_remote_forward_token1] = ACTIONS(2274),
    [aux_sym_request_tty_token1] = ACTIONS(2274),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2274),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2274),
    [aux_sym_security_key_provider_token1] = ACTIONS(2274),
    [aux_sym_send_env_token1] = ACTIONS(2274),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2274),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2274),
    [aux_sym_session_type_token1] = ACTIONS(2274),
    [aux_sym_set_env_token1] = ACTIONS(2274),
    [aux_sym_stdin_null_token1] = ACTIONS(2274),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2274),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2274),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2274),
    [aux_sym_syslog_facility_token1] = ACTIONS(2274),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2274),
    [aux_sym_keep_alive_token1] = ACTIONS(2274),
    [aux_sym_tag_token1] = ACTIONS(2274),
    [aux_sym_tunnel_token1] = ACTIONS(2276),
    [aux_sym_tunnel_device_token1] = ACTIONS(2274),
    [aux_sym_update_host_keys_token1] = ACTIONS(2274),
    [aux_sym_use_keychain_token1] = ACTIONS(2274),
    [aux_sym_use_roaming_token1] = ACTIONS(2274),
    [aux_sym_user_token1] = ACTIONS(2276),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2274),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2274),
    [aux_sym_version_addendum_token1] = ACTIONS(2274),
    [aux_sym_visual_host_key_token1] = ACTIONS(2274),
    [aux_sym_xauth_location_token1] = ACTIONS(2274),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2284),
    [aux_sym_match_token1] = ACTIONS(2280),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2280),
    [aux_sym_address_family_token1] = ACTIONS(2280),
    [aux_sym_batch_mode_token1] = ACTIONS(2280),
    [aux_sym_bind_address_token1] = ACTIONS(2280),
    [aux_sym_bind_interface_token1] = ACTIONS(2280),
    [aux_sym_canonical_domains_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2280),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2280),
    [aux_sym_certificate_file_token1] = ACTIONS(2280),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2280),
    [aux_sym_channel_timeout_token1] = ACTIONS(2280),
    [aux_sym_check_host_ip_token1] = ACTIONS(2280),
    [aux_sym_ciphers_token1] = ACTIONS(2280),
    [aux_sym_cipher_token1] = ACTIONS(2282),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2280),
    [aux_sym_compression_token1] = ACTIONS(2280),
    [aux_sym_connection_attempts_token1] = ACTIONS(2280),
    [aux_sym_connect_timeout_token1] = ACTIONS(2280),
    [aux_sym_control_master_token1] = ACTIONS(2280),
    [aux_sym_control_path_token1] = ACTIONS(2280),
    [aux_sym_control_persist_token1] = ACTIONS(2280),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2280),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2280),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2280),
    [aux_sym_escape_char_token1] = ACTIONS(2280),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2280),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2280),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2280),
    [aux_sym_forward_agent_token1] = ACTIONS(2280),
    [aux_sym_forward_x11_token1] = ACTIONS(2282),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2280),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2280),
    [aux_sym_gateway_ports_token1] = ACTIONS(2280),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2280),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2280),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2280),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2280),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2280),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2280),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2280),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2280),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2280),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2280),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2280),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2280),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2280),
    [aux_sym_host_key_alias_token1] = ACTIONS(2280),
    [aux_sym_hostname_token1] = ACTIONS(2280),
    [aux_sym_identities_only_token1] = ACTIONS(2280),
    [aux_sym_identity_agent_token1] = ACTIONS(2280),
    [aux_sym_identity_file_token1] = ACTIONS(2280),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2280),
    [aux_sym_include_token1] = ACTIONS(2280),
    [aux_sym_ip_qos_token1] = ACTIONS(2280),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2280),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2280),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2280),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2280),
    [aux_sym_local_command_token1] = ACTIONS(2280),
    [aux_sym_local_forward_token1] = ACTIONS(2280),
    [aux_sym_log_level_token1] = ACTIONS(2280),
    [aux_sym_log_verbose_token1] = ACTIONS(2280),
    [aux_sym_macs_token1] = ACTIONS(2280),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2280),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2280),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2280),
    [aux_sym_password_authentication_token1] = ACTIONS(2280),
    [aux_sym_permit_local_command_token1] = ACTIONS(2280),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2280),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2280),
    [aux_sym_port_token1] = ACTIONS(2280),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2280),
    [aux_sym_protocol_token1] = ACTIONS(2280),
    [aux_sym_proxy_command_token1] = ACTIONS(2280),
    [aux_sym_proxy_jump_token1] = ACTIONS(2280),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2280),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2280),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2280),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2280),
    [aux_sym_rekey_limit_token1] = ACTIONS(2280),
    [aux_sym_remote_command_token1] = ACTIONS(2280),
    [aux_sym_remote_forward_token1] = ACTIONS(2280),
    [aux_sym_request_tty_token1] = ACTIONS(2280),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2280),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2280),
    [aux_sym_security_key_provider_token1] = ACTIONS(2280),
    [aux_sym_send_env_token1] = ACTIONS(2280),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2280),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2280),
    [aux_sym_session_type_token1] = ACTIONS(2280),
    [aux_sym_set_env_token1] = ACTIONS(2280),
    [aux_sym_stdin_null_token1] = ACTIONS(2280),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2280),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2280),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2280),
    [aux_sym_syslog_facility_token1] = ACTIONS(2280),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2280),
    [aux_sym_keep_alive_token1] = ACTIONS(2280),
    [aux_sym_tag_token1] = ACTIONS(2280),
    [aux_sym_tunnel_token1] = ACTIONS(2282),
    [aux_sym_tunnel_device_token1] = ACTIONS(2280),
    [aux_sym_update_host_keys_token1] = ACTIONS(2280),
    [aux_sym_use_keychain_token1] = ACTIONS(2280),
    [aux_sym_use_roaming_token1] = ACTIONS(2280),
    [aux_sym_user_token1] = ACTIONS(2282),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2280),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2280),
    [aux_sym_version_addendum_token1] = ACTIONS(2280),
    [aux_sym_visual_host_key_token1] = ACTIONS(2280),
    [aux_sym_xauth_location_token1] = ACTIONS(2280),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(2286),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [aux_sym_match_token1] = ACTIONS(2286),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2286),
    [aux_sym_address_family_token1] = ACTIONS(2286),
    [aux_sym_batch_mode_token1] = ACTIONS(2286),
    [aux_sym_bind_address_token1] = ACTIONS(2286),
    [aux_sym_bind_interface_token1] = ACTIONS(2286),
    [aux_sym_canonical_domains_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2286),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2286),
    [aux_sym_certificate_file_token1] = ACTIONS(2286),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2286),
    [aux_sym_channel_timeout_token1] = ACTIONS(2286),
    [aux_sym_check_host_ip_token1] = ACTIONS(2286),
    [aux_sym_ciphers_token1] = ACTIONS(2286),
    [aux_sym_cipher_token1] = ACTIONS(2288),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2286),
    [aux_sym_compression_token1] = ACTIONS(2286),
    [aux_sym_connection_attempts_token1] = ACTIONS(2286),
    [aux_sym_connect_timeout_token1] = ACTIONS(2286),
    [aux_sym_control_master_token1] = ACTIONS(2286),
    [aux_sym_control_path_token1] = ACTIONS(2286),
    [aux_sym_control_persist_token1] = ACTIONS(2286),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2286),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2286),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2286),
    [aux_sym_escape_char_token1] = ACTIONS(2286),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2286),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2286),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2286),
    [aux_sym_forward_agent_token1] = ACTIONS(2286),
    [aux_sym_forward_x11_token1] = ACTIONS(2288),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2286),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2286),
    [aux_sym_gateway_ports_token1] = ACTIONS(2286),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2286),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2286),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2286),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2286),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2286),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2286),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2286),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2286),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2286),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2286),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2286),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2286),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2286),
    [aux_sym_host_key_alias_token1] = ACTIONS(2286),
    [aux_sym_hostname_token1] = ACTIONS(2286),
    [aux_sym_identities_only_token1] = ACTIONS(2286),
    [aux_sym_identity_agent_token1] = ACTIONS(2286),
    [aux_sym_identity_file_token1] = ACTIONS(2286),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2286),
    [aux_sym_include_token1] = ACTIONS(2286),
    [aux_sym_ip_qos_token1] = ACTIONS(2286),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2286),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2286),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2286),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2286),
    [aux_sym_local_command_token1] = ACTIONS(2286),
    [aux_sym_local_forward_token1] = ACTIONS(2286),
    [aux_sym_log_level_token1] = ACTIONS(2286),
    [aux_sym_log_verbose_token1] = ACTIONS(2286),
    [aux_sym_macs_token1] = ACTIONS(2286),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2286),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2286),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2286),
    [aux_sym_password_authentication_token1] = ACTIONS(2286),
    [aux_sym_permit_local_command_token1] = ACTIONS(2286),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2286),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2286),
    [aux_sym_port_token1] = ACTIONS(2286),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2286),
    [aux_sym_protocol_token1] = ACTIONS(2286),
    [aux_sym_proxy_command_token1] = ACTIONS(2286),
    [aux_sym_proxy_jump_token1] = ACTIONS(2286),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2286),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2286),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2286),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2286),
    [aux_sym_rekey_limit_token1] = ACTIONS(2286),
    [aux_sym_remote_command_token1] = ACTIONS(2286),
    [aux_sym_remote_forward_token1] = ACTIONS(2286),
    [aux_sym_request_tty_token1] = ACTIONS(2286),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2286),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2286),
    [aux_sym_security_key_provider_token1] = ACTIONS(2286),
    [aux_sym_send_env_token1] = ACTIONS(2286),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2286),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2286),
    [aux_sym_session_type_token1] = ACTIONS(2286),
    [aux_sym_set_env_token1] = ACTIONS(2286),
    [aux_sym_stdin_null_token1] = ACTIONS(2286),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2286),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2286),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2286),
    [aux_sym_syslog_facility_token1] = ACTIONS(2286),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2286),
    [aux_sym_keep_alive_token1] = ACTIONS(2286),
    [aux_sym_tag_token1] = ACTIONS(2286),
    [aux_sym_tunnel_token1] = ACTIONS(2288),
    [aux_sym_tunnel_device_token1] = ACTIONS(2286),
    [aux_sym_update_host_keys_token1] = ACTIONS(2286),
    [aux_sym_use_keychain_token1] = ACTIONS(2286),
    [aux_sym_use_roaming_token1] = ACTIONS(2286),
    [aux_sym_user_token1] = ACTIONS(2288),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2286),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2286),
    [aux_sym_version_addendum_token1] = ACTIONS(2286),
    [aux_sym_visual_host_key_token1] = ACTIONS(2286),
    [aux_sym_xauth_location_token1] = ACTIONS(2286),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2294),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [aux_sym_match_token1] = ACTIONS(2292),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2292),
    [aux_sym_address_family_token1] = ACTIONS(2292),
    [aux_sym_batch_mode_token1] = ACTIONS(2292),
    [aux_sym_bind_address_token1] = ACTIONS(2292),
    [aux_sym_bind_interface_token1] = ACTIONS(2292),
    [aux_sym_canonical_domains_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2292),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2292),
    [aux_sym_certificate_file_token1] = ACTIONS(2292),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2292),
    [aux_sym_channel_timeout_token1] = ACTIONS(2292),
    [aux_sym_check_host_ip_token1] = ACTIONS(2292),
    [aux_sym_ciphers_token1] = ACTIONS(2292),
    [aux_sym_cipher_token1] = ACTIONS(2294),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2292),
    [aux_sym_compression_token1] = ACTIONS(2292),
    [aux_sym_connection_attempts_token1] = ACTIONS(2292),
    [aux_sym_connect_timeout_token1] = ACTIONS(2292),
    [aux_sym_control_master_token1] = ACTIONS(2292),
    [aux_sym_control_path_token1] = ACTIONS(2292),
    [aux_sym_control_persist_token1] = ACTIONS(2292),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2292),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2292),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2292),
    [aux_sym_escape_char_token1] = ACTIONS(2292),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2292),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2292),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2292),
    [aux_sym_forward_agent_token1] = ACTIONS(2292),
    [aux_sym_forward_x11_token1] = ACTIONS(2294),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2292),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2292),
    [aux_sym_gateway_ports_token1] = ACTIONS(2292),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2292),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2292),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2292),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2292),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2292),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2292),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2292),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2292),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2292),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2292),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2292),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2292),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2292),
    [aux_sym_host_key_alias_token1] = ACTIONS(2292),
    [aux_sym_hostname_token1] = ACTIONS(2292),
    [aux_sym_identities_only_token1] = ACTIONS(2292),
    [aux_sym_identity_agent_token1] = ACTIONS(2292),
    [aux_sym_identity_file_token1] = ACTIONS(2292),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2292),
    [aux_sym_include_token1] = ACTIONS(2292),
    [aux_sym_ip_qos_token1] = ACTIONS(2292),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2292),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2292),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2292),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2292),
    [aux_sym_local_command_token1] = ACTIONS(2292),
    [aux_sym_local_forward_token1] = ACTIONS(2292),
    [aux_sym_log_level_token1] = ACTIONS(2292),
    [aux_sym_log_verbose_token1] = ACTIONS(2292),
    [aux_sym_macs_token1] = ACTIONS(2292),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2292),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2292),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2292),
    [aux_sym_password_authentication_token1] = ACTIONS(2292),
    [aux_sym_permit_local_command_token1] = ACTIONS(2292),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2292),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2292),
    [aux_sym_port_token1] = ACTIONS(2292),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2292),
    [aux_sym_protocol_token1] = ACTIONS(2292),
    [aux_sym_proxy_command_token1] = ACTIONS(2292),
    [aux_sym_proxy_jump_token1] = ACTIONS(2292),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2292),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2292),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2292),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2292),
    [aux_sym_rekey_limit_token1] = ACTIONS(2292),
    [aux_sym_remote_command_token1] = ACTIONS(2292),
    [aux_sym_remote_forward_token1] = ACTIONS(2292),
    [aux_sym_request_tty_token1] = ACTIONS(2292),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2292),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2292),
    [aux_sym_security_key_provider_token1] = ACTIONS(2292),
    [aux_sym_send_env_token1] = ACTIONS(2292),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2292),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2292),
    [aux_sym_session_type_token1] = ACTIONS(2292),
    [aux_sym_set_env_token1] = ACTIONS(2292),
    [aux_sym_stdin_null_token1] = ACTIONS(2292),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2292),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2292),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2292),
    [aux_sym_syslog_facility_token1] = ACTIONS(2292),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2292),
    [aux_sym_keep_alive_token1] = ACTIONS(2292),
    [aux_sym_tag_token1] = ACTIONS(2292),
    [aux_sym_tunnel_token1] = ACTIONS(2294),
    [aux_sym_tunnel_device_token1] = ACTIONS(2292),
    [aux_sym_update_host_keys_token1] = ACTIONS(2292),
    [aux_sym_use_keychain_token1] = ACTIONS(2292),
    [aux_sym_use_roaming_token1] = ACTIONS(2292),
    [aux_sym_user_token1] = ACTIONS(2294),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2292),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2292),
    [aux_sym_version_addendum_token1] = ACTIONS(2292),
    [aux_sym_visual_host_key_token1] = ACTIONS(2292),
    [aux_sym_xauth_location_token1] = ACTIONS(2292),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2300),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [aux_sym_match_token1] = ACTIONS(2298),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2298),
    [aux_sym_address_family_token1] = ACTIONS(2298),
    [aux_sym_batch_mode_token1] = ACTIONS(2298),
    [aux_sym_bind_address_token1] = ACTIONS(2298),
    [aux_sym_bind_interface_token1] = ACTIONS(2298),
    [aux_sym_canonical_domains_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2298),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2298),
    [aux_sym_certificate_file_token1] = ACTIONS(2298),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2298),
    [aux_sym_channel_timeout_token1] = ACTIONS(2298),
    [aux_sym_check_host_ip_token1] = ACTIONS(2298),
    [aux_sym_ciphers_token1] = ACTIONS(2298),
    [aux_sym_cipher_token1] = ACTIONS(2300),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2298),
    [aux_sym_compression_token1] = ACTIONS(2298),
    [aux_sym_connection_attempts_token1] = ACTIONS(2298),
    [aux_sym_connect_timeout_token1] = ACTIONS(2298),
    [aux_sym_control_master_token1] = ACTIONS(2298),
    [aux_sym_control_path_token1] = ACTIONS(2298),
    [aux_sym_control_persist_token1] = ACTIONS(2298),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2298),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2298),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2298),
    [aux_sym_escape_char_token1] = ACTIONS(2298),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2298),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2298),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2298),
    [aux_sym_forward_agent_token1] = ACTIONS(2298),
    [aux_sym_forward_x11_token1] = ACTIONS(2300),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2298),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2298),
    [aux_sym_gateway_ports_token1] = ACTIONS(2298),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2298),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2298),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2298),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2298),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2298),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2298),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2298),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2298),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2298),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2298),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2298),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2298),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2298),
    [aux_sym_host_key_alias_token1] = ACTIONS(2298),
    [aux_sym_hostname_token1] = ACTIONS(2298),
    [aux_sym_identities_only_token1] = ACTIONS(2298),
    [aux_sym_identity_agent_token1] = ACTIONS(2298),
    [aux_sym_identity_file_token1] = ACTIONS(2298),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2298),
    [aux_sym_include_token1] = ACTIONS(2298),
    [aux_sym_ip_qos_token1] = ACTIONS(2298),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2298),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2298),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2298),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2298),
    [aux_sym_local_command_token1] = ACTIONS(2298),
    [aux_sym_local_forward_token1] = ACTIONS(2298),
    [aux_sym_log_level_token1] = ACTIONS(2298),
    [aux_sym_log_verbose_token1] = ACTIONS(2298),
    [aux_sym_macs_token1] = ACTIONS(2298),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2298),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2298),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2298),
    [aux_sym_password_authentication_token1] = ACTIONS(2298),
    [aux_sym_permit_local_command_token1] = ACTIONS(2298),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2298),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2298),
    [aux_sym_port_token1] = ACTIONS(2298),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2298),
    [aux_sym_protocol_token1] = ACTIONS(2298),
    [aux_sym_proxy_command_token1] = ACTIONS(2298),
    [aux_sym_proxy_jump_token1] = ACTIONS(2298),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2298),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2298),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2298),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2298),
    [aux_sym_rekey_limit_token1] = ACTIONS(2298),
    [aux_sym_remote_command_token1] = ACTIONS(2298),
    [aux_sym_remote_forward_token1] = ACTIONS(2298),
    [aux_sym_request_tty_token1] = ACTIONS(2298),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2298),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2298),
    [aux_sym_security_key_provider_token1] = ACTIONS(2298),
    [aux_sym_send_env_token1] = ACTIONS(2298),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2298),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2298),
    [aux_sym_session_type_token1] = ACTIONS(2298),
    [aux_sym_set_env_token1] = ACTIONS(2298),
    [aux_sym_stdin_null_token1] = ACTIONS(2298),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2298),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2298),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2298),
    [aux_sym_syslog_facility_token1] = ACTIONS(2298),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2298),
    [aux_sym_keep_alive_token1] = ACTIONS(2298),
    [aux_sym_tag_token1] = ACTIONS(2298),
    [aux_sym_tunnel_token1] = ACTIONS(2300),
    [aux_sym_tunnel_device_token1] = ACTIONS(2298),
    [aux_sym_update_host_keys_token1] = ACTIONS(2298),
    [aux_sym_use_keychain_token1] = ACTIONS(2298),
    [aux_sym_use_roaming_token1] = ACTIONS(2298),
    [aux_sym_user_token1] = ACTIONS(2300),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2298),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2298),
    [aux_sym_version_addendum_token1] = ACTIONS(2298),
    [aux_sym_visual_host_key_token1] = ACTIONS(2298),
    [aux_sym_xauth_location_token1] = ACTIONS(2298),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [aux_sym_match_token1] = ACTIONS(2304),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2304),
    [aux_sym_address_family_token1] = ACTIONS(2304),
    [aux_sym_batch_mode_token1] = ACTIONS(2304),
    [aux_sym_bind_address_token1] = ACTIONS(2304),
    [aux_sym_bind_interface_token1] = ACTIONS(2304),
    [aux_sym_canonical_domains_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2304),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2304),
    [aux_sym_certificate_file_token1] = ACTIONS(2304),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2304),
    [aux_sym_channel_timeout_token1] = ACTIONS(2304),
    [aux_sym_check_host_ip_token1] = ACTIONS(2304),
    [aux_sym_ciphers_token1] = ACTIONS(2304),
    [aux_sym_cipher_token1] = ACTIONS(2306),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2304),
    [aux_sym_compression_token1] = ACTIONS(2304),
    [aux_sym_connection_attempts_token1] = ACTIONS(2304),
    [aux_sym_connect_timeout_token1] = ACTIONS(2304),
    [aux_sym_control_master_token1] = ACTIONS(2304),
    [aux_sym_control_path_token1] = ACTIONS(2304),
    [aux_sym_control_persist_token1] = ACTIONS(2304),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2304),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2304),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2304),
    [aux_sym_escape_char_token1] = ACTIONS(2304),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2304),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2304),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2304),
    [aux_sym_forward_agent_token1] = ACTIONS(2304),
    [aux_sym_forward_x11_token1] = ACTIONS(2306),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2304),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2304),
    [aux_sym_gateway_ports_token1] = ACTIONS(2304),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2304),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2304),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2304),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2304),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2304),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2304),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2304),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2304),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2304),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2304),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2304),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2304),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2304),
    [aux_sym_host_key_alias_token1] = ACTIONS(2304),
    [aux_sym_hostname_token1] = ACTIONS(2304),
    [aux_sym_identities_only_token1] = ACTIONS(2304),
    [aux_sym_identity_agent_token1] = ACTIONS(2304),
    [aux_sym_identity_file_token1] = ACTIONS(2304),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2304),
    [aux_sym_include_token1] = ACTIONS(2304),
    [aux_sym_ip_qos_token1] = ACTIONS(2304),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2304),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2304),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2304),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2304),
    [aux_sym_local_command_token1] = ACTIONS(2304),
    [aux_sym_local_forward_token1] = ACTIONS(2304),
    [aux_sym_log_level_token1] = ACTIONS(2304),
    [aux_sym_log_verbose_token1] = ACTIONS(2304),
    [aux_sym_macs_token1] = ACTIONS(2304),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2304),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2304),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2304),
    [aux_sym_password_authentication_token1] = ACTIONS(2304),
    [aux_sym_permit_local_command_token1] = ACTIONS(2304),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2304),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2304),
    [aux_sym_port_token1] = ACTIONS(2304),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2304),
    [aux_sym_protocol_token1] = ACTIONS(2304),
    [aux_sym_proxy_command_token1] = ACTIONS(2304),
    [aux_sym_proxy_jump_token1] = ACTIONS(2304),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2304),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2304),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2304),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2304),
    [aux_sym_rekey_limit_token1] = ACTIONS(2304),
    [aux_sym_remote_command_token1] = ACTIONS(2304),
    [aux_sym_remote_forward_token1] = ACTIONS(2304),
    [aux_sym_request_tty_token1] = ACTIONS(2304),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2304),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2304),
    [aux_sym_security_key_provider_token1] = ACTIONS(2304),
    [aux_sym_send_env_token1] = ACTIONS(2304),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2304),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2304),
    [aux_sym_session_type_token1] = ACTIONS(2304),
    [aux_sym_set_env_token1] = ACTIONS(2304),
    [aux_sym_stdin_null_token1] = ACTIONS(2304),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2304),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2304),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2304),
    [aux_sym_syslog_facility_token1] = ACTIONS(2304),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2304),
    [aux_sym_keep_alive_token1] = ACTIONS(2304),
    [aux_sym_tag_token1] = ACTIONS(2304),
    [aux_sym_tunnel_token1] = ACTIONS(2306),
    [aux_sym_tunnel_device_token1] = ACTIONS(2304),
    [aux_sym_update_host_keys_token1] = ACTIONS(2304),
    [aux_sym_use_keychain_token1] = ACTIONS(2304),
    [aux_sym_use_roaming_token1] = ACTIONS(2304),
    [aux_sym_user_token1] = ACTIONS(2306),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2304),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2304),
    [aux_sym_version_addendum_token1] = ACTIONS(2304),
    [aux_sym_visual_host_key_token1] = ACTIONS(2304),
    [aux_sym_xauth_location_token1] = ACTIONS(2304),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [aux_sym_match_token1] = ACTIONS(2310),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2310),
    [aux_sym_address_family_token1] = ACTIONS(2310),
    [aux_sym_batch_mode_token1] = ACTIONS(2310),
    [aux_sym_bind_address_token1] = ACTIONS(2310),
    [aux_sym_bind_interface_token1] = ACTIONS(2310),
    [aux_sym_canonical_domains_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2310),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2310),
    [aux_sym_certificate_file_token1] = ACTIONS(2310),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2310),
    [aux_sym_channel_timeout_token1] = ACTIONS(2310),
    [aux_sym_check_host_ip_token1] = ACTIONS(2310),
    [aux_sym_ciphers_token1] = ACTIONS(2310),
    [aux_sym_cipher_token1] = ACTIONS(2312),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2310),
    [aux_sym_compression_token1] = ACTIONS(2310),
    [aux_sym_connection_attempts_token1] = ACTIONS(2310),
    [aux_sym_connect_timeout_token1] = ACTIONS(2310),
    [aux_sym_control_master_token1] = ACTIONS(2310),
    [aux_sym_control_path_token1] = ACTIONS(2310),
    [aux_sym_control_persist_token1] = ACTIONS(2310),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2310),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2310),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2310),
    [aux_sym_escape_char_token1] = ACTIONS(2310),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2310),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2310),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2310),
    [aux_sym_forward_agent_token1] = ACTIONS(2310),
    [aux_sym_forward_x11_token1] = ACTIONS(2312),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2310),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2310),
    [aux_sym_gateway_ports_token1] = ACTIONS(2310),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2310),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2310),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2310),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2310),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2310),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2310),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2310),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2310),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2310),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2310),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2310),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2310),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2310),
    [aux_sym_host_key_alias_token1] = ACTIONS(2310),
    [aux_sym_hostname_token1] = ACTIONS(2310),
    [aux_sym_identities_only_token1] = ACTIONS(2310),
    [aux_sym_identity_agent_token1] = ACTIONS(2310),
    [aux_sym_identity_file_token1] = ACTIONS(2310),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2310),
    [aux_sym_include_token1] = ACTIONS(2310),
    [aux_sym_ip_qos_token1] = ACTIONS(2310),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2310),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2310),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2310),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2310),
    [aux_sym_local_command_token1] = ACTIONS(2310),
    [aux_sym_local_forward_token1] = ACTIONS(2310),
    [aux_sym_log_level_token1] = ACTIONS(2310),
    [aux_sym_log_verbose_token1] = ACTIONS(2310),
    [aux_sym_macs_token1] = ACTIONS(2310),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2310),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2310),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2310),
    [aux_sym_password_authentication_token1] = ACTIONS(2310),
    [aux_sym_permit_local_command_token1] = ACTIONS(2310),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2310),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2310),
    [aux_sym_port_token1] = ACTIONS(2310),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2310),
    [aux_sym_protocol_token1] = ACTIONS(2310),
    [aux_sym_proxy_command_token1] = ACTIONS(2310),
    [aux_sym_proxy_jump_token1] = ACTIONS(2310),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2310),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2310),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2310),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2310),
    [aux_sym_rekey_limit_token1] = ACTIONS(2310),
    [aux_sym_remote_command_token1] = ACTIONS(2310),
    [aux_sym_remote_forward_token1] = ACTIONS(2310),
    [aux_sym_request_tty_token1] = ACTIONS(2310),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2310),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2310),
    [aux_sym_security_key_provider_token1] = ACTIONS(2310),
    [aux_sym_send_env_token1] = ACTIONS(2310),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2310),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2310),
    [aux_sym_session_type_token1] = ACTIONS(2310),
    [aux_sym_set_env_token1] = ACTIONS(2310),
    [aux_sym_stdin_null_token1] = ACTIONS(2310),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2310),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2310),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2310),
    [aux_sym_syslog_facility_token1] = ACTIONS(2310),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2310),
    [aux_sym_keep_alive_token1] = ACTIONS(2310),
    [aux_sym_tag_token1] = ACTIONS(2310),
    [aux_sym_tunnel_token1] = ACTIONS(2312),
    [aux_sym_tunnel_device_token1] = ACTIONS(2310),
    [aux_sym_update_host_keys_token1] = ACTIONS(2310),
    [aux_sym_use_keychain_token1] = ACTIONS(2310),
    [aux_sym_use_roaming_token1] = ACTIONS(2310),
    [aux_sym_user_token1] = ACTIONS(2312),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2310),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2310),
    [aux_sym_version_addendum_token1] = ACTIONS(2310),
    [aux_sym_visual_host_key_token1] = ACTIONS(2310),
    [aux_sym_xauth_location_token1] = ACTIONS(2310),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [aux_sym_match_token1] = ACTIONS(2316),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2316),
    [aux_sym_address_family_token1] = ACTIONS(2316),
    [aux_sym_batch_mode_token1] = ACTIONS(2316),
    [aux_sym_bind_address_token1] = ACTIONS(2316),
    [aux_sym_bind_interface_token1] = ACTIONS(2316),
    [aux_sym_canonical_domains_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2316),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2316),
    [aux_sym_certificate_file_token1] = ACTIONS(2316),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2316),
    [aux_sym_channel_timeout_token1] = ACTIONS(2316),
    [aux_sym_check_host_ip_token1] = ACTIONS(2316),
    [aux_sym_ciphers_token1] = ACTIONS(2316),
    [aux_sym_cipher_token1] = ACTIONS(2318),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2316),
    [aux_sym_compression_token1] = ACTIONS(2316),
    [aux_sym_connection_attempts_token1] = ACTIONS(2316),
    [aux_sym_connect_timeout_token1] = ACTIONS(2316),
    [aux_sym_control_master_token1] = ACTIONS(2316),
    [aux_sym_control_path_token1] = ACTIONS(2316),
    [aux_sym_control_persist_token1] = ACTIONS(2316),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2316),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2316),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2316),
    [aux_sym_escape_char_token1] = ACTIONS(2316),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2316),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2316),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2316),
    [aux_sym_forward_agent_token1] = ACTIONS(2316),
    [aux_sym_forward_x11_token1] = ACTIONS(2318),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2316),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2316),
    [aux_sym_gateway_ports_token1] = ACTIONS(2316),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2316),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2316),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2316),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2316),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2316),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2316),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2316),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2316),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2316),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2316),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2316),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2316),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2316),
    [aux_sym_host_key_alias_token1] = ACTIONS(2316),
    [aux_sym_hostname_token1] = ACTIONS(2316),
    [aux_sym_identities_only_token1] = ACTIONS(2316),
    [aux_sym_identity_agent_token1] = ACTIONS(2316),
    [aux_sym_identity_file_token1] = ACTIONS(2316),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2316),
    [aux_sym_include_token1] = ACTIONS(2316),
    [aux_sym_ip_qos_token1] = ACTIONS(2316),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2316),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2316),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2316),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2316),
    [aux_sym_local_command_token1] = ACTIONS(2316),
    [aux_sym_local_forward_token1] = ACTIONS(2316),
    [aux_sym_log_level_token1] = ACTIONS(2316),
    [aux_sym_log_verbose_token1] = ACTIONS(2316),
    [aux_sym_macs_token1] = ACTIONS(2316),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2316),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2316),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2316),
    [aux_sym_password_authentication_token1] = ACTIONS(2316),
    [aux_sym_permit_local_command_token1] = ACTIONS(2316),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2316),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2316),
    [aux_sym_port_token1] = ACTIONS(2316),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2316),
    [aux_sym_protocol_token1] = ACTIONS(2316),
    [aux_sym_proxy_command_token1] = ACTIONS(2316),
    [aux_sym_proxy_jump_token1] = ACTIONS(2316),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2316),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2316),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2316),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2316),
    [aux_sym_rekey_limit_token1] = ACTIONS(2316),
    [aux_sym_remote_command_token1] = ACTIONS(2316),
    [aux_sym_remote_forward_token1] = ACTIONS(2316),
    [aux_sym_request_tty_token1] = ACTIONS(2316),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2316),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2316),
    [aux_sym_security_key_provider_token1] = ACTIONS(2316),
    [aux_sym_send_env_token1] = ACTIONS(2316),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2316),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2316),
    [aux_sym_session_type_token1] = ACTIONS(2316),
    [aux_sym_set_env_token1] = ACTIONS(2316),
    [aux_sym_stdin_null_token1] = ACTIONS(2316),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2316),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2316),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2316),
    [aux_sym_syslog_facility_token1] = ACTIONS(2316),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2316),
    [aux_sym_keep_alive_token1] = ACTIONS(2316),
    [aux_sym_tag_token1] = ACTIONS(2316),
    [aux_sym_tunnel_token1] = ACTIONS(2318),
    [aux_sym_tunnel_device_token1] = ACTIONS(2316),
    [aux_sym_update_host_keys_token1] = ACTIONS(2316),
    [aux_sym_use_keychain_token1] = ACTIONS(2316),
    [aux_sym_use_roaming_token1] = ACTIONS(2316),
    [aux_sym_user_token1] = ACTIONS(2318),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2316),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2316),
    [aux_sym_version_addendum_token1] = ACTIONS(2316),
    [aux_sym_visual_host_key_token1] = ACTIONS(2316),
    [aux_sym_xauth_location_token1] = ACTIONS(2316),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [aux_sym_match_token1] = ACTIONS(2322),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2322),
    [aux_sym_address_family_token1] = ACTIONS(2322),
    [aux_sym_batch_mode_token1] = ACTIONS(2322),
    [aux_sym_bind_address_token1] = ACTIONS(2322),
    [aux_sym_bind_interface_token1] = ACTIONS(2322),
    [aux_sym_canonical_domains_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2322),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2322),
    [aux_sym_certificate_file_token1] = ACTIONS(2322),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2322),
    [aux_sym_channel_timeout_token1] = ACTIONS(2322),
    [aux_sym_check_host_ip_token1] = ACTIONS(2322),
    [aux_sym_ciphers_token1] = ACTIONS(2322),
    [aux_sym_cipher_token1] = ACTIONS(2324),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2322),
    [aux_sym_compression_token1] = ACTIONS(2322),
    [aux_sym_connection_attempts_token1] = ACTIONS(2322),
    [aux_sym_connect_timeout_token1] = ACTIONS(2322),
    [aux_sym_control_master_token1] = ACTIONS(2322),
    [aux_sym_control_path_token1] = ACTIONS(2322),
    [aux_sym_control_persist_token1] = ACTIONS(2322),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2322),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2322),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2322),
    [aux_sym_escape_char_token1] = ACTIONS(2322),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2322),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2322),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2322),
    [aux_sym_forward_agent_token1] = ACTIONS(2322),
    [aux_sym_forward_x11_token1] = ACTIONS(2324),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2322),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2322),
    [aux_sym_gateway_ports_token1] = ACTIONS(2322),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2322),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2322),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2322),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2322),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2322),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2322),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2322),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2322),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2322),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2322),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2322),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2322),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2322),
    [aux_sym_host_key_alias_token1] = ACTIONS(2322),
    [aux_sym_hostname_token1] = ACTIONS(2322),
    [aux_sym_identities_only_token1] = ACTIONS(2322),
    [aux_sym_identity_agent_token1] = ACTIONS(2322),
    [aux_sym_identity_file_token1] = ACTIONS(2322),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2322),
    [aux_sym_include_token1] = ACTIONS(2322),
    [aux_sym_ip_qos_token1] = ACTIONS(2322),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2322),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2322),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2322),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2322),
    [aux_sym_local_command_token1] = ACTIONS(2322),
    [aux_sym_local_forward_token1] = ACTIONS(2322),
    [aux_sym_log_level_token1] = ACTIONS(2322),
    [aux_sym_log_verbose_token1] = ACTIONS(2322),
    [aux_sym_macs_token1] = ACTIONS(2322),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2322),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2322),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2322),
    [aux_sym_password_authentication_token1] = ACTIONS(2322),
    [aux_sym_permit_local_command_token1] = ACTIONS(2322),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2322),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2322),
    [aux_sym_port_token1] = ACTIONS(2322),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2322),
    [aux_sym_protocol_token1] = ACTIONS(2322),
    [aux_sym_proxy_command_token1] = ACTIONS(2322),
    [aux_sym_proxy_jump_token1] = ACTIONS(2322),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2322),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2322),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2322),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2322),
    [aux_sym_rekey_limit_token1] = ACTIONS(2322),
    [aux_sym_remote_command_token1] = ACTIONS(2322),
    [aux_sym_remote_forward_token1] = ACTIONS(2322),
    [aux_sym_request_tty_token1] = ACTIONS(2322),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2322),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2322),
    [aux_sym_security_key_provider_token1] = ACTIONS(2322),
    [aux_sym_send_env_token1] = ACTIONS(2322),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2322),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2322),
    [aux_sym_session_type_token1] = ACTIONS(2322),
    [aux_sym_set_env_token1] = ACTIONS(2322),
    [aux_sym_stdin_null_token1] = ACTIONS(2322),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2322),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2322),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2322),
    [aux_sym_syslog_facility_token1] = ACTIONS(2322),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2322),
    [aux_sym_keep_alive_token1] = ACTIONS(2322),
    [aux_sym_tag_token1] = ACTIONS(2322),
    [aux_sym_tunnel_token1] = ACTIONS(2324),
    [aux_sym_tunnel_device_token1] = ACTIONS(2322),
    [aux_sym_update_host_keys_token1] = ACTIONS(2322),
    [aux_sym_use_keychain_token1] = ACTIONS(2322),
    [aux_sym_use_roaming_token1] = ACTIONS(2322),
    [aux_sym_user_token1] = ACTIONS(2324),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2322),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2322),
    [aux_sym_version_addendum_token1] = ACTIONS(2322),
    [aux_sym_visual_host_key_token1] = ACTIONS(2322),
    [aux_sym_xauth_location_token1] = ACTIONS(2322),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2330),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [aux_sym_match_token1] = ACTIONS(2328),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2328),
    [aux_sym_address_family_token1] = ACTIONS(2328),
    [aux_sym_batch_mode_token1] = ACTIONS(2328),
    [aux_sym_bind_address_token1] = ACTIONS(2328),
    [aux_sym_bind_interface_token1] = ACTIONS(2328),
    [aux_sym_canonical_domains_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2328),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2328),
    [aux_sym_certificate_file_token1] = ACTIONS(2328),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2328),
    [aux_sym_channel_timeout_token1] = ACTIONS(2328),
    [aux_sym_check_host_ip_token1] = ACTIONS(2328),
    [aux_sym_ciphers_token1] = ACTIONS(2328),
    [aux_sym_cipher_token1] = ACTIONS(2330),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2328),
    [aux_sym_compression_token1] = ACTIONS(2328),
    [aux_sym_connection_attempts_token1] = ACTIONS(2328),
    [aux_sym_connect_timeout_token1] = ACTIONS(2328),
    [aux_sym_control_master_token1] = ACTIONS(2328),
    [aux_sym_control_path_token1] = ACTIONS(2328),
    [aux_sym_control_persist_token1] = ACTIONS(2328),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2328),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2328),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2328),
    [aux_sym_escape_char_token1] = ACTIONS(2328),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2328),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2328),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2328),
    [aux_sym_forward_agent_token1] = ACTIONS(2328),
    [aux_sym_forward_x11_token1] = ACTIONS(2330),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2328),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2328),
    [aux_sym_gateway_ports_token1] = ACTIONS(2328),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2328),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2328),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2328),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2328),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2328),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2328),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2328),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2328),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2328),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2328),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2328),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2328),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2328),
    [aux_sym_host_key_alias_token1] = ACTIONS(2328),
    [aux_sym_hostname_token1] = ACTIONS(2328),
    [aux_sym_identities_only_token1] = ACTIONS(2328),
    [aux_sym_identity_agent_token1] = ACTIONS(2328),
    [aux_sym_identity_file_token1] = ACTIONS(2328),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2328),
    [aux_sym_include_token1] = ACTIONS(2328),
    [aux_sym_ip_qos_token1] = ACTIONS(2328),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2328),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2328),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2328),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2328),
    [aux_sym_local_command_token1] = ACTIONS(2328),
    [aux_sym_local_forward_token1] = ACTIONS(2328),
    [aux_sym_log_level_token1] = ACTIONS(2328),
    [aux_sym_log_verbose_token1] = ACTIONS(2328),
    [aux_sym_macs_token1] = ACTIONS(2328),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2328),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2328),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2328),
    [aux_sym_password_authentication_token1] = ACTIONS(2328),
    [aux_sym_permit_local_command_token1] = ACTIONS(2328),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2328),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2328),
    [aux_sym_port_token1] = ACTIONS(2328),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2328),
    [aux_sym_protocol_token1] = ACTIONS(2328),
    [aux_sym_proxy_command_token1] = ACTIONS(2328),
    [aux_sym_proxy_jump_token1] = ACTIONS(2328),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2328),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2328),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2328),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2328),
    [aux_sym_rekey_limit_token1] = ACTIONS(2328),
    [aux_sym_remote_command_token1] = ACTIONS(2328),
    [aux_sym_remote_forward_token1] = ACTIONS(2328),
    [aux_sym_request_tty_token1] = ACTIONS(2328),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2328),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2328),
    [aux_sym_security_key_provider_token1] = ACTIONS(2328),
    [aux_sym_send_env_token1] = ACTIONS(2328),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2328),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2328),
    [aux_sym_session_type_token1] = ACTIONS(2328),
    [aux_sym_set_env_token1] = ACTIONS(2328),
    [aux_sym_stdin_null_token1] = ACTIONS(2328),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2328),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2328),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2328),
    [aux_sym_syslog_facility_token1] = ACTIONS(2328),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2328),
    [aux_sym_keep_alive_token1] = ACTIONS(2328),
    [aux_sym_tag_token1] = ACTIONS(2328),
    [aux_sym_tunnel_token1] = ACTIONS(2330),
    [aux_sym_tunnel_device_token1] = ACTIONS(2328),
    [aux_sym_update_host_keys_token1] = ACTIONS(2328),
    [aux_sym_use_keychain_token1] = ACTIONS(2328),
    [aux_sym_use_roaming_token1] = ACTIONS(2328),
    [aux_sym_user_token1] = ACTIONS(2330),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2328),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2328),
    [aux_sym_version_addendum_token1] = ACTIONS(2328),
    [aux_sym_visual_host_key_token1] = ACTIONS(2328),
    [aux_sym_xauth_location_token1] = ACTIONS(2328),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [aux_sym_match_token1] = ACTIONS(2334),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2334),
    [aux_sym_address_family_token1] = ACTIONS(2334),
    [aux_sym_batch_mode_token1] = ACTIONS(2334),
    [aux_sym_bind_address_token1] = ACTIONS(2334),
    [aux_sym_bind_interface_token1] = ACTIONS(2334),
    [aux_sym_canonical_domains_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2334),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2334),
    [aux_sym_certificate_file_token1] = ACTIONS(2334),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2334),
    [aux_sym_channel_timeout_token1] = ACTIONS(2334),
    [aux_sym_check_host_ip_token1] = ACTIONS(2334),
    [aux_sym_ciphers_token1] = ACTIONS(2334),
    [aux_sym_cipher_token1] = ACTIONS(2336),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2334),
    [aux_sym_compression_token1] = ACTIONS(2334),
    [aux_sym_connection_attempts_token1] = ACTIONS(2334),
    [aux_sym_connect_timeout_token1] = ACTIONS(2334),
    [aux_sym_control_master_token1] = ACTIONS(2334),
    [aux_sym_control_path_token1] = ACTIONS(2334),
    [aux_sym_control_persist_token1] = ACTIONS(2334),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2334),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2334),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2334),
    [aux_sym_escape_char_token1] = ACTIONS(2334),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2334),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2334),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2334),
    [aux_sym_forward_agent_token1] = ACTIONS(2334),
    [aux_sym_forward_x11_token1] = ACTIONS(2336),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2334),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2334),
    [aux_sym_gateway_ports_token1] = ACTIONS(2334),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2334),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2334),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2334),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2334),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2334),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2334),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2334),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2334),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2334),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2334),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2334),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2334),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2334),
    [aux_sym_host_key_alias_token1] = ACTIONS(2334),
    [aux_sym_hostname_token1] = ACTIONS(2334),
    [aux_sym_identities_only_token1] = ACTIONS(2334),
    [aux_sym_identity_agent_token1] = ACTIONS(2334),
    [aux_sym_identity_file_token1] = ACTIONS(2334),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2334),
    [aux_sym_include_token1] = ACTIONS(2334),
    [aux_sym_ip_qos_token1] = ACTIONS(2334),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2334),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2334),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2334),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2334),
    [aux_sym_local_command_token1] = ACTIONS(2334),
    [aux_sym_local_forward_token1] = ACTIONS(2334),
    [aux_sym_log_level_token1] = ACTIONS(2334),
    [aux_sym_log_verbose_token1] = ACTIONS(2334),
    [aux_sym_macs_token1] = ACTIONS(2334),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2334),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2334),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2334),
    [aux_sym_password_authentication_token1] = ACTIONS(2334),
    [aux_sym_permit_local_command_token1] = ACTIONS(2334),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2334),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2334),
    [aux_sym_port_token1] = ACTIONS(2334),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2334),
    [aux_sym_protocol_token1] = ACTIONS(2334),
    [aux_sym_proxy_command_token1] = ACTIONS(2334),
    [aux_sym_proxy_jump_token1] = ACTIONS(2334),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2334),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2334),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2334),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2334),
    [aux_sym_rekey_limit_token1] = ACTIONS(2334),
    [aux_sym_remote_command_token1] = ACTIONS(2334),
    [aux_sym_remote_forward_token1] = ACTIONS(2334),
    [aux_sym_request_tty_token1] = ACTIONS(2334),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2334),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2334),
    [aux_sym_security_key_provider_token1] = ACTIONS(2334),
    [aux_sym_send_env_token1] = ACTIONS(2334),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2334),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2334),
    [aux_sym_session_type_token1] = ACTIONS(2334),
    [aux_sym_set_env_token1] = ACTIONS(2334),
    [aux_sym_stdin_null_token1] = ACTIONS(2334),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2334),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2334),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2334),
    [aux_sym_syslog_facility_token1] = ACTIONS(2334),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2334),
    [aux_sym_keep_alive_token1] = ACTIONS(2334),
    [aux_sym_tag_token1] = ACTIONS(2334),
    [aux_sym_tunnel_token1] = ACTIONS(2336),
    [aux_sym_tunnel_device_token1] = ACTIONS(2334),
    [aux_sym_update_host_keys_token1] = ACTIONS(2334),
    [aux_sym_use_keychain_token1] = ACTIONS(2334),
    [aux_sym_use_roaming_token1] = ACTIONS(2334),
    [aux_sym_user_token1] = ACTIONS(2336),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2334),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2334),
    [aux_sym_version_addendum_token1] = ACTIONS(2334),
    [aux_sym_visual_host_key_token1] = ACTIONS(2334),
    [aux_sym_xauth_location_token1] = ACTIONS(2334),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2342),
    [anon_sym_DQUOTE] = ACTIONS(2344),
    [aux_sym_match_token1] = ACTIONS(2340),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2340),
    [aux_sym_address_family_token1] = ACTIONS(2340),
    [aux_sym_batch_mode_token1] = ACTIONS(2340),
    [aux_sym_bind_address_token1] = ACTIONS(2340),
    [aux_sym_bind_interface_token1] = ACTIONS(2340),
    [aux_sym_canonical_domains_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2340),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2340),
    [aux_sym_certificate_file_token1] = ACTIONS(2340),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2340),
    [aux_sym_channel_timeout_token1] = ACTIONS(2340),
    [aux_sym_check_host_ip_token1] = ACTIONS(2340),
    [aux_sym_ciphers_token1] = ACTIONS(2340),
    [aux_sym_cipher_token1] = ACTIONS(2342),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2340),
    [aux_sym_compression_token1] = ACTIONS(2340),
    [aux_sym_connection_attempts_token1] = ACTIONS(2340),
    [aux_sym_connect_timeout_token1] = ACTIONS(2340),
    [aux_sym_control_master_token1] = ACTIONS(2340),
    [aux_sym_control_path_token1] = ACTIONS(2340),
    [aux_sym_control_persist_token1] = ACTIONS(2340),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2340),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2340),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2340),
    [aux_sym_escape_char_token1] = ACTIONS(2340),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2340),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2340),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2340),
    [aux_sym_forward_agent_token1] = ACTIONS(2340),
    [aux_sym_forward_x11_token1] = ACTIONS(2342),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2340),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2340),
    [aux_sym_gateway_ports_token1] = ACTIONS(2340),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2340),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2340),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2340),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2340),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2340),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2340),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2340),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2340),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2340),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2340),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2340),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2340),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2340),
    [aux_sym_host_key_alias_token1] = ACTIONS(2340),
    [aux_sym_hostname_token1] = ACTIONS(2340),
    [aux_sym_identities_only_token1] = ACTIONS(2340),
    [aux_sym_identity_agent_token1] = ACTIONS(2340),
    [aux_sym_identity_file_token1] = ACTIONS(2340),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2340),
    [aux_sym_include_token1] = ACTIONS(2340),
    [aux_sym_ip_qos_token1] = ACTIONS(2340),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2340),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2340),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2340),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2340),
    [aux_sym_local_command_token1] = ACTIONS(2340),
    [aux_sym_local_forward_token1] = ACTIONS(2340),
    [aux_sym_log_level_token1] = ACTIONS(2340),
    [aux_sym_log_verbose_token1] = ACTIONS(2340),
    [aux_sym_macs_token1] = ACTIONS(2340),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2340),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2340),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2340),
    [aux_sym_password_authentication_token1] = ACTIONS(2340),
    [aux_sym_permit_local_command_token1] = ACTIONS(2340),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2340),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2340),
    [aux_sym_port_token1] = ACTIONS(2340),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2340),
    [aux_sym_protocol_token1] = ACTIONS(2340),
    [aux_sym_proxy_command_token1] = ACTIONS(2340),
    [aux_sym_proxy_jump_token1] = ACTIONS(2340),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2340),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2340),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2340),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2340),
    [aux_sym_rekey_limit_token1] = ACTIONS(2340),
    [aux_sym_remote_command_token1] = ACTIONS(2340),
    [aux_sym_remote_forward_token1] = ACTIONS(2340),
    [aux_sym_request_tty_token1] = ACTIONS(2340),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2340),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2340),
    [aux_sym_security_key_provider_token1] = ACTIONS(2340),
    [aux_sym_send_env_token1] = ACTIONS(2340),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2340),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2340),
    [aux_sym_session_type_token1] = ACTIONS(2340),
    [aux_sym_set_env_token1] = ACTIONS(2340),
    [aux_sym_stdin_null_token1] = ACTIONS(2340),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2340),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2340),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2340),
    [aux_sym_syslog_facility_token1] = ACTIONS(2340),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2340),
    [aux_sym_keep_alive_token1] = ACTIONS(2340),
    [aux_sym_tag_token1] = ACTIONS(2340),
    [aux_sym_tunnel_token1] = ACTIONS(2342),
    [aux_sym_tunnel_device_token1] = ACTIONS(2340),
    [aux_sym_update_host_keys_token1] = ACTIONS(2340),
    [aux_sym_use_keychain_token1] = ACTIONS(2340),
    [aux_sym_use_roaming_token1] = ACTIONS(2340),
    [aux_sym_user_token1] = ACTIONS(2342),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2340),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2340),
    [aux_sym_version_addendum_token1] = ACTIONS(2340),
    [aux_sym_visual_host_key_token1] = ACTIONS(2340),
    [aux_sym_xauth_location_token1] = ACTIONS(2340),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [aux_sym_match_token1] = ACTIONS(2346),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2346),
    [aux_sym_address_family_token1] = ACTIONS(2346),
    [aux_sym_batch_mode_token1] = ACTIONS(2346),
    [aux_sym_bind_address_token1] = ACTIONS(2346),
    [aux_sym_bind_interface_token1] = ACTIONS(2346),
    [aux_sym_canonical_domains_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2346),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2346),
    [aux_sym_certificate_file_token1] = ACTIONS(2346),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2346),
    [aux_sym_channel_timeout_token1] = ACTIONS(2346),
    [aux_sym_check_host_ip_token1] = ACTIONS(2346),
    [aux_sym_ciphers_token1] = ACTIONS(2346),
    [aux_sym_cipher_token1] = ACTIONS(2348),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2346),
    [aux_sym_compression_token1] = ACTIONS(2346),
    [aux_sym_connection_attempts_token1] = ACTIONS(2346),
    [aux_sym_connect_timeout_token1] = ACTIONS(2346),
    [aux_sym_control_master_token1] = ACTIONS(2346),
    [aux_sym_control_path_token1] = ACTIONS(2346),
    [aux_sym_control_persist_token1] = ACTIONS(2346),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2346),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2346),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2346),
    [aux_sym_escape_char_token1] = ACTIONS(2346),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2346),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2346),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2346),
    [aux_sym_forward_agent_token1] = ACTIONS(2346),
    [aux_sym_forward_x11_token1] = ACTIONS(2348),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2346),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2346),
    [aux_sym_gateway_ports_token1] = ACTIONS(2346),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2346),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2346),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2346),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2346),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2346),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2346),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2346),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2346),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2346),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2346),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2346),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2346),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2346),
    [aux_sym_host_key_alias_token1] = ACTIONS(2346),
    [aux_sym_hostname_token1] = ACTIONS(2346),
    [aux_sym_identities_only_token1] = ACTIONS(2346),
    [aux_sym_identity_agent_token1] = ACTIONS(2346),
    [aux_sym_identity_file_token1] = ACTIONS(2346),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2346),
    [aux_sym_include_token1] = ACTIONS(2346),
    [aux_sym_ip_qos_token1] = ACTIONS(2346),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2346),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2346),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2346),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2346),
    [aux_sym_local_command_token1] = ACTIONS(2346),
    [aux_sym_local_forward_token1] = ACTIONS(2346),
    [aux_sym_log_level_token1] = ACTIONS(2346),
    [aux_sym_log_verbose_token1] = ACTIONS(2346),
    [aux_sym_macs_token1] = ACTIONS(2346),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2346),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2346),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2346),
    [aux_sym_password_authentication_token1] = ACTIONS(2346),
    [aux_sym_permit_local_command_token1] = ACTIONS(2346),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2346),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2346),
    [aux_sym_port_token1] = ACTIONS(2346),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2346),
    [aux_sym_protocol_token1] = ACTIONS(2346),
    [aux_sym_proxy_command_token1] = ACTIONS(2346),
    [aux_sym_proxy_jump_token1] = ACTIONS(2346),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2346),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2346),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2346),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2346),
    [aux_sym_rekey_limit_token1] = ACTIONS(2346),
    [aux_sym_remote_command_token1] = ACTIONS(2346),
    [aux_sym_remote_forward_token1] = ACTIONS(2346),
    [aux_sym_request_tty_token1] = ACTIONS(2346),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2346),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2346),
    [aux_sym_security_key_provider_token1] = ACTIONS(2346),
    [aux_sym_send_env_token1] = ACTIONS(2346),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2346),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2346),
    [aux_sym_session_type_token1] = ACTIONS(2346),
    [aux_sym_set_env_token1] = ACTIONS(2346),
    [aux_sym_stdin_null_token1] = ACTIONS(2346),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2346),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2346),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2346),
    [aux_sym_syslog_facility_token1] = ACTIONS(2346),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2346),
    [aux_sym_keep_alive_token1] = ACTIONS(2346),
    [aux_sym_tag_token1] = ACTIONS(2346),
    [aux_sym_tunnel_token1] = ACTIONS(2348),
    [aux_sym_tunnel_device_token1] = ACTIONS(2346),
    [aux_sym_update_host_keys_token1] = ACTIONS(2346),
    [aux_sym_use_keychain_token1] = ACTIONS(2346),
    [aux_sym_use_roaming_token1] = ACTIONS(2346),
    [aux_sym_user_token1] = ACTIONS(2348),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2346),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2346),
    [aux_sym_version_addendum_token1] = ACTIONS(2346),
    [aux_sym_visual_host_key_token1] = ACTIONS(2346),
    [aux_sym_xauth_location_token1] = ACTIONS(2346),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2356),
    [aux_sym_match_token1] = ACTIONS(2352),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2352),
    [aux_sym_address_family_token1] = ACTIONS(2352),
    [aux_sym_batch_mode_token1] = ACTIONS(2352),
    [aux_sym_bind_address_token1] = ACTIONS(2352),
    [aux_sym_bind_interface_token1] = ACTIONS(2352),
    [aux_sym_canonical_domains_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2352),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2352),
    [aux_sym_certificate_file_token1] = ACTIONS(2352),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2352),
    [aux_sym_channel_timeout_token1] = ACTIONS(2352),
    [aux_sym_check_host_ip_token1] = ACTIONS(2352),
    [aux_sym_ciphers_token1] = ACTIONS(2352),
    [aux_sym_cipher_token1] = ACTIONS(2354),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2352),
    [aux_sym_compression_token1] = ACTIONS(2352),
    [aux_sym_connection_attempts_token1] = ACTIONS(2352),
    [aux_sym_connect_timeout_token1] = ACTIONS(2352),
    [aux_sym_control_master_token1] = ACTIONS(2352),
    [aux_sym_control_path_token1] = ACTIONS(2352),
    [aux_sym_control_persist_token1] = ACTIONS(2352),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2352),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2352),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2352),
    [aux_sym_escape_char_token1] = ACTIONS(2352),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2352),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2352),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2352),
    [aux_sym_forward_agent_token1] = ACTIONS(2352),
    [aux_sym_forward_x11_token1] = ACTIONS(2354),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2352),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2352),
    [aux_sym_gateway_ports_token1] = ACTIONS(2352),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2352),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2352),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2352),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2352),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2352),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2352),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2352),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2352),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2352),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2352),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2352),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2352),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2352),
    [aux_sym_host_key_alias_token1] = ACTIONS(2352),
    [aux_sym_hostname_token1] = ACTIONS(2352),
    [aux_sym_identities_only_token1] = ACTIONS(2352),
    [aux_sym_identity_agent_token1] = ACTIONS(2352),
    [aux_sym_identity_file_token1] = ACTIONS(2352),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2352),
    [aux_sym_include_token1] = ACTIONS(2352),
    [aux_sym_ip_qos_token1] = ACTIONS(2352),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2352),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2352),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2352),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2352),
    [aux_sym_local_command_token1] = ACTIONS(2352),
    [aux_sym_local_forward_token1] = ACTIONS(2352),
    [aux_sym_log_level_token1] = ACTIONS(2352),
    [aux_sym_log_verbose_token1] = ACTIONS(2352),
    [aux_sym_macs_token1] = ACTIONS(2352),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2352),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2352),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2352),
    [aux_sym_password_authentication_token1] = ACTIONS(2352),
    [aux_sym_permit_local_command_token1] = ACTIONS(2352),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2352),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2352),
    [aux_sym_port_token1] = ACTIONS(2352),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2352),
    [aux_sym_protocol_token1] = ACTIONS(2352),
    [aux_sym_proxy_command_token1] = ACTIONS(2352),
    [aux_sym_proxy_jump_token1] = ACTIONS(2352),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2352),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2352),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2352),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2352),
    [aux_sym_rekey_limit_token1] = ACTIONS(2352),
    [aux_sym_remote_command_token1] = ACTIONS(2352),
    [aux_sym_remote_forward_token1] = ACTIONS(2352),
    [aux_sym_request_tty_token1] = ACTIONS(2352),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2352),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2352),
    [aux_sym_security_key_provider_token1] = ACTIONS(2352),
    [aux_sym_send_env_token1] = ACTIONS(2352),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2352),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2352),
    [aux_sym_session_type_token1] = ACTIONS(2352),
    [aux_sym_set_env_token1] = ACTIONS(2352),
    [aux_sym_stdin_null_token1] = ACTIONS(2352),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2352),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2352),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2352),
    [aux_sym_syslog_facility_token1] = ACTIONS(2352),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2352),
    [aux_sym_keep_alive_token1] = ACTIONS(2352),
    [aux_sym_tag_token1] = ACTIONS(2352),
    [aux_sym_tunnel_token1] = ACTIONS(2354),
    [aux_sym_tunnel_device_token1] = ACTIONS(2352),
    [aux_sym_update_host_keys_token1] = ACTIONS(2352),
    [aux_sym_use_keychain_token1] = ACTIONS(2352),
    [aux_sym_use_roaming_token1] = ACTIONS(2352),
    [aux_sym_user_token1] = ACTIONS(2354),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2352),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2352),
    [aux_sym_version_addendum_token1] = ACTIONS(2352),
    [aux_sym_visual_host_key_token1] = ACTIONS(2352),
    [aux_sym_xauth_location_token1] = ACTIONS(2352),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [aux_sym_match_token1] = ACTIONS(2358),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2358),
    [aux_sym_address_family_token1] = ACTIONS(2358),
    [aux_sym_batch_mode_token1] = ACTIONS(2358),
    [aux_sym_bind_address_token1] = ACTIONS(2358),
    [aux_sym_bind_interface_token1] = ACTIONS(2358),
    [aux_sym_canonical_domains_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2358),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2358),
    [aux_sym_certificate_file_token1] = ACTIONS(2358),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2358),
    [aux_sym_channel_timeout_token1] = ACTIONS(2358),
    [aux_sym_check_host_ip_token1] = ACTIONS(2358),
    [aux_sym_ciphers_token1] = ACTIONS(2358),
    [aux_sym_cipher_token1] = ACTIONS(2360),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2358),
    [aux_sym_compression_token1] = ACTIONS(2358),
    [aux_sym_connection_attempts_token1] = ACTIONS(2358),
    [aux_sym_connect_timeout_token1] = ACTIONS(2358),
    [aux_sym_control_master_token1] = ACTIONS(2358),
    [aux_sym_control_path_token1] = ACTIONS(2358),
    [aux_sym_control_persist_token1] = ACTIONS(2358),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2358),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2358),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2358),
    [aux_sym_escape_char_token1] = ACTIONS(2358),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2358),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2358),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2358),
    [aux_sym_forward_agent_token1] = ACTIONS(2358),
    [aux_sym_forward_x11_token1] = ACTIONS(2360),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2358),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2358),
    [aux_sym_gateway_ports_token1] = ACTIONS(2358),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2358),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2358),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2358),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2358),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2358),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2358),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2358),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2358),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2358),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2358),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2358),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2358),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2358),
    [aux_sym_host_key_alias_token1] = ACTIONS(2358),
    [aux_sym_hostname_token1] = ACTIONS(2358),
    [aux_sym_identities_only_token1] = ACTIONS(2358),
    [aux_sym_identity_agent_token1] = ACTIONS(2358),
    [aux_sym_identity_file_token1] = ACTIONS(2358),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2358),
    [aux_sym_include_token1] = ACTIONS(2358),
    [aux_sym_ip_qos_token1] = ACTIONS(2358),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2358),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2358),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2358),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2358),
    [aux_sym_local_command_token1] = ACTIONS(2358),
    [aux_sym_local_forward_token1] = ACTIONS(2358),
    [aux_sym_log_level_token1] = ACTIONS(2358),
    [aux_sym_log_verbose_token1] = ACTIONS(2358),
    [aux_sym_macs_token1] = ACTIONS(2358),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2358),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2358),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2358),
    [aux_sym_password_authentication_token1] = ACTIONS(2358),
    [aux_sym_permit_local_command_token1] = ACTIONS(2358),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2358),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2358),
    [aux_sym_port_token1] = ACTIONS(2358),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2358),
    [aux_sym_protocol_token1] = ACTIONS(2358),
    [aux_sym_proxy_command_token1] = ACTIONS(2358),
    [aux_sym_proxy_jump_token1] = ACTIONS(2358),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2358),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2358),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2358),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2358),
    [aux_sym_rekey_limit_token1] = ACTIONS(2358),
    [aux_sym_remote_command_token1] = ACTIONS(2358),
    [aux_sym_remote_forward_token1] = ACTIONS(2358),
    [aux_sym_request_tty_token1] = ACTIONS(2358),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2358),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2358),
    [aux_sym_security_key_provider_token1] = ACTIONS(2358),
    [aux_sym_send_env_token1] = ACTIONS(2358),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2358),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2358),
    [aux_sym_session_type_token1] = ACTIONS(2358),
    [aux_sym_set_env_token1] = ACTIONS(2358),
    [aux_sym_stdin_null_token1] = ACTIONS(2358),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2358),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2358),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2358),
    [aux_sym_syslog_facility_token1] = ACTIONS(2358),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2358),
    [aux_sym_keep_alive_token1] = ACTIONS(2358),
    [aux_sym_tag_token1] = ACTIONS(2358),
    [aux_sym_tunnel_token1] = ACTIONS(2360),
    [aux_sym_tunnel_device_token1] = ACTIONS(2358),
    [aux_sym_update_host_keys_token1] = ACTIONS(2358),
    [aux_sym_use_keychain_token1] = ACTIONS(2358),
    [aux_sym_use_roaming_token1] = ACTIONS(2358),
    [aux_sym_user_token1] = ACTIONS(2360),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2358),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2358),
    [aux_sym_version_addendum_token1] = ACTIONS(2358),
    [aux_sym_visual_host_key_token1] = ACTIONS(2358),
    [aux_sym_xauth_location_token1] = ACTIONS(2358),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2368),
    [aux_sym_match_token1] = ACTIONS(2364),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2364),
    [aux_sym_address_family_token1] = ACTIONS(2364),
    [aux_sym_batch_mode_token1] = ACTIONS(2364),
    [aux_sym_bind_address_token1] = ACTIONS(2364),
    [aux_sym_bind_interface_token1] = ACTIONS(2364),
    [aux_sym_canonical_domains_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2364),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2364),
    [aux_sym_certificate_file_token1] = ACTIONS(2364),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2364),
    [aux_sym_channel_timeout_token1] = ACTIONS(2364),
    [aux_sym_check_host_ip_token1] = ACTIONS(2364),
    [aux_sym_ciphers_token1] = ACTIONS(2364),
    [aux_sym_cipher_token1] = ACTIONS(2366),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2364),
    [aux_sym_compression_token1] = ACTIONS(2364),
    [aux_sym_connection_attempts_token1] = ACTIONS(2364),
    [aux_sym_connect_timeout_token1] = ACTIONS(2364),
    [aux_sym_control_master_token1] = ACTIONS(2364),
    [aux_sym_control_path_token1] = ACTIONS(2364),
    [aux_sym_control_persist_token1] = ACTIONS(2364),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2364),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2364),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2364),
    [aux_sym_escape_char_token1] = ACTIONS(2364),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2364),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2364),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2364),
    [aux_sym_forward_agent_token1] = ACTIONS(2364),
    [aux_sym_forward_x11_token1] = ACTIONS(2366),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2364),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2364),
    [aux_sym_gateway_ports_token1] = ACTIONS(2364),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2364),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2364),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2364),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2364),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2364),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2364),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2364),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2364),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2364),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2364),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2364),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2364),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2364),
    [aux_sym_host_key_alias_token1] = ACTIONS(2364),
    [aux_sym_hostname_token1] = ACTIONS(2364),
    [aux_sym_identities_only_token1] = ACTIONS(2364),
    [aux_sym_identity_agent_token1] = ACTIONS(2364),
    [aux_sym_identity_file_token1] = ACTIONS(2364),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2364),
    [aux_sym_include_token1] = ACTIONS(2364),
    [aux_sym_ip_qos_token1] = ACTIONS(2364),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2364),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2364),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2364),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2364),
    [aux_sym_local_command_token1] = ACTIONS(2364),
    [aux_sym_local_forward_token1] = ACTIONS(2364),
    [aux_sym_log_level_token1] = ACTIONS(2364),
    [aux_sym_log_verbose_token1] = ACTIONS(2364),
    [aux_sym_macs_token1] = ACTIONS(2364),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2364),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2364),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2364),
    [aux_sym_password_authentication_token1] = ACTIONS(2364),
    [aux_sym_permit_local_command_token1] = ACTIONS(2364),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2364),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2364),
    [aux_sym_port_token1] = ACTIONS(2364),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2364),
    [aux_sym_protocol_token1] = ACTIONS(2364),
    [aux_sym_proxy_command_token1] = ACTIONS(2364),
    [aux_sym_proxy_jump_token1] = ACTIONS(2364),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2364),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2364),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2364),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2364),
    [aux_sym_rekey_limit_token1] = ACTIONS(2364),
    [aux_sym_remote_command_token1] = ACTIONS(2364),
    [aux_sym_remote_forward_token1] = ACTIONS(2364),
    [aux_sym_request_tty_token1] = ACTIONS(2364),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2364),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2364),
    [aux_sym_security_key_provider_token1] = ACTIONS(2364),
    [aux_sym_send_env_token1] = ACTIONS(2364),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2364),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2364),
    [aux_sym_session_type_token1] = ACTIONS(2364),
    [aux_sym_set_env_token1] = ACTIONS(2364),
    [aux_sym_stdin_null_token1] = ACTIONS(2364),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2364),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2364),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2364),
    [aux_sym_syslog_facility_token1] = ACTIONS(2364),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2364),
    [aux_sym_keep_alive_token1] = ACTIONS(2364),
    [aux_sym_tag_token1] = ACTIONS(2364),
    [aux_sym_tunnel_token1] = ACTIONS(2366),
    [aux_sym_tunnel_device_token1] = ACTIONS(2364),
    [aux_sym_update_host_keys_token1] = ACTIONS(2364),
    [aux_sym_use_keychain_token1] = ACTIONS(2364),
    [aux_sym_use_roaming_token1] = ACTIONS(2364),
    [aux_sym_user_token1] = ACTIONS(2366),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2364),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2364),
    [aux_sym_version_addendum_token1] = ACTIONS(2364),
    [aux_sym_visual_host_key_token1] = ACTIONS(2364),
    [aux_sym_xauth_location_token1] = ACTIONS(2364),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [aux_sym_match_token1] = ACTIONS(2370),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2370),
    [aux_sym_address_family_token1] = ACTIONS(2370),
    [aux_sym_batch_mode_token1] = ACTIONS(2370),
    [aux_sym_bind_address_token1] = ACTIONS(2370),
    [aux_sym_bind_interface_token1] = ACTIONS(2370),
    [aux_sym_canonical_domains_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2370),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2370),
    [aux_sym_certificate_file_token1] = ACTIONS(2370),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2370),
    [aux_sym_channel_timeout_token1] = ACTIONS(2370),
    [aux_sym_check_host_ip_token1] = ACTIONS(2370),
    [aux_sym_ciphers_token1] = ACTIONS(2370),
    [aux_sym_cipher_token1] = ACTIONS(2372),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2370),
    [aux_sym_compression_token1] = ACTIONS(2370),
    [aux_sym_connection_attempts_token1] = ACTIONS(2370),
    [aux_sym_connect_timeout_token1] = ACTIONS(2370),
    [aux_sym_control_master_token1] = ACTIONS(2370),
    [aux_sym_control_path_token1] = ACTIONS(2370),
    [aux_sym_control_persist_token1] = ACTIONS(2370),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2370),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2370),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2370),
    [aux_sym_escape_char_token1] = ACTIONS(2370),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2370),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2370),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2370),
    [aux_sym_forward_agent_token1] = ACTIONS(2370),
    [aux_sym_forward_x11_token1] = ACTIONS(2372),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2370),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2370),
    [aux_sym_gateway_ports_token1] = ACTIONS(2370),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2370),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2370),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2370),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2370),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2370),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2370),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2370),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2370),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2370),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2370),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2370),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2370),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2370),
    [aux_sym_host_key_alias_token1] = ACTIONS(2370),
    [aux_sym_hostname_token1] = ACTIONS(2370),
    [aux_sym_identities_only_token1] = ACTIONS(2370),
    [aux_sym_identity_agent_token1] = ACTIONS(2370),
    [aux_sym_identity_file_token1] = ACTIONS(2370),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2370),
    [aux_sym_include_token1] = ACTIONS(2370),
    [aux_sym_ip_qos_token1] = ACTIONS(2370),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2370),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2370),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2370),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2370),
    [aux_sym_local_command_token1] = ACTIONS(2370),
    [aux_sym_local_forward_token1] = ACTIONS(2370),
    [aux_sym_log_level_token1] = ACTIONS(2370),
    [aux_sym_log_verbose_token1] = ACTIONS(2370),
    [aux_sym_macs_token1] = ACTIONS(2370),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2370),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2370),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2370),
    [aux_sym_password_authentication_token1] = ACTIONS(2370),
    [aux_sym_permit_local_command_token1] = ACTIONS(2370),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2370),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2370),
    [aux_sym_port_token1] = ACTIONS(2370),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2370),
    [aux_sym_protocol_token1] = ACTIONS(2370),
    [aux_sym_proxy_command_token1] = ACTIONS(2370),
    [aux_sym_proxy_jump_token1] = ACTIONS(2370),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2370),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2370),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2370),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2370),
    [aux_sym_rekey_limit_token1] = ACTIONS(2370),
    [aux_sym_remote_command_token1] = ACTIONS(2370),
    [aux_sym_remote_forward_token1] = ACTIONS(2370),
    [aux_sym_request_tty_token1] = ACTIONS(2370),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2370),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2370),
    [aux_sym_security_key_provider_token1] = ACTIONS(2370),
    [aux_sym_send_env_token1] = ACTIONS(2370),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2370),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2370),
    [aux_sym_session_type_token1] = ACTIONS(2370),
    [aux_sym_set_env_token1] = ACTIONS(2370),
    [aux_sym_stdin_null_token1] = ACTIONS(2370),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2370),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2370),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2370),
    [aux_sym_syslog_facility_token1] = ACTIONS(2370),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2370),
    [aux_sym_keep_alive_token1] = ACTIONS(2370),
    [aux_sym_tag_token1] = ACTIONS(2370),
    [aux_sym_tunnel_token1] = ACTIONS(2372),
    [aux_sym_tunnel_device_token1] = ACTIONS(2370),
    [aux_sym_update_host_keys_token1] = ACTIONS(2370),
    [aux_sym_use_keychain_token1] = ACTIONS(2370),
    [aux_sym_use_roaming_token1] = ACTIONS(2370),
    [aux_sym_user_token1] = ACTIONS(2372),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2370),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2370),
    [aux_sym_version_addendum_token1] = ACTIONS(2370),
    [aux_sym_visual_host_key_token1] = ACTIONS(2370),
    [aux_sym_xauth_location_token1] = ACTIONS(2370),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [aux_sym_match_token1] = ACTIONS(2376),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2376),
    [aux_sym_address_family_token1] = ACTIONS(2376),
    [aux_sym_batch_mode_token1] = ACTIONS(2376),
    [aux_sym_bind_address_token1] = ACTIONS(2376),
    [aux_sym_bind_interface_token1] = ACTIONS(2376),
    [aux_sym_canonical_domains_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2376),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2376),
    [aux_sym_certificate_file_token1] = ACTIONS(2376),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2376),
    [aux_sym_channel_timeout_token1] = ACTIONS(2376),
    [aux_sym_check_host_ip_token1] = ACTIONS(2376),
    [aux_sym_ciphers_token1] = ACTIONS(2376),
    [aux_sym_cipher_token1] = ACTIONS(2378),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2376),
    [aux_sym_compression_token1] = ACTIONS(2376),
    [aux_sym_connection_attempts_token1] = ACTIONS(2376),
    [aux_sym_connect_timeout_token1] = ACTIONS(2376),
    [aux_sym_control_master_token1] = ACTIONS(2376),
    [aux_sym_control_path_token1] = ACTIONS(2376),
    [aux_sym_control_persist_token1] = ACTIONS(2376),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2376),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2376),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2376),
    [aux_sym_escape_char_token1] = ACTIONS(2376),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2376),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2376),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2376),
    [aux_sym_forward_agent_token1] = ACTIONS(2376),
    [aux_sym_forward_x11_token1] = ACTIONS(2378),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2376),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2376),
    [aux_sym_gateway_ports_token1] = ACTIONS(2376),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2376),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2376),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2376),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2376),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2376),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2376),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2376),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2376),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2376),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2376),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2376),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2376),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2376),
    [aux_sym_host_key_alias_token1] = ACTIONS(2376),
    [aux_sym_hostname_token1] = ACTIONS(2376),
    [aux_sym_identities_only_token1] = ACTIONS(2376),
    [aux_sym_identity_agent_token1] = ACTIONS(2376),
    [aux_sym_identity_file_token1] = ACTIONS(2376),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2376),
    [aux_sym_include_token1] = ACTIONS(2376),
    [aux_sym_ip_qos_token1] = ACTIONS(2376),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2376),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2376),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2376),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2376),
    [aux_sym_local_command_token1] = ACTIONS(2376),
    [aux_sym_local_forward_token1] = ACTIONS(2376),
    [aux_sym_log_level_token1] = ACTIONS(2376),
    [aux_sym_log_verbose_token1] = ACTIONS(2376),
    [aux_sym_macs_token1] = ACTIONS(2376),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2376),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2376),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2376),
    [aux_sym_password_authentication_token1] = ACTIONS(2376),
    [aux_sym_permit_local_command_token1] = ACTIONS(2376),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2376),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2376),
    [aux_sym_port_token1] = ACTIONS(2376),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2376),
    [aux_sym_protocol_token1] = ACTIONS(2376),
    [aux_sym_proxy_command_token1] = ACTIONS(2376),
    [aux_sym_proxy_jump_token1] = ACTIONS(2376),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2376),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2376),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2376),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2376),
    [aux_sym_rekey_limit_token1] = ACTIONS(2376),
    [aux_sym_remote_command_token1] = ACTIONS(2376),
    [aux_sym_remote_forward_token1] = ACTIONS(2376),
    [aux_sym_request_tty_token1] = ACTIONS(2376),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2376),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2376),
    [aux_sym_security_key_provider_token1] = ACTIONS(2376),
    [aux_sym_send_env_token1] = ACTIONS(2376),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2376),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2376),
    [aux_sym_session_type_token1] = ACTIONS(2376),
    [aux_sym_set_env_token1] = ACTIONS(2376),
    [aux_sym_stdin_null_token1] = ACTIONS(2376),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2376),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2376),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2376),
    [aux_sym_syslog_facility_token1] = ACTIONS(2376),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2376),
    [aux_sym_keep_alive_token1] = ACTIONS(2376),
    [aux_sym_tag_token1] = ACTIONS(2376),
    [aux_sym_tunnel_token1] = ACTIONS(2378),
    [aux_sym_tunnel_device_token1] = ACTIONS(2376),
    [aux_sym_update_host_keys_token1] = ACTIONS(2376),
    [aux_sym_use_keychain_token1] = ACTIONS(2376),
    [aux_sym_use_roaming_token1] = ACTIONS(2376),
    [aux_sym_user_token1] = ACTIONS(2378),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2376),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2376),
    [aux_sym_version_addendum_token1] = ACTIONS(2376),
    [aux_sym_visual_host_key_token1] = ACTIONS(2376),
    [aux_sym_xauth_location_token1] = ACTIONS(2376),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2386),
    [aux_sym_match_token1] = ACTIONS(2382),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2382),
    [aux_sym_address_family_token1] = ACTIONS(2382),
    [aux_sym_batch_mode_token1] = ACTIONS(2382),
    [aux_sym_bind_address_token1] = ACTIONS(2382),
    [aux_sym_bind_interface_token1] = ACTIONS(2382),
    [aux_sym_canonical_domains_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2382),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2382),
    [aux_sym_certificate_file_token1] = ACTIONS(2382),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2382),
    [aux_sym_channel_timeout_token1] = ACTIONS(2382),
    [aux_sym_check_host_ip_token1] = ACTIONS(2382),
    [aux_sym_ciphers_token1] = ACTIONS(2382),
    [aux_sym_cipher_token1] = ACTIONS(2384),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2382),
    [aux_sym_compression_token1] = ACTIONS(2382),
    [aux_sym_connection_attempts_token1] = ACTIONS(2382),
    [aux_sym_connect_timeout_token1] = ACTIONS(2382),
    [aux_sym_control_master_token1] = ACTIONS(2382),
    [aux_sym_control_path_token1] = ACTIONS(2382),
    [aux_sym_control_persist_token1] = ACTIONS(2382),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2382),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2382),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2382),
    [aux_sym_escape_char_token1] = ACTIONS(2382),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2382),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2382),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2382),
    [aux_sym_forward_agent_token1] = ACTIONS(2382),
    [aux_sym_forward_x11_token1] = ACTIONS(2384),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2382),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2382),
    [aux_sym_gateway_ports_token1] = ACTIONS(2382),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2382),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2382),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2382),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2382),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2382),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2382),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2382),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2382),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2382),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2382),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2382),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2382),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2382),
    [aux_sym_host_key_alias_token1] = ACTIONS(2382),
    [aux_sym_hostname_token1] = ACTIONS(2382),
    [aux_sym_identities_only_token1] = ACTIONS(2382),
    [aux_sym_identity_agent_token1] = ACTIONS(2382),
    [aux_sym_identity_file_token1] = ACTIONS(2382),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2382),
    [aux_sym_include_token1] = ACTIONS(2382),
    [aux_sym_ip_qos_token1] = ACTIONS(2382),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2382),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2382),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2382),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2382),
    [aux_sym_local_command_token1] = ACTIONS(2382),
    [aux_sym_local_forward_token1] = ACTIONS(2382),
    [aux_sym_log_level_token1] = ACTIONS(2382),
    [aux_sym_log_verbose_token1] = ACTIONS(2382),
    [aux_sym_macs_token1] = ACTIONS(2382),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2382),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2382),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2382),
    [aux_sym_password_authentication_token1] = ACTIONS(2382),
    [aux_sym_permit_local_command_token1] = ACTIONS(2382),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2382),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2382),
    [aux_sym_port_token1] = ACTIONS(2382),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2382),
    [aux_sym_protocol_token1] = ACTIONS(2382),
    [aux_sym_proxy_command_token1] = ACTIONS(2382),
    [aux_sym_proxy_jump_token1] = ACTIONS(2382),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2382),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2382),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2382),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2382),
    [aux_sym_rekey_limit_token1] = ACTIONS(2382),
    [aux_sym_remote_command_token1] = ACTIONS(2382),
    [aux_sym_remote_forward_token1] = ACTIONS(2382),
    [aux_sym_request_tty_token1] = ACTIONS(2382),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2382),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2382),
    [aux_sym_security_key_provider_token1] = ACTIONS(2382),
    [aux_sym_send_env_token1] = ACTIONS(2382),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2382),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2382),
    [aux_sym_session_type_token1] = ACTIONS(2382),
    [aux_sym_set_env_token1] = ACTIONS(2382),
    [aux_sym_stdin_null_token1] = ACTIONS(2382),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2382),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2382),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2382),
    [aux_sym_syslog_facility_token1] = ACTIONS(2382),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2382),
    [aux_sym_keep_alive_token1] = ACTIONS(2382),
    [aux_sym_tag_token1] = ACTIONS(2382),
    [aux_sym_tunnel_token1] = ACTIONS(2384),
    [aux_sym_tunnel_device_token1] = ACTIONS(2382),
    [aux_sym_update_host_keys_token1] = ACTIONS(2382),
    [aux_sym_use_keychain_token1] = ACTIONS(2382),
    [aux_sym_use_roaming_token1] = ACTIONS(2382),
    [aux_sym_user_token1] = ACTIONS(2384),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2382),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2382),
    [aux_sym_version_addendum_token1] = ACTIONS(2382),
    [aux_sym_visual_host_key_token1] = ACTIONS(2382),
    [aux_sym_xauth_location_token1] = ACTIONS(2382),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2390),
    [anon_sym_DQUOTE] = ACTIONS(2392),
    [aux_sym_match_token1] = ACTIONS(2388),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2388),
    [aux_sym_address_family_token1] = ACTIONS(2388),
    [aux_sym_batch_mode_token1] = ACTIONS(2388),
    [aux_sym_bind_address_token1] = ACTIONS(2388),
    [aux_sym_bind_interface_token1] = ACTIONS(2388),
    [aux_sym_canonical_domains_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2388),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2388),
    [aux_sym_certificate_file_token1] = ACTIONS(2388),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2388),
    [aux_sym_channel_timeout_token1] = ACTIONS(2388),
    [aux_sym_check_host_ip_token1] = ACTIONS(2388),
    [aux_sym_ciphers_token1] = ACTIONS(2388),
    [aux_sym_cipher_token1] = ACTIONS(2390),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2388),
    [aux_sym_compression_token1] = ACTIONS(2388),
    [aux_sym_connection_attempts_token1] = ACTIONS(2388),
    [aux_sym_connect_timeout_token1] = ACTIONS(2388),
    [aux_sym_control_master_token1] = ACTIONS(2388),
    [aux_sym_control_path_token1] = ACTIONS(2388),
    [aux_sym_control_persist_token1] = ACTIONS(2388),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2388),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2388),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2388),
    [aux_sym_escape_char_token1] = ACTIONS(2388),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2388),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2388),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2388),
    [aux_sym_forward_agent_token1] = ACTIONS(2388),
    [aux_sym_forward_x11_token1] = ACTIONS(2390),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2388),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2388),
    [aux_sym_gateway_ports_token1] = ACTIONS(2388),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2388),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2388),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2388),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2388),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2388),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2388),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2388),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2388),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2388),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2388),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2388),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2388),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2388),
    [aux_sym_host_key_alias_token1] = ACTIONS(2388),
    [aux_sym_hostname_token1] = ACTIONS(2388),
    [aux_sym_identities_only_token1] = ACTIONS(2388),
    [aux_sym_identity_agent_token1] = ACTIONS(2388),
    [aux_sym_identity_file_token1] = ACTIONS(2388),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2388),
    [aux_sym_include_token1] = ACTIONS(2388),
    [aux_sym_ip_qos_token1] = ACTIONS(2388),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2388),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2388),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2388),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2388),
    [aux_sym_local_command_token1] = ACTIONS(2388),
    [aux_sym_local_forward_token1] = ACTIONS(2388),
    [aux_sym_log_level_token1] = ACTIONS(2388),
    [aux_sym_log_verbose_token1] = ACTIONS(2388),
    [aux_sym_macs_token1] = ACTIONS(2388),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2388),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2388),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2388),
    [aux_sym_password_authentication_token1] = ACTIONS(2388),
    [aux_sym_permit_local_command_token1] = ACTIONS(2388),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2388),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2388),
    [aux_sym_port_token1] = ACTIONS(2388),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2388),
    [aux_sym_protocol_token1] = ACTIONS(2388),
    [aux_sym_proxy_command_token1] = ACTIONS(2388),
    [aux_sym_proxy_jump_token1] = ACTIONS(2388),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2388),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2388),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2388),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2388),
    [aux_sym_rekey_limit_token1] = ACTIONS(2388),
    [aux_sym_remote_command_token1] = ACTIONS(2388),
    [aux_sym_remote_forward_token1] = ACTIONS(2388),
    [aux_sym_request_tty_token1] = ACTIONS(2388),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2388),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2388),
    [aux_sym_security_key_provider_token1] = ACTIONS(2388),
    [aux_sym_send_env_token1] = ACTIONS(2388),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2388),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2388),
    [aux_sym_session_type_token1] = ACTIONS(2388),
    [aux_sym_set_env_token1] = ACTIONS(2388),
    [aux_sym_stdin_null_token1] = ACTIONS(2388),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2388),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2388),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2388),
    [aux_sym_syslog_facility_token1] = ACTIONS(2388),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2388),
    [aux_sym_keep_alive_token1] = ACTIONS(2388),
    [aux_sym_tag_token1] = ACTIONS(2388),
    [aux_sym_tunnel_token1] = ACTIONS(2390),
    [aux_sym_tunnel_device_token1] = ACTIONS(2388),
    [aux_sym_update_host_keys_token1] = ACTIONS(2388),
    [aux_sym_use_keychain_token1] = ACTIONS(2388),
    [aux_sym_use_roaming_token1] = ACTIONS(2388),
    [aux_sym_user_token1] = ACTIONS(2390),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2388),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2388),
    [aux_sym_version_addendum_token1] = ACTIONS(2388),
    [aux_sym_visual_host_key_token1] = ACTIONS(2388),
    [aux_sym_xauth_location_token1] = ACTIONS(2388),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [aux_sym_match_token1] = ACTIONS(2394),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2394),
    [aux_sym_address_family_token1] = ACTIONS(2394),
    [aux_sym_batch_mode_token1] = ACTIONS(2394),
    [aux_sym_bind_address_token1] = ACTIONS(2394),
    [aux_sym_bind_interface_token1] = ACTIONS(2394),
    [aux_sym_canonical_domains_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2394),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2394),
    [aux_sym_certificate_file_token1] = ACTIONS(2394),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2394),
    [aux_sym_channel_timeout_token1] = ACTIONS(2394),
    [aux_sym_check_host_ip_token1] = ACTIONS(2394),
    [aux_sym_ciphers_token1] = ACTIONS(2394),
    [aux_sym_cipher_token1] = ACTIONS(2396),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2394),
    [aux_sym_compression_token1] = ACTIONS(2394),
    [aux_sym_connection_attempts_token1] = ACTIONS(2394),
    [aux_sym_connect_timeout_token1] = ACTIONS(2394),
    [aux_sym_control_master_token1] = ACTIONS(2394),
    [aux_sym_control_path_token1] = ACTIONS(2394),
    [aux_sym_control_persist_token1] = ACTIONS(2394),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2394),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2394),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2394),
    [aux_sym_escape_char_token1] = ACTIONS(2394),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2394),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2394),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2394),
    [aux_sym_forward_agent_token1] = ACTIONS(2394),
    [aux_sym_forward_x11_token1] = ACTIONS(2396),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2394),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2394),
    [aux_sym_gateway_ports_token1] = ACTIONS(2394),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2394),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2394),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2394),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2394),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2394),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2394),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2394),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2394),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2394),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2394),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2394),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2394),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2394),
    [aux_sym_host_key_alias_token1] = ACTIONS(2394),
    [aux_sym_hostname_token1] = ACTIONS(2394),
    [aux_sym_identities_only_token1] = ACTIONS(2394),
    [aux_sym_identity_agent_token1] = ACTIONS(2394),
    [aux_sym_identity_file_token1] = ACTIONS(2394),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2394),
    [aux_sym_include_token1] = ACTIONS(2394),
    [aux_sym_ip_qos_token1] = ACTIONS(2394),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2394),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2394),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2394),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2394),
    [aux_sym_local_command_token1] = ACTIONS(2394),
    [aux_sym_local_forward_token1] = ACTIONS(2394),
    [aux_sym_log_level_token1] = ACTIONS(2394),
    [aux_sym_log_verbose_token1] = ACTIONS(2394),
    [aux_sym_macs_token1] = ACTIONS(2394),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2394),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2394),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2394),
    [aux_sym_password_authentication_token1] = ACTIONS(2394),
    [aux_sym_permit_local_command_token1] = ACTIONS(2394),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2394),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2394),
    [aux_sym_port_token1] = ACTIONS(2394),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2394),
    [aux_sym_protocol_token1] = ACTIONS(2394),
    [aux_sym_proxy_command_token1] = ACTIONS(2394),
    [aux_sym_proxy_jump_token1] = ACTIONS(2394),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2394),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2394),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2394),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2394),
    [aux_sym_rekey_limit_token1] = ACTIONS(2394),
    [aux_sym_remote_command_token1] = ACTIONS(2394),
    [aux_sym_remote_forward_token1] = ACTIONS(2394),
    [aux_sym_request_tty_token1] = ACTIONS(2394),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2394),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2394),
    [aux_sym_security_key_provider_token1] = ACTIONS(2394),
    [aux_sym_send_env_token1] = ACTIONS(2394),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2394),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2394),
    [aux_sym_session_type_token1] = ACTIONS(2394),
    [aux_sym_set_env_token1] = ACTIONS(2394),
    [aux_sym_stdin_null_token1] = ACTIONS(2394),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2394),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2394),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2394),
    [aux_sym_syslog_facility_token1] = ACTIONS(2394),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2394),
    [aux_sym_keep_alive_token1] = ACTIONS(2394),
    [aux_sym_tag_token1] = ACTIONS(2394),
    [aux_sym_tunnel_token1] = ACTIONS(2396),
    [aux_sym_tunnel_device_token1] = ACTIONS(2394),
    [aux_sym_update_host_keys_token1] = ACTIONS(2394),
    [aux_sym_use_keychain_token1] = ACTIONS(2394),
    [aux_sym_use_roaming_token1] = ACTIONS(2394),
    [aux_sym_user_token1] = ACTIONS(2396),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2394),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2394),
    [aux_sym_version_addendum_token1] = ACTIONS(2394),
    [aux_sym_visual_host_key_token1] = ACTIONS(2394),
    [aux_sym_xauth_location_token1] = ACTIONS(2394),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [aux_sym_match_token1] = ACTIONS(2400),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2400),
    [aux_sym_address_family_token1] = ACTIONS(2400),
    [aux_sym_batch_mode_token1] = ACTIONS(2400),
    [aux_sym_bind_address_token1] = ACTIONS(2400),
    [aux_sym_bind_interface_token1] = ACTIONS(2400),
    [aux_sym_canonical_domains_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2400),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2400),
    [aux_sym_certificate_file_token1] = ACTIONS(2400),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2400),
    [aux_sym_channel_timeout_token1] = ACTIONS(2400),
    [aux_sym_check_host_ip_token1] = ACTIONS(2400),
    [aux_sym_ciphers_token1] = ACTIONS(2400),
    [aux_sym_cipher_token1] = ACTIONS(2402),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2400),
    [aux_sym_compression_token1] = ACTIONS(2400),
    [aux_sym_connection_attempts_token1] = ACTIONS(2400),
    [aux_sym_connect_timeout_token1] = ACTIONS(2400),
    [aux_sym_control_master_token1] = ACTIONS(2400),
    [aux_sym_control_path_token1] = ACTIONS(2400),
    [aux_sym_control_persist_token1] = ACTIONS(2400),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2400),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2400),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2400),
    [aux_sym_escape_char_token1] = ACTIONS(2400),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2400),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2400),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2400),
    [aux_sym_forward_agent_token1] = ACTIONS(2400),
    [aux_sym_forward_x11_token1] = ACTIONS(2402),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2400),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2400),
    [aux_sym_gateway_ports_token1] = ACTIONS(2400),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2400),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2400),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2400),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2400),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2400),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2400),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2400),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2400),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2400),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2400),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2400),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2400),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2400),
    [aux_sym_host_key_alias_token1] = ACTIONS(2400),
    [aux_sym_hostname_token1] = ACTIONS(2400),
    [aux_sym_identities_only_token1] = ACTIONS(2400),
    [aux_sym_identity_agent_token1] = ACTIONS(2400),
    [aux_sym_identity_file_token1] = ACTIONS(2400),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2400),
    [aux_sym_include_token1] = ACTIONS(2400),
    [aux_sym_ip_qos_token1] = ACTIONS(2400),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2400),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2400),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2400),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2400),
    [aux_sym_local_command_token1] = ACTIONS(2400),
    [aux_sym_local_forward_token1] = ACTIONS(2400),
    [aux_sym_log_level_token1] = ACTIONS(2400),
    [aux_sym_log_verbose_token1] = ACTIONS(2400),
    [aux_sym_macs_token1] = ACTIONS(2400),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2400),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2400),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2400),
    [aux_sym_password_authentication_token1] = ACTIONS(2400),
    [aux_sym_permit_local_command_token1] = ACTIONS(2400),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2400),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2400),
    [aux_sym_port_token1] = ACTIONS(2400),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2400),
    [aux_sym_protocol_token1] = ACTIONS(2400),
    [aux_sym_proxy_command_token1] = ACTIONS(2400),
    [aux_sym_proxy_jump_token1] = ACTIONS(2400),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2400),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2400),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2400),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2400),
    [aux_sym_rekey_limit_token1] = ACTIONS(2400),
    [aux_sym_remote_command_token1] = ACTIONS(2400),
    [aux_sym_remote_forward_token1] = ACTIONS(2400),
    [aux_sym_request_tty_token1] = ACTIONS(2400),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2400),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2400),
    [aux_sym_security_key_provider_token1] = ACTIONS(2400),
    [aux_sym_send_env_token1] = ACTIONS(2400),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2400),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2400),
    [aux_sym_session_type_token1] = ACTIONS(2400),
    [aux_sym_set_env_token1] = ACTIONS(2400),
    [aux_sym_stdin_null_token1] = ACTIONS(2400),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2400),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2400),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2400),
    [aux_sym_syslog_facility_token1] = ACTIONS(2400),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2400),
    [aux_sym_keep_alive_token1] = ACTIONS(2400),
    [aux_sym_tag_token1] = ACTIONS(2400),
    [aux_sym_tunnel_token1] = ACTIONS(2402),
    [aux_sym_tunnel_device_token1] = ACTIONS(2400),
    [aux_sym_update_host_keys_token1] = ACTIONS(2400),
    [aux_sym_use_keychain_token1] = ACTIONS(2400),
    [aux_sym_use_roaming_token1] = ACTIONS(2400),
    [aux_sym_user_token1] = ACTIONS(2402),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2400),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2400),
    [aux_sym_version_addendum_token1] = ACTIONS(2400),
    [aux_sym_visual_host_key_token1] = ACTIONS(2400),
    [aux_sym_xauth_location_token1] = ACTIONS(2400),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [aux_sym_match_token1] = ACTIONS(2406),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2406),
    [aux_sym_address_family_token1] = ACTIONS(2406),
    [aux_sym_batch_mode_token1] = ACTIONS(2406),
    [aux_sym_bind_address_token1] = ACTIONS(2406),
    [aux_sym_bind_interface_token1] = ACTIONS(2406),
    [aux_sym_canonical_domains_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2406),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2406),
    [aux_sym_certificate_file_token1] = ACTIONS(2406),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2406),
    [aux_sym_channel_timeout_token1] = ACTIONS(2406),
    [aux_sym_check_host_ip_token1] = ACTIONS(2406),
    [aux_sym_ciphers_token1] = ACTIONS(2406),
    [aux_sym_cipher_token1] = ACTIONS(2408),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2406),
    [aux_sym_compression_token1] = ACTIONS(2406),
    [aux_sym_connection_attempts_token1] = ACTIONS(2406),
    [aux_sym_connect_timeout_token1] = ACTIONS(2406),
    [aux_sym_control_master_token1] = ACTIONS(2406),
    [aux_sym_control_path_token1] = ACTIONS(2406),
    [aux_sym_control_persist_token1] = ACTIONS(2406),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2406),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2406),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2406),
    [aux_sym_escape_char_token1] = ACTIONS(2406),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2406),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2406),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2406),
    [aux_sym_forward_agent_token1] = ACTIONS(2406),
    [aux_sym_forward_x11_token1] = ACTIONS(2408),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2406),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2406),
    [aux_sym_gateway_ports_token1] = ACTIONS(2406),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2406),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2406),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2406),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2406),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2406),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2406),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2406),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2406),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2406),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2406),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2406),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2406),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2406),
    [aux_sym_host_key_alias_token1] = ACTIONS(2406),
    [aux_sym_hostname_token1] = ACTIONS(2406),
    [aux_sym_identities_only_token1] = ACTIONS(2406),
    [aux_sym_identity_agent_token1] = ACTIONS(2406),
    [aux_sym_identity_file_token1] = ACTIONS(2406),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2406),
    [aux_sym_include_token1] = ACTIONS(2406),
    [aux_sym_ip_qos_token1] = ACTIONS(2406),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2406),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2406),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2406),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2406),
    [aux_sym_local_command_token1] = ACTIONS(2406),
    [aux_sym_local_forward_token1] = ACTIONS(2406),
    [aux_sym_log_level_token1] = ACTIONS(2406),
    [aux_sym_log_verbose_token1] = ACTIONS(2406),
    [aux_sym_macs_token1] = ACTIONS(2406),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2406),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2406),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2406),
    [aux_sym_password_authentication_token1] = ACTIONS(2406),
    [aux_sym_permit_local_command_token1] = ACTIONS(2406),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2406),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2406),
    [aux_sym_port_token1] = ACTIONS(2406),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2406),
    [aux_sym_protocol_token1] = ACTIONS(2406),
    [aux_sym_proxy_command_token1] = ACTIONS(2406),
    [aux_sym_proxy_jump_token1] = ACTIONS(2406),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2406),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2406),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2406),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2406),
    [aux_sym_rekey_limit_token1] = ACTIONS(2406),
    [aux_sym_remote_command_token1] = ACTIONS(2406),
    [aux_sym_remote_forward_token1] = ACTIONS(2406),
    [aux_sym_request_tty_token1] = ACTIONS(2406),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2406),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2406),
    [aux_sym_security_key_provider_token1] = ACTIONS(2406),
    [aux_sym_send_env_token1] = ACTIONS(2406),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2406),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2406),
    [aux_sym_session_type_token1] = ACTIONS(2406),
    [aux_sym_set_env_token1] = ACTIONS(2406),
    [aux_sym_stdin_null_token1] = ACTIONS(2406),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2406),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2406),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2406),
    [aux_sym_syslog_facility_token1] = ACTIONS(2406),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2406),
    [aux_sym_keep_alive_token1] = ACTIONS(2406),
    [aux_sym_tag_token1] = ACTIONS(2406),
    [aux_sym_tunnel_token1] = ACTIONS(2408),
    [aux_sym_tunnel_device_token1] = ACTIONS(2406),
    [aux_sym_update_host_keys_token1] = ACTIONS(2406),
    [aux_sym_use_keychain_token1] = ACTIONS(2406),
    [aux_sym_use_roaming_token1] = ACTIONS(2406),
    [aux_sym_user_token1] = ACTIONS(2408),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2406),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2406),
    [aux_sym_version_addendum_token1] = ACTIONS(2406),
    [aux_sym_visual_host_key_token1] = ACTIONS(2406),
    [aux_sym_xauth_location_token1] = ACTIONS(2406),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2414),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [aux_sym_match_token1] = ACTIONS(2412),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2412),
    [aux_sym_address_family_token1] = ACTIONS(2412),
    [aux_sym_batch_mode_token1] = ACTIONS(2412),
    [aux_sym_bind_address_token1] = ACTIONS(2412),
    [aux_sym_bind_interface_token1] = ACTIONS(2412),
    [aux_sym_canonical_domains_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2412),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2412),
    [aux_sym_certificate_file_token1] = ACTIONS(2412),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2412),
    [aux_sym_channel_timeout_token1] = ACTIONS(2412),
    [aux_sym_check_host_ip_token1] = ACTIONS(2412),
    [aux_sym_ciphers_token1] = ACTIONS(2412),
    [aux_sym_cipher_token1] = ACTIONS(2414),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2412),
    [aux_sym_compression_token1] = ACTIONS(2412),
    [aux_sym_connection_attempts_token1] = ACTIONS(2412),
    [aux_sym_connect_timeout_token1] = ACTIONS(2412),
    [aux_sym_control_master_token1] = ACTIONS(2412),
    [aux_sym_control_path_token1] = ACTIONS(2412),
    [aux_sym_control_persist_token1] = ACTIONS(2412),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2412),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2412),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2412),
    [aux_sym_escape_char_token1] = ACTIONS(2412),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2412),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2412),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2412),
    [aux_sym_forward_agent_token1] = ACTIONS(2412),
    [aux_sym_forward_x11_token1] = ACTIONS(2414),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2412),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2412),
    [aux_sym_gateway_ports_token1] = ACTIONS(2412),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2412),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2412),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2412),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2412),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2412),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2412),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2412),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2412),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2412),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2412),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2412),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2412),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2412),
    [aux_sym_host_key_alias_token1] = ACTIONS(2412),
    [aux_sym_hostname_token1] = ACTIONS(2412),
    [aux_sym_identities_only_token1] = ACTIONS(2412),
    [aux_sym_identity_agent_token1] = ACTIONS(2412),
    [aux_sym_identity_file_token1] = ACTIONS(2412),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2412),
    [aux_sym_include_token1] = ACTIONS(2412),
    [aux_sym_ip_qos_token1] = ACTIONS(2412),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2412),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2412),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2412),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2412),
    [aux_sym_local_command_token1] = ACTIONS(2412),
    [aux_sym_local_forward_token1] = ACTIONS(2412),
    [aux_sym_log_level_token1] = ACTIONS(2412),
    [aux_sym_log_verbose_token1] = ACTIONS(2412),
    [aux_sym_macs_token1] = ACTIONS(2412),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2412),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2412),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2412),
    [aux_sym_password_authentication_token1] = ACTIONS(2412),
    [aux_sym_permit_local_command_token1] = ACTIONS(2412),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2412),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2412),
    [aux_sym_port_token1] = ACTIONS(2412),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2412),
    [aux_sym_protocol_token1] = ACTIONS(2412),
    [aux_sym_proxy_command_token1] = ACTIONS(2412),
    [aux_sym_proxy_jump_token1] = ACTIONS(2412),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2412),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2412),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2412),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2412),
    [aux_sym_rekey_limit_token1] = ACTIONS(2412),
    [aux_sym_remote_command_token1] = ACTIONS(2412),
    [aux_sym_remote_forward_token1] = ACTIONS(2412),
    [aux_sym_request_tty_token1] = ACTIONS(2412),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2412),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2412),
    [aux_sym_security_key_provider_token1] = ACTIONS(2412),
    [aux_sym_send_env_token1] = ACTIONS(2412),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2412),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2412),
    [aux_sym_session_type_token1] = ACTIONS(2412),
    [aux_sym_set_env_token1] = ACTIONS(2412),
    [aux_sym_stdin_null_token1] = ACTIONS(2412),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2412),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2412),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2412),
    [aux_sym_syslog_facility_token1] = ACTIONS(2412),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2412),
    [aux_sym_keep_alive_token1] = ACTIONS(2412),
    [aux_sym_tag_token1] = ACTIONS(2412),
    [aux_sym_tunnel_token1] = ACTIONS(2414),
    [aux_sym_tunnel_device_token1] = ACTIONS(2412),
    [aux_sym_update_host_keys_token1] = ACTIONS(2412),
    [aux_sym_use_keychain_token1] = ACTIONS(2412),
    [aux_sym_use_roaming_token1] = ACTIONS(2412),
    [aux_sym_user_token1] = ACTIONS(2414),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2412),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2412),
    [aux_sym_version_addendum_token1] = ACTIONS(2412),
    [aux_sym_visual_host_key_token1] = ACTIONS(2412),
    [aux_sym_xauth_location_token1] = ACTIONS(2412),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [aux_sym_match_token1] = ACTIONS(2418),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2418),
    [aux_sym_address_family_token1] = ACTIONS(2418),
    [aux_sym_batch_mode_token1] = ACTIONS(2418),
    [aux_sym_bind_address_token1] = ACTIONS(2418),
    [aux_sym_bind_interface_token1] = ACTIONS(2418),
    [aux_sym_canonical_domains_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2418),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2418),
    [aux_sym_certificate_file_token1] = ACTIONS(2418),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2418),
    [aux_sym_channel_timeout_token1] = ACTIONS(2418),
    [aux_sym_check_host_ip_token1] = ACTIONS(2418),
    [aux_sym_ciphers_token1] = ACTIONS(2418),
    [aux_sym_cipher_token1] = ACTIONS(2420),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2418),
    [aux_sym_compression_token1] = ACTIONS(2418),
    [aux_sym_connection_attempts_token1] = ACTIONS(2418),
    [aux_sym_connect_timeout_token1] = ACTIONS(2418),
    [aux_sym_control_master_token1] = ACTIONS(2418),
    [aux_sym_control_path_token1] = ACTIONS(2418),
    [aux_sym_control_persist_token1] = ACTIONS(2418),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2418),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2418),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2418),
    [aux_sym_escape_char_token1] = ACTIONS(2418),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2418),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2418),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2418),
    [aux_sym_forward_agent_token1] = ACTIONS(2418),
    [aux_sym_forward_x11_token1] = ACTIONS(2420),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2418),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2418),
    [aux_sym_gateway_ports_token1] = ACTIONS(2418),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2418),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2418),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2418),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2418),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2418),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2418),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2418),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2418),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2418),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2418),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2418),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2418),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2418),
    [aux_sym_host_key_alias_token1] = ACTIONS(2418),
    [aux_sym_hostname_token1] = ACTIONS(2418),
    [aux_sym_identities_only_token1] = ACTIONS(2418),
    [aux_sym_identity_agent_token1] = ACTIONS(2418),
    [aux_sym_identity_file_token1] = ACTIONS(2418),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2418),
    [aux_sym_include_token1] = ACTIONS(2418),
    [aux_sym_ip_qos_token1] = ACTIONS(2418),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2418),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2418),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2418),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2418),
    [aux_sym_local_command_token1] = ACTIONS(2418),
    [aux_sym_local_forward_token1] = ACTIONS(2418),
    [aux_sym_log_level_token1] = ACTIONS(2418),
    [aux_sym_log_verbose_token1] = ACTIONS(2418),
    [aux_sym_macs_token1] = ACTIONS(2418),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2418),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2418),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2418),
    [aux_sym_password_authentication_token1] = ACTIONS(2418),
    [aux_sym_permit_local_command_token1] = ACTIONS(2418),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2418),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2418),
    [aux_sym_port_token1] = ACTIONS(2418),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2418),
    [aux_sym_protocol_token1] = ACTIONS(2418),
    [aux_sym_proxy_command_token1] = ACTIONS(2418),
    [aux_sym_proxy_jump_token1] = ACTIONS(2418),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2418),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2418),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2418),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2418),
    [aux_sym_rekey_limit_token1] = ACTIONS(2418),
    [aux_sym_remote_command_token1] = ACTIONS(2418),
    [aux_sym_remote_forward_token1] = ACTIONS(2418),
    [aux_sym_request_tty_token1] = ACTIONS(2418),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2418),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2418),
    [aux_sym_security_key_provider_token1] = ACTIONS(2418),
    [aux_sym_send_env_token1] = ACTIONS(2418),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2418),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2418),
    [aux_sym_session_type_token1] = ACTIONS(2418),
    [aux_sym_set_env_token1] = ACTIONS(2418),
    [aux_sym_stdin_null_token1] = ACTIONS(2418),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2418),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2418),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2418),
    [aux_sym_syslog_facility_token1] = ACTIONS(2418),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2418),
    [aux_sym_keep_alive_token1] = ACTIONS(2418),
    [aux_sym_tag_token1] = ACTIONS(2418),
    [aux_sym_tunnel_token1] = ACTIONS(2420),
    [aux_sym_tunnel_device_token1] = ACTIONS(2418),
    [aux_sym_update_host_keys_token1] = ACTIONS(2418),
    [aux_sym_use_keychain_token1] = ACTIONS(2418),
    [aux_sym_use_roaming_token1] = ACTIONS(2418),
    [aux_sym_user_token1] = ACTIONS(2420),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2418),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2418),
    [aux_sym_version_addendum_token1] = ACTIONS(2418),
    [aux_sym_visual_host_key_token1] = ACTIONS(2418),
    [aux_sym_xauth_location_token1] = ACTIONS(2418),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2428),
    [aux_sym_match_token1] = ACTIONS(2424),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2424),
    [aux_sym_address_family_token1] = ACTIONS(2424),
    [aux_sym_batch_mode_token1] = ACTIONS(2424),
    [aux_sym_bind_address_token1] = ACTIONS(2424),
    [aux_sym_bind_interface_token1] = ACTIONS(2424),
    [aux_sym_canonical_domains_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2424),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2424),
    [aux_sym_certificate_file_token1] = ACTIONS(2424),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2424),
    [aux_sym_channel_timeout_token1] = ACTIONS(2424),
    [aux_sym_check_host_ip_token1] = ACTIONS(2424),
    [aux_sym_ciphers_token1] = ACTIONS(2424),
    [aux_sym_cipher_token1] = ACTIONS(2426),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2424),
    [aux_sym_compression_token1] = ACTIONS(2424),
    [aux_sym_connection_attempts_token1] = ACTIONS(2424),
    [aux_sym_connect_timeout_token1] = ACTIONS(2424),
    [aux_sym_control_master_token1] = ACTIONS(2424),
    [aux_sym_control_path_token1] = ACTIONS(2424),
    [aux_sym_control_persist_token1] = ACTIONS(2424),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2424),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2424),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2424),
    [aux_sym_escape_char_token1] = ACTIONS(2424),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2424),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2424),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2424),
    [aux_sym_forward_agent_token1] = ACTIONS(2424),
    [aux_sym_forward_x11_token1] = ACTIONS(2426),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2424),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2424),
    [aux_sym_gateway_ports_token1] = ACTIONS(2424),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2424),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2424),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2424),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2424),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2424),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2424),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2424),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2424),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2424),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2424),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2424),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2424),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2424),
    [aux_sym_host_key_alias_token1] = ACTIONS(2424),
    [aux_sym_hostname_token1] = ACTIONS(2424),
    [aux_sym_identities_only_token1] = ACTIONS(2424),
    [aux_sym_identity_agent_token1] = ACTIONS(2424),
    [aux_sym_identity_file_token1] = ACTIONS(2424),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2424),
    [aux_sym_include_token1] = ACTIONS(2424),
    [aux_sym_ip_qos_token1] = ACTIONS(2424),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2424),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2424),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2424),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2424),
    [aux_sym_local_command_token1] = ACTIONS(2424),
    [aux_sym_local_forward_token1] = ACTIONS(2424),
    [aux_sym_log_level_token1] = ACTIONS(2424),
    [aux_sym_log_verbose_token1] = ACTIONS(2424),
    [aux_sym_macs_token1] = ACTIONS(2424),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2424),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2424),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2424),
    [aux_sym_password_authentication_token1] = ACTIONS(2424),
    [aux_sym_permit_local_command_token1] = ACTIONS(2424),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2424),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2424),
    [aux_sym_port_token1] = ACTIONS(2424),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2424),
    [aux_sym_protocol_token1] = ACTIONS(2424),
    [aux_sym_proxy_command_token1] = ACTIONS(2424),
    [aux_sym_proxy_jump_token1] = ACTIONS(2424),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2424),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2424),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2424),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2424),
    [aux_sym_rekey_limit_token1] = ACTIONS(2424),
    [aux_sym_remote_command_token1] = ACTIONS(2424),
    [aux_sym_remote_forward_token1] = ACTIONS(2424),
    [aux_sym_request_tty_token1] = ACTIONS(2424),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2424),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2424),
    [aux_sym_security_key_provider_token1] = ACTIONS(2424),
    [aux_sym_send_env_token1] = ACTIONS(2424),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2424),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2424),
    [aux_sym_session_type_token1] = ACTIONS(2424),
    [aux_sym_set_env_token1] = ACTIONS(2424),
    [aux_sym_stdin_null_token1] = ACTIONS(2424),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2424),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2424),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2424),
    [aux_sym_syslog_facility_token1] = ACTIONS(2424),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2424),
    [aux_sym_keep_alive_token1] = ACTIONS(2424),
    [aux_sym_tag_token1] = ACTIONS(2424),
    [aux_sym_tunnel_token1] = ACTIONS(2426),
    [aux_sym_tunnel_device_token1] = ACTIONS(2424),
    [aux_sym_update_host_keys_token1] = ACTIONS(2424),
    [aux_sym_use_keychain_token1] = ACTIONS(2424),
    [aux_sym_use_roaming_token1] = ACTIONS(2424),
    [aux_sym_user_token1] = ACTIONS(2426),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2424),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2424),
    [aux_sym_version_addendum_token1] = ACTIONS(2424),
    [aux_sym_visual_host_key_token1] = ACTIONS(2424),
    [aux_sym_xauth_location_token1] = ACTIONS(2424),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [aux_sym_match_token1] = ACTIONS(2430),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2430),
    [aux_sym_address_family_token1] = ACTIONS(2430),
    [aux_sym_batch_mode_token1] = ACTIONS(2430),
    [aux_sym_bind_address_token1] = ACTIONS(2430),
    [aux_sym_bind_interface_token1] = ACTIONS(2430),
    [aux_sym_canonical_domains_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2430),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2430),
    [aux_sym_certificate_file_token1] = ACTIONS(2430),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2430),
    [aux_sym_channel_timeout_token1] = ACTIONS(2430),
    [aux_sym_check_host_ip_token1] = ACTIONS(2430),
    [aux_sym_ciphers_token1] = ACTIONS(2430),
    [aux_sym_cipher_token1] = ACTIONS(2432),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2430),
    [aux_sym_compression_token1] = ACTIONS(2430),
    [aux_sym_connection_attempts_token1] = ACTIONS(2430),
    [aux_sym_connect_timeout_token1] = ACTIONS(2430),
    [aux_sym_control_master_token1] = ACTIONS(2430),
    [aux_sym_control_path_token1] = ACTIONS(2430),
    [aux_sym_control_persist_token1] = ACTIONS(2430),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2430),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2430),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2430),
    [aux_sym_escape_char_token1] = ACTIONS(2430),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2430),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2430),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2430),
    [aux_sym_forward_agent_token1] = ACTIONS(2430),
    [aux_sym_forward_x11_token1] = ACTIONS(2432),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2430),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2430),
    [aux_sym_gateway_ports_token1] = ACTIONS(2430),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2430),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2430),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2430),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2430),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2430),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2430),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2430),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2430),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2430),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2430),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2430),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2430),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2430),
    [aux_sym_host_key_alias_token1] = ACTIONS(2430),
    [aux_sym_hostname_token1] = ACTIONS(2430),
    [aux_sym_identities_only_token1] = ACTIONS(2430),
    [aux_sym_identity_agent_token1] = ACTIONS(2430),
    [aux_sym_identity_file_token1] = ACTIONS(2430),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2430),
    [aux_sym_include_token1] = ACTIONS(2430),
    [aux_sym_ip_qos_token1] = ACTIONS(2430),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2430),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2430),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2430),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2430),
    [aux_sym_local_command_token1] = ACTIONS(2430),
    [aux_sym_local_forward_token1] = ACTIONS(2430),
    [aux_sym_log_level_token1] = ACTIONS(2430),
    [aux_sym_log_verbose_token1] = ACTIONS(2430),
    [aux_sym_macs_token1] = ACTIONS(2430),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2430),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2430),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2430),
    [aux_sym_password_authentication_token1] = ACTIONS(2430),
    [aux_sym_permit_local_command_token1] = ACTIONS(2430),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2430),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2430),
    [aux_sym_port_token1] = ACTIONS(2430),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2430),
    [aux_sym_protocol_token1] = ACTIONS(2430),
    [aux_sym_proxy_command_token1] = ACTIONS(2430),
    [aux_sym_proxy_jump_token1] = ACTIONS(2430),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2430),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2430),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2430),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2430),
    [aux_sym_rekey_limit_token1] = ACTIONS(2430),
    [aux_sym_remote_command_token1] = ACTIONS(2430),
    [aux_sym_remote_forward_token1] = ACTIONS(2430),
    [aux_sym_request_tty_token1] = ACTIONS(2430),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2430),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2430),
    [aux_sym_security_key_provider_token1] = ACTIONS(2430),
    [aux_sym_send_env_token1] = ACTIONS(2430),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2430),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2430),
    [aux_sym_session_type_token1] = ACTIONS(2430),
    [aux_sym_set_env_token1] = ACTIONS(2430),
    [aux_sym_stdin_null_token1] = ACTIONS(2430),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2430),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2430),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2430),
    [aux_sym_syslog_facility_token1] = ACTIONS(2430),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2430),
    [aux_sym_keep_alive_token1] = ACTIONS(2430),
    [aux_sym_tag_token1] = ACTIONS(2430),
    [aux_sym_tunnel_token1] = ACTIONS(2432),
    [aux_sym_tunnel_device_token1] = ACTIONS(2430),
    [aux_sym_update_host_keys_token1] = ACTIONS(2430),
    [aux_sym_use_keychain_token1] = ACTIONS(2430),
    [aux_sym_use_roaming_token1] = ACTIONS(2430),
    [aux_sym_user_token1] = ACTIONS(2432),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2430),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2430),
    [aux_sym_version_addendum_token1] = ACTIONS(2430),
    [aux_sym_visual_host_key_token1] = ACTIONS(2430),
    [aux_sym_xauth_location_token1] = ACTIONS(2430),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [aux_sym_match_token1] = ACTIONS(2436),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2436),
    [aux_sym_address_family_token1] = ACTIONS(2436),
    [aux_sym_batch_mode_token1] = ACTIONS(2436),
    [aux_sym_bind_address_token1] = ACTIONS(2436),
    [aux_sym_bind_interface_token1] = ACTIONS(2436),
    [aux_sym_canonical_domains_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2436),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2436),
    [aux_sym_certificate_file_token1] = ACTIONS(2436),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2436),
    [aux_sym_channel_timeout_token1] = ACTIONS(2436),
    [aux_sym_check_host_ip_token1] = ACTIONS(2436),
    [aux_sym_ciphers_token1] = ACTIONS(2436),
    [aux_sym_cipher_token1] = ACTIONS(2438),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2436),
    [aux_sym_compression_token1] = ACTIONS(2436),
    [aux_sym_connection_attempts_token1] = ACTIONS(2436),
    [aux_sym_connect_timeout_token1] = ACTIONS(2436),
    [aux_sym_control_master_token1] = ACTIONS(2436),
    [aux_sym_control_path_token1] = ACTIONS(2436),
    [aux_sym_control_persist_token1] = ACTIONS(2436),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2436),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2436),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2436),
    [aux_sym_escape_char_token1] = ACTIONS(2436),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2436),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2436),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2436),
    [aux_sym_forward_agent_token1] = ACTIONS(2436),
    [aux_sym_forward_x11_token1] = ACTIONS(2438),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2436),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2436),
    [aux_sym_gateway_ports_token1] = ACTIONS(2436),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2436),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2436),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2436),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2436),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2436),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2436),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2436),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2436),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2436),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2436),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2436),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2436),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2436),
    [aux_sym_host_key_alias_token1] = ACTIONS(2436),
    [aux_sym_hostname_token1] = ACTIONS(2436),
    [aux_sym_identities_only_token1] = ACTIONS(2436),
    [aux_sym_identity_agent_token1] = ACTIONS(2436),
    [aux_sym_identity_file_token1] = ACTIONS(2436),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2436),
    [aux_sym_include_token1] = ACTIONS(2436),
    [aux_sym_ip_qos_token1] = ACTIONS(2436),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2436),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2436),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2436),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2436),
    [aux_sym_local_command_token1] = ACTIONS(2436),
    [aux_sym_local_forward_token1] = ACTIONS(2436),
    [aux_sym_log_level_token1] = ACTIONS(2436),
    [aux_sym_log_verbose_token1] = ACTIONS(2436),
    [aux_sym_macs_token1] = ACTIONS(2436),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2436),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2436),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2436),
    [aux_sym_password_authentication_token1] = ACTIONS(2436),
    [aux_sym_permit_local_command_token1] = ACTIONS(2436),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2436),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2436),
    [aux_sym_port_token1] = ACTIONS(2436),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2436),
    [aux_sym_protocol_token1] = ACTIONS(2436),
    [aux_sym_proxy_command_token1] = ACTIONS(2436),
    [aux_sym_proxy_jump_token1] = ACTIONS(2436),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2436),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2436),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2436),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2436),
    [aux_sym_rekey_limit_token1] = ACTIONS(2436),
    [aux_sym_remote_command_token1] = ACTIONS(2436),
    [aux_sym_remote_forward_token1] = ACTIONS(2436),
    [aux_sym_request_tty_token1] = ACTIONS(2436),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2436),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2436),
    [aux_sym_security_key_provider_token1] = ACTIONS(2436),
    [aux_sym_send_env_token1] = ACTIONS(2436),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2436),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2436),
    [aux_sym_session_type_token1] = ACTIONS(2436),
    [aux_sym_set_env_token1] = ACTIONS(2436),
    [aux_sym_stdin_null_token1] = ACTIONS(2436),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2436),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2436),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2436),
    [aux_sym_syslog_facility_token1] = ACTIONS(2436),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2436),
    [aux_sym_keep_alive_token1] = ACTIONS(2436),
    [aux_sym_tag_token1] = ACTIONS(2436),
    [aux_sym_tunnel_token1] = ACTIONS(2438),
    [aux_sym_tunnel_device_token1] = ACTIONS(2436),
    [aux_sym_update_host_keys_token1] = ACTIONS(2436),
    [aux_sym_use_keychain_token1] = ACTIONS(2436),
    [aux_sym_use_roaming_token1] = ACTIONS(2436),
    [aux_sym_user_token1] = ACTIONS(2438),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2436),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2436),
    [aux_sym_version_addendum_token1] = ACTIONS(2436),
    [aux_sym_visual_host_key_token1] = ACTIONS(2436),
    [aux_sym_xauth_location_token1] = ACTIONS(2436),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [aux_sym_match_token1] = ACTIONS(2442),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2442),
    [aux_sym_address_family_token1] = ACTIONS(2442),
    [aux_sym_batch_mode_token1] = ACTIONS(2442),
    [aux_sym_bind_address_token1] = ACTIONS(2442),
    [aux_sym_bind_interface_token1] = ACTIONS(2442),
    [aux_sym_canonical_domains_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2442),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2442),
    [aux_sym_certificate_file_token1] = ACTIONS(2442),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2442),
    [aux_sym_channel_timeout_token1] = ACTIONS(2442),
    [aux_sym_check_host_ip_token1] = ACTIONS(2442),
    [aux_sym_ciphers_token1] = ACTIONS(2442),
    [aux_sym_cipher_token1] = ACTIONS(2444),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2442),
    [aux_sym_compression_token1] = ACTIONS(2442),
    [aux_sym_connection_attempts_token1] = ACTIONS(2442),
    [aux_sym_connect_timeout_token1] = ACTIONS(2442),
    [aux_sym_control_master_token1] = ACTIONS(2442),
    [aux_sym_control_path_token1] = ACTIONS(2442),
    [aux_sym_control_persist_token1] = ACTIONS(2442),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2442),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2442),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2442),
    [aux_sym_escape_char_token1] = ACTIONS(2442),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2442),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2442),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2442),
    [aux_sym_forward_agent_token1] = ACTIONS(2442),
    [aux_sym_forward_x11_token1] = ACTIONS(2444),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2442),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2442),
    [aux_sym_gateway_ports_token1] = ACTIONS(2442),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2442),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2442),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2442),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2442),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2442),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2442),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2442),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2442),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2442),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2442),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2442),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2442),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2442),
    [aux_sym_host_key_alias_token1] = ACTIONS(2442),
    [aux_sym_hostname_token1] = ACTIONS(2442),
    [aux_sym_identities_only_token1] = ACTIONS(2442),
    [aux_sym_identity_agent_token1] = ACTIONS(2442),
    [aux_sym_identity_file_token1] = ACTIONS(2442),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2442),
    [aux_sym_include_token1] = ACTIONS(2442),
    [aux_sym_ip_qos_token1] = ACTIONS(2442),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2442),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2442),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2442),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2442),
    [aux_sym_local_command_token1] = ACTIONS(2442),
    [aux_sym_local_forward_token1] = ACTIONS(2442),
    [aux_sym_log_level_token1] = ACTIONS(2442),
    [aux_sym_log_verbose_token1] = ACTIONS(2442),
    [aux_sym_macs_token1] = ACTIONS(2442),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2442),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2442),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2442),
    [aux_sym_password_authentication_token1] = ACTIONS(2442),
    [aux_sym_permit_local_command_token1] = ACTIONS(2442),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2442),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2442),
    [aux_sym_port_token1] = ACTIONS(2442),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2442),
    [aux_sym_protocol_token1] = ACTIONS(2442),
    [aux_sym_proxy_command_token1] = ACTIONS(2442),
    [aux_sym_proxy_jump_token1] = ACTIONS(2442),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2442),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2442),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2442),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2442),
    [aux_sym_rekey_limit_token1] = ACTIONS(2442),
    [aux_sym_remote_command_token1] = ACTIONS(2442),
    [aux_sym_remote_forward_token1] = ACTIONS(2442),
    [aux_sym_request_tty_token1] = ACTIONS(2442),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2442),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2442),
    [aux_sym_security_key_provider_token1] = ACTIONS(2442),
    [aux_sym_send_env_token1] = ACTIONS(2442),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2442),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2442),
    [aux_sym_session_type_token1] = ACTIONS(2442),
    [aux_sym_set_env_token1] = ACTIONS(2442),
    [aux_sym_stdin_null_token1] = ACTIONS(2442),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2442),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2442),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2442),
    [aux_sym_syslog_facility_token1] = ACTIONS(2442),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2442),
    [aux_sym_keep_alive_token1] = ACTIONS(2442),
    [aux_sym_tag_token1] = ACTIONS(2442),
    [aux_sym_tunnel_token1] = ACTIONS(2444),
    [aux_sym_tunnel_device_token1] = ACTIONS(2442),
    [aux_sym_update_host_keys_token1] = ACTIONS(2442),
    [aux_sym_use_keychain_token1] = ACTIONS(2442),
    [aux_sym_use_roaming_token1] = ACTIONS(2442),
    [aux_sym_user_token1] = ACTIONS(2444),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2442),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2442),
    [aux_sym_version_addendum_token1] = ACTIONS(2442),
    [aux_sym_visual_host_key_token1] = ACTIONS(2442),
    [aux_sym_xauth_location_token1] = ACTIONS(2442),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [aux_sym_match_token1] = ACTIONS(2448),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2448),
    [aux_sym_address_family_token1] = ACTIONS(2448),
    [aux_sym_batch_mode_token1] = ACTIONS(2448),
    [aux_sym_bind_address_token1] = ACTIONS(2448),
    [aux_sym_bind_interface_token1] = ACTIONS(2448),
    [aux_sym_canonical_domains_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2448),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2448),
    [aux_sym_certificate_file_token1] = ACTIONS(2448),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2448),
    [aux_sym_channel_timeout_token1] = ACTIONS(2448),
    [aux_sym_check_host_ip_token1] = ACTIONS(2448),
    [aux_sym_ciphers_token1] = ACTIONS(2448),
    [aux_sym_cipher_token1] = ACTIONS(2450),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2448),
    [aux_sym_compression_token1] = ACTIONS(2448),
    [aux_sym_connection_attempts_token1] = ACTIONS(2448),
    [aux_sym_connect_timeout_token1] = ACTIONS(2448),
    [aux_sym_control_master_token1] = ACTIONS(2448),
    [aux_sym_control_path_token1] = ACTIONS(2448),
    [aux_sym_control_persist_token1] = ACTIONS(2448),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2448),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2448),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2448),
    [aux_sym_escape_char_token1] = ACTIONS(2448),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2448),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2448),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2448),
    [aux_sym_forward_agent_token1] = ACTIONS(2448),
    [aux_sym_forward_x11_token1] = ACTIONS(2450),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2448),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2448),
    [aux_sym_gateway_ports_token1] = ACTIONS(2448),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2448),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2448),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2448),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2448),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2448),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2448),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2448),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2448),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2448),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2448),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2448),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2448),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2448),
    [aux_sym_host_key_alias_token1] = ACTIONS(2448),
    [aux_sym_hostname_token1] = ACTIONS(2448),
    [aux_sym_identities_only_token1] = ACTIONS(2448),
    [aux_sym_identity_agent_token1] = ACTIONS(2448),
    [aux_sym_identity_file_token1] = ACTIONS(2448),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2448),
    [aux_sym_include_token1] = ACTIONS(2448),
    [aux_sym_ip_qos_token1] = ACTIONS(2448),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2448),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2448),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2448),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2448),
    [aux_sym_local_command_token1] = ACTIONS(2448),
    [aux_sym_local_forward_token1] = ACTIONS(2448),
    [aux_sym_log_level_token1] = ACTIONS(2448),
    [aux_sym_log_verbose_token1] = ACTIONS(2448),
    [aux_sym_macs_token1] = ACTIONS(2448),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2448),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2448),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2448),
    [aux_sym_password_authentication_token1] = ACTIONS(2448),
    [aux_sym_permit_local_command_token1] = ACTIONS(2448),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2448),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2448),
    [aux_sym_port_token1] = ACTIONS(2448),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2448),
    [aux_sym_protocol_token1] = ACTIONS(2448),
    [aux_sym_proxy_command_token1] = ACTIONS(2448),
    [aux_sym_proxy_jump_token1] = ACTIONS(2448),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2448),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2448),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2448),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2448),
    [aux_sym_rekey_limit_token1] = ACTIONS(2448),
    [aux_sym_remote_command_token1] = ACTIONS(2448),
    [aux_sym_remote_forward_token1] = ACTIONS(2448),
    [aux_sym_request_tty_token1] = ACTIONS(2448),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2448),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2448),
    [aux_sym_security_key_provider_token1] = ACTIONS(2448),
    [aux_sym_send_env_token1] = ACTIONS(2448),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2448),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2448),
    [aux_sym_session_type_token1] = ACTIONS(2448),
    [aux_sym_set_env_token1] = ACTIONS(2448),
    [aux_sym_stdin_null_token1] = ACTIONS(2448),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2448),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2448),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2448),
    [aux_sym_syslog_facility_token1] = ACTIONS(2448),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2448),
    [aux_sym_keep_alive_token1] = ACTIONS(2448),
    [aux_sym_tag_token1] = ACTIONS(2448),
    [aux_sym_tunnel_token1] = ACTIONS(2450),
    [aux_sym_tunnel_device_token1] = ACTIONS(2448),
    [aux_sym_update_host_keys_token1] = ACTIONS(2448),
    [aux_sym_use_keychain_token1] = ACTIONS(2448),
    [aux_sym_use_roaming_token1] = ACTIONS(2448),
    [aux_sym_user_token1] = ACTIONS(2450),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2448),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2448),
    [aux_sym_version_addendum_token1] = ACTIONS(2448),
    [aux_sym_visual_host_key_token1] = ACTIONS(2448),
    [aux_sym_xauth_location_token1] = ACTIONS(2448),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [aux_sym_match_token1] = ACTIONS(2454),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2454),
    [aux_sym_address_family_token1] = ACTIONS(2454),
    [aux_sym_batch_mode_token1] = ACTIONS(2454),
    [aux_sym_bind_address_token1] = ACTIONS(2454),
    [aux_sym_bind_interface_token1] = ACTIONS(2454),
    [aux_sym_canonical_domains_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2454),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2454),
    [aux_sym_certificate_file_token1] = ACTIONS(2454),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2454),
    [aux_sym_channel_timeout_token1] = ACTIONS(2454),
    [aux_sym_check_host_ip_token1] = ACTIONS(2454),
    [aux_sym_ciphers_token1] = ACTIONS(2454),
    [aux_sym_cipher_token1] = ACTIONS(2456),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2454),
    [aux_sym_compression_token1] = ACTIONS(2454),
    [aux_sym_connection_attempts_token1] = ACTIONS(2454),
    [aux_sym_connect_timeout_token1] = ACTIONS(2454),
    [aux_sym_control_master_token1] = ACTIONS(2454),
    [aux_sym_control_path_token1] = ACTIONS(2454),
    [aux_sym_control_persist_token1] = ACTIONS(2454),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2454),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2454),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2454),
    [aux_sym_escape_char_token1] = ACTIONS(2454),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2454),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2454),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2454),
    [aux_sym_forward_agent_token1] = ACTIONS(2454),
    [aux_sym_forward_x11_token1] = ACTIONS(2456),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2454),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2454),
    [aux_sym_gateway_ports_token1] = ACTIONS(2454),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2454),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2454),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2454),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2454),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2454),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2454),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2454),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2454),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2454),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2454),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2454),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2454),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2454),
    [aux_sym_host_key_alias_token1] = ACTIONS(2454),
    [aux_sym_hostname_token1] = ACTIONS(2454),
    [aux_sym_identities_only_token1] = ACTIONS(2454),
    [aux_sym_identity_agent_token1] = ACTIONS(2454),
    [aux_sym_identity_file_token1] = ACTIONS(2454),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2454),
    [aux_sym_include_token1] = ACTIONS(2454),
    [aux_sym_ip_qos_token1] = ACTIONS(2454),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2454),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2454),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2454),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2454),
    [aux_sym_local_command_token1] = ACTIONS(2454),
    [aux_sym_local_forward_token1] = ACTIONS(2454),
    [aux_sym_log_level_token1] = ACTIONS(2454),
    [aux_sym_log_verbose_token1] = ACTIONS(2454),
    [aux_sym_macs_token1] = ACTIONS(2454),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2454),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2454),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2454),
    [aux_sym_password_authentication_token1] = ACTIONS(2454),
    [aux_sym_permit_local_command_token1] = ACTIONS(2454),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2454),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2454),
    [aux_sym_port_token1] = ACTIONS(2454),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2454),
    [aux_sym_protocol_token1] = ACTIONS(2454),
    [aux_sym_proxy_command_token1] = ACTIONS(2454),
    [aux_sym_proxy_jump_token1] = ACTIONS(2454),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2454),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2454),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2454),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2454),
    [aux_sym_rekey_limit_token1] = ACTIONS(2454),
    [aux_sym_remote_command_token1] = ACTIONS(2454),
    [aux_sym_remote_forward_token1] = ACTIONS(2454),
    [aux_sym_request_tty_token1] = ACTIONS(2454),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2454),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2454),
    [aux_sym_security_key_provider_token1] = ACTIONS(2454),
    [aux_sym_send_env_token1] = ACTIONS(2454),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2454),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2454),
    [aux_sym_session_type_token1] = ACTIONS(2454),
    [aux_sym_set_env_token1] = ACTIONS(2454),
    [aux_sym_stdin_null_token1] = ACTIONS(2454),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2454),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2454),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2454),
    [aux_sym_syslog_facility_token1] = ACTIONS(2454),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2454),
    [aux_sym_keep_alive_token1] = ACTIONS(2454),
    [aux_sym_tag_token1] = ACTIONS(2454),
    [aux_sym_tunnel_token1] = ACTIONS(2456),
    [aux_sym_tunnel_device_token1] = ACTIONS(2454),
    [aux_sym_update_host_keys_token1] = ACTIONS(2454),
    [aux_sym_use_keychain_token1] = ACTIONS(2454),
    [aux_sym_use_roaming_token1] = ACTIONS(2454),
    [aux_sym_user_token1] = ACTIONS(2456),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2454),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2454),
    [aux_sym_version_addendum_token1] = ACTIONS(2454),
    [aux_sym_visual_host_key_token1] = ACTIONS(2454),
    [aux_sym_xauth_location_token1] = ACTIONS(2454),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [aux_sym_match_token1] = ACTIONS(2460),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2460),
    [aux_sym_address_family_token1] = ACTIONS(2460),
    [aux_sym_batch_mode_token1] = ACTIONS(2460),
    [aux_sym_bind_address_token1] = ACTIONS(2460),
    [aux_sym_bind_interface_token1] = ACTIONS(2460),
    [aux_sym_canonical_domains_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2460),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2460),
    [aux_sym_certificate_file_token1] = ACTIONS(2460),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2460),
    [aux_sym_channel_timeout_token1] = ACTIONS(2460),
    [aux_sym_check_host_ip_token1] = ACTIONS(2460),
    [aux_sym_ciphers_token1] = ACTIONS(2460),
    [aux_sym_cipher_token1] = ACTIONS(2462),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2460),
    [aux_sym_compression_token1] = ACTIONS(2460),
    [aux_sym_connection_attempts_token1] = ACTIONS(2460),
    [aux_sym_connect_timeout_token1] = ACTIONS(2460),
    [aux_sym_control_master_token1] = ACTIONS(2460),
    [aux_sym_control_path_token1] = ACTIONS(2460),
    [aux_sym_control_persist_token1] = ACTIONS(2460),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2460),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2460),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2460),
    [aux_sym_escape_char_token1] = ACTIONS(2460),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2460),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2460),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2460),
    [aux_sym_forward_agent_token1] = ACTIONS(2460),
    [aux_sym_forward_x11_token1] = ACTIONS(2462),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2460),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2460),
    [aux_sym_gateway_ports_token1] = ACTIONS(2460),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2460),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2460),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2460),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2460),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2460),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2460),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2460),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2460),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2460),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2460),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2460),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2460),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2460),
    [aux_sym_host_key_alias_token1] = ACTIONS(2460),
    [aux_sym_hostname_token1] = ACTIONS(2460),
    [aux_sym_identities_only_token1] = ACTIONS(2460),
    [aux_sym_identity_agent_token1] = ACTIONS(2460),
    [aux_sym_identity_file_token1] = ACTIONS(2460),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2460),
    [aux_sym_include_token1] = ACTIONS(2460),
    [aux_sym_ip_qos_token1] = ACTIONS(2460),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2460),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2460),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2460),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2460),
    [aux_sym_local_command_token1] = ACTIONS(2460),
    [aux_sym_local_forward_token1] = ACTIONS(2460),
    [aux_sym_log_level_token1] = ACTIONS(2460),
    [aux_sym_log_verbose_token1] = ACTIONS(2460),
    [aux_sym_macs_token1] = ACTIONS(2460),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2460),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2460),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2460),
    [aux_sym_password_authentication_token1] = ACTIONS(2460),
    [aux_sym_permit_local_command_token1] = ACTIONS(2460),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2460),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2460),
    [aux_sym_port_token1] = ACTIONS(2460),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2460),
    [aux_sym_protocol_token1] = ACTIONS(2460),
    [aux_sym_proxy_command_token1] = ACTIONS(2460),
    [aux_sym_proxy_jump_token1] = ACTIONS(2460),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2460),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2460),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2460),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2460),
    [aux_sym_rekey_limit_token1] = ACTIONS(2460),
    [aux_sym_remote_command_token1] = ACTIONS(2460),
    [aux_sym_remote_forward_token1] = ACTIONS(2460),
    [aux_sym_request_tty_token1] = ACTIONS(2460),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2460),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2460),
    [aux_sym_security_key_provider_token1] = ACTIONS(2460),
    [aux_sym_send_env_token1] = ACTIONS(2460),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2460),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2460),
    [aux_sym_session_type_token1] = ACTIONS(2460),
    [aux_sym_set_env_token1] = ACTIONS(2460),
    [aux_sym_stdin_null_token1] = ACTIONS(2460),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2460),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2460),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2460),
    [aux_sym_syslog_facility_token1] = ACTIONS(2460),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2460),
    [aux_sym_keep_alive_token1] = ACTIONS(2460),
    [aux_sym_tag_token1] = ACTIONS(2460),
    [aux_sym_tunnel_token1] = ACTIONS(2462),
    [aux_sym_tunnel_device_token1] = ACTIONS(2460),
    [aux_sym_update_host_keys_token1] = ACTIONS(2460),
    [aux_sym_use_keychain_token1] = ACTIONS(2460),
    [aux_sym_use_roaming_token1] = ACTIONS(2460),
    [aux_sym_user_token1] = ACTIONS(2462),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2460),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2460),
    [aux_sym_version_addendum_token1] = ACTIONS(2460),
    [aux_sym_visual_host_key_token1] = ACTIONS(2460),
    [aux_sym_xauth_location_token1] = ACTIONS(2460),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [aux_sym_match_token1] = ACTIONS(2466),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2466),
    [aux_sym_address_family_token1] = ACTIONS(2466),
    [aux_sym_batch_mode_token1] = ACTIONS(2466),
    [aux_sym_bind_address_token1] = ACTIONS(2466),
    [aux_sym_bind_interface_token1] = ACTIONS(2466),
    [aux_sym_canonical_domains_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2466),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2466),
    [aux_sym_certificate_file_token1] = ACTIONS(2466),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2466),
    [aux_sym_channel_timeout_token1] = ACTIONS(2466),
    [aux_sym_check_host_ip_token1] = ACTIONS(2466),
    [aux_sym_ciphers_token1] = ACTIONS(2466),
    [aux_sym_cipher_token1] = ACTIONS(2468),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2466),
    [aux_sym_compression_token1] = ACTIONS(2466),
    [aux_sym_connection_attempts_token1] = ACTIONS(2466),
    [aux_sym_connect_timeout_token1] = ACTIONS(2466),
    [aux_sym_control_master_token1] = ACTIONS(2466),
    [aux_sym_control_path_token1] = ACTIONS(2466),
    [aux_sym_control_persist_token1] = ACTIONS(2466),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2466),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2466),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2466),
    [aux_sym_escape_char_token1] = ACTIONS(2466),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2466),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2466),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2466),
    [aux_sym_forward_agent_token1] = ACTIONS(2466),
    [aux_sym_forward_x11_token1] = ACTIONS(2468),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2466),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2466),
    [aux_sym_gateway_ports_token1] = ACTIONS(2466),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2466),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2466),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2466),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2466),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2466),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2466),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2466),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2466),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2466),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2466),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2466),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2466),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2466),
    [aux_sym_host_key_alias_token1] = ACTIONS(2466),
    [aux_sym_hostname_token1] = ACTIONS(2466),
    [aux_sym_identities_only_token1] = ACTIONS(2466),
    [aux_sym_identity_agent_token1] = ACTIONS(2466),
    [aux_sym_identity_file_token1] = ACTIONS(2466),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2466),
    [aux_sym_include_token1] = ACTIONS(2466),
    [aux_sym_ip_qos_token1] = ACTIONS(2466),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2466),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2466),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2466),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2466),
    [aux_sym_local_command_token1] = ACTIONS(2466),
    [aux_sym_local_forward_token1] = ACTIONS(2466),
    [aux_sym_log_level_token1] = ACTIONS(2466),
    [aux_sym_log_verbose_token1] = ACTIONS(2466),
    [aux_sym_macs_token1] = ACTIONS(2466),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2466),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2466),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2466),
    [aux_sym_password_authentication_token1] = ACTIONS(2466),
    [aux_sym_permit_local_command_token1] = ACTIONS(2466),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2466),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2466),
    [aux_sym_port_token1] = ACTIONS(2466),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2466),
    [aux_sym_protocol_token1] = ACTIONS(2466),
    [aux_sym_proxy_command_token1] = ACTIONS(2466),
    [aux_sym_proxy_jump_token1] = ACTIONS(2466),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2466),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2466),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2466),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2466),
    [aux_sym_rekey_limit_token1] = ACTIONS(2466),
    [aux_sym_remote_command_token1] = ACTIONS(2466),
    [aux_sym_remote_forward_token1] = ACTIONS(2466),
    [aux_sym_request_tty_token1] = ACTIONS(2466),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2466),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2466),
    [aux_sym_security_key_provider_token1] = ACTIONS(2466),
    [aux_sym_send_env_token1] = ACTIONS(2466),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2466),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2466),
    [aux_sym_session_type_token1] = ACTIONS(2466),
    [aux_sym_set_env_token1] = ACTIONS(2466),
    [aux_sym_stdin_null_token1] = ACTIONS(2466),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2466),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2466),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2466),
    [aux_sym_syslog_facility_token1] = ACTIONS(2466),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2466),
    [aux_sym_keep_alive_token1] = ACTIONS(2466),
    [aux_sym_tag_token1] = ACTIONS(2466),
    [aux_sym_tunnel_token1] = ACTIONS(2468),
    [aux_sym_tunnel_device_token1] = ACTIONS(2466),
    [aux_sym_update_host_keys_token1] = ACTIONS(2466),
    [aux_sym_use_keychain_token1] = ACTIONS(2466),
    [aux_sym_use_roaming_token1] = ACTIONS(2466),
    [aux_sym_user_token1] = ACTIONS(2468),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2466),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2466),
    [aux_sym_version_addendum_token1] = ACTIONS(2466),
    [aux_sym_visual_host_key_token1] = ACTIONS(2466),
    [aux_sym_xauth_location_token1] = ACTIONS(2466),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [aux_sym_match_token1] = ACTIONS(2472),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2472),
    [aux_sym_address_family_token1] = ACTIONS(2472),
    [aux_sym_batch_mode_token1] = ACTIONS(2472),
    [aux_sym_bind_address_token1] = ACTIONS(2472),
    [aux_sym_bind_interface_token1] = ACTIONS(2472),
    [aux_sym_canonical_domains_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2472),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2472),
    [aux_sym_certificate_file_token1] = ACTIONS(2472),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2472),
    [aux_sym_channel_timeout_token1] = ACTIONS(2472),
    [aux_sym_check_host_ip_token1] = ACTIONS(2472),
    [aux_sym_ciphers_token1] = ACTIONS(2472),
    [aux_sym_cipher_token1] = ACTIONS(2474),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2472),
    [aux_sym_compression_token1] = ACTIONS(2472),
    [aux_sym_connection_attempts_token1] = ACTIONS(2472),
    [aux_sym_connect_timeout_token1] = ACTIONS(2472),
    [aux_sym_control_master_token1] = ACTIONS(2472),
    [aux_sym_control_path_token1] = ACTIONS(2472),
    [aux_sym_control_persist_token1] = ACTIONS(2472),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2472),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2472),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2472),
    [aux_sym_escape_char_token1] = ACTIONS(2472),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2472),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2472),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2472),
    [aux_sym_forward_agent_token1] = ACTIONS(2472),
    [aux_sym_forward_x11_token1] = ACTIONS(2474),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2472),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2472),
    [aux_sym_gateway_ports_token1] = ACTIONS(2472),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2472),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2472),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2472),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2472),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2472),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2472),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2472),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2472),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2472),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2472),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2472),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2472),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2472),
    [aux_sym_host_key_alias_token1] = ACTIONS(2472),
    [aux_sym_hostname_token1] = ACTIONS(2472),
    [aux_sym_identities_only_token1] = ACTIONS(2472),
    [aux_sym_identity_agent_token1] = ACTIONS(2472),
    [aux_sym_identity_file_token1] = ACTIONS(2472),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2472),
    [aux_sym_include_token1] = ACTIONS(2472),
    [aux_sym_ip_qos_token1] = ACTIONS(2472),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2472),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2472),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2472),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2472),
    [aux_sym_local_command_token1] = ACTIONS(2472),
    [aux_sym_local_forward_token1] = ACTIONS(2472),
    [aux_sym_log_level_token1] = ACTIONS(2472),
    [aux_sym_log_verbose_token1] = ACTIONS(2472),
    [aux_sym_macs_token1] = ACTIONS(2472),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2472),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2472),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2472),
    [aux_sym_password_authentication_token1] = ACTIONS(2472),
    [aux_sym_permit_local_command_token1] = ACTIONS(2472),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2472),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2472),
    [aux_sym_port_token1] = ACTIONS(2472),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2472),
    [aux_sym_protocol_token1] = ACTIONS(2472),
    [aux_sym_proxy_command_token1] = ACTIONS(2472),
    [aux_sym_proxy_jump_token1] = ACTIONS(2472),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2472),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2472),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2472),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2472),
    [aux_sym_rekey_limit_token1] = ACTIONS(2472),
    [aux_sym_remote_command_token1] = ACTIONS(2472),
    [aux_sym_remote_forward_token1] = ACTIONS(2472),
    [aux_sym_request_tty_token1] = ACTIONS(2472),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2472),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2472),
    [aux_sym_security_key_provider_token1] = ACTIONS(2472),
    [aux_sym_send_env_token1] = ACTIONS(2472),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2472),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2472),
    [aux_sym_session_type_token1] = ACTIONS(2472),
    [aux_sym_set_env_token1] = ACTIONS(2472),
    [aux_sym_stdin_null_token1] = ACTIONS(2472),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2472),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2472),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2472),
    [aux_sym_syslog_facility_token1] = ACTIONS(2472),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2472),
    [aux_sym_keep_alive_token1] = ACTIONS(2472),
    [aux_sym_tag_token1] = ACTIONS(2472),
    [aux_sym_tunnel_token1] = ACTIONS(2474),
    [aux_sym_tunnel_device_token1] = ACTIONS(2472),
    [aux_sym_update_host_keys_token1] = ACTIONS(2472),
    [aux_sym_use_keychain_token1] = ACTIONS(2472),
    [aux_sym_use_roaming_token1] = ACTIONS(2472),
    [aux_sym_user_token1] = ACTIONS(2474),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2472),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2472),
    [aux_sym_version_addendum_token1] = ACTIONS(2472),
    [aux_sym_visual_host_key_token1] = ACTIONS(2472),
    [aux_sym_xauth_location_token1] = ACTIONS(2472),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2482),
    [aux_sym_match_token1] = ACTIONS(2478),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2478),
    [aux_sym_address_family_token1] = ACTIONS(2478),
    [aux_sym_batch_mode_token1] = ACTIONS(2478),
    [aux_sym_bind_address_token1] = ACTIONS(2478),
    [aux_sym_bind_interface_token1] = ACTIONS(2478),
    [aux_sym_canonical_domains_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2478),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2478),
    [aux_sym_certificate_file_token1] = ACTIONS(2478),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2478),
    [aux_sym_channel_timeout_token1] = ACTIONS(2478),
    [aux_sym_check_host_ip_token1] = ACTIONS(2478),
    [aux_sym_ciphers_token1] = ACTIONS(2478),
    [aux_sym_cipher_token1] = ACTIONS(2480),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2478),
    [aux_sym_compression_token1] = ACTIONS(2478),
    [aux_sym_connection_attempts_token1] = ACTIONS(2478),
    [aux_sym_connect_timeout_token1] = ACTIONS(2478),
    [aux_sym_control_master_token1] = ACTIONS(2478),
    [aux_sym_control_path_token1] = ACTIONS(2478),
    [aux_sym_control_persist_token1] = ACTIONS(2478),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2478),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2478),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2478),
    [aux_sym_escape_char_token1] = ACTIONS(2478),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2478),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2478),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2478),
    [aux_sym_forward_agent_token1] = ACTIONS(2478),
    [aux_sym_forward_x11_token1] = ACTIONS(2480),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2478),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2478),
    [aux_sym_gateway_ports_token1] = ACTIONS(2478),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2478),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2478),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2478),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2478),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2478),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2478),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2478),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2478),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2478),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2478),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2478),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2478),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2478),
    [aux_sym_host_key_alias_token1] = ACTIONS(2478),
    [aux_sym_hostname_token1] = ACTIONS(2478),
    [aux_sym_identities_only_token1] = ACTIONS(2478),
    [aux_sym_identity_agent_token1] = ACTIONS(2478),
    [aux_sym_identity_file_token1] = ACTIONS(2478),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2478),
    [aux_sym_include_token1] = ACTIONS(2478),
    [aux_sym_ip_qos_token1] = ACTIONS(2478),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2478),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2478),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2478),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2478),
    [aux_sym_local_command_token1] = ACTIONS(2478),
    [aux_sym_local_forward_token1] = ACTIONS(2478),
    [aux_sym_log_level_token1] = ACTIONS(2478),
    [aux_sym_log_verbose_token1] = ACTIONS(2478),
    [aux_sym_macs_token1] = ACTIONS(2478),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2478),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2478),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2478),
    [aux_sym_password_authentication_token1] = ACTIONS(2478),
    [aux_sym_permit_local_command_token1] = ACTIONS(2478),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2478),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2478),
    [aux_sym_port_token1] = ACTIONS(2478),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2478),
    [aux_sym_protocol_token1] = ACTIONS(2478),
    [aux_sym_proxy_command_token1] = ACTIONS(2478),
    [aux_sym_proxy_jump_token1] = ACTIONS(2478),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2478),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2478),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2478),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2478),
    [aux_sym_rekey_limit_token1] = ACTIONS(2478),
    [aux_sym_remote_command_token1] = ACTIONS(2478),
    [aux_sym_remote_forward_token1] = ACTIONS(2478),
    [aux_sym_request_tty_token1] = ACTIONS(2478),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2478),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2478),
    [aux_sym_security_key_provider_token1] = ACTIONS(2478),
    [aux_sym_send_env_token1] = ACTIONS(2478),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2478),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2478),
    [aux_sym_session_type_token1] = ACTIONS(2478),
    [aux_sym_set_env_token1] = ACTIONS(2478),
    [aux_sym_stdin_null_token1] = ACTIONS(2478),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2478),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2478),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2478),
    [aux_sym_syslog_facility_token1] = ACTIONS(2478),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2478),
    [aux_sym_keep_alive_token1] = ACTIONS(2478),
    [aux_sym_tag_token1] = ACTIONS(2478),
    [aux_sym_tunnel_token1] = ACTIONS(2480),
    [aux_sym_tunnel_device_token1] = ACTIONS(2478),
    [aux_sym_update_host_keys_token1] = ACTIONS(2478),
    [aux_sym_use_keychain_token1] = ACTIONS(2478),
    [aux_sym_use_roaming_token1] = ACTIONS(2478),
    [aux_sym_user_token1] = ACTIONS(2480),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2478),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2478),
    [aux_sym_version_addendum_token1] = ACTIONS(2478),
    [aux_sym_visual_host_key_token1] = ACTIONS(2478),
    [aux_sym_xauth_location_token1] = ACTIONS(2478),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [aux_sym_match_token1] = ACTIONS(2484),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2484),
    [aux_sym_address_family_token1] = ACTIONS(2484),
    [aux_sym_batch_mode_token1] = ACTIONS(2484),
    [aux_sym_bind_address_token1] = ACTIONS(2484),
    [aux_sym_bind_interface_token1] = ACTIONS(2484),
    [aux_sym_canonical_domains_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2484),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2484),
    [aux_sym_certificate_file_token1] = ACTIONS(2484),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2484),
    [aux_sym_channel_timeout_token1] = ACTIONS(2484),
    [aux_sym_check_host_ip_token1] = ACTIONS(2484),
    [aux_sym_ciphers_token1] = ACTIONS(2484),
    [aux_sym_cipher_token1] = ACTIONS(2486),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2484),
    [aux_sym_compression_token1] = ACTIONS(2484),
    [aux_sym_connection_attempts_token1] = ACTIONS(2484),
    [aux_sym_connect_timeout_token1] = ACTIONS(2484),
    [aux_sym_control_master_token1] = ACTIONS(2484),
    [aux_sym_control_path_token1] = ACTIONS(2484),
    [aux_sym_control_persist_token1] = ACTIONS(2484),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2484),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2484),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2484),
    [aux_sym_escape_char_token1] = ACTIONS(2484),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2484),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2484),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2484),
    [aux_sym_forward_agent_token1] = ACTIONS(2484),
    [aux_sym_forward_x11_token1] = ACTIONS(2486),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2484),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2484),
    [aux_sym_gateway_ports_token1] = ACTIONS(2484),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2484),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2484),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2484),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2484),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2484),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2484),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2484),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2484),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2484),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2484),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2484),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2484),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2484),
    [aux_sym_host_key_alias_token1] = ACTIONS(2484),
    [aux_sym_hostname_token1] = ACTIONS(2484),
    [aux_sym_identities_only_token1] = ACTIONS(2484),
    [aux_sym_identity_agent_token1] = ACTIONS(2484),
    [aux_sym_identity_file_token1] = ACTIONS(2484),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2484),
    [aux_sym_include_token1] = ACTIONS(2484),
    [aux_sym_ip_qos_token1] = ACTIONS(2484),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2484),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2484),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2484),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2484),
    [aux_sym_local_command_token1] = ACTIONS(2484),
    [aux_sym_local_forward_token1] = ACTIONS(2484),
    [aux_sym_log_level_token1] = ACTIONS(2484),
    [aux_sym_log_verbose_token1] = ACTIONS(2484),
    [aux_sym_macs_token1] = ACTIONS(2484),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2484),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2484),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2484),
    [aux_sym_password_authentication_token1] = ACTIONS(2484),
    [aux_sym_permit_local_command_token1] = ACTIONS(2484),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2484),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2484),
    [aux_sym_port_token1] = ACTIONS(2484),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2484),
    [aux_sym_protocol_token1] = ACTIONS(2484),
    [aux_sym_proxy_command_token1] = ACTIONS(2484),
    [aux_sym_proxy_jump_token1] = ACTIONS(2484),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2484),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2484),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2484),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2484),
    [aux_sym_rekey_limit_token1] = ACTIONS(2484),
    [aux_sym_remote_command_token1] = ACTIONS(2484),
    [aux_sym_remote_forward_token1] = ACTIONS(2484),
    [aux_sym_request_tty_token1] = ACTIONS(2484),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2484),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2484),
    [aux_sym_security_key_provider_token1] = ACTIONS(2484),
    [aux_sym_send_env_token1] = ACTIONS(2484),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2484),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2484),
    [aux_sym_session_type_token1] = ACTIONS(2484),
    [aux_sym_set_env_token1] = ACTIONS(2484),
    [aux_sym_stdin_null_token1] = ACTIONS(2484),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2484),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2484),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2484),
    [aux_sym_syslog_facility_token1] = ACTIONS(2484),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2484),
    [aux_sym_keep_alive_token1] = ACTIONS(2484),
    [aux_sym_tag_token1] = ACTIONS(2484),
    [aux_sym_tunnel_token1] = ACTIONS(2486),
    [aux_sym_tunnel_device_token1] = ACTIONS(2484),
    [aux_sym_update_host_keys_token1] = ACTIONS(2484),
    [aux_sym_use_keychain_token1] = ACTIONS(2484),
    [aux_sym_use_roaming_token1] = ACTIONS(2484),
    [aux_sym_user_token1] = ACTIONS(2486),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2484),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2484),
    [aux_sym_version_addendum_token1] = ACTIONS(2484),
    [aux_sym_visual_host_key_token1] = ACTIONS(2484),
    [aux_sym_xauth_location_token1] = ACTIONS(2484),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [aux_sym_match_token1] = ACTIONS(2490),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2490),
    [aux_sym_address_family_token1] = ACTIONS(2490),
    [aux_sym_batch_mode_token1] = ACTIONS(2490),
    [aux_sym_bind_address_token1] = ACTIONS(2490),
    [aux_sym_bind_interface_token1] = ACTIONS(2490),
    [aux_sym_canonical_domains_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2490),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2490),
    [aux_sym_certificate_file_token1] = ACTIONS(2490),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2490),
    [aux_sym_channel_timeout_token1] = ACTIONS(2490),
    [aux_sym_check_host_ip_token1] = ACTIONS(2490),
    [aux_sym_ciphers_token1] = ACTIONS(2490),
    [aux_sym_cipher_token1] = ACTIONS(2492),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2490),
    [aux_sym_compression_token1] = ACTIONS(2490),
    [aux_sym_connection_attempts_token1] = ACTIONS(2490),
    [aux_sym_connect_timeout_token1] = ACTIONS(2490),
    [aux_sym_control_master_token1] = ACTIONS(2490),
    [aux_sym_control_path_token1] = ACTIONS(2490),
    [aux_sym_control_persist_token1] = ACTIONS(2490),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2490),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2490),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2490),
    [aux_sym_escape_char_token1] = ACTIONS(2490),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2490),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2490),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2490),
    [aux_sym_forward_agent_token1] = ACTIONS(2490),
    [aux_sym_forward_x11_token1] = ACTIONS(2492),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2490),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2490),
    [aux_sym_gateway_ports_token1] = ACTIONS(2490),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2490),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2490),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2490),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2490),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2490),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2490),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2490),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2490),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2490),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2490),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2490),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2490),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2490),
    [aux_sym_host_key_alias_token1] = ACTIONS(2490),
    [aux_sym_hostname_token1] = ACTIONS(2490),
    [aux_sym_identities_only_token1] = ACTIONS(2490),
    [aux_sym_identity_agent_token1] = ACTIONS(2490),
    [aux_sym_identity_file_token1] = ACTIONS(2490),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2490),
    [aux_sym_include_token1] = ACTIONS(2490),
    [aux_sym_ip_qos_token1] = ACTIONS(2490),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2490),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2490),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2490),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2490),
    [aux_sym_local_command_token1] = ACTIONS(2490),
    [aux_sym_local_forward_token1] = ACTIONS(2490),
    [aux_sym_log_level_token1] = ACTIONS(2490),
    [aux_sym_log_verbose_token1] = ACTIONS(2490),
    [aux_sym_macs_token1] = ACTIONS(2490),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2490),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2490),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2490),
    [aux_sym_password_authentication_token1] = ACTIONS(2490),
    [aux_sym_permit_local_command_token1] = ACTIONS(2490),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2490),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2490),
    [aux_sym_port_token1] = ACTIONS(2490),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2490),
    [aux_sym_protocol_token1] = ACTIONS(2490),
    [aux_sym_proxy_command_token1] = ACTIONS(2490),
    [aux_sym_proxy_jump_token1] = ACTIONS(2490),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2490),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2490),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2490),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2490),
    [aux_sym_rekey_limit_token1] = ACTIONS(2490),
    [aux_sym_remote_command_token1] = ACTIONS(2490),
    [aux_sym_remote_forward_token1] = ACTIONS(2490),
    [aux_sym_request_tty_token1] = ACTIONS(2490),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2490),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2490),
    [aux_sym_security_key_provider_token1] = ACTIONS(2490),
    [aux_sym_send_env_token1] = ACTIONS(2490),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2490),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2490),
    [aux_sym_session_type_token1] = ACTIONS(2490),
    [aux_sym_set_env_token1] = ACTIONS(2490),
    [aux_sym_stdin_null_token1] = ACTIONS(2490),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2490),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2490),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2490),
    [aux_sym_syslog_facility_token1] = ACTIONS(2490),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2490),
    [aux_sym_keep_alive_token1] = ACTIONS(2490),
    [aux_sym_tag_token1] = ACTIONS(2490),
    [aux_sym_tunnel_token1] = ACTIONS(2492),
    [aux_sym_tunnel_device_token1] = ACTIONS(2490),
    [aux_sym_update_host_keys_token1] = ACTIONS(2490),
    [aux_sym_use_keychain_token1] = ACTIONS(2490),
    [aux_sym_use_roaming_token1] = ACTIONS(2490),
    [aux_sym_user_token1] = ACTIONS(2492),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2490),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2490),
    [aux_sym_version_addendum_token1] = ACTIONS(2490),
    [aux_sym_visual_host_key_token1] = ACTIONS(2490),
    [aux_sym_xauth_location_token1] = ACTIONS(2490),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [aux_sym_match_token1] = ACTIONS(2496),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2496),
    [aux_sym_address_family_token1] = ACTIONS(2496),
    [aux_sym_batch_mode_token1] = ACTIONS(2496),
    [aux_sym_bind_address_token1] = ACTIONS(2496),
    [aux_sym_bind_interface_token1] = ACTIONS(2496),
    [aux_sym_canonical_domains_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2496),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2496),
    [aux_sym_certificate_file_token1] = ACTIONS(2496),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2496),
    [aux_sym_channel_timeout_token1] = ACTIONS(2496),
    [aux_sym_check_host_ip_token1] = ACTIONS(2496),
    [aux_sym_ciphers_token1] = ACTIONS(2496),
    [aux_sym_cipher_token1] = ACTIONS(2498),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2496),
    [aux_sym_compression_token1] = ACTIONS(2496),
    [aux_sym_connection_attempts_token1] = ACTIONS(2496),
    [aux_sym_connect_timeout_token1] = ACTIONS(2496),
    [aux_sym_control_master_token1] = ACTIONS(2496),
    [aux_sym_control_path_token1] = ACTIONS(2496),
    [aux_sym_control_persist_token1] = ACTIONS(2496),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2496),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2496),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2496),
    [aux_sym_escape_char_token1] = ACTIONS(2496),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2496),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2496),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2496),
    [aux_sym_forward_agent_token1] = ACTIONS(2496),
    [aux_sym_forward_x11_token1] = ACTIONS(2498),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2496),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2496),
    [aux_sym_gateway_ports_token1] = ACTIONS(2496),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2496),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2496),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2496),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2496),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2496),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2496),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2496),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2496),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2496),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2496),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2496),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2496),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2496),
    [aux_sym_host_key_alias_token1] = ACTIONS(2496),
    [aux_sym_hostname_token1] = ACTIONS(2496),
    [aux_sym_identities_only_token1] = ACTIONS(2496),
    [aux_sym_identity_agent_token1] = ACTIONS(2496),
    [aux_sym_identity_file_token1] = ACTIONS(2496),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2496),
    [aux_sym_include_token1] = ACTIONS(2496),
    [aux_sym_ip_qos_token1] = ACTIONS(2496),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2496),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2496),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2496),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2496),
    [aux_sym_local_command_token1] = ACTIONS(2496),
    [aux_sym_local_forward_token1] = ACTIONS(2496),
    [aux_sym_log_level_token1] = ACTIONS(2496),
    [aux_sym_log_verbose_token1] = ACTIONS(2496),
    [aux_sym_macs_token1] = ACTIONS(2496),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2496),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2496),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2496),
    [aux_sym_password_authentication_token1] = ACTIONS(2496),
    [aux_sym_permit_local_command_token1] = ACTIONS(2496),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2496),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2496),
    [aux_sym_port_token1] = ACTIONS(2496),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2496),
    [aux_sym_protocol_token1] = ACTIONS(2496),
    [aux_sym_proxy_command_token1] = ACTIONS(2496),
    [aux_sym_proxy_jump_token1] = ACTIONS(2496),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2496),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2496),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2496),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2496),
    [aux_sym_rekey_limit_token1] = ACTIONS(2496),
    [aux_sym_remote_command_token1] = ACTIONS(2496),
    [aux_sym_remote_forward_token1] = ACTIONS(2496),
    [aux_sym_request_tty_token1] = ACTIONS(2496),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2496),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2496),
    [aux_sym_security_key_provider_token1] = ACTIONS(2496),
    [aux_sym_send_env_token1] = ACTIONS(2496),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2496),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2496),
    [aux_sym_session_type_token1] = ACTIONS(2496),
    [aux_sym_set_env_token1] = ACTIONS(2496),
    [aux_sym_stdin_null_token1] = ACTIONS(2496),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2496),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2496),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2496),
    [aux_sym_syslog_facility_token1] = ACTIONS(2496),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2496),
    [aux_sym_keep_alive_token1] = ACTIONS(2496),
    [aux_sym_tag_token1] = ACTIONS(2496),
    [aux_sym_tunnel_token1] = ACTIONS(2498),
    [aux_sym_tunnel_device_token1] = ACTIONS(2496),
    [aux_sym_update_host_keys_token1] = ACTIONS(2496),
    [aux_sym_use_keychain_token1] = ACTIONS(2496),
    [aux_sym_use_roaming_token1] = ACTIONS(2496),
    [aux_sym_user_token1] = ACTIONS(2498),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2496),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2496),
    [aux_sym_version_addendum_token1] = ACTIONS(2496),
    [aux_sym_visual_host_key_token1] = ACTIONS(2496),
    [aux_sym_xauth_location_token1] = ACTIONS(2496),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [aux_sym_match_token1] = ACTIONS(2502),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2502),
    [aux_sym_address_family_token1] = ACTIONS(2502),
    [aux_sym_batch_mode_token1] = ACTIONS(2502),
    [aux_sym_bind_address_token1] = ACTIONS(2502),
    [aux_sym_bind_interface_token1] = ACTIONS(2502),
    [aux_sym_canonical_domains_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2502),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2502),
    [aux_sym_certificate_file_token1] = ACTIONS(2502),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2502),
    [aux_sym_channel_timeout_token1] = ACTIONS(2502),
    [aux_sym_check_host_ip_token1] = ACTIONS(2502),
    [aux_sym_ciphers_token1] = ACTIONS(2502),
    [aux_sym_cipher_token1] = ACTIONS(2504),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2502),
    [aux_sym_compression_token1] = ACTIONS(2502),
    [aux_sym_connection_attempts_token1] = ACTIONS(2502),
    [aux_sym_connect_timeout_token1] = ACTIONS(2502),
    [aux_sym_control_master_token1] = ACTIONS(2502),
    [aux_sym_control_path_token1] = ACTIONS(2502),
    [aux_sym_control_persist_token1] = ACTIONS(2502),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2502),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2502),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2502),
    [aux_sym_escape_char_token1] = ACTIONS(2502),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2502),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2502),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2502),
    [aux_sym_forward_agent_token1] = ACTIONS(2502),
    [aux_sym_forward_x11_token1] = ACTIONS(2504),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2502),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2502),
    [aux_sym_gateway_ports_token1] = ACTIONS(2502),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2502),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2502),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2502),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2502),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2502),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2502),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2502),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2502),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2502),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2502),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2502),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2502),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2502),
    [aux_sym_host_key_alias_token1] = ACTIONS(2502),
    [aux_sym_hostname_token1] = ACTIONS(2502),
    [aux_sym_identities_only_token1] = ACTIONS(2502),
    [aux_sym_identity_agent_token1] = ACTIONS(2502),
    [aux_sym_identity_file_token1] = ACTIONS(2502),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2502),
    [aux_sym_include_token1] = ACTIONS(2502),
    [aux_sym_ip_qos_token1] = ACTIONS(2502),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2502),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2502),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2502),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2502),
    [aux_sym_local_command_token1] = ACTIONS(2502),
    [aux_sym_local_forward_token1] = ACTIONS(2502),
    [aux_sym_log_level_token1] = ACTIONS(2502),
    [aux_sym_log_verbose_token1] = ACTIONS(2502),
    [aux_sym_macs_token1] = ACTIONS(2502),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2502),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2502),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2502),
    [aux_sym_password_authentication_token1] = ACTIONS(2502),
    [aux_sym_permit_local_command_token1] = ACTIONS(2502),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2502),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2502),
    [aux_sym_port_token1] = ACTIONS(2502),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2502),
    [aux_sym_protocol_token1] = ACTIONS(2502),
    [aux_sym_proxy_command_token1] = ACTIONS(2502),
    [aux_sym_proxy_jump_token1] = ACTIONS(2502),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2502),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2502),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2502),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2502),
    [aux_sym_rekey_limit_token1] = ACTIONS(2502),
    [aux_sym_remote_command_token1] = ACTIONS(2502),
    [aux_sym_remote_forward_token1] = ACTIONS(2502),
    [aux_sym_request_tty_token1] = ACTIONS(2502),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2502),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2502),
    [aux_sym_security_key_provider_token1] = ACTIONS(2502),
    [aux_sym_send_env_token1] = ACTIONS(2502),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2502),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2502),
    [aux_sym_session_type_token1] = ACTIONS(2502),
    [aux_sym_set_env_token1] = ACTIONS(2502),
    [aux_sym_stdin_null_token1] = ACTIONS(2502),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2502),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2502),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2502),
    [aux_sym_syslog_facility_token1] = ACTIONS(2502),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2502),
    [aux_sym_keep_alive_token1] = ACTIONS(2502),
    [aux_sym_tag_token1] = ACTIONS(2502),
    [aux_sym_tunnel_token1] = ACTIONS(2504),
    [aux_sym_tunnel_device_token1] = ACTIONS(2502),
    [aux_sym_update_host_keys_token1] = ACTIONS(2502),
    [aux_sym_use_keychain_token1] = ACTIONS(2502),
    [aux_sym_use_roaming_token1] = ACTIONS(2502),
    [aux_sym_user_token1] = ACTIONS(2504),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2502),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2502),
    [aux_sym_version_addendum_token1] = ACTIONS(2502),
    [aux_sym_visual_host_key_token1] = ACTIONS(2502),
    [aux_sym_xauth_location_token1] = ACTIONS(2502),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [aux_sym_match_token1] = ACTIONS(2508),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2508),
    [aux_sym_address_family_token1] = ACTIONS(2508),
    [aux_sym_batch_mode_token1] = ACTIONS(2508),
    [aux_sym_bind_address_token1] = ACTIONS(2508),
    [aux_sym_bind_interface_token1] = ACTIONS(2508),
    [aux_sym_canonical_domains_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2508),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2508),
    [aux_sym_certificate_file_token1] = ACTIONS(2508),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2508),
    [aux_sym_channel_timeout_token1] = ACTIONS(2508),
    [aux_sym_check_host_ip_token1] = ACTIONS(2508),
    [aux_sym_ciphers_token1] = ACTIONS(2508),
    [aux_sym_cipher_token1] = ACTIONS(2510),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2508),
    [aux_sym_compression_token1] = ACTIONS(2508),
    [aux_sym_connection_attempts_token1] = ACTIONS(2508),
    [aux_sym_connect_timeout_token1] = ACTIONS(2508),
    [aux_sym_control_master_token1] = ACTIONS(2508),
    [aux_sym_control_path_token1] = ACTIONS(2508),
    [aux_sym_control_persist_token1] = ACTIONS(2508),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2508),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2508),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2508),
    [aux_sym_escape_char_token1] = ACTIONS(2508),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2508),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2508),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2508),
    [aux_sym_forward_agent_token1] = ACTIONS(2508),
    [aux_sym_forward_x11_token1] = ACTIONS(2510),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2508),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2508),
    [aux_sym_gateway_ports_token1] = ACTIONS(2508),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2508),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2508),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2508),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2508),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2508),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2508),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2508),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2508),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2508),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2508),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2508),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2508),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2508),
    [aux_sym_host_key_alias_token1] = ACTIONS(2508),
    [aux_sym_hostname_token1] = ACTIONS(2508),
    [aux_sym_identities_only_token1] = ACTIONS(2508),
    [aux_sym_identity_agent_token1] = ACTIONS(2508),
    [aux_sym_identity_file_token1] = ACTIONS(2508),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2508),
    [aux_sym_include_token1] = ACTIONS(2508),
    [aux_sym_ip_qos_token1] = ACTIONS(2508),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2508),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2508),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2508),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2508),
    [aux_sym_local_command_token1] = ACTIONS(2508),
    [aux_sym_local_forward_token1] = ACTIONS(2508),
    [aux_sym_log_level_token1] = ACTIONS(2508),
    [aux_sym_log_verbose_token1] = ACTIONS(2508),
    [aux_sym_macs_token1] = ACTIONS(2508),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2508),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2508),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2508),
    [aux_sym_password_authentication_token1] = ACTIONS(2508),
    [aux_sym_permit_local_command_token1] = ACTIONS(2508),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2508),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2508),
    [aux_sym_port_token1] = ACTIONS(2508),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2508),
    [aux_sym_protocol_token1] = ACTIONS(2508),
    [aux_sym_proxy_command_token1] = ACTIONS(2508),
    [aux_sym_proxy_jump_token1] = ACTIONS(2508),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2508),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2508),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2508),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2508),
    [aux_sym_rekey_limit_token1] = ACTIONS(2508),
    [aux_sym_remote_command_token1] = ACTIONS(2508),
    [aux_sym_remote_forward_token1] = ACTIONS(2508),
    [aux_sym_request_tty_token1] = ACTIONS(2508),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2508),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2508),
    [aux_sym_security_key_provider_token1] = ACTIONS(2508),
    [aux_sym_send_env_token1] = ACTIONS(2508),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2508),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2508),
    [aux_sym_session_type_token1] = ACTIONS(2508),
    [aux_sym_set_env_token1] = ACTIONS(2508),
    [aux_sym_stdin_null_token1] = ACTIONS(2508),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2508),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2508),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2508),
    [aux_sym_syslog_facility_token1] = ACTIONS(2508),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2508),
    [aux_sym_keep_alive_token1] = ACTIONS(2508),
    [aux_sym_tag_token1] = ACTIONS(2508),
    [aux_sym_tunnel_token1] = ACTIONS(2510),
    [aux_sym_tunnel_device_token1] = ACTIONS(2508),
    [aux_sym_update_host_keys_token1] = ACTIONS(2508),
    [aux_sym_use_keychain_token1] = ACTIONS(2508),
    [aux_sym_use_roaming_token1] = ACTIONS(2508),
    [aux_sym_user_token1] = ACTIONS(2510),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2508),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2508),
    [aux_sym_version_addendum_token1] = ACTIONS(2508),
    [aux_sym_visual_host_key_token1] = ACTIONS(2508),
    [aux_sym_xauth_location_token1] = ACTIONS(2508),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [aux_sym_match_token1] = ACTIONS(2514),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2514),
    [aux_sym_address_family_token1] = ACTIONS(2514),
    [aux_sym_batch_mode_token1] = ACTIONS(2514),
    [aux_sym_bind_address_token1] = ACTIONS(2514),
    [aux_sym_bind_interface_token1] = ACTIONS(2514),
    [aux_sym_canonical_domains_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2514),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2514),
    [aux_sym_certificate_file_token1] = ACTIONS(2514),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2514),
    [aux_sym_channel_timeout_token1] = ACTIONS(2514),
    [aux_sym_check_host_ip_token1] = ACTIONS(2514),
    [aux_sym_ciphers_token1] = ACTIONS(2514),
    [aux_sym_cipher_token1] = ACTIONS(2516),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2514),
    [aux_sym_compression_token1] = ACTIONS(2514),
    [aux_sym_connection_attempts_token1] = ACTIONS(2514),
    [aux_sym_connect_timeout_token1] = ACTIONS(2514),
    [aux_sym_control_master_token1] = ACTIONS(2514),
    [aux_sym_control_path_token1] = ACTIONS(2514),
    [aux_sym_control_persist_token1] = ACTIONS(2514),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2514),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2514),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2514),
    [aux_sym_escape_char_token1] = ACTIONS(2514),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2514),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2514),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2514),
    [aux_sym_forward_agent_token1] = ACTIONS(2514),
    [aux_sym_forward_x11_token1] = ACTIONS(2516),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2514),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2514),
    [aux_sym_gateway_ports_token1] = ACTIONS(2514),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2514),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2514),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2514),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2514),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2514),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2514),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2514),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2514),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2514),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2514),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2514),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2514),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2514),
    [aux_sym_host_key_alias_token1] = ACTIONS(2514),
    [aux_sym_hostname_token1] = ACTIONS(2514),
    [aux_sym_identities_only_token1] = ACTIONS(2514),
    [aux_sym_identity_agent_token1] = ACTIONS(2514),
    [aux_sym_identity_file_token1] = ACTIONS(2514),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2514),
    [aux_sym_include_token1] = ACTIONS(2514),
    [aux_sym_ip_qos_token1] = ACTIONS(2514),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2514),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2514),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2514),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2514),
    [aux_sym_local_command_token1] = ACTIONS(2514),
    [aux_sym_local_forward_token1] = ACTIONS(2514),
    [aux_sym_log_level_token1] = ACTIONS(2514),
    [aux_sym_log_verbose_token1] = ACTIONS(2514),
    [aux_sym_macs_token1] = ACTIONS(2514),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2514),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2514),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2514),
    [aux_sym_password_authentication_token1] = ACTIONS(2514),
    [aux_sym_permit_local_command_token1] = ACTIONS(2514),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2514),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2514),
    [aux_sym_port_token1] = ACTIONS(2514),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2514),
    [aux_sym_protocol_token1] = ACTIONS(2514),
    [aux_sym_proxy_command_token1] = ACTIONS(2514),
    [aux_sym_proxy_jump_token1] = ACTIONS(2514),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2514),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2514),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2514),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2514),
    [aux_sym_rekey_limit_token1] = ACTIONS(2514),
    [aux_sym_remote_command_token1] = ACTIONS(2514),
    [aux_sym_remote_forward_token1] = ACTIONS(2514),
    [aux_sym_request_tty_token1] = ACTIONS(2514),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2514),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2514),
    [aux_sym_security_key_provider_token1] = ACTIONS(2514),
    [aux_sym_send_env_token1] = ACTIONS(2514),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2514),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2514),
    [aux_sym_session_type_token1] = ACTIONS(2514),
    [aux_sym_set_env_token1] = ACTIONS(2514),
    [aux_sym_stdin_null_token1] = ACTIONS(2514),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2514),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2514),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2514),
    [aux_sym_syslog_facility_token1] = ACTIONS(2514),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2514),
    [aux_sym_keep_alive_token1] = ACTIONS(2514),
    [aux_sym_tag_token1] = ACTIONS(2514),
    [aux_sym_tunnel_token1] = ACTIONS(2516),
    [aux_sym_tunnel_device_token1] = ACTIONS(2514),
    [aux_sym_update_host_keys_token1] = ACTIONS(2514),
    [aux_sym_use_keychain_token1] = ACTIONS(2514),
    [aux_sym_use_roaming_token1] = ACTIONS(2514),
    [aux_sym_user_token1] = ACTIONS(2516),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2514),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2514),
    [aux_sym_version_addendum_token1] = ACTIONS(2514),
    [aux_sym_visual_host_key_token1] = ACTIONS(2514),
    [aux_sym_xauth_location_token1] = ACTIONS(2514),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [aux_sym_match_token1] = ACTIONS(2520),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2520),
    [aux_sym_address_family_token1] = ACTIONS(2520),
    [aux_sym_batch_mode_token1] = ACTIONS(2520),
    [aux_sym_bind_address_token1] = ACTIONS(2520),
    [aux_sym_bind_interface_token1] = ACTIONS(2520),
    [aux_sym_canonical_domains_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2520),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2520),
    [aux_sym_certificate_file_token1] = ACTIONS(2520),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2520),
    [aux_sym_channel_timeout_token1] = ACTIONS(2520),
    [aux_sym_check_host_ip_token1] = ACTIONS(2520),
    [aux_sym_ciphers_token1] = ACTIONS(2520),
    [aux_sym_cipher_token1] = ACTIONS(2522),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2520),
    [aux_sym_compression_token1] = ACTIONS(2520),
    [aux_sym_connection_attempts_token1] = ACTIONS(2520),
    [aux_sym_connect_timeout_token1] = ACTIONS(2520),
    [aux_sym_control_master_token1] = ACTIONS(2520),
    [aux_sym_control_path_token1] = ACTIONS(2520),
    [aux_sym_control_persist_token1] = ACTIONS(2520),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2520),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2520),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2520),
    [aux_sym_escape_char_token1] = ACTIONS(2520),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2520),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2520),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2520),
    [aux_sym_forward_agent_token1] = ACTIONS(2520),
    [aux_sym_forward_x11_token1] = ACTIONS(2522),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2520),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2520),
    [aux_sym_gateway_ports_token1] = ACTIONS(2520),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2520),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2520),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2520),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2520),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2520),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2520),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2520),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2520),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2520),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2520),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2520),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2520),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2520),
    [aux_sym_host_key_alias_token1] = ACTIONS(2520),
    [aux_sym_hostname_token1] = ACTIONS(2520),
    [aux_sym_identities_only_token1] = ACTIONS(2520),
    [aux_sym_identity_agent_token1] = ACTIONS(2520),
    [aux_sym_identity_file_token1] = ACTIONS(2520),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2520),
    [aux_sym_include_token1] = ACTIONS(2520),
    [aux_sym_ip_qos_token1] = ACTIONS(2520),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2520),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2520),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2520),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2520),
    [aux_sym_local_command_token1] = ACTIONS(2520),
    [aux_sym_local_forward_token1] = ACTIONS(2520),
    [aux_sym_log_level_token1] = ACTIONS(2520),
    [aux_sym_log_verbose_token1] = ACTIONS(2520),
    [aux_sym_macs_token1] = ACTIONS(2520),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2520),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2520),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2520),
    [aux_sym_password_authentication_token1] = ACTIONS(2520),
    [aux_sym_permit_local_command_token1] = ACTIONS(2520),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2520),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2520),
    [aux_sym_port_token1] = ACTIONS(2520),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2520),
    [aux_sym_protocol_token1] = ACTIONS(2520),
    [aux_sym_proxy_command_token1] = ACTIONS(2520),
    [aux_sym_proxy_jump_token1] = ACTIONS(2520),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2520),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2520),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2520),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2520),
    [aux_sym_rekey_limit_token1] = ACTIONS(2520),
    [aux_sym_remote_command_token1] = ACTIONS(2520),
    [aux_sym_remote_forward_token1] = ACTIONS(2520),
    [aux_sym_request_tty_token1] = ACTIONS(2520),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2520),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2520),
    [aux_sym_security_key_provider_token1] = ACTIONS(2520),
    [aux_sym_send_env_token1] = ACTIONS(2520),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2520),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2520),
    [aux_sym_session_type_token1] = ACTIONS(2520),
    [aux_sym_set_env_token1] = ACTIONS(2520),
    [aux_sym_stdin_null_token1] = ACTIONS(2520),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2520),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2520),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2520),
    [aux_sym_syslog_facility_token1] = ACTIONS(2520),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2520),
    [aux_sym_keep_alive_token1] = ACTIONS(2520),
    [aux_sym_tag_token1] = ACTIONS(2520),
    [aux_sym_tunnel_token1] = ACTIONS(2522),
    [aux_sym_tunnel_device_token1] = ACTIONS(2520),
    [aux_sym_update_host_keys_token1] = ACTIONS(2520),
    [aux_sym_use_keychain_token1] = ACTIONS(2520),
    [aux_sym_use_roaming_token1] = ACTIONS(2520),
    [aux_sym_user_token1] = ACTIONS(2522),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2520),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2520),
    [aux_sym_version_addendum_token1] = ACTIONS(2520),
    [aux_sym_visual_host_key_token1] = ACTIONS(2520),
    [aux_sym_xauth_location_token1] = ACTIONS(2520),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [aux_sym_match_token1] = ACTIONS(2526),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2526),
    [aux_sym_address_family_token1] = ACTIONS(2526),
    [aux_sym_batch_mode_token1] = ACTIONS(2526),
    [aux_sym_bind_address_token1] = ACTIONS(2526),
    [aux_sym_bind_interface_token1] = ACTIONS(2526),
    [aux_sym_canonical_domains_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2526),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2526),
    [aux_sym_certificate_file_token1] = ACTIONS(2526),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2526),
    [aux_sym_channel_timeout_token1] = ACTIONS(2526),
    [aux_sym_check_host_ip_token1] = ACTIONS(2526),
    [aux_sym_ciphers_token1] = ACTIONS(2526),
    [aux_sym_cipher_token1] = ACTIONS(2528),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2526),
    [aux_sym_compression_token1] = ACTIONS(2526),
    [aux_sym_connection_attempts_token1] = ACTIONS(2526),
    [aux_sym_connect_timeout_token1] = ACTIONS(2526),
    [aux_sym_control_master_token1] = ACTIONS(2526),
    [aux_sym_control_path_token1] = ACTIONS(2526),
    [aux_sym_control_persist_token1] = ACTIONS(2526),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2526),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2526),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2526),
    [aux_sym_escape_char_token1] = ACTIONS(2526),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2526),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2526),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2526),
    [aux_sym_forward_agent_token1] = ACTIONS(2526),
    [aux_sym_forward_x11_token1] = ACTIONS(2528),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2526),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2526),
    [aux_sym_gateway_ports_token1] = ACTIONS(2526),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2526),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2526),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2526),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2526),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2526),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2526),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2526),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2526),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2526),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2526),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2526),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2526),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2526),
    [aux_sym_host_key_alias_token1] = ACTIONS(2526),
    [aux_sym_hostname_token1] = ACTIONS(2526),
    [aux_sym_identities_only_token1] = ACTIONS(2526),
    [aux_sym_identity_agent_token1] = ACTIONS(2526),
    [aux_sym_identity_file_token1] = ACTIONS(2526),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2526),
    [aux_sym_include_token1] = ACTIONS(2526),
    [aux_sym_ip_qos_token1] = ACTIONS(2526),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2526),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2526),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2526),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2526),
    [aux_sym_local_command_token1] = ACTIONS(2526),
    [aux_sym_local_forward_token1] = ACTIONS(2526),
    [aux_sym_log_level_token1] = ACTIONS(2526),
    [aux_sym_log_verbose_token1] = ACTIONS(2526),
    [aux_sym_macs_token1] = ACTIONS(2526),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2526),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2526),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2526),
    [aux_sym_password_authentication_token1] = ACTIONS(2526),
    [aux_sym_permit_local_command_token1] = ACTIONS(2526),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2526),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2526),
    [aux_sym_port_token1] = ACTIONS(2526),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2526),
    [aux_sym_protocol_token1] = ACTIONS(2526),
    [aux_sym_proxy_command_token1] = ACTIONS(2526),
    [aux_sym_proxy_jump_token1] = ACTIONS(2526),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2526),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2526),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2526),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2526),
    [aux_sym_rekey_limit_token1] = ACTIONS(2526),
    [aux_sym_remote_command_token1] = ACTIONS(2526),
    [aux_sym_remote_forward_token1] = ACTIONS(2526),
    [aux_sym_request_tty_token1] = ACTIONS(2526),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2526),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2526),
    [aux_sym_security_key_provider_token1] = ACTIONS(2526),
    [aux_sym_send_env_token1] = ACTIONS(2526),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2526),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2526),
    [aux_sym_session_type_token1] = ACTIONS(2526),
    [aux_sym_set_env_token1] = ACTIONS(2526),
    [aux_sym_stdin_null_token1] = ACTIONS(2526),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2526),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2526),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2526),
    [aux_sym_syslog_facility_token1] = ACTIONS(2526),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2526),
    [aux_sym_keep_alive_token1] = ACTIONS(2526),
    [aux_sym_tag_token1] = ACTIONS(2526),
    [aux_sym_tunnel_token1] = ACTIONS(2528),
    [aux_sym_tunnel_device_token1] = ACTIONS(2526),
    [aux_sym_update_host_keys_token1] = ACTIONS(2526),
    [aux_sym_use_keychain_token1] = ACTIONS(2526),
    [aux_sym_use_roaming_token1] = ACTIONS(2526),
    [aux_sym_user_token1] = ACTIONS(2528),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2526),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2526),
    [aux_sym_version_addendum_token1] = ACTIONS(2526),
    [aux_sym_visual_host_key_token1] = ACTIONS(2526),
    [aux_sym_xauth_location_token1] = ACTIONS(2526),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [aux_sym_match_token1] = ACTIONS(2532),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2532),
    [aux_sym_address_family_token1] = ACTIONS(2532),
    [aux_sym_batch_mode_token1] = ACTIONS(2532),
    [aux_sym_bind_address_token1] = ACTIONS(2532),
    [aux_sym_bind_interface_token1] = ACTIONS(2532),
    [aux_sym_canonical_domains_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2532),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2532),
    [aux_sym_certificate_file_token1] = ACTIONS(2532),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2532),
    [aux_sym_channel_timeout_token1] = ACTIONS(2532),
    [aux_sym_check_host_ip_token1] = ACTIONS(2532),
    [aux_sym_ciphers_token1] = ACTIONS(2532),
    [aux_sym_cipher_token1] = ACTIONS(2534),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2532),
    [aux_sym_compression_token1] = ACTIONS(2532),
    [aux_sym_connection_attempts_token1] = ACTIONS(2532),
    [aux_sym_connect_timeout_token1] = ACTIONS(2532),
    [aux_sym_control_master_token1] = ACTIONS(2532),
    [aux_sym_control_path_token1] = ACTIONS(2532),
    [aux_sym_control_persist_token1] = ACTIONS(2532),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2532),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2532),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2532),
    [aux_sym_escape_char_token1] = ACTIONS(2532),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2532),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2532),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2532),
    [aux_sym_forward_agent_token1] = ACTIONS(2532),
    [aux_sym_forward_x11_token1] = ACTIONS(2534),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2532),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2532),
    [aux_sym_gateway_ports_token1] = ACTIONS(2532),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2532),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2532),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2532),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2532),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2532),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2532),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2532),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2532),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2532),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2532),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2532),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2532),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2532),
    [aux_sym_host_key_alias_token1] = ACTIONS(2532),
    [aux_sym_hostname_token1] = ACTIONS(2532),
    [aux_sym_identities_only_token1] = ACTIONS(2532),
    [aux_sym_identity_agent_token1] = ACTIONS(2532),
    [aux_sym_identity_file_token1] = ACTIONS(2532),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2532),
    [aux_sym_include_token1] = ACTIONS(2532),
    [aux_sym_ip_qos_token1] = ACTIONS(2532),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2532),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2532),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2532),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2532),
    [aux_sym_local_command_token1] = ACTIONS(2532),
    [aux_sym_local_forward_token1] = ACTIONS(2532),
    [aux_sym_log_level_token1] = ACTIONS(2532),
    [aux_sym_log_verbose_token1] = ACTIONS(2532),
    [aux_sym_macs_token1] = ACTIONS(2532),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2532),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2532),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2532),
    [aux_sym_password_authentication_token1] = ACTIONS(2532),
    [aux_sym_permit_local_command_token1] = ACTIONS(2532),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2532),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2532),
    [aux_sym_port_token1] = ACTIONS(2532),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2532),
    [aux_sym_protocol_token1] = ACTIONS(2532),
    [aux_sym_proxy_command_token1] = ACTIONS(2532),
    [aux_sym_proxy_jump_token1] = ACTIONS(2532),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2532),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2532),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2532),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2532),
    [aux_sym_rekey_limit_token1] = ACTIONS(2532),
    [aux_sym_remote_command_token1] = ACTIONS(2532),
    [aux_sym_remote_forward_token1] = ACTIONS(2532),
    [aux_sym_request_tty_token1] = ACTIONS(2532),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2532),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2532),
    [aux_sym_security_key_provider_token1] = ACTIONS(2532),
    [aux_sym_send_env_token1] = ACTIONS(2532),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2532),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2532),
    [aux_sym_session_type_token1] = ACTIONS(2532),
    [aux_sym_set_env_token1] = ACTIONS(2532),
    [aux_sym_stdin_null_token1] = ACTIONS(2532),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2532),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2532),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2532),
    [aux_sym_syslog_facility_token1] = ACTIONS(2532),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2532),
    [aux_sym_keep_alive_token1] = ACTIONS(2532),
    [aux_sym_tag_token1] = ACTIONS(2532),
    [aux_sym_tunnel_token1] = ACTIONS(2534),
    [aux_sym_tunnel_device_token1] = ACTIONS(2532),
    [aux_sym_update_host_keys_token1] = ACTIONS(2532),
    [aux_sym_use_keychain_token1] = ACTIONS(2532),
    [aux_sym_use_roaming_token1] = ACTIONS(2532),
    [aux_sym_user_token1] = ACTIONS(2534),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2532),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2532),
    [aux_sym_version_addendum_token1] = ACTIONS(2532),
    [aux_sym_visual_host_key_token1] = ACTIONS(2532),
    [aux_sym_xauth_location_token1] = ACTIONS(2532),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [aux_sym_match_token1] = ACTIONS(2538),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2538),
    [aux_sym_address_family_token1] = ACTIONS(2538),
    [aux_sym_batch_mode_token1] = ACTIONS(2538),
    [aux_sym_bind_address_token1] = ACTIONS(2538),
    [aux_sym_bind_interface_token1] = ACTIONS(2538),
    [aux_sym_canonical_domains_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2538),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2538),
    [aux_sym_certificate_file_token1] = ACTIONS(2538),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2538),
    [aux_sym_channel_timeout_token1] = ACTIONS(2538),
    [aux_sym_check_host_ip_token1] = ACTIONS(2538),
    [aux_sym_ciphers_token1] = ACTIONS(2538),
    [aux_sym_cipher_token1] = ACTIONS(2540),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2538),
    [aux_sym_compression_token1] = ACTIONS(2538),
    [aux_sym_connection_attempts_token1] = ACTIONS(2538),
    [aux_sym_connect_timeout_token1] = ACTIONS(2538),
    [aux_sym_control_master_token1] = ACTIONS(2538),
    [aux_sym_control_path_token1] = ACTIONS(2538),
    [aux_sym_control_persist_token1] = ACTIONS(2538),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2538),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2538),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2538),
    [aux_sym_escape_char_token1] = ACTIONS(2538),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2538),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2538),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2538),
    [aux_sym_forward_agent_token1] = ACTIONS(2538),
    [aux_sym_forward_x11_token1] = ACTIONS(2540),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2538),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2538),
    [aux_sym_gateway_ports_token1] = ACTIONS(2538),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2538),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2538),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2538),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2538),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2538),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2538),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2538),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2538),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2538),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2538),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2538),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2538),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2538),
    [aux_sym_host_key_alias_token1] = ACTIONS(2538),
    [aux_sym_hostname_token1] = ACTIONS(2538),
    [aux_sym_identities_only_token1] = ACTIONS(2538),
    [aux_sym_identity_agent_token1] = ACTIONS(2538),
    [aux_sym_identity_file_token1] = ACTIONS(2538),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2538),
    [aux_sym_include_token1] = ACTIONS(2538),
    [aux_sym_ip_qos_token1] = ACTIONS(2538),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2538),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2538),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2538),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2538),
    [aux_sym_local_command_token1] = ACTIONS(2538),
    [aux_sym_local_forward_token1] = ACTIONS(2538),
    [aux_sym_log_level_token1] = ACTIONS(2538),
    [aux_sym_log_verbose_token1] = ACTIONS(2538),
    [aux_sym_macs_token1] = ACTIONS(2538),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2538),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2538),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2538),
    [aux_sym_password_authentication_token1] = ACTIONS(2538),
    [aux_sym_permit_local_command_token1] = ACTIONS(2538),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2538),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2538),
    [aux_sym_port_token1] = ACTIONS(2538),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2538),
    [aux_sym_protocol_token1] = ACTIONS(2538),
    [aux_sym_proxy_command_token1] = ACTIONS(2538),
    [aux_sym_proxy_jump_token1] = ACTIONS(2538),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2538),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2538),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2538),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2538),
    [aux_sym_rekey_limit_token1] = ACTIONS(2538),
    [aux_sym_remote_command_token1] = ACTIONS(2538),
    [aux_sym_remote_forward_token1] = ACTIONS(2538),
    [aux_sym_request_tty_token1] = ACTIONS(2538),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2538),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2538),
    [aux_sym_security_key_provider_token1] = ACTIONS(2538),
    [aux_sym_send_env_token1] = ACTIONS(2538),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2538),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2538),
    [aux_sym_session_type_token1] = ACTIONS(2538),
    [aux_sym_set_env_token1] = ACTIONS(2538),
    [aux_sym_stdin_null_token1] = ACTIONS(2538),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2538),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2538),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2538),
    [aux_sym_syslog_facility_token1] = ACTIONS(2538),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2538),
    [aux_sym_keep_alive_token1] = ACTIONS(2538),
    [aux_sym_tag_token1] = ACTIONS(2538),
    [aux_sym_tunnel_token1] = ACTIONS(2540),
    [aux_sym_tunnel_device_token1] = ACTIONS(2538),
    [aux_sym_update_host_keys_token1] = ACTIONS(2538),
    [aux_sym_use_keychain_token1] = ACTIONS(2538),
    [aux_sym_use_roaming_token1] = ACTIONS(2538),
    [aux_sym_user_token1] = ACTIONS(2540),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2538),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2538),
    [aux_sym_version_addendum_token1] = ACTIONS(2538),
    [aux_sym_visual_host_key_token1] = ACTIONS(2538),
    [aux_sym_xauth_location_token1] = ACTIONS(2538),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [aux_sym_match_token1] = ACTIONS(2544),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2544),
    [aux_sym_address_family_token1] = ACTIONS(2544),
    [aux_sym_batch_mode_token1] = ACTIONS(2544),
    [aux_sym_bind_address_token1] = ACTIONS(2544),
    [aux_sym_bind_interface_token1] = ACTIONS(2544),
    [aux_sym_canonical_domains_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2544),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2544),
    [aux_sym_certificate_file_token1] = ACTIONS(2544),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2544),
    [aux_sym_channel_timeout_token1] = ACTIONS(2544),
    [aux_sym_check_host_ip_token1] = ACTIONS(2544),
    [aux_sym_ciphers_token1] = ACTIONS(2544),
    [aux_sym_cipher_token1] = ACTIONS(2546),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2544),
    [aux_sym_compression_token1] = ACTIONS(2544),
    [aux_sym_connection_attempts_token1] = ACTIONS(2544),
    [aux_sym_connect_timeout_token1] = ACTIONS(2544),
    [aux_sym_control_master_token1] = ACTIONS(2544),
    [aux_sym_control_path_token1] = ACTIONS(2544),
    [aux_sym_control_persist_token1] = ACTIONS(2544),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2544),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2544),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2544),
    [aux_sym_escape_char_token1] = ACTIONS(2544),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2544),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2544),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2544),
    [aux_sym_forward_agent_token1] = ACTIONS(2544),
    [aux_sym_forward_x11_token1] = ACTIONS(2546),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2544),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2544),
    [aux_sym_gateway_ports_token1] = ACTIONS(2544),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2544),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2544),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2544),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2544),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2544),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2544),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2544),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2544),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2544),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2544),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2544),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2544),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2544),
    [aux_sym_host_key_alias_token1] = ACTIONS(2544),
    [aux_sym_hostname_token1] = ACTIONS(2544),
    [aux_sym_identities_only_token1] = ACTIONS(2544),
    [aux_sym_identity_agent_token1] = ACTIONS(2544),
    [aux_sym_identity_file_token1] = ACTIONS(2544),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2544),
    [aux_sym_include_token1] = ACTIONS(2544),
    [aux_sym_ip_qos_token1] = ACTIONS(2544),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2544),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2544),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2544),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2544),
    [aux_sym_local_command_token1] = ACTIONS(2544),
    [aux_sym_local_forward_token1] = ACTIONS(2544),
    [aux_sym_log_level_token1] = ACTIONS(2544),
    [aux_sym_log_verbose_token1] = ACTIONS(2544),
    [aux_sym_macs_token1] = ACTIONS(2544),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2544),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2544),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2544),
    [aux_sym_password_authentication_token1] = ACTIONS(2544),
    [aux_sym_permit_local_command_token1] = ACTIONS(2544),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2544),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2544),
    [aux_sym_port_token1] = ACTIONS(2544),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2544),
    [aux_sym_protocol_token1] = ACTIONS(2544),
    [aux_sym_proxy_command_token1] = ACTIONS(2544),
    [aux_sym_proxy_jump_token1] = ACTIONS(2544),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2544),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2544),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2544),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2544),
    [aux_sym_rekey_limit_token1] = ACTIONS(2544),
    [aux_sym_remote_command_token1] = ACTIONS(2544),
    [aux_sym_remote_forward_token1] = ACTIONS(2544),
    [aux_sym_request_tty_token1] = ACTIONS(2544),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2544),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2544),
    [aux_sym_security_key_provider_token1] = ACTIONS(2544),
    [aux_sym_send_env_token1] = ACTIONS(2544),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2544),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2544),
    [aux_sym_session_type_token1] = ACTIONS(2544),
    [aux_sym_set_env_token1] = ACTIONS(2544),
    [aux_sym_stdin_null_token1] = ACTIONS(2544),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2544),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2544),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2544),
    [aux_sym_syslog_facility_token1] = ACTIONS(2544),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2544),
    [aux_sym_keep_alive_token1] = ACTIONS(2544),
    [aux_sym_tag_token1] = ACTIONS(2544),
    [aux_sym_tunnel_token1] = ACTIONS(2546),
    [aux_sym_tunnel_device_token1] = ACTIONS(2544),
    [aux_sym_update_host_keys_token1] = ACTIONS(2544),
    [aux_sym_use_keychain_token1] = ACTIONS(2544),
    [aux_sym_use_roaming_token1] = ACTIONS(2544),
    [aux_sym_user_token1] = ACTIONS(2546),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2544),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2544),
    [aux_sym_version_addendum_token1] = ACTIONS(2544),
    [aux_sym_visual_host_key_token1] = ACTIONS(2544),
    [aux_sym_xauth_location_token1] = ACTIONS(2544),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [aux_sym_match_token1] = ACTIONS(2550),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2550),
    [aux_sym_address_family_token1] = ACTIONS(2550),
    [aux_sym_batch_mode_token1] = ACTIONS(2550),
    [aux_sym_bind_address_token1] = ACTIONS(2550),
    [aux_sym_bind_interface_token1] = ACTIONS(2550),
    [aux_sym_canonical_domains_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2550),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2550),
    [aux_sym_certificate_file_token1] = ACTIONS(2550),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2550),
    [aux_sym_channel_timeout_token1] = ACTIONS(2550),
    [aux_sym_check_host_ip_token1] = ACTIONS(2550),
    [aux_sym_ciphers_token1] = ACTIONS(2550),
    [aux_sym_cipher_token1] = ACTIONS(2552),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2550),
    [aux_sym_compression_token1] = ACTIONS(2550),
    [aux_sym_connection_attempts_token1] = ACTIONS(2550),
    [aux_sym_connect_timeout_token1] = ACTIONS(2550),
    [aux_sym_control_master_token1] = ACTIONS(2550),
    [aux_sym_control_path_token1] = ACTIONS(2550),
    [aux_sym_control_persist_token1] = ACTIONS(2550),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2550),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2550),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2550),
    [aux_sym_escape_char_token1] = ACTIONS(2550),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2550),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2550),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2550),
    [aux_sym_forward_agent_token1] = ACTIONS(2550),
    [aux_sym_forward_x11_token1] = ACTIONS(2552),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2550),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2550),
    [aux_sym_gateway_ports_token1] = ACTIONS(2550),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2550),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2550),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2550),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2550),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2550),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2550),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2550),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2550),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2550),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2550),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2550),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2550),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2550),
    [aux_sym_host_key_alias_token1] = ACTIONS(2550),
    [aux_sym_hostname_token1] = ACTIONS(2550),
    [aux_sym_identities_only_token1] = ACTIONS(2550),
    [aux_sym_identity_agent_token1] = ACTIONS(2550),
    [aux_sym_identity_file_token1] = ACTIONS(2550),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2550),
    [aux_sym_include_token1] = ACTIONS(2550),
    [aux_sym_ip_qos_token1] = ACTIONS(2550),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2550),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2550),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2550),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2550),
    [aux_sym_local_command_token1] = ACTIONS(2550),
    [aux_sym_local_forward_token1] = ACTIONS(2550),
    [aux_sym_log_level_token1] = ACTIONS(2550),
    [aux_sym_log_verbose_token1] = ACTIONS(2550),
    [aux_sym_macs_token1] = ACTIONS(2550),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2550),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2550),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2550),
    [aux_sym_password_authentication_token1] = ACTIONS(2550),
    [aux_sym_permit_local_command_token1] = ACTIONS(2550),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2550),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2550),
    [aux_sym_port_token1] = ACTIONS(2550),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2550),
    [aux_sym_protocol_token1] = ACTIONS(2550),
    [aux_sym_proxy_command_token1] = ACTIONS(2550),
    [aux_sym_proxy_jump_token1] = ACTIONS(2550),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2550),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2550),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2550),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2550),
    [aux_sym_rekey_limit_token1] = ACTIONS(2550),
    [aux_sym_remote_command_token1] = ACTIONS(2550),
    [aux_sym_remote_forward_token1] = ACTIONS(2550),
    [aux_sym_request_tty_token1] = ACTIONS(2550),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2550),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2550),
    [aux_sym_security_key_provider_token1] = ACTIONS(2550),
    [aux_sym_send_env_token1] = ACTIONS(2550),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2550),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2550),
    [aux_sym_session_type_token1] = ACTIONS(2550),
    [aux_sym_set_env_token1] = ACTIONS(2550),
    [aux_sym_stdin_null_token1] = ACTIONS(2550),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2550),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2550),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2550),
    [aux_sym_syslog_facility_token1] = ACTIONS(2550),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2550),
    [aux_sym_keep_alive_token1] = ACTIONS(2550),
    [aux_sym_tag_token1] = ACTIONS(2550),
    [aux_sym_tunnel_token1] = ACTIONS(2552),
    [aux_sym_tunnel_device_token1] = ACTIONS(2550),
    [aux_sym_update_host_keys_token1] = ACTIONS(2550),
    [aux_sym_use_keychain_token1] = ACTIONS(2550),
    [aux_sym_use_roaming_token1] = ACTIONS(2550),
    [aux_sym_user_token1] = ACTIONS(2552),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2550),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2550),
    [aux_sym_version_addendum_token1] = ACTIONS(2550),
    [aux_sym_visual_host_key_token1] = ACTIONS(2550),
    [aux_sym_xauth_location_token1] = ACTIONS(2550),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2560),
    [aux_sym_match_token1] = ACTIONS(2556),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2556),
    [aux_sym_address_family_token1] = ACTIONS(2556),
    [aux_sym_batch_mode_token1] = ACTIONS(2556),
    [aux_sym_bind_address_token1] = ACTIONS(2556),
    [aux_sym_bind_interface_token1] = ACTIONS(2556),
    [aux_sym_canonical_domains_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2556),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2556),
    [aux_sym_certificate_file_token1] = ACTIONS(2556),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2556),
    [aux_sym_channel_timeout_token1] = ACTIONS(2556),
    [aux_sym_check_host_ip_token1] = ACTIONS(2556),
    [aux_sym_ciphers_token1] = ACTIONS(2556),
    [aux_sym_cipher_token1] = ACTIONS(2558),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2556),
    [aux_sym_compression_token1] = ACTIONS(2556),
    [aux_sym_connection_attempts_token1] = ACTIONS(2556),
    [aux_sym_connect_timeout_token1] = ACTIONS(2556),
    [aux_sym_control_master_token1] = ACTIONS(2556),
    [aux_sym_control_path_token1] = ACTIONS(2556),
    [aux_sym_control_persist_token1] = ACTIONS(2556),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2556),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2556),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2556),
    [aux_sym_escape_char_token1] = ACTIONS(2556),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2556),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2556),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2556),
    [aux_sym_forward_agent_token1] = ACTIONS(2556),
    [aux_sym_forward_x11_token1] = ACTIONS(2558),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2556),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2556),
    [aux_sym_gateway_ports_token1] = ACTIONS(2556),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2556),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2556),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2556),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2556),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2556),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2556),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2556),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2556),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2556),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2556),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2556),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2556),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2556),
    [aux_sym_host_key_alias_token1] = ACTIONS(2556),
    [aux_sym_hostname_token1] = ACTIONS(2556),
    [aux_sym_identities_only_token1] = ACTIONS(2556),
    [aux_sym_identity_agent_token1] = ACTIONS(2556),
    [aux_sym_identity_file_token1] = ACTIONS(2556),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2556),
    [aux_sym_include_token1] = ACTIONS(2556),
    [aux_sym_ip_qos_token1] = ACTIONS(2556),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2556),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2556),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2556),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2556),
    [aux_sym_local_command_token1] = ACTIONS(2556),
    [aux_sym_local_forward_token1] = ACTIONS(2556),
    [aux_sym_log_level_token1] = ACTIONS(2556),
    [aux_sym_log_verbose_token1] = ACTIONS(2556),
    [aux_sym_macs_token1] = ACTIONS(2556),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2556),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2556),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2556),
    [aux_sym_password_authentication_token1] = ACTIONS(2556),
    [aux_sym_permit_local_command_token1] = ACTIONS(2556),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2556),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2556),
    [aux_sym_port_token1] = ACTIONS(2556),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2556),
    [aux_sym_protocol_token1] = ACTIONS(2556),
    [aux_sym_proxy_command_token1] = ACTIONS(2556),
    [aux_sym_proxy_jump_token1] = ACTIONS(2556),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2556),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2556),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2556),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2556),
    [aux_sym_rekey_limit_token1] = ACTIONS(2556),
    [aux_sym_remote_command_token1] = ACTIONS(2556),
    [aux_sym_remote_forward_token1] = ACTIONS(2556),
    [aux_sym_request_tty_token1] = ACTIONS(2556),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2556),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2556),
    [aux_sym_security_key_provider_token1] = ACTIONS(2556),
    [aux_sym_send_env_token1] = ACTIONS(2556),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2556),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2556),
    [aux_sym_session_type_token1] = ACTIONS(2556),
    [aux_sym_set_env_token1] = ACTIONS(2556),
    [aux_sym_stdin_null_token1] = ACTIONS(2556),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2556),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2556),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2556),
    [aux_sym_syslog_facility_token1] = ACTIONS(2556),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2556),
    [aux_sym_keep_alive_token1] = ACTIONS(2556),
    [aux_sym_tag_token1] = ACTIONS(2556),
    [aux_sym_tunnel_token1] = ACTIONS(2558),
    [aux_sym_tunnel_device_token1] = ACTIONS(2556),
    [aux_sym_update_host_keys_token1] = ACTIONS(2556),
    [aux_sym_use_keychain_token1] = ACTIONS(2556),
    [aux_sym_use_roaming_token1] = ACTIONS(2556),
    [aux_sym_user_token1] = ACTIONS(2558),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2556),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2556),
    [aux_sym_version_addendum_token1] = ACTIONS(2556),
    [aux_sym_visual_host_key_token1] = ACTIONS(2556),
    [aux_sym_xauth_location_token1] = ACTIONS(2556),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [aux_sym_match_token1] = ACTIONS(2562),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2562),
    [aux_sym_address_family_token1] = ACTIONS(2562),
    [aux_sym_batch_mode_token1] = ACTIONS(2562),
    [aux_sym_bind_address_token1] = ACTIONS(2562),
    [aux_sym_bind_interface_token1] = ACTIONS(2562),
    [aux_sym_canonical_domains_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2562),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2562),
    [aux_sym_certificate_file_token1] = ACTIONS(2562),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2562),
    [aux_sym_channel_timeout_token1] = ACTIONS(2562),
    [aux_sym_check_host_ip_token1] = ACTIONS(2562),
    [aux_sym_ciphers_token1] = ACTIONS(2562),
    [aux_sym_cipher_token1] = ACTIONS(2564),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2562),
    [aux_sym_compression_token1] = ACTIONS(2562),
    [aux_sym_connection_attempts_token1] = ACTIONS(2562),
    [aux_sym_connect_timeout_token1] = ACTIONS(2562),
    [aux_sym_control_master_token1] = ACTIONS(2562),
    [aux_sym_control_path_token1] = ACTIONS(2562),
    [aux_sym_control_persist_token1] = ACTIONS(2562),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2562),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2562),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2562),
    [aux_sym_escape_char_token1] = ACTIONS(2562),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2562),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2562),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2562),
    [aux_sym_forward_agent_token1] = ACTIONS(2562),
    [aux_sym_forward_x11_token1] = ACTIONS(2564),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2562),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2562),
    [aux_sym_gateway_ports_token1] = ACTIONS(2562),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2562),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2562),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2562),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2562),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2562),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2562),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2562),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2562),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2562),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2562),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2562),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2562),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2562),
    [aux_sym_host_key_alias_token1] = ACTIONS(2562),
    [aux_sym_hostname_token1] = ACTIONS(2562),
    [aux_sym_identities_only_token1] = ACTIONS(2562),
    [aux_sym_identity_agent_token1] = ACTIONS(2562),
    [aux_sym_identity_file_token1] = ACTIONS(2562),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2562),
    [aux_sym_include_token1] = ACTIONS(2562),
    [aux_sym_ip_qos_token1] = ACTIONS(2562),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2562),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2562),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2562),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2562),
    [aux_sym_local_command_token1] = ACTIONS(2562),
    [aux_sym_local_forward_token1] = ACTIONS(2562),
    [aux_sym_log_level_token1] = ACTIONS(2562),
    [aux_sym_log_verbose_token1] = ACTIONS(2562),
    [aux_sym_macs_token1] = ACTIONS(2562),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2562),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2562),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2562),
    [aux_sym_password_authentication_token1] = ACTIONS(2562),
    [aux_sym_permit_local_command_token1] = ACTIONS(2562),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2562),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2562),
    [aux_sym_port_token1] = ACTIONS(2562),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2562),
    [aux_sym_protocol_token1] = ACTIONS(2562),
    [aux_sym_proxy_command_token1] = ACTIONS(2562),
    [aux_sym_proxy_jump_token1] = ACTIONS(2562),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2562),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2562),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2562),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2562),
    [aux_sym_rekey_limit_token1] = ACTIONS(2562),
    [aux_sym_remote_command_token1] = ACTIONS(2562),
    [aux_sym_remote_forward_token1] = ACTIONS(2562),
    [aux_sym_request_tty_token1] = ACTIONS(2562),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2562),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2562),
    [aux_sym_security_key_provider_token1] = ACTIONS(2562),
    [aux_sym_send_env_token1] = ACTIONS(2562),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2562),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2562),
    [aux_sym_session_type_token1] = ACTIONS(2562),
    [aux_sym_set_env_token1] = ACTIONS(2562),
    [aux_sym_stdin_null_token1] = ACTIONS(2562),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2562),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2562),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2562),
    [aux_sym_syslog_facility_token1] = ACTIONS(2562),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2562),
    [aux_sym_keep_alive_token1] = ACTIONS(2562),
    [aux_sym_tag_token1] = ACTIONS(2562),
    [aux_sym_tunnel_token1] = ACTIONS(2564),
    [aux_sym_tunnel_device_token1] = ACTIONS(2562),
    [aux_sym_update_host_keys_token1] = ACTIONS(2562),
    [aux_sym_use_keychain_token1] = ACTIONS(2562),
    [aux_sym_use_roaming_token1] = ACTIONS(2562),
    [aux_sym_user_token1] = ACTIONS(2564),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2562),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2562),
    [aux_sym_version_addendum_token1] = ACTIONS(2562),
    [aux_sym_visual_host_key_token1] = ACTIONS(2562),
    [aux_sym_xauth_location_token1] = ACTIONS(2562),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [aux_sym_match_token1] = ACTIONS(2568),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2568),
    [aux_sym_address_family_token1] = ACTIONS(2568),
    [aux_sym_batch_mode_token1] = ACTIONS(2568),
    [aux_sym_bind_address_token1] = ACTIONS(2568),
    [aux_sym_bind_interface_token1] = ACTIONS(2568),
    [aux_sym_canonical_domains_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2568),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2568),
    [aux_sym_certificate_file_token1] = ACTIONS(2568),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2568),
    [aux_sym_channel_timeout_token1] = ACTIONS(2568),
    [aux_sym_check_host_ip_token1] = ACTIONS(2568),
    [aux_sym_ciphers_token1] = ACTIONS(2568),
    [aux_sym_cipher_token1] = ACTIONS(2570),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2568),
    [aux_sym_compression_token1] = ACTIONS(2568),
    [aux_sym_connection_attempts_token1] = ACTIONS(2568),
    [aux_sym_connect_timeout_token1] = ACTIONS(2568),
    [aux_sym_control_master_token1] = ACTIONS(2568),
    [aux_sym_control_path_token1] = ACTIONS(2568),
    [aux_sym_control_persist_token1] = ACTIONS(2568),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2568),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2568),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2568),
    [aux_sym_escape_char_token1] = ACTIONS(2568),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2568),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2568),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2568),
    [aux_sym_forward_agent_token1] = ACTIONS(2568),
    [aux_sym_forward_x11_token1] = ACTIONS(2570),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2568),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2568),
    [aux_sym_gateway_ports_token1] = ACTIONS(2568),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2568),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2568),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2568),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2568),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2568),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2568),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2568),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2568),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2568),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2568),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2568),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2568),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2568),
    [aux_sym_host_key_alias_token1] = ACTIONS(2568),
    [aux_sym_hostname_token1] = ACTIONS(2568),
    [aux_sym_identities_only_token1] = ACTIONS(2568),
    [aux_sym_identity_agent_token1] = ACTIONS(2568),
    [aux_sym_identity_file_token1] = ACTIONS(2568),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2568),
    [aux_sym_include_token1] = ACTIONS(2568),
    [aux_sym_ip_qos_token1] = ACTIONS(2568),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2568),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2568),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2568),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2568),
    [aux_sym_local_command_token1] = ACTIONS(2568),
    [aux_sym_local_forward_token1] = ACTIONS(2568),
    [aux_sym_log_level_token1] = ACTIONS(2568),
    [aux_sym_log_verbose_token1] = ACTIONS(2568),
    [aux_sym_macs_token1] = ACTIONS(2568),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2568),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2568),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2568),
    [aux_sym_password_authentication_token1] = ACTIONS(2568),
    [aux_sym_permit_local_command_token1] = ACTIONS(2568),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2568),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2568),
    [aux_sym_port_token1] = ACTIONS(2568),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2568),
    [aux_sym_protocol_token1] = ACTIONS(2568),
    [aux_sym_proxy_command_token1] = ACTIONS(2568),
    [aux_sym_proxy_jump_token1] = ACTIONS(2568),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2568),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2568),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2568),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2568),
    [aux_sym_rekey_limit_token1] = ACTIONS(2568),
    [aux_sym_remote_command_token1] = ACTIONS(2568),
    [aux_sym_remote_forward_token1] = ACTIONS(2568),
    [aux_sym_request_tty_token1] = ACTIONS(2568),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2568),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2568),
    [aux_sym_security_key_provider_token1] = ACTIONS(2568),
    [aux_sym_send_env_token1] = ACTIONS(2568),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2568),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2568),
    [aux_sym_session_type_token1] = ACTIONS(2568),
    [aux_sym_set_env_token1] = ACTIONS(2568),
    [aux_sym_stdin_null_token1] = ACTIONS(2568),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2568),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2568),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2568),
    [aux_sym_syslog_facility_token1] = ACTIONS(2568),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2568),
    [aux_sym_keep_alive_token1] = ACTIONS(2568),
    [aux_sym_tag_token1] = ACTIONS(2568),
    [aux_sym_tunnel_token1] = ACTIONS(2570),
    [aux_sym_tunnel_device_token1] = ACTIONS(2568),
    [aux_sym_update_host_keys_token1] = ACTIONS(2568),
    [aux_sym_use_keychain_token1] = ACTIONS(2568),
    [aux_sym_use_roaming_token1] = ACTIONS(2568),
    [aux_sym_user_token1] = ACTIONS(2570),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2568),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2568),
    [aux_sym_version_addendum_token1] = ACTIONS(2568),
    [aux_sym_visual_host_key_token1] = ACTIONS(2568),
    [aux_sym_xauth_location_token1] = ACTIONS(2568),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [aux_sym_match_token1] = ACTIONS(2574),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2574),
    [aux_sym_address_family_token1] = ACTIONS(2574),
    [aux_sym_batch_mode_token1] = ACTIONS(2574),
    [aux_sym_bind_address_token1] = ACTIONS(2574),
    [aux_sym_bind_interface_token1] = ACTIONS(2574),
    [aux_sym_canonical_domains_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2574),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2574),
    [aux_sym_certificate_file_token1] = ACTIONS(2574),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2574),
    [aux_sym_channel_timeout_token1] = ACTIONS(2574),
    [aux_sym_check_host_ip_token1] = ACTIONS(2574),
    [aux_sym_ciphers_token1] = ACTIONS(2574),
    [aux_sym_cipher_token1] = ACTIONS(2576),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2574),
    [aux_sym_compression_token1] = ACTIONS(2574),
    [aux_sym_connection_attempts_token1] = ACTIONS(2574),
    [aux_sym_connect_timeout_token1] = ACTIONS(2574),
    [aux_sym_control_master_token1] = ACTIONS(2574),
    [aux_sym_control_path_token1] = ACTIONS(2574),
    [aux_sym_control_persist_token1] = ACTIONS(2574),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2574),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2574),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2574),
    [aux_sym_escape_char_token1] = ACTIONS(2574),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2574),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2574),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2574),
    [aux_sym_forward_agent_token1] = ACTIONS(2574),
    [aux_sym_forward_x11_token1] = ACTIONS(2576),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2574),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2574),
    [aux_sym_gateway_ports_token1] = ACTIONS(2574),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2574),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2574),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2574),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2574),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2574),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2574),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2574),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2574),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2574),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2574),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2574),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2574),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2574),
    [aux_sym_host_key_alias_token1] = ACTIONS(2574),
    [aux_sym_hostname_token1] = ACTIONS(2574),
    [aux_sym_identities_only_token1] = ACTIONS(2574),
    [aux_sym_identity_agent_token1] = ACTIONS(2574),
    [aux_sym_identity_file_token1] = ACTIONS(2574),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2574),
    [aux_sym_include_token1] = ACTIONS(2574),
    [aux_sym_ip_qos_token1] = ACTIONS(2574),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2574),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2574),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2574),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2574),
    [aux_sym_local_command_token1] = ACTIONS(2574),
    [aux_sym_local_forward_token1] = ACTIONS(2574),
    [aux_sym_log_level_token1] = ACTIONS(2574),
    [aux_sym_log_verbose_token1] = ACTIONS(2574),
    [aux_sym_macs_token1] = ACTIONS(2574),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2574),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2574),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2574),
    [aux_sym_password_authentication_token1] = ACTIONS(2574),
    [aux_sym_permit_local_command_token1] = ACTIONS(2574),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2574),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2574),
    [aux_sym_port_token1] = ACTIONS(2574),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2574),
    [aux_sym_protocol_token1] = ACTIONS(2574),
    [aux_sym_proxy_command_token1] = ACTIONS(2574),
    [aux_sym_proxy_jump_token1] = ACTIONS(2574),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2574),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2574),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2574),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2574),
    [aux_sym_rekey_limit_token1] = ACTIONS(2574),
    [aux_sym_remote_command_token1] = ACTIONS(2574),
    [aux_sym_remote_forward_token1] = ACTIONS(2574),
    [aux_sym_request_tty_token1] = ACTIONS(2574),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2574),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2574),
    [aux_sym_security_key_provider_token1] = ACTIONS(2574),
    [aux_sym_send_env_token1] = ACTIONS(2574),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2574),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2574),
    [aux_sym_session_type_token1] = ACTIONS(2574),
    [aux_sym_set_env_token1] = ACTIONS(2574),
    [aux_sym_stdin_null_token1] = ACTIONS(2574),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2574),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2574),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2574),
    [aux_sym_syslog_facility_token1] = ACTIONS(2574),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2574),
    [aux_sym_keep_alive_token1] = ACTIONS(2574),
    [aux_sym_tag_token1] = ACTIONS(2574),
    [aux_sym_tunnel_token1] = ACTIONS(2576),
    [aux_sym_tunnel_device_token1] = ACTIONS(2574),
    [aux_sym_update_host_keys_token1] = ACTIONS(2574),
    [aux_sym_use_keychain_token1] = ACTIONS(2574),
    [aux_sym_use_roaming_token1] = ACTIONS(2574),
    [aux_sym_user_token1] = ACTIONS(2576),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2574),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2574),
    [aux_sym_version_addendum_token1] = ACTIONS(2574),
    [aux_sym_visual_host_key_token1] = ACTIONS(2574),
    [aux_sym_xauth_location_token1] = ACTIONS(2574),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [aux_sym_match_token1] = ACTIONS(2580),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2580),
    [aux_sym_address_family_token1] = ACTIONS(2580),
    [aux_sym_batch_mode_token1] = ACTIONS(2580),
    [aux_sym_bind_address_token1] = ACTIONS(2580),
    [aux_sym_bind_interface_token1] = ACTIONS(2580),
    [aux_sym_canonical_domains_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2580),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2580),
    [aux_sym_certificate_file_token1] = ACTIONS(2580),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2580),
    [aux_sym_channel_timeout_token1] = ACTIONS(2580),
    [aux_sym_check_host_ip_token1] = ACTIONS(2580),
    [aux_sym_ciphers_token1] = ACTIONS(2580),
    [aux_sym_cipher_token1] = ACTIONS(2582),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2580),
    [aux_sym_compression_token1] = ACTIONS(2580),
    [aux_sym_connection_attempts_token1] = ACTIONS(2580),
    [aux_sym_connect_timeout_token1] = ACTIONS(2580),
    [aux_sym_control_master_token1] = ACTIONS(2580),
    [aux_sym_control_path_token1] = ACTIONS(2580),
    [aux_sym_control_persist_token1] = ACTIONS(2580),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2580),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2580),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2580),
    [aux_sym_escape_char_token1] = ACTIONS(2580),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2580),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2580),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2580),
    [aux_sym_forward_agent_token1] = ACTIONS(2580),
    [aux_sym_forward_x11_token1] = ACTIONS(2582),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2580),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2580),
    [aux_sym_gateway_ports_token1] = ACTIONS(2580),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2580),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2580),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2580),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2580),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2580),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2580),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2580),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2580),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2580),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2580),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2580),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2580),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2580),
    [aux_sym_host_key_alias_token1] = ACTIONS(2580),
    [aux_sym_hostname_token1] = ACTIONS(2580),
    [aux_sym_identities_only_token1] = ACTIONS(2580),
    [aux_sym_identity_agent_token1] = ACTIONS(2580),
    [aux_sym_identity_file_token1] = ACTIONS(2580),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2580),
    [aux_sym_include_token1] = ACTIONS(2580),
    [aux_sym_ip_qos_token1] = ACTIONS(2580),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2580),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2580),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2580),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2580),
    [aux_sym_local_command_token1] = ACTIONS(2580),
    [aux_sym_local_forward_token1] = ACTIONS(2580),
    [aux_sym_log_level_token1] = ACTIONS(2580),
    [aux_sym_log_verbose_token1] = ACTIONS(2580),
    [aux_sym_macs_token1] = ACTIONS(2580),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2580),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2580),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2580),
    [aux_sym_password_authentication_token1] = ACTIONS(2580),
    [aux_sym_permit_local_command_token1] = ACTIONS(2580),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2580),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2580),
    [aux_sym_port_token1] = ACTIONS(2580),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2580),
    [aux_sym_protocol_token1] = ACTIONS(2580),
    [aux_sym_proxy_command_token1] = ACTIONS(2580),
    [aux_sym_proxy_jump_token1] = ACTIONS(2580),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2580),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2580),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2580),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2580),
    [aux_sym_rekey_limit_token1] = ACTIONS(2580),
    [aux_sym_remote_command_token1] = ACTIONS(2580),
    [aux_sym_remote_forward_token1] = ACTIONS(2580),
    [aux_sym_request_tty_token1] = ACTIONS(2580),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2580),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2580),
    [aux_sym_security_key_provider_token1] = ACTIONS(2580),
    [aux_sym_send_env_token1] = ACTIONS(2580),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2580),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2580),
    [aux_sym_session_type_token1] = ACTIONS(2580),
    [aux_sym_set_env_token1] = ACTIONS(2580),
    [aux_sym_stdin_null_token1] = ACTIONS(2580),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2580),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2580),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2580),
    [aux_sym_syslog_facility_token1] = ACTIONS(2580),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2580),
    [aux_sym_keep_alive_token1] = ACTIONS(2580),
    [aux_sym_tag_token1] = ACTIONS(2580),
    [aux_sym_tunnel_token1] = ACTIONS(2582),
    [aux_sym_tunnel_device_token1] = ACTIONS(2580),
    [aux_sym_update_host_keys_token1] = ACTIONS(2580),
    [aux_sym_use_keychain_token1] = ACTIONS(2580),
    [aux_sym_use_roaming_token1] = ACTIONS(2580),
    [aux_sym_user_token1] = ACTIONS(2582),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2580),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2580),
    [aux_sym_version_addendum_token1] = ACTIONS(2580),
    [aux_sym_visual_host_key_token1] = ACTIONS(2580),
    [aux_sym_xauth_location_token1] = ACTIONS(2580),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [aux_sym_match_token1] = ACTIONS(2586),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2586),
    [aux_sym_address_family_token1] = ACTIONS(2586),
    [aux_sym_batch_mode_token1] = ACTIONS(2586),
    [aux_sym_bind_address_token1] = ACTIONS(2586),
    [aux_sym_bind_interface_token1] = ACTIONS(2586),
    [aux_sym_canonical_domains_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2586),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2586),
    [aux_sym_certificate_file_token1] = ACTIONS(2586),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2586),
    [aux_sym_channel_timeout_token1] = ACTIONS(2586),
    [aux_sym_check_host_ip_token1] = ACTIONS(2586),
    [aux_sym_ciphers_token1] = ACTIONS(2586),
    [aux_sym_cipher_token1] = ACTIONS(2588),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2586),
    [aux_sym_compression_token1] = ACTIONS(2586),
    [aux_sym_connection_attempts_token1] = ACTIONS(2586),
    [aux_sym_connect_timeout_token1] = ACTIONS(2586),
    [aux_sym_control_master_token1] = ACTIONS(2586),
    [aux_sym_control_path_token1] = ACTIONS(2586),
    [aux_sym_control_persist_token1] = ACTIONS(2586),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2586),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2586),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2586),
    [aux_sym_escape_char_token1] = ACTIONS(2586),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2586),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2586),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2586),
    [aux_sym_forward_agent_token1] = ACTIONS(2586),
    [aux_sym_forward_x11_token1] = ACTIONS(2588),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2586),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2586),
    [aux_sym_gateway_ports_token1] = ACTIONS(2586),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2586),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2586),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2586),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2586),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2586),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2586),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2586),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2586),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2586),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2586),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2586),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2586),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2586),
    [aux_sym_host_key_alias_token1] = ACTIONS(2586),
    [aux_sym_hostname_token1] = ACTIONS(2586),
    [aux_sym_identities_only_token1] = ACTIONS(2586),
    [aux_sym_identity_agent_token1] = ACTIONS(2586),
    [aux_sym_identity_file_token1] = ACTIONS(2586),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2586),
    [aux_sym_include_token1] = ACTIONS(2586),
    [aux_sym_ip_qos_token1] = ACTIONS(2586),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2586),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2586),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2586),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2586),
    [aux_sym_local_command_token1] = ACTIONS(2586),
    [aux_sym_local_forward_token1] = ACTIONS(2586),
    [aux_sym_log_level_token1] = ACTIONS(2586),
    [aux_sym_log_verbose_token1] = ACTIONS(2586),
    [aux_sym_macs_token1] = ACTIONS(2586),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2586),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2586),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2586),
    [aux_sym_password_authentication_token1] = ACTIONS(2586),
    [aux_sym_permit_local_command_token1] = ACTIONS(2586),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2586),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2586),
    [aux_sym_port_token1] = ACTIONS(2586),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2586),
    [aux_sym_protocol_token1] = ACTIONS(2586),
    [aux_sym_proxy_command_token1] = ACTIONS(2586),
    [aux_sym_proxy_jump_token1] = ACTIONS(2586),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2586),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2586),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2586),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2586),
    [aux_sym_rekey_limit_token1] = ACTIONS(2586),
    [aux_sym_remote_command_token1] = ACTIONS(2586),
    [aux_sym_remote_forward_token1] = ACTIONS(2586),
    [aux_sym_request_tty_token1] = ACTIONS(2586),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2586),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2586),
    [aux_sym_security_key_provider_token1] = ACTIONS(2586),
    [aux_sym_send_env_token1] = ACTIONS(2586),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2586),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2586),
    [aux_sym_session_type_token1] = ACTIONS(2586),
    [aux_sym_set_env_token1] = ACTIONS(2586),
    [aux_sym_stdin_null_token1] = ACTIONS(2586),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2586),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2586),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2586),
    [aux_sym_syslog_facility_token1] = ACTIONS(2586),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2586),
    [aux_sym_keep_alive_token1] = ACTIONS(2586),
    [aux_sym_tag_token1] = ACTIONS(2586),
    [aux_sym_tunnel_token1] = ACTIONS(2588),
    [aux_sym_tunnel_device_token1] = ACTIONS(2586),
    [aux_sym_update_host_keys_token1] = ACTIONS(2586),
    [aux_sym_use_keychain_token1] = ACTIONS(2586),
    [aux_sym_use_roaming_token1] = ACTIONS(2586),
    [aux_sym_user_token1] = ACTIONS(2588),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2586),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2586),
    [aux_sym_version_addendum_token1] = ACTIONS(2586),
    [aux_sym_visual_host_key_token1] = ACTIONS(2586),
    [aux_sym_xauth_location_token1] = ACTIONS(2586),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [aux_sym_match_token1] = ACTIONS(2592),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2592),
    [aux_sym_address_family_token1] = ACTIONS(2592),
    [aux_sym_batch_mode_token1] = ACTIONS(2592),
    [aux_sym_bind_address_token1] = ACTIONS(2592),
    [aux_sym_bind_interface_token1] = ACTIONS(2592),
    [aux_sym_canonical_domains_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2592),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2592),
    [aux_sym_certificate_file_token1] = ACTIONS(2592),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2592),
    [aux_sym_channel_timeout_token1] = ACTIONS(2592),
    [aux_sym_check_host_ip_token1] = ACTIONS(2592),
    [aux_sym_ciphers_token1] = ACTIONS(2592),
    [aux_sym_cipher_token1] = ACTIONS(2594),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2592),
    [aux_sym_compression_token1] = ACTIONS(2592),
    [aux_sym_connection_attempts_token1] = ACTIONS(2592),
    [aux_sym_connect_timeout_token1] = ACTIONS(2592),
    [aux_sym_control_master_token1] = ACTIONS(2592),
    [aux_sym_control_path_token1] = ACTIONS(2592),
    [aux_sym_control_persist_token1] = ACTIONS(2592),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2592),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2592),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2592),
    [aux_sym_escape_char_token1] = ACTIONS(2592),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2592),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2592),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2592),
    [aux_sym_forward_agent_token1] = ACTIONS(2592),
    [aux_sym_forward_x11_token1] = ACTIONS(2594),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2592),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2592),
    [aux_sym_gateway_ports_token1] = ACTIONS(2592),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2592),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2592),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2592),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2592),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2592),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2592),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2592),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2592),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2592),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2592),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2592),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2592),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2592),
    [aux_sym_host_key_alias_token1] = ACTIONS(2592),
    [aux_sym_hostname_token1] = ACTIONS(2592),
    [aux_sym_identities_only_token1] = ACTIONS(2592),
    [aux_sym_identity_agent_token1] = ACTIONS(2592),
    [aux_sym_identity_file_token1] = ACTIONS(2592),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2592),
    [aux_sym_include_token1] = ACTIONS(2592),
    [aux_sym_ip_qos_token1] = ACTIONS(2592),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2592),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2592),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2592),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2592),
    [aux_sym_local_command_token1] = ACTIONS(2592),
    [aux_sym_local_forward_token1] = ACTIONS(2592),
    [aux_sym_log_level_token1] = ACTIONS(2592),
    [aux_sym_log_verbose_token1] = ACTIONS(2592),
    [aux_sym_macs_token1] = ACTIONS(2592),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2592),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2592),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2592),
    [aux_sym_password_authentication_token1] = ACTIONS(2592),
    [aux_sym_permit_local_command_token1] = ACTIONS(2592),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2592),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2592),
    [aux_sym_port_token1] = ACTIONS(2592),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2592),
    [aux_sym_protocol_token1] = ACTIONS(2592),
    [aux_sym_proxy_command_token1] = ACTIONS(2592),
    [aux_sym_proxy_jump_token1] = ACTIONS(2592),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2592),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2592),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2592),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2592),
    [aux_sym_rekey_limit_token1] = ACTIONS(2592),
    [aux_sym_remote_command_token1] = ACTIONS(2592),
    [aux_sym_remote_forward_token1] = ACTIONS(2592),
    [aux_sym_request_tty_token1] = ACTIONS(2592),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2592),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2592),
    [aux_sym_security_key_provider_token1] = ACTIONS(2592),
    [aux_sym_send_env_token1] = ACTIONS(2592),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2592),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2592),
    [aux_sym_session_type_token1] = ACTIONS(2592),
    [aux_sym_set_env_token1] = ACTIONS(2592),
    [aux_sym_stdin_null_token1] = ACTIONS(2592),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2592),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2592),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2592),
    [aux_sym_syslog_facility_token1] = ACTIONS(2592),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2592),
    [aux_sym_keep_alive_token1] = ACTIONS(2592),
    [aux_sym_tag_token1] = ACTIONS(2592),
    [aux_sym_tunnel_token1] = ACTIONS(2594),
    [aux_sym_tunnel_device_token1] = ACTIONS(2592),
    [aux_sym_update_host_keys_token1] = ACTIONS(2592),
    [aux_sym_use_keychain_token1] = ACTIONS(2592),
    [aux_sym_use_roaming_token1] = ACTIONS(2592),
    [aux_sym_user_token1] = ACTIONS(2594),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2592),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2592),
    [aux_sym_version_addendum_token1] = ACTIONS(2592),
    [aux_sym_visual_host_key_token1] = ACTIONS(2592),
    [aux_sym_xauth_location_token1] = ACTIONS(2592),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [aux_sym_match_token1] = ACTIONS(2598),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2598),
    [aux_sym_address_family_token1] = ACTIONS(2598),
    [aux_sym_batch_mode_token1] = ACTIONS(2598),
    [aux_sym_bind_address_token1] = ACTIONS(2598),
    [aux_sym_bind_interface_token1] = ACTIONS(2598),
    [aux_sym_canonical_domains_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2598),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2598),
    [aux_sym_certificate_file_token1] = ACTIONS(2598),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2598),
    [aux_sym_channel_timeout_token1] = ACTIONS(2598),
    [aux_sym_check_host_ip_token1] = ACTIONS(2598),
    [aux_sym_ciphers_token1] = ACTIONS(2598),
    [aux_sym_cipher_token1] = ACTIONS(2600),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2598),
    [aux_sym_compression_token1] = ACTIONS(2598),
    [aux_sym_connection_attempts_token1] = ACTIONS(2598),
    [aux_sym_connect_timeout_token1] = ACTIONS(2598),
    [aux_sym_control_master_token1] = ACTIONS(2598),
    [aux_sym_control_path_token1] = ACTIONS(2598),
    [aux_sym_control_persist_token1] = ACTIONS(2598),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2598),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2598),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2598),
    [aux_sym_escape_char_token1] = ACTIONS(2598),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2598),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2598),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2598),
    [aux_sym_forward_agent_token1] = ACTIONS(2598),
    [aux_sym_forward_x11_token1] = ACTIONS(2600),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2598),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2598),
    [aux_sym_gateway_ports_token1] = ACTIONS(2598),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2598),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2598),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2598),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2598),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2598),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2598),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2598),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2598),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2598),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2598),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2598),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2598),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2598),
    [aux_sym_host_key_alias_token1] = ACTIONS(2598),
    [aux_sym_hostname_token1] = ACTIONS(2598),
    [aux_sym_identities_only_token1] = ACTIONS(2598),
    [aux_sym_identity_agent_token1] = ACTIONS(2598),
    [aux_sym_identity_file_token1] = ACTIONS(2598),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2598),
    [aux_sym_include_token1] = ACTIONS(2598),
    [aux_sym_ip_qos_token1] = ACTIONS(2598),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2598),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2598),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2598),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2598),
    [aux_sym_local_command_token1] = ACTIONS(2598),
    [aux_sym_local_forward_token1] = ACTIONS(2598),
    [aux_sym_log_level_token1] = ACTIONS(2598),
    [aux_sym_log_verbose_token1] = ACTIONS(2598),
    [aux_sym_macs_token1] = ACTIONS(2598),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2598),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2598),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2598),
    [aux_sym_password_authentication_token1] = ACTIONS(2598),
    [aux_sym_permit_local_command_token1] = ACTIONS(2598),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2598),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2598),
    [aux_sym_port_token1] = ACTIONS(2598),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2598),
    [aux_sym_protocol_token1] = ACTIONS(2598),
    [aux_sym_proxy_command_token1] = ACTIONS(2598),
    [aux_sym_proxy_jump_token1] = ACTIONS(2598),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2598),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2598),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2598),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2598),
    [aux_sym_rekey_limit_token1] = ACTIONS(2598),
    [aux_sym_remote_command_token1] = ACTIONS(2598),
    [aux_sym_remote_forward_token1] = ACTIONS(2598),
    [aux_sym_request_tty_token1] = ACTIONS(2598),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2598),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2598),
    [aux_sym_security_key_provider_token1] = ACTIONS(2598),
    [aux_sym_send_env_token1] = ACTIONS(2598),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2598),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2598),
    [aux_sym_session_type_token1] = ACTIONS(2598),
    [aux_sym_set_env_token1] = ACTIONS(2598),
    [aux_sym_stdin_null_token1] = ACTIONS(2598),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2598),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2598),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2598),
    [aux_sym_syslog_facility_token1] = ACTIONS(2598),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2598),
    [aux_sym_keep_alive_token1] = ACTIONS(2598),
    [aux_sym_tag_token1] = ACTIONS(2598),
    [aux_sym_tunnel_token1] = ACTIONS(2600),
    [aux_sym_tunnel_device_token1] = ACTIONS(2598),
    [aux_sym_update_host_keys_token1] = ACTIONS(2598),
    [aux_sym_use_keychain_token1] = ACTIONS(2598),
    [aux_sym_use_roaming_token1] = ACTIONS(2598),
    [aux_sym_user_token1] = ACTIONS(2600),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2598),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2598),
    [aux_sym_version_addendum_token1] = ACTIONS(2598),
    [aux_sym_visual_host_key_token1] = ACTIONS(2598),
    [aux_sym_xauth_location_token1] = ACTIONS(2598),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [aux_sym_match_token1] = ACTIONS(2604),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2604),
    [aux_sym_address_family_token1] = ACTIONS(2604),
    [aux_sym_batch_mode_token1] = ACTIONS(2604),
    [aux_sym_bind_address_token1] = ACTIONS(2604),
    [aux_sym_bind_interface_token1] = ACTIONS(2604),
    [aux_sym_canonical_domains_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2604),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2604),
    [aux_sym_certificate_file_token1] = ACTIONS(2604),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2604),
    [aux_sym_channel_timeout_token1] = ACTIONS(2604),
    [aux_sym_check_host_ip_token1] = ACTIONS(2604),
    [aux_sym_ciphers_token1] = ACTIONS(2604),
    [aux_sym_cipher_token1] = ACTIONS(2606),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2604),
    [aux_sym_compression_token1] = ACTIONS(2604),
    [aux_sym_connection_attempts_token1] = ACTIONS(2604),
    [aux_sym_connect_timeout_token1] = ACTIONS(2604),
    [aux_sym_control_master_token1] = ACTIONS(2604),
    [aux_sym_control_path_token1] = ACTIONS(2604),
    [aux_sym_control_persist_token1] = ACTIONS(2604),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2604),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2604),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2604),
    [aux_sym_escape_char_token1] = ACTIONS(2604),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2604),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2604),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2604),
    [aux_sym_forward_agent_token1] = ACTIONS(2604),
    [aux_sym_forward_x11_token1] = ACTIONS(2606),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2604),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2604),
    [aux_sym_gateway_ports_token1] = ACTIONS(2604),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2604),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2604),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2604),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2604),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2604),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2604),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2604),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2604),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2604),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2604),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2604),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2604),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2604),
    [aux_sym_host_key_alias_token1] = ACTIONS(2604),
    [aux_sym_hostname_token1] = ACTIONS(2604),
    [aux_sym_identities_only_token1] = ACTIONS(2604),
    [aux_sym_identity_agent_token1] = ACTIONS(2604),
    [aux_sym_identity_file_token1] = ACTIONS(2604),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2604),
    [aux_sym_include_token1] = ACTIONS(2604),
    [aux_sym_ip_qos_token1] = ACTIONS(2604),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2604),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2604),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2604),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2604),
    [aux_sym_local_command_token1] = ACTIONS(2604),
    [aux_sym_local_forward_token1] = ACTIONS(2604),
    [aux_sym_log_level_token1] = ACTIONS(2604),
    [aux_sym_log_verbose_token1] = ACTIONS(2604),
    [aux_sym_macs_token1] = ACTIONS(2604),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2604),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2604),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2604),
    [aux_sym_password_authentication_token1] = ACTIONS(2604),
    [aux_sym_permit_local_command_token1] = ACTIONS(2604),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2604),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2604),
    [aux_sym_port_token1] = ACTIONS(2604),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2604),
    [aux_sym_protocol_token1] = ACTIONS(2604),
    [aux_sym_proxy_command_token1] = ACTIONS(2604),
    [aux_sym_proxy_jump_token1] = ACTIONS(2604),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2604),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2604),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2604),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2604),
    [aux_sym_rekey_limit_token1] = ACTIONS(2604),
    [aux_sym_remote_command_token1] = ACTIONS(2604),
    [aux_sym_remote_forward_token1] = ACTIONS(2604),
    [aux_sym_request_tty_token1] = ACTIONS(2604),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2604),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2604),
    [aux_sym_security_key_provider_token1] = ACTIONS(2604),
    [aux_sym_send_env_token1] = ACTIONS(2604),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2604),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2604),
    [aux_sym_session_type_token1] = ACTIONS(2604),
    [aux_sym_set_env_token1] = ACTIONS(2604),
    [aux_sym_stdin_null_token1] = ACTIONS(2604),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2604),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2604),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2604),
    [aux_sym_syslog_facility_token1] = ACTIONS(2604),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2604),
    [aux_sym_keep_alive_token1] = ACTIONS(2604),
    [aux_sym_tag_token1] = ACTIONS(2604),
    [aux_sym_tunnel_token1] = ACTIONS(2606),
    [aux_sym_tunnel_device_token1] = ACTIONS(2604),
    [aux_sym_update_host_keys_token1] = ACTIONS(2604),
    [aux_sym_use_keychain_token1] = ACTIONS(2604),
    [aux_sym_use_roaming_token1] = ACTIONS(2604),
    [aux_sym_user_token1] = ACTIONS(2606),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2604),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2604),
    [aux_sym_version_addendum_token1] = ACTIONS(2604),
    [aux_sym_visual_host_key_token1] = ACTIONS(2604),
    [aux_sym_xauth_location_token1] = ACTIONS(2604),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [aux_sym_match_token1] = ACTIONS(2610),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2610),
    [aux_sym_address_family_token1] = ACTIONS(2610),
    [aux_sym_batch_mode_token1] = ACTIONS(2610),
    [aux_sym_bind_address_token1] = ACTIONS(2610),
    [aux_sym_bind_interface_token1] = ACTIONS(2610),
    [aux_sym_canonical_domains_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2610),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2610),
    [aux_sym_certificate_file_token1] = ACTIONS(2610),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2610),
    [aux_sym_channel_timeout_token1] = ACTIONS(2610),
    [aux_sym_check_host_ip_token1] = ACTIONS(2610),
    [aux_sym_ciphers_token1] = ACTIONS(2610),
    [aux_sym_cipher_token1] = ACTIONS(2612),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2610),
    [aux_sym_compression_token1] = ACTIONS(2610),
    [aux_sym_connection_attempts_token1] = ACTIONS(2610),
    [aux_sym_connect_timeout_token1] = ACTIONS(2610),
    [aux_sym_control_master_token1] = ACTIONS(2610),
    [aux_sym_control_path_token1] = ACTIONS(2610),
    [aux_sym_control_persist_token1] = ACTIONS(2610),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2610),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2610),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2610),
    [aux_sym_escape_char_token1] = ACTIONS(2610),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2610),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2610),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2610),
    [aux_sym_forward_agent_token1] = ACTIONS(2610),
    [aux_sym_forward_x11_token1] = ACTIONS(2612),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2610),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2610),
    [aux_sym_gateway_ports_token1] = ACTIONS(2610),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2610),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2610),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2610),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2610),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2610),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2610),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2610),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2610),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2610),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2610),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2610),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2610),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2610),
    [aux_sym_host_key_alias_token1] = ACTIONS(2610),
    [aux_sym_hostname_token1] = ACTIONS(2610),
    [aux_sym_identities_only_token1] = ACTIONS(2610),
    [aux_sym_identity_agent_token1] = ACTIONS(2610),
    [aux_sym_identity_file_token1] = ACTIONS(2610),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2610),
    [aux_sym_include_token1] = ACTIONS(2610),
    [aux_sym_ip_qos_token1] = ACTIONS(2610),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2610),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2610),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2610),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2610),
    [aux_sym_local_command_token1] = ACTIONS(2610),
    [aux_sym_local_forward_token1] = ACTIONS(2610),
    [aux_sym_log_level_token1] = ACTIONS(2610),
    [aux_sym_log_verbose_token1] = ACTIONS(2610),
    [aux_sym_macs_token1] = ACTIONS(2610),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2610),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2610),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2610),
    [aux_sym_password_authentication_token1] = ACTIONS(2610),
    [aux_sym_permit_local_command_token1] = ACTIONS(2610),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2610),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2610),
    [aux_sym_port_token1] = ACTIONS(2610),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2610),
    [aux_sym_protocol_token1] = ACTIONS(2610),
    [aux_sym_proxy_command_token1] = ACTIONS(2610),
    [aux_sym_proxy_jump_token1] = ACTIONS(2610),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2610),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2610),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2610),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2610),
    [aux_sym_rekey_limit_token1] = ACTIONS(2610),
    [aux_sym_remote_command_token1] = ACTIONS(2610),
    [aux_sym_remote_forward_token1] = ACTIONS(2610),
    [aux_sym_request_tty_token1] = ACTIONS(2610),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2610),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2610),
    [aux_sym_security_key_provider_token1] = ACTIONS(2610),
    [aux_sym_send_env_token1] = ACTIONS(2610),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2610),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2610),
    [aux_sym_session_type_token1] = ACTIONS(2610),
    [aux_sym_set_env_token1] = ACTIONS(2610),
    [aux_sym_stdin_null_token1] = ACTIONS(2610),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2610),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2610),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2610),
    [aux_sym_syslog_facility_token1] = ACTIONS(2610),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2610),
    [aux_sym_keep_alive_token1] = ACTIONS(2610),
    [aux_sym_tag_token1] = ACTIONS(2610),
    [aux_sym_tunnel_token1] = ACTIONS(2612),
    [aux_sym_tunnel_device_token1] = ACTIONS(2610),
    [aux_sym_update_host_keys_token1] = ACTIONS(2610),
    [aux_sym_use_keychain_token1] = ACTIONS(2610),
    [aux_sym_use_roaming_token1] = ACTIONS(2610),
    [aux_sym_user_token1] = ACTIONS(2612),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2610),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2610),
    [aux_sym_version_addendum_token1] = ACTIONS(2610),
    [aux_sym_visual_host_key_token1] = ACTIONS(2610),
    [aux_sym_xauth_location_token1] = ACTIONS(2610),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [aux_sym_match_token1] = ACTIONS(2616),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2616),
    [aux_sym_address_family_token1] = ACTIONS(2616),
    [aux_sym_batch_mode_token1] = ACTIONS(2616),
    [aux_sym_bind_address_token1] = ACTIONS(2616),
    [aux_sym_bind_interface_token1] = ACTIONS(2616),
    [aux_sym_canonical_domains_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2616),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2616),
    [aux_sym_certificate_file_token1] = ACTIONS(2616),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2616),
    [aux_sym_channel_timeout_token1] = ACTIONS(2616),
    [aux_sym_check_host_ip_token1] = ACTIONS(2616),
    [aux_sym_ciphers_token1] = ACTIONS(2616),
    [aux_sym_cipher_token1] = ACTIONS(2618),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2616),
    [aux_sym_compression_token1] = ACTIONS(2616),
    [aux_sym_connection_attempts_token1] = ACTIONS(2616),
    [aux_sym_connect_timeout_token1] = ACTIONS(2616),
    [aux_sym_control_master_token1] = ACTIONS(2616),
    [aux_sym_control_path_token1] = ACTIONS(2616),
    [aux_sym_control_persist_token1] = ACTIONS(2616),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2616),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2616),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2616),
    [aux_sym_escape_char_token1] = ACTIONS(2616),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2616),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2616),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2616),
    [aux_sym_forward_agent_token1] = ACTIONS(2616),
    [aux_sym_forward_x11_token1] = ACTIONS(2618),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2616),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2616),
    [aux_sym_gateway_ports_token1] = ACTIONS(2616),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2616),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2616),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2616),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2616),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2616),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2616),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2616),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2616),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2616),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2616),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2616),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2616),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2616),
    [aux_sym_host_key_alias_token1] = ACTIONS(2616),
    [aux_sym_hostname_token1] = ACTIONS(2616),
    [aux_sym_identities_only_token1] = ACTIONS(2616),
    [aux_sym_identity_agent_token1] = ACTIONS(2616),
    [aux_sym_identity_file_token1] = ACTIONS(2616),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2616),
    [aux_sym_include_token1] = ACTIONS(2616),
    [aux_sym_ip_qos_token1] = ACTIONS(2616),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2616),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2616),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2616),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2616),
    [aux_sym_local_command_token1] = ACTIONS(2616),
    [aux_sym_local_forward_token1] = ACTIONS(2616),
    [aux_sym_log_level_token1] = ACTIONS(2616),
    [aux_sym_log_verbose_token1] = ACTIONS(2616),
    [aux_sym_macs_token1] = ACTIONS(2616),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2616),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2616),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2616),
    [aux_sym_password_authentication_token1] = ACTIONS(2616),
    [aux_sym_permit_local_command_token1] = ACTIONS(2616),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2616),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2616),
    [aux_sym_port_token1] = ACTIONS(2616),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2616),
    [aux_sym_protocol_token1] = ACTIONS(2616),
    [aux_sym_proxy_command_token1] = ACTIONS(2616),
    [aux_sym_proxy_jump_token1] = ACTIONS(2616),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2616),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2616),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2616),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2616),
    [aux_sym_rekey_limit_token1] = ACTIONS(2616),
    [aux_sym_remote_command_token1] = ACTIONS(2616),
    [aux_sym_remote_forward_token1] = ACTIONS(2616),
    [aux_sym_request_tty_token1] = ACTIONS(2616),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2616),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2616),
    [aux_sym_security_key_provider_token1] = ACTIONS(2616),
    [aux_sym_send_env_token1] = ACTIONS(2616),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2616),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2616),
    [aux_sym_session_type_token1] = ACTIONS(2616),
    [aux_sym_set_env_token1] = ACTIONS(2616),
    [aux_sym_stdin_null_token1] = ACTIONS(2616),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2616),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2616),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2616),
    [aux_sym_syslog_facility_token1] = ACTIONS(2616),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2616),
    [aux_sym_keep_alive_token1] = ACTIONS(2616),
    [aux_sym_tag_token1] = ACTIONS(2616),
    [aux_sym_tunnel_token1] = ACTIONS(2618),
    [aux_sym_tunnel_device_token1] = ACTIONS(2616),
    [aux_sym_update_host_keys_token1] = ACTIONS(2616),
    [aux_sym_use_keychain_token1] = ACTIONS(2616),
    [aux_sym_use_roaming_token1] = ACTIONS(2616),
    [aux_sym_user_token1] = ACTIONS(2618),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2616),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2616),
    [aux_sym_version_addendum_token1] = ACTIONS(2616),
    [aux_sym_visual_host_key_token1] = ACTIONS(2616),
    [aux_sym_xauth_location_token1] = ACTIONS(2616),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [aux_sym_match_token1] = ACTIONS(2622),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2622),
    [aux_sym_address_family_token1] = ACTIONS(2622),
    [aux_sym_batch_mode_token1] = ACTIONS(2622),
    [aux_sym_bind_address_token1] = ACTIONS(2622),
    [aux_sym_bind_interface_token1] = ACTIONS(2622),
    [aux_sym_canonical_domains_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2622),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2622),
    [aux_sym_certificate_file_token1] = ACTIONS(2622),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2622),
    [aux_sym_channel_timeout_token1] = ACTIONS(2622),
    [aux_sym_check_host_ip_token1] = ACTIONS(2622),
    [aux_sym_ciphers_token1] = ACTIONS(2622),
    [aux_sym_cipher_token1] = ACTIONS(2624),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2622),
    [aux_sym_compression_token1] = ACTIONS(2622),
    [aux_sym_connection_attempts_token1] = ACTIONS(2622),
    [aux_sym_connect_timeout_token1] = ACTIONS(2622),
    [aux_sym_control_master_token1] = ACTIONS(2622),
    [aux_sym_control_path_token1] = ACTIONS(2622),
    [aux_sym_control_persist_token1] = ACTIONS(2622),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2622),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2622),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2622),
    [aux_sym_escape_char_token1] = ACTIONS(2622),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2622),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2622),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2622),
    [aux_sym_forward_agent_token1] = ACTIONS(2622),
    [aux_sym_forward_x11_token1] = ACTIONS(2624),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2622),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2622),
    [aux_sym_gateway_ports_token1] = ACTIONS(2622),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2622),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2622),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2622),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2622),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2622),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2622),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2622),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2622),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2622),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2622),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2622),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2622),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2622),
    [aux_sym_host_key_alias_token1] = ACTIONS(2622),
    [aux_sym_hostname_token1] = ACTIONS(2622),
    [aux_sym_identities_only_token1] = ACTIONS(2622),
    [aux_sym_identity_agent_token1] = ACTIONS(2622),
    [aux_sym_identity_file_token1] = ACTIONS(2622),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2622),
    [aux_sym_include_token1] = ACTIONS(2622),
    [aux_sym_ip_qos_token1] = ACTIONS(2622),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2622),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2622),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2622),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2622),
    [aux_sym_local_command_token1] = ACTIONS(2622),
    [aux_sym_local_forward_token1] = ACTIONS(2622),
    [aux_sym_log_level_token1] = ACTIONS(2622),
    [aux_sym_log_verbose_token1] = ACTIONS(2622),
    [aux_sym_macs_token1] = ACTIONS(2622),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2622),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2622),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2622),
    [aux_sym_password_authentication_token1] = ACTIONS(2622),
    [aux_sym_permit_local_command_token1] = ACTIONS(2622),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2622),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2622),
    [aux_sym_port_token1] = ACTIONS(2622),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2622),
    [aux_sym_protocol_token1] = ACTIONS(2622),
    [aux_sym_proxy_command_token1] = ACTIONS(2622),
    [aux_sym_proxy_jump_token1] = ACTIONS(2622),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2622),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2622),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2622),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2622),
    [aux_sym_rekey_limit_token1] = ACTIONS(2622),
    [aux_sym_remote_command_token1] = ACTIONS(2622),
    [aux_sym_remote_forward_token1] = ACTIONS(2622),
    [aux_sym_request_tty_token1] = ACTIONS(2622),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2622),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2622),
    [aux_sym_security_key_provider_token1] = ACTIONS(2622),
    [aux_sym_send_env_token1] = ACTIONS(2622),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2622),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2622),
    [aux_sym_session_type_token1] = ACTIONS(2622),
    [aux_sym_set_env_token1] = ACTIONS(2622),
    [aux_sym_stdin_null_token1] = ACTIONS(2622),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2622),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2622),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2622),
    [aux_sym_syslog_facility_token1] = ACTIONS(2622),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2622),
    [aux_sym_keep_alive_token1] = ACTIONS(2622),
    [aux_sym_tag_token1] = ACTIONS(2622),
    [aux_sym_tunnel_token1] = ACTIONS(2624),
    [aux_sym_tunnel_device_token1] = ACTIONS(2622),
    [aux_sym_update_host_keys_token1] = ACTIONS(2622),
    [aux_sym_use_keychain_token1] = ACTIONS(2622),
    [aux_sym_use_roaming_token1] = ACTIONS(2622),
    [aux_sym_user_token1] = ACTIONS(2624),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2622),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2622),
    [aux_sym_version_addendum_token1] = ACTIONS(2622),
    [aux_sym_visual_host_key_token1] = ACTIONS(2622),
    [aux_sym_xauth_location_token1] = ACTIONS(2622),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [aux_sym_match_token1] = ACTIONS(2628),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2628),
    [aux_sym_address_family_token1] = ACTIONS(2628),
    [aux_sym_batch_mode_token1] = ACTIONS(2628),
    [aux_sym_bind_address_token1] = ACTIONS(2628),
    [aux_sym_bind_interface_token1] = ACTIONS(2628),
    [aux_sym_canonical_domains_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2628),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2628),
    [aux_sym_certificate_file_token1] = ACTIONS(2628),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2628),
    [aux_sym_channel_timeout_token1] = ACTIONS(2628),
    [aux_sym_check_host_ip_token1] = ACTIONS(2628),
    [aux_sym_ciphers_token1] = ACTIONS(2628),
    [aux_sym_cipher_token1] = ACTIONS(2630),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2628),
    [aux_sym_compression_token1] = ACTIONS(2628),
    [aux_sym_connection_attempts_token1] = ACTIONS(2628),
    [aux_sym_connect_timeout_token1] = ACTIONS(2628),
    [aux_sym_control_master_token1] = ACTIONS(2628),
    [aux_sym_control_path_token1] = ACTIONS(2628),
    [aux_sym_control_persist_token1] = ACTIONS(2628),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2628),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2628),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2628),
    [aux_sym_escape_char_token1] = ACTIONS(2628),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2628),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2628),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2628),
    [aux_sym_forward_agent_token1] = ACTIONS(2628),
    [aux_sym_forward_x11_token1] = ACTIONS(2630),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2628),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2628),
    [aux_sym_gateway_ports_token1] = ACTIONS(2628),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2628),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2628),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2628),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2628),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2628),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2628),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2628),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2628),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2628),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2628),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2628),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2628),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2628),
    [aux_sym_host_key_alias_token1] = ACTIONS(2628),
    [aux_sym_hostname_token1] = ACTIONS(2628),
    [aux_sym_identities_only_token1] = ACTIONS(2628),
    [aux_sym_identity_agent_token1] = ACTIONS(2628),
    [aux_sym_identity_file_token1] = ACTIONS(2628),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2628),
    [aux_sym_include_token1] = ACTIONS(2628),
    [aux_sym_ip_qos_token1] = ACTIONS(2628),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2628),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2628),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2628),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2628),
    [aux_sym_local_command_token1] = ACTIONS(2628),
    [aux_sym_local_forward_token1] = ACTIONS(2628),
    [aux_sym_log_level_token1] = ACTIONS(2628),
    [aux_sym_log_verbose_token1] = ACTIONS(2628),
    [aux_sym_macs_token1] = ACTIONS(2628),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2628),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2628),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2628),
    [aux_sym_password_authentication_token1] = ACTIONS(2628),
    [aux_sym_permit_local_command_token1] = ACTIONS(2628),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2628),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2628),
    [aux_sym_port_token1] = ACTIONS(2628),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2628),
    [aux_sym_protocol_token1] = ACTIONS(2628),
    [aux_sym_proxy_command_token1] = ACTIONS(2628),
    [aux_sym_proxy_jump_token1] = ACTIONS(2628),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2628),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2628),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2628),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2628),
    [aux_sym_rekey_limit_token1] = ACTIONS(2628),
    [aux_sym_remote_command_token1] = ACTIONS(2628),
    [aux_sym_remote_forward_token1] = ACTIONS(2628),
    [aux_sym_request_tty_token1] = ACTIONS(2628),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2628),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2628),
    [aux_sym_security_key_provider_token1] = ACTIONS(2628),
    [aux_sym_send_env_token1] = ACTIONS(2628),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2628),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2628),
    [aux_sym_session_type_token1] = ACTIONS(2628),
    [aux_sym_set_env_token1] = ACTIONS(2628),
    [aux_sym_stdin_null_token1] = ACTIONS(2628),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2628),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2628),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2628),
    [aux_sym_syslog_facility_token1] = ACTIONS(2628),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2628),
    [aux_sym_keep_alive_token1] = ACTIONS(2628),
    [aux_sym_tag_token1] = ACTIONS(2628),
    [aux_sym_tunnel_token1] = ACTIONS(2630),
    [aux_sym_tunnel_device_token1] = ACTIONS(2628),
    [aux_sym_update_host_keys_token1] = ACTIONS(2628),
    [aux_sym_use_keychain_token1] = ACTIONS(2628),
    [aux_sym_use_roaming_token1] = ACTIONS(2628),
    [aux_sym_user_token1] = ACTIONS(2630),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2628),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2628),
    [aux_sym_version_addendum_token1] = ACTIONS(2628),
    [aux_sym_visual_host_key_token1] = ACTIONS(2628),
    [aux_sym_xauth_location_token1] = ACTIONS(2628),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [aux_sym_match_token1] = ACTIONS(2634),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2634),
    [aux_sym_address_family_token1] = ACTIONS(2634),
    [aux_sym_batch_mode_token1] = ACTIONS(2634),
    [aux_sym_bind_address_token1] = ACTIONS(2634),
    [aux_sym_bind_interface_token1] = ACTIONS(2634),
    [aux_sym_canonical_domains_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2634),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2634),
    [aux_sym_certificate_file_token1] = ACTIONS(2634),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2634),
    [aux_sym_channel_timeout_token1] = ACTIONS(2634),
    [aux_sym_check_host_ip_token1] = ACTIONS(2634),
    [aux_sym_ciphers_token1] = ACTIONS(2634),
    [aux_sym_cipher_token1] = ACTIONS(2636),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2634),
    [aux_sym_compression_token1] = ACTIONS(2634),
    [aux_sym_connection_attempts_token1] = ACTIONS(2634),
    [aux_sym_connect_timeout_token1] = ACTIONS(2634),
    [aux_sym_control_master_token1] = ACTIONS(2634),
    [aux_sym_control_path_token1] = ACTIONS(2634),
    [aux_sym_control_persist_token1] = ACTIONS(2634),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2634),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2634),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2634),
    [aux_sym_escape_char_token1] = ACTIONS(2634),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2634),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2634),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2634),
    [aux_sym_forward_agent_token1] = ACTIONS(2634),
    [aux_sym_forward_x11_token1] = ACTIONS(2636),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2634),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2634),
    [aux_sym_gateway_ports_token1] = ACTIONS(2634),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2634),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2634),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2634),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2634),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2634),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2634),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2634),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2634),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2634),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2634),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2634),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2634),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2634),
    [aux_sym_host_key_alias_token1] = ACTIONS(2634),
    [aux_sym_hostname_token1] = ACTIONS(2634),
    [aux_sym_identities_only_token1] = ACTIONS(2634),
    [aux_sym_identity_agent_token1] = ACTIONS(2634),
    [aux_sym_identity_file_token1] = ACTIONS(2634),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2634),
    [aux_sym_include_token1] = ACTIONS(2634),
    [aux_sym_ip_qos_token1] = ACTIONS(2634),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2634),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2634),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2634),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2634),
    [aux_sym_local_command_token1] = ACTIONS(2634),
    [aux_sym_local_forward_token1] = ACTIONS(2634),
    [aux_sym_log_level_token1] = ACTIONS(2634),
    [aux_sym_log_verbose_token1] = ACTIONS(2634),
    [aux_sym_macs_token1] = ACTIONS(2634),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2634),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2634),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2634),
    [aux_sym_password_authentication_token1] = ACTIONS(2634),
    [aux_sym_permit_local_command_token1] = ACTIONS(2634),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2634),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2634),
    [aux_sym_port_token1] = ACTIONS(2634),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2634),
    [aux_sym_protocol_token1] = ACTIONS(2634),
    [aux_sym_proxy_command_token1] = ACTIONS(2634),
    [aux_sym_proxy_jump_token1] = ACTIONS(2634),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2634),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2634),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2634),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2634),
    [aux_sym_rekey_limit_token1] = ACTIONS(2634),
    [aux_sym_remote_command_token1] = ACTIONS(2634),
    [aux_sym_remote_forward_token1] = ACTIONS(2634),
    [aux_sym_request_tty_token1] = ACTIONS(2634),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2634),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2634),
    [aux_sym_security_key_provider_token1] = ACTIONS(2634),
    [aux_sym_send_env_token1] = ACTIONS(2634),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2634),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2634),
    [aux_sym_session_type_token1] = ACTIONS(2634),
    [aux_sym_set_env_token1] = ACTIONS(2634),
    [aux_sym_stdin_null_token1] = ACTIONS(2634),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2634),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2634),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2634),
    [aux_sym_syslog_facility_token1] = ACTIONS(2634),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2634),
    [aux_sym_keep_alive_token1] = ACTIONS(2634),
    [aux_sym_tag_token1] = ACTIONS(2634),
    [aux_sym_tunnel_token1] = ACTIONS(2636),
    [aux_sym_tunnel_device_token1] = ACTIONS(2634),
    [aux_sym_update_host_keys_token1] = ACTIONS(2634),
    [aux_sym_use_keychain_token1] = ACTIONS(2634),
    [aux_sym_use_roaming_token1] = ACTIONS(2634),
    [aux_sym_user_token1] = ACTIONS(2636),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2634),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2634),
    [aux_sym_version_addendum_token1] = ACTIONS(2634),
    [aux_sym_visual_host_key_token1] = ACTIONS(2634),
    [aux_sym_xauth_location_token1] = ACTIONS(2634),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [aux_sym_match_token1] = ACTIONS(2640),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2640),
    [aux_sym_address_family_token1] = ACTIONS(2640),
    [aux_sym_batch_mode_token1] = ACTIONS(2640),
    [aux_sym_bind_address_token1] = ACTIONS(2640),
    [aux_sym_bind_interface_token1] = ACTIONS(2640),
    [aux_sym_canonical_domains_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2640),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2640),
    [aux_sym_certificate_file_token1] = ACTIONS(2640),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2640),
    [aux_sym_channel_timeout_token1] = ACTIONS(2640),
    [aux_sym_check_host_ip_token1] = ACTIONS(2640),
    [aux_sym_ciphers_token1] = ACTIONS(2640),
    [aux_sym_cipher_token1] = ACTIONS(2642),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2640),
    [aux_sym_compression_token1] = ACTIONS(2640),
    [aux_sym_connection_attempts_token1] = ACTIONS(2640),
    [aux_sym_connect_timeout_token1] = ACTIONS(2640),
    [aux_sym_control_master_token1] = ACTIONS(2640),
    [aux_sym_control_path_token1] = ACTIONS(2640),
    [aux_sym_control_persist_token1] = ACTIONS(2640),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2640),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2640),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2640),
    [aux_sym_escape_char_token1] = ACTIONS(2640),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2640),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2640),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2640),
    [aux_sym_forward_agent_token1] = ACTIONS(2640),
    [aux_sym_forward_x11_token1] = ACTIONS(2642),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2640),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2640),
    [aux_sym_gateway_ports_token1] = ACTIONS(2640),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2640),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2640),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2640),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2640),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2640),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2640),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2640),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2640),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2640),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2640),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2640),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2640),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2640),
    [aux_sym_host_key_alias_token1] = ACTIONS(2640),
    [aux_sym_hostname_token1] = ACTIONS(2640),
    [aux_sym_identities_only_token1] = ACTIONS(2640),
    [aux_sym_identity_agent_token1] = ACTIONS(2640),
    [aux_sym_identity_file_token1] = ACTIONS(2640),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2640),
    [aux_sym_include_token1] = ACTIONS(2640),
    [aux_sym_ip_qos_token1] = ACTIONS(2640),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2640),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2640),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2640),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2640),
    [aux_sym_local_command_token1] = ACTIONS(2640),
    [aux_sym_local_forward_token1] = ACTIONS(2640),
    [aux_sym_log_level_token1] = ACTIONS(2640),
    [aux_sym_log_verbose_token1] = ACTIONS(2640),
    [aux_sym_macs_token1] = ACTIONS(2640),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2640),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2640),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2640),
    [aux_sym_password_authentication_token1] = ACTIONS(2640),
    [aux_sym_permit_local_command_token1] = ACTIONS(2640),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2640),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2640),
    [aux_sym_port_token1] = ACTIONS(2640),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2640),
    [aux_sym_protocol_token1] = ACTIONS(2640),
    [aux_sym_proxy_command_token1] = ACTIONS(2640),
    [aux_sym_proxy_jump_token1] = ACTIONS(2640),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2640),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2640),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2640),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2640),
    [aux_sym_rekey_limit_token1] = ACTIONS(2640),
    [aux_sym_remote_command_token1] = ACTIONS(2640),
    [aux_sym_remote_forward_token1] = ACTIONS(2640),
    [aux_sym_request_tty_token1] = ACTIONS(2640),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2640),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2640),
    [aux_sym_security_key_provider_token1] = ACTIONS(2640),
    [aux_sym_send_env_token1] = ACTIONS(2640),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2640),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2640),
    [aux_sym_session_type_token1] = ACTIONS(2640),
    [aux_sym_set_env_token1] = ACTIONS(2640),
    [aux_sym_stdin_null_token1] = ACTIONS(2640),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2640),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2640),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2640),
    [aux_sym_syslog_facility_token1] = ACTIONS(2640),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2640),
    [aux_sym_keep_alive_token1] = ACTIONS(2640),
    [aux_sym_tag_token1] = ACTIONS(2640),
    [aux_sym_tunnel_token1] = ACTIONS(2642),
    [aux_sym_tunnel_device_token1] = ACTIONS(2640),
    [aux_sym_update_host_keys_token1] = ACTIONS(2640),
    [aux_sym_use_keychain_token1] = ACTIONS(2640),
    [aux_sym_use_roaming_token1] = ACTIONS(2640),
    [aux_sym_user_token1] = ACTIONS(2642),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2640),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2640),
    [aux_sym_version_addendum_token1] = ACTIONS(2640),
    [aux_sym_visual_host_key_token1] = ACTIONS(2640),
    [aux_sym_xauth_location_token1] = ACTIONS(2640),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2648),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [aux_sym_match_token1] = ACTIONS(2646),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2646),
    [aux_sym_address_family_token1] = ACTIONS(2646),
    [aux_sym_batch_mode_token1] = ACTIONS(2646),
    [aux_sym_bind_address_token1] = ACTIONS(2646),
    [aux_sym_bind_interface_token1] = ACTIONS(2646),
    [aux_sym_canonical_domains_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2646),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2646),
    [aux_sym_certificate_file_token1] = ACTIONS(2646),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2646),
    [aux_sym_channel_timeout_token1] = ACTIONS(2646),
    [aux_sym_check_host_ip_token1] = ACTIONS(2646),
    [aux_sym_ciphers_token1] = ACTIONS(2646),
    [aux_sym_cipher_token1] = ACTIONS(2648),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2646),
    [aux_sym_compression_token1] = ACTIONS(2646),
    [aux_sym_connection_attempts_token1] = ACTIONS(2646),
    [aux_sym_connect_timeout_token1] = ACTIONS(2646),
    [aux_sym_control_master_token1] = ACTIONS(2646),
    [aux_sym_control_path_token1] = ACTIONS(2646),
    [aux_sym_control_persist_token1] = ACTIONS(2646),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2646),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2646),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2646),
    [aux_sym_escape_char_token1] = ACTIONS(2646),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2646),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2646),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2646),
    [aux_sym_forward_agent_token1] = ACTIONS(2646),
    [aux_sym_forward_x11_token1] = ACTIONS(2648),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2646),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2646),
    [aux_sym_gateway_ports_token1] = ACTIONS(2646),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2646),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2646),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2646),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2646),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2646),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2646),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2646),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2646),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2646),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2646),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2646),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2646),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2646),
    [aux_sym_host_key_alias_token1] = ACTIONS(2646),
    [aux_sym_hostname_token1] = ACTIONS(2646),
    [aux_sym_identities_only_token1] = ACTIONS(2646),
    [aux_sym_identity_agent_token1] = ACTIONS(2646),
    [aux_sym_identity_file_token1] = ACTIONS(2646),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2646),
    [aux_sym_include_token1] = ACTIONS(2646),
    [aux_sym_ip_qos_token1] = ACTIONS(2646),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2646),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2646),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2646),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2646),
    [aux_sym_local_command_token1] = ACTIONS(2646),
    [aux_sym_local_forward_token1] = ACTIONS(2646),
    [aux_sym_log_level_token1] = ACTIONS(2646),
    [aux_sym_log_verbose_token1] = ACTIONS(2646),
    [aux_sym_macs_token1] = ACTIONS(2646),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2646),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2646),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2646),
    [aux_sym_password_authentication_token1] = ACTIONS(2646),
    [aux_sym_permit_local_command_token1] = ACTIONS(2646),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2646),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2646),
    [aux_sym_port_token1] = ACTIONS(2646),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2646),
    [aux_sym_protocol_token1] = ACTIONS(2646),
    [aux_sym_proxy_command_token1] = ACTIONS(2646),
    [aux_sym_proxy_jump_token1] = ACTIONS(2646),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2646),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2646),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2646),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2646),
    [aux_sym_rekey_limit_token1] = ACTIONS(2646),
    [aux_sym_remote_command_token1] = ACTIONS(2646),
    [aux_sym_remote_forward_token1] = ACTIONS(2646),
    [aux_sym_request_tty_token1] = ACTIONS(2646),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2646),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2646),
    [aux_sym_security_key_provider_token1] = ACTIONS(2646),
    [aux_sym_send_env_token1] = ACTIONS(2646),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2646),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2646),
    [aux_sym_session_type_token1] = ACTIONS(2646),
    [aux_sym_set_env_token1] = ACTIONS(2646),
    [aux_sym_stdin_null_token1] = ACTIONS(2646),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2646),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2646),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2646),
    [aux_sym_syslog_facility_token1] = ACTIONS(2646),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2646),
    [aux_sym_keep_alive_token1] = ACTIONS(2646),
    [aux_sym_tag_token1] = ACTIONS(2646),
    [aux_sym_tunnel_token1] = ACTIONS(2648),
    [aux_sym_tunnel_device_token1] = ACTIONS(2646),
    [aux_sym_update_host_keys_token1] = ACTIONS(2646),
    [aux_sym_use_keychain_token1] = ACTIONS(2646),
    [aux_sym_use_roaming_token1] = ACTIONS(2646),
    [aux_sym_user_token1] = ACTIONS(2648),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2646),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2646),
    [aux_sym_version_addendum_token1] = ACTIONS(2646),
    [aux_sym_visual_host_key_token1] = ACTIONS(2646),
    [aux_sym_xauth_location_token1] = ACTIONS(2646),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [aux_sym_match_token1] = ACTIONS(2652),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2652),
    [aux_sym_address_family_token1] = ACTIONS(2652),
    [aux_sym_batch_mode_token1] = ACTIONS(2652),
    [aux_sym_bind_address_token1] = ACTIONS(2652),
    [aux_sym_bind_interface_token1] = ACTIONS(2652),
    [aux_sym_canonical_domains_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2652),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2652),
    [aux_sym_certificate_file_token1] = ACTIONS(2652),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2652),
    [aux_sym_channel_timeout_token1] = ACTIONS(2652),
    [aux_sym_check_host_ip_token1] = ACTIONS(2652),
    [aux_sym_ciphers_token1] = ACTIONS(2652),
    [aux_sym_cipher_token1] = ACTIONS(2654),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2652),
    [aux_sym_compression_token1] = ACTIONS(2652),
    [aux_sym_connection_attempts_token1] = ACTIONS(2652),
    [aux_sym_connect_timeout_token1] = ACTIONS(2652),
    [aux_sym_control_master_token1] = ACTIONS(2652),
    [aux_sym_control_path_token1] = ACTIONS(2652),
    [aux_sym_control_persist_token1] = ACTIONS(2652),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2652),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2652),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2652),
    [aux_sym_escape_char_token1] = ACTIONS(2652),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2652),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2652),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2652),
    [aux_sym_forward_agent_token1] = ACTIONS(2652),
    [aux_sym_forward_x11_token1] = ACTIONS(2654),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2652),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2652),
    [aux_sym_gateway_ports_token1] = ACTIONS(2652),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2652),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2652),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2652),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2652),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2652),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2652),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2652),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2652),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2652),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2652),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2652),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2652),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2652),
    [aux_sym_host_key_alias_token1] = ACTIONS(2652),
    [aux_sym_hostname_token1] = ACTIONS(2652),
    [aux_sym_identities_only_token1] = ACTIONS(2652),
    [aux_sym_identity_agent_token1] = ACTIONS(2652),
    [aux_sym_identity_file_token1] = ACTIONS(2652),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2652),
    [aux_sym_include_token1] = ACTIONS(2652),
    [aux_sym_ip_qos_token1] = ACTIONS(2652),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2652),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2652),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2652),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2652),
    [aux_sym_local_command_token1] = ACTIONS(2652),
    [aux_sym_local_forward_token1] = ACTIONS(2652),
    [aux_sym_log_level_token1] = ACTIONS(2652),
    [aux_sym_log_verbose_token1] = ACTIONS(2652),
    [aux_sym_macs_token1] = ACTIONS(2652),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2652),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2652),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2652),
    [aux_sym_password_authentication_token1] = ACTIONS(2652),
    [aux_sym_permit_local_command_token1] = ACTIONS(2652),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2652),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2652),
    [aux_sym_port_token1] = ACTIONS(2652),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2652),
    [aux_sym_protocol_token1] = ACTIONS(2652),
    [aux_sym_proxy_command_token1] = ACTIONS(2652),
    [aux_sym_proxy_jump_token1] = ACTIONS(2652),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2652),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2652),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2652),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2652),
    [aux_sym_rekey_limit_token1] = ACTIONS(2652),
    [aux_sym_remote_command_token1] = ACTIONS(2652),
    [aux_sym_remote_forward_token1] = ACTIONS(2652),
    [aux_sym_request_tty_token1] = ACTIONS(2652),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2652),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2652),
    [aux_sym_security_key_provider_token1] = ACTIONS(2652),
    [aux_sym_send_env_token1] = ACTIONS(2652),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2652),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2652),
    [aux_sym_session_type_token1] = ACTIONS(2652),
    [aux_sym_set_env_token1] = ACTIONS(2652),
    [aux_sym_stdin_null_token1] = ACTIONS(2652),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2652),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2652),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2652),
    [aux_sym_syslog_facility_token1] = ACTIONS(2652),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2652),
    [aux_sym_keep_alive_token1] = ACTIONS(2652),
    [aux_sym_tag_token1] = ACTIONS(2652),
    [aux_sym_tunnel_token1] = ACTIONS(2654),
    [aux_sym_tunnel_device_token1] = ACTIONS(2652),
    [aux_sym_update_host_keys_token1] = ACTIONS(2652),
    [aux_sym_use_keychain_token1] = ACTIONS(2652),
    [aux_sym_use_roaming_token1] = ACTIONS(2652),
    [aux_sym_user_token1] = ACTIONS(2654),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2652),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2652),
    [aux_sym_version_addendum_token1] = ACTIONS(2652),
    [aux_sym_visual_host_key_token1] = ACTIONS(2652),
    [aux_sym_xauth_location_token1] = ACTIONS(2652),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [aux_sym_match_token1] = ACTIONS(2658),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2658),
    [aux_sym_address_family_token1] = ACTIONS(2658),
    [aux_sym_batch_mode_token1] = ACTIONS(2658),
    [aux_sym_bind_address_token1] = ACTIONS(2658),
    [aux_sym_bind_interface_token1] = ACTIONS(2658),
    [aux_sym_canonical_domains_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2658),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2658),
    [aux_sym_certificate_file_token1] = ACTIONS(2658),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2658),
    [aux_sym_channel_timeout_token1] = ACTIONS(2658),
    [aux_sym_check_host_ip_token1] = ACTIONS(2658),
    [aux_sym_ciphers_token1] = ACTIONS(2658),
    [aux_sym_cipher_token1] = ACTIONS(2660),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2658),
    [aux_sym_compression_token1] = ACTIONS(2658),
    [aux_sym_connection_attempts_token1] = ACTIONS(2658),
    [aux_sym_connect_timeout_token1] = ACTIONS(2658),
    [aux_sym_control_master_token1] = ACTIONS(2658),
    [aux_sym_control_path_token1] = ACTIONS(2658),
    [aux_sym_control_persist_token1] = ACTIONS(2658),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2658),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2658),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2658),
    [aux_sym_escape_char_token1] = ACTIONS(2658),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2658),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2658),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2658),
    [aux_sym_forward_agent_token1] = ACTIONS(2658),
    [aux_sym_forward_x11_token1] = ACTIONS(2660),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2658),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2658),
    [aux_sym_gateway_ports_token1] = ACTIONS(2658),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2658),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2658),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2658),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2658),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2658),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2658),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2658),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2658),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2658),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2658),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2658),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2658),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2658),
    [aux_sym_host_key_alias_token1] = ACTIONS(2658),
    [aux_sym_hostname_token1] = ACTIONS(2658),
    [aux_sym_identities_only_token1] = ACTIONS(2658),
    [aux_sym_identity_agent_token1] = ACTIONS(2658),
    [aux_sym_identity_file_token1] = ACTIONS(2658),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2658),
    [aux_sym_include_token1] = ACTIONS(2658),
    [aux_sym_ip_qos_token1] = ACTIONS(2658),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2658),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2658),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2658),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2658),
    [aux_sym_local_command_token1] = ACTIONS(2658),
    [aux_sym_local_forward_token1] = ACTIONS(2658),
    [aux_sym_log_level_token1] = ACTIONS(2658),
    [aux_sym_log_verbose_token1] = ACTIONS(2658),
    [aux_sym_macs_token1] = ACTIONS(2658),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2658),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2658),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2658),
    [aux_sym_password_authentication_token1] = ACTIONS(2658),
    [aux_sym_permit_local_command_token1] = ACTIONS(2658),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2658),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2658),
    [aux_sym_port_token1] = ACTIONS(2658),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2658),
    [aux_sym_protocol_token1] = ACTIONS(2658),
    [aux_sym_proxy_command_token1] = ACTIONS(2658),
    [aux_sym_proxy_jump_token1] = ACTIONS(2658),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2658),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2658),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2658),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2658),
    [aux_sym_rekey_limit_token1] = ACTIONS(2658),
    [aux_sym_remote_command_token1] = ACTIONS(2658),
    [aux_sym_remote_forward_token1] = ACTIONS(2658),
    [aux_sym_request_tty_token1] = ACTIONS(2658),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2658),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2658),
    [aux_sym_security_key_provider_token1] = ACTIONS(2658),
    [aux_sym_send_env_token1] = ACTIONS(2658),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2658),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2658),
    [aux_sym_session_type_token1] = ACTIONS(2658),
    [aux_sym_set_env_token1] = ACTIONS(2658),
    [aux_sym_stdin_null_token1] = ACTIONS(2658),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2658),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2658),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2658),
    [aux_sym_syslog_facility_token1] = ACTIONS(2658),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2658),
    [aux_sym_keep_alive_token1] = ACTIONS(2658),
    [aux_sym_tag_token1] = ACTIONS(2658),
    [aux_sym_tunnel_token1] = ACTIONS(2660),
    [aux_sym_tunnel_device_token1] = ACTIONS(2658),
    [aux_sym_update_host_keys_token1] = ACTIONS(2658),
    [aux_sym_use_keychain_token1] = ACTIONS(2658),
    [aux_sym_use_roaming_token1] = ACTIONS(2658),
    [aux_sym_user_token1] = ACTIONS(2660),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2658),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2658),
    [aux_sym_version_addendum_token1] = ACTIONS(2658),
    [aux_sym_visual_host_key_token1] = ACTIONS(2658),
    [aux_sym_xauth_location_token1] = ACTIONS(2658),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [aux_sym_match_token1] = ACTIONS(2664),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2664),
    [aux_sym_address_family_token1] = ACTIONS(2664),
    [aux_sym_batch_mode_token1] = ACTIONS(2664),
    [aux_sym_bind_address_token1] = ACTIONS(2664),
    [aux_sym_bind_interface_token1] = ACTIONS(2664),
    [aux_sym_canonical_domains_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2664),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2664),
    [aux_sym_certificate_file_token1] = ACTIONS(2664),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2664),
    [aux_sym_channel_timeout_token1] = ACTIONS(2664),
    [aux_sym_check_host_ip_token1] = ACTIONS(2664),
    [aux_sym_ciphers_token1] = ACTIONS(2664),
    [aux_sym_cipher_token1] = ACTIONS(2666),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2664),
    [aux_sym_compression_token1] = ACTIONS(2664),
    [aux_sym_connection_attempts_token1] = ACTIONS(2664),
    [aux_sym_connect_timeout_token1] = ACTIONS(2664),
    [aux_sym_control_master_token1] = ACTIONS(2664),
    [aux_sym_control_path_token1] = ACTIONS(2664),
    [aux_sym_control_persist_token1] = ACTIONS(2664),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2664),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2664),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2664),
    [aux_sym_escape_char_token1] = ACTIONS(2664),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2664),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2664),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2664),
    [aux_sym_forward_agent_token1] = ACTIONS(2664),
    [aux_sym_forward_x11_token1] = ACTIONS(2666),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2664),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2664),
    [aux_sym_gateway_ports_token1] = ACTIONS(2664),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2664),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2664),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2664),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2664),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2664),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2664),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2664),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2664),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2664),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2664),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2664),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2664),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2664),
    [aux_sym_host_key_alias_token1] = ACTIONS(2664),
    [aux_sym_hostname_token1] = ACTIONS(2664),
    [aux_sym_identities_only_token1] = ACTIONS(2664),
    [aux_sym_identity_agent_token1] = ACTIONS(2664),
    [aux_sym_identity_file_token1] = ACTIONS(2664),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2664),
    [aux_sym_include_token1] = ACTIONS(2664),
    [aux_sym_ip_qos_token1] = ACTIONS(2664),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2664),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2664),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2664),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2664),
    [aux_sym_local_command_token1] = ACTIONS(2664),
    [aux_sym_local_forward_token1] = ACTIONS(2664),
    [aux_sym_log_level_token1] = ACTIONS(2664),
    [aux_sym_log_verbose_token1] = ACTIONS(2664),
    [aux_sym_macs_token1] = ACTIONS(2664),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2664),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2664),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2664),
    [aux_sym_password_authentication_token1] = ACTIONS(2664),
    [aux_sym_permit_local_command_token1] = ACTIONS(2664),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2664),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2664),
    [aux_sym_port_token1] = ACTIONS(2664),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2664),
    [aux_sym_protocol_token1] = ACTIONS(2664),
    [aux_sym_proxy_command_token1] = ACTIONS(2664),
    [aux_sym_proxy_jump_token1] = ACTIONS(2664),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2664),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2664),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2664),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2664),
    [aux_sym_rekey_limit_token1] = ACTIONS(2664),
    [aux_sym_remote_command_token1] = ACTIONS(2664),
    [aux_sym_remote_forward_token1] = ACTIONS(2664),
    [aux_sym_request_tty_token1] = ACTIONS(2664),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2664),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2664),
    [aux_sym_security_key_provider_token1] = ACTIONS(2664),
    [aux_sym_send_env_token1] = ACTIONS(2664),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2664),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2664),
    [aux_sym_session_type_token1] = ACTIONS(2664),
    [aux_sym_set_env_token1] = ACTIONS(2664),
    [aux_sym_stdin_null_token1] = ACTIONS(2664),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2664),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2664),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2664),
    [aux_sym_syslog_facility_token1] = ACTIONS(2664),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2664),
    [aux_sym_keep_alive_token1] = ACTIONS(2664),
    [aux_sym_tag_token1] = ACTIONS(2664),
    [aux_sym_tunnel_token1] = ACTIONS(2666),
    [aux_sym_tunnel_device_token1] = ACTIONS(2664),
    [aux_sym_update_host_keys_token1] = ACTIONS(2664),
    [aux_sym_use_keychain_token1] = ACTIONS(2664),
    [aux_sym_use_roaming_token1] = ACTIONS(2664),
    [aux_sym_user_token1] = ACTIONS(2666),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2664),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2664),
    [aux_sym_version_addendum_token1] = ACTIONS(2664),
    [aux_sym_visual_host_key_token1] = ACTIONS(2664),
    [aux_sym_xauth_location_token1] = ACTIONS(2664),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2672),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [aux_sym_match_token1] = ACTIONS(2670),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2670),
    [aux_sym_address_family_token1] = ACTIONS(2670),
    [aux_sym_batch_mode_token1] = ACTIONS(2670),
    [aux_sym_bind_address_token1] = ACTIONS(2670),
    [aux_sym_bind_interface_token1] = ACTIONS(2670),
    [aux_sym_canonical_domains_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2670),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2670),
    [aux_sym_certificate_file_token1] = ACTIONS(2670),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2670),
    [aux_sym_channel_timeout_token1] = ACTIONS(2670),
    [aux_sym_check_host_ip_token1] = ACTIONS(2670),
    [aux_sym_ciphers_token1] = ACTIONS(2670),
    [aux_sym_cipher_token1] = ACTIONS(2672),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2670),
    [aux_sym_compression_token1] = ACTIONS(2670),
    [aux_sym_connection_attempts_token1] = ACTIONS(2670),
    [aux_sym_connect_timeout_token1] = ACTIONS(2670),
    [aux_sym_control_master_token1] = ACTIONS(2670),
    [aux_sym_control_path_token1] = ACTIONS(2670),
    [aux_sym_control_persist_token1] = ACTIONS(2670),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2670),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2670),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2670),
    [aux_sym_escape_char_token1] = ACTIONS(2670),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2670),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2670),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2670),
    [aux_sym_forward_agent_token1] = ACTIONS(2670),
    [aux_sym_forward_x11_token1] = ACTIONS(2672),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2670),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2670),
    [aux_sym_gateway_ports_token1] = ACTIONS(2670),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2670),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2670),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2670),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2670),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2670),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2670),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2670),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2670),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2670),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2670),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2670),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2670),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2670),
    [aux_sym_host_key_alias_token1] = ACTIONS(2670),
    [aux_sym_hostname_token1] = ACTIONS(2670),
    [aux_sym_identities_only_token1] = ACTIONS(2670),
    [aux_sym_identity_agent_token1] = ACTIONS(2670),
    [aux_sym_identity_file_token1] = ACTIONS(2670),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2670),
    [aux_sym_include_token1] = ACTIONS(2670),
    [aux_sym_ip_qos_token1] = ACTIONS(2670),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2670),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2670),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2670),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2670),
    [aux_sym_local_command_token1] = ACTIONS(2670),
    [aux_sym_local_forward_token1] = ACTIONS(2670),
    [aux_sym_log_level_token1] = ACTIONS(2670),
    [aux_sym_log_verbose_token1] = ACTIONS(2670),
    [aux_sym_macs_token1] = ACTIONS(2670),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2670),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2670),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2670),
    [aux_sym_password_authentication_token1] = ACTIONS(2670),
    [aux_sym_permit_local_command_token1] = ACTIONS(2670),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2670),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2670),
    [aux_sym_port_token1] = ACTIONS(2670),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2670),
    [aux_sym_protocol_token1] = ACTIONS(2670),
    [aux_sym_proxy_command_token1] = ACTIONS(2670),
    [aux_sym_proxy_jump_token1] = ACTIONS(2670),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2670),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2670),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2670),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2670),
    [aux_sym_rekey_limit_token1] = ACTIONS(2670),
    [aux_sym_remote_command_token1] = ACTIONS(2670),
    [aux_sym_remote_forward_token1] = ACTIONS(2670),
    [aux_sym_request_tty_token1] = ACTIONS(2670),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2670),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2670),
    [aux_sym_security_key_provider_token1] = ACTIONS(2670),
    [aux_sym_send_env_token1] = ACTIONS(2670),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2670),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2670),
    [aux_sym_session_type_token1] = ACTIONS(2670),
    [aux_sym_set_env_token1] = ACTIONS(2670),
    [aux_sym_stdin_null_token1] = ACTIONS(2670),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2670),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2670),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2670),
    [aux_sym_syslog_facility_token1] = ACTIONS(2670),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2670),
    [aux_sym_keep_alive_token1] = ACTIONS(2670),
    [aux_sym_tag_token1] = ACTIONS(2670),
    [aux_sym_tunnel_token1] = ACTIONS(2672),
    [aux_sym_tunnel_device_token1] = ACTIONS(2670),
    [aux_sym_update_host_keys_token1] = ACTIONS(2670),
    [aux_sym_use_keychain_token1] = ACTIONS(2670),
    [aux_sym_use_roaming_token1] = ACTIONS(2670),
    [aux_sym_user_token1] = ACTIONS(2672),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2670),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2670),
    [aux_sym_version_addendum_token1] = ACTIONS(2670),
    [aux_sym_visual_host_key_token1] = ACTIONS(2670),
    [aux_sym_xauth_location_token1] = ACTIONS(2670),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [aux_sym_match_token1] = ACTIONS(2676),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2676),
    [aux_sym_address_family_token1] = ACTIONS(2676),
    [aux_sym_batch_mode_token1] = ACTIONS(2676),
    [aux_sym_bind_address_token1] = ACTIONS(2676),
    [aux_sym_bind_interface_token1] = ACTIONS(2676),
    [aux_sym_canonical_domains_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2676),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2676),
    [aux_sym_certificate_file_token1] = ACTIONS(2676),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2676),
    [aux_sym_channel_timeout_token1] = ACTIONS(2676),
    [aux_sym_check_host_ip_token1] = ACTIONS(2676),
    [aux_sym_ciphers_token1] = ACTIONS(2676),
    [aux_sym_cipher_token1] = ACTIONS(2678),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2676),
    [aux_sym_compression_token1] = ACTIONS(2676),
    [aux_sym_connection_attempts_token1] = ACTIONS(2676),
    [aux_sym_connect_timeout_token1] = ACTIONS(2676),
    [aux_sym_control_master_token1] = ACTIONS(2676),
    [aux_sym_control_path_token1] = ACTIONS(2676),
    [aux_sym_control_persist_token1] = ACTIONS(2676),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2676),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2676),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2676),
    [aux_sym_escape_char_token1] = ACTIONS(2676),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2676),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2676),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2676),
    [aux_sym_forward_agent_token1] = ACTIONS(2676),
    [aux_sym_forward_x11_token1] = ACTIONS(2678),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2676),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2676),
    [aux_sym_gateway_ports_token1] = ACTIONS(2676),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2676),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2676),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2676),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2676),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2676),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2676),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2676),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2676),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2676),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2676),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2676),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2676),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2676),
    [aux_sym_host_key_alias_token1] = ACTIONS(2676),
    [aux_sym_hostname_token1] = ACTIONS(2676),
    [aux_sym_identities_only_token1] = ACTIONS(2676),
    [aux_sym_identity_agent_token1] = ACTIONS(2676),
    [aux_sym_identity_file_token1] = ACTIONS(2676),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2676),
    [aux_sym_include_token1] = ACTIONS(2676),
    [aux_sym_ip_qos_token1] = ACTIONS(2676),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2676),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2676),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2676),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2676),
    [aux_sym_local_command_token1] = ACTIONS(2676),
    [aux_sym_local_forward_token1] = ACTIONS(2676),
    [aux_sym_log_level_token1] = ACTIONS(2676),
    [aux_sym_log_verbose_token1] = ACTIONS(2676),
    [aux_sym_macs_token1] = ACTIONS(2676),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2676),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2676),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2676),
    [aux_sym_password_authentication_token1] = ACTIONS(2676),
    [aux_sym_permit_local_command_token1] = ACTIONS(2676),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2676),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2676),
    [aux_sym_port_token1] = ACTIONS(2676),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2676),
    [aux_sym_protocol_token1] = ACTIONS(2676),
    [aux_sym_proxy_command_token1] = ACTIONS(2676),
    [aux_sym_proxy_jump_token1] = ACTIONS(2676),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2676),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2676),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2676),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2676),
    [aux_sym_rekey_limit_token1] = ACTIONS(2676),
    [aux_sym_remote_command_token1] = ACTIONS(2676),
    [aux_sym_remote_forward_token1] = ACTIONS(2676),
    [aux_sym_request_tty_token1] = ACTIONS(2676),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2676),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2676),
    [aux_sym_security_key_provider_token1] = ACTIONS(2676),
    [aux_sym_send_env_token1] = ACTIONS(2676),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2676),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2676),
    [aux_sym_session_type_token1] = ACTIONS(2676),
    [aux_sym_set_env_token1] = ACTIONS(2676),
    [aux_sym_stdin_null_token1] = ACTIONS(2676),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2676),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2676),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2676),
    [aux_sym_syslog_facility_token1] = ACTIONS(2676),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2676),
    [aux_sym_keep_alive_token1] = ACTIONS(2676),
    [aux_sym_tag_token1] = ACTIONS(2676),
    [aux_sym_tunnel_token1] = ACTIONS(2678),
    [aux_sym_tunnel_device_token1] = ACTIONS(2676),
    [aux_sym_update_host_keys_token1] = ACTIONS(2676),
    [aux_sym_use_keychain_token1] = ACTIONS(2676),
    [aux_sym_use_roaming_token1] = ACTIONS(2676),
    [aux_sym_user_token1] = ACTIONS(2678),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2676),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2676),
    [aux_sym_version_addendum_token1] = ACTIONS(2676),
    [aux_sym_visual_host_key_token1] = ACTIONS(2676),
    [aux_sym_xauth_location_token1] = ACTIONS(2676),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [aux_sym_match_token1] = ACTIONS(2682),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2682),
    [aux_sym_address_family_token1] = ACTIONS(2682),
    [aux_sym_batch_mode_token1] = ACTIONS(2682),
    [aux_sym_bind_address_token1] = ACTIONS(2682),
    [aux_sym_bind_interface_token1] = ACTIONS(2682),
    [aux_sym_canonical_domains_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2682),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2682),
    [aux_sym_certificate_file_token1] = ACTIONS(2682),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2682),
    [aux_sym_channel_timeout_token1] = ACTIONS(2682),
    [aux_sym_check_host_ip_token1] = ACTIONS(2682),
    [aux_sym_ciphers_token1] = ACTIONS(2682),
    [aux_sym_cipher_token1] = ACTIONS(2684),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2682),
    [aux_sym_compression_token1] = ACTIONS(2682),
    [aux_sym_connection_attempts_token1] = ACTIONS(2682),
    [aux_sym_connect_timeout_token1] = ACTIONS(2682),
    [aux_sym_control_master_token1] = ACTIONS(2682),
    [aux_sym_control_path_token1] = ACTIONS(2682),
    [aux_sym_control_persist_token1] = ACTIONS(2682),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2682),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2682),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2682),
    [aux_sym_escape_char_token1] = ACTIONS(2682),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2682),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2682),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2682),
    [aux_sym_forward_agent_token1] = ACTIONS(2682),
    [aux_sym_forward_x11_token1] = ACTIONS(2684),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2682),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2682),
    [aux_sym_gateway_ports_token1] = ACTIONS(2682),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2682),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2682),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2682),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2682),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2682),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2682),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2682),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2682),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2682),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2682),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2682),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2682),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2682),
    [aux_sym_host_key_alias_token1] = ACTIONS(2682),
    [aux_sym_hostname_token1] = ACTIONS(2682),
    [aux_sym_identities_only_token1] = ACTIONS(2682),
    [aux_sym_identity_agent_token1] = ACTIONS(2682),
    [aux_sym_identity_file_token1] = ACTIONS(2682),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2682),
    [aux_sym_include_token1] = ACTIONS(2682),
    [aux_sym_ip_qos_token1] = ACTIONS(2682),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2682),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2682),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2682),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2682),
    [aux_sym_local_command_token1] = ACTIONS(2682),
    [aux_sym_local_forward_token1] = ACTIONS(2682),
    [aux_sym_log_level_token1] = ACTIONS(2682),
    [aux_sym_log_verbose_token1] = ACTIONS(2682),
    [aux_sym_macs_token1] = ACTIONS(2682),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2682),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2682),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2682),
    [aux_sym_password_authentication_token1] = ACTIONS(2682),
    [aux_sym_permit_local_command_token1] = ACTIONS(2682),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2682),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2682),
    [aux_sym_port_token1] = ACTIONS(2682),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2682),
    [aux_sym_protocol_token1] = ACTIONS(2682),
    [aux_sym_proxy_command_token1] = ACTIONS(2682),
    [aux_sym_proxy_jump_token1] = ACTIONS(2682),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2682),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2682),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2682),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2682),
    [aux_sym_rekey_limit_token1] = ACTIONS(2682),
    [aux_sym_remote_command_token1] = ACTIONS(2682),
    [aux_sym_remote_forward_token1] = ACTIONS(2682),
    [aux_sym_request_tty_token1] = ACTIONS(2682),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2682),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2682),
    [aux_sym_security_key_provider_token1] = ACTIONS(2682),
    [aux_sym_send_env_token1] = ACTIONS(2682),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2682),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2682),
    [aux_sym_session_type_token1] = ACTIONS(2682),
    [aux_sym_set_env_token1] = ACTIONS(2682),
    [aux_sym_stdin_null_token1] = ACTIONS(2682),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2682),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2682),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2682),
    [aux_sym_syslog_facility_token1] = ACTIONS(2682),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2682),
    [aux_sym_keep_alive_token1] = ACTIONS(2682),
    [aux_sym_tag_token1] = ACTIONS(2682),
    [aux_sym_tunnel_token1] = ACTIONS(2684),
    [aux_sym_tunnel_device_token1] = ACTIONS(2682),
    [aux_sym_update_host_keys_token1] = ACTIONS(2682),
    [aux_sym_use_keychain_token1] = ACTIONS(2682),
    [aux_sym_use_roaming_token1] = ACTIONS(2682),
    [aux_sym_user_token1] = ACTIONS(2684),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2682),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2682),
    [aux_sym_version_addendum_token1] = ACTIONS(2682),
    [aux_sym_visual_host_key_token1] = ACTIONS(2682),
    [aux_sym_xauth_location_token1] = ACTIONS(2682),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [aux_sym_match_token1] = ACTIONS(2688),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2688),
    [aux_sym_address_family_token1] = ACTIONS(2688),
    [aux_sym_batch_mode_token1] = ACTIONS(2688),
    [aux_sym_bind_address_token1] = ACTIONS(2688),
    [aux_sym_bind_interface_token1] = ACTIONS(2688),
    [aux_sym_canonical_domains_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2688),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2688),
    [aux_sym_certificate_file_token1] = ACTIONS(2688),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2688),
    [aux_sym_channel_timeout_token1] = ACTIONS(2688),
    [aux_sym_check_host_ip_token1] = ACTIONS(2688),
    [aux_sym_ciphers_token1] = ACTIONS(2688),
    [aux_sym_cipher_token1] = ACTIONS(2690),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2688),
    [aux_sym_compression_token1] = ACTIONS(2688),
    [aux_sym_connection_attempts_token1] = ACTIONS(2688),
    [aux_sym_connect_timeout_token1] = ACTIONS(2688),
    [aux_sym_control_master_token1] = ACTIONS(2688),
    [aux_sym_control_path_token1] = ACTIONS(2688),
    [aux_sym_control_persist_token1] = ACTIONS(2688),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2688),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2688),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2688),
    [aux_sym_escape_char_token1] = ACTIONS(2688),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2688),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2688),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2688),
    [aux_sym_forward_agent_token1] = ACTIONS(2688),
    [aux_sym_forward_x11_token1] = ACTIONS(2690),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2688),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2688),
    [aux_sym_gateway_ports_token1] = ACTIONS(2688),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2688),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2688),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2688),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2688),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2688),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2688),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2688),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2688),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2688),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2688),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2688),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2688),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2688),
    [aux_sym_host_key_alias_token1] = ACTIONS(2688),
    [aux_sym_hostname_token1] = ACTIONS(2688),
    [aux_sym_identities_only_token1] = ACTIONS(2688),
    [aux_sym_identity_agent_token1] = ACTIONS(2688),
    [aux_sym_identity_file_token1] = ACTIONS(2688),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2688),
    [aux_sym_include_token1] = ACTIONS(2688),
    [aux_sym_ip_qos_token1] = ACTIONS(2688),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2688),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2688),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2688),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2688),
    [aux_sym_local_command_token1] = ACTIONS(2688),
    [aux_sym_local_forward_token1] = ACTIONS(2688),
    [aux_sym_log_level_token1] = ACTIONS(2688),
    [aux_sym_log_verbose_token1] = ACTIONS(2688),
    [aux_sym_macs_token1] = ACTIONS(2688),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2688),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2688),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2688),
    [aux_sym_password_authentication_token1] = ACTIONS(2688),
    [aux_sym_permit_local_command_token1] = ACTIONS(2688),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2688),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2688),
    [aux_sym_port_token1] = ACTIONS(2688),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2688),
    [aux_sym_protocol_token1] = ACTIONS(2688),
    [aux_sym_proxy_command_token1] = ACTIONS(2688),
    [aux_sym_proxy_jump_token1] = ACTIONS(2688),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2688),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2688),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2688),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2688),
    [aux_sym_rekey_limit_token1] = ACTIONS(2688),
    [aux_sym_remote_command_token1] = ACTIONS(2688),
    [aux_sym_remote_forward_token1] = ACTIONS(2688),
    [aux_sym_request_tty_token1] = ACTIONS(2688),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2688),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2688),
    [aux_sym_security_key_provider_token1] = ACTIONS(2688),
    [aux_sym_send_env_token1] = ACTIONS(2688),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2688),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2688),
    [aux_sym_session_type_token1] = ACTIONS(2688),
    [aux_sym_set_env_token1] = ACTIONS(2688),
    [aux_sym_stdin_null_token1] = ACTIONS(2688),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2688),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2688),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2688),
    [aux_sym_syslog_facility_token1] = ACTIONS(2688),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2688),
    [aux_sym_keep_alive_token1] = ACTIONS(2688),
    [aux_sym_tag_token1] = ACTIONS(2688),
    [aux_sym_tunnel_token1] = ACTIONS(2690),
    [aux_sym_tunnel_device_token1] = ACTIONS(2688),
    [aux_sym_update_host_keys_token1] = ACTIONS(2688),
    [aux_sym_use_keychain_token1] = ACTIONS(2688),
    [aux_sym_use_roaming_token1] = ACTIONS(2688),
    [aux_sym_user_token1] = ACTIONS(2690),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2688),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2688),
    [aux_sym_version_addendum_token1] = ACTIONS(2688),
    [aux_sym_visual_host_key_token1] = ACTIONS(2688),
    [aux_sym_xauth_location_token1] = ACTIONS(2688),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [aux_sym_match_token1] = ACTIONS(2694),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2694),
    [aux_sym_address_family_token1] = ACTIONS(2694),
    [aux_sym_batch_mode_token1] = ACTIONS(2694),
    [aux_sym_bind_address_token1] = ACTIONS(2694),
    [aux_sym_bind_interface_token1] = ACTIONS(2694),
    [aux_sym_canonical_domains_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2694),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2694),
    [aux_sym_certificate_file_token1] = ACTIONS(2694),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2694),
    [aux_sym_channel_timeout_token1] = ACTIONS(2694),
    [aux_sym_check_host_ip_token1] = ACTIONS(2694),
    [aux_sym_ciphers_token1] = ACTIONS(2694),
    [aux_sym_cipher_token1] = ACTIONS(2696),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2694),
    [aux_sym_compression_token1] = ACTIONS(2694),
    [aux_sym_connection_attempts_token1] = ACTIONS(2694),
    [aux_sym_connect_timeout_token1] = ACTIONS(2694),
    [aux_sym_control_master_token1] = ACTIONS(2694),
    [aux_sym_control_path_token1] = ACTIONS(2694),
    [aux_sym_control_persist_token1] = ACTIONS(2694),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2694),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2694),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2694),
    [aux_sym_escape_char_token1] = ACTIONS(2694),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2694),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2694),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2694),
    [aux_sym_forward_agent_token1] = ACTIONS(2694),
    [aux_sym_forward_x11_token1] = ACTIONS(2696),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2694),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2694),
    [aux_sym_gateway_ports_token1] = ACTIONS(2694),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2694),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2694),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2694),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2694),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2694),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2694),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2694),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2694),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2694),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2694),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2694),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2694),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2694),
    [aux_sym_host_key_alias_token1] = ACTIONS(2694),
    [aux_sym_hostname_token1] = ACTIONS(2694),
    [aux_sym_identities_only_token1] = ACTIONS(2694),
    [aux_sym_identity_agent_token1] = ACTIONS(2694),
    [aux_sym_identity_file_token1] = ACTIONS(2694),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2694),
    [aux_sym_include_token1] = ACTIONS(2694),
    [aux_sym_ip_qos_token1] = ACTIONS(2694),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2694),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2694),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2694),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2694),
    [aux_sym_local_command_token1] = ACTIONS(2694),
    [aux_sym_local_forward_token1] = ACTIONS(2694),
    [aux_sym_log_level_token1] = ACTIONS(2694),
    [aux_sym_log_verbose_token1] = ACTIONS(2694),
    [aux_sym_macs_token1] = ACTIONS(2694),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2694),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2694),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2694),
    [aux_sym_password_authentication_token1] = ACTIONS(2694),
    [aux_sym_permit_local_command_token1] = ACTIONS(2694),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2694),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2694),
    [aux_sym_port_token1] = ACTIONS(2694),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2694),
    [aux_sym_protocol_token1] = ACTIONS(2694),
    [aux_sym_proxy_command_token1] = ACTIONS(2694),
    [aux_sym_proxy_jump_token1] = ACTIONS(2694),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2694),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2694),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2694),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2694),
    [aux_sym_rekey_limit_token1] = ACTIONS(2694),
    [aux_sym_remote_command_token1] = ACTIONS(2694),
    [aux_sym_remote_forward_token1] = ACTIONS(2694),
    [aux_sym_request_tty_token1] = ACTIONS(2694),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2694),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2694),
    [aux_sym_security_key_provider_token1] = ACTIONS(2694),
    [aux_sym_send_env_token1] = ACTIONS(2694),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2694),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2694),
    [aux_sym_session_type_token1] = ACTIONS(2694),
    [aux_sym_set_env_token1] = ACTIONS(2694),
    [aux_sym_stdin_null_token1] = ACTIONS(2694),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2694),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2694),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2694),
    [aux_sym_syslog_facility_token1] = ACTIONS(2694),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2694),
    [aux_sym_keep_alive_token1] = ACTIONS(2694),
    [aux_sym_tag_token1] = ACTIONS(2694),
    [aux_sym_tunnel_token1] = ACTIONS(2696),
    [aux_sym_tunnel_device_token1] = ACTIONS(2694),
    [aux_sym_update_host_keys_token1] = ACTIONS(2694),
    [aux_sym_use_keychain_token1] = ACTIONS(2694),
    [aux_sym_use_roaming_token1] = ACTIONS(2694),
    [aux_sym_user_token1] = ACTIONS(2696),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2694),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2694),
    [aux_sym_version_addendum_token1] = ACTIONS(2694),
    [aux_sym_visual_host_key_token1] = ACTIONS(2694),
    [aux_sym_xauth_location_token1] = ACTIONS(2694),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [aux_sym_match_token1] = ACTIONS(2700),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2700),
    [aux_sym_address_family_token1] = ACTIONS(2700),
    [aux_sym_batch_mode_token1] = ACTIONS(2700),
    [aux_sym_bind_address_token1] = ACTIONS(2700),
    [aux_sym_bind_interface_token1] = ACTIONS(2700),
    [aux_sym_canonical_domains_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2700),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2700),
    [aux_sym_certificate_file_token1] = ACTIONS(2700),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2700),
    [aux_sym_channel_timeout_token1] = ACTIONS(2700),
    [aux_sym_check_host_ip_token1] = ACTIONS(2700),
    [aux_sym_ciphers_token1] = ACTIONS(2700),
    [aux_sym_cipher_token1] = ACTIONS(2702),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2700),
    [aux_sym_compression_token1] = ACTIONS(2700),
    [aux_sym_connection_attempts_token1] = ACTIONS(2700),
    [aux_sym_connect_timeout_token1] = ACTIONS(2700),
    [aux_sym_control_master_token1] = ACTIONS(2700),
    [aux_sym_control_path_token1] = ACTIONS(2700),
    [aux_sym_control_persist_token1] = ACTIONS(2700),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2700),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2700),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2700),
    [aux_sym_escape_char_token1] = ACTIONS(2700),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2700),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2700),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2700),
    [aux_sym_forward_agent_token1] = ACTIONS(2700),
    [aux_sym_forward_x11_token1] = ACTIONS(2702),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2700),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2700),
    [aux_sym_gateway_ports_token1] = ACTIONS(2700),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2700),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2700),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2700),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2700),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2700),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2700),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2700),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2700),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2700),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2700),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2700),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2700),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2700),
    [aux_sym_host_key_alias_token1] = ACTIONS(2700),
    [aux_sym_hostname_token1] = ACTIONS(2700),
    [aux_sym_identities_only_token1] = ACTIONS(2700),
    [aux_sym_identity_agent_token1] = ACTIONS(2700),
    [aux_sym_identity_file_token1] = ACTIONS(2700),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2700),
    [aux_sym_include_token1] = ACTIONS(2700),
    [aux_sym_ip_qos_token1] = ACTIONS(2700),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2700),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2700),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2700),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2700),
    [aux_sym_local_command_token1] = ACTIONS(2700),
    [aux_sym_local_forward_token1] = ACTIONS(2700),
    [aux_sym_log_level_token1] = ACTIONS(2700),
    [aux_sym_log_verbose_token1] = ACTIONS(2700),
    [aux_sym_macs_token1] = ACTIONS(2700),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2700),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2700),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2700),
    [aux_sym_password_authentication_token1] = ACTIONS(2700),
    [aux_sym_permit_local_command_token1] = ACTIONS(2700),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2700),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2700),
    [aux_sym_port_token1] = ACTIONS(2700),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2700),
    [aux_sym_protocol_token1] = ACTIONS(2700),
    [aux_sym_proxy_command_token1] = ACTIONS(2700),
    [aux_sym_proxy_jump_token1] = ACTIONS(2700),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2700),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2700),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2700),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2700),
    [aux_sym_rekey_limit_token1] = ACTIONS(2700),
    [aux_sym_remote_command_token1] = ACTIONS(2700),
    [aux_sym_remote_forward_token1] = ACTIONS(2700),
    [aux_sym_request_tty_token1] = ACTIONS(2700),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2700),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2700),
    [aux_sym_security_key_provider_token1] = ACTIONS(2700),
    [aux_sym_send_env_token1] = ACTIONS(2700),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2700),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2700),
    [aux_sym_session_type_token1] = ACTIONS(2700),
    [aux_sym_set_env_token1] = ACTIONS(2700),
    [aux_sym_stdin_null_token1] = ACTIONS(2700),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2700),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2700),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2700),
    [aux_sym_syslog_facility_token1] = ACTIONS(2700),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2700),
    [aux_sym_keep_alive_token1] = ACTIONS(2700),
    [aux_sym_tag_token1] = ACTIONS(2700),
    [aux_sym_tunnel_token1] = ACTIONS(2702),
    [aux_sym_tunnel_device_token1] = ACTIONS(2700),
    [aux_sym_update_host_keys_token1] = ACTIONS(2700),
    [aux_sym_use_keychain_token1] = ACTIONS(2700),
    [aux_sym_use_roaming_token1] = ACTIONS(2700),
    [aux_sym_user_token1] = ACTIONS(2702),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2700),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2700),
    [aux_sym_version_addendum_token1] = ACTIONS(2700),
    [aux_sym_visual_host_key_token1] = ACTIONS(2700),
    [aux_sym_xauth_location_token1] = ACTIONS(2700),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [aux_sym_match_token1] = ACTIONS(2706),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2706),
    [aux_sym_address_family_token1] = ACTIONS(2706),
    [aux_sym_batch_mode_token1] = ACTIONS(2706),
    [aux_sym_bind_address_token1] = ACTIONS(2706),
    [aux_sym_bind_interface_token1] = ACTIONS(2706),
    [aux_sym_canonical_domains_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2706),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2706),
    [aux_sym_certificate_file_token1] = ACTIONS(2706),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2706),
    [aux_sym_channel_timeout_token1] = ACTIONS(2706),
    [aux_sym_check_host_ip_token1] = ACTIONS(2706),
    [aux_sym_ciphers_token1] = ACTIONS(2706),
    [aux_sym_cipher_token1] = ACTIONS(2708),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2706),
    [aux_sym_compression_token1] = ACTIONS(2706),
    [aux_sym_connection_attempts_token1] = ACTIONS(2706),
    [aux_sym_connect_timeout_token1] = ACTIONS(2706),
    [aux_sym_control_master_token1] = ACTIONS(2706),
    [aux_sym_control_path_token1] = ACTIONS(2706),
    [aux_sym_control_persist_token1] = ACTIONS(2706),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2706),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2706),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2706),
    [aux_sym_escape_char_token1] = ACTIONS(2706),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2706),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2706),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2706),
    [aux_sym_forward_agent_token1] = ACTIONS(2706),
    [aux_sym_forward_x11_token1] = ACTIONS(2708),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2706),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2706),
    [aux_sym_gateway_ports_token1] = ACTIONS(2706),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2706),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2706),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2706),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2706),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2706),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2706),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2706),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2706),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2706),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2706),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2706),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2706),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2706),
    [aux_sym_host_key_alias_token1] = ACTIONS(2706),
    [aux_sym_hostname_token1] = ACTIONS(2706),
    [aux_sym_identities_only_token1] = ACTIONS(2706),
    [aux_sym_identity_agent_token1] = ACTIONS(2706),
    [aux_sym_identity_file_token1] = ACTIONS(2706),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2706),
    [aux_sym_include_token1] = ACTIONS(2706),
    [aux_sym_ip_qos_token1] = ACTIONS(2706),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2706),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2706),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2706),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2706),
    [aux_sym_local_command_token1] = ACTIONS(2706),
    [aux_sym_local_forward_token1] = ACTIONS(2706),
    [aux_sym_log_level_token1] = ACTIONS(2706),
    [aux_sym_log_verbose_token1] = ACTIONS(2706),
    [aux_sym_macs_token1] = ACTIONS(2706),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2706),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2706),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2706),
    [aux_sym_password_authentication_token1] = ACTIONS(2706),
    [aux_sym_permit_local_command_token1] = ACTIONS(2706),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2706),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2706),
    [aux_sym_port_token1] = ACTIONS(2706),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2706),
    [aux_sym_protocol_token1] = ACTIONS(2706),
    [aux_sym_proxy_command_token1] = ACTIONS(2706),
    [aux_sym_proxy_jump_token1] = ACTIONS(2706),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2706),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2706),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2706),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2706),
    [aux_sym_rekey_limit_token1] = ACTIONS(2706),
    [aux_sym_remote_command_token1] = ACTIONS(2706),
    [aux_sym_remote_forward_token1] = ACTIONS(2706),
    [aux_sym_request_tty_token1] = ACTIONS(2706),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2706),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2706),
    [aux_sym_security_key_provider_token1] = ACTIONS(2706),
    [aux_sym_send_env_token1] = ACTIONS(2706),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2706),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2706),
    [aux_sym_session_type_token1] = ACTIONS(2706),
    [aux_sym_set_env_token1] = ACTIONS(2706),
    [aux_sym_stdin_null_token1] = ACTIONS(2706),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2706),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2706),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2706),
    [aux_sym_syslog_facility_token1] = ACTIONS(2706),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2706),
    [aux_sym_keep_alive_token1] = ACTIONS(2706),
    [aux_sym_tag_token1] = ACTIONS(2706),
    [aux_sym_tunnel_token1] = ACTIONS(2708),
    [aux_sym_tunnel_device_token1] = ACTIONS(2706),
    [aux_sym_update_host_keys_token1] = ACTIONS(2706),
    [aux_sym_use_keychain_token1] = ACTIONS(2706),
    [aux_sym_use_roaming_token1] = ACTIONS(2706),
    [aux_sym_user_token1] = ACTIONS(2708),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2706),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2706),
    [aux_sym_version_addendum_token1] = ACTIONS(2706),
    [aux_sym_visual_host_key_token1] = ACTIONS(2706),
    [aux_sym_xauth_location_token1] = ACTIONS(2706),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [aux_sym_match_token1] = ACTIONS(2712),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2712),
    [aux_sym_address_family_token1] = ACTIONS(2712),
    [aux_sym_batch_mode_token1] = ACTIONS(2712),
    [aux_sym_bind_address_token1] = ACTIONS(2712),
    [aux_sym_bind_interface_token1] = ACTIONS(2712),
    [aux_sym_canonical_domains_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2712),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2712),
    [aux_sym_certificate_file_token1] = ACTIONS(2712),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2712),
    [aux_sym_channel_timeout_token1] = ACTIONS(2712),
    [aux_sym_check_host_ip_token1] = ACTIONS(2712),
    [aux_sym_ciphers_token1] = ACTIONS(2712),
    [aux_sym_cipher_token1] = ACTIONS(2714),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2712),
    [aux_sym_compression_token1] = ACTIONS(2712),
    [aux_sym_connection_attempts_token1] = ACTIONS(2712),
    [aux_sym_connect_timeout_token1] = ACTIONS(2712),
    [aux_sym_control_master_token1] = ACTIONS(2712),
    [aux_sym_control_path_token1] = ACTIONS(2712),
    [aux_sym_control_persist_token1] = ACTIONS(2712),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2712),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2712),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2712),
    [aux_sym_escape_char_token1] = ACTIONS(2712),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2712),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2712),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2712),
    [aux_sym_forward_agent_token1] = ACTIONS(2712),
    [aux_sym_forward_x11_token1] = ACTIONS(2714),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2712),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2712),
    [aux_sym_gateway_ports_token1] = ACTIONS(2712),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2712),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2712),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2712),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2712),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2712),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2712),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2712),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2712),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2712),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2712),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2712),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2712),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2712),
    [aux_sym_host_key_alias_token1] = ACTIONS(2712),
    [aux_sym_hostname_token1] = ACTIONS(2712),
    [aux_sym_identities_only_token1] = ACTIONS(2712),
    [aux_sym_identity_agent_token1] = ACTIONS(2712),
    [aux_sym_identity_file_token1] = ACTIONS(2712),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2712),
    [aux_sym_include_token1] = ACTIONS(2712),
    [aux_sym_ip_qos_token1] = ACTIONS(2712),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2712),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2712),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2712),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2712),
    [aux_sym_local_command_token1] = ACTIONS(2712),
    [aux_sym_local_forward_token1] = ACTIONS(2712),
    [aux_sym_log_level_token1] = ACTIONS(2712),
    [aux_sym_log_verbose_token1] = ACTIONS(2712),
    [aux_sym_macs_token1] = ACTIONS(2712),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2712),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2712),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2712),
    [aux_sym_password_authentication_token1] = ACTIONS(2712),
    [aux_sym_permit_local_command_token1] = ACTIONS(2712),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2712),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2712),
    [aux_sym_port_token1] = ACTIONS(2712),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2712),
    [aux_sym_protocol_token1] = ACTIONS(2712),
    [aux_sym_proxy_command_token1] = ACTIONS(2712),
    [aux_sym_proxy_jump_token1] = ACTIONS(2712),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2712),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2712),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2712),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2712),
    [aux_sym_rekey_limit_token1] = ACTIONS(2712),
    [aux_sym_remote_command_token1] = ACTIONS(2712),
    [aux_sym_remote_forward_token1] = ACTIONS(2712),
    [aux_sym_request_tty_token1] = ACTIONS(2712),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2712),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2712),
    [aux_sym_security_key_provider_token1] = ACTIONS(2712),
    [aux_sym_send_env_token1] = ACTIONS(2712),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2712),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2712),
    [aux_sym_session_type_token1] = ACTIONS(2712),
    [aux_sym_set_env_token1] = ACTIONS(2712),
    [aux_sym_stdin_null_token1] = ACTIONS(2712),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2712),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2712),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2712),
    [aux_sym_syslog_facility_token1] = ACTIONS(2712),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2712),
    [aux_sym_keep_alive_token1] = ACTIONS(2712),
    [aux_sym_tag_token1] = ACTIONS(2712),
    [aux_sym_tunnel_token1] = ACTIONS(2714),
    [aux_sym_tunnel_device_token1] = ACTIONS(2712),
    [aux_sym_update_host_keys_token1] = ACTIONS(2712),
    [aux_sym_use_keychain_token1] = ACTIONS(2712),
    [aux_sym_use_roaming_token1] = ACTIONS(2712),
    [aux_sym_user_token1] = ACTIONS(2714),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2712),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2712),
    [aux_sym_version_addendum_token1] = ACTIONS(2712),
    [aux_sym_visual_host_key_token1] = ACTIONS(2712),
    [aux_sym_xauth_location_token1] = ACTIONS(2712),
  },
  [397] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [aux_sym_match_token1] = ACTIONS(2718),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2718),
    [aux_sym_address_family_token1] = ACTIONS(2718),
    [aux_sym_batch_mode_token1] = ACTIONS(2718),
    [aux_sym_bind_address_token1] = ACTIONS(2718),
    [aux_sym_bind_interface_token1] = ACTIONS(2718),
    [aux_sym_canonical_domains_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2718),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2718),
    [aux_sym_certificate_file_token1] = ACTIONS(2718),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2718),
    [aux_sym_channel_timeout_token1] = ACTIONS(2718),
    [aux_sym_check_host_ip_token1] = ACTIONS(2718),
    [aux_sym_ciphers_token1] = ACTIONS(2718),
    [aux_sym_cipher_token1] = ACTIONS(2720),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2718),
    [aux_sym_compression_token1] = ACTIONS(2718),
    [aux_sym_connection_attempts_token1] = ACTIONS(2718),
    [aux_sym_connect_timeout_token1] = ACTIONS(2718),
    [aux_sym_control_master_token1] = ACTIONS(2718),
    [aux_sym_control_path_token1] = ACTIONS(2718),
    [aux_sym_control_persist_token1] = ACTIONS(2718),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2718),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2718),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2718),
    [aux_sym_escape_char_token1] = ACTIONS(2718),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2718),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2718),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2718),
    [aux_sym_forward_agent_token1] = ACTIONS(2718),
    [aux_sym_forward_x11_token1] = ACTIONS(2720),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2718),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2718),
    [aux_sym_gateway_ports_token1] = ACTIONS(2718),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2718),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2718),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2718),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2718),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2718),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2718),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2718),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2718),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2718),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2718),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2718),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2718),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2718),
    [aux_sym_host_key_alias_token1] = ACTIONS(2718),
    [aux_sym_hostname_token1] = ACTIONS(2718),
    [aux_sym_identities_only_token1] = ACTIONS(2718),
    [aux_sym_identity_agent_token1] = ACTIONS(2718),
    [aux_sym_identity_file_token1] = ACTIONS(2718),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2718),
    [aux_sym_include_token1] = ACTIONS(2718),
    [aux_sym_ip_qos_token1] = ACTIONS(2718),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2718),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2718),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2718),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2718),
    [aux_sym_local_command_token1] = ACTIONS(2718),
    [aux_sym_local_forward_token1] = ACTIONS(2718),
    [aux_sym_log_level_token1] = ACTIONS(2718),
    [aux_sym_log_verbose_token1] = ACTIONS(2718),
    [aux_sym_macs_token1] = ACTIONS(2718),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2718),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2718),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2718),
    [aux_sym_password_authentication_token1] = ACTIONS(2718),
    [aux_sym_permit_local_command_token1] = ACTIONS(2718),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2718),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2718),
    [aux_sym_port_token1] = ACTIONS(2718),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2718),
    [aux_sym_protocol_token1] = ACTIONS(2718),
    [aux_sym_proxy_command_token1] = ACTIONS(2718),
    [aux_sym_proxy_jump_token1] = ACTIONS(2718),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2718),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2718),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2718),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2718),
    [aux_sym_rekey_limit_token1] = ACTIONS(2718),
    [aux_sym_remote_command_token1] = ACTIONS(2718),
    [aux_sym_remote_forward_token1] = ACTIONS(2718),
    [aux_sym_request_tty_token1] = ACTIONS(2718),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2718),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2718),
    [aux_sym_security_key_provider_token1] = ACTIONS(2718),
    [aux_sym_send_env_token1] = ACTIONS(2718),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2718),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2718),
    [aux_sym_session_type_token1] = ACTIONS(2718),
    [aux_sym_set_env_token1] = ACTIONS(2718),
    [aux_sym_stdin_null_token1] = ACTIONS(2718),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2718),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2718),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2718),
    [aux_sym_syslog_facility_token1] = ACTIONS(2718),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2718),
    [aux_sym_keep_alive_token1] = ACTIONS(2718),
    [aux_sym_tag_token1] = ACTIONS(2718),
    [aux_sym_tunnel_token1] = ACTIONS(2720),
    [aux_sym_tunnel_device_token1] = ACTIONS(2718),
    [aux_sym_update_host_keys_token1] = ACTIONS(2718),
    [aux_sym_use_keychain_token1] = ACTIONS(2718),
    [aux_sym_use_roaming_token1] = ACTIONS(2718),
    [aux_sym_user_token1] = ACTIONS(2720),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2718),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2718),
    [aux_sym_version_addendum_token1] = ACTIONS(2718),
    [aux_sym_visual_host_key_token1] = ACTIONS(2718),
    [aux_sym_xauth_location_token1] = ACTIONS(2718),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [aux_sym_match_token1] = ACTIONS(2724),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2724),
    [aux_sym_address_family_token1] = ACTIONS(2724),
    [aux_sym_batch_mode_token1] = ACTIONS(2724),
    [aux_sym_bind_address_token1] = ACTIONS(2724),
    [aux_sym_bind_interface_token1] = ACTIONS(2724),
    [aux_sym_canonical_domains_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2724),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2724),
    [aux_sym_certificate_file_token1] = ACTIONS(2724),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2724),
    [aux_sym_channel_timeout_token1] = ACTIONS(2724),
    [aux_sym_check_host_ip_token1] = ACTIONS(2724),
    [aux_sym_ciphers_token1] = ACTIONS(2724),
    [aux_sym_cipher_token1] = ACTIONS(2726),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2724),
    [aux_sym_compression_token1] = ACTIONS(2724),
    [aux_sym_connection_attempts_token1] = ACTIONS(2724),
    [aux_sym_connect_timeout_token1] = ACTIONS(2724),
    [aux_sym_control_master_token1] = ACTIONS(2724),
    [aux_sym_control_path_token1] = ACTIONS(2724),
    [aux_sym_control_persist_token1] = ACTIONS(2724),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2724),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2724),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2724),
    [aux_sym_escape_char_token1] = ACTIONS(2724),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2724),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2724),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2724),
    [aux_sym_forward_agent_token1] = ACTIONS(2724),
    [aux_sym_forward_x11_token1] = ACTIONS(2726),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2724),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2724),
    [aux_sym_gateway_ports_token1] = ACTIONS(2724),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2724),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2724),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2724),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2724),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2724),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2724),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2724),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2724),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2724),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2724),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2724),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2724),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2724),
    [aux_sym_host_key_alias_token1] = ACTIONS(2724),
    [aux_sym_hostname_token1] = ACTIONS(2724),
    [aux_sym_identities_only_token1] = ACTIONS(2724),
    [aux_sym_identity_agent_token1] = ACTIONS(2724),
    [aux_sym_identity_file_token1] = ACTIONS(2724),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2724),
    [aux_sym_include_token1] = ACTIONS(2724),
    [aux_sym_ip_qos_token1] = ACTIONS(2724),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2724),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2724),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2724),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2724),
    [aux_sym_local_command_token1] = ACTIONS(2724),
    [aux_sym_local_forward_token1] = ACTIONS(2724),
    [aux_sym_log_level_token1] = ACTIONS(2724),
    [aux_sym_log_verbose_token1] = ACTIONS(2724),
    [aux_sym_macs_token1] = ACTIONS(2724),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2724),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2724),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2724),
    [aux_sym_password_authentication_token1] = ACTIONS(2724),
    [aux_sym_permit_local_command_token1] = ACTIONS(2724),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2724),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2724),
    [aux_sym_port_token1] = ACTIONS(2724),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2724),
    [aux_sym_protocol_token1] = ACTIONS(2724),
    [aux_sym_proxy_command_token1] = ACTIONS(2724),
    [aux_sym_proxy_jump_token1] = ACTIONS(2724),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2724),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2724),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2724),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2724),
    [aux_sym_rekey_limit_token1] = ACTIONS(2724),
    [aux_sym_remote_command_token1] = ACTIONS(2724),
    [aux_sym_remote_forward_token1] = ACTIONS(2724),
    [aux_sym_request_tty_token1] = ACTIONS(2724),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2724),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2724),
    [aux_sym_security_key_provider_token1] = ACTIONS(2724),
    [aux_sym_send_env_token1] = ACTIONS(2724),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2724),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2724),
    [aux_sym_session_type_token1] = ACTIONS(2724),
    [aux_sym_set_env_token1] = ACTIONS(2724),
    [aux_sym_stdin_null_token1] = ACTIONS(2724),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2724),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2724),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2724),
    [aux_sym_syslog_facility_token1] = ACTIONS(2724),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2724),
    [aux_sym_keep_alive_token1] = ACTIONS(2724),
    [aux_sym_tag_token1] = ACTIONS(2724),
    [aux_sym_tunnel_token1] = ACTIONS(2726),
    [aux_sym_tunnel_device_token1] = ACTIONS(2724),
    [aux_sym_update_host_keys_token1] = ACTIONS(2724),
    [aux_sym_use_keychain_token1] = ACTIONS(2724),
    [aux_sym_use_roaming_token1] = ACTIONS(2724),
    [aux_sym_user_token1] = ACTIONS(2726),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2724),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2724),
    [aux_sym_version_addendum_token1] = ACTIONS(2724),
    [aux_sym_visual_host_key_token1] = ACTIONS(2724),
    [aux_sym_xauth_location_token1] = ACTIONS(2724),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2732),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [aux_sym_match_token1] = ACTIONS(2730),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2730),
    [aux_sym_address_family_token1] = ACTIONS(2730),
    [aux_sym_batch_mode_token1] = ACTIONS(2730),
    [aux_sym_bind_address_token1] = ACTIONS(2730),
    [aux_sym_bind_interface_token1] = ACTIONS(2730),
    [aux_sym_canonical_domains_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2730),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2730),
    [aux_sym_certificate_file_token1] = ACTIONS(2730),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2730),
    [aux_sym_channel_timeout_token1] = ACTIONS(2730),
    [aux_sym_check_host_ip_token1] = ACTIONS(2730),
    [aux_sym_ciphers_token1] = ACTIONS(2730),
    [aux_sym_cipher_token1] = ACTIONS(2732),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2730),
    [aux_sym_compression_token1] = ACTIONS(2730),
    [aux_sym_connection_attempts_token1] = ACTIONS(2730),
    [aux_sym_connect_timeout_token1] = ACTIONS(2730),
    [aux_sym_control_master_token1] = ACTIONS(2730),
    [aux_sym_control_path_token1] = ACTIONS(2730),
    [aux_sym_control_persist_token1] = ACTIONS(2730),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2730),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2730),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2730),
    [aux_sym_escape_char_token1] = ACTIONS(2730),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2730),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2730),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2730),
    [aux_sym_forward_agent_token1] = ACTIONS(2730),
    [aux_sym_forward_x11_token1] = ACTIONS(2732),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2730),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2730),
    [aux_sym_gateway_ports_token1] = ACTIONS(2730),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2730),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2730),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2730),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2730),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2730),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2730),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2730),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2730),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2730),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2730),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2730),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2730),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2730),
    [aux_sym_host_key_alias_token1] = ACTIONS(2730),
    [aux_sym_hostname_token1] = ACTIONS(2730),
    [aux_sym_identities_only_token1] = ACTIONS(2730),
    [aux_sym_identity_agent_token1] = ACTIONS(2730),
    [aux_sym_identity_file_token1] = ACTIONS(2730),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2730),
    [aux_sym_include_token1] = ACTIONS(2730),
    [aux_sym_ip_qos_token1] = ACTIONS(2730),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2730),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2730),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2730),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2730),
    [aux_sym_local_command_token1] = ACTIONS(2730),
    [aux_sym_local_forward_token1] = ACTIONS(2730),
    [aux_sym_log_level_token1] = ACTIONS(2730),
    [aux_sym_log_verbose_token1] = ACTIONS(2730),
    [aux_sym_macs_token1] = ACTIONS(2730),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2730),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2730),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2730),
    [aux_sym_password_authentication_token1] = ACTIONS(2730),
    [aux_sym_permit_local_command_token1] = ACTIONS(2730),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2730),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2730),
    [aux_sym_port_token1] = ACTIONS(2730),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2730),
    [aux_sym_protocol_token1] = ACTIONS(2730),
    [aux_sym_proxy_command_token1] = ACTIONS(2730),
    [aux_sym_proxy_jump_token1] = ACTIONS(2730),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2730),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2730),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2730),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2730),
    [aux_sym_rekey_limit_token1] = ACTIONS(2730),
    [aux_sym_remote_command_token1] = ACTIONS(2730),
    [aux_sym_remote_forward_token1] = ACTIONS(2730),
    [aux_sym_request_tty_token1] = ACTIONS(2730),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2730),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2730),
    [aux_sym_security_key_provider_token1] = ACTIONS(2730),
    [aux_sym_send_env_token1] = ACTIONS(2730),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2730),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2730),
    [aux_sym_session_type_token1] = ACTIONS(2730),
    [aux_sym_set_env_token1] = ACTIONS(2730),
    [aux_sym_stdin_null_token1] = ACTIONS(2730),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2730),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2730),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2730),
    [aux_sym_syslog_facility_token1] = ACTIONS(2730),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2730),
    [aux_sym_keep_alive_token1] = ACTIONS(2730),
    [aux_sym_tag_token1] = ACTIONS(2730),
    [aux_sym_tunnel_token1] = ACTIONS(2732),
    [aux_sym_tunnel_device_token1] = ACTIONS(2730),
    [aux_sym_update_host_keys_token1] = ACTIONS(2730),
    [aux_sym_use_keychain_token1] = ACTIONS(2730),
    [aux_sym_use_roaming_token1] = ACTIONS(2730),
    [aux_sym_user_token1] = ACTIONS(2732),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2730),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2730),
    [aux_sym_version_addendum_token1] = ACTIONS(2730),
    [aux_sym_visual_host_key_token1] = ACTIONS(2730),
    [aux_sym_xauth_location_token1] = ACTIONS(2730),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [aux_sym_match_token1] = ACTIONS(2736),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2736),
    [aux_sym_address_family_token1] = ACTIONS(2736),
    [aux_sym_batch_mode_token1] = ACTIONS(2736),
    [aux_sym_bind_address_token1] = ACTIONS(2736),
    [aux_sym_bind_interface_token1] = ACTIONS(2736),
    [aux_sym_canonical_domains_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2736),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2736),
    [aux_sym_certificate_file_token1] = ACTIONS(2736),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2736),
    [aux_sym_channel_timeout_token1] = ACTIONS(2736),
    [aux_sym_check_host_ip_token1] = ACTIONS(2736),
    [aux_sym_ciphers_token1] = ACTIONS(2736),
    [aux_sym_cipher_token1] = ACTIONS(2738),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2736),
    [aux_sym_compression_token1] = ACTIONS(2736),
    [aux_sym_connection_attempts_token1] = ACTIONS(2736),
    [aux_sym_connect_timeout_token1] = ACTIONS(2736),
    [aux_sym_control_master_token1] = ACTIONS(2736),
    [aux_sym_control_path_token1] = ACTIONS(2736),
    [aux_sym_control_persist_token1] = ACTIONS(2736),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2736),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2736),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2736),
    [aux_sym_escape_char_token1] = ACTIONS(2736),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2736),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2736),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2736),
    [aux_sym_forward_agent_token1] = ACTIONS(2736),
    [aux_sym_forward_x11_token1] = ACTIONS(2738),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2736),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2736),
    [aux_sym_gateway_ports_token1] = ACTIONS(2736),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2736),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2736),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2736),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2736),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2736),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2736),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2736),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2736),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2736),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2736),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2736),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2736),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2736),
    [aux_sym_host_key_alias_token1] = ACTIONS(2736),
    [aux_sym_hostname_token1] = ACTIONS(2736),
    [aux_sym_identities_only_token1] = ACTIONS(2736),
    [aux_sym_identity_agent_token1] = ACTIONS(2736),
    [aux_sym_identity_file_token1] = ACTIONS(2736),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2736),
    [aux_sym_include_token1] = ACTIONS(2736),
    [aux_sym_ip_qos_token1] = ACTIONS(2736),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2736),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2736),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2736),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2736),
    [aux_sym_local_command_token1] = ACTIONS(2736),
    [aux_sym_local_forward_token1] = ACTIONS(2736),
    [aux_sym_log_level_token1] = ACTIONS(2736),
    [aux_sym_log_verbose_token1] = ACTIONS(2736),
    [aux_sym_macs_token1] = ACTIONS(2736),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2736),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2736),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2736),
    [aux_sym_password_authentication_token1] = ACTIONS(2736),
    [aux_sym_permit_local_command_token1] = ACTIONS(2736),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2736),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2736),
    [aux_sym_port_token1] = ACTIONS(2736),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2736),
    [aux_sym_protocol_token1] = ACTIONS(2736),
    [aux_sym_proxy_command_token1] = ACTIONS(2736),
    [aux_sym_proxy_jump_token1] = ACTIONS(2736),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2736),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2736),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2736),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2736),
    [aux_sym_rekey_limit_token1] = ACTIONS(2736),
    [aux_sym_remote_command_token1] = ACTIONS(2736),
    [aux_sym_remote_forward_token1] = ACTIONS(2736),
    [aux_sym_request_tty_token1] = ACTIONS(2736),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2736),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2736),
    [aux_sym_security_key_provider_token1] = ACTIONS(2736),
    [aux_sym_send_env_token1] = ACTIONS(2736),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2736),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2736),
    [aux_sym_session_type_token1] = ACTIONS(2736),
    [aux_sym_set_env_token1] = ACTIONS(2736),
    [aux_sym_stdin_null_token1] = ACTIONS(2736),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2736),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2736),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2736),
    [aux_sym_syslog_facility_token1] = ACTIONS(2736),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2736),
    [aux_sym_keep_alive_token1] = ACTIONS(2736),
    [aux_sym_tag_token1] = ACTIONS(2736),
    [aux_sym_tunnel_token1] = ACTIONS(2738),
    [aux_sym_tunnel_device_token1] = ACTIONS(2736),
    [aux_sym_update_host_keys_token1] = ACTIONS(2736),
    [aux_sym_use_keychain_token1] = ACTIONS(2736),
    [aux_sym_use_roaming_token1] = ACTIONS(2736),
    [aux_sym_user_token1] = ACTIONS(2738),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2736),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2736),
    [aux_sym_version_addendum_token1] = ACTIONS(2736),
    [aux_sym_visual_host_key_token1] = ACTIONS(2736),
    [aux_sym_xauth_location_token1] = ACTIONS(2736),
  },
  [401] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [aux_sym_match_token1] = ACTIONS(2742),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2742),
    [aux_sym_address_family_token1] = ACTIONS(2742),
    [aux_sym_batch_mode_token1] = ACTIONS(2742),
    [aux_sym_bind_address_token1] = ACTIONS(2742),
    [aux_sym_bind_interface_token1] = ACTIONS(2742),
    [aux_sym_canonical_domains_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2742),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2742),
    [aux_sym_certificate_file_token1] = ACTIONS(2742),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2742),
    [aux_sym_channel_timeout_token1] = ACTIONS(2742),
    [aux_sym_check_host_ip_token1] = ACTIONS(2742),
    [aux_sym_ciphers_token1] = ACTIONS(2742),
    [aux_sym_cipher_token1] = ACTIONS(2744),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2742),
    [aux_sym_compression_token1] = ACTIONS(2742),
    [aux_sym_connection_attempts_token1] = ACTIONS(2742),
    [aux_sym_connect_timeout_token1] = ACTIONS(2742),
    [aux_sym_control_master_token1] = ACTIONS(2742),
    [aux_sym_control_path_token1] = ACTIONS(2742),
    [aux_sym_control_persist_token1] = ACTIONS(2742),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2742),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2742),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2742),
    [aux_sym_escape_char_token1] = ACTIONS(2742),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2742),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2742),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2742),
    [aux_sym_forward_agent_token1] = ACTIONS(2742),
    [aux_sym_forward_x11_token1] = ACTIONS(2744),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2742),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2742),
    [aux_sym_gateway_ports_token1] = ACTIONS(2742),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2742),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2742),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2742),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2742),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2742),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2742),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2742),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2742),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2742),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2742),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2742),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2742),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2742),
    [aux_sym_host_key_alias_token1] = ACTIONS(2742),
    [aux_sym_hostname_token1] = ACTIONS(2742),
    [aux_sym_identities_only_token1] = ACTIONS(2742),
    [aux_sym_identity_agent_token1] = ACTIONS(2742),
    [aux_sym_identity_file_token1] = ACTIONS(2742),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2742),
    [aux_sym_include_token1] = ACTIONS(2742),
    [aux_sym_ip_qos_token1] = ACTIONS(2742),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2742),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2742),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2742),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2742),
    [aux_sym_local_command_token1] = ACTIONS(2742),
    [aux_sym_local_forward_token1] = ACTIONS(2742),
    [aux_sym_log_level_token1] = ACTIONS(2742),
    [aux_sym_log_verbose_token1] = ACTIONS(2742),
    [aux_sym_macs_token1] = ACTIONS(2742),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2742),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2742),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2742),
    [aux_sym_password_authentication_token1] = ACTIONS(2742),
    [aux_sym_permit_local_command_token1] = ACTIONS(2742),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2742),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2742),
    [aux_sym_port_token1] = ACTIONS(2742),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2742),
    [aux_sym_protocol_token1] = ACTIONS(2742),
    [aux_sym_proxy_command_token1] = ACTIONS(2742),
    [aux_sym_proxy_jump_token1] = ACTIONS(2742),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2742),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2742),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2742),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2742),
    [aux_sym_rekey_limit_token1] = ACTIONS(2742),
    [aux_sym_remote_command_token1] = ACTIONS(2742),
    [aux_sym_remote_forward_token1] = ACTIONS(2742),
    [aux_sym_request_tty_token1] = ACTIONS(2742),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2742),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2742),
    [aux_sym_security_key_provider_token1] = ACTIONS(2742),
    [aux_sym_send_env_token1] = ACTIONS(2742),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2742),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2742),
    [aux_sym_session_type_token1] = ACTIONS(2742),
    [aux_sym_set_env_token1] = ACTIONS(2742),
    [aux_sym_stdin_null_token1] = ACTIONS(2742),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2742),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2742),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2742),
    [aux_sym_syslog_facility_token1] = ACTIONS(2742),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2742),
    [aux_sym_keep_alive_token1] = ACTIONS(2742),
    [aux_sym_tag_token1] = ACTIONS(2742),
    [aux_sym_tunnel_token1] = ACTIONS(2744),
    [aux_sym_tunnel_device_token1] = ACTIONS(2742),
    [aux_sym_update_host_keys_token1] = ACTIONS(2742),
    [aux_sym_use_keychain_token1] = ACTIONS(2742),
    [aux_sym_use_roaming_token1] = ACTIONS(2742),
    [aux_sym_user_token1] = ACTIONS(2744),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2742),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2742),
    [aux_sym_version_addendum_token1] = ACTIONS(2742),
    [aux_sym_visual_host_key_token1] = ACTIONS(2742),
    [aux_sym_xauth_location_token1] = ACTIONS(2742),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [aux_sym_match_token1] = ACTIONS(2748),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2748),
    [aux_sym_address_family_token1] = ACTIONS(2748),
    [aux_sym_batch_mode_token1] = ACTIONS(2748),
    [aux_sym_bind_address_token1] = ACTIONS(2748),
    [aux_sym_bind_interface_token1] = ACTIONS(2748),
    [aux_sym_canonical_domains_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2748),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2748),
    [aux_sym_certificate_file_token1] = ACTIONS(2748),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2748),
    [aux_sym_channel_timeout_token1] = ACTIONS(2748),
    [aux_sym_check_host_ip_token1] = ACTIONS(2748),
    [aux_sym_ciphers_token1] = ACTIONS(2748),
    [aux_sym_cipher_token1] = ACTIONS(2750),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2748),
    [aux_sym_compression_token1] = ACTIONS(2748),
    [aux_sym_connection_attempts_token1] = ACTIONS(2748),
    [aux_sym_connect_timeout_token1] = ACTIONS(2748),
    [aux_sym_control_master_token1] = ACTIONS(2748),
    [aux_sym_control_path_token1] = ACTIONS(2748),
    [aux_sym_control_persist_token1] = ACTIONS(2748),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2748),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2748),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2748),
    [aux_sym_escape_char_token1] = ACTIONS(2748),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2748),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2748),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2748),
    [aux_sym_forward_agent_token1] = ACTIONS(2748),
    [aux_sym_forward_x11_token1] = ACTIONS(2750),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2748),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2748),
    [aux_sym_gateway_ports_token1] = ACTIONS(2748),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2748),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2748),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2748),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2748),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2748),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2748),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2748),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2748),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2748),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2748),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2748),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2748),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2748),
    [aux_sym_host_key_alias_token1] = ACTIONS(2748),
    [aux_sym_hostname_token1] = ACTIONS(2748),
    [aux_sym_identities_only_token1] = ACTIONS(2748),
    [aux_sym_identity_agent_token1] = ACTIONS(2748),
    [aux_sym_identity_file_token1] = ACTIONS(2748),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2748),
    [aux_sym_include_token1] = ACTIONS(2748),
    [aux_sym_ip_qos_token1] = ACTIONS(2748),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2748),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2748),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2748),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2748),
    [aux_sym_local_command_token1] = ACTIONS(2748),
    [aux_sym_local_forward_token1] = ACTIONS(2748),
    [aux_sym_log_level_token1] = ACTIONS(2748),
    [aux_sym_log_verbose_token1] = ACTIONS(2748),
    [aux_sym_macs_token1] = ACTIONS(2748),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2748),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2748),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2748),
    [aux_sym_password_authentication_token1] = ACTIONS(2748),
    [aux_sym_permit_local_command_token1] = ACTIONS(2748),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2748),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2748),
    [aux_sym_port_token1] = ACTIONS(2748),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2748),
    [aux_sym_protocol_token1] = ACTIONS(2748),
    [aux_sym_proxy_command_token1] = ACTIONS(2748),
    [aux_sym_proxy_jump_token1] = ACTIONS(2748),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2748),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2748),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2748),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2748),
    [aux_sym_rekey_limit_token1] = ACTIONS(2748),
    [aux_sym_remote_command_token1] = ACTIONS(2748),
    [aux_sym_remote_forward_token1] = ACTIONS(2748),
    [aux_sym_request_tty_token1] = ACTIONS(2748),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2748),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2748),
    [aux_sym_security_key_provider_token1] = ACTIONS(2748),
    [aux_sym_send_env_token1] = ACTIONS(2748),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2748),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2748),
    [aux_sym_session_type_token1] = ACTIONS(2748),
    [aux_sym_set_env_token1] = ACTIONS(2748),
    [aux_sym_stdin_null_token1] = ACTIONS(2748),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2748),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2748),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2748),
    [aux_sym_syslog_facility_token1] = ACTIONS(2748),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2748),
    [aux_sym_keep_alive_token1] = ACTIONS(2748),
    [aux_sym_tag_token1] = ACTIONS(2748),
    [aux_sym_tunnel_token1] = ACTIONS(2750),
    [aux_sym_tunnel_device_token1] = ACTIONS(2748),
    [aux_sym_update_host_keys_token1] = ACTIONS(2748),
    [aux_sym_use_keychain_token1] = ACTIONS(2748),
    [aux_sym_use_roaming_token1] = ACTIONS(2748),
    [aux_sym_user_token1] = ACTIONS(2750),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2748),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2748),
    [aux_sym_version_addendum_token1] = ACTIONS(2748),
    [aux_sym_visual_host_key_token1] = ACTIONS(2748),
    [aux_sym_xauth_location_token1] = ACTIONS(2748),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [aux_sym_match_token1] = ACTIONS(2754),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2754),
    [aux_sym_address_family_token1] = ACTIONS(2754),
    [aux_sym_batch_mode_token1] = ACTIONS(2754),
    [aux_sym_bind_address_token1] = ACTIONS(2754),
    [aux_sym_bind_interface_token1] = ACTIONS(2754),
    [aux_sym_canonical_domains_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2754),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2754),
    [aux_sym_certificate_file_token1] = ACTIONS(2754),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2754),
    [aux_sym_channel_timeout_token1] = ACTIONS(2754),
    [aux_sym_check_host_ip_token1] = ACTIONS(2754),
    [aux_sym_ciphers_token1] = ACTIONS(2754),
    [aux_sym_cipher_token1] = ACTIONS(2756),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2754),
    [aux_sym_compression_token1] = ACTIONS(2754),
    [aux_sym_connection_attempts_token1] = ACTIONS(2754),
    [aux_sym_connect_timeout_token1] = ACTIONS(2754),
    [aux_sym_control_master_token1] = ACTIONS(2754),
    [aux_sym_control_path_token1] = ACTIONS(2754),
    [aux_sym_control_persist_token1] = ACTIONS(2754),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2754),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2754),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2754),
    [aux_sym_escape_char_token1] = ACTIONS(2754),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2754),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2754),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2754),
    [aux_sym_forward_agent_token1] = ACTIONS(2754),
    [aux_sym_forward_x11_token1] = ACTIONS(2756),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2754),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2754),
    [aux_sym_gateway_ports_token1] = ACTIONS(2754),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2754),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2754),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2754),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2754),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2754),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2754),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2754),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2754),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2754),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2754),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2754),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2754),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2754),
    [aux_sym_host_key_alias_token1] = ACTIONS(2754),
    [aux_sym_hostname_token1] = ACTIONS(2754),
    [aux_sym_identities_only_token1] = ACTIONS(2754),
    [aux_sym_identity_agent_token1] = ACTIONS(2754),
    [aux_sym_identity_file_token1] = ACTIONS(2754),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2754),
    [aux_sym_include_token1] = ACTIONS(2754),
    [aux_sym_ip_qos_token1] = ACTIONS(2754),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2754),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2754),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2754),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2754),
    [aux_sym_local_command_token1] = ACTIONS(2754),
    [aux_sym_local_forward_token1] = ACTIONS(2754),
    [aux_sym_log_level_token1] = ACTIONS(2754),
    [aux_sym_log_verbose_token1] = ACTIONS(2754),
    [aux_sym_macs_token1] = ACTIONS(2754),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2754),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2754),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2754),
    [aux_sym_password_authentication_token1] = ACTIONS(2754),
    [aux_sym_permit_local_command_token1] = ACTIONS(2754),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2754),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2754),
    [aux_sym_port_token1] = ACTIONS(2754),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2754),
    [aux_sym_protocol_token1] = ACTIONS(2754),
    [aux_sym_proxy_command_token1] = ACTIONS(2754),
    [aux_sym_proxy_jump_token1] = ACTIONS(2754),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2754),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2754),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2754),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2754),
    [aux_sym_rekey_limit_token1] = ACTIONS(2754),
    [aux_sym_remote_command_token1] = ACTIONS(2754),
    [aux_sym_remote_forward_token1] = ACTIONS(2754),
    [aux_sym_request_tty_token1] = ACTIONS(2754),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2754),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2754),
    [aux_sym_security_key_provider_token1] = ACTIONS(2754),
    [aux_sym_send_env_token1] = ACTIONS(2754),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2754),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2754),
    [aux_sym_session_type_token1] = ACTIONS(2754),
    [aux_sym_set_env_token1] = ACTIONS(2754),
    [aux_sym_stdin_null_token1] = ACTIONS(2754),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2754),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2754),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2754),
    [aux_sym_syslog_facility_token1] = ACTIONS(2754),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2754),
    [aux_sym_keep_alive_token1] = ACTIONS(2754),
    [aux_sym_tag_token1] = ACTIONS(2754),
    [aux_sym_tunnel_token1] = ACTIONS(2756),
    [aux_sym_tunnel_device_token1] = ACTIONS(2754),
    [aux_sym_update_host_keys_token1] = ACTIONS(2754),
    [aux_sym_use_keychain_token1] = ACTIONS(2754),
    [aux_sym_use_roaming_token1] = ACTIONS(2754),
    [aux_sym_user_token1] = ACTIONS(2756),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2754),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2754),
    [aux_sym_version_addendum_token1] = ACTIONS(2754),
    [aux_sym_visual_host_key_token1] = ACTIONS(2754),
    [aux_sym_xauth_location_token1] = ACTIONS(2754),
  },
  [404] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [aux_sym_match_token1] = ACTIONS(2760),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2760),
    [aux_sym_address_family_token1] = ACTIONS(2760),
    [aux_sym_batch_mode_token1] = ACTIONS(2760),
    [aux_sym_bind_address_token1] = ACTIONS(2760),
    [aux_sym_bind_interface_token1] = ACTIONS(2760),
    [aux_sym_canonical_domains_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2760),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2760),
    [aux_sym_certificate_file_token1] = ACTIONS(2760),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2760),
    [aux_sym_channel_timeout_token1] = ACTIONS(2760),
    [aux_sym_check_host_ip_token1] = ACTIONS(2760),
    [aux_sym_ciphers_token1] = ACTIONS(2760),
    [aux_sym_cipher_token1] = ACTIONS(2762),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2760),
    [aux_sym_compression_token1] = ACTIONS(2760),
    [aux_sym_connection_attempts_token1] = ACTIONS(2760),
    [aux_sym_connect_timeout_token1] = ACTIONS(2760),
    [aux_sym_control_master_token1] = ACTIONS(2760),
    [aux_sym_control_path_token1] = ACTIONS(2760),
    [aux_sym_control_persist_token1] = ACTIONS(2760),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2760),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2760),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2760),
    [aux_sym_escape_char_token1] = ACTIONS(2760),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2760),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2760),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2760),
    [aux_sym_forward_agent_token1] = ACTIONS(2760),
    [aux_sym_forward_x11_token1] = ACTIONS(2762),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2760),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2760),
    [aux_sym_gateway_ports_token1] = ACTIONS(2760),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2760),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2760),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2760),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2760),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2760),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2760),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2760),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2760),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2760),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2760),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2760),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2760),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2760),
    [aux_sym_host_key_alias_token1] = ACTIONS(2760),
    [aux_sym_hostname_token1] = ACTIONS(2760),
    [aux_sym_identities_only_token1] = ACTIONS(2760),
    [aux_sym_identity_agent_token1] = ACTIONS(2760),
    [aux_sym_identity_file_token1] = ACTIONS(2760),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2760),
    [aux_sym_include_token1] = ACTIONS(2760),
    [aux_sym_ip_qos_token1] = ACTIONS(2760),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2760),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2760),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2760),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2760),
    [aux_sym_local_command_token1] = ACTIONS(2760),
    [aux_sym_local_forward_token1] = ACTIONS(2760),
    [aux_sym_log_level_token1] = ACTIONS(2760),
    [aux_sym_log_verbose_token1] = ACTIONS(2760),
    [aux_sym_macs_token1] = ACTIONS(2760),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2760),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2760),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2760),
    [aux_sym_password_authentication_token1] = ACTIONS(2760),
    [aux_sym_permit_local_command_token1] = ACTIONS(2760),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2760),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2760),
    [aux_sym_port_token1] = ACTIONS(2760),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2760),
    [aux_sym_protocol_token1] = ACTIONS(2760),
    [aux_sym_proxy_command_token1] = ACTIONS(2760),
    [aux_sym_proxy_jump_token1] = ACTIONS(2760),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2760),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2760),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2760),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2760),
    [aux_sym_rekey_limit_token1] = ACTIONS(2760),
    [aux_sym_remote_command_token1] = ACTIONS(2760),
    [aux_sym_remote_forward_token1] = ACTIONS(2760),
    [aux_sym_request_tty_token1] = ACTIONS(2760),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2760),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2760),
    [aux_sym_security_key_provider_token1] = ACTIONS(2760),
    [aux_sym_send_env_token1] = ACTIONS(2760),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2760),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2760),
    [aux_sym_session_type_token1] = ACTIONS(2760),
    [aux_sym_set_env_token1] = ACTIONS(2760),
    [aux_sym_stdin_null_token1] = ACTIONS(2760),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2760),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2760),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2760),
    [aux_sym_syslog_facility_token1] = ACTIONS(2760),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2760),
    [aux_sym_keep_alive_token1] = ACTIONS(2760),
    [aux_sym_tag_token1] = ACTIONS(2760),
    [aux_sym_tunnel_token1] = ACTIONS(2762),
    [aux_sym_tunnel_device_token1] = ACTIONS(2760),
    [aux_sym_update_host_keys_token1] = ACTIONS(2760),
    [aux_sym_use_keychain_token1] = ACTIONS(2760),
    [aux_sym_use_roaming_token1] = ACTIONS(2760),
    [aux_sym_user_token1] = ACTIONS(2762),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2760),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2760),
    [aux_sym_version_addendum_token1] = ACTIONS(2760),
    [aux_sym_visual_host_key_token1] = ACTIONS(2760),
    [aux_sym_xauth_location_token1] = ACTIONS(2760),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [aux_sym_match_token1] = ACTIONS(2766),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2766),
    [aux_sym_address_family_token1] = ACTIONS(2766),
    [aux_sym_batch_mode_token1] = ACTIONS(2766),
    [aux_sym_bind_address_token1] = ACTIONS(2766),
    [aux_sym_bind_interface_token1] = ACTIONS(2766),
    [aux_sym_canonical_domains_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2766),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2766),
    [aux_sym_certificate_file_token1] = ACTIONS(2766),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2766),
    [aux_sym_channel_timeout_token1] = ACTIONS(2766),
    [aux_sym_check_host_ip_token1] = ACTIONS(2766),
    [aux_sym_ciphers_token1] = ACTIONS(2766),
    [aux_sym_cipher_token1] = ACTIONS(2768),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2766),
    [aux_sym_compression_token1] = ACTIONS(2766),
    [aux_sym_connection_attempts_token1] = ACTIONS(2766),
    [aux_sym_connect_timeout_token1] = ACTIONS(2766),
    [aux_sym_control_master_token1] = ACTIONS(2766),
    [aux_sym_control_path_token1] = ACTIONS(2766),
    [aux_sym_control_persist_token1] = ACTIONS(2766),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2766),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2766),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2766),
    [aux_sym_escape_char_token1] = ACTIONS(2766),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2766),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2766),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2766),
    [aux_sym_forward_agent_token1] = ACTIONS(2766),
    [aux_sym_forward_x11_token1] = ACTIONS(2768),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2766),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2766),
    [aux_sym_gateway_ports_token1] = ACTIONS(2766),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2766),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2766),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2766),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2766),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2766),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2766),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2766),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2766),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2766),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2766),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2766),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2766),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2766),
    [aux_sym_host_key_alias_token1] = ACTIONS(2766),
    [aux_sym_hostname_token1] = ACTIONS(2766),
    [aux_sym_identities_only_token1] = ACTIONS(2766),
    [aux_sym_identity_agent_token1] = ACTIONS(2766),
    [aux_sym_identity_file_token1] = ACTIONS(2766),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2766),
    [aux_sym_include_token1] = ACTIONS(2766),
    [aux_sym_ip_qos_token1] = ACTIONS(2766),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2766),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2766),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2766),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2766),
    [aux_sym_local_command_token1] = ACTIONS(2766),
    [aux_sym_local_forward_token1] = ACTIONS(2766),
    [aux_sym_log_level_token1] = ACTIONS(2766),
    [aux_sym_log_verbose_token1] = ACTIONS(2766),
    [aux_sym_macs_token1] = ACTIONS(2766),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2766),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2766),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2766),
    [aux_sym_password_authentication_token1] = ACTIONS(2766),
    [aux_sym_permit_local_command_token1] = ACTIONS(2766),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2766),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2766),
    [aux_sym_port_token1] = ACTIONS(2766),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2766),
    [aux_sym_protocol_token1] = ACTIONS(2766),
    [aux_sym_proxy_command_token1] = ACTIONS(2766),
    [aux_sym_proxy_jump_token1] = ACTIONS(2766),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2766),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2766),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2766),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2766),
    [aux_sym_rekey_limit_token1] = ACTIONS(2766),
    [aux_sym_remote_command_token1] = ACTIONS(2766),
    [aux_sym_remote_forward_token1] = ACTIONS(2766),
    [aux_sym_request_tty_token1] = ACTIONS(2766),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2766),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2766),
    [aux_sym_security_key_provider_token1] = ACTIONS(2766),
    [aux_sym_send_env_token1] = ACTIONS(2766),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2766),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2766),
    [aux_sym_session_type_token1] = ACTIONS(2766),
    [aux_sym_set_env_token1] = ACTIONS(2766),
    [aux_sym_stdin_null_token1] = ACTIONS(2766),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2766),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2766),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2766),
    [aux_sym_syslog_facility_token1] = ACTIONS(2766),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2766),
    [aux_sym_keep_alive_token1] = ACTIONS(2766),
    [aux_sym_tag_token1] = ACTIONS(2766),
    [aux_sym_tunnel_token1] = ACTIONS(2768),
    [aux_sym_tunnel_device_token1] = ACTIONS(2766),
    [aux_sym_update_host_keys_token1] = ACTIONS(2766),
    [aux_sym_use_keychain_token1] = ACTIONS(2766),
    [aux_sym_use_roaming_token1] = ACTIONS(2766),
    [aux_sym_user_token1] = ACTIONS(2768),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2766),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2766),
    [aux_sym_version_addendum_token1] = ACTIONS(2766),
    [aux_sym_visual_host_key_token1] = ACTIONS(2766),
    [aux_sym_xauth_location_token1] = ACTIONS(2766),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [aux_sym_match_token1] = ACTIONS(2772),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2772),
    [aux_sym_address_family_token1] = ACTIONS(2772),
    [aux_sym_batch_mode_token1] = ACTIONS(2772),
    [aux_sym_bind_address_token1] = ACTIONS(2772),
    [aux_sym_bind_interface_token1] = ACTIONS(2772),
    [aux_sym_canonical_domains_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2772),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2772),
    [aux_sym_certificate_file_token1] = ACTIONS(2772),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2772),
    [aux_sym_channel_timeout_token1] = ACTIONS(2772),
    [aux_sym_check_host_ip_token1] = ACTIONS(2772),
    [aux_sym_ciphers_token1] = ACTIONS(2772),
    [aux_sym_cipher_token1] = ACTIONS(2774),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2772),
    [aux_sym_compression_token1] = ACTIONS(2772),
    [aux_sym_connection_attempts_token1] = ACTIONS(2772),
    [aux_sym_connect_timeout_token1] = ACTIONS(2772),
    [aux_sym_control_master_token1] = ACTIONS(2772),
    [aux_sym_control_path_token1] = ACTIONS(2772),
    [aux_sym_control_persist_token1] = ACTIONS(2772),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2772),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2772),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2772),
    [aux_sym_escape_char_token1] = ACTIONS(2772),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2772),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2772),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2772),
    [aux_sym_forward_agent_token1] = ACTIONS(2772),
    [aux_sym_forward_x11_token1] = ACTIONS(2774),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2772),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2772),
    [aux_sym_gateway_ports_token1] = ACTIONS(2772),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2772),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2772),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2772),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2772),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2772),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2772),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2772),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2772),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2772),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2772),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2772),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2772),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2772),
    [aux_sym_host_key_alias_token1] = ACTIONS(2772),
    [aux_sym_hostname_token1] = ACTIONS(2772),
    [aux_sym_identities_only_token1] = ACTIONS(2772),
    [aux_sym_identity_agent_token1] = ACTIONS(2772),
    [aux_sym_identity_file_token1] = ACTIONS(2772),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2772),
    [aux_sym_include_token1] = ACTIONS(2772),
    [aux_sym_ip_qos_token1] = ACTIONS(2772),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2772),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2772),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2772),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2772),
    [aux_sym_local_command_token1] = ACTIONS(2772),
    [aux_sym_local_forward_token1] = ACTIONS(2772),
    [aux_sym_log_level_token1] = ACTIONS(2772),
    [aux_sym_log_verbose_token1] = ACTIONS(2772),
    [aux_sym_macs_token1] = ACTIONS(2772),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2772),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2772),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2772),
    [aux_sym_password_authentication_token1] = ACTIONS(2772),
    [aux_sym_permit_local_command_token1] = ACTIONS(2772),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2772),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2772),
    [aux_sym_port_token1] = ACTIONS(2772),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2772),
    [aux_sym_protocol_token1] = ACTIONS(2772),
    [aux_sym_proxy_command_token1] = ACTIONS(2772),
    [aux_sym_proxy_jump_token1] = ACTIONS(2772),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2772),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2772),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2772),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2772),
    [aux_sym_rekey_limit_token1] = ACTIONS(2772),
    [aux_sym_remote_command_token1] = ACTIONS(2772),
    [aux_sym_remote_forward_token1] = ACTIONS(2772),
    [aux_sym_request_tty_token1] = ACTIONS(2772),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2772),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2772),
    [aux_sym_security_key_provider_token1] = ACTIONS(2772),
    [aux_sym_send_env_token1] = ACTIONS(2772),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2772),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2772),
    [aux_sym_session_type_token1] = ACTIONS(2772),
    [aux_sym_set_env_token1] = ACTIONS(2772),
    [aux_sym_stdin_null_token1] = ACTIONS(2772),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2772),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2772),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2772),
    [aux_sym_syslog_facility_token1] = ACTIONS(2772),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2772),
    [aux_sym_keep_alive_token1] = ACTIONS(2772),
    [aux_sym_tag_token1] = ACTIONS(2772),
    [aux_sym_tunnel_token1] = ACTIONS(2774),
    [aux_sym_tunnel_device_token1] = ACTIONS(2772),
    [aux_sym_update_host_keys_token1] = ACTIONS(2772),
    [aux_sym_use_keychain_token1] = ACTIONS(2772),
    [aux_sym_use_roaming_token1] = ACTIONS(2772),
    [aux_sym_user_token1] = ACTIONS(2774),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2772),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2772),
    [aux_sym_version_addendum_token1] = ACTIONS(2772),
    [aux_sym_visual_host_key_token1] = ACTIONS(2772),
    [aux_sym_xauth_location_token1] = ACTIONS(2772),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [aux_sym_match_token1] = ACTIONS(2778),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2778),
    [aux_sym_address_family_token1] = ACTIONS(2778),
    [aux_sym_batch_mode_token1] = ACTIONS(2778),
    [aux_sym_bind_address_token1] = ACTIONS(2778),
    [aux_sym_bind_interface_token1] = ACTIONS(2778),
    [aux_sym_canonical_domains_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2778),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2778),
    [aux_sym_certificate_file_token1] = ACTIONS(2778),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2778),
    [aux_sym_channel_timeout_token1] = ACTIONS(2778),
    [aux_sym_check_host_ip_token1] = ACTIONS(2778),
    [aux_sym_ciphers_token1] = ACTIONS(2778),
    [aux_sym_cipher_token1] = ACTIONS(2780),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2778),
    [aux_sym_compression_token1] = ACTIONS(2778),
    [aux_sym_connection_attempts_token1] = ACTIONS(2778),
    [aux_sym_connect_timeout_token1] = ACTIONS(2778),
    [aux_sym_control_master_token1] = ACTIONS(2778),
    [aux_sym_control_path_token1] = ACTIONS(2778),
    [aux_sym_control_persist_token1] = ACTIONS(2778),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2778),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2778),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2778),
    [aux_sym_escape_char_token1] = ACTIONS(2778),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2778),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2778),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2778),
    [aux_sym_forward_agent_token1] = ACTIONS(2778),
    [aux_sym_forward_x11_token1] = ACTIONS(2780),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2778),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2778),
    [aux_sym_gateway_ports_token1] = ACTIONS(2778),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2778),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2778),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2778),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2778),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2778),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2778),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2778),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2778),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2778),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2778),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2778),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2778),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2778),
    [aux_sym_host_key_alias_token1] = ACTIONS(2778),
    [aux_sym_hostname_token1] = ACTIONS(2778),
    [aux_sym_identities_only_token1] = ACTIONS(2778),
    [aux_sym_identity_agent_token1] = ACTIONS(2778),
    [aux_sym_identity_file_token1] = ACTIONS(2778),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2778),
    [aux_sym_include_token1] = ACTIONS(2778),
    [aux_sym_ip_qos_token1] = ACTIONS(2778),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2778),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2778),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2778),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2778),
    [aux_sym_local_command_token1] = ACTIONS(2778),
    [aux_sym_local_forward_token1] = ACTIONS(2778),
    [aux_sym_log_level_token1] = ACTIONS(2778),
    [aux_sym_log_verbose_token1] = ACTIONS(2778),
    [aux_sym_macs_token1] = ACTIONS(2778),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2778),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2778),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2778),
    [aux_sym_password_authentication_token1] = ACTIONS(2778),
    [aux_sym_permit_local_command_token1] = ACTIONS(2778),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2778),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2778),
    [aux_sym_port_token1] = ACTIONS(2778),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2778),
    [aux_sym_protocol_token1] = ACTIONS(2778),
    [aux_sym_proxy_command_token1] = ACTIONS(2778),
    [aux_sym_proxy_jump_token1] = ACTIONS(2778),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2778),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2778),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2778),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2778),
    [aux_sym_rekey_limit_token1] = ACTIONS(2778),
    [aux_sym_remote_command_token1] = ACTIONS(2778),
    [aux_sym_remote_forward_token1] = ACTIONS(2778),
    [aux_sym_request_tty_token1] = ACTIONS(2778),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2778),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2778),
    [aux_sym_security_key_provider_token1] = ACTIONS(2778),
    [aux_sym_send_env_token1] = ACTIONS(2778),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2778),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2778),
    [aux_sym_session_type_token1] = ACTIONS(2778),
    [aux_sym_set_env_token1] = ACTIONS(2778),
    [aux_sym_stdin_null_token1] = ACTIONS(2778),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2778),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2778),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2778),
    [aux_sym_syslog_facility_token1] = ACTIONS(2778),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2778),
    [aux_sym_keep_alive_token1] = ACTIONS(2778),
    [aux_sym_tag_token1] = ACTIONS(2778),
    [aux_sym_tunnel_token1] = ACTIONS(2780),
    [aux_sym_tunnel_device_token1] = ACTIONS(2778),
    [aux_sym_update_host_keys_token1] = ACTIONS(2778),
    [aux_sym_use_keychain_token1] = ACTIONS(2778),
    [aux_sym_use_roaming_token1] = ACTIONS(2778),
    [aux_sym_user_token1] = ACTIONS(2780),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2778),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2778),
    [aux_sym_version_addendum_token1] = ACTIONS(2778),
    [aux_sym_visual_host_key_token1] = ACTIONS(2778),
    [aux_sym_xauth_location_token1] = ACTIONS(2778),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [aux_sym_match_token1] = ACTIONS(2784),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2784),
    [aux_sym_address_family_token1] = ACTIONS(2784),
    [aux_sym_batch_mode_token1] = ACTIONS(2784),
    [aux_sym_bind_address_token1] = ACTIONS(2784),
    [aux_sym_bind_interface_token1] = ACTIONS(2784),
    [aux_sym_canonical_domains_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2784),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2784),
    [aux_sym_certificate_file_token1] = ACTIONS(2784),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2784),
    [aux_sym_channel_timeout_token1] = ACTIONS(2784),
    [aux_sym_check_host_ip_token1] = ACTIONS(2784),
    [aux_sym_ciphers_token1] = ACTIONS(2784),
    [aux_sym_cipher_token1] = ACTIONS(2786),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2784),
    [aux_sym_compression_token1] = ACTIONS(2784),
    [aux_sym_connection_attempts_token1] = ACTIONS(2784),
    [aux_sym_connect_timeout_token1] = ACTIONS(2784),
    [aux_sym_control_master_token1] = ACTIONS(2784),
    [aux_sym_control_path_token1] = ACTIONS(2784),
    [aux_sym_control_persist_token1] = ACTIONS(2784),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2784),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2784),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2784),
    [aux_sym_escape_char_token1] = ACTIONS(2784),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2784),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2784),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2784),
    [aux_sym_forward_agent_token1] = ACTIONS(2784),
    [aux_sym_forward_x11_token1] = ACTIONS(2786),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2784),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2784),
    [aux_sym_gateway_ports_token1] = ACTIONS(2784),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2784),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2784),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2784),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2784),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2784),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2784),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2784),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2784),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2784),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2784),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2784),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2784),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2784),
    [aux_sym_host_key_alias_token1] = ACTIONS(2784),
    [aux_sym_hostname_token1] = ACTIONS(2784),
    [aux_sym_identities_only_token1] = ACTIONS(2784),
    [aux_sym_identity_agent_token1] = ACTIONS(2784),
    [aux_sym_identity_file_token1] = ACTIONS(2784),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2784),
    [aux_sym_include_token1] = ACTIONS(2784),
    [aux_sym_ip_qos_token1] = ACTIONS(2784),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2784),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2784),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2784),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2784),
    [aux_sym_local_command_token1] = ACTIONS(2784),
    [aux_sym_local_forward_token1] = ACTIONS(2784),
    [aux_sym_log_level_token1] = ACTIONS(2784),
    [aux_sym_log_verbose_token1] = ACTIONS(2784),
    [aux_sym_macs_token1] = ACTIONS(2784),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2784),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2784),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2784),
    [aux_sym_password_authentication_token1] = ACTIONS(2784),
    [aux_sym_permit_local_command_token1] = ACTIONS(2784),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2784),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2784),
    [aux_sym_port_token1] = ACTIONS(2784),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2784),
    [aux_sym_protocol_token1] = ACTIONS(2784),
    [aux_sym_proxy_command_token1] = ACTIONS(2784),
    [aux_sym_proxy_jump_token1] = ACTIONS(2784),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2784),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2784),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2784),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2784),
    [aux_sym_rekey_limit_token1] = ACTIONS(2784),
    [aux_sym_remote_command_token1] = ACTIONS(2784),
    [aux_sym_remote_forward_token1] = ACTIONS(2784),
    [aux_sym_request_tty_token1] = ACTIONS(2784),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2784),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2784),
    [aux_sym_security_key_provider_token1] = ACTIONS(2784),
    [aux_sym_send_env_token1] = ACTIONS(2784),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2784),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2784),
    [aux_sym_session_type_token1] = ACTIONS(2784),
    [aux_sym_set_env_token1] = ACTIONS(2784),
    [aux_sym_stdin_null_token1] = ACTIONS(2784),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2784),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2784),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2784),
    [aux_sym_syslog_facility_token1] = ACTIONS(2784),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2784),
    [aux_sym_keep_alive_token1] = ACTIONS(2784),
    [aux_sym_tag_token1] = ACTIONS(2784),
    [aux_sym_tunnel_token1] = ACTIONS(2786),
    [aux_sym_tunnel_device_token1] = ACTIONS(2784),
    [aux_sym_update_host_keys_token1] = ACTIONS(2784),
    [aux_sym_use_keychain_token1] = ACTIONS(2784),
    [aux_sym_use_roaming_token1] = ACTIONS(2784),
    [aux_sym_user_token1] = ACTIONS(2786),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2784),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2784),
    [aux_sym_version_addendum_token1] = ACTIONS(2784),
    [aux_sym_visual_host_key_token1] = ACTIONS(2784),
    [aux_sym_xauth_location_token1] = ACTIONS(2784),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [aux_sym_match_token1] = ACTIONS(2790),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2790),
    [aux_sym_address_family_token1] = ACTIONS(2790),
    [aux_sym_batch_mode_token1] = ACTIONS(2790),
    [aux_sym_bind_address_token1] = ACTIONS(2790),
    [aux_sym_bind_interface_token1] = ACTIONS(2790),
    [aux_sym_canonical_domains_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2790),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2790),
    [aux_sym_certificate_file_token1] = ACTIONS(2790),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2790),
    [aux_sym_channel_timeout_token1] = ACTIONS(2790),
    [aux_sym_check_host_ip_token1] = ACTIONS(2790),
    [aux_sym_ciphers_token1] = ACTIONS(2790),
    [aux_sym_cipher_token1] = ACTIONS(2792),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2790),
    [aux_sym_compression_token1] = ACTIONS(2790),
    [aux_sym_connection_attempts_token1] = ACTIONS(2790),
    [aux_sym_connect_timeout_token1] = ACTIONS(2790),
    [aux_sym_control_master_token1] = ACTIONS(2790),
    [aux_sym_control_path_token1] = ACTIONS(2790),
    [aux_sym_control_persist_token1] = ACTIONS(2790),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2790),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2790),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2790),
    [aux_sym_escape_char_token1] = ACTIONS(2790),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2790),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2790),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2790),
    [aux_sym_forward_agent_token1] = ACTIONS(2790),
    [aux_sym_forward_x11_token1] = ACTIONS(2792),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2790),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2790),
    [aux_sym_gateway_ports_token1] = ACTIONS(2790),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2790),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2790),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2790),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2790),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2790),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2790),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2790),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2790),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2790),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2790),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2790),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2790),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2790),
    [aux_sym_host_key_alias_token1] = ACTIONS(2790),
    [aux_sym_hostname_token1] = ACTIONS(2790),
    [aux_sym_identities_only_token1] = ACTIONS(2790),
    [aux_sym_identity_agent_token1] = ACTIONS(2790),
    [aux_sym_identity_file_token1] = ACTIONS(2790),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2790),
    [aux_sym_include_token1] = ACTIONS(2790),
    [aux_sym_ip_qos_token1] = ACTIONS(2790),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2790),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2790),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2790),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2790),
    [aux_sym_local_command_token1] = ACTIONS(2790),
    [aux_sym_local_forward_token1] = ACTIONS(2790),
    [aux_sym_log_level_token1] = ACTIONS(2790),
    [aux_sym_log_verbose_token1] = ACTIONS(2790),
    [aux_sym_macs_token1] = ACTIONS(2790),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2790),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2790),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2790),
    [aux_sym_password_authentication_token1] = ACTIONS(2790),
    [aux_sym_permit_local_command_token1] = ACTIONS(2790),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2790),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2790),
    [aux_sym_port_token1] = ACTIONS(2790),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2790),
    [aux_sym_protocol_token1] = ACTIONS(2790),
    [aux_sym_proxy_command_token1] = ACTIONS(2790),
    [aux_sym_proxy_jump_token1] = ACTIONS(2790),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2790),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2790),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2790),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2790),
    [aux_sym_rekey_limit_token1] = ACTIONS(2790),
    [aux_sym_remote_command_token1] = ACTIONS(2790),
    [aux_sym_remote_forward_token1] = ACTIONS(2790),
    [aux_sym_request_tty_token1] = ACTIONS(2790),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2790),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2790),
    [aux_sym_security_key_provider_token1] = ACTIONS(2790),
    [aux_sym_send_env_token1] = ACTIONS(2790),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2790),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2790),
    [aux_sym_session_type_token1] = ACTIONS(2790),
    [aux_sym_set_env_token1] = ACTIONS(2790),
    [aux_sym_stdin_null_token1] = ACTIONS(2790),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2790),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2790),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2790),
    [aux_sym_syslog_facility_token1] = ACTIONS(2790),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2790),
    [aux_sym_keep_alive_token1] = ACTIONS(2790),
    [aux_sym_tag_token1] = ACTIONS(2790),
    [aux_sym_tunnel_token1] = ACTIONS(2792),
    [aux_sym_tunnel_device_token1] = ACTIONS(2790),
    [aux_sym_update_host_keys_token1] = ACTIONS(2790),
    [aux_sym_use_keychain_token1] = ACTIONS(2790),
    [aux_sym_use_roaming_token1] = ACTIONS(2790),
    [aux_sym_user_token1] = ACTIONS(2792),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2790),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2790),
    [aux_sym_version_addendum_token1] = ACTIONS(2790),
    [aux_sym_visual_host_key_token1] = ACTIONS(2790),
    [aux_sym_xauth_location_token1] = ACTIONS(2790),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [aux_sym_match_token1] = ACTIONS(2796),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2796),
    [aux_sym_address_family_token1] = ACTIONS(2796),
    [aux_sym_batch_mode_token1] = ACTIONS(2796),
    [aux_sym_bind_address_token1] = ACTIONS(2796),
    [aux_sym_bind_interface_token1] = ACTIONS(2796),
    [aux_sym_canonical_domains_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2796),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2796),
    [aux_sym_certificate_file_token1] = ACTIONS(2796),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2796),
    [aux_sym_channel_timeout_token1] = ACTIONS(2796),
    [aux_sym_check_host_ip_token1] = ACTIONS(2796),
    [aux_sym_ciphers_token1] = ACTIONS(2796),
    [aux_sym_cipher_token1] = ACTIONS(2798),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2796),
    [aux_sym_compression_token1] = ACTIONS(2796),
    [aux_sym_connection_attempts_token1] = ACTIONS(2796),
    [aux_sym_connect_timeout_token1] = ACTIONS(2796),
    [aux_sym_control_master_token1] = ACTIONS(2796),
    [aux_sym_control_path_token1] = ACTIONS(2796),
    [aux_sym_control_persist_token1] = ACTIONS(2796),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2796),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2796),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2796),
    [aux_sym_escape_char_token1] = ACTIONS(2796),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2796),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2796),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2796),
    [aux_sym_forward_agent_token1] = ACTIONS(2796),
    [aux_sym_forward_x11_token1] = ACTIONS(2798),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2796),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2796),
    [aux_sym_gateway_ports_token1] = ACTIONS(2796),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2796),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2796),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2796),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2796),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2796),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2796),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2796),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2796),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2796),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2796),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2796),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2796),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2796),
    [aux_sym_host_key_alias_token1] = ACTIONS(2796),
    [aux_sym_hostname_token1] = ACTIONS(2796),
    [aux_sym_identities_only_token1] = ACTIONS(2796),
    [aux_sym_identity_agent_token1] = ACTIONS(2796),
    [aux_sym_identity_file_token1] = ACTIONS(2796),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2796),
    [aux_sym_include_token1] = ACTIONS(2796),
    [aux_sym_ip_qos_token1] = ACTIONS(2796),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2796),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2796),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2796),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2796),
    [aux_sym_local_command_token1] = ACTIONS(2796),
    [aux_sym_local_forward_token1] = ACTIONS(2796),
    [aux_sym_log_level_token1] = ACTIONS(2796),
    [aux_sym_log_verbose_token1] = ACTIONS(2796),
    [aux_sym_macs_token1] = ACTIONS(2796),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2796),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2796),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2796),
    [aux_sym_password_authentication_token1] = ACTIONS(2796),
    [aux_sym_permit_local_command_token1] = ACTIONS(2796),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2796),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2796),
    [aux_sym_port_token1] = ACTIONS(2796),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2796),
    [aux_sym_protocol_token1] = ACTIONS(2796),
    [aux_sym_proxy_command_token1] = ACTIONS(2796),
    [aux_sym_proxy_jump_token1] = ACTIONS(2796),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2796),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2796),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2796),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2796),
    [aux_sym_rekey_limit_token1] = ACTIONS(2796),
    [aux_sym_remote_command_token1] = ACTIONS(2796),
    [aux_sym_remote_forward_token1] = ACTIONS(2796),
    [aux_sym_request_tty_token1] = ACTIONS(2796),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2796),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2796),
    [aux_sym_security_key_provider_token1] = ACTIONS(2796),
    [aux_sym_send_env_token1] = ACTIONS(2796),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2796),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2796),
    [aux_sym_session_type_token1] = ACTIONS(2796),
    [aux_sym_set_env_token1] = ACTIONS(2796),
    [aux_sym_stdin_null_token1] = ACTIONS(2796),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2796),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2796),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2796),
    [aux_sym_syslog_facility_token1] = ACTIONS(2796),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2796),
    [aux_sym_keep_alive_token1] = ACTIONS(2796),
    [aux_sym_tag_token1] = ACTIONS(2796),
    [aux_sym_tunnel_token1] = ACTIONS(2798),
    [aux_sym_tunnel_device_token1] = ACTIONS(2796),
    [aux_sym_update_host_keys_token1] = ACTIONS(2796),
    [aux_sym_use_keychain_token1] = ACTIONS(2796),
    [aux_sym_use_roaming_token1] = ACTIONS(2796),
    [aux_sym_user_token1] = ACTIONS(2798),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2796),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2796),
    [aux_sym_version_addendum_token1] = ACTIONS(2796),
    [aux_sym_visual_host_key_token1] = ACTIONS(2796),
    [aux_sym_xauth_location_token1] = ACTIONS(2796),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [aux_sym_match_token1] = ACTIONS(2802),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2802),
    [aux_sym_address_family_token1] = ACTIONS(2802),
    [aux_sym_batch_mode_token1] = ACTIONS(2802),
    [aux_sym_bind_address_token1] = ACTIONS(2802),
    [aux_sym_bind_interface_token1] = ACTIONS(2802),
    [aux_sym_canonical_domains_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2802),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2802),
    [aux_sym_certificate_file_token1] = ACTIONS(2802),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2802),
    [aux_sym_channel_timeout_token1] = ACTIONS(2802),
    [aux_sym_check_host_ip_token1] = ACTIONS(2802),
    [aux_sym_ciphers_token1] = ACTIONS(2802),
    [aux_sym_cipher_token1] = ACTIONS(2804),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2802),
    [aux_sym_compression_token1] = ACTIONS(2802),
    [aux_sym_connection_attempts_token1] = ACTIONS(2802),
    [aux_sym_connect_timeout_token1] = ACTIONS(2802),
    [aux_sym_control_master_token1] = ACTIONS(2802),
    [aux_sym_control_path_token1] = ACTIONS(2802),
    [aux_sym_control_persist_token1] = ACTIONS(2802),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2802),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2802),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2802),
    [aux_sym_escape_char_token1] = ACTIONS(2802),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2802),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2802),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2802),
    [aux_sym_forward_agent_token1] = ACTIONS(2802),
    [aux_sym_forward_x11_token1] = ACTIONS(2804),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2802),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2802),
    [aux_sym_gateway_ports_token1] = ACTIONS(2802),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2802),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2802),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2802),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2802),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2802),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2802),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2802),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2802),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2802),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2802),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2802),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2802),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2802),
    [aux_sym_host_key_alias_token1] = ACTIONS(2802),
    [aux_sym_hostname_token1] = ACTIONS(2802),
    [aux_sym_identities_only_token1] = ACTIONS(2802),
    [aux_sym_identity_agent_token1] = ACTIONS(2802),
    [aux_sym_identity_file_token1] = ACTIONS(2802),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2802),
    [aux_sym_include_token1] = ACTIONS(2802),
    [aux_sym_ip_qos_token1] = ACTIONS(2802),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2802),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2802),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2802),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2802),
    [aux_sym_local_command_token1] = ACTIONS(2802),
    [aux_sym_local_forward_token1] = ACTIONS(2802),
    [aux_sym_log_level_token1] = ACTIONS(2802),
    [aux_sym_log_verbose_token1] = ACTIONS(2802),
    [aux_sym_macs_token1] = ACTIONS(2802),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2802),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2802),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2802),
    [aux_sym_password_authentication_token1] = ACTIONS(2802),
    [aux_sym_permit_local_command_token1] = ACTIONS(2802),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2802),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2802),
    [aux_sym_port_token1] = ACTIONS(2802),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2802),
    [aux_sym_protocol_token1] = ACTIONS(2802),
    [aux_sym_proxy_command_token1] = ACTIONS(2802),
    [aux_sym_proxy_jump_token1] = ACTIONS(2802),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2802),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2802),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2802),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2802),
    [aux_sym_rekey_limit_token1] = ACTIONS(2802),
    [aux_sym_remote_command_token1] = ACTIONS(2802),
    [aux_sym_remote_forward_token1] = ACTIONS(2802),
    [aux_sym_request_tty_token1] = ACTIONS(2802),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2802),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2802),
    [aux_sym_security_key_provider_token1] = ACTIONS(2802),
    [aux_sym_send_env_token1] = ACTIONS(2802),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2802),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2802),
    [aux_sym_session_type_token1] = ACTIONS(2802),
    [aux_sym_set_env_token1] = ACTIONS(2802),
    [aux_sym_stdin_null_token1] = ACTIONS(2802),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2802),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2802),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2802),
    [aux_sym_syslog_facility_token1] = ACTIONS(2802),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2802),
    [aux_sym_keep_alive_token1] = ACTIONS(2802),
    [aux_sym_tag_token1] = ACTIONS(2802),
    [aux_sym_tunnel_token1] = ACTIONS(2804),
    [aux_sym_tunnel_device_token1] = ACTIONS(2802),
    [aux_sym_update_host_keys_token1] = ACTIONS(2802),
    [aux_sym_use_keychain_token1] = ACTIONS(2802),
    [aux_sym_use_roaming_token1] = ACTIONS(2802),
    [aux_sym_user_token1] = ACTIONS(2804),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2802),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2802),
    [aux_sym_version_addendum_token1] = ACTIONS(2802),
    [aux_sym_visual_host_key_token1] = ACTIONS(2802),
    [aux_sym_xauth_location_token1] = ACTIONS(2802),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [aux_sym_match_token1] = ACTIONS(2808),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2808),
    [aux_sym_address_family_token1] = ACTIONS(2808),
    [aux_sym_batch_mode_token1] = ACTIONS(2808),
    [aux_sym_bind_address_token1] = ACTIONS(2808),
    [aux_sym_bind_interface_token1] = ACTIONS(2808),
    [aux_sym_canonical_domains_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2808),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2808),
    [aux_sym_certificate_file_token1] = ACTIONS(2808),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2808),
    [aux_sym_channel_timeout_token1] = ACTIONS(2808),
    [aux_sym_check_host_ip_token1] = ACTIONS(2808),
    [aux_sym_ciphers_token1] = ACTIONS(2808),
    [aux_sym_cipher_token1] = ACTIONS(2810),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2808),
    [aux_sym_compression_token1] = ACTIONS(2808),
    [aux_sym_connection_attempts_token1] = ACTIONS(2808),
    [aux_sym_connect_timeout_token1] = ACTIONS(2808),
    [aux_sym_control_master_token1] = ACTIONS(2808),
    [aux_sym_control_path_token1] = ACTIONS(2808),
    [aux_sym_control_persist_token1] = ACTIONS(2808),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2808),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2808),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2808),
    [aux_sym_escape_char_token1] = ACTIONS(2808),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2808),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2808),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2808),
    [aux_sym_forward_agent_token1] = ACTIONS(2808),
    [aux_sym_forward_x11_token1] = ACTIONS(2810),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2808),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2808),
    [aux_sym_gateway_ports_token1] = ACTIONS(2808),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2808),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2808),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2808),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2808),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2808),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2808),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2808),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2808),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2808),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2808),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2808),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2808),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2808),
    [aux_sym_host_key_alias_token1] = ACTIONS(2808),
    [aux_sym_hostname_token1] = ACTIONS(2808),
    [aux_sym_identities_only_token1] = ACTIONS(2808),
    [aux_sym_identity_agent_token1] = ACTIONS(2808),
    [aux_sym_identity_file_token1] = ACTIONS(2808),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2808),
    [aux_sym_include_token1] = ACTIONS(2808),
    [aux_sym_ip_qos_token1] = ACTIONS(2808),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2808),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2808),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2808),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2808),
    [aux_sym_local_command_token1] = ACTIONS(2808),
    [aux_sym_local_forward_token1] = ACTIONS(2808),
    [aux_sym_log_level_token1] = ACTIONS(2808),
    [aux_sym_log_verbose_token1] = ACTIONS(2808),
    [aux_sym_macs_token1] = ACTIONS(2808),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2808),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2808),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2808),
    [aux_sym_password_authentication_token1] = ACTIONS(2808),
    [aux_sym_permit_local_command_token1] = ACTIONS(2808),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2808),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2808),
    [aux_sym_port_token1] = ACTIONS(2808),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2808),
    [aux_sym_protocol_token1] = ACTIONS(2808),
    [aux_sym_proxy_command_token1] = ACTIONS(2808),
    [aux_sym_proxy_jump_token1] = ACTIONS(2808),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2808),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2808),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2808),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2808),
    [aux_sym_rekey_limit_token1] = ACTIONS(2808),
    [aux_sym_remote_command_token1] = ACTIONS(2808),
    [aux_sym_remote_forward_token1] = ACTIONS(2808),
    [aux_sym_request_tty_token1] = ACTIONS(2808),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2808),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2808),
    [aux_sym_security_key_provider_token1] = ACTIONS(2808),
    [aux_sym_send_env_token1] = ACTIONS(2808),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2808),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2808),
    [aux_sym_session_type_token1] = ACTIONS(2808),
    [aux_sym_set_env_token1] = ACTIONS(2808),
    [aux_sym_stdin_null_token1] = ACTIONS(2808),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2808),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2808),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2808),
    [aux_sym_syslog_facility_token1] = ACTIONS(2808),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2808),
    [aux_sym_keep_alive_token1] = ACTIONS(2808),
    [aux_sym_tag_token1] = ACTIONS(2808),
    [aux_sym_tunnel_token1] = ACTIONS(2810),
    [aux_sym_tunnel_device_token1] = ACTIONS(2808),
    [aux_sym_update_host_keys_token1] = ACTIONS(2808),
    [aux_sym_use_keychain_token1] = ACTIONS(2808),
    [aux_sym_use_roaming_token1] = ACTIONS(2808),
    [aux_sym_user_token1] = ACTIONS(2810),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2808),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2808),
    [aux_sym_version_addendum_token1] = ACTIONS(2808),
    [aux_sym_visual_host_key_token1] = ACTIONS(2808),
    [aux_sym_xauth_location_token1] = ACTIONS(2808),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [aux_sym_match_token1] = ACTIONS(2814),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2814),
    [aux_sym_address_family_token1] = ACTIONS(2814),
    [aux_sym_batch_mode_token1] = ACTIONS(2814),
    [aux_sym_bind_address_token1] = ACTIONS(2814),
    [aux_sym_bind_interface_token1] = ACTIONS(2814),
    [aux_sym_canonical_domains_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2814),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2814),
    [aux_sym_certificate_file_token1] = ACTIONS(2814),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2814),
    [aux_sym_channel_timeout_token1] = ACTIONS(2814),
    [aux_sym_check_host_ip_token1] = ACTIONS(2814),
    [aux_sym_ciphers_token1] = ACTIONS(2814),
    [aux_sym_cipher_token1] = ACTIONS(2816),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2814),
    [aux_sym_compression_token1] = ACTIONS(2814),
    [aux_sym_connection_attempts_token1] = ACTIONS(2814),
    [aux_sym_connect_timeout_token1] = ACTIONS(2814),
    [aux_sym_control_master_token1] = ACTIONS(2814),
    [aux_sym_control_path_token1] = ACTIONS(2814),
    [aux_sym_control_persist_token1] = ACTIONS(2814),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2814),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2814),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2814),
    [aux_sym_escape_char_token1] = ACTIONS(2814),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2814),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2814),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2814),
    [aux_sym_forward_agent_token1] = ACTIONS(2814),
    [aux_sym_forward_x11_token1] = ACTIONS(2816),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2814),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2814),
    [aux_sym_gateway_ports_token1] = ACTIONS(2814),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2814),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2814),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2814),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2814),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2814),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2814),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2814),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2814),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2814),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2814),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2814),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2814),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2814),
    [aux_sym_host_key_alias_token1] = ACTIONS(2814),
    [aux_sym_hostname_token1] = ACTIONS(2814),
    [aux_sym_identities_only_token1] = ACTIONS(2814),
    [aux_sym_identity_agent_token1] = ACTIONS(2814),
    [aux_sym_identity_file_token1] = ACTIONS(2814),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2814),
    [aux_sym_include_token1] = ACTIONS(2814),
    [aux_sym_ip_qos_token1] = ACTIONS(2814),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2814),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2814),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2814),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2814),
    [aux_sym_local_command_token1] = ACTIONS(2814),
    [aux_sym_local_forward_token1] = ACTIONS(2814),
    [aux_sym_log_level_token1] = ACTIONS(2814),
    [aux_sym_log_verbose_token1] = ACTIONS(2814),
    [aux_sym_macs_token1] = ACTIONS(2814),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2814),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2814),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2814),
    [aux_sym_password_authentication_token1] = ACTIONS(2814),
    [aux_sym_permit_local_command_token1] = ACTIONS(2814),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2814),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2814),
    [aux_sym_port_token1] = ACTIONS(2814),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2814),
    [aux_sym_protocol_token1] = ACTIONS(2814),
    [aux_sym_proxy_command_token1] = ACTIONS(2814),
    [aux_sym_proxy_jump_token1] = ACTIONS(2814),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2814),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2814),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2814),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2814),
    [aux_sym_rekey_limit_token1] = ACTIONS(2814),
    [aux_sym_remote_command_token1] = ACTIONS(2814),
    [aux_sym_remote_forward_token1] = ACTIONS(2814),
    [aux_sym_request_tty_token1] = ACTIONS(2814),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2814),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2814),
    [aux_sym_security_key_provider_token1] = ACTIONS(2814),
    [aux_sym_send_env_token1] = ACTIONS(2814),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2814),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2814),
    [aux_sym_session_type_token1] = ACTIONS(2814),
    [aux_sym_set_env_token1] = ACTIONS(2814),
    [aux_sym_stdin_null_token1] = ACTIONS(2814),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2814),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2814),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2814),
    [aux_sym_syslog_facility_token1] = ACTIONS(2814),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2814),
    [aux_sym_keep_alive_token1] = ACTIONS(2814),
    [aux_sym_tag_token1] = ACTIONS(2814),
    [aux_sym_tunnel_token1] = ACTIONS(2816),
    [aux_sym_tunnel_device_token1] = ACTIONS(2814),
    [aux_sym_update_host_keys_token1] = ACTIONS(2814),
    [aux_sym_use_keychain_token1] = ACTIONS(2814),
    [aux_sym_use_roaming_token1] = ACTIONS(2814),
    [aux_sym_user_token1] = ACTIONS(2816),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2814),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2814),
    [aux_sym_version_addendum_token1] = ACTIONS(2814),
    [aux_sym_visual_host_key_token1] = ACTIONS(2814),
    [aux_sym_xauth_location_token1] = ACTIONS(2814),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [aux_sym_match_token1] = ACTIONS(2820),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2820),
    [aux_sym_address_family_token1] = ACTIONS(2820),
    [aux_sym_batch_mode_token1] = ACTIONS(2820),
    [aux_sym_bind_address_token1] = ACTIONS(2820),
    [aux_sym_bind_interface_token1] = ACTIONS(2820),
    [aux_sym_canonical_domains_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2820),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2820),
    [aux_sym_certificate_file_token1] = ACTIONS(2820),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2820),
    [aux_sym_channel_timeout_token1] = ACTIONS(2820),
    [aux_sym_check_host_ip_token1] = ACTIONS(2820),
    [aux_sym_ciphers_token1] = ACTIONS(2820),
    [aux_sym_cipher_token1] = ACTIONS(2822),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2820),
    [aux_sym_compression_token1] = ACTIONS(2820),
    [aux_sym_connection_attempts_token1] = ACTIONS(2820),
    [aux_sym_connect_timeout_token1] = ACTIONS(2820),
    [aux_sym_control_master_token1] = ACTIONS(2820),
    [aux_sym_control_path_token1] = ACTIONS(2820),
    [aux_sym_control_persist_token1] = ACTIONS(2820),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2820),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2820),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2820),
    [aux_sym_escape_char_token1] = ACTIONS(2820),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2820),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2820),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2820),
    [aux_sym_forward_agent_token1] = ACTIONS(2820),
    [aux_sym_forward_x11_token1] = ACTIONS(2822),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2820),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2820),
    [aux_sym_gateway_ports_token1] = ACTIONS(2820),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2820),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2820),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2820),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2820),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2820),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2820),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2820),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2820),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2820),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2820),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2820),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2820),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2820),
    [aux_sym_host_key_alias_token1] = ACTIONS(2820),
    [aux_sym_hostname_token1] = ACTIONS(2820),
    [aux_sym_identities_only_token1] = ACTIONS(2820),
    [aux_sym_identity_agent_token1] = ACTIONS(2820),
    [aux_sym_identity_file_token1] = ACTIONS(2820),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2820),
    [aux_sym_include_token1] = ACTIONS(2820),
    [aux_sym_ip_qos_token1] = ACTIONS(2820),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2820),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2820),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2820),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2820),
    [aux_sym_local_command_token1] = ACTIONS(2820),
    [aux_sym_local_forward_token1] = ACTIONS(2820),
    [aux_sym_log_level_token1] = ACTIONS(2820),
    [aux_sym_log_verbose_token1] = ACTIONS(2820),
    [aux_sym_macs_token1] = ACTIONS(2820),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2820),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2820),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2820),
    [aux_sym_password_authentication_token1] = ACTIONS(2820),
    [aux_sym_permit_local_command_token1] = ACTIONS(2820),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2820),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2820),
    [aux_sym_port_token1] = ACTIONS(2820),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2820),
    [aux_sym_protocol_token1] = ACTIONS(2820),
    [aux_sym_proxy_command_token1] = ACTIONS(2820),
    [aux_sym_proxy_jump_token1] = ACTIONS(2820),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2820),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2820),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2820),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2820),
    [aux_sym_rekey_limit_token1] = ACTIONS(2820),
    [aux_sym_remote_command_token1] = ACTIONS(2820),
    [aux_sym_remote_forward_token1] = ACTIONS(2820),
    [aux_sym_request_tty_token1] = ACTIONS(2820),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2820),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2820),
    [aux_sym_security_key_provider_token1] = ACTIONS(2820),
    [aux_sym_send_env_token1] = ACTIONS(2820),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2820),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2820),
    [aux_sym_session_type_token1] = ACTIONS(2820),
    [aux_sym_set_env_token1] = ACTIONS(2820),
    [aux_sym_stdin_null_token1] = ACTIONS(2820),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2820),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2820),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2820),
    [aux_sym_syslog_facility_token1] = ACTIONS(2820),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2820),
    [aux_sym_keep_alive_token1] = ACTIONS(2820),
    [aux_sym_tag_token1] = ACTIONS(2820),
    [aux_sym_tunnel_token1] = ACTIONS(2822),
    [aux_sym_tunnel_device_token1] = ACTIONS(2820),
    [aux_sym_update_host_keys_token1] = ACTIONS(2820),
    [aux_sym_use_keychain_token1] = ACTIONS(2820),
    [aux_sym_use_roaming_token1] = ACTIONS(2820),
    [aux_sym_user_token1] = ACTIONS(2822),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2820),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2820),
    [aux_sym_version_addendum_token1] = ACTIONS(2820),
    [aux_sym_visual_host_key_token1] = ACTIONS(2820),
    [aux_sym_xauth_location_token1] = ACTIONS(2820),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [aux_sym_match_token1] = ACTIONS(2826),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2826),
    [aux_sym_address_family_token1] = ACTIONS(2826),
    [aux_sym_batch_mode_token1] = ACTIONS(2826),
    [aux_sym_bind_address_token1] = ACTIONS(2826),
    [aux_sym_bind_interface_token1] = ACTIONS(2826),
    [aux_sym_canonical_domains_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2826),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2826),
    [aux_sym_certificate_file_token1] = ACTIONS(2826),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2826),
    [aux_sym_channel_timeout_token1] = ACTIONS(2826),
    [aux_sym_check_host_ip_token1] = ACTIONS(2826),
    [aux_sym_ciphers_token1] = ACTIONS(2826),
    [aux_sym_cipher_token1] = ACTIONS(2828),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2826),
    [aux_sym_compression_token1] = ACTIONS(2826),
    [aux_sym_connection_attempts_token1] = ACTIONS(2826),
    [aux_sym_connect_timeout_token1] = ACTIONS(2826),
    [aux_sym_control_master_token1] = ACTIONS(2826),
    [aux_sym_control_path_token1] = ACTIONS(2826),
    [aux_sym_control_persist_token1] = ACTIONS(2826),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2826),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2826),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2826),
    [aux_sym_escape_char_token1] = ACTIONS(2826),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2826),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2826),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2826),
    [aux_sym_forward_agent_token1] = ACTIONS(2826),
    [aux_sym_forward_x11_token1] = ACTIONS(2828),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2826),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2826),
    [aux_sym_gateway_ports_token1] = ACTIONS(2826),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2826),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2826),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2826),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2826),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2826),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2826),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2826),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2826),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2826),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2826),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2826),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2826),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2826),
    [aux_sym_host_key_alias_token1] = ACTIONS(2826),
    [aux_sym_hostname_token1] = ACTIONS(2826),
    [aux_sym_identities_only_token1] = ACTIONS(2826),
    [aux_sym_identity_agent_token1] = ACTIONS(2826),
    [aux_sym_identity_file_token1] = ACTIONS(2826),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2826),
    [aux_sym_include_token1] = ACTIONS(2826),
    [aux_sym_ip_qos_token1] = ACTIONS(2826),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2826),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2826),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2826),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2826),
    [aux_sym_local_command_token1] = ACTIONS(2826),
    [aux_sym_local_forward_token1] = ACTIONS(2826),
    [aux_sym_log_level_token1] = ACTIONS(2826),
    [aux_sym_log_verbose_token1] = ACTIONS(2826),
    [aux_sym_macs_token1] = ACTIONS(2826),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2826),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2826),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2826),
    [aux_sym_password_authentication_token1] = ACTIONS(2826),
    [aux_sym_permit_local_command_token1] = ACTIONS(2826),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2826),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2826),
    [aux_sym_port_token1] = ACTIONS(2826),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2826),
    [aux_sym_protocol_token1] = ACTIONS(2826),
    [aux_sym_proxy_command_token1] = ACTIONS(2826),
    [aux_sym_proxy_jump_token1] = ACTIONS(2826),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2826),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2826),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2826),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2826),
    [aux_sym_rekey_limit_token1] = ACTIONS(2826),
    [aux_sym_remote_command_token1] = ACTIONS(2826),
    [aux_sym_remote_forward_token1] = ACTIONS(2826),
    [aux_sym_request_tty_token1] = ACTIONS(2826),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2826),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2826),
    [aux_sym_security_key_provider_token1] = ACTIONS(2826),
    [aux_sym_send_env_token1] = ACTIONS(2826),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2826),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2826),
    [aux_sym_session_type_token1] = ACTIONS(2826),
    [aux_sym_set_env_token1] = ACTIONS(2826),
    [aux_sym_stdin_null_token1] = ACTIONS(2826),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2826),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2826),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2826),
    [aux_sym_syslog_facility_token1] = ACTIONS(2826),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2826),
    [aux_sym_keep_alive_token1] = ACTIONS(2826),
    [aux_sym_tag_token1] = ACTIONS(2826),
    [aux_sym_tunnel_token1] = ACTIONS(2828),
    [aux_sym_tunnel_device_token1] = ACTIONS(2826),
    [aux_sym_update_host_keys_token1] = ACTIONS(2826),
    [aux_sym_use_keychain_token1] = ACTIONS(2826),
    [aux_sym_use_roaming_token1] = ACTIONS(2826),
    [aux_sym_user_token1] = ACTIONS(2828),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2826),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2826),
    [aux_sym_version_addendum_token1] = ACTIONS(2826),
    [aux_sym_visual_host_key_token1] = ACTIONS(2826),
    [aux_sym_xauth_location_token1] = ACTIONS(2826),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [aux_sym_match_token1] = ACTIONS(2832),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2832),
    [aux_sym_address_family_token1] = ACTIONS(2832),
    [aux_sym_batch_mode_token1] = ACTIONS(2832),
    [aux_sym_bind_address_token1] = ACTIONS(2832),
    [aux_sym_bind_interface_token1] = ACTIONS(2832),
    [aux_sym_canonical_domains_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2832),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2832),
    [aux_sym_certificate_file_token1] = ACTIONS(2832),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2832),
    [aux_sym_channel_timeout_token1] = ACTIONS(2832),
    [aux_sym_check_host_ip_token1] = ACTIONS(2832),
    [aux_sym_ciphers_token1] = ACTIONS(2832),
    [aux_sym_cipher_token1] = ACTIONS(2834),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2832),
    [aux_sym_compression_token1] = ACTIONS(2832),
    [aux_sym_connection_attempts_token1] = ACTIONS(2832),
    [aux_sym_connect_timeout_token1] = ACTIONS(2832),
    [aux_sym_control_master_token1] = ACTIONS(2832),
    [aux_sym_control_path_token1] = ACTIONS(2832),
    [aux_sym_control_persist_token1] = ACTIONS(2832),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2832),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2832),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2832),
    [aux_sym_escape_char_token1] = ACTIONS(2832),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2832),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2832),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2832),
    [aux_sym_forward_agent_token1] = ACTIONS(2832),
    [aux_sym_forward_x11_token1] = ACTIONS(2834),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2832),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2832),
    [aux_sym_gateway_ports_token1] = ACTIONS(2832),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2832),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2832),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2832),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2832),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2832),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2832),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2832),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2832),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2832),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2832),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2832),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2832),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2832),
    [aux_sym_host_key_alias_token1] = ACTIONS(2832),
    [aux_sym_hostname_token1] = ACTIONS(2832),
    [aux_sym_identities_only_token1] = ACTIONS(2832),
    [aux_sym_identity_agent_token1] = ACTIONS(2832),
    [aux_sym_identity_file_token1] = ACTIONS(2832),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2832),
    [aux_sym_include_token1] = ACTIONS(2832),
    [aux_sym_ip_qos_token1] = ACTIONS(2832),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2832),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2832),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2832),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2832),
    [aux_sym_local_command_token1] = ACTIONS(2832),
    [aux_sym_local_forward_token1] = ACTIONS(2832),
    [aux_sym_log_level_token1] = ACTIONS(2832),
    [aux_sym_log_verbose_token1] = ACTIONS(2832),
    [aux_sym_macs_token1] = ACTIONS(2832),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2832),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2832),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2832),
    [aux_sym_password_authentication_token1] = ACTIONS(2832),
    [aux_sym_permit_local_command_token1] = ACTIONS(2832),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2832),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2832),
    [aux_sym_port_token1] = ACTIONS(2832),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2832),
    [aux_sym_protocol_token1] = ACTIONS(2832),
    [aux_sym_proxy_command_token1] = ACTIONS(2832),
    [aux_sym_proxy_jump_token1] = ACTIONS(2832),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2832),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2832),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2832),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2832),
    [aux_sym_rekey_limit_token1] = ACTIONS(2832),
    [aux_sym_remote_command_token1] = ACTIONS(2832),
    [aux_sym_remote_forward_token1] = ACTIONS(2832),
    [aux_sym_request_tty_token1] = ACTIONS(2832),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2832),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2832),
    [aux_sym_security_key_provider_token1] = ACTIONS(2832),
    [aux_sym_send_env_token1] = ACTIONS(2832),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2832),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2832),
    [aux_sym_session_type_token1] = ACTIONS(2832),
    [aux_sym_set_env_token1] = ACTIONS(2832),
    [aux_sym_stdin_null_token1] = ACTIONS(2832),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2832),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2832),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2832),
    [aux_sym_syslog_facility_token1] = ACTIONS(2832),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2832),
    [aux_sym_keep_alive_token1] = ACTIONS(2832),
    [aux_sym_tag_token1] = ACTIONS(2832),
    [aux_sym_tunnel_token1] = ACTIONS(2834),
    [aux_sym_tunnel_device_token1] = ACTIONS(2832),
    [aux_sym_update_host_keys_token1] = ACTIONS(2832),
    [aux_sym_use_keychain_token1] = ACTIONS(2832),
    [aux_sym_use_roaming_token1] = ACTIONS(2832),
    [aux_sym_user_token1] = ACTIONS(2834),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2832),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2832),
    [aux_sym_version_addendum_token1] = ACTIONS(2832),
    [aux_sym_visual_host_key_token1] = ACTIONS(2832),
    [aux_sym_xauth_location_token1] = ACTIONS(2832),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [aux_sym_match_token1] = ACTIONS(2838),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2838),
    [aux_sym_address_family_token1] = ACTIONS(2838),
    [aux_sym_batch_mode_token1] = ACTIONS(2838),
    [aux_sym_bind_address_token1] = ACTIONS(2838),
    [aux_sym_bind_interface_token1] = ACTIONS(2838),
    [aux_sym_canonical_domains_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2838),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2838),
    [aux_sym_certificate_file_token1] = ACTIONS(2838),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2838),
    [aux_sym_channel_timeout_token1] = ACTIONS(2838),
    [aux_sym_check_host_ip_token1] = ACTIONS(2838),
    [aux_sym_ciphers_token1] = ACTIONS(2838),
    [aux_sym_cipher_token1] = ACTIONS(2840),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2838),
    [aux_sym_compression_token1] = ACTIONS(2838),
    [aux_sym_connection_attempts_token1] = ACTIONS(2838),
    [aux_sym_connect_timeout_token1] = ACTIONS(2838),
    [aux_sym_control_master_token1] = ACTIONS(2838),
    [aux_sym_control_path_token1] = ACTIONS(2838),
    [aux_sym_control_persist_token1] = ACTIONS(2838),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2838),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2838),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2838),
    [aux_sym_escape_char_token1] = ACTIONS(2838),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2838),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2838),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2838),
    [aux_sym_forward_agent_token1] = ACTIONS(2838),
    [aux_sym_forward_x11_token1] = ACTIONS(2840),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2838),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2838),
    [aux_sym_gateway_ports_token1] = ACTIONS(2838),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2838),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2838),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2838),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2838),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2838),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2838),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2838),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2838),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2838),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2838),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2838),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2838),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2838),
    [aux_sym_host_key_alias_token1] = ACTIONS(2838),
    [aux_sym_hostname_token1] = ACTIONS(2838),
    [aux_sym_identities_only_token1] = ACTIONS(2838),
    [aux_sym_identity_agent_token1] = ACTIONS(2838),
    [aux_sym_identity_file_token1] = ACTIONS(2838),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2838),
    [aux_sym_include_token1] = ACTIONS(2838),
    [aux_sym_ip_qos_token1] = ACTIONS(2838),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2838),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2838),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2838),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2838),
    [aux_sym_local_command_token1] = ACTIONS(2838),
    [aux_sym_local_forward_token1] = ACTIONS(2838),
    [aux_sym_log_level_token1] = ACTIONS(2838),
    [aux_sym_log_verbose_token1] = ACTIONS(2838),
    [aux_sym_macs_token1] = ACTIONS(2838),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2838),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2838),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2838),
    [aux_sym_password_authentication_token1] = ACTIONS(2838),
    [aux_sym_permit_local_command_token1] = ACTIONS(2838),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2838),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2838),
    [aux_sym_port_token1] = ACTIONS(2838),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2838),
    [aux_sym_protocol_token1] = ACTIONS(2838),
    [aux_sym_proxy_command_token1] = ACTIONS(2838),
    [aux_sym_proxy_jump_token1] = ACTIONS(2838),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2838),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2838),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2838),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2838),
    [aux_sym_rekey_limit_token1] = ACTIONS(2838),
    [aux_sym_remote_command_token1] = ACTIONS(2838),
    [aux_sym_remote_forward_token1] = ACTIONS(2838),
    [aux_sym_request_tty_token1] = ACTIONS(2838),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2838),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2838),
    [aux_sym_security_key_provider_token1] = ACTIONS(2838),
    [aux_sym_send_env_token1] = ACTIONS(2838),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2838),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2838),
    [aux_sym_session_type_token1] = ACTIONS(2838),
    [aux_sym_set_env_token1] = ACTIONS(2838),
    [aux_sym_stdin_null_token1] = ACTIONS(2838),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2838),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2838),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2838),
    [aux_sym_syslog_facility_token1] = ACTIONS(2838),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2838),
    [aux_sym_keep_alive_token1] = ACTIONS(2838),
    [aux_sym_tag_token1] = ACTIONS(2838),
    [aux_sym_tunnel_token1] = ACTIONS(2840),
    [aux_sym_tunnel_device_token1] = ACTIONS(2838),
    [aux_sym_update_host_keys_token1] = ACTIONS(2838),
    [aux_sym_use_keychain_token1] = ACTIONS(2838),
    [aux_sym_use_roaming_token1] = ACTIONS(2838),
    [aux_sym_user_token1] = ACTIONS(2840),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2838),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2838),
    [aux_sym_version_addendum_token1] = ACTIONS(2838),
    [aux_sym_visual_host_key_token1] = ACTIONS(2838),
    [aux_sym_xauth_location_token1] = ACTIONS(2838),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [aux_sym_match_token1] = ACTIONS(2844),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2844),
    [aux_sym_address_family_token1] = ACTIONS(2844),
    [aux_sym_batch_mode_token1] = ACTIONS(2844),
    [aux_sym_bind_address_token1] = ACTIONS(2844),
    [aux_sym_bind_interface_token1] = ACTIONS(2844),
    [aux_sym_canonical_domains_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2844),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2844),
    [aux_sym_certificate_file_token1] = ACTIONS(2844),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2844),
    [aux_sym_channel_timeout_token1] = ACTIONS(2844),
    [aux_sym_check_host_ip_token1] = ACTIONS(2844),
    [aux_sym_ciphers_token1] = ACTIONS(2844),
    [aux_sym_cipher_token1] = ACTIONS(2846),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2844),
    [aux_sym_compression_token1] = ACTIONS(2844),
    [aux_sym_connection_attempts_token1] = ACTIONS(2844),
    [aux_sym_connect_timeout_token1] = ACTIONS(2844),
    [aux_sym_control_master_token1] = ACTIONS(2844),
    [aux_sym_control_path_token1] = ACTIONS(2844),
    [aux_sym_control_persist_token1] = ACTIONS(2844),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2844),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2844),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2844),
    [aux_sym_escape_char_token1] = ACTIONS(2844),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2844),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2844),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2844),
    [aux_sym_forward_agent_token1] = ACTIONS(2844),
    [aux_sym_forward_x11_token1] = ACTIONS(2846),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2844),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2844),
    [aux_sym_gateway_ports_token1] = ACTIONS(2844),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2844),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2844),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2844),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2844),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2844),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2844),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2844),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2844),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2844),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2844),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2844),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2844),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2844),
    [aux_sym_host_key_alias_token1] = ACTIONS(2844),
    [aux_sym_hostname_token1] = ACTIONS(2844),
    [aux_sym_identities_only_token1] = ACTIONS(2844),
    [aux_sym_identity_agent_token1] = ACTIONS(2844),
    [aux_sym_identity_file_token1] = ACTIONS(2844),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2844),
    [aux_sym_include_token1] = ACTIONS(2844),
    [aux_sym_ip_qos_token1] = ACTIONS(2844),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2844),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2844),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2844),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2844),
    [aux_sym_local_command_token1] = ACTIONS(2844),
    [aux_sym_local_forward_token1] = ACTIONS(2844),
    [aux_sym_log_level_token1] = ACTIONS(2844),
    [aux_sym_log_verbose_token1] = ACTIONS(2844),
    [aux_sym_macs_token1] = ACTIONS(2844),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2844),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2844),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2844),
    [aux_sym_password_authentication_token1] = ACTIONS(2844),
    [aux_sym_permit_local_command_token1] = ACTIONS(2844),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2844),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2844),
    [aux_sym_port_token1] = ACTIONS(2844),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2844),
    [aux_sym_protocol_token1] = ACTIONS(2844),
    [aux_sym_proxy_command_token1] = ACTIONS(2844),
    [aux_sym_proxy_jump_token1] = ACTIONS(2844),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2844),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2844),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2844),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2844),
    [aux_sym_rekey_limit_token1] = ACTIONS(2844),
    [aux_sym_remote_command_token1] = ACTIONS(2844),
    [aux_sym_remote_forward_token1] = ACTIONS(2844),
    [aux_sym_request_tty_token1] = ACTIONS(2844),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2844),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2844),
    [aux_sym_security_key_provider_token1] = ACTIONS(2844),
    [aux_sym_send_env_token1] = ACTIONS(2844),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2844),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2844),
    [aux_sym_session_type_token1] = ACTIONS(2844),
    [aux_sym_set_env_token1] = ACTIONS(2844),
    [aux_sym_stdin_null_token1] = ACTIONS(2844),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2844),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2844),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2844),
    [aux_sym_syslog_facility_token1] = ACTIONS(2844),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2844),
    [aux_sym_keep_alive_token1] = ACTIONS(2844),
    [aux_sym_tag_token1] = ACTIONS(2844),
    [aux_sym_tunnel_token1] = ACTIONS(2846),
    [aux_sym_tunnel_device_token1] = ACTIONS(2844),
    [aux_sym_update_host_keys_token1] = ACTIONS(2844),
    [aux_sym_use_keychain_token1] = ACTIONS(2844),
    [aux_sym_use_roaming_token1] = ACTIONS(2844),
    [aux_sym_user_token1] = ACTIONS(2846),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2844),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2844),
    [aux_sym_version_addendum_token1] = ACTIONS(2844),
    [aux_sym_visual_host_key_token1] = ACTIONS(2844),
    [aux_sym_xauth_location_token1] = ACTIONS(2844),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [aux_sym_match_token1] = ACTIONS(2850),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2850),
    [aux_sym_address_family_token1] = ACTIONS(2850),
    [aux_sym_batch_mode_token1] = ACTIONS(2850),
    [aux_sym_bind_address_token1] = ACTIONS(2850),
    [aux_sym_bind_interface_token1] = ACTIONS(2850),
    [aux_sym_canonical_domains_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2850),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2850),
    [aux_sym_certificate_file_token1] = ACTIONS(2850),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2850),
    [aux_sym_channel_timeout_token1] = ACTIONS(2850),
    [aux_sym_check_host_ip_token1] = ACTIONS(2850),
    [aux_sym_ciphers_token1] = ACTIONS(2850),
    [aux_sym_cipher_token1] = ACTIONS(2852),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2850),
    [aux_sym_compression_token1] = ACTIONS(2850),
    [aux_sym_connection_attempts_token1] = ACTIONS(2850),
    [aux_sym_connect_timeout_token1] = ACTIONS(2850),
    [aux_sym_control_master_token1] = ACTIONS(2850),
    [aux_sym_control_path_token1] = ACTIONS(2850),
    [aux_sym_control_persist_token1] = ACTIONS(2850),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2850),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2850),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2850),
    [aux_sym_escape_char_token1] = ACTIONS(2850),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2850),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2850),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2850),
    [aux_sym_forward_agent_token1] = ACTIONS(2850),
    [aux_sym_forward_x11_token1] = ACTIONS(2852),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2850),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2850),
    [aux_sym_gateway_ports_token1] = ACTIONS(2850),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2850),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2850),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2850),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2850),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2850),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2850),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2850),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2850),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2850),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2850),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2850),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2850),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2850),
    [aux_sym_host_key_alias_token1] = ACTIONS(2850),
    [aux_sym_hostname_token1] = ACTIONS(2850),
    [aux_sym_identities_only_token1] = ACTIONS(2850),
    [aux_sym_identity_agent_token1] = ACTIONS(2850),
    [aux_sym_identity_file_token1] = ACTIONS(2850),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2850),
    [aux_sym_include_token1] = ACTIONS(2850),
    [aux_sym_ip_qos_token1] = ACTIONS(2850),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2850),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2850),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2850),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2850),
    [aux_sym_local_command_token1] = ACTIONS(2850),
    [aux_sym_local_forward_token1] = ACTIONS(2850),
    [aux_sym_log_level_token1] = ACTIONS(2850),
    [aux_sym_log_verbose_token1] = ACTIONS(2850),
    [aux_sym_macs_token1] = ACTIONS(2850),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2850),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2850),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2850),
    [aux_sym_password_authentication_token1] = ACTIONS(2850),
    [aux_sym_permit_local_command_token1] = ACTIONS(2850),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2850),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2850),
    [aux_sym_port_token1] = ACTIONS(2850),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2850),
    [aux_sym_protocol_token1] = ACTIONS(2850),
    [aux_sym_proxy_command_token1] = ACTIONS(2850),
    [aux_sym_proxy_jump_token1] = ACTIONS(2850),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2850),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2850),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2850),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2850),
    [aux_sym_rekey_limit_token1] = ACTIONS(2850),
    [aux_sym_remote_command_token1] = ACTIONS(2850),
    [aux_sym_remote_forward_token1] = ACTIONS(2850),
    [aux_sym_request_tty_token1] = ACTIONS(2850),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2850),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2850),
    [aux_sym_security_key_provider_token1] = ACTIONS(2850),
    [aux_sym_send_env_token1] = ACTIONS(2850),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2850),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2850),
    [aux_sym_session_type_token1] = ACTIONS(2850),
    [aux_sym_set_env_token1] = ACTIONS(2850),
    [aux_sym_stdin_null_token1] = ACTIONS(2850),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2850),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2850),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2850),
    [aux_sym_syslog_facility_token1] = ACTIONS(2850),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2850),
    [aux_sym_keep_alive_token1] = ACTIONS(2850),
    [aux_sym_tag_token1] = ACTIONS(2850),
    [aux_sym_tunnel_token1] = ACTIONS(2852),
    [aux_sym_tunnel_device_token1] = ACTIONS(2850),
    [aux_sym_update_host_keys_token1] = ACTIONS(2850),
    [aux_sym_use_keychain_token1] = ACTIONS(2850),
    [aux_sym_use_roaming_token1] = ACTIONS(2850),
    [aux_sym_user_token1] = ACTIONS(2852),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2850),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2850),
    [aux_sym_version_addendum_token1] = ACTIONS(2850),
    [aux_sym_visual_host_key_token1] = ACTIONS(2850),
    [aux_sym_xauth_location_token1] = ACTIONS(2850),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [aux_sym_match_token1] = ACTIONS(2856),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2856),
    [aux_sym_address_family_token1] = ACTIONS(2856),
    [aux_sym_batch_mode_token1] = ACTIONS(2856),
    [aux_sym_bind_address_token1] = ACTIONS(2856),
    [aux_sym_bind_interface_token1] = ACTIONS(2856),
    [aux_sym_canonical_domains_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2856),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2856),
    [aux_sym_certificate_file_token1] = ACTIONS(2856),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2856),
    [aux_sym_channel_timeout_token1] = ACTIONS(2856),
    [aux_sym_check_host_ip_token1] = ACTIONS(2856),
    [aux_sym_ciphers_token1] = ACTIONS(2856),
    [aux_sym_cipher_token1] = ACTIONS(2858),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2856),
    [aux_sym_compression_token1] = ACTIONS(2856),
    [aux_sym_connection_attempts_token1] = ACTIONS(2856),
    [aux_sym_connect_timeout_token1] = ACTIONS(2856),
    [aux_sym_control_master_token1] = ACTIONS(2856),
    [aux_sym_control_path_token1] = ACTIONS(2856),
    [aux_sym_control_persist_token1] = ACTIONS(2856),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2856),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2856),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2856),
    [aux_sym_escape_char_token1] = ACTIONS(2856),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2856),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2856),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2856),
    [aux_sym_forward_agent_token1] = ACTIONS(2856),
    [aux_sym_forward_x11_token1] = ACTIONS(2858),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2856),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2856),
    [aux_sym_gateway_ports_token1] = ACTIONS(2856),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2856),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2856),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2856),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2856),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2856),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2856),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2856),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2856),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2856),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2856),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2856),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2856),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2856),
    [aux_sym_host_key_alias_token1] = ACTIONS(2856),
    [aux_sym_hostname_token1] = ACTIONS(2856),
    [aux_sym_identities_only_token1] = ACTIONS(2856),
    [aux_sym_identity_agent_token1] = ACTIONS(2856),
    [aux_sym_identity_file_token1] = ACTIONS(2856),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2856),
    [aux_sym_include_token1] = ACTIONS(2856),
    [aux_sym_ip_qos_token1] = ACTIONS(2856),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2856),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2856),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2856),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2856),
    [aux_sym_local_command_token1] = ACTIONS(2856),
    [aux_sym_local_forward_token1] = ACTIONS(2856),
    [aux_sym_log_level_token1] = ACTIONS(2856),
    [aux_sym_log_verbose_token1] = ACTIONS(2856),
    [aux_sym_macs_token1] = ACTIONS(2856),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2856),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2856),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2856),
    [aux_sym_password_authentication_token1] = ACTIONS(2856),
    [aux_sym_permit_local_command_token1] = ACTIONS(2856),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2856),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2856),
    [aux_sym_port_token1] = ACTIONS(2856),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2856),
    [aux_sym_protocol_token1] = ACTIONS(2856),
    [aux_sym_proxy_command_token1] = ACTIONS(2856),
    [aux_sym_proxy_jump_token1] = ACTIONS(2856),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2856),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2856),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2856),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2856),
    [aux_sym_rekey_limit_token1] = ACTIONS(2856),
    [aux_sym_remote_command_token1] = ACTIONS(2856),
    [aux_sym_remote_forward_token1] = ACTIONS(2856),
    [aux_sym_request_tty_token1] = ACTIONS(2856),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2856),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2856),
    [aux_sym_security_key_provider_token1] = ACTIONS(2856),
    [aux_sym_send_env_token1] = ACTIONS(2856),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2856),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2856),
    [aux_sym_session_type_token1] = ACTIONS(2856),
    [aux_sym_set_env_token1] = ACTIONS(2856),
    [aux_sym_stdin_null_token1] = ACTIONS(2856),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2856),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2856),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2856),
    [aux_sym_syslog_facility_token1] = ACTIONS(2856),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2856),
    [aux_sym_keep_alive_token1] = ACTIONS(2856),
    [aux_sym_tag_token1] = ACTIONS(2856),
    [aux_sym_tunnel_token1] = ACTIONS(2858),
    [aux_sym_tunnel_device_token1] = ACTIONS(2856),
    [aux_sym_update_host_keys_token1] = ACTIONS(2856),
    [aux_sym_use_keychain_token1] = ACTIONS(2856),
    [aux_sym_use_roaming_token1] = ACTIONS(2856),
    [aux_sym_user_token1] = ACTIONS(2858),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2856),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2856),
    [aux_sym_version_addendum_token1] = ACTIONS(2856),
    [aux_sym_visual_host_key_token1] = ACTIONS(2856),
    [aux_sym_xauth_location_token1] = ACTIONS(2856),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [aux_sym_match_token1] = ACTIONS(2862),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2862),
    [aux_sym_address_family_token1] = ACTIONS(2862),
    [aux_sym_batch_mode_token1] = ACTIONS(2862),
    [aux_sym_bind_address_token1] = ACTIONS(2862),
    [aux_sym_bind_interface_token1] = ACTIONS(2862),
    [aux_sym_canonical_domains_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2862),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2862),
    [aux_sym_certificate_file_token1] = ACTIONS(2862),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2862),
    [aux_sym_channel_timeout_token1] = ACTIONS(2862),
    [aux_sym_check_host_ip_token1] = ACTIONS(2862),
    [aux_sym_ciphers_token1] = ACTIONS(2862),
    [aux_sym_cipher_token1] = ACTIONS(2864),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2862),
    [aux_sym_compression_token1] = ACTIONS(2862),
    [aux_sym_connection_attempts_token1] = ACTIONS(2862),
    [aux_sym_connect_timeout_token1] = ACTIONS(2862),
    [aux_sym_control_master_token1] = ACTIONS(2862),
    [aux_sym_control_path_token1] = ACTIONS(2862),
    [aux_sym_control_persist_token1] = ACTIONS(2862),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2862),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2862),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2862),
    [aux_sym_escape_char_token1] = ACTIONS(2862),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2862),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2862),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2862),
    [aux_sym_forward_agent_token1] = ACTIONS(2862),
    [aux_sym_forward_x11_token1] = ACTIONS(2864),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2862),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2862),
    [aux_sym_gateway_ports_token1] = ACTIONS(2862),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2862),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2862),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2862),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2862),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2862),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2862),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2862),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2862),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2862),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2862),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2862),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2862),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2862),
    [aux_sym_host_key_alias_token1] = ACTIONS(2862),
    [aux_sym_hostname_token1] = ACTIONS(2862),
    [aux_sym_identities_only_token1] = ACTIONS(2862),
    [aux_sym_identity_agent_token1] = ACTIONS(2862),
    [aux_sym_identity_file_token1] = ACTIONS(2862),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2862),
    [aux_sym_include_token1] = ACTIONS(2862),
    [aux_sym_ip_qos_token1] = ACTIONS(2862),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2862),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2862),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2862),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2862),
    [aux_sym_local_command_token1] = ACTIONS(2862),
    [aux_sym_local_forward_token1] = ACTIONS(2862),
    [aux_sym_log_level_token1] = ACTIONS(2862),
    [aux_sym_log_verbose_token1] = ACTIONS(2862),
    [aux_sym_macs_token1] = ACTIONS(2862),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2862),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2862),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2862),
    [aux_sym_password_authentication_token1] = ACTIONS(2862),
    [aux_sym_permit_local_command_token1] = ACTIONS(2862),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2862),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2862),
    [aux_sym_port_token1] = ACTIONS(2862),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2862),
    [aux_sym_protocol_token1] = ACTIONS(2862),
    [aux_sym_proxy_command_token1] = ACTIONS(2862),
    [aux_sym_proxy_jump_token1] = ACTIONS(2862),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2862),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2862),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2862),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2862),
    [aux_sym_rekey_limit_token1] = ACTIONS(2862),
    [aux_sym_remote_command_token1] = ACTIONS(2862),
    [aux_sym_remote_forward_token1] = ACTIONS(2862),
    [aux_sym_request_tty_token1] = ACTIONS(2862),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2862),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2862),
    [aux_sym_security_key_provider_token1] = ACTIONS(2862),
    [aux_sym_send_env_token1] = ACTIONS(2862),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2862),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2862),
    [aux_sym_session_type_token1] = ACTIONS(2862),
    [aux_sym_set_env_token1] = ACTIONS(2862),
    [aux_sym_stdin_null_token1] = ACTIONS(2862),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2862),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2862),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2862),
    [aux_sym_syslog_facility_token1] = ACTIONS(2862),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2862),
    [aux_sym_keep_alive_token1] = ACTIONS(2862),
    [aux_sym_tag_token1] = ACTIONS(2862),
    [aux_sym_tunnel_token1] = ACTIONS(2864),
    [aux_sym_tunnel_device_token1] = ACTIONS(2862),
    [aux_sym_update_host_keys_token1] = ACTIONS(2862),
    [aux_sym_use_keychain_token1] = ACTIONS(2862),
    [aux_sym_use_roaming_token1] = ACTIONS(2862),
    [aux_sym_user_token1] = ACTIONS(2864),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2862),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2862),
    [aux_sym_version_addendum_token1] = ACTIONS(2862),
    [aux_sym_visual_host_key_token1] = ACTIONS(2862),
    [aux_sym_xauth_location_token1] = ACTIONS(2862),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [aux_sym_match_token1] = ACTIONS(2868),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2868),
    [aux_sym_address_family_token1] = ACTIONS(2868),
    [aux_sym_batch_mode_token1] = ACTIONS(2868),
    [aux_sym_bind_address_token1] = ACTIONS(2868),
    [aux_sym_bind_interface_token1] = ACTIONS(2868),
    [aux_sym_canonical_domains_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2868),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2868),
    [aux_sym_certificate_file_token1] = ACTIONS(2868),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2868),
    [aux_sym_channel_timeout_token1] = ACTIONS(2868),
    [aux_sym_check_host_ip_token1] = ACTIONS(2868),
    [aux_sym_ciphers_token1] = ACTIONS(2868),
    [aux_sym_cipher_token1] = ACTIONS(2870),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2868),
    [aux_sym_compression_token1] = ACTIONS(2868),
    [aux_sym_connection_attempts_token1] = ACTIONS(2868),
    [aux_sym_connect_timeout_token1] = ACTIONS(2868),
    [aux_sym_control_master_token1] = ACTIONS(2868),
    [aux_sym_control_path_token1] = ACTIONS(2868),
    [aux_sym_control_persist_token1] = ACTIONS(2868),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2868),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2868),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2868),
    [aux_sym_escape_char_token1] = ACTIONS(2868),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2868),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2868),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2868),
    [aux_sym_forward_agent_token1] = ACTIONS(2868),
    [aux_sym_forward_x11_token1] = ACTIONS(2870),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2868),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2868),
    [aux_sym_gateway_ports_token1] = ACTIONS(2868),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2868),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2868),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2868),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2868),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2868),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2868),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2868),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2868),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2868),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2868),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2868),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2868),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2868),
    [aux_sym_host_key_alias_token1] = ACTIONS(2868),
    [aux_sym_hostname_token1] = ACTIONS(2868),
    [aux_sym_identities_only_token1] = ACTIONS(2868),
    [aux_sym_identity_agent_token1] = ACTIONS(2868),
    [aux_sym_identity_file_token1] = ACTIONS(2868),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2868),
    [aux_sym_include_token1] = ACTIONS(2868),
    [aux_sym_ip_qos_token1] = ACTIONS(2868),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2868),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2868),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2868),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2868),
    [aux_sym_local_command_token1] = ACTIONS(2868),
    [aux_sym_local_forward_token1] = ACTIONS(2868),
    [aux_sym_log_level_token1] = ACTIONS(2868),
    [aux_sym_log_verbose_token1] = ACTIONS(2868),
    [aux_sym_macs_token1] = ACTIONS(2868),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2868),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2868),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2868),
    [aux_sym_password_authentication_token1] = ACTIONS(2868),
    [aux_sym_permit_local_command_token1] = ACTIONS(2868),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2868),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2868),
    [aux_sym_port_token1] = ACTIONS(2868),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2868),
    [aux_sym_protocol_token1] = ACTIONS(2868),
    [aux_sym_proxy_command_token1] = ACTIONS(2868),
    [aux_sym_proxy_jump_token1] = ACTIONS(2868),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2868),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2868),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2868),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2868),
    [aux_sym_rekey_limit_token1] = ACTIONS(2868),
    [aux_sym_remote_command_token1] = ACTIONS(2868),
    [aux_sym_remote_forward_token1] = ACTIONS(2868),
    [aux_sym_request_tty_token1] = ACTIONS(2868),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2868),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2868),
    [aux_sym_security_key_provider_token1] = ACTIONS(2868),
    [aux_sym_send_env_token1] = ACTIONS(2868),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2868),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2868),
    [aux_sym_session_type_token1] = ACTIONS(2868),
    [aux_sym_set_env_token1] = ACTIONS(2868),
    [aux_sym_stdin_null_token1] = ACTIONS(2868),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2868),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2868),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2868),
    [aux_sym_syslog_facility_token1] = ACTIONS(2868),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2868),
    [aux_sym_keep_alive_token1] = ACTIONS(2868),
    [aux_sym_tag_token1] = ACTIONS(2868),
    [aux_sym_tunnel_token1] = ACTIONS(2870),
    [aux_sym_tunnel_device_token1] = ACTIONS(2868),
    [aux_sym_update_host_keys_token1] = ACTIONS(2868),
    [aux_sym_use_keychain_token1] = ACTIONS(2868),
    [aux_sym_use_roaming_token1] = ACTIONS(2868),
    [aux_sym_user_token1] = ACTIONS(2870),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2868),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2868),
    [aux_sym_version_addendum_token1] = ACTIONS(2868),
    [aux_sym_visual_host_key_token1] = ACTIONS(2868),
    [aux_sym_xauth_location_token1] = ACTIONS(2868),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [aux_sym_match_token1] = ACTIONS(2874),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2874),
    [aux_sym_address_family_token1] = ACTIONS(2874),
    [aux_sym_batch_mode_token1] = ACTIONS(2874),
    [aux_sym_bind_address_token1] = ACTIONS(2874),
    [aux_sym_bind_interface_token1] = ACTIONS(2874),
    [aux_sym_canonical_domains_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2874),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2874),
    [aux_sym_certificate_file_token1] = ACTIONS(2874),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2874),
    [aux_sym_channel_timeout_token1] = ACTIONS(2874),
    [aux_sym_check_host_ip_token1] = ACTIONS(2874),
    [aux_sym_ciphers_token1] = ACTIONS(2874),
    [aux_sym_cipher_token1] = ACTIONS(2876),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2874),
    [aux_sym_compression_token1] = ACTIONS(2874),
    [aux_sym_connection_attempts_token1] = ACTIONS(2874),
    [aux_sym_connect_timeout_token1] = ACTIONS(2874),
    [aux_sym_control_master_token1] = ACTIONS(2874),
    [aux_sym_control_path_token1] = ACTIONS(2874),
    [aux_sym_control_persist_token1] = ACTIONS(2874),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2874),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2874),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2874),
    [aux_sym_escape_char_token1] = ACTIONS(2874),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2874),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2874),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2874),
    [aux_sym_forward_agent_token1] = ACTIONS(2874),
    [aux_sym_forward_x11_token1] = ACTIONS(2876),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2874),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2874),
    [aux_sym_gateway_ports_token1] = ACTIONS(2874),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2874),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2874),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2874),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2874),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2874),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2874),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2874),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2874),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2874),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2874),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2874),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2874),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2874),
    [aux_sym_host_key_alias_token1] = ACTIONS(2874),
    [aux_sym_hostname_token1] = ACTIONS(2874),
    [aux_sym_identities_only_token1] = ACTIONS(2874),
    [aux_sym_identity_agent_token1] = ACTIONS(2874),
    [aux_sym_identity_file_token1] = ACTIONS(2874),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2874),
    [aux_sym_include_token1] = ACTIONS(2874),
    [aux_sym_ip_qos_token1] = ACTIONS(2874),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2874),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2874),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2874),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2874),
    [aux_sym_local_command_token1] = ACTIONS(2874),
    [aux_sym_local_forward_token1] = ACTIONS(2874),
    [aux_sym_log_level_token1] = ACTIONS(2874),
    [aux_sym_log_verbose_token1] = ACTIONS(2874),
    [aux_sym_macs_token1] = ACTIONS(2874),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2874),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2874),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2874),
    [aux_sym_password_authentication_token1] = ACTIONS(2874),
    [aux_sym_permit_local_command_token1] = ACTIONS(2874),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2874),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2874),
    [aux_sym_port_token1] = ACTIONS(2874),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2874),
    [aux_sym_protocol_token1] = ACTIONS(2874),
    [aux_sym_proxy_command_token1] = ACTIONS(2874),
    [aux_sym_proxy_jump_token1] = ACTIONS(2874),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2874),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2874),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2874),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2874),
    [aux_sym_rekey_limit_token1] = ACTIONS(2874),
    [aux_sym_remote_command_token1] = ACTIONS(2874),
    [aux_sym_remote_forward_token1] = ACTIONS(2874),
    [aux_sym_request_tty_token1] = ACTIONS(2874),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2874),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2874),
    [aux_sym_security_key_provider_token1] = ACTIONS(2874),
    [aux_sym_send_env_token1] = ACTIONS(2874),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2874),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2874),
    [aux_sym_session_type_token1] = ACTIONS(2874),
    [aux_sym_set_env_token1] = ACTIONS(2874),
    [aux_sym_stdin_null_token1] = ACTIONS(2874),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2874),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2874),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2874),
    [aux_sym_syslog_facility_token1] = ACTIONS(2874),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2874),
    [aux_sym_keep_alive_token1] = ACTIONS(2874),
    [aux_sym_tag_token1] = ACTIONS(2874),
    [aux_sym_tunnel_token1] = ACTIONS(2876),
    [aux_sym_tunnel_device_token1] = ACTIONS(2874),
    [aux_sym_update_host_keys_token1] = ACTIONS(2874),
    [aux_sym_use_keychain_token1] = ACTIONS(2874),
    [aux_sym_use_roaming_token1] = ACTIONS(2874),
    [aux_sym_user_token1] = ACTIONS(2876),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2874),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2874),
    [aux_sym_version_addendum_token1] = ACTIONS(2874),
    [aux_sym_visual_host_key_token1] = ACTIONS(2874),
    [aux_sym_xauth_location_token1] = ACTIONS(2874),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [aux_sym_match_token1] = ACTIONS(2880),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2880),
    [aux_sym_address_family_token1] = ACTIONS(2880),
    [aux_sym_batch_mode_token1] = ACTIONS(2880),
    [aux_sym_bind_address_token1] = ACTIONS(2880),
    [aux_sym_bind_interface_token1] = ACTIONS(2880),
    [aux_sym_canonical_domains_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2880),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2880),
    [aux_sym_certificate_file_token1] = ACTIONS(2880),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2880),
    [aux_sym_channel_timeout_token1] = ACTIONS(2880),
    [aux_sym_check_host_ip_token1] = ACTIONS(2880),
    [aux_sym_ciphers_token1] = ACTIONS(2880),
    [aux_sym_cipher_token1] = ACTIONS(2882),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2880),
    [aux_sym_compression_token1] = ACTIONS(2880),
    [aux_sym_connection_attempts_token1] = ACTIONS(2880),
    [aux_sym_connect_timeout_token1] = ACTIONS(2880),
    [aux_sym_control_master_token1] = ACTIONS(2880),
    [aux_sym_control_path_token1] = ACTIONS(2880),
    [aux_sym_control_persist_token1] = ACTIONS(2880),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2880),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2880),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2880),
    [aux_sym_escape_char_token1] = ACTIONS(2880),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2880),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2880),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2880),
    [aux_sym_forward_agent_token1] = ACTIONS(2880),
    [aux_sym_forward_x11_token1] = ACTIONS(2882),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2880),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2880),
    [aux_sym_gateway_ports_token1] = ACTIONS(2880),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2880),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2880),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2880),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2880),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2880),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2880),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2880),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2880),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2880),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2880),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2880),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2880),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2880),
    [aux_sym_host_key_alias_token1] = ACTIONS(2880),
    [aux_sym_hostname_token1] = ACTIONS(2880),
    [aux_sym_identities_only_token1] = ACTIONS(2880),
    [aux_sym_identity_agent_token1] = ACTIONS(2880),
    [aux_sym_identity_file_token1] = ACTIONS(2880),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2880),
    [aux_sym_include_token1] = ACTIONS(2880),
    [aux_sym_ip_qos_token1] = ACTIONS(2880),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2880),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2880),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2880),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2880),
    [aux_sym_local_command_token1] = ACTIONS(2880),
    [aux_sym_local_forward_token1] = ACTIONS(2880),
    [aux_sym_log_level_token1] = ACTIONS(2880),
    [aux_sym_log_verbose_token1] = ACTIONS(2880),
    [aux_sym_macs_token1] = ACTIONS(2880),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2880),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2880),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2880),
    [aux_sym_password_authentication_token1] = ACTIONS(2880),
    [aux_sym_permit_local_command_token1] = ACTIONS(2880),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2880),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2880),
    [aux_sym_port_token1] = ACTIONS(2880),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2880),
    [aux_sym_protocol_token1] = ACTIONS(2880),
    [aux_sym_proxy_command_token1] = ACTIONS(2880),
    [aux_sym_proxy_jump_token1] = ACTIONS(2880),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2880),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2880),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2880),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2880),
    [aux_sym_rekey_limit_token1] = ACTIONS(2880),
    [aux_sym_remote_command_token1] = ACTIONS(2880),
    [aux_sym_remote_forward_token1] = ACTIONS(2880),
    [aux_sym_request_tty_token1] = ACTIONS(2880),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2880),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2880),
    [aux_sym_security_key_provider_token1] = ACTIONS(2880),
    [aux_sym_send_env_token1] = ACTIONS(2880),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2880),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2880),
    [aux_sym_session_type_token1] = ACTIONS(2880),
    [aux_sym_set_env_token1] = ACTIONS(2880),
    [aux_sym_stdin_null_token1] = ACTIONS(2880),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2880),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2880),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2880),
    [aux_sym_syslog_facility_token1] = ACTIONS(2880),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2880),
    [aux_sym_keep_alive_token1] = ACTIONS(2880),
    [aux_sym_tag_token1] = ACTIONS(2880),
    [aux_sym_tunnel_token1] = ACTIONS(2882),
    [aux_sym_tunnel_device_token1] = ACTIONS(2880),
    [aux_sym_update_host_keys_token1] = ACTIONS(2880),
    [aux_sym_use_keychain_token1] = ACTIONS(2880),
    [aux_sym_use_roaming_token1] = ACTIONS(2880),
    [aux_sym_user_token1] = ACTIONS(2882),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2880),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2880),
    [aux_sym_version_addendum_token1] = ACTIONS(2880),
    [aux_sym_visual_host_key_token1] = ACTIONS(2880),
    [aux_sym_xauth_location_token1] = ACTIONS(2880),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [aux_sym_match_token1] = ACTIONS(2886),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2886),
    [aux_sym_address_family_token1] = ACTIONS(2886),
    [aux_sym_batch_mode_token1] = ACTIONS(2886),
    [aux_sym_bind_address_token1] = ACTIONS(2886),
    [aux_sym_bind_interface_token1] = ACTIONS(2886),
    [aux_sym_canonical_domains_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2886),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2886),
    [aux_sym_certificate_file_token1] = ACTIONS(2886),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2886),
    [aux_sym_channel_timeout_token1] = ACTIONS(2886),
    [aux_sym_check_host_ip_token1] = ACTIONS(2886),
    [aux_sym_ciphers_token1] = ACTIONS(2886),
    [aux_sym_cipher_token1] = ACTIONS(2888),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2886),
    [aux_sym_compression_token1] = ACTIONS(2886),
    [aux_sym_connection_attempts_token1] = ACTIONS(2886),
    [aux_sym_connect_timeout_token1] = ACTIONS(2886),
    [aux_sym_control_master_token1] = ACTIONS(2886),
    [aux_sym_control_path_token1] = ACTIONS(2886),
    [aux_sym_control_persist_token1] = ACTIONS(2886),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2886),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2886),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2886),
    [aux_sym_escape_char_token1] = ACTIONS(2886),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2886),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2886),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2886),
    [aux_sym_forward_agent_token1] = ACTIONS(2886),
    [aux_sym_forward_x11_token1] = ACTIONS(2888),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2886),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2886),
    [aux_sym_gateway_ports_token1] = ACTIONS(2886),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2886),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2886),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2886),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2886),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2886),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2886),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2886),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2886),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2886),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2886),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2886),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2886),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2886),
    [aux_sym_host_key_alias_token1] = ACTIONS(2886),
    [aux_sym_hostname_token1] = ACTIONS(2886),
    [aux_sym_identities_only_token1] = ACTIONS(2886),
    [aux_sym_identity_agent_token1] = ACTIONS(2886),
    [aux_sym_identity_file_token1] = ACTIONS(2886),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2886),
    [aux_sym_include_token1] = ACTIONS(2886),
    [aux_sym_ip_qos_token1] = ACTIONS(2886),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2886),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2886),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2886),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2886),
    [aux_sym_local_command_token1] = ACTIONS(2886),
    [aux_sym_local_forward_token1] = ACTIONS(2886),
    [aux_sym_log_level_token1] = ACTIONS(2886),
    [aux_sym_log_verbose_token1] = ACTIONS(2886),
    [aux_sym_macs_token1] = ACTIONS(2886),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2886),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2886),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2886),
    [aux_sym_password_authentication_token1] = ACTIONS(2886),
    [aux_sym_permit_local_command_token1] = ACTIONS(2886),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2886),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2886),
    [aux_sym_port_token1] = ACTIONS(2886),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2886),
    [aux_sym_protocol_token1] = ACTIONS(2886),
    [aux_sym_proxy_command_token1] = ACTIONS(2886),
    [aux_sym_proxy_jump_token1] = ACTIONS(2886),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2886),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2886),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2886),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2886),
    [aux_sym_rekey_limit_token1] = ACTIONS(2886),
    [aux_sym_remote_command_token1] = ACTIONS(2886),
    [aux_sym_remote_forward_token1] = ACTIONS(2886),
    [aux_sym_request_tty_token1] = ACTIONS(2886),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2886),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2886),
    [aux_sym_security_key_provider_token1] = ACTIONS(2886),
    [aux_sym_send_env_token1] = ACTIONS(2886),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2886),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2886),
    [aux_sym_session_type_token1] = ACTIONS(2886),
    [aux_sym_set_env_token1] = ACTIONS(2886),
    [aux_sym_stdin_null_token1] = ACTIONS(2886),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2886),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2886),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2886),
    [aux_sym_syslog_facility_token1] = ACTIONS(2886),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2886),
    [aux_sym_keep_alive_token1] = ACTIONS(2886),
    [aux_sym_tag_token1] = ACTIONS(2886),
    [aux_sym_tunnel_token1] = ACTIONS(2888),
    [aux_sym_tunnel_device_token1] = ACTIONS(2886),
    [aux_sym_update_host_keys_token1] = ACTIONS(2886),
    [aux_sym_use_keychain_token1] = ACTIONS(2886),
    [aux_sym_use_roaming_token1] = ACTIONS(2886),
    [aux_sym_user_token1] = ACTIONS(2888),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2886),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2886),
    [aux_sym_version_addendum_token1] = ACTIONS(2886),
    [aux_sym_visual_host_key_token1] = ACTIONS(2886),
    [aux_sym_xauth_location_token1] = ACTIONS(2886),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [aux_sym_match_token1] = ACTIONS(2892),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2892),
    [aux_sym_address_family_token1] = ACTIONS(2892),
    [aux_sym_batch_mode_token1] = ACTIONS(2892),
    [aux_sym_bind_address_token1] = ACTIONS(2892),
    [aux_sym_bind_interface_token1] = ACTIONS(2892),
    [aux_sym_canonical_domains_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2892),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2892),
    [aux_sym_certificate_file_token1] = ACTIONS(2892),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2892),
    [aux_sym_channel_timeout_token1] = ACTIONS(2892),
    [aux_sym_check_host_ip_token1] = ACTIONS(2892),
    [aux_sym_ciphers_token1] = ACTIONS(2892),
    [aux_sym_cipher_token1] = ACTIONS(2894),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2892),
    [aux_sym_compression_token1] = ACTIONS(2892),
    [aux_sym_connection_attempts_token1] = ACTIONS(2892),
    [aux_sym_connect_timeout_token1] = ACTIONS(2892),
    [aux_sym_control_master_token1] = ACTIONS(2892),
    [aux_sym_control_path_token1] = ACTIONS(2892),
    [aux_sym_control_persist_token1] = ACTIONS(2892),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2892),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2892),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2892),
    [aux_sym_escape_char_token1] = ACTIONS(2892),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2892),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2892),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2892),
    [aux_sym_forward_agent_token1] = ACTIONS(2892),
    [aux_sym_forward_x11_token1] = ACTIONS(2894),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2892),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2892),
    [aux_sym_gateway_ports_token1] = ACTIONS(2892),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2892),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2892),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2892),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2892),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2892),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2892),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2892),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2892),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2892),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2892),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2892),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2892),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2892),
    [aux_sym_host_key_alias_token1] = ACTIONS(2892),
    [aux_sym_hostname_token1] = ACTIONS(2892),
    [aux_sym_identities_only_token1] = ACTIONS(2892),
    [aux_sym_identity_agent_token1] = ACTIONS(2892),
    [aux_sym_identity_file_token1] = ACTIONS(2892),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2892),
    [aux_sym_include_token1] = ACTIONS(2892),
    [aux_sym_ip_qos_token1] = ACTIONS(2892),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2892),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2892),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2892),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2892),
    [aux_sym_local_command_token1] = ACTIONS(2892),
    [aux_sym_local_forward_token1] = ACTIONS(2892),
    [aux_sym_log_level_token1] = ACTIONS(2892),
    [aux_sym_log_verbose_token1] = ACTIONS(2892),
    [aux_sym_macs_token1] = ACTIONS(2892),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2892),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2892),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2892),
    [aux_sym_password_authentication_token1] = ACTIONS(2892),
    [aux_sym_permit_local_command_token1] = ACTIONS(2892),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2892),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2892),
    [aux_sym_port_token1] = ACTIONS(2892),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2892),
    [aux_sym_protocol_token1] = ACTIONS(2892),
    [aux_sym_proxy_command_token1] = ACTIONS(2892),
    [aux_sym_proxy_jump_token1] = ACTIONS(2892),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2892),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2892),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2892),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2892),
    [aux_sym_rekey_limit_token1] = ACTIONS(2892),
    [aux_sym_remote_command_token1] = ACTIONS(2892),
    [aux_sym_remote_forward_token1] = ACTIONS(2892),
    [aux_sym_request_tty_token1] = ACTIONS(2892),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2892),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2892),
    [aux_sym_security_key_provider_token1] = ACTIONS(2892),
    [aux_sym_send_env_token1] = ACTIONS(2892),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2892),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2892),
    [aux_sym_session_type_token1] = ACTIONS(2892),
    [aux_sym_set_env_token1] = ACTIONS(2892),
    [aux_sym_stdin_null_token1] = ACTIONS(2892),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2892),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2892),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2892),
    [aux_sym_syslog_facility_token1] = ACTIONS(2892),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2892),
    [aux_sym_keep_alive_token1] = ACTIONS(2892),
    [aux_sym_tag_token1] = ACTIONS(2892),
    [aux_sym_tunnel_token1] = ACTIONS(2894),
    [aux_sym_tunnel_device_token1] = ACTIONS(2892),
    [aux_sym_update_host_keys_token1] = ACTIONS(2892),
    [aux_sym_use_keychain_token1] = ACTIONS(2892),
    [aux_sym_use_roaming_token1] = ACTIONS(2892),
    [aux_sym_user_token1] = ACTIONS(2894),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2892),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2892),
    [aux_sym_version_addendum_token1] = ACTIONS(2892),
    [aux_sym_visual_host_key_token1] = ACTIONS(2892),
    [aux_sym_xauth_location_token1] = ACTIONS(2892),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [aux_sym_match_token1] = ACTIONS(2898),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2898),
    [aux_sym_address_family_token1] = ACTIONS(2898),
    [aux_sym_batch_mode_token1] = ACTIONS(2898),
    [aux_sym_bind_address_token1] = ACTIONS(2898),
    [aux_sym_bind_interface_token1] = ACTIONS(2898),
    [aux_sym_canonical_domains_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2898),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2898),
    [aux_sym_certificate_file_token1] = ACTIONS(2898),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2898),
    [aux_sym_channel_timeout_token1] = ACTIONS(2898),
    [aux_sym_check_host_ip_token1] = ACTIONS(2898),
    [aux_sym_ciphers_token1] = ACTIONS(2898),
    [aux_sym_cipher_token1] = ACTIONS(2900),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2898),
    [aux_sym_compression_token1] = ACTIONS(2898),
    [aux_sym_connection_attempts_token1] = ACTIONS(2898),
    [aux_sym_connect_timeout_token1] = ACTIONS(2898),
    [aux_sym_control_master_token1] = ACTIONS(2898),
    [aux_sym_control_path_token1] = ACTIONS(2898),
    [aux_sym_control_persist_token1] = ACTIONS(2898),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2898),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2898),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2898),
    [aux_sym_escape_char_token1] = ACTIONS(2898),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2898),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2898),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2898),
    [aux_sym_forward_agent_token1] = ACTIONS(2898),
    [aux_sym_forward_x11_token1] = ACTIONS(2900),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2898),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2898),
    [aux_sym_gateway_ports_token1] = ACTIONS(2898),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2898),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2898),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2898),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2898),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2898),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2898),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2898),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2898),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2898),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2898),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2898),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2898),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2898),
    [aux_sym_host_key_alias_token1] = ACTIONS(2898),
    [aux_sym_hostname_token1] = ACTIONS(2898),
    [aux_sym_identities_only_token1] = ACTIONS(2898),
    [aux_sym_identity_agent_token1] = ACTIONS(2898),
    [aux_sym_identity_file_token1] = ACTIONS(2898),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2898),
    [aux_sym_include_token1] = ACTIONS(2898),
    [aux_sym_ip_qos_token1] = ACTIONS(2898),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2898),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2898),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2898),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2898),
    [aux_sym_local_command_token1] = ACTIONS(2898),
    [aux_sym_local_forward_token1] = ACTIONS(2898),
    [aux_sym_log_level_token1] = ACTIONS(2898),
    [aux_sym_log_verbose_token1] = ACTIONS(2898),
    [aux_sym_macs_token1] = ACTIONS(2898),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2898),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2898),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2898),
    [aux_sym_password_authentication_token1] = ACTIONS(2898),
    [aux_sym_permit_local_command_token1] = ACTIONS(2898),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2898),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2898),
    [aux_sym_port_token1] = ACTIONS(2898),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2898),
    [aux_sym_protocol_token1] = ACTIONS(2898),
    [aux_sym_proxy_command_token1] = ACTIONS(2898),
    [aux_sym_proxy_jump_token1] = ACTIONS(2898),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2898),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2898),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2898),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2898),
    [aux_sym_rekey_limit_token1] = ACTIONS(2898),
    [aux_sym_remote_command_token1] = ACTIONS(2898),
    [aux_sym_remote_forward_token1] = ACTIONS(2898),
    [aux_sym_request_tty_token1] = ACTIONS(2898),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2898),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2898),
    [aux_sym_security_key_provider_token1] = ACTIONS(2898),
    [aux_sym_send_env_token1] = ACTIONS(2898),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2898),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2898),
    [aux_sym_session_type_token1] = ACTIONS(2898),
    [aux_sym_set_env_token1] = ACTIONS(2898),
    [aux_sym_stdin_null_token1] = ACTIONS(2898),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2898),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2898),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2898),
    [aux_sym_syslog_facility_token1] = ACTIONS(2898),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2898),
    [aux_sym_keep_alive_token1] = ACTIONS(2898),
    [aux_sym_tag_token1] = ACTIONS(2898),
    [aux_sym_tunnel_token1] = ACTIONS(2900),
    [aux_sym_tunnel_device_token1] = ACTIONS(2898),
    [aux_sym_update_host_keys_token1] = ACTIONS(2898),
    [aux_sym_use_keychain_token1] = ACTIONS(2898),
    [aux_sym_use_roaming_token1] = ACTIONS(2898),
    [aux_sym_user_token1] = ACTIONS(2900),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2898),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2898),
    [aux_sym_version_addendum_token1] = ACTIONS(2898),
    [aux_sym_visual_host_key_token1] = ACTIONS(2898),
    [aux_sym_xauth_location_token1] = ACTIONS(2898),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [aux_sym_match_token1] = ACTIONS(2904),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2904),
    [aux_sym_address_family_token1] = ACTIONS(2904),
    [aux_sym_batch_mode_token1] = ACTIONS(2904),
    [aux_sym_bind_address_token1] = ACTIONS(2904),
    [aux_sym_bind_interface_token1] = ACTIONS(2904),
    [aux_sym_canonical_domains_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2904),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2904),
    [aux_sym_certificate_file_token1] = ACTIONS(2904),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2904),
    [aux_sym_channel_timeout_token1] = ACTIONS(2904),
    [aux_sym_check_host_ip_token1] = ACTIONS(2904),
    [aux_sym_ciphers_token1] = ACTIONS(2904),
    [aux_sym_cipher_token1] = ACTIONS(2906),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2904),
    [aux_sym_compression_token1] = ACTIONS(2904),
    [aux_sym_connection_attempts_token1] = ACTIONS(2904),
    [aux_sym_connect_timeout_token1] = ACTIONS(2904),
    [aux_sym_control_master_token1] = ACTIONS(2904),
    [aux_sym_control_path_token1] = ACTIONS(2904),
    [aux_sym_control_persist_token1] = ACTIONS(2904),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2904),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2904),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2904),
    [aux_sym_escape_char_token1] = ACTIONS(2904),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2904),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2904),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2904),
    [aux_sym_forward_agent_token1] = ACTIONS(2904),
    [aux_sym_forward_x11_token1] = ACTIONS(2906),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2904),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2904),
    [aux_sym_gateway_ports_token1] = ACTIONS(2904),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2904),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2904),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2904),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2904),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2904),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2904),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2904),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2904),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2904),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2904),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2904),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2904),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2904),
    [aux_sym_host_key_alias_token1] = ACTIONS(2904),
    [aux_sym_hostname_token1] = ACTIONS(2904),
    [aux_sym_identities_only_token1] = ACTIONS(2904),
    [aux_sym_identity_agent_token1] = ACTIONS(2904),
    [aux_sym_identity_file_token1] = ACTIONS(2904),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2904),
    [aux_sym_include_token1] = ACTIONS(2904),
    [aux_sym_ip_qos_token1] = ACTIONS(2904),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2904),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2904),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2904),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2904),
    [aux_sym_local_command_token1] = ACTIONS(2904),
    [aux_sym_local_forward_token1] = ACTIONS(2904),
    [aux_sym_log_level_token1] = ACTIONS(2904),
    [aux_sym_log_verbose_token1] = ACTIONS(2904),
    [aux_sym_macs_token1] = ACTIONS(2904),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2904),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2904),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2904),
    [aux_sym_password_authentication_token1] = ACTIONS(2904),
    [aux_sym_permit_local_command_token1] = ACTIONS(2904),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2904),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2904),
    [aux_sym_port_token1] = ACTIONS(2904),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2904),
    [aux_sym_protocol_token1] = ACTIONS(2904),
    [aux_sym_proxy_command_token1] = ACTIONS(2904),
    [aux_sym_proxy_jump_token1] = ACTIONS(2904),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2904),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2904),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2904),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2904),
    [aux_sym_rekey_limit_token1] = ACTIONS(2904),
    [aux_sym_remote_command_token1] = ACTIONS(2904),
    [aux_sym_remote_forward_token1] = ACTIONS(2904),
    [aux_sym_request_tty_token1] = ACTIONS(2904),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2904),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2904),
    [aux_sym_security_key_provider_token1] = ACTIONS(2904),
    [aux_sym_send_env_token1] = ACTIONS(2904),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2904),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2904),
    [aux_sym_session_type_token1] = ACTIONS(2904),
    [aux_sym_set_env_token1] = ACTIONS(2904),
    [aux_sym_stdin_null_token1] = ACTIONS(2904),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2904),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2904),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2904),
    [aux_sym_syslog_facility_token1] = ACTIONS(2904),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2904),
    [aux_sym_keep_alive_token1] = ACTIONS(2904),
    [aux_sym_tag_token1] = ACTIONS(2904),
    [aux_sym_tunnel_token1] = ACTIONS(2906),
    [aux_sym_tunnel_device_token1] = ACTIONS(2904),
    [aux_sym_update_host_keys_token1] = ACTIONS(2904),
    [aux_sym_use_keychain_token1] = ACTIONS(2904),
    [aux_sym_use_roaming_token1] = ACTIONS(2904),
    [aux_sym_user_token1] = ACTIONS(2906),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2904),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2904),
    [aux_sym_version_addendum_token1] = ACTIONS(2904),
    [aux_sym_visual_host_key_token1] = ACTIONS(2904),
    [aux_sym_xauth_location_token1] = ACTIONS(2904),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [aux_sym_match_token1] = ACTIONS(2910),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2910),
    [aux_sym_address_family_token1] = ACTIONS(2910),
    [aux_sym_batch_mode_token1] = ACTIONS(2910),
    [aux_sym_bind_address_token1] = ACTIONS(2910),
    [aux_sym_bind_interface_token1] = ACTIONS(2910),
    [aux_sym_canonical_domains_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2910),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2910),
    [aux_sym_certificate_file_token1] = ACTIONS(2910),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2910),
    [aux_sym_channel_timeout_token1] = ACTIONS(2910),
    [aux_sym_check_host_ip_token1] = ACTIONS(2910),
    [aux_sym_ciphers_token1] = ACTIONS(2910),
    [aux_sym_cipher_token1] = ACTIONS(2912),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2910),
    [aux_sym_compression_token1] = ACTIONS(2910),
    [aux_sym_connection_attempts_token1] = ACTIONS(2910),
    [aux_sym_connect_timeout_token1] = ACTIONS(2910),
    [aux_sym_control_master_token1] = ACTIONS(2910),
    [aux_sym_control_path_token1] = ACTIONS(2910),
    [aux_sym_control_persist_token1] = ACTIONS(2910),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2910),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2910),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2910),
    [aux_sym_escape_char_token1] = ACTIONS(2910),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2910),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2910),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2910),
    [aux_sym_forward_agent_token1] = ACTIONS(2910),
    [aux_sym_forward_x11_token1] = ACTIONS(2912),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2910),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2910),
    [aux_sym_gateway_ports_token1] = ACTIONS(2910),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2910),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2910),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2910),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2910),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2910),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2910),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2910),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2910),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2910),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2910),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2910),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2910),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2910),
    [aux_sym_host_key_alias_token1] = ACTIONS(2910),
    [aux_sym_hostname_token1] = ACTIONS(2910),
    [aux_sym_identities_only_token1] = ACTIONS(2910),
    [aux_sym_identity_agent_token1] = ACTIONS(2910),
    [aux_sym_identity_file_token1] = ACTIONS(2910),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2910),
    [aux_sym_include_token1] = ACTIONS(2910),
    [aux_sym_ip_qos_token1] = ACTIONS(2910),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2910),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2910),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2910),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2910),
    [aux_sym_local_command_token1] = ACTIONS(2910),
    [aux_sym_local_forward_token1] = ACTIONS(2910),
    [aux_sym_log_level_token1] = ACTIONS(2910),
    [aux_sym_log_verbose_token1] = ACTIONS(2910),
    [aux_sym_macs_token1] = ACTIONS(2910),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2910),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2910),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2910),
    [aux_sym_password_authentication_token1] = ACTIONS(2910),
    [aux_sym_permit_local_command_token1] = ACTIONS(2910),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2910),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2910),
    [aux_sym_port_token1] = ACTIONS(2910),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2910),
    [aux_sym_protocol_token1] = ACTIONS(2910),
    [aux_sym_proxy_command_token1] = ACTIONS(2910),
    [aux_sym_proxy_jump_token1] = ACTIONS(2910),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2910),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2910),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2910),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2910),
    [aux_sym_rekey_limit_token1] = ACTIONS(2910),
    [aux_sym_remote_command_token1] = ACTIONS(2910),
    [aux_sym_remote_forward_token1] = ACTIONS(2910),
    [aux_sym_request_tty_token1] = ACTIONS(2910),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2910),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2910),
    [aux_sym_security_key_provider_token1] = ACTIONS(2910),
    [aux_sym_send_env_token1] = ACTIONS(2910),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2910),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2910),
    [aux_sym_session_type_token1] = ACTIONS(2910),
    [aux_sym_set_env_token1] = ACTIONS(2910),
    [aux_sym_stdin_null_token1] = ACTIONS(2910),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2910),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2910),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2910),
    [aux_sym_syslog_facility_token1] = ACTIONS(2910),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2910),
    [aux_sym_keep_alive_token1] = ACTIONS(2910),
    [aux_sym_tag_token1] = ACTIONS(2910),
    [aux_sym_tunnel_token1] = ACTIONS(2912),
    [aux_sym_tunnel_device_token1] = ACTIONS(2910),
    [aux_sym_update_host_keys_token1] = ACTIONS(2910),
    [aux_sym_use_keychain_token1] = ACTIONS(2910),
    [aux_sym_use_roaming_token1] = ACTIONS(2910),
    [aux_sym_user_token1] = ACTIONS(2912),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2910),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2910),
    [aux_sym_version_addendum_token1] = ACTIONS(2910),
    [aux_sym_visual_host_key_token1] = ACTIONS(2910),
    [aux_sym_xauth_location_token1] = ACTIONS(2910),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [aux_sym_match_token1] = ACTIONS(2916),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2916),
    [aux_sym_address_family_token1] = ACTIONS(2916),
    [aux_sym_batch_mode_token1] = ACTIONS(2916),
    [aux_sym_bind_address_token1] = ACTIONS(2916),
    [aux_sym_bind_interface_token1] = ACTIONS(2916),
    [aux_sym_canonical_domains_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2916),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2916),
    [aux_sym_certificate_file_token1] = ACTIONS(2916),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2916),
    [aux_sym_channel_timeout_token1] = ACTIONS(2916),
    [aux_sym_check_host_ip_token1] = ACTIONS(2916),
    [aux_sym_ciphers_token1] = ACTIONS(2916),
    [aux_sym_cipher_token1] = ACTIONS(2918),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2916),
    [aux_sym_compression_token1] = ACTIONS(2916),
    [aux_sym_connection_attempts_token1] = ACTIONS(2916),
    [aux_sym_connect_timeout_token1] = ACTIONS(2916),
    [aux_sym_control_master_token1] = ACTIONS(2916),
    [aux_sym_control_path_token1] = ACTIONS(2916),
    [aux_sym_control_persist_token1] = ACTIONS(2916),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2916),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2916),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2916),
    [aux_sym_escape_char_token1] = ACTIONS(2916),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2916),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2916),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2916),
    [aux_sym_forward_agent_token1] = ACTIONS(2916),
    [aux_sym_forward_x11_token1] = ACTIONS(2918),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2916),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2916),
    [aux_sym_gateway_ports_token1] = ACTIONS(2916),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2916),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2916),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2916),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2916),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2916),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2916),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2916),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2916),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2916),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2916),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2916),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2916),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2916),
    [aux_sym_host_key_alias_token1] = ACTIONS(2916),
    [aux_sym_hostname_token1] = ACTIONS(2916),
    [aux_sym_identities_only_token1] = ACTIONS(2916),
    [aux_sym_identity_agent_token1] = ACTIONS(2916),
    [aux_sym_identity_file_token1] = ACTIONS(2916),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2916),
    [aux_sym_include_token1] = ACTIONS(2916),
    [aux_sym_ip_qos_token1] = ACTIONS(2916),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2916),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2916),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2916),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2916),
    [aux_sym_local_command_token1] = ACTIONS(2916),
    [aux_sym_local_forward_token1] = ACTIONS(2916),
    [aux_sym_log_level_token1] = ACTIONS(2916),
    [aux_sym_log_verbose_token1] = ACTIONS(2916),
    [aux_sym_macs_token1] = ACTIONS(2916),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2916),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2916),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2916),
    [aux_sym_password_authentication_token1] = ACTIONS(2916),
    [aux_sym_permit_local_command_token1] = ACTIONS(2916),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2916),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2916),
    [aux_sym_port_token1] = ACTIONS(2916),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2916),
    [aux_sym_protocol_token1] = ACTIONS(2916),
    [aux_sym_proxy_command_token1] = ACTIONS(2916),
    [aux_sym_proxy_jump_token1] = ACTIONS(2916),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2916),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2916),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2916),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2916),
    [aux_sym_rekey_limit_token1] = ACTIONS(2916),
    [aux_sym_remote_command_token1] = ACTIONS(2916),
    [aux_sym_remote_forward_token1] = ACTIONS(2916),
    [aux_sym_request_tty_token1] = ACTIONS(2916),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2916),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2916),
    [aux_sym_security_key_provider_token1] = ACTIONS(2916),
    [aux_sym_send_env_token1] = ACTIONS(2916),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2916),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2916),
    [aux_sym_session_type_token1] = ACTIONS(2916),
    [aux_sym_set_env_token1] = ACTIONS(2916),
    [aux_sym_stdin_null_token1] = ACTIONS(2916),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2916),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2916),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2916),
    [aux_sym_syslog_facility_token1] = ACTIONS(2916),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2916),
    [aux_sym_keep_alive_token1] = ACTIONS(2916),
    [aux_sym_tag_token1] = ACTIONS(2916),
    [aux_sym_tunnel_token1] = ACTIONS(2918),
    [aux_sym_tunnel_device_token1] = ACTIONS(2916),
    [aux_sym_update_host_keys_token1] = ACTIONS(2916),
    [aux_sym_use_keychain_token1] = ACTIONS(2916),
    [aux_sym_use_roaming_token1] = ACTIONS(2916),
    [aux_sym_user_token1] = ACTIONS(2918),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2916),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2916),
    [aux_sym_version_addendum_token1] = ACTIONS(2916),
    [aux_sym_visual_host_key_token1] = ACTIONS(2916),
    [aux_sym_xauth_location_token1] = ACTIONS(2916),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2924),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [aux_sym_match_token1] = ACTIONS(2922),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2922),
    [aux_sym_address_family_token1] = ACTIONS(2922),
    [aux_sym_batch_mode_token1] = ACTIONS(2922),
    [aux_sym_bind_address_token1] = ACTIONS(2922),
    [aux_sym_bind_interface_token1] = ACTIONS(2922),
    [aux_sym_canonical_domains_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2922),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2922),
    [aux_sym_certificate_file_token1] = ACTIONS(2922),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2922),
    [aux_sym_channel_timeout_token1] = ACTIONS(2922),
    [aux_sym_check_host_ip_token1] = ACTIONS(2922),
    [aux_sym_ciphers_token1] = ACTIONS(2922),
    [aux_sym_cipher_token1] = ACTIONS(2924),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2922),
    [aux_sym_compression_token1] = ACTIONS(2922),
    [aux_sym_connection_attempts_token1] = ACTIONS(2922),
    [aux_sym_connect_timeout_token1] = ACTIONS(2922),
    [aux_sym_control_master_token1] = ACTIONS(2922),
    [aux_sym_control_path_token1] = ACTIONS(2922),
    [aux_sym_control_persist_token1] = ACTIONS(2922),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2922),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2922),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2922),
    [aux_sym_escape_char_token1] = ACTIONS(2922),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2922),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2922),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2922),
    [aux_sym_forward_agent_token1] = ACTIONS(2922),
    [aux_sym_forward_x11_token1] = ACTIONS(2924),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2922),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2922),
    [aux_sym_gateway_ports_token1] = ACTIONS(2922),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2922),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2922),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2922),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2922),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2922),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2922),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2922),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2922),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2922),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2922),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2922),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2922),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2922),
    [aux_sym_host_key_alias_token1] = ACTIONS(2922),
    [aux_sym_hostname_token1] = ACTIONS(2922),
    [aux_sym_identities_only_token1] = ACTIONS(2922),
    [aux_sym_identity_agent_token1] = ACTIONS(2922),
    [aux_sym_identity_file_token1] = ACTIONS(2922),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2922),
    [aux_sym_include_token1] = ACTIONS(2922),
    [aux_sym_ip_qos_token1] = ACTIONS(2922),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2922),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2922),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2922),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2922),
    [aux_sym_local_command_token1] = ACTIONS(2922),
    [aux_sym_local_forward_token1] = ACTIONS(2922),
    [aux_sym_log_level_token1] = ACTIONS(2922),
    [aux_sym_log_verbose_token1] = ACTIONS(2922),
    [aux_sym_macs_token1] = ACTIONS(2922),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2922),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2922),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2922),
    [aux_sym_password_authentication_token1] = ACTIONS(2922),
    [aux_sym_permit_local_command_token1] = ACTIONS(2922),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2922),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2922),
    [aux_sym_port_token1] = ACTIONS(2922),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2922),
    [aux_sym_protocol_token1] = ACTIONS(2922),
    [aux_sym_proxy_command_token1] = ACTIONS(2922),
    [aux_sym_proxy_jump_token1] = ACTIONS(2922),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2922),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2922),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2922),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2922),
    [aux_sym_rekey_limit_token1] = ACTIONS(2922),
    [aux_sym_remote_command_token1] = ACTIONS(2922),
    [aux_sym_remote_forward_token1] = ACTIONS(2922),
    [aux_sym_request_tty_token1] = ACTIONS(2922),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2922),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2922),
    [aux_sym_security_key_provider_token1] = ACTIONS(2922),
    [aux_sym_send_env_token1] = ACTIONS(2922),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2922),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2922),
    [aux_sym_session_type_token1] = ACTIONS(2922),
    [aux_sym_set_env_token1] = ACTIONS(2922),
    [aux_sym_stdin_null_token1] = ACTIONS(2922),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2922),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2922),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2922),
    [aux_sym_syslog_facility_token1] = ACTIONS(2922),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2922),
    [aux_sym_keep_alive_token1] = ACTIONS(2922),
    [aux_sym_tag_token1] = ACTIONS(2922),
    [aux_sym_tunnel_token1] = ACTIONS(2924),
    [aux_sym_tunnel_device_token1] = ACTIONS(2922),
    [aux_sym_update_host_keys_token1] = ACTIONS(2922),
    [aux_sym_use_keychain_token1] = ACTIONS(2922),
    [aux_sym_use_roaming_token1] = ACTIONS(2922),
    [aux_sym_user_token1] = ACTIONS(2924),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2922),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2922),
    [aux_sym_version_addendum_token1] = ACTIONS(2922),
    [aux_sym_visual_host_key_token1] = ACTIONS(2922),
    [aux_sym_xauth_location_token1] = ACTIONS(2922),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2932),
    [aux_sym_match_token1] = ACTIONS(2928),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2928),
    [aux_sym_address_family_token1] = ACTIONS(2928),
    [aux_sym_batch_mode_token1] = ACTIONS(2928),
    [aux_sym_bind_address_token1] = ACTIONS(2928),
    [aux_sym_bind_interface_token1] = ACTIONS(2928),
    [aux_sym_canonical_domains_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2928),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2928),
    [aux_sym_certificate_file_token1] = ACTIONS(2928),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2928),
    [aux_sym_channel_timeout_token1] = ACTIONS(2928),
    [aux_sym_check_host_ip_token1] = ACTIONS(2928),
    [aux_sym_ciphers_token1] = ACTIONS(2928),
    [aux_sym_cipher_token1] = ACTIONS(2930),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2928),
    [aux_sym_compression_token1] = ACTIONS(2928),
    [aux_sym_connection_attempts_token1] = ACTIONS(2928),
    [aux_sym_connect_timeout_token1] = ACTIONS(2928),
    [aux_sym_control_master_token1] = ACTIONS(2928),
    [aux_sym_control_path_token1] = ACTIONS(2928),
    [aux_sym_control_persist_token1] = ACTIONS(2928),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2928),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2928),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2928),
    [aux_sym_escape_char_token1] = ACTIONS(2928),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2928),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2928),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2928),
    [aux_sym_forward_agent_token1] = ACTIONS(2928),
    [aux_sym_forward_x11_token1] = ACTIONS(2930),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2928),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2928),
    [aux_sym_gateway_ports_token1] = ACTIONS(2928),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2928),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2928),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2928),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2928),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2928),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2928),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2928),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2928),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2928),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2928),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2928),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2928),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2928),
    [aux_sym_host_key_alias_token1] = ACTIONS(2928),
    [aux_sym_hostname_token1] = ACTIONS(2928),
    [aux_sym_identities_only_token1] = ACTIONS(2928),
    [aux_sym_identity_agent_token1] = ACTIONS(2928),
    [aux_sym_identity_file_token1] = ACTIONS(2928),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2928),
    [aux_sym_include_token1] = ACTIONS(2928),
    [aux_sym_ip_qos_token1] = ACTIONS(2928),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2928),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2928),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2928),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2928),
    [aux_sym_local_command_token1] = ACTIONS(2928),
    [aux_sym_local_forward_token1] = ACTIONS(2928),
    [aux_sym_log_level_token1] = ACTIONS(2928),
    [aux_sym_log_verbose_token1] = ACTIONS(2928),
    [aux_sym_macs_token1] = ACTIONS(2928),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2928),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2928),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2928),
    [aux_sym_password_authentication_token1] = ACTIONS(2928),
    [aux_sym_permit_local_command_token1] = ACTIONS(2928),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2928),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2928),
    [aux_sym_port_token1] = ACTIONS(2928),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2928),
    [aux_sym_protocol_token1] = ACTIONS(2928),
    [aux_sym_proxy_command_token1] = ACTIONS(2928),
    [aux_sym_proxy_jump_token1] = ACTIONS(2928),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2928),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2928),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2928),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2928),
    [aux_sym_rekey_limit_token1] = ACTIONS(2928),
    [aux_sym_remote_command_token1] = ACTIONS(2928),
    [aux_sym_remote_forward_token1] = ACTIONS(2928),
    [aux_sym_request_tty_token1] = ACTIONS(2928),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2928),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2928),
    [aux_sym_security_key_provider_token1] = ACTIONS(2928),
    [aux_sym_send_env_token1] = ACTIONS(2928),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2928),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2928),
    [aux_sym_session_type_token1] = ACTIONS(2928),
    [aux_sym_set_env_token1] = ACTIONS(2928),
    [aux_sym_stdin_null_token1] = ACTIONS(2928),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2928),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2928),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2928),
    [aux_sym_syslog_facility_token1] = ACTIONS(2928),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2928),
    [aux_sym_keep_alive_token1] = ACTIONS(2928),
    [aux_sym_tag_token1] = ACTIONS(2928),
    [aux_sym_tunnel_token1] = ACTIONS(2930),
    [aux_sym_tunnel_device_token1] = ACTIONS(2928),
    [aux_sym_update_host_keys_token1] = ACTIONS(2928),
    [aux_sym_use_keychain_token1] = ACTIONS(2928),
    [aux_sym_use_roaming_token1] = ACTIONS(2928),
    [aux_sym_user_token1] = ACTIONS(2930),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2928),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2928),
    [aux_sym_version_addendum_token1] = ACTIONS(2928),
    [aux_sym_visual_host_key_token1] = ACTIONS(2928),
    [aux_sym_xauth_location_token1] = ACTIONS(2928),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2936),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [aux_sym_match_token1] = ACTIONS(2934),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2934),
    [aux_sym_address_family_token1] = ACTIONS(2934),
    [aux_sym_batch_mode_token1] = ACTIONS(2934),
    [aux_sym_bind_address_token1] = ACTIONS(2934),
    [aux_sym_bind_interface_token1] = ACTIONS(2934),
    [aux_sym_canonical_domains_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2934),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2934),
    [aux_sym_certificate_file_token1] = ACTIONS(2934),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2934),
    [aux_sym_channel_timeout_token1] = ACTIONS(2934),
    [aux_sym_check_host_ip_token1] = ACTIONS(2934),
    [aux_sym_ciphers_token1] = ACTIONS(2934),
    [aux_sym_cipher_token1] = ACTIONS(2936),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2934),
    [aux_sym_compression_token1] = ACTIONS(2934),
    [aux_sym_connection_attempts_token1] = ACTIONS(2934),
    [aux_sym_connect_timeout_token1] = ACTIONS(2934),
    [aux_sym_control_master_token1] = ACTIONS(2934),
    [aux_sym_control_path_token1] = ACTIONS(2934),
    [aux_sym_control_persist_token1] = ACTIONS(2934),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2934),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2934),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2934),
    [aux_sym_escape_char_token1] = ACTIONS(2934),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2934),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2934),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2934),
    [aux_sym_forward_agent_token1] = ACTIONS(2934),
    [aux_sym_forward_x11_token1] = ACTIONS(2936),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2934),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2934),
    [aux_sym_gateway_ports_token1] = ACTIONS(2934),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2934),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2934),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2934),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2934),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2934),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2934),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2934),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2934),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2934),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2934),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2934),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2934),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2934),
    [aux_sym_host_key_alias_token1] = ACTIONS(2934),
    [aux_sym_hostname_token1] = ACTIONS(2934),
    [aux_sym_identities_only_token1] = ACTIONS(2934),
    [aux_sym_identity_agent_token1] = ACTIONS(2934),
    [aux_sym_identity_file_token1] = ACTIONS(2934),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2934),
    [aux_sym_include_token1] = ACTIONS(2934),
    [aux_sym_ip_qos_token1] = ACTIONS(2934),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2934),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2934),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2934),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2934),
    [aux_sym_local_command_token1] = ACTIONS(2934),
    [aux_sym_local_forward_token1] = ACTIONS(2934),
    [aux_sym_log_level_token1] = ACTIONS(2934),
    [aux_sym_log_verbose_token1] = ACTIONS(2934),
    [aux_sym_macs_token1] = ACTIONS(2934),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2934),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2934),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2934),
    [aux_sym_password_authentication_token1] = ACTIONS(2934),
    [aux_sym_permit_local_command_token1] = ACTIONS(2934),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2934),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2934),
    [aux_sym_port_token1] = ACTIONS(2934),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2934),
    [aux_sym_protocol_token1] = ACTIONS(2934),
    [aux_sym_proxy_command_token1] = ACTIONS(2934),
    [aux_sym_proxy_jump_token1] = ACTIONS(2934),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2934),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2934),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2934),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2934),
    [aux_sym_rekey_limit_token1] = ACTIONS(2934),
    [aux_sym_remote_command_token1] = ACTIONS(2934),
    [aux_sym_remote_forward_token1] = ACTIONS(2934),
    [aux_sym_request_tty_token1] = ACTIONS(2934),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2934),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2934),
    [aux_sym_security_key_provider_token1] = ACTIONS(2934),
    [aux_sym_send_env_token1] = ACTIONS(2934),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2934),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2934),
    [aux_sym_session_type_token1] = ACTIONS(2934),
    [aux_sym_set_env_token1] = ACTIONS(2934),
    [aux_sym_stdin_null_token1] = ACTIONS(2934),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2934),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2934),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2934),
    [aux_sym_syslog_facility_token1] = ACTIONS(2934),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2934),
    [aux_sym_keep_alive_token1] = ACTIONS(2934),
    [aux_sym_tag_token1] = ACTIONS(2934),
    [aux_sym_tunnel_token1] = ACTIONS(2936),
    [aux_sym_tunnel_device_token1] = ACTIONS(2934),
    [aux_sym_update_host_keys_token1] = ACTIONS(2934),
    [aux_sym_use_keychain_token1] = ACTIONS(2934),
    [aux_sym_use_roaming_token1] = ACTIONS(2934),
    [aux_sym_user_token1] = ACTIONS(2936),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2934),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2934),
    [aux_sym_version_addendum_token1] = ACTIONS(2934),
    [aux_sym_visual_host_key_token1] = ACTIONS(2934),
    [aux_sym_xauth_location_token1] = ACTIONS(2934),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2944),
    [aux_sym_match_token1] = ACTIONS(2940),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2940),
    [aux_sym_address_family_token1] = ACTIONS(2940),
    [aux_sym_batch_mode_token1] = ACTIONS(2940),
    [aux_sym_bind_address_token1] = ACTIONS(2940),
    [aux_sym_bind_interface_token1] = ACTIONS(2940),
    [aux_sym_canonical_domains_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2940),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2940),
    [aux_sym_certificate_file_token1] = ACTIONS(2940),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2940),
    [aux_sym_channel_timeout_token1] = ACTIONS(2940),
    [aux_sym_check_host_ip_token1] = ACTIONS(2940),
    [aux_sym_ciphers_token1] = ACTIONS(2940),
    [aux_sym_cipher_token1] = ACTIONS(2942),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2940),
    [aux_sym_compression_token1] = ACTIONS(2940),
    [aux_sym_connection_attempts_token1] = ACTIONS(2940),
    [aux_sym_connect_timeout_token1] = ACTIONS(2940),
    [aux_sym_control_master_token1] = ACTIONS(2940),
    [aux_sym_control_path_token1] = ACTIONS(2940),
    [aux_sym_control_persist_token1] = ACTIONS(2940),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2940),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2940),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2940),
    [aux_sym_escape_char_token1] = ACTIONS(2940),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2940),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2940),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2940),
    [aux_sym_forward_agent_token1] = ACTIONS(2940),
    [aux_sym_forward_x11_token1] = ACTIONS(2942),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2940),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2940),
    [aux_sym_gateway_ports_token1] = ACTIONS(2940),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2940),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2940),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2940),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2940),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2940),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2940),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2940),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2940),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2940),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2940),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2940),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2940),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2940),
    [aux_sym_host_key_alias_token1] = ACTIONS(2940),
    [aux_sym_hostname_token1] = ACTIONS(2940),
    [aux_sym_identities_only_token1] = ACTIONS(2940),
    [aux_sym_identity_agent_token1] = ACTIONS(2940),
    [aux_sym_identity_file_token1] = ACTIONS(2940),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2940),
    [aux_sym_include_token1] = ACTIONS(2940),
    [aux_sym_ip_qos_token1] = ACTIONS(2940),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2940),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2940),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2940),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2940),
    [aux_sym_local_command_token1] = ACTIONS(2940),
    [aux_sym_local_forward_token1] = ACTIONS(2940),
    [aux_sym_log_level_token1] = ACTIONS(2940),
    [aux_sym_log_verbose_token1] = ACTIONS(2940),
    [aux_sym_macs_token1] = ACTIONS(2940),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2940),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2940),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2940),
    [aux_sym_password_authentication_token1] = ACTIONS(2940),
    [aux_sym_permit_local_command_token1] = ACTIONS(2940),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2940),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2940),
    [aux_sym_port_token1] = ACTIONS(2940),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2940),
    [aux_sym_protocol_token1] = ACTIONS(2940),
    [aux_sym_proxy_command_token1] = ACTIONS(2940),
    [aux_sym_proxy_jump_token1] = ACTIONS(2940),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2940),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2940),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2940),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2940),
    [aux_sym_rekey_limit_token1] = ACTIONS(2940),
    [aux_sym_remote_command_token1] = ACTIONS(2940),
    [aux_sym_remote_forward_token1] = ACTIONS(2940),
    [aux_sym_request_tty_token1] = ACTIONS(2940),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2940),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2940),
    [aux_sym_security_key_provider_token1] = ACTIONS(2940),
    [aux_sym_send_env_token1] = ACTIONS(2940),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2940),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2940),
    [aux_sym_session_type_token1] = ACTIONS(2940),
    [aux_sym_set_env_token1] = ACTIONS(2940),
    [aux_sym_stdin_null_token1] = ACTIONS(2940),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2940),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2940),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2940),
    [aux_sym_syslog_facility_token1] = ACTIONS(2940),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2940),
    [aux_sym_keep_alive_token1] = ACTIONS(2940),
    [aux_sym_tag_token1] = ACTIONS(2940),
    [aux_sym_tunnel_token1] = ACTIONS(2942),
    [aux_sym_tunnel_device_token1] = ACTIONS(2940),
    [aux_sym_update_host_keys_token1] = ACTIONS(2940),
    [aux_sym_use_keychain_token1] = ACTIONS(2940),
    [aux_sym_use_roaming_token1] = ACTIONS(2940),
    [aux_sym_user_token1] = ACTIONS(2942),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2940),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2940),
    [aux_sym_version_addendum_token1] = ACTIONS(2940),
    [aux_sym_visual_host_key_token1] = ACTIONS(2940),
    [aux_sym_xauth_location_token1] = ACTIONS(2940),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2948),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [aux_sym_match_token1] = ACTIONS(2946),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2946),
    [aux_sym_address_family_token1] = ACTIONS(2946),
    [aux_sym_batch_mode_token1] = ACTIONS(2946),
    [aux_sym_bind_address_token1] = ACTIONS(2946),
    [aux_sym_bind_interface_token1] = ACTIONS(2946),
    [aux_sym_canonical_domains_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2946),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2946),
    [aux_sym_certificate_file_token1] = ACTIONS(2946),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2946),
    [aux_sym_channel_timeout_token1] = ACTIONS(2946),
    [aux_sym_check_host_ip_token1] = ACTIONS(2946),
    [aux_sym_ciphers_token1] = ACTIONS(2946),
    [aux_sym_cipher_token1] = ACTIONS(2948),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2946),
    [aux_sym_compression_token1] = ACTIONS(2946),
    [aux_sym_connection_attempts_token1] = ACTIONS(2946),
    [aux_sym_connect_timeout_token1] = ACTIONS(2946),
    [aux_sym_control_master_token1] = ACTIONS(2946),
    [aux_sym_control_path_token1] = ACTIONS(2946),
    [aux_sym_control_persist_token1] = ACTIONS(2946),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2946),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2946),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2946),
    [aux_sym_escape_char_token1] = ACTIONS(2946),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2946),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2946),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2946),
    [aux_sym_forward_agent_token1] = ACTIONS(2946),
    [aux_sym_forward_x11_token1] = ACTIONS(2948),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2946),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2946),
    [aux_sym_gateway_ports_token1] = ACTIONS(2946),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2946),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2946),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2946),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2946),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2946),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2946),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2946),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2946),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2946),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2946),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2946),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2946),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2946),
    [aux_sym_host_key_alias_token1] = ACTIONS(2946),
    [aux_sym_hostname_token1] = ACTIONS(2946),
    [aux_sym_identities_only_token1] = ACTIONS(2946),
    [aux_sym_identity_agent_token1] = ACTIONS(2946),
    [aux_sym_identity_file_token1] = ACTIONS(2946),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2946),
    [aux_sym_include_token1] = ACTIONS(2946),
    [aux_sym_ip_qos_token1] = ACTIONS(2946),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2946),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2946),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2946),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2946),
    [aux_sym_local_command_token1] = ACTIONS(2946),
    [aux_sym_local_forward_token1] = ACTIONS(2946),
    [aux_sym_log_level_token1] = ACTIONS(2946),
    [aux_sym_log_verbose_token1] = ACTIONS(2946),
    [aux_sym_macs_token1] = ACTIONS(2946),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2946),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2946),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2946),
    [aux_sym_password_authentication_token1] = ACTIONS(2946),
    [aux_sym_permit_local_command_token1] = ACTIONS(2946),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2946),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2946),
    [aux_sym_port_token1] = ACTIONS(2946),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2946),
    [aux_sym_protocol_token1] = ACTIONS(2946),
    [aux_sym_proxy_command_token1] = ACTIONS(2946),
    [aux_sym_proxy_jump_token1] = ACTIONS(2946),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2946),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2946),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2946),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2946),
    [aux_sym_rekey_limit_token1] = ACTIONS(2946),
    [aux_sym_remote_command_token1] = ACTIONS(2946),
    [aux_sym_remote_forward_token1] = ACTIONS(2946),
    [aux_sym_request_tty_token1] = ACTIONS(2946),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2946),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2946),
    [aux_sym_security_key_provider_token1] = ACTIONS(2946),
    [aux_sym_send_env_token1] = ACTIONS(2946),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2946),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2946),
    [aux_sym_session_type_token1] = ACTIONS(2946),
    [aux_sym_set_env_token1] = ACTIONS(2946),
    [aux_sym_stdin_null_token1] = ACTIONS(2946),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2946),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2946),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2946),
    [aux_sym_syslog_facility_token1] = ACTIONS(2946),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2946),
    [aux_sym_keep_alive_token1] = ACTIONS(2946),
    [aux_sym_tag_token1] = ACTIONS(2946),
    [aux_sym_tunnel_token1] = ACTIONS(2948),
    [aux_sym_tunnel_device_token1] = ACTIONS(2946),
    [aux_sym_update_host_keys_token1] = ACTIONS(2946),
    [aux_sym_use_keychain_token1] = ACTIONS(2946),
    [aux_sym_use_roaming_token1] = ACTIONS(2946),
    [aux_sym_user_token1] = ACTIONS(2948),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2946),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2946),
    [aux_sym_version_addendum_token1] = ACTIONS(2946),
    [aux_sym_visual_host_key_token1] = ACTIONS(2946),
    [aux_sym_xauth_location_token1] = ACTIONS(2946),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2956),
    [aux_sym_match_token1] = ACTIONS(2952),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2952),
    [aux_sym_address_family_token1] = ACTIONS(2952),
    [aux_sym_batch_mode_token1] = ACTIONS(2952),
    [aux_sym_bind_address_token1] = ACTIONS(2952),
    [aux_sym_bind_interface_token1] = ACTIONS(2952),
    [aux_sym_canonical_domains_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2952),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2952),
    [aux_sym_certificate_file_token1] = ACTIONS(2952),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2952),
    [aux_sym_channel_timeout_token1] = ACTIONS(2952),
    [aux_sym_check_host_ip_token1] = ACTIONS(2952),
    [aux_sym_ciphers_token1] = ACTIONS(2952),
    [aux_sym_cipher_token1] = ACTIONS(2954),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2952),
    [aux_sym_compression_token1] = ACTIONS(2952),
    [aux_sym_connection_attempts_token1] = ACTIONS(2952),
    [aux_sym_connect_timeout_token1] = ACTIONS(2952),
    [aux_sym_control_master_token1] = ACTIONS(2952),
    [aux_sym_control_path_token1] = ACTIONS(2952),
    [aux_sym_control_persist_token1] = ACTIONS(2952),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2952),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2952),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2952),
    [aux_sym_escape_char_token1] = ACTIONS(2952),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2952),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2952),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2952),
    [aux_sym_forward_agent_token1] = ACTIONS(2952),
    [aux_sym_forward_x11_token1] = ACTIONS(2954),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2952),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2952),
    [aux_sym_gateway_ports_token1] = ACTIONS(2952),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2952),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2952),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2952),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2952),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2952),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2952),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2952),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2952),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2952),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2952),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2952),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2952),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2952),
    [aux_sym_host_key_alias_token1] = ACTIONS(2952),
    [aux_sym_hostname_token1] = ACTIONS(2952),
    [aux_sym_identities_only_token1] = ACTIONS(2952),
    [aux_sym_identity_agent_token1] = ACTIONS(2952),
    [aux_sym_identity_file_token1] = ACTIONS(2952),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2952),
    [aux_sym_include_token1] = ACTIONS(2952),
    [aux_sym_ip_qos_token1] = ACTIONS(2952),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2952),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2952),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2952),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2952),
    [aux_sym_local_command_token1] = ACTIONS(2952),
    [aux_sym_local_forward_token1] = ACTIONS(2952),
    [aux_sym_log_level_token1] = ACTIONS(2952),
    [aux_sym_log_verbose_token1] = ACTIONS(2952),
    [aux_sym_macs_token1] = ACTIONS(2952),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2952),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2952),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2952),
    [aux_sym_password_authentication_token1] = ACTIONS(2952),
    [aux_sym_permit_local_command_token1] = ACTIONS(2952),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2952),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2952),
    [aux_sym_port_token1] = ACTIONS(2952),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2952),
    [aux_sym_protocol_token1] = ACTIONS(2952),
    [aux_sym_proxy_command_token1] = ACTIONS(2952),
    [aux_sym_proxy_jump_token1] = ACTIONS(2952),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2952),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2952),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2952),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2952),
    [aux_sym_rekey_limit_token1] = ACTIONS(2952),
    [aux_sym_remote_command_token1] = ACTIONS(2952),
    [aux_sym_remote_forward_token1] = ACTIONS(2952),
    [aux_sym_request_tty_token1] = ACTIONS(2952),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2952),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2952),
    [aux_sym_security_key_provider_token1] = ACTIONS(2952),
    [aux_sym_send_env_token1] = ACTIONS(2952),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2952),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2952),
    [aux_sym_session_type_token1] = ACTIONS(2952),
    [aux_sym_set_env_token1] = ACTIONS(2952),
    [aux_sym_stdin_null_token1] = ACTIONS(2952),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2952),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2952),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2952),
    [aux_sym_syslog_facility_token1] = ACTIONS(2952),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2952),
    [aux_sym_keep_alive_token1] = ACTIONS(2952),
    [aux_sym_tag_token1] = ACTIONS(2952),
    [aux_sym_tunnel_token1] = ACTIONS(2954),
    [aux_sym_tunnel_device_token1] = ACTIONS(2952),
    [aux_sym_update_host_keys_token1] = ACTIONS(2952),
    [aux_sym_use_keychain_token1] = ACTIONS(2952),
    [aux_sym_use_roaming_token1] = ACTIONS(2952),
    [aux_sym_user_token1] = ACTIONS(2954),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2952),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2952),
    [aux_sym_version_addendum_token1] = ACTIONS(2952),
    [aux_sym_visual_host_key_token1] = ACTIONS(2952),
    [aux_sym_xauth_location_token1] = ACTIONS(2952),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(2958),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [aux_sym_match_token1] = ACTIONS(2958),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2958),
    [aux_sym_address_family_token1] = ACTIONS(2958),
    [aux_sym_batch_mode_token1] = ACTIONS(2958),
    [aux_sym_bind_address_token1] = ACTIONS(2958),
    [aux_sym_bind_interface_token1] = ACTIONS(2958),
    [aux_sym_canonical_domains_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2958),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2958),
    [aux_sym_certificate_file_token1] = ACTIONS(2958),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2958),
    [aux_sym_channel_timeout_token1] = ACTIONS(2958),
    [aux_sym_check_host_ip_token1] = ACTIONS(2958),
    [aux_sym_ciphers_token1] = ACTIONS(2958),
    [aux_sym_cipher_token1] = ACTIONS(2960),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2958),
    [aux_sym_compression_token1] = ACTIONS(2958),
    [aux_sym_connection_attempts_token1] = ACTIONS(2958),
    [aux_sym_connect_timeout_token1] = ACTIONS(2958),
    [aux_sym_control_master_token1] = ACTIONS(2958),
    [aux_sym_control_path_token1] = ACTIONS(2958),
    [aux_sym_control_persist_token1] = ACTIONS(2958),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2958),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2958),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2958),
    [aux_sym_escape_char_token1] = ACTIONS(2958),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2958),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2958),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2958),
    [aux_sym_forward_agent_token1] = ACTIONS(2958),
    [aux_sym_forward_x11_token1] = ACTIONS(2960),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2958),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2958),
    [aux_sym_gateway_ports_token1] = ACTIONS(2958),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2958),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2958),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2958),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2958),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2958),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2958),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2958),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2958),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2958),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2958),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2958),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2958),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2958),
    [aux_sym_host_key_alias_token1] = ACTIONS(2958),
    [aux_sym_hostname_token1] = ACTIONS(2958),
    [aux_sym_identities_only_token1] = ACTIONS(2958),
    [aux_sym_identity_agent_token1] = ACTIONS(2958),
    [aux_sym_identity_file_token1] = ACTIONS(2958),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2958),
    [aux_sym_include_token1] = ACTIONS(2958),
    [aux_sym_ip_qos_token1] = ACTIONS(2958),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2958),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2958),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2958),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2958),
    [aux_sym_local_command_token1] = ACTIONS(2958),
    [aux_sym_local_forward_token1] = ACTIONS(2958),
    [aux_sym_log_level_token1] = ACTIONS(2958),
    [aux_sym_log_verbose_token1] = ACTIONS(2958),
    [aux_sym_macs_token1] = ACTIONS(2958),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2958),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2958),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2958),
    [aux_sym_password_authentication_token1] = ACTIONS(2958),
    [aux_sym_permit_local_command_token1] = ACTIONS(2958),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2958),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2958),
    [aux_sym_port_token1] = ACTIONS(2958),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2958),
    [aux_sym_protocol_token1] = ACTIONS(2958),
    [aux_sym_proxy_command_token1] = ACTIONS(2958),
    [aux_sym_proxy_jump_token1] = ACTIONS(2958),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2958),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2958),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2958),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2958),
    [aux_sym_rekey_limit_token1] = ACTIONS(2958),
    [aux_sym_remote_command_token1] = ACTIONS(2958),
    [aux_sym_remote_forward_token1] = ACTIONS(2958),
    [aux_sym_request_tty_token1] = ACTIONS(2958),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2958),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2958),
    [aux_sym_security_key_provider_token1] = ACTIONS(2958),
    [aux_sym_send_env_token1] = ACTIONS(2958),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2958),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2958),
    [aux_sym_session_type_token1] = ACTIONS(2958),
    [aux_sym_set_env_token1] = ACTIONS(2958),
    [aux_sym_stdin_null_token1] = ACTIONS(2958),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2958),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2958),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2958),
    [aux_sym_syslog_facility_token1] = ACTIONS(2958),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2958),
    [aux_sym_keep_alive_token1] = ACTIONS(2958),
    [aux_sym_tag_token1] = ACTIONS(2958),
    [aux_sym_tunnel_token1] = ACTIONS(2960),
    [aux_sym_tunnel_device_token1] = ACTIONS(2958),
    [aux_sym_update_host_keys_token1] = ACTIONS(2958),
    [aux_sym_use_keychain_token1] = ACTIONS(2958),
    [aux_sym_use_roaming_token1] = ACTIONS(2958),
    [aux_sym_user_token1] = ACTIONS(2960),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2958),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2958),
    [aux_sym_version_addendum_token1] = ACTIONS(2958),
    [aux_sym_visual_host_key_token1] = ACTIONS(2958),
    [aux_sym_xauth_location_token1] = ACTIONS(2958),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [aux_sym_match_token1] = ACTIONS(2964),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2964),
    [aux_sym_address_family_token1] = ACTIONS(2964),
    [aux_sym_batch_mode_token1] = ACTIONS(2964),
    [aux_sym_bind_address_token1] = ACTIONS(2964),
    [aux_sym_bind_interface_token1] = ACTIONS(2964),
    [aux_sym_canonical_domains_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2964),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2964),
    [aux_sym_certificate_file_token1] = ACTIONS(2964),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2964),
    [aux_sym_channel_timeout_token1] = ACTIONS(2964),
    [aux_sym_check_host_ip_token1] = ACTIONS(2964),
    [aux_sym_ciphers_token1] = ACTIONS(2964),
    [aux_sym_cipher_token1] = ACTIONS(2966),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2964),
    [aux_sym_compression_token1] = ACTIONS(2964),
    [aux_sym_connection_attempts_token1] = ACTIONS(2964),
    [aux_sym_connect_timeout_token1] = ACTIONS(2964),
    [aux_sym_control_master_token1] = ACTIONS(2964),
    [aux_sym_control_path_token1] = ACTIONS(2964),
    [aux_sym_control_persist_token1] = ACTIONS(2964),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2964),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2964),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2964),
    [aux_sym_escape_char_token1] = ACTIONS(2964),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2964),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2964),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2964),
    [aux_sym_forward_agent_token1] = ACTIONS(2964),
    [aux_sym_forward_x11_token1] = ACTIONS(2966),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2964),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2964),
    [aux_sym_gateway_ports_token1] = ACTIONS(2964),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2964),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2964),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2964),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2964),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2964),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2964),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2964),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2964),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2964),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2964),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2964),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2964),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2964),
    [aux_sym_host_key_alias_token1] = ACTIONS(2964),
    [aux_sym_hostname_token1] = ACTIONS(2964),
    [aux_sym_identities_only_token1] = ACTIONS(2964),
    [aux_sym_identity_agent_token1] = ACTIONS(2964),
    [aux_sym_identity_file_token1] = ACTIONS(2964),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2964),
    [aux_sym_include_token1] = ACTIONS(2964),
    [aux_sym_ip_qos_token1] = ACTIONS(2964),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2964),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2964),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2964),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2964),
    [aux_sym_local_command_token1] = ACTIONS(2964),
    [aux_sym_local_forward_token1] = ACTIONS(2964),
    [aux_sym_log_level_token1] = ACTIONS(2964),
    [aux_sym_log_verbose_token1] = ACTIONS(2964),
    [aux_sym_macs_token1] = ACTIONS(2964),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2964),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2964),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2964),
    [aux_sym_password_authentication_token1] = ACTIONS(2964),
    [aux_sym_permit_local_command_token1] = ACTIONS(2964),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2964),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2964),
    [aux_sym_port_token1] = ACTIONS(2964),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2964),
    [aux_sym_protocol_token1] = ACTIONS(2964),
    [aux_sym_proxy_command_token1] = ACTIONS(2964),
    [aux_sym_proxy_jump_token1] = ACTIONS(2964),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2964),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2964),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2964),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2964),
    [aux_sym_rekey_limit_token1] = ACTIONS(2964),
    [aux_sym_remote_command_token1] = ACTIONS(2964),
    [aux_sym_remote_forward_token1] = ACTIONS(2964),
    [aux_sym_request_tty_token1] = ACTIONS(2964),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2964),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2964),
    [aux_sym_security_key_provider_token1] = ACTIONS(2964),
    [aux_sym_send_env_token1] = ACTIONS(2964),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2964),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2964),
    [aux_sym_session_type_token1] = ACTIONS(2964),
    [aux_sym_set_env_token1] = ACTIONS(2964),
    [aux_sym_stdin_null_token1] = ACTIONS(2964),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2964),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2964),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2964),
    [aux_sym_syslog_facility_token1] = ACTIONS(2964),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2964),
    [aux_sym_keep_alive_token1] = ACTIONS(2964),
    [aux_sym_tag_token1] = ACTIONS(2964),
    [aux_sym_tunnel_token1] = ACTIONS(2966),
    [aux_sym_tunnel_device_token1] = ACTIONS(2964),
    [aux_sym_update_host_keys_token1] = ACTIONS(2964),
    [aux_sym_use_keychain_token1] = ACTIONS(2964),
    [aux_sym_use_roaming_token1] = ACTIONS(2964),
    [aux_sym_user_token1] = ACTIONS(2966),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2964),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2964),
    [aux_sym_version_addendum_token1] = ACTIONS(2964),
    [aux_sym_visual_host_key_token1] = ACTIONS(2964),
    [aux_sym_xauth_location_token1] = ACTIONS(2964),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [aux_sym_match_token1] = ACTIONS(2970),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2970),
    [aux_sym_address_family_token1] = ACTIONS(2970),
    [aux_sym_batch_mode_token1] = ACTIONS(2970),
    [aux_sym_bind_address_token1] = ACTIONS(2970),
    [aux_sym_bind_interface_token1] = ACTIONS(2970),
    [aux_sym_canonical_domains_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2970),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2970),
    [aux_sym_certificate_file_token1] = ACTIONS(2970),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2970),
    [aux_sym_channel_timeout_token1] = ACTIONS(2970),
    [aux_sym_check_host_ip_token1] = ACTIONS(2970),
    [aux_sym_ciphers_token1] = ACTIONS(2970),
    [aux_sym_cipher_token1] = ACTIONS(2972),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2970),
    [aux_sym_compression_token1] = ACTIONS(2970),
    [aux_sym_connection_attempts_token1] = ACTIONS(2970),
    [aux_sym_connect_timeout_token1] = ACTIONS(2970),
    [aux_sym_control_master_token1] = ACTIONS(2970),
    [aux_sym_control_path_token1] = ACTIONS(2970),
    [aux_sym_control_persist_token1] = ACTIONS(2970),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2970),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2970),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2970),
    [aux_sym_escape_char_token1] = ACTIONS(2970),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2970),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2970),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2970),
    [aux_sym_forward_agent_token1] = ACTIONS(2970),
    [aux_sym_forward_x11_token1] = ACTIONS(2972),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2970),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2970),
    [aux_sym_gateway_ports_token1] = ACTIONS(2970),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2970),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2970),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2970),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2970),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2970),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2970),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2970),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2970),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2970),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2970),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2970),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2970),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2970),
    [aux_sym_host_key_alias_token1] = ACTIONS(2970),
    [aux_sym_hostname_token1] = ACTIONS(2970),
    [aux_sym_identities_only_token1] = ACTIONS(2970),
    [aux_sym_identity_agent_token1] = ACTIONS(2970),
    [aux_sym_identity_file_token1] = ACTIONS(2970),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2970),
    [aux_sym_include_token1] = ACTIONS(2970),
    [aux_sym_ip_qos_token1] = ACTIONS(2970),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2970),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2970),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2970),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2970),
    [aux_sym_local_command_token1] = ACTIONS(2970),
    [aux_sym_local_forward_token1] = ACTIONS(2970),
    [aux_sym_log_level_token1] = ACTIONS(2970),
    [aux_sym_log_verbose_token1] = ACTIONS(2970),
    [aux_sym_macs_token1] = ACTIONS(2970),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2970),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2970),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2970),
    [aux_sym_password_authentication_token1] = ACTIONS(2970),
    [aux_sym_permit_local_command_token1] = ACTIONS(2970),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2970),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2970),
    [aux_sym_port_token1] = ACTIONS(2970),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2970),
    [aux_sym_protocol_token1] = ACTIONS(2970),
    [aux_sym_proxy_command_token1] = ACTIONS(2970),
    [aux_sym_proxy_jump_token1] = ACTIONS(2970),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2970),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2970),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2970),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2970),
    [aux_sym_rekey_limit_token1] = ACTIONS(2970),
    [aux_sym_remote_command_token1] = ACTIONS(2970),
    [aux_sym_remote_forward_token1] = ACTIONS(2970),
    [aux_sym_request_tty_token1] = ACTIONS(2970),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2970),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2970),
    [aux_sym_security_key_provider_token1] = ACTIONS(2970),
    [aux_sym_send_env_token1] = ACTIONS(2970),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2970),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2970),
    [aux_sym_session_type_token1] = ACTIONS(2970),
    [aux_sym_set_env_token1] = ACTIONS(2970),
    [aux_sym_stdin_null_token1] = ACTIONS(2970),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2970),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2970),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2970),
    [aux_sym_syslog_facility_token1] = ACTIONS(2970),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2970),
    [aux_sym_keep_alive_token1] = ACTIONS(2970),
    [aux_sym_tag_token1] = ACTIONS(2970),
    [aux_sym_tunnel_token1] = ACTIONS(2972),
    [aux_sym_tunnel_device_token1] = ACTIONS(2970),
    [aux_sym_update_host_keys_token1] = ACTIONS(2970),
    [aux_sym_use_keychain_token1] = ACTIONS(2970),
    [aux_sym_use_roaming_token1] = ACTIONS(2970),
    [aux_sym_user_token1] = ACTIONS(2972),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2970),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2970),
    [aux_sym_version_addendum_token1] = ACTIONS(2970),
    [aux_sym_visual_host_key_token1] = ACTIONS(2970),
    [aux_sym_xauth_location_token1] = ACTIONS(2970),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2980),
    [aux_sym_match_token1] = ACTIONS(2976),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2976),
    [aux_sym_address_family_token1] = ACTIONS(2976),
    [aux_sym_batch_mode_token1] = ACTIONS(2976),
    [aux_sym_bind_address_token1] = ACTIONS(2976),
    [aux_sym_bind_interface_token1] = ACTIONS(2976),
    [aux_sym_canonical_domains_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2976),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2976),
    [aux_sym_certificate_file_token1] = ACTIONS(2976),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2976),
    [aux_sym_channel_timeout_token1] = ACTIONS(2976),
    [aux_sym_check_host_ip_token1] = ACTIONS(2976),
    [aux_sym_ciphers_token1] = ACTIONS(2976),
    [aux_sym_cipher_token1] = ACTIONS(2978),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2976),
    [aux_sym_compression_token1] = ACTIONS(2976),
    [aux_sym_connection_attempts_token1] = ACTIONS(2976),
    [aux_sym_connect_timeout_token1] = ACTIONS(2976),
    [aux_sym_control_master_token1] = ACTIONS(2976),
    [aux_sym_control_path_token1] = ACTIONS(2976),
    [aux_sym_control_persist_token1] = ACTIONS(2976),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2976),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2976),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2976),
    [aux_sym_escape_char_token1] = ACTIONS(2976),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2976),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2976),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2976),
    [aux_sym_forward_agent_token1] = ACTIONS(2976),
    [aux_sym_forward_x11_token1] = ACTIONS(2978),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2976),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2976),
    [aux_sym_gateway_ports_token1] = ACTIONS(2976),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2976),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2976),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2976),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2976),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2976),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2976),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2976),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2976),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2976),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2976),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2976),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2976),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2976),
    [aux_sym_host_key_alias_token1] = ACTIONS(2976),
    [aux_sym_hostname_token1] = ACTIONS(2976),
    [aux_sym_identities_only_token1] = ACTIONS(2976),
    [aux_sym_identity_agent_token1] = ACTIONS(2976),
    [aux_sym_identity_file_token1] = ACTIONS(2976),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2976),
    [aux_sym_include_token1] = ACTIONS(2976),
    [aux_sym_ip_qos_token1] = ACTIONS(2976),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2976),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2976),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2976),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2976),
    [aux_sym_local_command_token1] = ACTIONS(2976),
    [aux_sym_local_forward_token1] = ACTIONS(2976),
    [aux_sym_log_level_token1] = ACTIONS(2976),
    [aux_sym_log_verbose_token1] = ACTIONS(2976),
    [aux_sym_macs_token1] = ACTIONS(2976),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2976),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2976),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2976),
    [aux_sym_password_authentication_token1] = ACTIONS(2976),
    [aux_sym_permit_local_command_token1] = ACTIONS(2976),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2976),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2976),
    [aux_sym_port_token1] = ACTIONS(2976),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2976),
    [aux_sym_protocol_token1] = ACTIONS(2976),
    [aux_sym_proxy_command_token1] = ACTIONS(2976),
    [aux_sym_proxy_jump_token1] = ACTIONS(2976),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2976),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2976),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2976),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2976),
    [aux_sym_rekey_limit_token1] = ACTIONS(2976),
    [aux_sym_remote_command_token1] = ACTIONS(2976),
    [aux_sym_remote_forward_token1] = ACTIONS(2976),
    [aux_sym_request_tty_token1] = ACTIONS(2976),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2976),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2976),
    [aux_sym_security_key_provider_token1] = ACTIONS(2976),
    [aux_sym_send_env_token1] = ACTIONS(2976),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2976),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2976),
    [aux_sym_session_type_token1] = ACTIONS(2976),
    [aux_sym_set_env_token1] = ACTIONS(2976),
    [aux_sym_stdin_null_token1] = ACTIONS(2976),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2976),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2976),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2976),
    [aux_sym_syslog_facility_token1] = ACTIONS(2976),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2976),
    [aux_sym_keep_alive_token1] = ACTIONS(2976),
    [aux_sym_tag_token1] = ACTIONS(2976),
    [aux_sym_tunnel_token1] = ACTIONS(2978),
    [aux_sym_tunnel_device_token1] = ACTIONS(2976),
    [aux_sym_update_host_keys_token1] = ACTIONS(2976),
    [aux_sym_use_keychain_token1] = ACTIONS(2976),
    [aux_sym_use_roaming_token1] = ACTIONS(2976),
    [aux_sym_user_token1] = ACTIONS(2978),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2976),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2976),
    [aux_sym_version_addendum_token1] = ACTIONS(2976),
    [aux_sym_visual_host_key_token1] = ACTIONS(2976),
    [aux_sym_xauth_location_token1] = ACTIONS(2976),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(2982),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2984),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [aux_sym_match_token1] = ACTIONS(2982),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2982),
    [aux_sym_address_family_token1] = ACTIONS(2982),
    [aux_sym_batch_mode_token1] = ACTIONS(2982),
    [aux_sym_bind_address_token1] = ACTIONS(2982),
    [aux_sym_bind_interface_token1] = ACTIONS(2982),
    [aux_sym_canonical_domains_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2982),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2982),
    [aux_sym_certificate_file_token1] = ACTIONS(2982),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2982),
    [aux_sym_channel_timeout_token1] = ACTIONS(2982),
    [aux_sym_check_host_ip_token1] = ACTIONS(2982),
    [aux_sym_ciphers_token1] = ACTIONS(2982),
    [aux_sym_cipher_token1] = ACTIONS(2984),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2982),
    [aux_sym_compression_token1] = ACTIONS(2982),
    [aux_sym_connection_attempts_token1] = ACTIONS(2982),
    [aux_sym_connect_timeout_token1] = ACTIONS(2982),
    [aux_sym_control_master_token1] = ACTIONS(2982),
    [aux_sym_control_path_token1] = ACTIONS(2982),
    [aux_sym_control_persist_token1] = ACTIONS(2982),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2982),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2982),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2982),
    [aux_sym_escape_char_token1] = ACTIONS(2982),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2982),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2982),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2982),
    [aux_sym_forward_agent_token1] = ACTIONS(2982),
    [aux_sym_forward_x11_token1] = ACTIONS(2984),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2982),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2982),
    [aux_sym_gateway_ports_token1] = ACTIONS(2982),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2982),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2982),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2982),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2982),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2982),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2982),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2982),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2982),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2982),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2982),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2982),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2982),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2982),
    [aux_sym_host_key_alias_token1] = ACTIONS(2982),
    [aux_sym_hostname_token1] = ACTIONS(2982),
    [aux_sym_identities_only_token1] = ACTIONS(2982),
    [aux_sym_identity_agent_token1] = ACTIONS(2982),
    [aux_sym_identity_file_token1] = ACTIONS(2982),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2982),
    [aux_sym_include_token1] = ACTIONS(2982),
    [aux_sym_ip_qos_token1] = ACTIONS(2982),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2982),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2982),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2982),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2982),
    [aux_sym_local_command_token1] = ACTIONS(2982),
    [aux_sym_local_forward_token1] = ACTIONS(2982),
    [aux_sym_log_level_token1] = ACTIONS(2982),
    [aux_sym_log_verbose_token1] = ACTIONS(2982),
    [aux_sym_macs_token1] = ACTIONS(2982),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2982),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2982),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2982),
    [aux_sym_password_authentication_token1] = ACTIONS(2982),
    [aux_sym_permit_local_command_token1] = ACTIONS(2982),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2982),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2982),
    [aux_sym_port_token1] = ACTIONS(2982),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2982),
    [aux_sym_protocol_token1] = ACTIONS(2982),
    [aux_sym_proxy_command_token1] = ACTIONS(2982),
    [aux_sym_proxy_jump_token1] = ACTIONS(2982),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2982),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2982),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2982),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2982),
    [aux_sym_rekey_limit_token1] = ACTIONS(2982),
    [aux_sym_remote_command_token1] = ACTIONS(2982),
    [aux_sym_remote_forward_token1] = ACTIONS(2982),
    [aux_sym_request_tty_token1] = ACTIONS(2982),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2982),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2982),
    [aux_sym_security_key_provider_token1] = ACTIONS(2982),
    [aux_sym_send_env_token1] = ACTIONS(2982),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2982),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2982),
    [aux_sym_session_type_token1] = ACTIONS(2982),
    [aux_sym_set_env_token1] = ACTIONS(2982),
    [aux_sym_stdin_null_token1] = ACTIONS(2982),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2982),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2982),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2982),
    [aux_sym_syslog_facility_token1] = ACTIONS(2982),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2982),
    [aux_sym_keep_alive_token1] = ACTIONS(2982),
    [aux_sym_tag_token1] = ACTIONS(2982),
    [aux_sym_tunnel_token1] = ACTIONS(2984),
    [aux_sym_tunnel_device_token1] = ACTIONS(2982),
    [aux_sym_update_host_keys_token1] = ACTIONS(2982),
    [aux_sym_use_keychain_token1] = ACTIONS(2982),
    [aux_sym_use_roaming_token1] = ACTIONS(2982),
    [aux_sym_user_token1] = ACTIONS(2984),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2982),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2982),
    [aux_sym_version_addendum_token1] = ACTIONS(2982),
    [aux_sym_visual_host_key_token1] = ACTIONS(2982),
    [aux_sym_xauth_location_token1] = ACTIONS(2982),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2992),
    [aux_sym_match_token1] = ACTIONS(2988),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2988),
    [aux_sym_address_family_token1] = ACTIONS(2988),
    [aux_sym_batch_mode_token1] = ACTIONS(2988),
    [aux_sym_bind_address_token1] = ACTIONS(2988),
    [aux_sym_bind_interface_token1] = ACTIONS(2988),
    [aux_sym_canonical_domains_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2988),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2988),
    [aux_sym_certificate_file_token1] = ACTIONS(2988),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2988),
    [aux_sym_channel_timeout_token1] = ACTIONS(2988),
    [aux_sym_check_host_ip_token1] = ACTIONS(2988),
    [aux_sym_ciphers_token1] = ACTIONS(2988),
    [aux_sym_cipher_token1] = ACTIONS(2990),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2988),
    [aux_sym_compression_token1] = ACTIONS(2988),
    [aux_sym_connection_attempts_token1] = ACTIONS(2988),
    [aux_sym_connect_timeout_token1] = ACTIONS(2988),
    [aux_sym_control_master_token1] = ACTIONS(2988),
    [aux_sym_control_path_token1] = ACTIONS(2988),
    [aux_sym_control_persist_token1] = ACTIONS(2988),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2988),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2988),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2988),
    [aux_sym_escape_char_token1] = ACTIONS(2988),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2988),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2988),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2988),
    [aux_sym_forward_agent_token1] = ACTIONS(2988),
    [aux_sym_forward_x11_token1] = ACTIONS(2990),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2988),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2988),
    [aux_sym_gateway_ports_token1] = ACTIONS(2988),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2988),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2988),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2988),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2988),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2988),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2988),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2988),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2988),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2988),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2988),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2988),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2988),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2988),
    [aux_sym_host_key_alias_token1] = ACTIONS(2988),
    [aux_sym_hostname_token1] = ACTIONS(2988),
    [aux_sym_identities_only_token1] = ACTIONS(2988),
    [aux_sym_identity_agent_token1] = ACTIONS(2988),
    [aux_sym_identity_file_token1] = ACTIONS(2988),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2988),
    [aux_sym_include_token1] = ACTIONS(2988),
    [aux_sym_ip_qos_token1] = ACTIONS(2988),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2988),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2988),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2988),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2988),
    [aux_sym_local_command_token1] = ACTIONS(2988),
    [aux_sym_local_forward_token1] = ACTIONS(2988),
    [aux_sym_log_level_token1] = ACTIONS(2988),
    [aux_sym_log_verbose_token1] = ACTIONS(2988),
    [aux_sym_macs_token1] = ACTIONS(2988),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2988),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2988),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2988),
    [aux_sym_password_authentication_token1] = ACTIONS(2988),
    [aux_sym_permit_local_command_token1] = ACTIONS(2988),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2988),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2988),
    [aux_sym_port_token1] = ACTIONS(2988),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2988),
    [aux_sym_protocol_token1] = ACTIONS(2988),
    [aux_sym_proxy_command_token1] = ACTIONS(2988),
    [aux_sym_proxy_jump_token1] = ACTIONS(2988),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2988),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2988),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2988),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2988),
    [aux_sym_rekey_limit_token1] = ACTIONS(2988),
    [aux_sym_remote_command_token1] = ACTIONS(2988),
    [aux_sym_remote_forward_token1] = ACTIONS(2988),
    [aux_sym_request_tty_token1] = ACTIONS(2988),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2988),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2988),
    [aux_sym_security_key_provider_token1] = ACTIONS(2988),
    [aux_sym_send_env_token1] = ACTIONS(2988),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2988),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2988),
    [aux_sym_session_type_token1] = ACTIONS(2988),
    [aux_sym_set_env_token1] = ACTIONS(2988),
    [aux_sym_stdin_null_token1] = ACTIONS(2988),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2988),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2988),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2988),
    [aux_sym_syslog_facility_token1] = ACTIONS(2988),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2988),
    [aux_sym_keep_alive_token1] = ACTIONS(2988),
    [aux_sym_tag_token1] = ACTIONS(2988),
    [aux_sym_tunnel_token1] = ACTIONS(2990),
    [aux_sym_tunnel_device_token1] = ACTIONS(2988),
    [aux_sym_update_host_keys_token1] = ACTIONS(2988),
    [aux_sym_use_keychain_token1] = ACTIONS(2988),
    [aux_sym_use_roaming_token1] = ACTIONS(2988),
    [aux_sym_user_token1] = ACTIONS(2990),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2988),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2988),
    [aux_sym_version_addendum_token1] = ACTIONS(2988),
    [aux_sym_visual_host_key_token1] = ACTIONS(2988),
    [aux_sym_xauth_location_token1] = ACTIONS(2988),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2996),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [aux_sym_match_token1] = ACTIONS(2994),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2994),
    [aux_sym_address_family_token1] = ACTIONS(2994),
    [aux_sym_batch_mode_token1] = ACTIONS(2994),
    [aux_sym_bind_address_token1] = ACTIONS(2994),
    [aux_sym_bind_interface_token1] = ACTIONS(2994),
    [aux_sym_canonical_domains_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2994),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2994),
    [aux_sym_certificate_file_token1] = ACTIONS(2994),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2994),
    [aux_sym_channel_timeout_token1] = ACTIONS(2994),
    [aux_sym_check_host_ip_token1] = ACTIONS(2994),
    [aux_sym_ciphers_token1] = ACTIONS(2994),
    [aux_sym_cipher_token1] = ACTIONS(2996),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2994),
    [aux_sym_compression_token1] = ACTIONS(2994),
    [aux_sym_connection_attempts_token1] = ACTIONS(2994),
    [aux_sym_connect_timeout_token1] = ACTIONS(2994),
    [aux_sym_control_master_token1] = ACTIONS(2994),
    [aux_sym_control_path_token1] = ACTIONS(2994),
    [aux_sym_control_persist_token1] = ACTIONS(2994),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2994),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2994),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2994),
    [aux_sym_escape_char_token1] = ACTIONS(2994),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2994),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2994),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2994),
    [aux_sym_forward_agent_token1] = ACTIONS(2994),
    [aux_sym_forward_x11_token1] = ACTIONS(2996),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2994),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2994),
    [aux_sym_gateway_ports_token1] = ACTIONS(2994),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2994),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2994),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2994),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2994),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2994),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2994),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2994),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2994),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2994),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2994),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2994),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2994),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2994),
    [aux_sym_host_key_alias_token1] = ACTIONS(2994),
    [aux_sym_hostname_token1] = ACTIONS(2994),
    [aux_sym_identities_only_token1] = ACTIONS(2994),
    [aux_sym_identity_agent_token1] = ACTIONS(2994),
    [aux_sym_identity_file_token1] = ACTIONS(2994),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2994),
    [aux_sym_include_token1] = ACTIONS(2994),
    [aux_sym_ip_qos_token1] = ACTIONS(2994),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2994),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2994),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2994),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2994),
    [aux_sym_local_command_token1] = ACTIONS(2994),
    [aux_sym_local_forward_token1] = ACTIONS(2994),
    [aux_sym_log_level_token1] = ACTIONS(2994),
    [aux_sym_log_verbose_token1] = ACTIONS(2994),
    [aux_sym_macs_token1] = ACTIONS(2994),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2994),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2994),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2994),
    [aux_sym_password_authentication_token1] = ACTIONS(2994),
    [aux_sym_permit_local_command_token1] = ACTIONS(2994),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2994),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2994),
    [aux_sym_port_token1] = ACTIONS(2994),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2994),
    [aux_sym_protocol_token1] = ACTIONS(2994),
    [aux_sym_proxy_command_token1] = ACTIONS(2994),
    [aux_sym_proxy_jump_token1] = ACTIONS(2994),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2994),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2994),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2994),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2994),
    [aux_sym_rekey_limit_token1] = ACTIONS(2994),
    [aux_sym_remote_command_token1] = ACTIONS(2994),
    [aux_sym_remote_forward_token1] = ACTIONS(2994),
    [aux_sym_request_tty_token1] = ACTIONS(2994),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2994),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2994),
    [aux_sym_security_key_provider_token1] = ACTIONS(2994),
    [aux_sym_send_env_token1] = ACTIONS(2994),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2994),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2994),
    [aux_sym_session_type_token1] = ACTIONS(2994),
    [aux_sym_set_env_token1] = ACTIONS(2994),
    [aux_sym_stdin_null_token1] = ACTIONS(2994),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2994),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2994),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2994),
    [aux_sym_syslog_facility_token1] = ACTIONS(2994),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2994),
    [aux_sym_keep_alive_token1] = ACTIONS(2994),
    [aux_sym_tag_token1] = ACTIONS(2994),
    [aux_sym_tunnel_token1] = ACTIONS(2996),
    [aux_sym_tunnel_device_token1] = ACTIONS(2994),
    [aux_sym_update_host_keys_token1] = ACTIONS(2994),
    [aux_sym_use_keychain_token1] = ACTIONS(2994),
    [aux_sym_use_roaming_token1] = ACTIONS(2994),
    [aux_sym_user_token1] = ACTIONS(2996),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2994),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2994),
    [aux_sym_version_addendum_token1] = ACTIONS(2994),
    [aux_sym_visual_host_key_token1] = ACTIONS(2994),
    [aux_sym_xauth_location_token1] = ACTIONS(2994),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3004),
    [aux_sym_match_token1] = ACTIONS(3000),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3000),
    [aux_sym_address_family_token1] = ACTIONS(3000),
    [aux_sym_batch_mode_token1] = ACTIONS(3000),
    [aux_sym_bind_address_token1] = ACTIONS(3000),
    [aux_sym_bind_interface_token1] = ACTIONS(3000),
    [aux_sym_canonical_domains_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3000),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3000),
    [aux_sym_certificate_file_token1] = ACTIONS(3000),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3000),
    [aux_sym_channel_timeout_token1] = ACTIONS(3000),
    [aux_sym_check_host_ip_token1] = ACTIONS(3000),
    [aux_sym_ciphers_token1] = ACTIONS(3000),
    [aux_sym_cipher_token1] = ACTIONS(3002),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3000),
    [aux_sym_compression_token1] = ACTIONS(3000),
    [aux_sym_connection_attempts_token1] = ACTIONS(3000),
    [aux_sym_connect_timeout_token1] = ACTIONS(3000),
    [aux_sym_control_master_token1] = ACTIONS(3000),
    [aux_sym_control_path_token1] = ACTIONS(3000),
    [aux_sym_control_persist_token1] = ACTIONS(3000),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3000),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3000),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3000),
    [aux_sym_escape_char_token1] = ACTIONS(3000),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3000),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3000),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3000),
    [aux_sym_forward_agent_token1] = ACTIONS(3000),
    [aux_sym_forward_x11_token1] = ACTIONS(3002),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3000),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3000),
    [aux_sym_gateway_ports_token1] = ACTIONS(3000),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3000),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3000),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3000),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3000),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3000),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3000),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3000),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3000),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3000),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3000),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3000),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3000),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3000),
    [aux_sym_host_key_alias_token1] = ACTIONS(3000),
    [aux_sym_hostname_token1] = ACTIONS(3000),
    [aux_sym_identities_only_token1] = ACTIONS(3000),
    [aux_sym_identity_agent_token1] = ACTIONS(3000),
    [aux_sym_identity_file_token1] = ACTIONS(3000),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3000),
    [aux_sym_include_token1] = ACTIONS(3000),
    [aux_sym_ip_qos_token1] = ACTIONS(3000),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3000),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3000),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3000),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3000),
    [aux_sym_local_command_token1] = ACTIONS(3000),
    [aux_sym_local_forward_token1] = ACTIONS(3000),
    [aux_sym_log_level_token1] = ACTIONS(3000),
    [aux_sym_log_verbose_token1] = ACTIONS(3000),
    [aux_sym_macs_token1] = ACTIONS(3000),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3000),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3000),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3000),
    [aux_sym_password_authentication_token1] = ACTIONS(3000),
    [aux_sym_permit_local_command_token1] = ACTIONS(3000),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3000),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3000),
    [aux_sym_port_token1] = ACTIONS(3000),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3000),
    [aux_sym_protocol_token1] = ACTIONS(3000),
    [aux_sym_proxy_command_token1] = ACTIONS(3000),
    [aux_sym_proxy_jump_token1] = ACTIONS(3000),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3000),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3000),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3000),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3000),
    [aux_sym_rekey_limit_token1] = ACTIONS(3000),
    [aux_sym_remote_command_token1] = ACTIONS(3000),
    [aux_sym_remote_forward_token1] = ACTIONS(3000),
    [aux_sym_request_tty_token1] = ACTIONS(3000),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3000),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3000),
    [aux_sym_security_key_provider_token1] = ACTIONS(3000),
    [aux_sym_send_env_token1] = ACTIONS(3000),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3000),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3000),
    [aux_sym_session_type_token1] = ACTIONS(3000),
    [aux_sym_set_env_token1] = ACTIONS(3000),
    [aux_sym_stdin_null_token1] = ACTIONS(3000),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3000),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3000),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3000),
    [aux_sym_syslog_facility_token1] = ACTIONS(3000),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3000),
    [aux_sym_keep_alive_token1] = ACTIONS(3000),
    [aux_sym_tag_token1] = ACTIONS(3000),
    [aux_sym_tunnel_token1] = ACTIONS(3002),
    [aux_sym_tunnel_device_token1] = ACTIONS(3000),
    [aux_sym_update_host_keys_token1] = ACTIONS(3000),
    [aux_sym_use_keychain_token1] = ACTIONS(3000),
    [aux_sym_use_roaming_token1] = ACTIONS(3000),
    [aux_sym_user_token1] = ACTIONS(3002),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3000),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3000),
    [aux_sym_version_addendum_token1] = ACTIONS(3000),
    [aux_sym_visual_host_key_token1] = ACTIONS(3000),
    [aux_sym_xauth_location_token1] = ACTIONS(3000),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [aux_sym_match_token1] = ACTIONS(3006),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3006),
    [aux_sym_address_family_token1] = ACTIONS(3006),
    [aux_sym_batch_mode_token1] = ACTIONS(3006),
    [aux_sym_bind_address_token1] = ACTIONS(3006),
    [aux_sym_bind_interface_token1] = ACTIONS(3006),
    [aux_sym_canonical_domains_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3006),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3006),
    [aux_sym_certificate_file_token1] = ACTIONS(3006),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3006),
    [aux_sym_channel_timeout_token1] = ACTIONS(3006),
    [aux_sym_check_host_ip_token1] = ACTIONS(3006),
    [aux_sym_ciphers_token1] = ACTIONS(3006),
    [aux_sym_cipher_token1] = ACTIONS(3008),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3006),
    [aux_sym_compression_token1] = ACTIONS(3006),
    [aux_sym_connection_attempts_token1] = ACTIONS(3006),
    [aux_sym_connect_timeout_token1] = ACTIONS(3006),
    [aux_sym_control_master_token1] = ACTIONS(3006),
    [aux_sym_control_path_token1] = ACTIONS(3006),
    [aux_sym_control_persist_token1] = ACTIONS(3006),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3006),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3006),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3006),
    [aux_sym_escape_char_token1] = ACTIONS(3006),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3006),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3006),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3006),
    [aux_sym_forward_agent_token1] = ACTIONS(3006),
    [aux_sym_forward_x11_token1] = ACTIONS(3008),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3006),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3006),
    [aux_sym_gateway_ports_token1] = ACTIONS(3006),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3006),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3006),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3006),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3006),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3006),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3006),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3006),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3006),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3006),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3006),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3006),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3006),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3006),
    [aux_sym_host_key_alias_token1] = ACTIONS(3006),
    [aux_sym_hostname_token1] = ACTIONS(3006),
    [aux_sym_identities_only_token1] = ACTIONS(3006),
    [aux_sym_identity_agent_token1] = ACTIONS(3006),
    [aux_sym_identity_file_token1] = ACTIONS(3006),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3006),
    [aux_sym_include_token1] = ACTIONS(3006),
    [aux_sym_ip_qos_token1] = ACTIONS(3006),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3006),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3006),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3006),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3006),
    [aux_sym_local_command_token1] = ACTIONS(3006),
    [aux_sym_local_forward_token1] = ACTIONS(3006),
    [aux_sym_log_level_token1] = ACTIONS(3006),
    [aux_sym_log_verbose_token1] = ACTIONS(3006),
    [aux_sym_macs_token1] = ACTIONS(3006),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3006),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3006),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3006),
    [aux_sym_password_authentication_token1] = ACTIONS(3006),
    [aux_sym_permit_local_command_token1] = ACTIONS(3006),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3006),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3006),
    [aux_sym_port_token1] = ACTIONS(3006),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3006),
    [aux_sym_protocol_token1] = ACTIONS(3006),
    [aux_sym_proxy_command_token1] = ACTIONS(3006),
    [aux_sym_proxy_jump_token1] = ACTIONS(3006),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3006),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3006),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3006),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3006),
    [aux_sym_rekey_limit_token1] = ACTIONS(3006),
    [aux_sym_remote_command_token1] = ACTIONS(3006),
    [aux_sym_remote_forward_token1] = ACTIONS(3006),
    [aux_sym_request_tty_token1] = ACTIONS(3006),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3006),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3006),
    [aux_sym_security_key_provider_token1] = ACTIONS(3006),
    [aux_sym_send_env_token1] = ACTIONS(3006),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3006),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3006),
    [aux_sym_session_type_token1] = ACTIONS(3006),
    [aux_sym_set_env_token1] = ACTIONS(3006),
    [aux_sym_stdin_null_token1] = ACTIONS(3006),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3006),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3006),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3006),
    [aux_sym_syslog_facility_token1] = ACTIONS(3006),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3006),
    [aux_sym_keep_alive_token1] = ACTIONS(3006),
    [aux_sym_tag_token1] = ACTIONS(3006),
    [aux_sym_tunnel_token1] = ACTIONS(3008),
    [aux_sym_tunnel_device_token1] = ACTIONS(3006),
    [aux_sym_update_host_keys_token1] = ACTIONS(3006),
    [aux_sym_use_keychain_token1] = ACTIONS(3006),
    [aux_sym_use_roaming_token1] = ACTIONS(3006),
    [aux_sym_user_token1] = ACTIONS(3008),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3006),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3006),
    [aux_sym_version_addendum_token1] = ACTIONS(3006),
    [aux_sym_visual_host_key_token1] = ACTIONS(3006),
    [aux_sym_xauth_location_token1] = ACTIONS(3006),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [aux_sym_match_token1] = ACTIONS(3012),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3012),
    [aux_sym_address_family_token1] = ACTIONS(3012),
    [aux_sym_batch_mode_token1] = ACTIONS(3012),
    [aux_sym_bind_address_token1] = ACTIONS(3012),
    [aux_sym_bind_interface_token1] = ACTIONS(3012),
    [aux_sym_canonical_domains_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3012),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3012),
    [aux_sym_certificate_file_token1] = ACTIONS(3012),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3012),
    [aux_sym_channel_timeout_token1] = ACTIONS(3012),
    [aux_sym_check_host_ip_token1] = ACTIONS(3012),
    [aux_sym_ciphers_token1] = ACTIONS(3012),
    [aux_sym_cipher_token1] = ACTIONS(3014),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3012),
    [aux_sym_compression_token1] = ACTIONS(3012),
    [aux_sym_connection_attempts_token1] = ACTIONS(3012),
    [aux_sym_connect_timeout_token1] = ACTIONS(3012),
    [aux_sym_control_master_token1] = ACTIONS(3012),
    [aux_sym_control_path_token1] = ACTIONS(3012),
    [aux_sym_control_persist_token1] = ACTIONS(3012),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3012),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3012),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3012),
    [aux_sym_escape_char_token1] = ACTIONS(3012),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3012),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3012),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3012),
    [aux_sym_forward_agent_token1] = ACTIONS(3012),
    [aux_sym_forward_x11_token1] = ACTIONS(3014),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3012),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3012),
    [aux_sym_gateway_ports_token1] = ACTIONS(3012),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3012),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3012),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3012),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3012),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3012),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3012),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3012),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3012),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3012),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3012),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3012),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3012),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3012),
    [aux_sym_host_key_alias_token1] = ACTIONS(3012),
    [aux_sym_hostname_token1] = ACTIONS(3012),
    [aux_sym_identities_only_token1] = ACTIONS(3012),
    [aux_sym_identity_agent_token1] = ACTIONS(3012),
    [aux_sym_identity_file_token1] = ACTIONS(3012),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3012),
    [aux_sym_include_token1] = ACTIONS(3012),
    [aux_sym_ip_qos_token1] = ACTIONS(3012),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3012),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3012),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3012),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3012),
    [aux_sym_local_command_token1] = ACTIONS(3012),
    [aux_sym_local_forward_token1] = ACTIONS(3012),
    [aux_sym_log_level_token1] = ACTIONS(3012),
    [aux_sym_log_verbose_token1] = ACTIONS(3012),
    [aux_sym_macs_token1] = ACTIONS(3012),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3012),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3012),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3012),
    [aux_sym_password_authentication_token1] = ACTIONS(3012),
    [aux_sym_permit_local_command_token1] = ACTIONS(3012),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3012),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3012),
    [aux_sym_port_token1] = ACTIONS(3012),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3012),
    [aux_sym_protocol_token1] = ACTIONS(3012),
    [aux_sym_proxy_command_token1] = ACTIONS(3012),
    [aux_sym_proxy_jump_token1] = ACTIONS(3012),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3012),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3012),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3012),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3012),
    [aux_sym_rekey_limit_token1] = ACTIONS(3012),
    [aux_sym_remote_command_token1] = ACTIONS(3012),
    [aux_sym_remote_forward_token1] = ACTIONS(3012),
    [aux_sym_request_tty_token1] = ACTIONS(3012),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3012),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3012),
    [aux_sym_security_key_provider_token1] = ACTIONS(3012),
    [aux_sym_send_env_token1] = ACTIONS(3012),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3012),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3012),
    [aux_sym_session_type_token1] = ACTIONS(3012),
    [aux_sym_set_env_token1] = ACTIONS(3012),
    [aux_sym_stdin_null_token1] = ACTIONS(3012),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3012),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3012),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3012),
    [aux_sym_syslog_facility_token1] = ACTIONS(3012),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3012),
    [aux_sym_keep_alive_token1] = ACTIONS(3012),
    [aux_sym_tag_token1] = ACTIONS(3012),
    [aux_sym_tunnel_token1] = ACTIONS(3014),
    [aux_sym_tunnel_device_token1] = ACTIONS(3012),
    [aux_sym_update_host_keys_token1] = ACTIONS(3012),
    [aux_sym_use_keychain_token1] = ACTIONS(3012),
    [aux_sym_use_roaming_token1] = ACTIONS(3012),
    [aux_sym_user_token1] = ACTIONS(3014),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3012),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3012),
    [aux_sym_version_addendum_token1] = ACTIONS(3012),
    [aux_sym_visual_host_key_token1] = ACTIONS(3012),
    [aux_sym_xauth_location_token1] = ACTIONS(3012),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [aux_sym_match_token1] = ACTIONS(3018),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3018),
    [aux_sym_address_family_token1] = ACTIONS(3018),
    [aux_sym_batch_mode_token1] = ACTIONS(3018),
    [aux_sym_bind_address_token1] = ACTIONS(3018),
    [aux_sym_bind_interface_token1] = ACTIONS(3018),
    [aux_sym_canonical_domains_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3018),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3018),
    [aux_sym_certificate_file_token1] = ACTIONS(3018),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3018),
    [aux_sym_channel_timeout_token1] = ACTIONS(3018),
    [aux_sym_check_host_ip_token1] = ACTIONS(3018),
    [aux_sym_ciphers_token1] = ACTIONS(3018),
    [aux_sym_cipher_token1] = ACTIONS(3020),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3018),
    [aux_sym_compression_token1] = ACTIONS(3018),
    [aux_sym_connection_attempts_token1] = ACTIONS(3018),
    [aux_sym_connect_timeout_token1] = ACTIONS(3018),
    [aux_sym_control_master_token1] = ACTIONS(3018),
    [aux_sym_control_path_token1] = ACTIONS(3018),
    [aux_sym_control_persist_token1] = ACTIONS(3018),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3018),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3018),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3018),
    [aux_sym_escape_char_token1] = ACTIONS(3018),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3018),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3018),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3018),
    [aux_sym_forward_agent_token1] = ACTIONS(3018),
    [aux_sym_forward_x11_token1] = ACTIONS(3020),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3018),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3018),
    [aux_sym_gateway_ports_token1] = ACTIONS(3018),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3018),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3018),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3018),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3018),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3018),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3018),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3018),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3018),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3018),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3018),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3018),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3018),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3018),
    [aux_sym_host_key_alias_token1] = ACTIONS(3018),
    [aux_sym_hostname_token1] = ACTIONS(3018),
    [aux_sym_identities_only_token1] = ACTIONS(3018),
    [aux_sym_identity_agent_token1] = ACTIONS(3018),
    [aux_sym_identity_file_token1] = ACTIONS(3018),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3018),
    [aux_sym_include_token1] = ACTIONS(3018),
    [aux_sym_ip_qos_token1] = ACTIONS(3018),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3018),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3018),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3018),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3018),
    [aux_sym_local_command_token1] = ACTIONS(3018),
    [aux_sym_local_forward_token1] = ACTIONS(3018),
    [aux_sym_log_level_token1] = ACTIONS(3018),
    [aux_sym_log_verbose_token1] = ACTIONS(3018),
    [aux_sym_macs_token1] = ACTIONS(3018),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3018),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3018),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3018),
    [aux_sym_password_authentication_token1] = ACTIONS(3018),
    [aux_sym_permit_local_command_token1] = ACTIONS(3018),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3018),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3018),
    [aux_sym_port_token1] = ACTIONS(3018),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3018),
    [aux_sym_protocol_token1] = ACTIONS(3018),
    [aux_sym_proxy_command_token1] = ACTIONS(3018),
    [aux_sym_proxy_jump_token1] = ACTIONS(3018),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3018),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3018),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3018),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3018),
    [aux_sym_rekey_limit_token1] = ACTIONS(3018),
    [aux_sym_remote_command_token1] = ACTIONS(3018),
    [aux_sym_remote_forward_token1] = ACTIONS(3018),
    [aux_sym_request_tty_token1] = ACTIONS(3018),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3018),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3018),
    [aux_sym_security_key_provider_token1] = ACTIONS(3018),
    [aux_sym_send_env_token1] = ACTIONS(3018),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3018),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3018),
    [aux_sym_session_type_token1] = ACTIONS(3018),
    [aux_sym_set_env_token1] = ACTIONS(3018),
    [aux_sym_stdin_null_token1] = ACTIONS(3018),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3018),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3018),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3018),
    [aux_sym_syslog_facility_token1] = ACTIONS(3018),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3018),
    [aux_sym_keep_alive_token1] = ACTIONS(3018),
    [aux_sym_tag_token1] = ACTIONS(3018),
    [aux_sym_tunnel_token1] = ACTIONS(3020),
    [aux_sym_tunnel_device_token1] = ACTIONS(3018),
    [aux_sym_update_host_keys_token1] = ACTIONS(3018),
    [aux_sym_use_keychain_token1] = ACTIONS(3018),
    [aux_sym_use_roaming_token1] = ACTIONS(3018),
    [aux_sym_user_token1] = ACTIONS(3020),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3018),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3018),
    [aux_sym_version_addendum_token1] = ACTIONS(3018),
    [aux_sym_visual_host_key_token1] = ACTIONS(3018),
    [aux_sym_xauth_location_token1] = ACTIONS(3018),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3028),
    [aux_sym_match_token1] = ACTIONS(3024),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3024),
    [aux_sym_address_family_token1] = ACTIONS(3024),
    [aux_sym_batch_mode_token1] = ACTIONS(3024),
    [aux_sym_bind_address_token1] = ACTIONS(3024),
    [aux_sym_bind_interface_token1] = ACTIONS(3024),
    [aux_sym_canonical_domains_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3024),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3024),
    [aux_sym_certificate_file_token1] = ACTIONS(3024),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3024),
    [aux_sym_channel_timeout_token1] = ACTIONS(3024),
    [aux_sym_check_host_ip_token1] = ACTIONS(3024),
    [aux_sym_ciphers_token1] = ACTIONS(3024),
    [aux_sym_cipher_token1] = ACTIONS(3026),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3024),
    [aux_sym_compression_token1] = ACTIONS(3024),
    [aux_sym_connection_attempts_token1] = ACTIONS(3024),
    [aux_sym_connect_timeout_token1] = ACTIONS(3024),
    [aux_sym_control_master_token1] = ACTIONS(3024),
    [aux_sym_control_path_token1] = ACTIONS(3024),
    [aux_sym_control_persist_token1] = ACTIONS(3024),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3024),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3024),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3024),
    [aux_sym_escape_char_token1] = ACTIONS(3024),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3024),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3024),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3024),
    [aux_sym_forward_agent_token1] = ACTIONS(3024),
    [aux_sym_forward_x11_token1] = ACTIONS(3026),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3024),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3024),
    [aux_sym_gateway_ports_token1] = ACTIONS(3024),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3024),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3024),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3024),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3024),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3024),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3024),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3024),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3024),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3024),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3024),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3024),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3024),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3024),
    [aux_sym_host_key_alias_token1] = ACTIONS(3024),
    [aux_sym_hostname_token1] = ACTIONS(3024),
    [aux_sym_identities_only_token1] = ACTIONS(3024),
    [aux_sym_identity_agent_token1] = ACTIONS(3024),
    [aux_sym_identity_file_token1] = ACTIONS(3024),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3024),
    [aux_sym_include_token1] = ACTIONS(3024),
    [aux_sym_ip_qos_token1] = ACTIONS(3024),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3024),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3024),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3024),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3024),
    [aux_sym_local_command_token1] = ACTIONS(3024),
    [aux_sym_local_forward_token1] = ACTIONS(3024),
    [aux_sym_log_level_token1] = ACTIONS(3024),
    [aux_sym_log_verbose_token1] = ACTIONS(3024),
    [aux_sym_macs_token1] = ACTIONS(3024),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3024),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3024),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3024),
    [aux_sym_password_authentication_token1] = ACTIONS(3024),
    [aux_sym_permit_local_command_token1] = ACTIONS(3024),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3024),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3024),
    [aux_sym_port_token1] = ACTIONS(3024),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3024),
    [aux_sym_protocol_token1] = ACTIONS(3024),
    [aux_sym_proxy_command_token1] = ACTIONS(3024),
    [aux_sym_proxy_jump_token1] = ACTIONS(3024),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3024),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3024),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3024),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3024),
    [aux_sym_rekey_limit_token1] = ACTIONS(3024),
    [aux_sym_remote_command_token1] = ACTIONS(3024),
    [aux_sym_remote_forward_token1] = ACTIONS(3024),
    [aux_sym_request_tty_token1] = ACTIONS(3024),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3024),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3024),
    [aux_sym_security_key_provider_token1] = ACTIONS(3024),
    [aux_sym_send_env_token1] = ACTIONS(3024),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3024),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3024),
    [aux_sym_session_type_token1] = ACTIONS(3024),
    [aux_sym_set_env_token1] = ACTIONS(3024),
    [aux_sym_stdin_null_token1] = ACTIONS(3024),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3024),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3024),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3024),
    [aux_sym_syslog_facility_token1] = ACTIONS(3024),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3024),
    [aux_sym_keep_alive_token1] = ACTIONS(3024),
    [aux_sym_tag_token1] = ACTIONS(3024),
    [aux_sym_tunnel_token1] = ACTIONS(3026),
    [aux_sym_tunnel_device_token1] = ACTIONS(3024),
    [aux_sym_update_host_keys_token1] = ACTIONS(3024),
    [aux_sym_use_keychain_token1] = ACTIONS(3024),
    [aux_sym_use_roaming_token1] = ACTIONS(3024),
    [aux_sym_user_token1] = ACTIONS(3026),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3024),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3024),
    [aux_sym_version_addendum_token1] = ACTIONS(3024),
    [aux_sym_visual_host_key_token1] = ACTIONS(3024),
    [aux_sym_xauth_location_token1] = ACTIONS(3024),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3032),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [aux_sym_match_token1] = ACTIONS(3030),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3030),
    [aux_sym_address_family_token1] = ACTIONS(3030),
    [aux_sym_batch_mode_token1] = ACTIONS(3030),
    [aux_sym_bind_address_token1] = ACTIONS(3030),
    [aux_sym_bind_interface_token1] = ACTIONS(3030),
    [aux_sym_canonical_domains_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3030),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3030),
    [aux_sym_certificate_file_token1] = ACTIONS(3030),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3030),
    [aux_sym_channel_timeout_token1] = ACTIONS(3030),
    [aux_sym_check_host_ip_token1] = ACTIONS(3030),
    [aux_sym_ciphers_token1] = ACTIONS(3030),
    [aux_sym_cipher_token1] = ACTIONS(3032),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3030),
    [aux_sym_compression_token1] = ACTIONS(3030),
    [aux_sym_connection_attempts_token1] = ACTIONS(3030),
    [aux_sym_connect_timeout_token1] = ACTIONS(3030),
    [aux_sym_control_master_token1] = ACTIONS(3030),
    [aux_sym_control_path_token1] = ACTIONS(3030),
    [aux_sym_control_persist_token1] = ACTIONS(3030),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3030),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3030),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3030),
    [aux_sym_escape_char_token1] = ACTIONS(3030),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3030),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3030),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3030),
    [aux_sym_forward_agent_token1] = ACTIONS(3030),
    [aux_sym_forward_x11_token1] = ACTIONS(3032),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3030),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3030),
    [aux_sym_gateway_ports_token1] = ACTIONS(3030),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3030),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3030),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3030),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3030),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3030),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3030),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3030),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3030),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3030),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3030),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3030),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3030),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3030),
    [aux_sym_host_key_alias_token1] = ACTIONS(3030),
    [aux_sym_hostname_token1] = ACTIONS(3030),
    [aux_sym_identities_only_token1] = ACTIONS(3030),
    [aux_sym_identity_agent_token1] = ACTIONS(3030),
    [aux_sym_identity_file_token1] = ACTIONS(3030),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3030),
    [aux_sym_include_token1] = ACTIONS(3030),
    [aux_sym_ip_qos_token1] = ACTIONS(3030),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3030),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3030),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3030),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3030),
    [aux_sym_local_command_token1] = ACTIONS(3030),
    [aux_sym_local_forward_token1] = ACTIONS(3030),
    [aux_sym_log_level_token1] = ACTIONS(3030),
    [aux_sym_log_verbose_token1] = ACTIONS(3030),
    [aux_sym_macs_token1] = ACTIONS(3030),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3030),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3030),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3030),
    [aux_sym_password_authentication_token1] = ACTIONS(3030),
    [aux_sym_permit_local_command_token1] = ACTIONS(3030),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3030),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3030),
    [aux_sym_port_token1] = ACTIONS(3030),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3030),
    [aux_sym_protocol_token1] = ACTIONS(3030),
    [aux_sym_proxy_command_token1] = ACTIONS(3030),
    [aux_sym_proxy_jump_token1] = ACTIONS(3030),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3030),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3030),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3030),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3030),
    [aux_sym_rekey_limit_token1] = ACTIONS(3030),
    [aux_sym_remote_command_token1] = ACTIONS(3030),
    [aux_sym_remote_forward_token1] = ACTIONS(3030),
    [aux_sym_request_tty_token1] = ACTIONS(3030),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3030),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3030),
    [aux_sym_security_key_provider_token1] = ACTIONS(3030),
    [aux_sym_send_env_token1] = ACTIONS(3030),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3030),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3030),
    [aux_sym_session_type_token1] = ACTIONS(3030),
    [aux_sym_set_env_token1] = ACTIONS(3030),
    [aux_sym_stdin_null_token1] = ACTIONS(3030),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3030),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3030),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3030),
    [aux_sym_syslog_facility_token1] = ACTIONS(3030),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3030),
    [aux_sym_keep_alive_token1] = ACTIONS(3030),
    [aux_sym_tag_token1] = ACTIONS(3030),
    [aux_sym_tunnel_token1] = ACTIONS(3032),
    [aux_sym_tunnel_device_token1] = ACTIONS(3030),
    [aux_sym_update_host_keys_token1] = ACTIONS(3030),
    [aux_sym_use_keychain_token1] = ACTIONS(3030),
    [aux_sym_use_roaming_token1] = ACTIONS(3030),
    [aux_sym_user_token1] = ACTIONS(3032),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3030),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3030),
    [aux_sym_version_addendum_token1] = ACTIONS(3030),
    [aux_sym_visual_host_key_token1] = ACTIONS(3030),
    [aux_sym_xauth_location_token1] = ACTIONS(3030),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [aux_sym_match_token1] = ACTIONS(3036),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3036),
    [aux_sym_address_family_token1] = ACTIONS(3036),
    [aux_sym_batch_mode_token1] = ACTIONS(3036),
    [aux_sym_bind_address_token1] = ACTIONS(3036),
    [aux_sym_bind_interface_token1] = ACTIONS(3036),
    [aux_sym_canonical_domains_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3036),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3036),
    [aux_sym_certificate_file_token1] = ACTIONS(3036),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3036),
    [aux_sym_channel_timeout_token1] = ACTIONS(3036),
    [aux_sym_check_host_ip_token1] = ACTIONS(3036),
    [aux_sym_ciphers_token1] = ACTIONS(3036),
    [aux_sym_cipher_token1] = ACTIONS(3038),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3036),
    [aux_sym_compression_token1] = ACTIONS(3036),
    [aux_sym_connection_attempts_token1] = ACTIONS(3036),
    [aux_sym_connect_timeout_token1] = ACTIONS(3036),
    [aux_sym_control_master_token1] = ACTIONS(3036),
    [aux_sym_control_path_token1] = ACTIONS(3036),
    [aux_sym_control_persist_token1] = ACTIONS(3036),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3036),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3036),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3036),
    [aux_sym_escape_char_token1] = ACTIONS(3036),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3036),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3036),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3036),
    [aux_sym_forward_agent_token1] = ACTIONS(3036),
    [aux_sym_forward_x11_token1] = ACTIONS(3038),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3036),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3036),
    [aux_sym_gateway_ports_token1] = ACTIONS(3036),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3036),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3036),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3036),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3036),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3036),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3036),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3036),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3036),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3036),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3036),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3036),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3036),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3036),
    [aux_sym_host_key_alias_token1] = ACTIONS(3036),
    [aux_sym_hostname_token1] = ACTIONS(3036),
    [aux_sym_identities_only_token1] = ACTIONS(3036),
    [aux_sym_identity_agent_token1] = ACTIONS(3036),
    [aux_sym_identity_file_token1] = ACTIONS(3036),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3036),
    [aux_sym_include_token1] = ACTIONS(3036),
    [aux_sym_ip_qos_token1] = ACTIONS(3036),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3036),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3036),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3036),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3036),
    [aux_sym_local_command_token1] = ACTIONS(3036),
    [aux_sym_local_forward_token1] = ACTIONS(3036),
    [aux_sym_log_level_token1] = ACTIONS(3036),
    [aux_sym_log_verbose_token1] = ACTIONS(3036),
    [aux_sym_macs_token1] = ACTIONS(3036),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3036),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3036),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3036),
    [aux_sym_password_authentication_token1] = ACTIONS(3036),
    [aux_sym_permit_local_command_token1] = ACTIONS(3036),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3036),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3036),
    [aux_sym_port_token1] = ACTIONS(3036),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3036),
    [aux_sym_protocol_token1] = ACTIONS(3036),
    [aux_sym_proxy_command_token1] = ACTIONS(3036),
    [aux_sym_proxy_jump_token1] = ACTIONS(3036),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3036),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3036),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3036),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3036),
    [aux_sym_rekey_limit_token1] = ACTIONS(3036),
    [aux_sym_remote_command_token1] = ACTIONS(3036),
    [aux_sym_remote_forward_token1] = ACTIONS(3036),
    [aux_sym_request_tty_token1] = ACTIONS(3036),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3036),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3036),
    [aux_sym_security_key_provider_token1] = ACTIONS(3036),
    [aux_sym_send_env_token1] = ACTIONS(3036),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3036),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3036),
    [aux_sym_session_type_token1] = ACTIONS(3036),
    [aux_sym_set_env_token1] = ACTIONS(3036),
    [aux_sym_stdin_null_token1] = ACTIONS(3036),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3036),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3036),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3036),
    [aux_sym_syslog_facility_token1] = ACTIONS(3036),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3036),
    [aux_sym_keep_alive_token1] = ACTIONS(3036),
    [aux_sym_tag_token1] = ACTIONS(3036),
    [aux_sym_tunnel_token1] = ACTIONS(3038),
    [aux_sym_tunnel_device_token1] = ACTIONS(3036),
    [aux_sym_update_host_keys_token1] = ACTIONS(3036),
    [aux_sym_use_keychain_token1] = ACTIONS(3036),
    [aux_sym_use_roaming_token1] = ACTIONS(3036),
    [aux_sym_user_token1] = ACTIONS(3038),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3036),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3036),
    [aux_sym_version_addendum_token1] = ACTIONS(3036),
    [aux_sym_visual_host_key_token1] = ACTIONS(3036),
    [aux_sym_xauth_location_token1] = ACTIONS(3036),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3044),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [aux_sym_match_token1] = ACTIONS(3042),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3042),
    [aux_sym_address_family_token1] = ACTIONS(3042),
    [aux_sym_batch_mode_token1] = ACTIONS(3042),
    [aux_sym_bind_address_token1] = ACTIONS(3042),
    [aux_sym_bind_interface_token1] = ACTIONS(3042),
    [aux_sym_canonical_domains_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3042),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3042),
    [aux_sym_certificate_file_token1] = ACTIONS(3042),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3042),
    [aux_sym_channel_timeout_token1] = ACTIONS(3042),
    [aux_sym_check_host_ip_token1] = ACTIONS(3042),
    [aux_sym_ciphers_token1] = ACTIONS(3042),
    [aux_sym_cipher_token1] = ACTIONS(3044),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3042),
    [aux_sym_compression_token1] = ACTIONS(3042),
    [aux_sym_connection_attempts_token1] = ACTIONS(3042),
    [aux_sym_connect_timeout_token1] = ACTIONS(3042),
    [aux_sym_control_master_token1] = ACTIONS(3042),
    [aux_sym_control_path_token1] = ACTIONS(3042),
    [aux_sym_control_persist_token1] = ACTIONS(3042),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3042),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3042),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3042),
    [aux_sym_escape_char_token1] = ACTIONS(3042),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3042),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3042),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3042),
    [aux_sym_forward_agent_token1] = ACTIONS(3042),
    [aux_sym_forward_x11_token1] = ACTIONS(3044),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3042),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3042),
    [aux_sym_gateway_ports_token1] = ACTIONS(3042),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3042),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3042),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3042),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3042),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3042),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3042),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3042),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3042),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3042),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3042),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3042),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3042),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3042),
    [aux_sym_host_key_alias_token1] = ACTIONS(3042),
    [aux_sym_hostname_token1] = ACTIONS(3042),
    [aux_sym_identities_only_token1] = ACTIONS(3042),
    [aux_sym_identity_agent_token1] = ACTIONS(3042),
    [aux_sym_identity_file_token1] = ACTIONS(3042),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3042),
    [aux_sym_include_token1] = ACTIONS(3042),
    [aux_sym_ip_qos_token1] = ACTIONS(3042),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3042),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3042),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3042),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3042),
    [aux_sym_local_command_token1] = ACTIONS(3042),
    [aux_sym_local_forward_token1] = ACTIONS(3042),
    [aux_sym_log_level_token1] = ACTIONS(3042),
    [aux_sym_log_verbose_token1] = ACTIONS(3042),
    [aux_sym_macs_token1] = ACTIONS(3042),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3042),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3042),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3042),
    [aux_sym_password_authentication_token1] = ACTIONS(3042),
    [aux_sym_permit_local_command_token1] = ACTIONS(3042),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3042),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3042),
    [aux_sym_port_token1] = ACTIONS(3042),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3042),
    [aux_sym_protocol_token1] = ACTIONS(3042),
    [aux_sym_proxy_command_token1] = ACTIONS(3042),
    [aux_sym_proxy_jump_token1] = ACTIONS(3042),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3042),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3042),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3042),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3042),
    [aux_sym_rekey_limit_token1] = ACTIONS(3042),
    [aux_sym_remote_command_token1] = ACTIONS(3042),
    [aux_sym_remote_forward_token1] = ACTIONS(3042),
    [aux_sym_request_tty_token1] = ACTIONS(3042),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3042),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3042),
    [aux_sym_security_key_provider_token1] = ACTIONS(3042),
    [aux_sym_send_env_token1] = ACTIONS(3042),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3042),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3042),
    [aux_sym_session_type_token1] = ACTIONS(3042),
    [aux_sym_set_env_token1] = ACTIONS(3042),
    [aux_sym_stdin_null_token1] = ACTIONS(3042),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3042),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3042),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3042),
    [aux_sym_syslog_facility_token1] = ACTIONS(3042),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3042),
    [aux_sym_keep_alive_token1] = ACTIONS(3042),
    [aux_sym_tag_token1] = ACTIONS(3042),
    [aux_sym_tunnel_token1] = ACTIONS(3044),
    [aux_sym_tunnel_device_token1] = ACTIONS(3042),
    [aux_sym_update_host_keys_token1] = ACTIONS(3042),
    [aux_sym_use_keychain_token1] = ACTIONS(3042),
    [aux_sym_use_roaming_token1] = ACTIONS(3042),
    [aux_sym_user_token1] = ACTIONS(3044),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3042),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3042),
    [aux_sym_version_addendum_token1] = ACTIONS(3042),
    [aux_sym_visual_host_key_token1] = ACTIONS(3042),
    [aux_sym_xauth_location_token1] = ACTIONS(3042),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3052),
    [aux_sym_match_token1] = ACTIONS(3048),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3048),
    [aux_sym_address_family_token1] = ACTIONS(3048),
    [aux_sym_batch_mode_token1] = ACTIONS(3048),
    [aux_sym_bind_address_token1] = ACTIONS(3048),
    [aux_sym_bind_interface_token1] = ACTIONS(3048),
    [aux_sym_canonical_domains_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3048),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3048),
    [aux_sym_certificate_file_token1] = ACTIONS(3048),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3048),
    [aux_sym_channel_timeout_token1] = ACTIONS(3048),
    [aux_sym_check_host_ip_token1] = ACTIONS(3048),
    [aux_sym_ciphers_token1] = ACTIONS(3048),
    [aux_sym_cipher_token1] = ACTIONS(3050),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3048),
    [aux_sym_compression_token1] = ACTIONS(3048),
    [aux_sym_connection_attempts_token1] = ACTIONS(3048),
    [aux_sym_connect_timeout_token1] = ACTIONS(3048),
    [aux_sym_control_master_token1] = ACTIONS(3048),
    [aux_sym_control_path_token1] = ACTIONS(3048),
    [aux_sym_control_persist_token1] = ACTIONS(3048),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3048),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3048),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3048),
    [aux_sym_escape_char_token1] = ACTIONS(3048),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3048),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3048),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3048),
    [aux_sym_forward_agent_token1] = ACTIONS(3048),
    [aux_sym_forward_x11_token1] = ACTIONS(3050),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3048),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3048),
    [aux_sym_gateway_ports_token1] = ACTIONS(3048),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3048),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3048),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3048),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3048),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3048),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3048),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3048),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3048),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3048),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3048),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3048),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3048),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3048),
    [aux_sym_host_key_alias_token1] = ACTIONS(3048),
    [aux_sym_hostname_token1] = ACTIONS(3048),
    [aux_sym_identities_only_token1] = ACTIONS(3048),
    [aux_sym_identity_agent_token1] = ACTIONS(3048),
    [aux_sym_identity_file_token1] = ACTIONS(3048),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3048),
    [aux_sym_include_token1] = ACTIONS(3048),
    [aux_sym_ip_qos_token1] = ACTIONS(3048),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3048),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3048),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3048),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3048),
    [aux_sym_local_command_token1] = ACTIONS(3048),
    [aux_sym_local_forward_token1] = ACTIONS(3048),
    [aux_sym_log_level_token1] = ACTIONS(3048),
    [aux_sym_log_verbose_token1] = ACTIONS(3048),
    [aux_sym_macs_token1] = ACTIONS(3048),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3048),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3048),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3048),
    [aux_sym_password_authentication_token1] = ACTIONS(3048),
    [aux_sym_permit_local_command_token1] = ACTIONS(3048),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3048),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3048),
    [aux_sym_port_token1] = ACTIONS(3048),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3048),
    [aux_sym_protocol_token1] = ACTIONS(3048),
    [aux_sym_proxy_command_token1] = ACTIONS(3048),
    [aux_sym_proxy_jump_token1] = ACTIONS(3048),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3048),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3048),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3048),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3048),
    [aux_sym_rekey_limit_token1] = ACTIONS(3048),
    [aux_sym_remote_command_token1] = ACTIONS(3048),
    [aux_sym_remote_forward_token1] = ACTIONS(3048),
    [aux_sym_request_tty_token1] = ACTIONS(3048),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3048),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3048),
    [aux_sym_security_key_provider_token1] = ACTIONS(3048),
    [aux_sym_send_env_token1] = ACTIONS(3048),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3048),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3048),
    [aux_sym_session_type_token1] = ACTIONS(3048),
    [aux_sym_set_env_token1] = ACTIONS(3048),
    [aux_sym_stdin_null_token1] = ACTIONS(3048),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3048),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3048),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3048),
    [aux_sym_syslog_facility_token1] = ACTIONS(3048),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3048),
    [aux_sym_keep_alive_token1] = ACTIONS(3048),
    [aux_sym_tag_token1] = ACTIONS(3048),
    [aux_sym_tunnel_token1] = ACTIONS(3050),
    [aux_sym_tunnel_device_token1] = ACTIONS(3048),
    [aux_sym_update_host_keys_token1] = ACTIONS(3048),
    [aux_sym_use_keychain_token1] = ACTIONS(3048),
    [aux_sym_use_roaming_token1] = ACTIONS(3048),
    [aux_sym_user_token1] = ACTIONS(3050),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3048),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3048),
    [aux_sym_version_addendum_token1] = ACTIONS(3048),
    [aux_sym_visual_host_key_token1] = ACTIONS(3048),
    [aux_sym_xauth_location_token1] = ACTIONS(3048),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(3054),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3056),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [aux_sym_match_token1] = ACTIONS(3054),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3054),
    [aux_sym_address_family_token1] = ACTIONS(3054),
    [aux_sym_batch_mode_token1] = ACTIONS(3054),
    [aux_sym_bind_address_token1] = ACTIONS(3054),
    [aux_sym_bind_interface_token1] = ACTIONS(3054),
    [aux_sym_canonical_domains_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3054),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3054),
    [aux_sym_certificate_file_token1] = ACTIONS(3054),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3054),
    [aux_sym_channel_timeout_token1] = ACTIONS(3054),
    [aux_sym_check_host_ip_token1] = ACTIONS(3054),
    [aux_sym_ciphers_token1] = ACTIONS(3054),
    [aux_sym_cipher_token1] = ACTIONS(3056),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3054),
    [aux_sym_compression_token1] = ACTIONS(3054),
    [aux_sym_connection_attempts_token1] = ACTIONS(3054),
    [aux_sym_connect_timeout_token1] = ACTIONS(3054),
    [aux_sym_control_master_token1] = ACTIONS(3054),
    [aux_sym_control_path_token1] = ACTIONS(3054),
    [aux_sym_control_persist_token1] = ACTIONS(3054),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3054),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3054),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3054),
    [aux_sym_escape_char_token1] = ACTIONS(3054),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3054),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3054),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3054),
    [aux_sym_forward_agent_token1] = ACTIONS(3054),
    [aux_sym_forward_x11_token1] = ACTIONS(3056),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3054),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3054),
    [aux_sym_gateway_ports_token1] = ACTIONS(3054),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3054),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3054),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3054),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3054),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3054),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3054),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3054),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3054),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3054),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3054),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3054),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3054),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3054),
    [aux_sym_host_key_alias_token1] = ACTIONS(3054),
    [aux_sym_hostname_token1] = ACTIONS(3054),
    [aux_sym_identities_only_token1] = ACTIONS(3054),
    [aux_sym_identity_agent_token1] = ACTIONS(3054),
    [aux_sym_identity_file_token1] = ACTIONS(3054),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3054),
    [aux_sym_include_token1] = ACTIONS(3054),
    [aux_sym_ip_qos_token1] = ACTIONS(3054),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3054),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3054),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3054),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3054),
    [aux_sym_local_command_token1] = ACTIONS(3054),
    [aux_sym_local_forward_token1] = ACTIONS(3054),
    [aux_sym_log_level_token1] = ACTIONS(3054),
    [aux_sym_log_verbose_token1] = ACTIONS(3054),
    [aux_sym_macs_token1] = ACTIONS(3054),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3054),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3054),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3054),
    [aux_sym_password_authentication_token1] = ACTIONS(3054),
    [aux_sym_permit_local_command_token1] = ACTIONS(3054),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3054),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3054),
    [aux_sym_port_token1] = ACTIONS(3054),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3054),
    [aux_sym_protocol_token1] = ACTIONS(3054),
    [aux_sym_proxy_command_token1] = ACTIONS(3054),
    [aux_sym_proxy_jump_token1] = ACTIONS(3054),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3054),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3054),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3054),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3054),
    [aux_sym_rekey_limit_token1] = ACTIONS(3054),
    [aux_sym_remote_command_token1] = ACTIONS(3054),
    [aux_sym_remote_forward_token1] = ACTIONS(3054),
    [aux_sym_request_tty_token1] = ACTIONS(3054),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3054),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3054),
    [aux_sym_security_key_provider_token1] = ACTIONS(3054),
    [aux_sym_send_env_token1] = ACTIONS(3054),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3054),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3054),
    [aux_sym_session_type_token1] = ACTIONS(3054),
    [aux_sym_set_env_token1] = ACTIONS(3054),
    [aux_sym_stdin_null_token1] = ACTIONS(3054),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3054),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3054),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3054),
    [aux_sym_syslog_facility_token1] = ACTIONS(3054),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3054),
    [aux_sym_keep_alive_token1] = ACTIONS(3054),
    [aux_sym_tag_token1] = ACTIONS(3054),
    [aux_sym_tunnel_token1] = ACTIONS(3056),
    [aux_sym_tunnel_device_token1] = ACTIONS(3054),
    [aux_sym_update_host_keys_token1] = ACTIONS(3054),
    [aux_sym_use_keychain_token1] = ACTIONS(3054),
    [aux_sym_use_roaming_token1] = ACTIONS(3054),
    [aux_sym_user_token1] = ACTIONS(3056),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3054),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3054),
    [aux_sym_version_addendum_token1] = ACTIONS(3054),
    [aux_sym_visual_host_key_token1] = ACTIONS(3054),
    [aux_sym_xauth_location_token1] = ACTIONS(3054),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [aux_sym_match_token1] = ACTIONS(3060),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3060),
    [aux_sym_address_family_token1] = ACTIONS(3060),
    [aux_sym_batch_mode_token1] = ACTIONS(3060),
    [aux_sym_bind_address_token1] = ACTIONS(3060),
    [aux_sym_bind_interface_token1] = ACTIONS(3060),
    [aux_sym_canonical_domains_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3060),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3060),
    [aux_sym_certificate_file_token1] = ACTIONS(3060),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3060),
    [aux_sym_channel_timeout_token1] = ACTIONS(3060),
    [aux_sym_check_host_ip_token1] = ACTIONS(3060),
    [aux_sym_ciphers_token1] = ACTIONS(3060),
    [aux_sym_cipher_token1] = ACTIONS(3062),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3060),
    [aux_sym_compression_token1] = ACTIONS(3060),
    [aux_sym_connection_attempts_token1] = ACTIONS(3060),
    [aux_sym_connect_timeout_token1] = ACTIONS(3060),
    [aux_sym_control_master_token1] = ACTIONS(3060),
    [aux_sym_control_path_token1] = ACTIONS(3060),
    [aux_sym_control_persist_token1] = ACTIONS(3060),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3060),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3060),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3060),
    [aux_sym_escape_char_token1] = ACTIONS(3060),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3060),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3060),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3060),
    [aux_sym_forward_agent_token1] = ACTIONS(3060),
    [aux_sym_forward_x11_token1] = ACTIONS(3062),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3060),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3060),
    [aux_sym_gateway_ports_token1] = ACTIONS(3060),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3060),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3060),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3060),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3060),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3060),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3060),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3060),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3060),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3060),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3060),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3060),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3060),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3060),
    [aux_sym_host_key_alias_token1] = ACTIONS(3060),
    [aux_sym_hostname_token1] = ACTIONS(3060),
    [aux_sym_identities_only_token1] = ACTIONS(3060),
    [aux_sym_identity_agent_token1] = ACTIONS(3060),
    [aux_sym_identity_file_token1] = ACTIONS(3060),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3060),
    [aux_sym_include_token1] = ACTIONS(3060),
    [aux_sym_ip_qos_token1] = ACTIONS(3060),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3060),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3060),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3060),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3060),
    [aux_sym_local_command_token1] = ACTIONS(3060),
    [aux_sym_local_forward_token1] = ACTIONS(3060),
    [aux_sym_log_level_token1] = ACTIONS(3060),
    [aux_sym_log_verbose_token1] = ACTIONS(3060),
    [aux_sym_macs_token1] = ACTIONS(3060),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3060),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3060),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3060),
    [aux_sym_password_authentication_token1] = ACTIONS(3060),
    [aux_sym_permit_local_command_token1] = ACTIONS(3060),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3060),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3060),
    [aux_sym_port_token1] = ACTIONS(3060),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3060),
    [aux_sym_protocol_token1] = ACTIONS(3060),
    [aux_sym_proxy_command_token1] = ACTIONS(3060),
    [aux_sym_proxy_jump_token1] = ACTIONS(3060),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3060),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3060),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3060),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3060),
    [aux_sym_rekey_limit_token1] = ACTIONS(3060),
    [aux_sym_remote_command_token1] = ACTIONS(3060),
    [aux_sym_remote_forward_token1] = ACTIONS(3060),
    [aux_sym_request_tty_token1] = ACTIONS(3060),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3060),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3060),
    [aux_sym_security_key_provider_token1] = ACTIONS(3060),
    [aux_sym_send_env_token1] = ACTIONS(3060),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3060),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3060),
    [aux_sym_session_type_token1] = ACTIONS(3060),
    [aux_sym_set_env_token1] = ACTIONS(3060),
    [aux_sym_stdin_null_token1] = ACTIONS(3060),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3060),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3060),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3060),
    [aux_sym_syslog_facility_token1] = ACTIONS(3060),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3060),
    [aux_sym_keep_alive_token1] = ACTIONS(3060),
    [aux_sym_tag_token1] = ACTIONS(3060),
    [aux_sym_tunnel_token1] = ACTIONS(3062),
    [aux_sym_tunnel_device_token1] = ACTIONS(3060),
    [aux_sym_update_host_keys_token1] = ACTIONS(3060),
    [aux_sym_use_keychain_token1] = ACTIONS(3060),
    [aux_sym_use_roaming_token1] = ACTIONS(3060),
    [aux_sym_user_token1] = ACTIONS(3062),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3060),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3060),
    [aux_sym_version_addendum_token1] = ACTIONS(3060),
    [aux_sym_visual_host_key_token1] = ACTIONS(3060),
    [aux_sym_xauth_location_token1] = ACTIONS(3060),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [aux_sym_match_token1] = ACTIONS(3066),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3066),
    [aux_sym_address_family_token1] = ACTIONS(3066),
    [aux_sym_batch_mode_token1] = ACTIONS(3066),
    [aux_sym_bind_address_token1] = ACTIONS(3066),
    [aux_sym_bind_interface_token1] = ACTIONS(3066),
    [aux_sym_canonical_domains_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3066),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3066),
    [aux_sym_certificate_file_token1] = ACTIONS(3066),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3066),
    [aux_sym_channel_timeout_token1] = ACTIONS(3066),
    [aux_sym_check_host_ip_token1] = ACTIONS(3066),
    [aux_sym_ciphers_token1] = ACTIONS(3066),
    [aux_sym_cipher_token1] = ACTIONS(3068),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3066),
    [aux_sym_compression_token1] = ACTIONS(3066),
    [aux_sym_connection_attempts_token1] = ACTIONS(3066),
    [aux_sym_connect_timeout_token1] = ACTIONS(3066),
    [aux_sym_control_master_token1] = ACTIONS(3066),
    [aux_sym_control_path_token1] = ACTIONS(3066),
    [aux_sym_control_persist_token1] = ACTIONS(3066),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3066),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3066),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3066),
    [aux_sym_escape_char_token1] = ACTIONS(3066),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3066),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3066),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3066),
    [aux_sym_forward_agent_token1] = ACTIONS(3066),
    [aux_sym_forward_x11_token1] = ACTIONS(3068),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3066),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3066),
    [aux_sym_gateway_ports_token1] = ACTIONS(3066),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3066),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3066),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3066),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3066),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3066),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3066),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3066),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3066),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3066),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3066),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3066),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3066),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3066),
    [aux_sym_host_key_alias_token1] = ACTIONS(3066),
    [aux_sym_hostname_token1] = ACTIONS(3066),
    [aux_sym_identities_only_token1] = ACTIONS(3066),
    [aux_sym_identity_agent_token1] = ACTIONS(3066),
    [aux_sym_identity_file_token1] = ACTIONS(3066),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3066),
    [aux_sym_include_token1] = ACTIONS(3066),
    [aux_sym_ip_qos_token1] = ACTIONS(3066),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3066),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3066),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3066),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3066),
    [aux_sym_local_command_token1] = ACTIONS(3066),
    [aux_sym_local_forward_token1] = ACTIONS(3066),
    [aux_sym_log_level_token1] = ACTIONS(3066),
    [aux_sym_log_verbose_token1] = ACTIONS(3066),
    [aux_sym_macs_token1] = ACTIONS(3066),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3066),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3066),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3066),
    [aux_sym_password_authentication_token1] = ACTIONS(3066),
    [aux_sym_permit_local_command_token1] = ACTIONS(3066),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3066),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3066),
    [aux_sym_port_token1] = ACTIONS(3066),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3066),
    [aux_sym_protocol_token1] = ACTIONS(3066),
    [aux_sym_proxy_command_token1] = ACTIONS(3066),
    [aux_sym_proxy_jump_token1] = ACTIONS(3066),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3066),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3066),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3066),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3066),
    [aux_sym_rekey_limit_token1] = ACTIONS(3066),
    [aux_sym_remote_command_token1] = ACTIONS(3066),
    [aux_sym_remote_forward_token1] = ACTIONS(3066),
    [aux_sym_request_tty_token1] = ACTIONS(3066),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3066),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3066),
    [aux_sym_security_key_provider_token1] = ACTIONS(3066),
    [aux_sym_send_env_token1] = ACTIONS(3066),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3066),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3066),
    [aux_sym_session_type_token1] = ACTIONS(3066),
    [aux_sym_set_env_token1] = ACTIONS(3066),
    [aux_sym_stdin_null_token1] = ACTIONS(3066),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3066),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3066),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3066),
    [aux_sym_syslog_facility_token1] = ACTIONS(3066),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3066),
    [aux_sym_keep_alive_token1] = ACTIONS(3066),
    [aux_sym_tag_token1] = ACTIONS(3066),
    [aux_sym_tunnel_token1] = ACTIONS(3068),
    [aux_sym_tunnel_device_token1] = ACTIONS(3066),
    [aux_sym_update_host_keys_token1] = ACTIONS(3066),
    [aux_sym_use_keychain_token1] = ACTIONS(3066),
    [aux_sym_use_roaming_token1] = ACTIONS(3066),
    [aux_sym_user_token1] = ACTIONS(3068),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3066),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3066),
    [aux_sym_version_addendum_token1] = ACTIONS(3066),
    [aux_sym_visual_host_key_token1] = ACTIONS(3066),
    [aux_sym_xauth_location_token1] = ACTIONS(3066),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3076),
    [aux_sym_match_token1] = ACTIONS(3072),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3072),
    [aux_sym_address_family_token1] = ACTIONS(3072),
    [aux_sym_batch_mode_token1] = ACTIONS(3072),
    [aux_sym_bind_address_token1] = ACTIONS(3072),
    [aux_sym_bind_interface_token1] = ACTIONS(3072),
    [aux_sym_canonical_domains_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3072),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3072),
    [aux_sym_certificate_file_token1] = ACTIONS(3072),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3072),
    [aux_sym_channel_timeout_token1] = ACTIONS(3072),
    [aux_sym_check_host_ip_token1] = ACTIONS(3072),
    [aux_sym_ciphers_token1] = ACTIONS(3072),
    [aux_sym_cipher_token1] = ACTIONS(3074),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3072),
    [aux_sym_compression_token1] = ACTIONS(3072),
    [aux_sym_connection_attempts_token1] = ACTIONS(3072),
    [aux_sym_connect_timeout_token1] = ACTIONS(3072),
    [aux_sym_control_master_token1] = ACTIONS(3072),
    [aux_sym_control_path_token1] = ACTIONS(3072),
    [aux_sym_control_persist_token1] = ACTIONS(3072),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3072),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3072),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3072),
    [aux_sym_escape_char_token1] = ACTIONS(3072),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3072),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3072),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3072),
    [aux_sym_forward_agent_token1] = ACTIONS(3072),
    [aux_sym_forward_x11_token1] = ACTIONS(3074),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3072),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3072),
    [aux_sym_gateway_ports_token1] = ACTIONS(3072),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3072),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3072),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3072),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3072),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3072),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3072),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3072),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3072),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3072),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3072),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3072),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3072),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3072),
    [aux_sym_host_key_alias_token1] = ACTIONS(3072),
    [aux_sym_hostname_token1] = ACTIONS(3072),
    [aux_sym_identities_only_token1] = ACTIONS(3072),
    [aux_sym_identity_agent_token1] = ACTIONS(3072),
    [aux_sym_identity_file_token1] = ACTIONS(3072),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3072),
    [aux_sym_include_token1] = ACTIONS(3072),
    [aux_sym_ip_qos_token1] = ACTIONS(3072),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3072),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3072),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3072),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3072),
    [aux_sym_local_command_token1] = ACTIONS(3072),
    [aux_sym_local_forward_token1] = ACTIONS(3072),
    [aux_sym_log_level_token1] = ACTIONS(3072),
    [aux_sym_log_verbose_token1] = ACTIONS(3072),
    [aux_sym_macs_token1] = ACTIONS(3072),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3072),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3072),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3072),
    [aux_sym_password_authentication_token1] = ACTIONS(3072),
    [aux_sym_permit_local_command_token1] = ACTIONS(3072),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3072),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3072),
    [aux_sym_port_token1] = ACTIONS(3072),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3072),
    [aux_sym_protocol_token1] = ACTIONS(3072),
    [aux_sym_proxy_command_token1] = ACTIONS(3072),
    [aux_sym_proxy_jump_token1] = ACTIONS(3072),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3072),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3072),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3072),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3072),
    [aux_sym_rekey_limit_token1] = ACTIONS(3072),
    [aux_sym_remote_command_token1] = ACTIONS(3072),
    [aux_sym_remote_forward_token1] = ACTIONS(3072),
    [aux_sym_request_tty_token1] = ACTIONS(3072),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3072),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3072),
    [aux_sym_security_key_provider_token1] = ACTIONS(3072),
    [aux_sym_send_env_token1] = ACTIONS(3072),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3072),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3072),
    [aux_sym_session_type_token1] = ACTIONS(3072),
    [aux_sym_set_env_token1] = ACTIONS(3072),
    [aux_sym_stdin_null_token1] = ACTIONS(3072),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3072),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3072),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3072),
    [aux_sym_syslog_facility_token1] = ACTIONS(3072),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3072),
    [aux_sym_keep_alive_token1] = ACTIONS(3072),
    [aux_sym_tag_token1] = ACTIONS(3072),
    [aux_sym_tunnel_token1] = ACTIONS(3074),
    [aux_sym_tunnel_device_token1] = ACTIONS(3072),
    [aux_sym_update_host_keys_token1] = ACTIONS(3072),
    [aux_sym_use_keychain_token1] = ACTIONS(3072),
    [aux_sym_use_roaming_token1] = ACTIONS(3072),
    [aux_sym_user_token1] = ACTIONS(3074),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3072),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3072),
    [aux_sym_version_addendum_token1] = ACTIONS(3072),
    [aux_sym_visual_host_key_token1] = ACTIONS(3072),
    [aux_sym_xauth_location_token1] = ACTIONS(3072),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [aux_sym_match_token1] = ACTIONS(3078),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3078),
    [aux_sym_address_family_token1] = ACTIONS(3078),
    [aux_sym_batch_mode_token1] = ACTIONS(3078),
    [aux_sym_bind_address_token1] = ACTIONS(3078),
    [aux_sym_bind_interface_token1] = ACTIONS(3078),
    [aux_sym_canonical_domains_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3078),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3078),
    [aux_sym_certificate_file_token1] = ACTIONS(3078),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3078),
    [aux_sym_channel_timeout_token1] = ACTIONS(3078),
    [aux_sym_check_host_ip_token1] = ACTIONS(3078),
    [aux_sym_ciphers_token1] = ACTIONS(3078),
    [aux_sym_cipher_token1] = ACTIONS(3080),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3078),
    [aux_sym_compression_token1] = ACTIONS(3078),
    [aux_sym_connection_attempts_token1] = ACTIONS(3078),
    [aux_sym_connect_timeout_token1] = ACTIONS(3078),
    [aux_sym_control_master_token1] = ACTIONS(3078),
    [aux_sym_control_path_token1] = ACTIONS(3078),
    [aux_sym_control_persist_token1] = ACTIONS(3078),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3078),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3078),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3078),
    [aux_sym_escape_char_token1] = ACTIONS(3078),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3078),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3078),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3078),
    [aux_sym_forward_agent_token1] = ACTIONS(3078),
    [aux_sym_forward_x11_token1] = ACTIONS(3080),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3078),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3078),
    [aux_sym_gateway_ports_token1] = ACTIONS(3078),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3078),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3078),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3078),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3078),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3078),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3078),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3078),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3078),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3078),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3078),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3078),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3078),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3078),
    [aux_sym_host_key_alias_token1] = ACTIONS(3078),
    [aux_sym_hostname_token1] = ACTIONS(3078),
    [aux_sym_identities_only_token1] = ACTIONS(3078),
    [aux_sym_identity_agent_token1] = ACTIONS(3078),
    [aux_sym_identity_file_token1] = ACTIONS(3078),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3078),
    [aux_sym_include_token1] = ACTIONS(3078),
    [aux_sym_ip_qos_token1] = ACTIONS(3078),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3078),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3078),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3078),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3078),
    [aux_sym_local_command_token1] = ACTIONS(3078),
    [aux_sym_local_forward_token1] = ACTIONS(3078),
    [aux_sym_log_level_token1] = ACTIONS(3078),
    [aux_sym_log_verbose_token1] = ACTIONS(3078),
    [aux_sym_macs_token1] = ACTIONS(3078),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3078),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3078),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3078),
    [aux_sym_password_authentication_token1] = ACTIONS(3078),
    [aux_sym_permit_local_command_token1] = ACTIONS(3078),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3078),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3078),
    [aux_sym_port_token1] = ACTIONS(3078),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3078),
    [aux_sym_protocol_token1] = ACTIONS(3078),
    [aux_sym_proxy_command_token1] = ACTIONS(3078),
    [aux_sym_proxy_jump_token1] = ACTIONS(3078),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3078),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3078),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3078),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3078),
    [aux_sym_rekey_limit_token1] = ACTIONS(3078),
    [aux_sym_remote_command_token1] = ACTIONS(3078),
    [aux_sym_remote_forward_token1] = ACTIONS(3078),
    [aux_sym_request_tty_token1] = ACTIONS(3078),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3078),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3078),
    [aux_sym_security_key_provider_token1] = ACTIONS(3078),
    [aux_sym_send_env_token1] = ACTIONS(3078),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3078),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3078),
    [aux_sym_session_type_token1] = ACTIONS(3078),
    [aux_sym_set_env_token1] = ACTIONS(3078),
    [aux_sym_stdin_null_token1] = ACTIONS(3078),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3078),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3078),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3078),
    [aux_sym_syslog_facility_token1] = ACTIONS(3078),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3078),
    [aux_sym_keep_alive_token1] = ACTIONS(3078),
    [aux_sym_tag_token1] = ACTIONS(3078),
    [aux_sym_tunnel_token1] = ACTIONS(3080),
    [aux_sym_tunnel_device_token1] = ACTIONS(3078),
    [aux_sym_update_host_keys_token1] = ACTIONS(3078),
    [aux_sym_use_keychain_token1] = ACTIONS(3078),
    [aux_sym_use_roaming_token1] = ACTIONS(3078),
    [aux_sym_user_token1] = ACTIONS(3080),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3078),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3078),
    [aux_sym_version_addendum_token1] = ACTIONS(3078),
    [aux_sym_visual_host_key_token1] = ACTIONS(3078),
    [aux_sym_xauth_location_token1] = ACTIONS(3078),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3088),
    [aux_sym_match_token1] = ACTIONS(3084),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3084),
    [aux_sym_address_family_token1] = ACTIONS(3084),
    [aux_sym_batch_mode_token1] = ACTIONS(3084),
    [aux_sym_bind_address_token1] = ACTIONS(3084),
    [aux_sym_bind_interface_token1] = ACTIONS(3084),
    [aux_sym_canonical_domains_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3084),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3084),
    [aux_sym_certificate_file_token1] = ACTIONS(3084),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3084),
    [aux_sym_channel_timeout_token1] = ACTIONS(3084),
    [aux_sym_check_host_ip_token1] = ACTIONS(3084),
    [aux_sym_ciphers_token1] = ACTIONS(3084),
    [aux_sym_cipher_token1] = ACTIONS(3086),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3084),
    [aux_sym_compression_token1] = ACTIONS(3084),
    [aux_sym_connection_attempts_token1] = ACTIONS(3084),
    [aux_sym_connect_timeout_token1] = ACTIONS(3084),
    [aux_sym_control_master_token1] = ACTIONS(3084),
    [aux_sym_control_path_token1] = ACTIONS(3084),
    [aux_sym_control_persist_token1] = ACTIONS(3084),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3084),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3084),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3084),
    [aux_sym_escape_char_token1] = ACTIONS(3084),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3084),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3084),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3084),
    [aux_sym_forward_agent_token1] = ACTIONS(3084),
    [aux_sym_forward_x11_token1] = ACTIONS(3086),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3084),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3084),
    [aux_sym_gateway_ports_token1] = ACTIONS(3084),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3084),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3084),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3084),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3084),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3084),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3084),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3084),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3084),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3084),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3084),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3084),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3084),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3084),
    [aux_sym_host_key_alias_token1] = ACTIONS(3084),
    [aux_sym_hostname_token1] = ACTIONS(3084),
    [aux_sym_identities_only_token1] = ACTIONS(3084),
    [aux_sym_identity_agent_token1] = ACTIONS(3084),
    [aux_sym_identity_file_token1] = ACTIONS(3084),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3084),
    [aux_sym_include_token1] = ACTIONS(3084),
    [aux_sym_ip_qos_token1] = ACTIONS(3084),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3084),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3084),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3084),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3084),
    [aux_sym_local_command_token1] = ACTIONS(3084),
    [aux_sym_local_forward_token1] = ACTIONS(3084),
    [aux_sym_log_level_token1] = ACTIONS(3084),
    [aux_sym_log_verbose_token1] = ACTIONS(3084),
    [aux_sym_macs_token1] = ACTIONS(3084),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3084),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3084),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3084),
    [aux_sym_password_authentication_token1] = ACTIONS(3084),
    [aux_sym_permit_local_command_token1] = ACTIONS(3084),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3084),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3084),
    [aux_sym_port_token1] = ACTIONS(3084),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3084),
    [aux_sym_protocol_token1] = ACTIONS(3084),
    [aux_sym_proxy_command_token1] = ACTIONS(3084),
    [aux_sym_proxy_jump_token1] = ACTIONS(3084),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3084),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3084),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3084),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3084),
    [aux_sym_rekey_limit_token1] = ACTIONS(3084),
    [aux_sym_remote_command_token1] = ACTIONS(3084),
    [aux_sym_remote_forward_token1] = ACTIONS(3084),
    [aux_sym_request_tty_token1] = ACTIONS(3084),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3084),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3084),
    [aux_sym_security_key_provider_token1] = ACTIONS(3084),
    [aux_sym_send_env_token1] = ACTIONS(3084),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3084),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3084),
    [aux_sym_session_type_token1] = ACTIONS(3084),
    [aux_sym_set_env_token1] = ACTIONS(3084),
    [aux_sym_stdin_null_token1] = ACTIONS(3084),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3084),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3084),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3084),
    [aux_sym_syslog_facility_token1] = ACTIONS(3084),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3084),
    [aux_sym_keep_alive_token1] = ACTIONS(3084),
    [aux_sym_tag_token1] = ACTIONS(3084),
    [aux_sym_tunnel_token1] = ACTIONS(3086),
    [aux_sym_tunnel_device_token1] = ACTIONS(3084),
    [aux_sym_update_host_keys_token1] = ACTIONS(3084),
    [aux_sym_use_keychain_token1] = ACTIONS(3084),
    [aux_sym_use_roaming_token1] = ACTIONS(3084),
    [aux_sym_user_token1] = ACTIONS(3086),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3084),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3084),
    [aux_sym_version_addendum_token1] = ACTIONS(3084),
    [aux_sym_visual_host_key_token1] = ACTIONS(3084),
    [aux_sym_xauth_location_token1] = ACTIONS(3084),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [aux_sym_match_token1] = ACTIONS(3090),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3090),
    [aux_sym_address_family_token1] = ACTIONS(3090),
    [aux_sym_batch_mode_token1] = ACTIONS(3090),
    [aux_sym_bind_address_token1] = ACTIONS(3090),
    [aux_sym_bind_interface_token1] = ACTIONS(3090),
    [aux_sym_canonical_domains_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3090),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3090),
    [aux_sym_certificate_file_token1] = ACTIONS(3090),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3090),
    [aux_sym_channel_timeout_token1] = ACTIONS(3090),
    [aux_sym_check_host_ip_token1] = ACTIONS(3090),
    [aux_sym_ciphers_token1] = ACTIONS(3090),
    [aux_sym_cipher_token1] = ACTIONS(3092),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3090),
    [aux_sym_compression_token1] = ACTIONS(3090),
    [aux_sym_connection_attempts_token1] = ACTIONS(3090),
    [aux_sym_connect_timeout_token1] = ACTIONS(3090),
    [aux_sym_control_master_token1] = ACTIONS(3090),
    [aux_sym_control_path_token1] = ACTIONS(3090),
    [aux_sym_control_persist_token1] = ACTIONS(3090),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3090),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3090),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3090),
    [aux_sym_escape_char_token1] = ACTIONS(3090),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3090),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3090),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3090),
    [aux_sym_forward_agent_token1] = ACTIONS(3090),
    [aux_sym_forward_x11_token1] = ACTIONS(3092),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3090),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3090),
    [aux_sym_gateway_ports_token1] = ACTIONS(3090),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3090),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3090),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3090),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3090),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3090),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3090),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3090),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3090),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3090),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3090),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3090),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3090),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3090),
    [aux_sym_host_key_alias_token1] = ACTIONS(3090),
    [aux_sym_hostname_token1] = ACTIONS(3090),
    [aux_sym_identities_only_token1] = ACTIONS(3090),
    [aux_sym_identity_agent_token1] = ACTIONS(3090),
    [aux_sym_identity_file_token1] = ACTIONS(3090),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3090),
    [aux_sym_include_token1] = ACTIONS(3090),
    [aux_sym_ip_qos_token1] = ACTIONS(3090),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3090),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3090),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3090),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3090),
    [aux_sym_local_command_token1] = ACTIONS(3090),
    [aux_sym_local_forward_token1] = ACTIONS(3090),
    [aux_sym_log_level_token1] = ACTIONS(3090),
    [aux_sym_log_verbose_token1] = ACTIONS(3090),
    [aux_sym_macs_token1] = ACTIONS(3090),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3090),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3090),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3090),
    [aux_sym_password_authentication_token1] = ACTIONS(3090),
    [aux_sym_permit_local_command_token1] = ACTIONS(3090),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3090),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3090),
    [aux_sym_port_token1] = ACTIONS(3090),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3090),
    [aux_sym_protocol_token1] = ACTIONS(3090),
    [aux_sym_proxy_command_token1] = ACTIONS(3090),
    [aux_sym_proxy_jump_token1] = ACTIONS(3090),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3090),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3090),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3090),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3090),
    [aux_sym_rekey_limit_token1] = ACTIONS(3090),
    [aux_sym_remote_command_token1] = ACTIONS(3090),
    [aux_sym_remote_forward_token1] = ACTIONS(3090),
    [aux_sym_request_tty_token1] = ACTIONS(3090),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3090),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3090),
    [aux_sym_security_key_provider_token1] = ACTIONS(3090),
    [aux_sym_send_env_token1] = ACTIONS(3090),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3090),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3090),
    [aux_sym_session_type_token1] = ACTIONS(3090),
    [aux_sym_set_env_token1] = ACTIONS(3090),
    [aux_sym_stdin_null_token1] = ACTIONS(3090),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3090),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3090),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3090),
    [aux_sym_syslog_facility_token1] = ACTIONS(3090),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3090),
    [aux_sym_keep_alive_token1] = ACTIONS(3090),
    [aux_sym_tag_token1] = ACTIONS(3090),
    [aux_sym_tunnel_token1] = ACTIONS(3092),
    [aux_sym_tunnel_device_token1] = ACTIONS(3090),
    [aux_sym_update_host_keys_token1] = ACTIONS(3090),
    [aux_sym_use_keychain_token1] = ACTIONS(3090),
    [aux_sym_use_roaming_token1] = ACTIONS(3090),
    [aux_sym_user_token1] = ACTIONS(3092),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3090),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3090),
    [aux_sym_version_addendum_token1] = ACTIONS(3090),
    [aux_sym_visual_host_key_token1] = ACTIONS(3090),
    [aux_sym_xauth_location_token1] = ACTIONS(3090),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [aux_sym_match_token1] = ACTIONS(3096),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3096),
    [aux_sym_address_family_token1] = ACTIONS(3096),
    [aux_sym_batch_mode_token1] = ACTIONS(3096),
    [aux_sym_bind_address_token1] = ACTIONS(3096),
    [aux_sym_bind_interface_token1] = ACTIONS(3096),
    [aux_sym_canonical_domains_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3096),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3096),
    [aux_sym_certificate_file_token1] = ACTIONS(3096),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3096),
    [aux_sym_channel_timeout_token1] = ACTIONS(3096),
    [aux_sym_check_host_ip_token1] = ACTIONS(3096),
    [aux_sym_ciphers_token1] = ACTIONS(3096),
    [aux_sym_cipher_token1] = ACTIONS(3098),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3096),
    [aux_sym_compression_token1] = ACTIONS(3096),
    [aux_sym_connection_attempts_token1] = ACTIONS(3096),
    [aux_sym_connect_timeout_token1] = ACTIONS(3096),
    [aux_sym_control_master_token1] = ACTIONS(3096),
    [aux_sym_control_path_token1] = ACTIONS(3096),
    [aux_sym_control_persist_token1] = ACTIONS(3096),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3096),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3096),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3096),
    [aux_sym_escape_char_token1] = ACTIONS(3096),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3096),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3096),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3096),
    [aux_sym_forward_agent_token1] = ACTIONS(3096),
    [aux_sym_forward_x11_token1] = ACTIONS(3098),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3096),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3096),
    [aux_sym_gateway_ports_token1] = ACTIONS(3096),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3096),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3096),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3096),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3096),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3096),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3096),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3096),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3096),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3096),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3096),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3096),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3096),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3096),
    [aux_sym_host_key_alias_token1] = ACTIONS(3096),
    [aux_sym_hostname_token1] = ACTIONS(3096),
    [aux_sym_identities_only_token1] = ACTIONS(3096),
    [aux_sym_identity_agent_token1] = ACTIONS(3096),
    [aux_sym_identity_file_token1] = ACTIONS(3096),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3096),
    [aux_sym_include_token1] = ACTIONS(3096),
    [aux_sym_ip_qos_token1] = ACTIONS(3096),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3096),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3096),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3096),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3096),
    [aux_sym_local_command_token1] = ACTIONS(3096),
    [aux_sym_local_forward_token1] = ACTIONS(3096),
    [aux_sym_log_level_token1] = ACTIONS(3096),
    [aux_sym_log_verbose_token1] = ACTIONS(3096),
    [aux_sym_macs_token1] = ACTIONS(3096),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3096),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3096),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3096),
    [aux_sym_password_authentication_token1] = ACTIONS(3096),
    [aux_sym_permit_local_command_token1] = ACTIONS(3096),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3096),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3096),
    [aux_sym_port_token1] = ACTIONS(3096),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3096),
    [aux_sym_protocol_token1] = ACTIONS(3096),
    [aux_sym_proxy_command_token1] = ACTIONS(3096),
    [aux_sym_proxy_jump_token1] = ACTIONS(3096),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3096),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3096),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3096),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3096),
    [aux_sym_rekey_limit_token1] = ACTIONS(3096),
    [aux_sym_remote_command_token1] = ACTIONS(3096),
    [aux_sym_remote_forward_token1] = ACTIONS(3096),
    [aux_sym_request_tty_token1] = ACTIONS(3096),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3096),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3096),
    [aux_sym_security_key_provider_token1] = ACTIONS(3096),
    [aux_sym_send_env_token1] = ACTIONS(3096),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3096),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3096),
    [aux_sym_session_type_token1] = ACTIONS(3096),
    [aux_sym_set_env_token1] = ACTIONS(3096),
    [aux_sym_stdin_null_token1] = ACTIONS(3096),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3096),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3096),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3096),
    [aux_sym_syslog_facility_token1] = ACTIONS(3096),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3096),
    [aux_sym_keep_alive_token1] = ACTIONS(3096),
    [aux_sym_tag_token1] = ACTIONS(3096),
    [aux_sym_tunnel_token1] = ACTIONS(3098),
    [aux_sym_tunnel_device_token1] = ACTIONS(3096),
    [aux_sym_update_host_keys_token1] = ACTIONS(3096),
    [aux_sym_use_keychain_token1] = ACTIONS(3096),
    [aux_sym_use_roaming_token1] = ACTIONS(3096),
    [aux_sym_user_token1] = ACTIONS(3098),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3096),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3096),
    [aux_sym_version_addendum_token1] = ACTIONS(3096),
    [aux_sym_visual_host_key_token1] = ACTIONS(3096),
    [aux_sym_xauth_location_token1] = ACTIONS(3096),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [aux_sym_match_token1] = ACTIONS(3102),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3102),
    [aux_sym_address_family_token1] = ACTIONS(3102),
    [aux_sym_batch_mode_token1] = ACTIONS(3102),
    [aux_sym_bind_address_token1] = ACTIONS(3102),
    [aux_sym_bind_interface_token1] = ACTIONS(3102),
    [aux_sym_canonical_domains_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3102),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3102),
    [aux_sym_certificate_file_token1] = ACTIONS(3102),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3102),
    [aux_sym_channel_timeout_token1] = ACTIONS(3102),
    [aux_sym_check_host_ip_token1] = ACTIONS(3102),
    [aux_sym_ciphers_token1] = ACTIONS(3102),
    [aux_sym_cipher_token1] = ACTIONS(3104),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3102),
    [aux_sym_compression_token1] = ACTIONS(3102),
    [aux_sym_connection_attempts_token1] = ACTIONS(3102),
    [aux_sym_connect_timeout_token1] = ACTIONS(3102),
    [aux_sym_control_master_token1] = ACTIONS(3102),
    [aux_sym_control_path_token1] = ACTIONS(3102),
    [aux_sym_control_persist_token1] = ACTIONS(3102),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3102),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3102),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3102),
    [aux_sym_escape_char_token1] = ACTIONS(3102),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3102),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3102),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3102),
    [aux_sym_forward_agent_token1] = ACTIONS(3102),
    [aux_sym_forward_x11_token1] = ACTIONS(3104),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3102),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3102),
    [aux_sym_gateway_ports_token1] = ACTIONS(3102),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3102),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3102),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3102),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3102),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3102),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3102),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3102),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3102),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3102),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3102),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3102),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3102),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3102),
    [aux_sym_host_key_alias_token1] = ACTIONS(3102),
    [aux_sym_hostname_token1] = ACTIONS(3102),
    [aux_sym_identities_only_token1] = ACTIONS(3102),
    [aux_sym_identity_agent_token1] = ACTIONS(3102),
    [aux_sym_identity_file_token1] = ACTIONS(3102),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3102),
    [aux_sym_include_token1] = ACTIONS(3102),
    [aux_sym_ip_qos_token1] = ACTIONS(3102),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3102),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3102),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3102),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3102),
    [aux_sym_local_command_token1] = ACTIONS(3102),
    [aux_sym_local_forward_token1] = ACTIONS(3102),
    [aux_sym_log_level_token1] = ACTIONS(3102),
    [aux_sym_log_verbose_token1] = ACTIONS(3102),
    [aux_sym_macs_token1] = ACTIONS(3102),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3102),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3102),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3102),
    [aux_sym_password_authentication_token1] = ACTIONS(3102),
    [aux_sym_permit_local_command_token1] = ACTIONS(3102),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3102),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3102),
    [aux_sym_port_token1] = ACTIONS(3102),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3102),
    [aux_sym_protocol_token1] = ACTIONS(3102),
    [aux_sym_proxy_command_token1] = ACTIONS(3102),
    [aux_sym_proxy_jump_token1] = ACTIONS(3102),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3102),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3102),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3102),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3102),
    [aux_sym_rekey_limit_token1] = ACTIONS(3102),
    [aux_sym_remote_command_token1] = ACTIONS(3102),
    [aux_sym_remote_forward_token1] = ACTIONS(3102),
    [aux_sym_request_tty_token1] = ACTIONS(3102),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3102),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3102),
    [aux_sym_security_key_provider_token1] = ACTIONS(3102),
    [aux_sym_send_env_token1] = ACTIONS(3102),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3102),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3102),
    [aux_sym_session_type_token1] = ACTIONS(3102),
    [aux_sym_set_env_token1] = ACTIONS(3102),
    [aux_sym_stdin_null_token1] = ACTIONS(3102),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3102),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3102),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3102),
    [aux_sym_syslog_facility_token1] = ACTIONS(3102),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3102),
    [aux_sym_keep_alive_token1] = ACTIONS(3102),
    [aux_sym_tag_token1] = ACTIONS(3102),
    [aux_sym_tunnel_token1] = ACTIONS(3104),
    [aux_sym_tunnel_device_token1] = ACTIONS(3102),
    [aux_sym_update_host_keys_token1] = ACTIONS(3102),
    [aux_sym_use_keychain_token1] = ACTIONS(3102),
    [aux_sym_use_roaming_token1] = ACTIONS(3102),
    [aux_sym_user_token1] = ACTIONS(3104),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3102),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3102),
    [aux_sym_version_addendum_token1] = ACTIONS(3102),
    [aux_sym_visual_host_key_token1] = ACTIONS(3102),
    [aux_sym_xauth_location_token1] = ACTIONS(3102),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [aux_sym_match_token1] = ACTIONS(3108),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3108),
    [aux_sym_address_family_token1] = ACTIONS(3108),
    [aux_sym_batch_mode_token1] = ACTIONS(3108),
    [aux_sym_bind_address_token1] = ACTIONS(3108),
    [aux_sym_bind_interface_token1] = ACTIONS(3108),
    [aux_sym_canonical_domains_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3108),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3108),
    [aux_sym_certificate_file_token1] = ACTIONS(3108),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3108),
    [aux_sym_channel_timeout_token1] = ACTIONS(3108),
    [aux_sym_check_host_ip_token1] = ACTIONS(3108),
    [aux_sym_ciphers_token1] = ACTIONS(3108),
    [aux_sym_cipher_token1] = ACTIONS(3110),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3108),
    [aux_sym_compression_token1] = ACTIONS(3108),
    [aux_sym_connection_attempts_token1] = ACTIONS(3108),
    [aux_sym_connect_timeout_token1] = ACTIONS(3108),
    [aux_sym_control_master_token1] = ACTIONS(3108),
    [aux_sym_control_path_token1] = ACTIONS(3108),
    [aux_sym_control_persist_token1] = ACTIONS(3108),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3108),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3108),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3108),
    [aux_sym_escape_char_token1] = ACTIONS(3108),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3108),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3108),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3108),
    [aux_sym_forward_agent_token1] = ACTIONS(3108),
    [aux_sym_forward_x11_token1] = ACTIONS(3110),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3108),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3108),
    [aux_sym_gateway_ports_token1] = ACTIONS(3108),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3108),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3108),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3108),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3108),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3108),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3108),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3108),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3108),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3108),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3108),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3108),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3108),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3108),
    [aux_sym_host_key_alias_token1] = ACTIONS(3108),
    [aux_sym_hostname_token1] = ACTIONS(3108),
    [aux_sym_identities_only_token1] = ACTIONS(3108),
    [aux_sym_identity_agent_token1] = ACTIONS(3108),
    [aux_sym_identity_file_token1] = ACTIONS(3108),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3108),
    [aux_sym_include_token1] = ACTIONS(3108),
    [aux_sym_ip_qos_token1] = ACTIONS(3108),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3108),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3108),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3108),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3108),
    [aux_sym_local_command_token1] = ACTIONS(3108),
    [aux_sym_local_forward_token1] = ACTIONS(3108),
    [aux_sym_log_level_token1] = ACTIONS(3108),
    [aux_sym_log_verbose_token1] = ACTIONS(3108),
    [aux_sym_macs_token1] = ACTIONS(3108),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3108),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3108),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3108),
    [aux_sym_password_authentication_token1] = ACTIONS(3108),
    [aux_sym_permit_local_command_token1] = ACTIONS(3108),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3108),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3108),
    [aux_sym_port_token1] = ACTIONS(3108),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3108),
    [aux_sym_protocol_token1] = ACTIONS(3108),
    [aux_sym_proxy_command_token1] = ACTIONS(3108),
    [aux_sym_proxy_jump_token1] = ACTIONS(3108),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3108),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3108),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3108),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3108),
    [aux_sym_rekey_limit_token1] = ACTIONS(3108),
    [aux_sym_remote_command_token1] = ACTIONS(3108),
    [aux_sym_remote_forward_token1] = ACTIONS(3108),
    [aux_sym_request_tty_token1] = ACTIONS(3108),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3108),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3108),
    [aux_sym_security_key_provider_token1] = ACTIONS(3108),
    [aux_sym_send_env_token1] = ACTIONS(3108),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3108),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3108),
    [aux_sym_session_type_token1] = ACTIONS(3108),
    [aux_sym_set_env_token1] = ACTIONS(3108),
    [aux_sym_stdin_null_token1] = ACTIONS(3108),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3108),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3108),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3108),
    [aux_sym_syslog_facility_token1] = ACTIONS(3108),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3108),
    [aux_sym_keep_alive_token1] = ACTIONS(3108),
    [aux_sym_tag_token1] = ACTIONS(3108),
    [aux_sym_tunnel_token1] = ACTIONS(3110),
    [aux_sym_tunnel_device_token1] = ACTIONS(3108),
    [aux_sym_update_host_keys_token1] = ACTIONS(3108),
    [aux_sym_use_keychain_token1] = ACTIONS(3108),
    [aux_sym_use_roaming_token1] = ACTIONS(3108),
    [aux_sym_user_token1] = ACTIONS(3110),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3108),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3108),
    [aux_sym_version_addendum_token1] = ACTIONS(3108),
    [aux_sym_visual_host_key_token1] = ACTIONS(3108),
    [aux_sym_xauth_location_token1] = ACTIONS(3108),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [aux_sym_match_token1] = ACTIONS(3114),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3114),
    [aux_sym_address_family_token1] = ACTIONS(3114),
    [aux_sym_batch_mode_token1] = ACTIONS(3114),
    [aux_sym_bind_address_token1] = ACTIONS(3114),
    [aux_sym_bind_interface_token1] = ACTIONS(3114),
    [aux_sym_canonical_domains_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3114),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3114),
    [aux_sym_certificate_file_token1] = ACTIONS(3114),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3114),
    [aux_sym_channel_timeout_token1] = ACTIONS(3114),
    [aux_sym_check_host_ip_token1] = ACTIONS(3114),
    [aux_sym_ciphers_token1] = ACTIONS(3114),
    [aux_sym_cipher_token1] = ACTIONS(3116),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3114),
    [aux_sym_compression_token1] = ACTIONS(3114),
    [aux_sym_connection_attempts_token1] = ACTIONS(3114),
    [aux_sym_connect_timeout_token1] = ACTIONS(3114),
    [aux_sym_control_master_token1] = ACTIONS(3114),
    [aux_sym_control_path_token1] = ACTIONS(3114),
    [aux_sym_control_persist_token1] = ACTIONS(3114),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3114),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3114),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3114),
    [aux_sym_escape_char_token1] = ACTIONS(3114),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3114),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3114),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3114),
    [aux_sym_forward_agent_token1] = ACTIONS(3114),
    [aux_sym_forward_x11_token1] = ACTIONS(3116),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3114),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3114),
    [aux_sym_gateway_ports_token1] = ACTIONS(3114),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3114),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3114),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3114),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3114),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3114),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3114),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3114),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3114),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3114),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3114),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3114),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3114),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3114),
    [aux_sym_host_key_alias_token1] = ACTIONS(3114),
    [aux_sym_hostname_token1] = ACTIONS(3114),
    [aux_sym_identities_only_token1] = ACTIONS(3114),
    [aux_sym_identity_agent_token1] = ACTIONS(3114),
    [aux_sym_identity_file_token1] = ACTIONS(3114),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3114),
    [aux_sym_include_token1] = ACTIONS(3114),
    [aux_sym_ip_qos_token1] = ACTIONS(3114),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3114),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3114),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3114),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3114),
    [aux_sym_local_command_token1] = ACTIONS(3114),
    [aux_sym_local_forward_token1] = ACTIONS(3114),
    [aux_sym_log_level_token1] = ACTIONS(3114),
    [aux_sym_log_verbose_token1] = ACTIONS(3114),
    [aux_sym_macs_token1] = ACTIONS(3114),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3114),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3114),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3114),
    [aux_sym_password_authentication_token1] = ACTIONS(3114),
    [aux_sym_permit_local_command_token1] = ACTIONS(3114),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3114),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3114),
    [aux_sym_port_token1] = ACTIONS(3114),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3114),
    [aux_sym_protocol_token1] = ACTIONS(3114),
    [aux_sym_proxy_command_token1] = ACTIONS(3114),
    [aux_sym_proxy_jump_token1] = ACTIONS(3114),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3114),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3114),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3114),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3114),
    [aux_sym_rekey_limit_token1] = ACTIONS(3114),
    [aux_sym_remote_command_token1] = ACTIONS(3114),
    [aux_sym_remote_forward_token1] = ACTIONS(3114),
    [aux_sym_request_tty_token1] = ACTIONS(3114),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3114),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3114),
    [aux_sym_security_key_provider_token1] = ACTIONS(3114),
    [aux_sym_send_env_token1] = ACTIONS(3114),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3114),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3114),
    [aux_sym_session_type_token1] = ACTIONS(3114),
    [aux_sym_set_env_token1] = ACTIONS(3114),
    [aux_sym_stdin_null_token1] = ACTIONS(3114),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3114),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3114),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3114),
    [aux_sym_syslog_facility_token1] = ACTIONS(3114),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3114),
    [aux_sym_keep_alive_token1] = ACTIONS(3114),
    [aux_sym_tag_token1] = ACTIONS(3114),
    [aux_sym_tunnel_token1] = ACTIONS(3116),
    [aux_sym_tunnel_device_token1] = ACTIONS(3114),
    [aux_sym_update_host_keys_token1] = ACTIONS(3114),
    [aux_sym_use_keychain_token1] = ACTIONS(3114),
    [aux_sym_use_roaming_token1] = ACTIONS(3114),
    [aux_sym_user_token1] = ACTIONS(3116),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3114),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3114),
    [aux_sym_version_addendum_token1] = ACTIONS(3114),
    [aux_sym_visual_host_key_token1] = ACTIONS(3114),
    [aux_sym_xauth_location_token1] = ACTIONS(3114),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [aux_sym_match_token1] = ACTIONS(3120),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3120),
    [aux_sym_address_family_token1] = ACTIONS(3120),
    [aux_sym_batch_mode_token1] = ACTIONS(3120),
    [aux_sym_bind_address_token1] = ACTIONS(3120),
    [aux_sym_bind_interface_token1] = ACTIONS(3120),
    [aux_sym_canonical_domains_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3120),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3120),
    [aux_sym_certificate_file_token1] = ACTIONS(3120),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3120),
    [aux_sym_channel_timeout_token1] = ACTIONS(3120),
    [aux_sym_check_host_ip_token1] = ACTIONS(3120),
    [aux_sym_ciphers_token1] = ACTIONS(3120),
    [aux_sym_cipher_token1] = ACTIONS(3122),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3120),
    [aux_sym_compression_token1] = ACTIONS(3120),
    [aux_sym_connection_attempts_token1] = ACTIONS(3120),
    [aux_sym_connect_timeout_token1] = ACTIONS(3120),
    [aux_sym_control_master_token1] = ACTIONS(3120),
    [aux_sym_control_path_token1] = ACTIONS(3120),
    [aux_sym_control_persist_token1] = ACTIONS(3120),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3120),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3120),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3120),
    [aux_sym_escape_char_token1] = ACTIONS(3120),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3120),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3120),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3120),
    [aux_sym_forward_agent_token1] = ACTIONS(3120),
    [aux_sym_forward_x11_token1] = ACTIONS(3122),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3120),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3120),
    [aux_sym_gateway_ports_token1] = ACTIONS(3120),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3120),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3120),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3120),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3120),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3120),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3120),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3120),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3120),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3120),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3120),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3120),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3120),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3120),
    [aux_sym_host_key_alias_token1] = ACTIONS(3120),
    [aux_sym_hostname_token1] = ACTIONS(3120),
    [aux_sym_identities_only_token1] = ACTIONS(3120),
    [aux_sym_identity_agent_token1] = ACTIONS(3120),
    [aux_sym_identity_file_token1] = ACTIONS(3120),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3120),
    [aux_sym_include_token1] = ACTIONS(3120),
    [aux_sym_ip_qos_token1] = ACTIONS(3120),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3120),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3120),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3120),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3120),
    [aux_sym_local_command_token1] = ACTIONS(3120),
    [aux_sym_local_forward_token1] = ACTIONS(3120),
    [aux_sym_log_level_token1] = ACTIONS(3120),
    [aux_sym_log_verbose_token1] = ACTIONS(3120),
    [aux_sym_macs_token1] = ACTIONS(3120),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3120),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3120),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3120),
    [aux_sym_password_authentication_token1] = ACTIONS(3120),
    [aux_sym_permit_local_command_token1] = ACTIONS(3120),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3120),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3120),
    [aux_sym_port_token1] = ACTIONS(3120),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3120),
    [aux_sym_protocol_token1] = ACTIONS(3120),
    [aux_sym_proxy_command_token1] = ACTIONS(3120),
    [aux_sym_proxy_jump_token1] = ACTIONS(3120),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3120),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3120),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3120),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3120),
    [aux_sym_rekey_limit_token1] = ACTIONS(3120),
    [aux_sym_remote_command_token1] = ACTIONS(3120),
    [aux_sym_remote_forward_token1] = ACTIONS(3120),
    [aux_sym_request_tty_token1] = ACTIONS(3120),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3120),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3120),
    [aux_sym_security_key_provider_token1] = ACTIONS(3120),
    [aux_sym_send_env_token1] = ACTIONS(3120),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3120),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3120),
    [aux_sym_session_type_token1] = ACTIONS(3120),
    [aux_sym_set_env_token1] = ACTIONS(3120),
    [aux_sym_stdin_null_token1] = ACTIONS(3120),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3120),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3120),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3120),
    [aux_sym_syslog_facility_token1] = ACTIONS(3120),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3120),
    [aux_sym_keep_alive_token1] = ACTIONS(3120),
    [aux_sym_tag_token1] = ACTIONS(3120),
    [aux_sym_tunnel_token1] = ACTIONS(3122),
    [aux_sym_tunnel_device_token1] = ACTIONS(3120),
    [aux_sym_update_host_keys_token1] = ACTIONS(3120),
    [aux_sym_use_keychain_token1] = ACTIONS(3120),
    [aux_sym_use_roaming_token1] = ACTIONS(3120),
    [aux_sym_user_token1] = ACTIONS(3122),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3120),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3120),
    [aux_sym_version_addendum_token1] = ACTIONS(3120),
    [aux_sym_visual_host_key_token1] = ACTIONS(3120),
    [aux_sym_xauth_location_token1] = ACTIONS(3120),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [aux_sym_match_token1] = ACTIONS(3126),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3126),
    [aux_sym_address_family_token1] = ACTIONS(3126),
    [aux_sym_batch_mode_token1] = ACTIONS(3126),
    [aux_sym_bind_address_token1] = ACTIONS(3126),
    [aux_sym_bind_interface_token1] = ACTIONS(3126),
    [aux_sym_canonical_domains_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3126),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3126),
    [aux_sym_certificate_file_token1] = ACTIONS(3126),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3126),
    [aux_sym_channel_timeout_token1] = ACTIONS(3126),
    [aux_sym_check_host_ip_token1] = ACTIONS(3126),
    [aux_sym_ciphers_token1] = ACTIONS(3126),
    [aux_sym_cipher_token1] = ACTIONS(3128),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3126),
    [aux_sym_compression_token1] = ACTIONS(3126),
    [aux_sym_connection_attempts_token1] = ACTIONS(3126),
    [aux_sym_connect_timeout_token1] = ACTIONS(3126),
    [aux_sym_control_master_token1] = ACTIONS(3126),
    [aux_sym_control_path_token1] = ACTIONS(3126),
    [aux_sym_control_persist_token1] = ACTIONS(3126),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3126),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3126),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3126),
    [aux_sym_escape_char_token1] = ACTIONS(3126),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3126),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3126),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3126),
    [aux_sym_forward_agent_token1] = ACTIONS(3126),
    [aux_sym_forward_x11_token1] = ACTIONS(3128),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3126),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3126),
    [aux_sym_gateway_ports_token1] = ACTIONS(3126),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3126),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3126),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3126),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3126),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3126),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3126),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3126),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3126),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3126),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3126),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3126),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3126),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3126),
    [aux_sym_host_key_alias_token1] = ACTIONS(3126),
    [aux_sym_hostname_token1] = ACTIONS(3126),
    [aux_sym_identities_only_token1] = ACTIONS(3126),
    [aux_sym_identity_agent_token1] = ACTIONS(3126),
    [aux_sym_identity_file_token1] = ACTIONS(3126),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3126),
    [aux_sym_include_token1] = ACTIONS(3126),
    [aux_sym_ip_qos_token1] = ACTIONS(3126),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3126),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3126),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3126),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3126),
    [aux_sym_local_command_token1] = ACTIONS(3126),
    [aux_sym_local_forward_token1] = ACTIONS(3126),
    [aux_sym_log_level_token1] = ACTIONS(3126),
    [aux_sym_log_verbose_token1] = ACTIONS(3126),
    [aux_sym_macs_token1] = ACTIONS(3126),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3126),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3126),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3126),
    [aux_sym_password_authentication_token1] = ACTIONS(3126),
    [aux_sym_permit_local_command_token1] = ACTIONS(3126),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3126),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3126),
    [aux_sym_port_token1] = ACTIONS(3126),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3126),
    [aux_sym_protocol_token1] = ACTIONS(3126),
    [aux_sym_proxy_command_token1] = ACTIONS(3126),
    [aux_sym_proxy_jump_token1] = ACTIONS(3126),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3126),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3126),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3126),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3126),
    [aux_sym_rekey_limit_token1] = ACTIONS(3126),
    [aux_sym_remote_command_token1] = ACTIONS(3126),
    [aux_sym_remote_forward_token1] = ACTIONS(3126),
    [aux_sym_request_tty_token1] = ACTIONS(3126),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3126),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3126),
    [aux_sym_security_key_provider_token1] = ACTIONS(3126),
    [aux_sym_send_env_token1] = ACTIONS(3126),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3126),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3126),
    [aux_sym_session_type_token1] = ACTIONS(3126),
    [aux_sym_set_env_token1] = ACTIONS(3126),
    [aux_sym_stdin_null_token1] = ACTIONS(3126),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3126),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3126),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3126),
    [aux_sym_syslog_facility_token1] = ACTIONS(3126),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3126),
    [aux_sym_keep_alive_token1] = ACTIONS(3126),
    [aux_sym_tag_token1] = ACTIONS(3126),
    [aux_sym_tunnel_token1] = ACTIONS(3128),
    [aux_sym_tunnel_device_token1] = ACTIONS(3126),
    [aux_sym_update_host_keys_token1] = ACTIONS(3126),
    [aux_sym_use_keychain_token1] = ACTIONS(3126),
    [aux_sym_use_roaming_token1] = ACTIONS(3126),
    [aux_sym_user_token1] = ACTIONS(3128),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3126),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3126),
    [aux_sym_version_addendum_token1] = ACTIONS(3126),
    [aux_sym_visual_host_key_token1] = ACTIONS(3126),
    [aux_sym_xauth_location_token1] = ACTIONS(3126),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [aux_sym_match_token1] = ACTIONS(3132),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3132),
    [aux_sym_address_family_token1] = ACTIONS(3132),
    [aux_sym_batch_mode_token1] = ACTIONS(3132),
    [aux_sym_bind_address_token1] = ACTIONS(3132),
    [aux_sym_bind_interface_token1] = ACTIONS(3132),
    [aux_sym_canonical_domains_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3132),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3132),
    [aux_sym_certificate_file_token1] = ACTIONS(3132),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3132),
    [aux_sym_channel_timeout_token1] = ACTIONS(3132),
    [aux_sym_check_host_ip_token1] = ACTIONS(3132),
    [aux_sym_ciphers_token1] = ACTIONS(3132),
    [aux_sym_cipher_token1] = ACTIONS(3134),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3132),
    [aux_sym_compression_token1] = ACTIONS(3132),
    [aux_sym_connection_attempts_token1] = ACTIONS(3132),
    [aux_sym_connect_timeout_token1] = ACTIONS(3132),
    [aux_sym_control_master_token1] = ACTIONS(3132),
    [aux_sym_control_path_token1] = ACTIONS(3132),
    [aux_sym_control_persist_token1] = ACTIONS(3132),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3132),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3132),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3132),
    [aux_sym_escape_char_token1] = ACTIONS(3132),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3132),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3132),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3132),
    [aux_sym_forward_agent_token1] = ACTIONS(3132),
    [aux_sym_forward_x11_token1] = ACTIONS(3134),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3132),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3132),
    [aux_sym_gateway_ports_token1] = ACTIONS(3132),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3132),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3132),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3132),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3132),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3132),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3132),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3132),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3132),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3132),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3132),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3132),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3132),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3132),
    [aux_sym_host_key_alias_token1] = ACTIONS(3132),
    [aux_sym_hostname_token1] = ACTIONS(3132),
    [aux_sym_identities_only_token1] = ACTIONS(3132),
    [aux_sym_identity_agent_token1] = ACTIONS(3132),
    [aux_sym_identity_file_token1] = ACTIONS(3132),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3132),
    [aux_sym_include_token1] = ACTIONS(3132),
    [aux_sym_ip_qos_token1] = ACTIONS(3132),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3132),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3132),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3132),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3132),
    [aux_sym_local_command_token1] = ACTIONS(3132),
    [aux_sym_local_forward_token1] = ACTIONS(3132),
    [aux_sym_log_level_token1] = ACTIONS(3132),
    [aux_sym_log_verbose_token1] = ACTIONS(3132),
    [aux_sym_macs_token1] = ACTIONS(3132),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3132),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3132),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3132),
    [aux_sym_password_authentication_token1] = ACTIONS(3132),
    [aux_sym_permit_local_command_token1] = ACTIONS(3132),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3132),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3132),
    [aux_sym_port_token1] = ACTIONS(3132),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3132),
    [aux_sym_protocol_token1] = ACTIONS(3132),
    [aux_sym_proxy_command_token1] = ACTIONS(3132),
    [aux_sym_proxy_jump_token1] = ACTIONS(3132),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3132),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3132),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3132),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3132),
    [aux_sym_rekey_limit_token1] = ACTIONS(3132),
    [aux_sym_remote_command_token1] = ACTIONS(3132),
    [aux_sym_remote_forward_token1] = ACTIONS(3132),
    [aux_sym_request_tty_token1] = ACTIONS(3132),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3132),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3132),
    [aux_sym_security_key_provider_token1] = ACTIONS(3132),
    [aux_sym_send_env_token1] = ACTIONS(3132),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3132),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3132),
    [aux_sym_session_type_token1] = ACTIONS(3132),
    [aux_sym_set_env_token1] = ACTIONS(3132),
    [aux_sym_stdin_null_token1] = ACTIONS(3132),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3132),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3132),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3132),
    [aux_sym_syslog_facility_token1] = ACTIONS(3132),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3132),
    [aux_sym_keep_alive_token1] = ACTIONS(3132),
    [aux_sym_tag_token1] = ACTIONS(3132),
    [aux_sym_tunnel_token1] = ACTIONS(3134),
    [aux_sym_tunnel_device_token1] = ACTIONS(3132),
    [aux_sym_update_host_keys_token1] = ACTIONS(3132),
    [aux_sym_use_keychain_token1] = ACTIONS(3132),
    [aux_sym_use_roaming_token1] = ACTIONS(3132),
    [aux_sym_user_token1] = ACTIONS(3134),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3132),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3132),
    [aux_sym_version_addendum_token1] = ACTIONS(3132),
    [aux_sym_visual_host_key_token1] = ACTIONS(3132),
    [aux_sym_xauth_location_token1] = ACTIONS(3132),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3140),
    [aux_sym_match_token1] = ACTIONS(3138),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3138),
    [aux_sym_address_family_token1] = ACTIONS(3138),
    [aux_sym_batch_mode_token1] = ACTIONS(3138),
    [aux_sym_bind_address_token1] = ACTIONS(3138),
    [aux_sym_bind_interface_token1] = ACTIONS(3138),
    [aux_sym_canonical_domains_token1] = ACTIONS(3138),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3138),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3138),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3138),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3138),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3138),
    [aux_sym_certificate_file_token1] = ACTIONS(3138),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3138),
    [aux_sym_channel_timeout_token1] = ACTIONS(3138),
    [aux_sym_check_host_ip_token1] = ACTIONS(3138),
    [aux_sym_ciphers_token1] = ACTIONS(3138),
    [aux_sym_cipher_token1] = ACTIONS(3140),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3138),
    [aux_sym_compression_token1] = ACTIONS(3138),
    [aux_sym_connection_attempts_token1] = ACTIONS(3138),
    [aux_sym_connect_timeout_token1] = ACTIONS(3138),
    [aux_sym_control_master_token1] = ACTIONS(3138),
    [aux_sym_control_path_token1] = ACTIONS(3138),
    [aux_sym_control_persist_token1] = ACTIONS(3138),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3138),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3138),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3138),
    [aux_sym_escape_char_token1] = ACTIONS(3138),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3138),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3138),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3138),
    [aux_sym_forward_agent_token1] = ACTIONS(3138),
    [aux_sym_forward_x11_token1] = ACTIONS(3140),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3138),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3138),
    [aux_sym_gateway_ports_token1] = ACTIONS(3138),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3138),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3138),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3138),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3138),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3138),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3138),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3138),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3138),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3138),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3138),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3138),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3138),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3138),
    [aux_sym_host_key_alias_token1] = ACTIONS(3138),
    [aux_sym_hostname_token1] = ACTIONS(3138),
    [aux_sym_identities_only_token1] = ACTIONS(3138),
    [aux_sym_identity_agent_token1] = ACTIONS(3138),
    [aux_sym_identity_file_token1] = ACTIONS(3138),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3138),
    [aux_sym_include_token1] = ACTIONS(3138),
    [aux_sym_ip_qos_token1] = ACTIONS(3138),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3138),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3138),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3138),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3138),
    [aux_sym_local_command_token1] = ACTIONS(3138),
    [aux_sym_local_forward_token1] = ACTIONS(3138),
    [aux_sym_log_level_token1] = ACTIONS(3138),
    [aux_sym_log_verbose_token1] = ACTIONS(3138),
    [aux_sym_macs_token1] = ACTIONS(3138),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3138),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3138),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3138),
    [aux_sym_password_authentication_token1] = ACTIONS(3138),
    [aux_sym_permit_local_command_token1] = ACTIONS(3138),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3138),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3138),
    [aux_sym_port_token1] = ACTIONS(3138),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3138),
    [aux_sym_protocol_token1] = ACTIONS(3138),
    [aux_sym_proxy_command_token1] = ACTIONS(3138),
    [aux_sym_proxy_jump_token1] = ACTIONS(3138),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3138),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3138),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3138),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3138),
    [aux_sym_rekey_limit_token1] = ACTIONS(3138),
    [aux_sym_remote_command_token1] = ACTIONS(3138),
    [aux_sym_remote_forward_token1] = ACTIONS(3138),
    [aux_sym_request_tty_token1] = ACTIONS(3138),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3138),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3138),
    [aux_sym_security_key_provider_token1] = ACTIONS(3138),
    [aux_sym_send_env_token1] = ACTIONS(3138),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3138),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3138),
    [aux_sym_session_type_token1] = ACTIONS(3138),
    [aux_sym_set_env_token1] = ACTIONS(3138),
    [aux_sym_stdin_null_token1] = ACTIONS(3138),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3138),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3138),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3138),
    [aux_sym_syslog_facility_token1] = ACTIONS(3138),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3138),
    [aux_sym_keep_alive_token1] = ACTIONS(3138),
    [aux_sym_tag_token1] = ACTIONS(3138),
    [aux_sym_tunnel_token1] = ACTIONS(3140),
    [aux_sym_tunnel_device_token1] = ACTIONS(3138),
    [aux_sym_update_host_keys_token1] = ACTIONS(3138),
    [aux_sym_use_keychain_token1] = ACTIONS(3138),
    [aux_sym_use_roaming_token1] = ACTIONS(3138),
    [aux_sym_user_token1] = ACTIONS(3140),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3138),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3138),
    [aux_sym_version_addendum_token1] = ACTIONS(3138),
    [aux_sym_visual_host_key_token1] = ACTIONS(3138),
    [aux_sym_xauth_location_token1] = ACTIONS(3138),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2138),
    [aux_sym_match_token1] = ACTIONS(2136),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2136),
    [aux_sym_address_family_token1] = ACTIONS(2136),
    [aux_sym_batch_mode_token1] = ACTIONS(2136),
    [aux_sym_bind_address_token1] = ACTIONS(2136),
    [aux_sym_bind_interface_token1] = ACTIONS(2136),
    [aux_sym_canonical_domains_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2136),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2136),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2136),
    [aux_sym_certificate_file_token1] = ACTIONS(2136),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2136),
    [aux_sym_channel_timeout_token1] = ACTIONS(2136),
    [aux_sym_check_host_ip_token1] = ACTIONS(2136),
    [aux_sym_ciphers_token1] = ACTIONS(2136),
    [aux_sym_cipher_token1] = ACTIONS(2138),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2136),
    [aux_sym_compression_token1] = ACTIONS(2136),
    [aux_sym_connection_attempts_token1] = ACTIONS(2136),
    [aux_sym_connect_timeout_token1] = ACTIONS(2136),
    [aux_sym_control_master_token1] = ACTIONS(2136),
    [aux_sym_control_path_token1] = ACTIONS(2136),
    [aux_sym_control_persist_token1] = ACTIONS(2136),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2136),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2136),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2136),
    [aux_sym_escape_char_token1] = ACTIONS(2136),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2136),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2136),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2136),
    [aux_sym_forward_agent_token1] = ACTIONS(2136),
    [aux_sym_forward_x11_token1] = ACTIONS(2138),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2136),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2136),
    [aux_sym_gateway_ports_token1] = ACTIONS(2136),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2136),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2136),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2136),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2136),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2136),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2136),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2136),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2136),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2136),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2136),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2136),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2136),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2136),
    [aux_sym_host_key_alias_token1] = ACTIONS(2136),
    [aux_sym_hostname_token1] = ACTIONS(2136),
    [aux_sym_identities_only_token1] = ACTIONS(2136),
    [aux_sym_identity_agent_token1] = ACTIONS(2136),
    [aux_sym_identity_file_token1] = ACTIONS(2136),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2136),
    [aux_sym_include_token1] = ACTIONS(2136),
    [aux_sym_ip_qos_token1] = ACTIONS(2136),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2136),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2136),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2136),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2136),
    [aux_sym_local_command_token1] = ACTIONS(2136),
    [aux_sym_local_forward_token1] = ACTIONS(2136),
    [aux_sym_log_level_token1] = ACTIONS(2136),
    [aux_sym_log_verbose_token1] = ACTIONS(2136),
    [aux_sym_macs_token1] = ACTIONS(2136),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2136),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2136),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2136),
    [aux_sym_password_authentication_token1] = ACTIONS(2136),
    [aux_sym_permit_local_command_token1] = ACTIONS(2136),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2136),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2136),
    [aux_sym_port_token1] = ACTIONS(2136),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2136),
    [aux_sym_protocol_token1] = ACTIONS(2136),
    [aux_sym_proxy_command_token1] = ACTIONS(2136),
    [aux_sym_proxy_jump_token1] = ACTIONS(2136),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2136),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2136),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2136),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2136),
    [aux_sym_rekey_limit_token1] = ACTIONS(2136),
    [aux_sym_remote_command_token1] = ACTIONS(2136),
    [aux_sym_remote_forward_token1] = ACTIONS(2136),
    [aux_sym_request_tty_token1] = ACTIONS(2136),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2136),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2136),
    [aux_sym_security_key_provider_token1] = ACTIONS(2136),
    [aux_sym_send_env_token1] = ACTIONS(2136),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2136),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2136),
    [aux_sym_session_type_token1] = ACTIONS(2136),
    [aux_sym_set_env_token1] = ACTIONS(2136),
    [aux_sym_stdin_null_token1] = ACTIONS(2136),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2136),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2136),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2136),
    [aux_sym_syslog_facility_token1] = ACTIONS(2136),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2136),
    [aux_sym_keep_alive_token1] = ACTIONS(2136),
    [aux_sym_tag_token1] = ACTIONS(2136),
    [aux_sym_tunnel_token1] = ACTIONS(2138),
    [aux_sym_tunnel_device_token1] = ACTIONS(2136),
    [aux_sym_update_host_keys_token1] = ACTIONS(2136),
    [aux_sym_use_keychain_token1] = ACTIONS(2136),
    [aux_sym_use_roaming_token1] = ACTIONS(2136),
    [aux_sym_user_token1] = ACTIONS(2138),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2136),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2136),
    [aux_sym_version_addendum_token1] = ACTIONS(2136),
    [aux_sym_visual_host_key_token1] = ACTIONS(2136),
    [aux_sym_xauth_location_token1] = ACTIONS(2136),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(2142),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2144),
    [aux_sym_match_token1] = ACTIONS(2142),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2142),
    [aux_sym_address_family_token1] = ACTIONS(2142),
    [aux_sym_batch_mode_token1] = ACTIONS(2142),
    [aux_sym_bind_address_token1] = ACTIONS(2142),
    [aux_sym_bind_interface_token1] = ACTIONS(2142),
    [aux_sym_canonical_domains_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2142),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2142),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2142),
    [aux_sym_certificate_file_token1] = ACTIONS(2142),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2142),
    [aux_sym_channel_timeout_token1] = ACTIONS(2142),
    [aux_sym_check_host_ip_token1] = ACTIONS(2142),
    [aux_sym_ciphers_token1] = ACTIONS(2142),
    [aux_sym_cipher_token1] = ACTIONS(2144),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2142),
    [aux_sym_compression_token1] = ACTIONS(2142),
    [aux_sym_connection_attempts_token1] = ACTIONS(2142),
    [aux_sym_connect_timeout_token1] = ACTIONS(2142),
    [aux_sym_control_master_token1] = ACTIONS(2142),
    [aux_sym_control_path_token1] = ACTIONS(2142),
    [aux_sym_control_persist_token1] = ACTIONS(2142),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2142),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2142),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2142),
    [aux_sym_escape_char_token1] = ACTIONS(2142),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2142),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2142),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2142),
    [aux_sym_forward_agent_token1] = ACTIONS(2142),
    [aux_sym_forward_x11_token1] = ACTIONS(2144),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2142),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2142),
    [aux_sym_gateway_ports_token1] = ACTIONS(2142),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2142),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2142),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2142),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2142),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2142),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2142),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2142),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2142),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2142),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2142),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2142),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2142),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2142),
    [aux_sym_host_key_alias_token1] = ACTIONS(2142),
    [aux_sym_hostname_token1] = ACTIONS(2142),
    [aux_sym_identities_only_token1] = ACTIONS(2142),
    [aux_sym_identity_agent_token1] = ACTIONS(2142),
    [aux_sym_identity_file_token1] = ACTIONS(2142),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2142),
    [aux_sym_include_token1] = ACTIONS(2142),
    [aux_sym_ip_qos_token1] = ACTIONS(2142),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2142),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2142),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2142),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2142),
    [aux_sym_local_command_token1] = ACTIONS(2142),
    [aux_sym_local_forward_token1] = ACTIONS(2142),
    [aux_sym_log_level_token1] = ACTIONS(2142),
    [aux_sym_log_verbose_token1] = ACTIONS(2142),
    [aux_sym_macs_token1] = ACTIONS(2142),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2142),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2142),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2142),
    [aux_sym_password_authentication_token1] = ACTIONS(2142),
    [aux_sym_permit_local_command_token1] = ACTIONS(2142),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2142),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2142),
    [aux_sym_port_token1] = ACTIONS(2142),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2142),
    [aux_sym_protocol_token1] = ACTIONS(2142),
    [aux_sym_proxy_command_token1] = ACTIONS(2142),
    [aux_sym_proxy_jump_token1] = ACTIONS(2142),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2142),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2142),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2142),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2142),
    [aux_sym_rekey_limit_token1] = ACTIONS(2142),
    [aux_sym_remote_command_token1] = ACTIONS(2142),
    [aux_sym_remote_forward_token1] = ACTIONS(2142),
    [aux_sym_request_tty_token1] = ACTIONS(2142),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2142),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2142),
    [aux_sym_security_key_provider_token1] = ACTIONS(2142),
    [aux_sym_send_env_token1] = ACTIONS(2142),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2142),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2142),
    [aux_sym_session_type_token1] = ACTIONS(2142),
    [aux_sym_set_env_token1] = ACTIONS(2142),
    [aux_sym_stdin_null_token1] = ACTIONS(2142),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2142),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2142),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2142),
    [aux_sym_syslog_facility_token1] = ACTIONS(2142),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2142),
    [aux_sym_keep_alive_token1] = ACTIONS(2142),
    [aux_sym_tag_token1] = ACTIONS(2142),
    [aux_sym_tunnel_token1] = ACTIONS(2144),
    [aux_sym_tunnel_device_token1] = ACTIONS(2142),
    [aux_sym_update_host_keys_token1] = ACTIONS(2142),
    [aux_sym_use_keychain_token1] = ACTIONS(2142),
    [aux_sym_use_roaming_token1] = ACTIONS(2142),
    [aux_sym_user_token1] = ACTIONS(2144),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2142),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2142),
    [aux_sym_version_addendum_token1] = ACTIONS(2142),
    [aux_sym_visual_host_key_token1] = ACTIONS(2142),
    [aux_sym_xauth_location_token1] = ACTIONS(2142),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2150),
    [aux_sym_match_token1] = ACTIONS(2148),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2148),
    [aux_sym_address_family_token1] = ACTIONS(2148),
    [aux_sym_batch_mode_token1] = ACTIONS(2148),
    [aux_sym_bind_address_token1] = ACTIONS(2148),
    [aux_sym_bind_interface_token1] = ACTIONS(2148),
    [aux_sym_canonical_domains_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2148),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2148),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2148),
    [aux_sym_certificate_file_token1] = ACTIONS(2148),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2148),
    [aux_sym_channel_timeout_token1] = ACTIONS(2148),
    [aux_sym_check_host_ip_token1] = ACTIONS(2148),
    [aux_sym_ciphers_token1] = ACTIONS(2148),
    [aux_sym_cipher_token1] = ACTIONS(2150),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2148),
    [aux_sym_compression_token1] = ACTIONS(2148),
    [aux_sym_connection_attempts_token1] = ACTIONS(2148),
    [aux_sym_connect_timeout_token1] = ACTIONS(2148),
    [aux_sym_control_master_token1] = ACTIONS(2148),
    [aux_sym_control_path_token1] = ACTIONS(2148),
    [aux_sym_control_persist_token1] = ACTIONS(2148),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2148),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2148),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2148),
    [aux_sym_escape_char_token1] = ACTIONS(2148),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2148),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2148),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2148),
    [aux_sym_forward_agent_token1] = ACTIONS(2148),
    [aux_sym_forward_x11_token1] = ACTIONS(2150),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2148),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2148),
    [aux_sym_gateway_ports_token1] = ACTIONS(2148),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2148),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2148),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2148),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2148),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2148),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2148),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2148),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2148),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2148),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2148),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2148),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2148),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2148),
    [aux_sym_host_key_alias_token1] = ACTIONS(2148),
    [aux_sym_hostname_token1] = ACTIONS(2148),
    [aux_sym_identities_only_token1] = ACTIONS(2148),
    [aux_sym_identity_agent_token1] = ACTIONS(2148),
    [aux_sym_identity_file_token1] = ACTIONS(2148),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2148),
    [aux_sym_include_token1] = ACTIONS(2148),
    [aux_sym_ip_qos_token1] = ACTIONS(2148),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2148),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2148),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2148),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2148),
    [aux_sym_local_command_token1] = ACTIONS(2148),
    [aux_sym_local_forward_token1] = ACTIONS(2148),
    [aux_sym_log_level_token1] = ACTIONS(2148),
    [aux_sym_log_verbose_token1] = ACTIONS(2148),
    [aux_sym_macs_token1] = ACTIONS(2148),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2148),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2148),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2148),
    [aux_sym_password_authentication_token1] = ACTIONS(2148),
    [aux_sym_permit_local_command_token1] = ACTIONS(2148),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2148),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2148),
    [aux_sym_port_token1] = ACTIONS(2148),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2148),
    [aux_sym_protocol_token1] = ACTIONS(2148),
    [aux_sym_proxy_command_token1] = ACTIONS(2148),
    [aux_sym_proxy_jump_token1] = ACTIONS(2148),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2148),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2148),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2148),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2148),
    [aux_sym_rekey_limit_token1] = ACTIONS(2148),
    [aux_sym_remote_command_token1] = ACTIONS(2148),
    [aux_sym_remote_forward_token1] = ACTIONS(2148),
    [aux_sym_request_tty_token1] = ACTIONS(2148),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2148),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2148),
    [aux_sym_security_key_provider_token1] = ACTIONS(2148),
    [aux_sym_send_env_token1] = ACTIONS(2148),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2148),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2148),
    [aux_sym_session_type_token1] = ACTIONS(2148),
    [aux_sym_set_env_token1] = ACTIONS(2148),
    [aux_sym_stdin_null_token1] = ACTIONS(2148),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2148),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2148),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2148),
    [aux_sym_syslog_facility_token1] = ACTIONS(2148),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2148),
    [aux_sym_keep_alive_token1] = ACTIONS(2148),
    [aux_sym_tag_token1] = ACTIONS(2148),
    [aux_sym_tunnel_token1] = ACTIONS(2150),
    [aux_sym_tunnel_device_token1] = ACTIONS(2148),
    [aux_sym_update_host_keys_token1] = ACTIONS(2148),
    [aux_sym_use_keychain_token1] = ACTIONS(2148),
    [aux_sym_use_roaming_token1] = ACTIONS(2148),
    [aux_sym_user_token1] = ACTIONS(2150),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2148),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2148),
    [aux_sym_version_addendum_token1] = ACTIONS(2148),
    [aux_sym_visual_host_key_token1] = ACTIONS(2148),
    [aux_sym_xauth_location_token1] = ACTIONS(2148),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2156),
    [aux_sym_match_token1] = ACTIONS(2154),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2154),
    [aux_sym_address_family_token1] = ACTIONS(2154),
    [aux_sym_batch_mode_token1] = ACTIONS(2154),
    [aux_sym_bind_address_token1] = ACTIONS(2154),
    [aux_sym_bind_interface_token1] = ACTIONS(2154),
    [aux_sym_canonical_domains_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2154),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2154),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2154),
    [aux_sym_certificate_file_token1] = ACTIONS(2154),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2154),
    [aux_sym_channel_timeout_token1] = ACTIONS(2154),
    [aux_sym_check_host_ip_token1] = ACTIONS(2154),
    [aux_sym_ciphers_token1] = ACTIONS(2154),
    [aux_sym_cipher_token1] = ACTIONS(2156),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2154),
    [aux_sym_compression_token1] = ACTIONS(2154),
    [aux_sym_connection_attempts_token1] = ACTIONS(2154),
    [aux_sym_connect_timeout_token1] = ACTIONS(2154),
    [aux_sym_control_master_token1] = ACTIONS(2154),
    [aux_sym_control_path_token1] = ACTIONS(2154),
    [aux_sym_control_persist_token1] = ACTIONS(2154),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2154),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2154),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2154),
    [aux_sym_escape_char_token1] = ACTIONS(2154),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2154),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2154),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2154),
    [aux_sym_forward_agent_token1] = ACTIONS(2154),
    [aux_sym_forward_x11_token1] = ACTIONS(2156),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2154),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2154),
    [aux_sym_gateway_ports_token1] = ACTIONS(2154),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2154),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2154),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2154),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2154),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2154),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2154),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2154),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2154),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2154),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2154),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2154),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2154),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2154),
    [aux_sym_host_key_alias_token1] = ACTIONS(2154),
    [aux_sym_hostname_token1] = ACTIONS(2154),
    [aux_sym_identities_only_token1] = ACTIONS(2154),
    [aux_sym_identity_agent_token1] = ACTIONS(2154),
    [aux_sym_identity_file_token1] = ACTIONS(2154),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2154),
    [aux_sym_include_token1] = ACTIONS(2154),
    [aux_sym_ip_qos_token1] = ACTIONS(2154),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2154),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2154),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2154),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2154),
    [aux_sym_local_command_token1] = ACTIONS(2154),
    [aux_sym_local_forward_token1] = ACTIONS(2154),
    [aux_sym_log_level_token1] = ACTIONS(2154),
    [aux_sym_log_verbose_token1] = ACTIONS(2154),
    [aux_sym_macs_token1] = ACTIONS(2154),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2154),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2154),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2154),
    [aux_sym_password_authentication_token1] = ACTIONS(2154),
    [aux_sym_permit_local_command_token1] = ACTIONS(2154),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2154),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2154),
    [aux_sym_port_token1] = ACTIONS(2154),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2154),
    [aux_sym_protocol_token1] = ACTIONS(2154),
    [aux_sym_proxy_command_token1] = ACTIONS(2154),
    [aux_sym_proxy_jump_token1] = ACTIONS(2154),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2154),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2154),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2154),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2154),
    [aux_sym_rekey_limit_token1] = ACTIONS(2154),
    [aux_sym_remote_command_token1] = ACTIONS(2154),
    [aux_sym_remote_forward_token1] = ACTIONS(2154),
    [aux_sym_request_tty_token1] = ACTIONS(2154),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2154),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2154),
    [aux_sym_security_key_provider_token1] = ACTIONS(2154),
    [aux_sym_send_env_token1] = ACTIONS(2154),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2154),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2154),
    [aux_sym_session_type_token1] = ACTIONS(2154),
    [aux_sym_set_env_token1] = ACTIONS(2154),
    [aux_sym_stdin_null_token1] = ACTIONS(2154),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2154),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2154),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2154),
    [aux_sym_syslog_facility_token1] = ACTIONS(2154),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2154),
    [aux_sym_keep_alive_token1] = ACTIONS(2154),
    [aux_sym_tag_token1] = ACTIONS(2154),
    [aux_sym_tunnel_token1] = ACTIONS(2156),
    [aux_sym_tunnel_device_token1] = ACTIONS(2154),
    [aux_sym_update_host_keys_token1] = ACTIONS(2154),
    [aux_sym_use_keychain_token1] = ACTIONS(2154),
    [aux_sym_use_roaming_token1] = ACTIONS(2154),
    [aux_sym_user_token1] = ACTIONS(2156),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2154),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2154),
    [aux_sym_version_addendum_token1] = ACTIONS(2154),
    [aux_sym_visual_host_key_token1] = ACTIONS(2154),
    [aux_sym_xauth_location_token1] = ACTIONS(2154),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(2160),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2162),
    [aux_sym_match_token1] = ACTIONS(2160),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2160),
    [aux_sym_address_family_token1] = ACTIONS(2160),
    [aux_sym_batch_mode_token1] = ACTIONS(2160),
    [aux_sym_bind_address_token1] = ACTIONS(2160),
    [aux_sym_bind_interface_token1] = ACTIONS(2160),
    [aux_sym_canonical_domains_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2160),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2160),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2160),
    [aux_sym_certificate_file_token1] = ACTIONS(2160),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2160),
    [aux_sym_channel_timeout_token1] = ACTIONS(2160),
    [aux_sym_check_host_ip_token1] = ACTIONS(2160),
    [aux_sym_ciphers_token1] = ACTIONS(2160),
    [aux_sym_cipher_token1] = ACTIONS(2162),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2160),
    [aux_sym_compression_token1] = ACTIONS(2160),
    [aux_sym_connection_attempts_token1] = ACTIONS(2160),
    [aux_sym_connect_timeout_token1] = ACTIONS(2160),
    [aux_sym_control_master_token1] = ACTIONS(2160),
    [aux_sym_control_path_token1] = ACTIONS(2160),
    [aux_sym_control_persist_token1] = ACTIONS(2160),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2160),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2160),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2160),
    [aux_sym_escape_char_token1] = ACTIONS(2160),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2160),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2160),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2160),
    [aux_sym_forward_agent_token1] = ACTIONS(2160),
    [aux_sym_forward_x11_token1] = ACTIONS(2162),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2160),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2160),
    [aux_sym_gateway_ports_token1] = ACTIONS(2160),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2160),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2160),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2160),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2160),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2160),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2160),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2160),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2160),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2160),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2160),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2160),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2160),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2160),
    [aux_sym_host_key_alias_token1] = ACTIONS(2160),
    [aux_sym_hostname_token1] = ACTIONS(2160),
    [aux_sym_identities_only_token1] = ACTIONS(2160),
    [aux_sym_identity_agent_token1] = ACTIONS(2160),
    [aux_sym_identity_file_token1] = ACTIONS(2160),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2160),
    [aux_sym_include_token1] = ACTIONS(2160),
    [aux_sym_ip_qos_token1] = ACTIONS(2160),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2160),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2160),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2160),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2160),
    [aux_sym_local_command_token1] = ACTIONS(2160),
    [aux_sym_local_forward_token1] = ACTIONS(2160),
    [aux_sym_log_level_token1] = ACTIONS(2160),
    [aux_sym_log_verbose_token1] = ACTIONS(2160),
    [aux_sym_macs_token1] = ACTIONS(2160),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2160),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2160),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2160),
    [aux_sym_password_authentication_token1] = ACTIONS(2160),
    [aux_sym_permit_local_command_token1] = ACTIONS(2160),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2160),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2160),
    [aux_sym_port_token1] = ACTIONS(2160),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2160),
    [aux_sym_protocol_token1] = ACTIONS(2160),
    [aux_sym_proxy_command_token1] = ACTIONS(2160),
    [aux_sym_proxy_jump_token1] = ACTIONS(2160),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2160),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2160),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2160),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2160),
    [aux_sym_rekey_limit_token1] = ACTIONS(2160),
    [aux_sym_remote_command_token1] = ACTIONS(2160),
    [aux_sym_remote_forward_token1] = ACTIONS(2160),
    [aux_sym_request_tty_token1] = ACTIONS(2160),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2160),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2160),
    [aux_sym_security_key_provider_token1] = ACTIONS(2160),
    [aux_sym_send_env_token1] = ACTIONS(2160),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2160),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2160),
    [aux_sym_session_type_token1] = ACTIONS(2160),
    [aux_sym_set_env_token1] = ACTIONS(2160),
    [aux_sym_stdin_null_token1] = ACTIONS(2160),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2160),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2160),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2160),
    [aux_sym_syslog_facility_token1] = ACTIONS(2160),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2160),
    [aux_sym_keep_alive_token1] = ACTIONS(2160),
    [aux_sym_tag_token1] = ACTIONS(2160),
    [aux_sym_tunnel_token1] = ACTIONS(2162),
    [aux_sym_tunnel_device_token1] = ACTIONS(2160),
    [aux_sym_update_host_keys_token1] = ACTIONS(2160),
    [aux_sym_use_keychain_token1] = ACTIONS(2160),
    [aux_sym_use_roaming_token1] = ACTIONS(2160),
    [aux_sym_user_token1] = ACTIONS(2162),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2160),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2160),
    [aux_sym_version_addendum_token1] = ACTIONS(2160),
    [aux_sym_visual_host_key_token1] = ACTIONS(2160),
    [aux_sym_xauth_location_token1] = ACTIONS(2160),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2168),
    [aux_sym_match_token1] = ACTIONS(2166),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2166),
    [aux_sym_address_family_token1] = ACTIONS(2166),
    [aux_sym_batch_mode_token1] = ACTIONS(2166),
    [aux_sym_bind_address_token1] = ACTIONS(2166),
    [aux_sym_bind_interface_token1] = ACTIONS(2166),
    [aux_sym_canonical_domains_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2166),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2166),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2166),
    [aux_sym_certificate_file_token1] = ACTIONS(2166),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2166),
    [aux_sym_channel_timeout_token1] = ACTIONS(2166),
    [aux_sym_check_host_ip_token1] = ACTIONS(2166),
    [aux_sym_ciphers_token1] = ACTIONS(2166),
    [aux_sym_cipher_token1] = ACTIONS(2168),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2166),
    [aux_sym_compression_token1] = ACTIONS(2166),
    [aux_sym_connection_attempts_token1] = ACTIONS(2166),
    [aux_sym_connect_timeout_token1] = ACTIONS(2166),
    [aux_sym_control_master_token1] = ACTIONS(2166),
    [aux_sym_control_path_token1] = ACTIONS(2166),
    [aux_sym_control_persist_token1] = ACTIONS(2166),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2166),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2166),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2166),
    [aux_sym_escape_char_token1] = ACTIONS(2166),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2166),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2166),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2166),
    [aux_sym_forward_agent_token1] = ACTIONS(2166),
    [aux_sym_forward_x11_token1] = ACTIONS(2168),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2166),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2166),
    [aux_sym_gateway_ports_token1] = ACTIONS(2166),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2166),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2166),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2166),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2166),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2166),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2166),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2166),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2166),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2166),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2166),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2166),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2166),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2166),
    [aux_sym_host_key_alias_token1] = ACTIONS(2166),
    [aux_sym_hostname_token1] = ACTIONS(2166),
    [aux_sym_identities_only_token1] = ACTIONS(2166),
    [aux_sym_identity_agent_token1] = ACTIONS(2166),
    [aux_sym_identity_file_token1] = ACTIONS(2166),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2166),
    [aux_sym_include_token1] = ACTIONS(2166),
    [aux_sym_ip_qos_token1] = ACTIONS(2166),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2166),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2166),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2166),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2166),
    [aux_sym_local_command_token1] = ACTIONS(2166),
    [aux_sym_local_forward_token1] = ACTIONS(2166),
    [aux_sym_log_level_token1] = ACTIONS(2166),
    [aux_sym_log_verbose_token1] = ACTIONS(2166),
    [aux_sym_macs_token1] = ACTIONS(2166),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2166),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2166),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2166),
    [aux_sym_password_authentication_token1] = ACTIONS(2166),
    [aux_sym_permit_local_command_token1] = ACTIONS(2166),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2166),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2166),
    [aux_sym_port_token1] = ACTIONS(2166),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2166),
    [aux_sym_protocol_token1] = ACTIONS(2166),
    [aux_sym_proxy_command_token1] = ACTIONS(2166),
    [aux_sym_proxy_jump_token1] = ACTIONS(2166),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2166),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2166),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2166),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2166),
    [aux_sym_rekey_limit_token1] = ACTIONS(2166),
    [aux_sym_remote_command_token1] = ACTIONS(2166),
    [aux_sym_remote_forward_token1] = ACTIONS(2166),
    [aux_sym_request_tty_token1] = ACTIONS(2166),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2166),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2166),
    [aux_sym_security_key_provider_token1] = ACTIONS(2166),
    [aux_sym_send_env_token1] = ACTIONS(2166),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2166),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2166),
    [aux_sym_session_type_token1] = ACTIONS(2166),
    [aux_sym_set_env_token1] = ACTIONS(2166),
    [aux_sym_stdin_null_token1] = ACTIONS(2166),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2166),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2166),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2166),
    [aux_sym_syslog_facility_token1] = ACTIONS(2166),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2166),
    [aux_sym_keep_alive_token1] = ACTIONS(2166),
    [aux_sym_tag_token1] = ACTIONS(2166),
    [aux_sym_tunnel_token1] = ACTIONS(2168),
    [aux_sym_tunnel_device_token1] = ACTIONS(2166),
    [aux_sym_update_host_keys_token1] = ACTIONS(2166),
    [aux_sym_use_keychain_token1] = ACTIONS(2166),
    [aux_sym_use_roaming_token1] = ACTIONS(2166),
    [aux_sym_user_token1] = ACTIONS(2168),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2166),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2166),
    [aux_sym_version_addendum_token1] = ACTIONS(2166),
    [aux_sym_visual_host_key_token1] = ACTIONS(2166),
    [aux_sym_xauth_location_token1] = ACTIONS(2166),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(2172),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2174),
    [aux_sym_match_token1] = ACTIONS(2172),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2172),
    [aux_sym_address_family_token1] = ACTIONS(2172),
    [aux_sym_batch_mode_token1] = ACTIONS(2172),
    [aux_sym_bind_address_token1] = ACTIONS(2172),
    [aux_sym_bind_interface_token1] = ACTIONS(2172),
    [aux_sym_canonical_domains_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2172),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2172),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2172),
    [aux_sym_certificate_file_token1] = ACTIONS(2172),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2172),
    [aux_sym_channel_timeout_token1] = ACTIONS(2172),
    [aux_sym_check_host_ip_token1] = ACTIONS(2172),
    [aux_sym_ciphers_token1] = ACTIONS(2172),
    [aux_sym_cipher_token1] = ACTIONS(2174),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2172),
    [aux_sym_compression_token1] = ACTIONS(2172),
    [aux_sym_connection_attempts_token1] = ACTIONS(2172),
    [aux_sym_connect_timeout_token1] = ACTIONS(2172),
    [aux_sym_control_master_token1] = ACTIONS(2172),
    [aux_sym_control_path_token1] = ACTIONS(2172),
    [aux_sym_control_persist_token1] = ACTIONS(2172),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2172),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2172),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2172),
    [aux_sym_escape_char_token1] = ACTIONS(2172),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2172),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2172),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2172),
    [aux_sym_forward_agent_token1] = ACTIONS(2172),
    [aux_sym_forward_x11_token1] = ACTIONS(2174),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2172),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2172),
    [aux_sym_gateway_ports_token1] = ACTIONS(2172),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2172),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2172),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2172),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2172),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2172),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2172),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2172),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2172),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2172),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2172),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2172),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2172),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2172),
    [aux_sym_host_key_alias_token1] = ACTIONS(2172),
    [aux_sym_hostname_token1] = ACTIONS(2172),
    [aux_sym_identities_only_token1] = ACTIONS(2172),
    [aux_sym_identity_agent_token1] = ACTIONS(2172),
    [aux_sym_identity_file_token1] = ACTIONS(2172),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2172),
    [aux_sym_include_token1] = ACTIONS(2172),
    [aux_sym_ip_qos_token1] = ACTIONS(2172),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2172),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2172),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2172),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2172),
    [aux_sym_local_command_token1] = ACTIONS(2172),
    [aux_sym_local_forward_token1] = ACTIONS(2172),
    [aux_sym_log_level_token1] = ACTIONS(2172),
    [aux_sym_log_verbose_token1] = ACTIONS(2172),
    [aux_sym_macs_token1] = ACTIONS(2172),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2172),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2172),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2172),
    [aux_sym_password_authentication_token1] = ACTIONS(2172),
    [aux_sym_permit_local_command_token1] = ACTIONS(2172),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2172),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2172),
    [aux_sym_port_token1] = ACTIONS(2172),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2172),
    [aux_sym_protocol_token1] = ACTIONS(2172),
    [aux_sym_proxy_command_token1] = ACTIONS(2172),
    [aux_sym_proxy_jump_token1] = ACTIONS(2172),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2172),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2172),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2172),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2172),
    [aux_sym_rekey_limit_token1] = ACTIONS(2172),
    [aux_sym_remote_command_token1] = ACTIONS(2172),
    [aux_sym_remote_forward_token1] = ACTIONS(2172),
    [aux_sym_request_tty_token1] = ACTIONS(2172),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2172),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2172),
    [aux_sym_security_key_provider_token1] = ACTIONS(2172),
    [aux_sym_send_env_token1] = ACTIONS(2172),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2172),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2172),
    [aux_sym_session_type_token1] = ACTIONS(2172),
    [aux_sym_set_env_token1] = ACTIONS(2172),
    [aux_sym_stdin_null_token1] = ACTIONS(2172),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2172),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2172),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2172),
    [aux_sym_syslog_facility_token1] = ACTIONS(2172),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2172),
    [aux_sym_keep_alive_token1] = ACTIONS(2172),
    [aux_sym_tag_token1] = ACTIONS(2172),
    [aux_sym_tunnel_token1] = ACTIONS(2174),
    [aux_sym_tunnel_device_token1] = ACTIONS(2172),
    [aux_sym_update_host_keys_token1] = ACTIONS(2172),
    [aux_sym_use_keychain_token1] = ACTIONS(2172),
    [aux_sym_use_roaming_token1] = ACTIONS(2172),
    [aux_sym_user_token1] = ACTIONS(2174),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2172),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2172),
    [aux_sym_version_addendum_token1] = ACTIONS(2172),
    [aux_sym_visual_host_key_token1] = ACTIONS(2172),
    [aux_sym_xauth_location_token1] = ACTIONS(2172),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(2178),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2180),
    [aux_sym_match_token1] = ACTIONS(2178),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2178),
    [aux_sym_address_family_token1] = ACTIONS(2178),
    [aux_sym_batch_mode_token1] = ACTIONS(2178),
    [aux_sym_bind_address_token1] = ACTIONS(2178),
    [aux_sym_bind_interface_token1] = ACTIONS(2178),
    [aux_sym_canonical_domains_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2178),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2178),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2178),
    [aux_sym_certificate_file_token1] = ACTIONS(2178),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2178),
    [aux_sym_channel_timeout_token1] = ACTIONS(2178),
    [aux_sym_check_host_ip_token1] = ACTIONS(2178),
    [aux_sym_ciphers_token1] = ACTIONS(2178),
    [aux_sym_cipher_token1] = ACTIONS(2180),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2178),
    [aux_sym_compression_token1] = ACTIONS(2178),
    [aux_sym_connection_attempts_token1] = ACTIONS(2178),
    [aux_sym_connect_timeout_token1] = ACTIONS(2178),
    [aux_sym_control_master_token1] = ACTIONS(2178),
    [aux_sym_control_path_token1] = ACTIONS(2178),
    [aux_sym_control_persist_token1] = ACTIONS(2178),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2178),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2178),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2178),
    [aux_sym_escape_char_token1] = ACTIONS(2178),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2178),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2178),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2178),
    [aux_sym_forward_agent_token1] = ACTIONS(2178),
    [aux_sym_forward_x11_token1] = ACTIONS(2180),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2178),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2178),
    [aux_sym_gateway_ports_token1] = ACTIONS(2178),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2178),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2178),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2178),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2178),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2178),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2178),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2178),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2178),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2178),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2178),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2178),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2178),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2178),
    [aux_sym_host_key_alias_token1] = ACTIONS(2178),
    [aux_sym_hostname_token1] = ACTIONS(2178),
    [aux_sym_identities_only_token1] = ACTIONS(2178),
    [aux_sym_identity_agent_token1] = ACTIONS(2178),
    [aux_sym_identity_file_token1] = ACTIONS(2178),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2178),
    [aux_sym_include_token1] = ACTIONS(2178),
    [aux_sym_ip_qos_token1] = ACTIONS(2178),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2178),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2178),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2178),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2178),
    [aux_sym_local_command_token1] = ACTIONS(2178),
    [aux_sym_local_forward_token1] = ACTIONS(2178),
    [aux_sym_log_level_token1] = ACTIONS(2178),
    [aux_sym_log_verbose_token1] = ACTIONS(2178),
    [aux_sym_macs_token1] = ACTIONS(2178),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2178),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2178),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2178),
    [aux_sym_password_authentication_token1] = ACTIONS(2178),
    [aux_sym_permit_local_command_token1] = ACTIONS(2178),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2178),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2178),
    [aux_sym_port_token1] = ACTIONS(2178),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2178),
    [aux_sym_protocol_token1] = ACTIONS(2178),
    [aux_sym_proxy_command_token1] = ACTIONS(2178),
    [aux_sym_proxy_jump_token1] = ACTIONS(2178),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2178),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2178),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2178),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2178),
    [aux_sym_rekey_limit_token1] = ACTIONS(2178),
    [aux_sym_remote_command_token1] = ACTIONS(2178),
    [aux_sym_remote_forward_token1] = ACTIONS(2178),
    [aux_sym_request_tty_token1] = ACTIONS(2178),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2178),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2178),
    [aux_sym_security_key_provider_token1] = ACTIONS(2178),
    [aux_sym_send_env_token1] = ACTIONS(2178),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2178),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2178),
    [aux_sym_session_type_token1] = ACTIONS(2178),
    [aux_sym_set_env_token1] = ACTIONS(2178),
    [aux_sym_stdin_null_token1] = ACTIONS(2178),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2178),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2178),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2178),
    [aux_sym_syslog_facility_token1] = ACTIONS(2178),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2178),
    [aux_sym_keep_alive_token1] = ACTIONS(2178),
    [aux_sym_tag_token1] = ACTIONS(2178),
    [aux_sym_tunnel_token1] = ACTIONS(2180),
    [aux_sym_tunnel_device_token1] = ACTIONS(2178),
    [aux_sym_update_host_keys_token1] = ACTIONS(2178),
    [aux_sym_use_keychain_token1] = ACTIONS(2178),
    [aux_sym_use_roaming_token1] = ACTIONS(2178),
    [aux_sym_user_token1] = ACTIONS(2180),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2178),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2178),
    [aux_sym_version_addendum_token1] = ACTIONS(2178),
    [aux_sym_visual_host_key_token1] = ACTIONS(2178),
    [aux_sym_xauth_location_token1] = ACTIONS(2178),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2186),
    [aux_sym_match_token1] = ACTIONS(2184),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2184),
    [aux_sym_address_family_token1] = ACTIONS(2184),
    [aux_sym_batch_mode_token1] = ACTIONS(2184),
    [aux_sym_bind_address_token1] = ACTIONS(2184),
    [aux_sym_bind_interface_token1] = ACTIONS(2184),
    [aux_sym_canonical_domains_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2184),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2184),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2184),
    [aux_sym_certificate_file_token1] = ACTIONS(2184),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2184),
    [aux_sym_channel_timeout_token1] = ACTIONS(2184),
    [aux_sym_check_host_ip_token1] = ACTIONS(2184),
    [aux_sym_ciphers_token1] = ACTIONS(2184),
    [aux_sym_cipher_token1] = ACTIONS(2186),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2184),
    [aux_sym_compression_token1] = ACTIONS(2184),
    [aux_sym_connection_attempts_token1] = ACTIONS(2184),
    [aux_sym_connect_timeout_token1] = ACTIONS(2184),
    [aux_sym_control_master_token1] = ACTIONS(2184),
    [aux_sym_control_path_token1] = ACTIONS(2184),
    [aux_sym_control_persist_token1] = ACTIONS(2184),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2184),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2184),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2184),
    [aux_sym_escape_char_token1] = ACTIONS(2184),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2184),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2184),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2184),
    [aux_sym_forward_agent_token1] = ACTIONS(2184),
    [aux_sym_forward_x11_token1] = ACTIONS(2186),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2184),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2184),
    [aux_sym_gateway_ports_token1] = ACTIONS(2184),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2184),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2184),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2184),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2184),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2184),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2184),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2184),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2184),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2184),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2184),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2184),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2184),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2184),
    [aux_sym_host_key_alias_token1] = ACTIONS(2184),
    [aux_sym_hostname_token1] = ACTIONS(2184),
    [aux_sym_identities_only_token1] = ACTIONS(2184),
    [aux_sym_identity_agent_token1] = ACTIONS(2184),
    [aux_sym_identity_file_token1] = ACTIONS(2184),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2184),
    [aux_sym_include_token1] = ACTIONS(2184),
    [aux_sym_ip_qos_token1] = ACTIONS(2184),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2184),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2184),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2184),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2184),
    [aux_sym_local_command_token1] = ACTIONS(2184),
    [aux_sym_local_forward_token1] = ACTIONS(2184),
    [aux_sym_log_level_token1] = ACTIONS(2184),
    [aux_sym_log_verbose_token1] = ACTIONS(2184),
    [aux_sym_macs_token1] = ACTIONS(2184),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2184),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2184),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2184),
    [aux_sym_password_authentication_token1] = ACTIONS(2184),
    [aux_sym_permit_local_command_token1] = ACTIONS(2184),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2184),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2184),
    [aux_sym_port_token1] = ACTIONS(2184),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2184),
    [aux_sym_protocol_token1] = ACTIONS(2184),
    [aux_sym_proxy_command_token1] = ACTIONS(2184),
    [aux_sym_proxy_jump_token1] = ACTIONS(2184),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2184),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2184),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2184),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2184),
    [aux_sym_rekey_limit_token1] = ACTIONS(2184),
    [aux_sym_remote_command_token1] = ACTIONS(2184),
    [aux_sym_remote_forward_token1] = ACTIONS(2184),
    [aux_sym_request_tty_token1] = ACTIONS(2184),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2184),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2184),
    [aux_sym_security_key_provider_token1] = ACTIONS(2184),
    [aux_sym_send_env_token1] = ACTIONS(2184),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2184),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2184),
    [aux_sym_session_type_token1] = ACTIONS(2184),
    [aux_sym_set_env_token1] = ACTIONS(2184),
    [aux_sym_stdin_null_token1] = ACTIONS(2184),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2184),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2184),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2184),
    [aux_sym_syslog_facility_token1] = ACTIONS(2184),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2184),
    [aux_sym_keep_alive_token1] = ACTIONS(2184),
    [aux_sym_tag_token1] = ACTIONS(2184),
    [aux_sym_tunnel_token1] = ACTIONS(2186),
    [aux_sym_tunnel_device_token1] = ACTIONS(2184),
    [aux_sym_update_host_keys_token1] = ACTIONS(2184),
    [aux_sym_use_keychain_token1] = ACTIONS(2184),
    [aux_sym_use_roaming_token1] = ACTIONS(2184),
    [aux_sym_user_token1] = ACTIONS(2186),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2184),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2184),
    [aux_sym_version_addendum_token1] = ACTIONS(2184),
    [aux_sym_visual_host_key_token1] = ACTIONS(2184),
    [aux_sym_xauth_location_token1] = ACTIONS(2184),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2192),
    [aux_sym_match_token1] = ACTIONS(2190),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2190),
    [aux_sym_address_family_token1] = ACTIONS(2190),
    [aux_sym_batch_mode_token1] = ACTIONS(2190),
    [aux_sym_bind_address_token1] = ACTIONS(2190),
    [aux_sym_bind_interface_token1] = ACTIONS(2190),
    [aux_sym_canonical_domains_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2190),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2190),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2190),
    [aux_sym_certificate_file_token1] = ACTIONS(2190),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2190),
    [aux_sym_channel_timeout_token1] = ACTIONS(2190),
    [aux_sym_check_host_ip_token1] = ACTIONS(2190),
    [aux_sym_ciphers_token1] = ACTIONS(2190),
    [aux_sym_cipher_token1] = ACTIONS(2192),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2190),
    [aux_sym_compression_token1] = ACTIONS(2190),
    [aux_sym_connection_attempts_token1] = ACTIONS(2190),
    [aux_sym_connect_timeout_token1] = ACTIONS(2190),
    [aux_sym_control_master_token1] = ACTIONS(2190),
    [aux_sym_control_path_token1] = ACTIONS(2190),
    [aux_sym_control_persist_token1] = ACTIONS(2190),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2190),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2190),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2190),
    [aux_sym_escape_char_token1] = ACTIONS(2190),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2190),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2190),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2190),
    [aux_sym_forward_agent_token1] = ACTIONS(2190),
    [aux_sym_forward_x11_token1] = ACTIONS(2192),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2190),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2190),
    [aux_sym_gateway_ports_token1] = ACTIONS(2190),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2190),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2190),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2190),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2190),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2190),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2190),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2190),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2190),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2190),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2190),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2190),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2190),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2190),
    [aux_sym_host_key_alias_token1] = ACTIONS(2190),
    [aux_sym_hostname_token1] = ACTIONS(2190),
    [aux_sym_identities_only_token1] = ACTIONS(2190),
    [aux_sym_identity_agent_token1] = ACTIONS(2190),
    [aux_sym_identity_file_token1] = ACTIONS(2190),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2190),
    [aux_sym_include_token1] = ACTIONS(2190),
    [aux_sym_ip_qos_token1] = ACTIONS(2190),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2190),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2190),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2190),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2190),
    [aux_sym_local_command_token1] = ACTIONS(2190),
    [aux_sym_local_forward_token1] = ACTIONS(2190),
    [aux_sym_log_level_token1] = ACTIONS(2190),
    [aux_sym_log_verbose_token1] = ACTIONS(2190),
    [aux_sym_macs_token1] = ACTIONS(2190),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2190),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2190),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2190),
    [aux_sym_password_authentication_token1] = ACTIONS(2190),
    [aux_sym_permit_local_command_token1] = ACTIONS(2190),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2190),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2190),
    [aux_sym_port_token1] = ACTIONS(2190),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2190),
    [aux_sym_protocol_token1] = ACTIONS(2190),
    [aux_sym_proxy_command_token1] = ACTIONS(2190),
    [aux_sym_proxy_jump_token1] = ACTIONS(2190),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2190),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2190),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2190),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2190),
    [aux_sym_rekey_limit_token1] = ACTIONS(2190),
    [aux_sym_remote_command_token1] = ACTIONS(2190),
    [aux_sym_remote_forward_token1] = ACTIONS(2190),
    [aux_sym_request_tty_token1] = ACTIONS(2190),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2190),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2190),
    [aux_sym_security_key_provider_token1] = ACTIONS(2190),
    [aux_sym_send_env_token1] = ACTIONS(2190),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2190),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2190),
    [aux_sym_session_type_token1] = ACTIONS(2190),
    [aux_sym_set_env_token1] = ACTIONS(2190),
    [aux_sym_stdin_null_token1] = ACTIONS(2190),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2190),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2190),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2190),
    [aux_sym_syslog_facility_token1] = ACTIONS(2190),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2190),
    [aux_sym_keep_alive_token1] = ACTIONS(2190),
    [aux_sym_tag_token1] = ACTIONS(2190),
    [aux_sym_tunnel_token1] = ACTIONS(2192),
    [aux_sym_tunnel_device_token1] = ACTIONS(2190),
    [aux_sym_update_host_keys_token1] = ACTIONS(2190),
    [aux_sym_use_keychain_token1] = ACTIONS(2190),
    [aux_sym_use_roaming_token1] = ACTIONS(2190),
    [aux_sym_user_token1] = ACTIONS(2192),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2190),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2190),
    [aux_sym_version_addendum_token1] = ACTIONS(2190),
    [aux_sym_visual_host_key_token1] = ACTIONS(2190),
    [aux_sym_xauth_location_token1] = ACTIONS(2190),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2198),
    [aux_sym_match_token1] = ACTIONS(2196),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2196),
    [aux_sym_address_family_token1] = ACTIONS(2196),
    [aux_sym_batch_mode_token1] = ACTIONS(2196),
    [aux_sym_bind_address_token1] = ACTIONS(2196),
    [aux_sym_bind_interface_token1] = ACTIONS(2196),
    [aux_sym_canonical_domains_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2196),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2196),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2196),
    [aux_sym_certificate_file_token1] = ACTIONS(2196),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2196),
    [aux_sym_channel_timeout_token1] = ACTIONS(2196),
    [aux_sym_check_host_ip_token1] = ACTIONS(2196),
    [aux_sym_ciphers_token1] = ACTIONS(2196),
    [aux_sym_cipher_token1] = ACTIONS(2198),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2196),
    [aux_sym_compression_token1] = ACTIONS(2196),
    [aux_sym_connection_attempts_token1] = ACTIONS(2196),
    [aux_sym_connect_timeout_token1] = ACTIONS(2196),
    [aux_sym_control_master_token1] = ACTIONS(2196),
    [aux_sym_control_path_token1] = ACTIONS(2196),
    [aux_sym_control_persist_token1] = ACTIONS(2196),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2196),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2196),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2196),
    [aux_sym_escape_char_token1] = ACTIONS(2196),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2196),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2196),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2196),
    [aux_sym_forward_agent_token1] = ACTIONS(2196),
    [aux_sym_forward_x11_token1] = ACTIONS(2198),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2196),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2196),
    [aux_sym_gateway_ports_token1] = ACTIONS(2196),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2196),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2196),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2196),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2196),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2196),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2196),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2196),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2196),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2196),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2196),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2196),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2196),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2196),
    [aux_sym_host_key_alias_token1] = ACTIONS(2196),
    [aux_sym_hostname_token1] = ACTIONS(2196),
    [aux_sym_identities_only_token1] = ACTIONS(2196),
    [aux_sym_identity_agent_token1] = ACTIONS(2196),
    [aux_sym_identity_file_token1] = ACTIONS(2196),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2196),
    [aux_sym_include_token1] = ACTIONS(2196),
    [aux_sym_ip_qos_token1] = ACTIONS(2196),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2196),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2196),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2196),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2196),
    [aux_sym_local_command_token1] = ACTIONS(2196),
    [aux_sym_local_forward_token1] = ACTIONS(2196),
    [aux_sym_log_level_token1] = ACTIONS(2196),
    [aux_sym_log_verbose_token1] = ACTIONS(2196),
    [aux_sym_macs_token1] = ACTIONS(2196),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2196),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2196),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2196),
    [aux_sym_password_authentication_token1] = ACTIONS(2196),
    [aux_sym_permit_local_command_token1] = ACTIONS(2196),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2196),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2196),
    [aux_sym_port_token1] = ACTIONS(2196),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2196),
    [aux_sym_protocol_token1] = ACTIONS(2196),
    [aux_sym_proxy_command_token1] = ACTIONS(2196),
    [aux_sym_proxy_jump_token1] = ACTIONS(2196),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2196),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2196),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2196),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2196),
    [aux_sym_rekey_limit_token1] = ACTIONS(2196),
    [aux_sym_remote_command_token1] = ACTIONS(2196),
    [aux_sym_remote_forward_token1] = ACTIONS(2196),
    [aux_sym_request_tty_token1] = ACTIONS(2196),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2196),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2196),
    [aux_sym_security_key_provider_token1] = ACTIONS(2196),
    [aux_sym_send_env_token1] = ACTIONS(2196),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2196),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2196),
    [aux_sym_session_type_token1] = ACTIONS(2196),
    [aux_sym_set_env_token1] = ACTIONS(2196),
    [aux_sym_stdin_null_token1] = ACTIONS(2196),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2196),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2196),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2196),
    [aux_sym_syslog_facility_token1] = ACTIONS(2196),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2196),
    [aux_sym_keep_alive_token1] = ACTIONS(2196),
    [aux_sym_tag_token1] = ACTIONS(2196),
    [aux_sym_tunnel_token1] = ACTIONS(2198),
    [aux_sym_tunnel_device_token1] = ACTIONS(2196),
    [aux_sym_update_host_keys_token1] = ACTIONS(2196),
    [aux_sym_use_keychain_token1] = ACTIONS(2196),
    [aux_sym_use_roaming_token1] = ACTIONS(2196),
    [aux_sym_user_token1] = ACTIONS(2198),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2196),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2196),
    [aux_sym_version_addendum_token1] = ACTIONS(2196),
    [aux_sym_visual_host_key_token1] = ACTIONS(2196),
    [aux_sym_xauth_location_token1] = ACTIONS(2196),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2204),
    [aux_sym_match_token1] = ACTIONS(2202),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2202),
    [aux_sym_address_family_token1] = ACTIONS(2202),
    [aux_sym_batch_mode_token1] = ACTIONS(2202),
    [aux_sym_bind_address_token1] = ACTIONS(2202),
    [aux_sym_bind_interface_token1] = ACTIONS(2202),
    [aux_sym_canonical_domains_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2202),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2202),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2202),
    [aux_sym_certificate_file_token1] = ACTIONS(2202),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2202),
    [aux_sym_channel_timeout_token1] = ACTIONS(2202),
    [aux_sym_check_host_ip_token1] = ACTIONS(2202),
    [aux_sym_ciphers_token1] = ACTIONS(2202),
    [aux_sym_cipher_token1] = ACTIONS(2204),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2202),
    [aux_sym_compression_token1] = ACTIONS(2202),
    [aux_sym_connection_attempts_token1] = ACTIONS(2202),
    [aux_sym_connect_timeout_token1] = ACTIONS(2202),
    [aux_sym_control_master_token1] = ACTIONS(2202),
    [aux_sym_control_path_token1] = ACTIONS(2202),
    [aux_sym_control_persist_token1] = ACTIONS(2202),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2202),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2202),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2202),
    [aux_sym_escape_char_token1] = ACTIONS(2202),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2202),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2202),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2202),
    [aux_sym_forward_agent_token1] = ACTIONS(2202),
    [aux_sym_forward_x11_token1] = ACTIONS(2204),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2202),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2202),
    [aux_sym_gateway_ports_token1] = ACTIONS(2202),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2202),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2202),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2202),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2202),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2202),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2202),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2202),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2202),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2202),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2202),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2202),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2202),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2202),
    [aux_sym_host_key_alias_token1] = ACTIONS(2202),
    [aux_sym_hostname_token1] = ACTIONS(2202),
    [aux_sym_identities_only_token1] = ACTIONS(2202),
    [aux_sym_identity_agent_token1] = ACTIONS(2202),
    [aux_sym_identity_file_token1] = ACTIONS(2202),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2202),
    [aux_sym_include_token1] = ACTIONS(2202),
    [aux_sym_ip_qos_token1] = ACTIONS(2202),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2202),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2202),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2202),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2202),
    [aux_sym_local_command_token1] = ACTIONS(2202),
    [aux_sym_local_forward_token1] = ACTIONS(2202),
    [aux_sym_log_level_token1] = ACTIONS(2202),
    [aux_sym_log_verbose_token1] = ACTIONS(2202),
    [aux_sym_macs_token1] = ACTIONS(2202),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2202),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2202),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2202),
    [aux_sym_password_authentication_token1] = ACTIONS(2202),
    [aux_sym_permit_local_command_token1] = ACTIONS(2202),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2202),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2202),
    [aux_sym_port_token1] = ACTIONS(2202),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2202),
    [aux_sym_protocol_token1] = ACTIONS(2202),
    [aux_sym_proxy_command_token1] = ACTIONS(2202),
    [aux_sym_proxy_jump_token1] = ACTIONS(2202),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2202),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2202),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2202),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2202),
    [aux_sym_rekey_limit_token1] = ACTIONS(2202),
    [aux_sym_remote_command_token1] = ACTIONS(2202),
    [aux_sym_remote_forward_token1] = ACTIONS(2202),
    [aux_sym_request_tty_token1] = ACTIONS(2202),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2202),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2202),
    [aux_sym_security_key_provider_token1] = ACTIONS(2202),
    [aux_sym_send_env_token1] = ACTIONS(2202),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2202),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2202),
    [aux_sym_session_type_token1] = ACTIONS(2202),
    [aux_sym_set_env_token1] = ACTIONS(2202),
    [aux_sym_stdin_null_token1] = ACTIONS(2202),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2202),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2202),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2202),
    [aux_sym_syslog_facility_token1] = ACTIONS(2202),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2202),
    [aux_sym_keep_alive_token1] = ACTIONS(2202),
    [aux_sym_tag_token1] = ACTIONS(2202),
    [aux_sym_tunnel_token1] = ACTIONS(2204),
    [aux_sym_tunnel_device_token1] = ACTIONS(2202),
    [aux_sym_update_host_keys_token1] = ACTIONS(2202),
    [aux_sym_use_keychain_token1] = ACTIONS(2202),
    [aux_sym_use_roaming_token1] = ACTIONS(2202),
    [aux_sym_user_token1] = ACTIONS(2204),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2202),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2202),
    [aux_sym_version_addendum_token1] = ACTIONS(2202),
    [aux_sym_visual_host_key_token1] = ACTIONS(2202),
    [aux_sym_xauth_location_token1] = ACTIONS(2202),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2210),
    [aux_sym_match_token1] = ACTIONS(2208),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2208),
    [aux_sym_address_family_token1] = ACTIONS(2208),
    [aux_sym_batch_mode_token1] = ACTIONS(2208),
    [aux_sym_bind_address_token1] = ACTIONS(2208),
    [aux_sym_bind_interface_token1] = ACTIONS(2208),
    [aux_sym_canonical_domains_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2208),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2208),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2208),
    [aux_sym_certificate_file_token1] = ACTIONS(2208),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2208),
    [aux_sym_channel_timeout_token1] = ACTIONS(2208),
    [aux_sym_check_host_ip_token1] = ACTIONS(2208),
    [aux_sym_ciphers_token1] = ACTIONS(2208),
    [aux_sym_cipher_token1] = ACTIONS(2210),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2208),
    [aux_sym_compression_token1] = ACTIONS(2208),
    [aux_sym_connection_attempts_token1] = ACTIONS(2208),
    [aux_sym_connect_timeout_token1] = ACTIONS(2208),
    [aux_sym_control_master_token1] = ACTIONS(2208),
    [aux_sym_control_path_token1] = ACTIONS(2208),
    [aux_sym_control_persist_token1] = ACTIONS(2208),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2208),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2208),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2208),
    [aux_sym_escape_char_token1] = ACTIONS(2208),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2208),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2208),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2208),
    [aux_sym_forward_agent_token1] = ACTIONS(2208),
    [aux_sym_forward_x11_token1] = ACTIONS(2210),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2208),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2208),
    [aux_sym_gateway_ports_token1] = ACTIONS(2208),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2208),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2208),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2208),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2208),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2208),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2208),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2208),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2208),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2208),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2208),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2208),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2208),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2208),
    [aux_sym_host_key_alias_token1] = ACTIONS(2208),
    [aux_sym_hostname_token1] = ACTIONS(2208),
    [aux_sym_identities_only_token1] = ACTIONS(2208),
    [aux_sym_identity_agent_token1] = ACTIONS(2208),
    [aux_sym_identity_file_token1] = ACTIONS(2208),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2208),
    [aux_sym_include_token1] = ACTIONS(2208),
    [aux_sym_ip_qos_token1] = ACTIONS(2208),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2208),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2208),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2208),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2208),
    [aux_sym_local_command_token1] = ACTIONS(2208),
    [aux_sym_local_forward_token1] = ACTIONS(2208),
    [aux_sym_log_level_token1] = ACTIONS(2208),
    [aux_sym_log_verbose_token1] = ACTIONS(2208),
    [aux_sym_macs_token1] = ACTIONS(2208),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2208),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2208),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2208),
    [aux_sym_password_authentication_token1] = ACTIONS(2208),
    [aux_sym_permit_local_command_token1] = ACTIONS(2208),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2208),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2208),
    [aux_sym_port_token1] = ACTIONS(2208),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2208),
    [aux_sym_protocol_token1] = ACTIONS(2208),
    [aux_sym_proxy_command_token1] = ACTIONS(2208),
    [aux_sym_proxy_jump_token1] = ACTIONS(2208),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2208),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2208),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2208),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2208),
    [aux_sym_rekey_limit_token1] = ACTIONS(2208),
    [aux_sym_remote_command_token1] = ACTIONS(2208),
    [aux_sym_remote_forward_token1] = ACTIONS(2208),
    [aux_sym_request_tty_token1] = ACTIONS(2208),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2208),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2208),
    [aux_sym_security_key_provider_token1] = ACTIONS(2208),
    [aux_sym_send_env_token1] = ACTIONS(2208),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2208),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2208),
    [aux_sym_session_type_token1] = ACTIONS(2208),
    [aux_sym_set_env_token1] = ACTIONS(2208),
    [aux_sym_stdin_null_token1] = ACTIONS(2208),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2208),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2208),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2208),
    [aux_sym_syslog_facility_token1] = ACTIONS(2208),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2208),
    [aux_sym_keep_alive_token1] = ACTIONS(2208),
    [aux_sym_tag_token1] = ACTIONS(2208),
    [aux_sym_tunnel_token1] = ACTIONS(2210),
    [aux_sym_tunnel_device_token1] = ACTIONS(2208),
    [aux_sym_update_host_keys_token1] = ACTIONS(2208),
    [aux_sym_use_keychain_token1] = ACTIONS(2208),
    [aux_sym_use_roaming_token1] = ACTIONS(2208),
    [aux_sym_user_token1] = ACTIONS(2210),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2208),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2208),
    [aux_sym_version_addendum_token1] = ACTIONS(2208),
    [aux_sym_visual_host_key_token1] = ACTIONS(2208),
    [aux_sym_xauth_location_token1] = ACTIONS(2208),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2222),
    [aux_sym_match_token1] = ACTIONS(2220),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2220),
    [aux_sym_address_family_token1] = ACTIONS(2220),
    [aux_sym_batch_mode_token1] = ACTIONS(2220),
    [aux_sym_bind_address_token1] = ACTIONS(2220),
    [aux_sym_bind_interface_token1] = ACTIONS(2220),
    [aux_sym_canonical_domains_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2220),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2220),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2220),
    [aux_sym_certificate_file_token1] = ACTIONS(2220),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2220),
    [aux_sym_channel_timeout_token1] = ACTIONS(2220),
    [aux_sym_check_host_ip_token1] = ACTIONS(2220),
    [aux_sym_ciphers_token1] = ACTIONS(2220),
    [aux_sym_cipher_token1] = ACTIONS(2222),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2220),
    [aux_sym_compression_token1] = ACTIONS(2220),
    [aux_sym_connection_attempts_token1] = ACTIONS(2220),
    [aux_sym_connect_timeout_token1] = ACTIONS(2220),
    [aux_sym_control_master_token1] = ACTIONS(2220),
    [aux_sym_control_path_token1] = ACTIONS(2220),
    [aux_sym_control_persist_token1] = ACTIONS(2220),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2220),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2220),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2220),
    [aux_sym_escape_char_token1] = ACTIONS(2220),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2220),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2220),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2220),
    [aux_sym_forward_agent_token1] = ACTIONS(2220),
    [aux_sym_forward_x11_token1] = ACTIONS(2222),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2220),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2220),
    [aux_sym_gateway_ports_token1] = ACTIONS(2220),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2220),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2220),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2220),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2220),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2220),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2220),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2220),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2220),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2220),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2220),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2220),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2220),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2220),
    [aux_sym_host_key_alias_token1] = ACTIONS(2220),
    [aux_sym_hostname_token1] = ACTIONS(2220),
    [aux_sym_identities_only_token1] = ACTIONS(2220),
    [aux_sym_identity_agent_token1] = ACTIONS(2220),
    [aux_sym_identity_file_token1] = ACTIONS(2220),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2220),
    [aux_sym_include_token1] = ACTIONS(2220),
    [aux_sym_ip_qos_token1] = ACTIONS(2220),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2220),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2220),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2220),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2220),
    [aux_sym_local_command_token1] = ACTIONS(2220),
    [aux_sym_local_forward_token1] = ACTIONS(2220),
    [aux_sym_log_level_token1] = ACTIONS(2220),
    [aux_sym_log_verbose_token1] = ACTIONS(2220),
    [aux_sym_macs_token1] = ACTIONS(2220),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2220),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2220),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2220),
    [aux_sym_password_authentication_token1] = ACTIONS(2220),
    [aux_sym_permit_local_command_token1] = ACTIONS(2220),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2220),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2220),
    [aux_sym_port_token1] = ACTIONS(2220),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2220),
    [aux_sym_protocol_token1] = ACTIONS(2220),
    [aux_sym_proxy_command_token1] = ACTIONS(2220),
    [aux_sym_proxy_jump_token1] = ACTIONS(2220),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2220),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2220),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2220),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2220),
    [aux_sym_rekey_limit_token1] = ACTIONS(2220),
    [aux_sym_remote_command_token1] = ACTIONS(2220),
    [aux_sym_remote_forward_token1] = ACTIONS(2220),
    [aux_sym_request_tty_token1] = ACTIONS(2220),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2220),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2220),
    [aux_sym_security_key_provider_token1] = ACTIONS(2220),
    [aux_sym_send_env_token1] = ACTIONS(2220),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2220),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2220),
    [aux_sym_session_type_token1] = ACTIONS(2220),
    [aux_sym_set_env_token1] = ACTIONS(2220),
    [aux_sym_stdin_null_token1] = ACTIONS(2220),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2220),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2220),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2220),
    [aux_sym_syslog_facility_token1] = ACTIONS(2220),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2220),
    [aux_sym_keep_alive_token1] = ACTIONS(2220),
    [aux_sym_tag_token1] = ACTIONS(2220),
    [aux_sym_tunnel_token1] = ACTIONS(2222),
    [aux_sym_tunnel_device_token1] = ACTIONS(2220),
    [aux_sym_update_host_keys_token1] = ACTIONS(2220),
    [aux_sym_use_keychain_token1] = ACTIONS(2220),
    [aux_sym_use_roaming_token1] = ACTIONS(2220),
    [aux_sym_user_token1] = ACTIONS(2222),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2220),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2220),
    [aux_sym_version_addendum_token1] = ACTIONS(2220),
    [aux_sym_visual_host_key_token1] = ACTIONS(2220),
    [aux_sym_xauth_location_token1] = ACTIONS(2220),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2228),
    [aux_sym_match_token1] = ACTIONS(2226),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2226),
    [aux_sym_address_family_token1] = ACTIONS(2226),
    [aux_sym_batch_mode_token1] = ACTIONS(2226),
    [aux_sym_bind_address_token1] = ACTIONS(2226),
    [aux_sym_bind_interface_token1] = ACTIONS(2226),
    [aux_sym_canonical_domains_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2226),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2226),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2226),
    [aux_sym_certificate_file_token1] = ACTIONS(2226),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2226),
    [aux_sym_channel_timeout_token1] = ACTIONS(2226),
    [aux_sym_check_host_ip_token1] = ACTIONS(2226),
    [aux_sym_ciphers_token1] = ACTIONS(2226),
    [aux_sym_cipher_token1] = ACTIONS(2228),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2226),
    [aux_sym_compression_token1] = ACTIONS(2226),
    [aux_sym_connection_attempts_token1] = ACTIONS(2226),
    [aux_sym_connect_timeout_token1] = ACTIONS(2226),
    [aux_sym_control_master_token1] = ACTIONS(2226),
    [aux_sym_control_path_token1] = ACTIONS(2226),
    [aux_sym_control_persist_token1] = ACTIONS(2226),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2226),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2226),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2226),
    [aux_sym_escape_char_token1] = ACTIONS(2226),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2226),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2226),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2226),
    [aux_sym_forward_agent_token1] = ACTIONS(2226),
    [aux_sym_forward_x11_token1] = ACTIONS(2228),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2226),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2226),
    [aux_sym_gateway_ports_token1] = ACTIONS(2226),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2226),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2226),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2226),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2226),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2226),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2226),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2226),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2226),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2226),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2226),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2226),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2226),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2226),
    [aux_sym_host_key_alias_token1] = ACTIONS(2226),
    [aux_sym_hostname_token1] = ACTIONS(2226),
    [aux_sym_identities_only_token1] = ACTIONS(2226),
    [aux_sym_identity_agent_token1] = ACTIONS(2226),
    [aux_sym_identity_file_token1] = ACTIONS(2226),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2226),
    [aux_sym_include_token1] = ACTIONS(2226),
    [aux_sym_ip_qos_token1] = ACTIONS(2226),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2226),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2226),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2226),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2226),
    [aux_sym_local_command_token1] = ACTIONS(2226),
    [aux_sym_local_forward_token1] = ACTIONS(2226),
    [aux_sym_log_level_token1] = ACTIONS(2226),
    [aux_sym_log_verbose_token1] = ACTIONS(2226),
    [aux_sym_macs_token1] = ACTIONS(2226),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2226),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2226),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2226),
    [aux_sym_password_authentication_token1] = ACTIONS(2226),
    [aux_sym_permit_local_command_token1] = ACTIONS(2226),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2226),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2226),
    [aux_sym_port_token1] = ACTIONS(2226),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2226),
    [aux_sym_protocol_token1] = ACTIONS(2226),
    [aux_sym_proxy_command_token1] = ACTIONS(2226),
    [aux_sym_proxy_jump_token1] = ACTIONS(2226),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2226),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2226),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2226),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2226),
    [aux_sym_rekey_limit_token1] = ACTIONS(2226),
    [aux_sym_remote_command_token1] = ACTIONS(2226),
    [aux_sym_remote_forward_token1] = ACTIONS(2226),
    [aux_sym_request_tty_token1] = ACTIONS(2226),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2226),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2226),
    [aux_sym_security_key_provider_token1] = ACTIONS(2226),
    [aux_sym_send_env_token1] = ACTIONS(2226),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2226),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2226),
    [aux_sym_session_type_token1] = ACTIONS(2226),
    [aux_sym_set_env_token1] = ACTIONS(2226),
    [aux_sym_stdin_null_token1] = ACTIONS(2226),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2226),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2226),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2226),
    [aux_sym_syslog_facility_token1] = ACTIONS(2226),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2226),
    [aux_sym_keep_alive_token1] = ACTIONS(2226),
    [aux_sym_tag_token1] = ACTIONS(2226),
    [aux_sym_tunnel_token1] = ACTIONS(2228),
    [aux_sym_tunnel_device_token1] = ACTIONS(2226),
    [aux_sym_update_host_keys_token1] = ACTIONS(2226),
    [aux_sym_use_keychain_token1] = ACTIONS(2226),
    [aux_sym_use_roaming_token1] = ACTIONS(2226),
    [aux_sym_user_token1] = ACTIONS(2228),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2226),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2226),
    [aux_sym_version_addendum_token1] = ACTIONS(2226),
    [aux_sym_visual_host_key_token1] = ACTIONS(2226),
    [aux_sym_xauth_location_token1] = ACTIONS(2226),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2234),
    [aux_sym_match_token1] = ACTIONS(2232),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2232),
    [aux_sym_address_family_token1] = ACTIONS(2232),
    [aux_sym_batch_mode_token1] = ACTIONS(2232),
    [aux_sym_bind_address_token1] = ACTIONS(2232),
    [aux_sym_bind_interface_token1] = ACTIONS(2232),
    [aux_sym_canonical_domains_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2232),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2232),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2232),
    [aux_sym_certificate_file_token1] = ACTIONS(2232),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2232),
    [aux_sym_channel_timeout_token1] = ACTIONS(2232),
    [aux_sym_check_host_ip_token1] = ACTIONS(2232),
    [aux_sym_ciphers_token1] = ACTIONS(2232),
    [aux_sym_cipher_token1] = ACTIONS(2234),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2232),
    [aux_sym_compression_token1] = ACTIONS(2232),
    [aux_sym_connection_attempts_token1] = ACTIONS(2232),
    [aux_sym_connect_timeout_token1] = ACTIONS(2232),
    [aux_sym_control_master_token1] = ACTIONS(2232),
    [aux_sym_control_path_token1] = ACTIONS(2232),
    [aux_sym_control_persist_token1] = ACTIONS(2232),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2232),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2232),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2232),
    [aux_sym_escape_char_token1] = ACTIONS(2232),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2232),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2232),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2232),
    [aux_sym_forward_agent_token1] = ACTIONS(2232),
    [aux_sym_forward_x11_token1] = ACTIONS(2234),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2232),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2232),
    [aux_sym_gateway_ports_token1] = ACTIONS(2232),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2232),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2232),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2232),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2232),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2232),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2232),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2232),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2232),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2232),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2232),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2232),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2232),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2232),
    [aux_sym_host_key_alias_token1] = ACTIONS(2232),
    [aux_sym_hostname_token1] = ACTIONS(2232),
    [aux_sym_identities_only_token1] = ACTIONS(2232),
    [aux_sym_identity_agent_token1] = ACTIONS(2232),
    [aux_sym_identity_file_token1] = ACTIONS(2232),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2232),
    [aux_sym_include_token1] = ACTIONS(2232),
    [aux_sym_ip_qos_token1] = ACTIONS(2232),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2232),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2232),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2232),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2232),
    [aux_sym_local_command_token1] = ACTIONS(2232),
    [aux_sym_local_forward_token1] = ACTIONS(2232),
    [aux_sym_log_level_token1] = ACTIONS(2232),
    [aux_sym_log_verbose_token1] = ACTIONS(2232),
    [aux_sym_macs_token1] = ACTIONS(2232),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2232),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2232),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2232),
    [aux_sym_password_authentication_token1] = ACTIONS(2232),
    [aux_sym_permit_local_command_token1] = ACTIONS(2232),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2232),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2232),
    [aux_sym_port_token1] = ACTIONS(2232),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2232),
    [aux_sym_protocol_token1] = ACTIONS(2232),
    [aux_sym_proxy_command_token1] = ACTIONS(2232),
    [aux_sym_proxy_jump_token1] = ACTIONS(2232),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2232),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2232),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2232),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2232),
    [aux_sym_rekey_limit_token1] = ACTIONS(2232),
    [aux_sym_remote_command_token1] = ACTIONS(2232),
    [aux_sym_remote_forward_token1] = ACTIONS(2232),
    [aux_sym_request_tty_token1] = ACTIONS(2232),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2232),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2232),
    [aux_sym_security_key_provider_token1] = ACTIONS(2232),
    [aux_sym_send_env_token1] = ACTIONS(2232),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2232),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2232),
    [aux_sym_session_type_token1] = ACTIONS(2232),
    [aux_sym_set_env_token1] = ACTIONS(2232),
    [aux_sym_stdin_null_token1] = ACTIONS(2232),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2232),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2232),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2232),
    [aux_sym_syslog_facility_token1] = ACTIONS(2232),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2232),
    [aux_sym_keep_alive_token1] = ACTIONS(2232),
    [aux_sym_tag_token1] = ACTIONS(2232),
    [aux_sym_tunnel_token1] = ACTIONS(2234),
    [aux_sym_tunnel_device_token1] = ACTIONS(2232),
    [aux_sym_update_host_keys_token1] = ACTIONS(2232),
    [aux_sym_use_keychain_token1] = ACTIONS(2232),
    [aux_sym_use_roaming_token1] = ACTIONS(2232),
    [aux_sym_user_token1] = ACTIONS(2234),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2232),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2232),
    [aux_sym_version_addendum_token1] = ACTIONS(2232),
    [aux_sym_visual_host_key_token1] = ACTIONS(2232),
    [aux_sym_xauth_location_token1] = ACTIONS(2232),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2240),
    [aux_sym_match_token1] = ACTIONS(2238),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2238),
    [aux_sym_address_family_token1] = ACTIONS(2238),
    [aux_sym_batch_mode_token1] = ACTIONS(2238),
    [aux_sym_bind_address_token1] = ACTIONS(2238),
    [aux_sym_bind_interface_token1] = ACTIONS(2238),
    [aux_sym_canonical_domains_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2238),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2238),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2238),
    [aux_sym_certificate_file_token1] = ACTIONS(2238),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2238),
    [aux_sym_channel_timeout_token1] = ACTIONS(2238),
    [aux_sym_check_host_ip_token1] = ACTIONS(2238),
    [aux_sym_ciphers_token1] = ACTIONS(2238),
    [aux_sym_cipher_token1] = ACTIONS(2240),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2238),
    [aux_sym_compression_token1] = ACTIONS(2238),
    [aux_sym_connection_attempts_token1] = ACTIONS(2238),
    [aux_sym_connect_timeout_token1] = ACTIONS(2238),
    [aux_sym_control_master_token1] = ACTIONS(2238),
    [aux_sym_control_path_token1] = ACTIONS(2238),
    [aux_sym_control_persist_token1] = ACTIONS(2238),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2238),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2238),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2238),
    [aux_sym_escape_char_token1] = ACTIONS(2238),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2238),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2238),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2238),
    [aux_sym_forward_agent_token1] = ACTIONS(2238),
    [aux_sym_forward_x11_token1] = ACTIONS(2240),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2238),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2238),
    [aux_sym_gateway_ports_token1] = ACTIONS(2238),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2238),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2238),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2238),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2238),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2238),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2238),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2238),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2238),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2238),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2238),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2238),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2238),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2238),
    [aux_sym_host_key_alias_token1] = ACTIONS(2238),
    [aux_sym_hostname_token1] = ACTIONS(2238),
    [aux_sym_identities_only_token1] = ACTIONS(2238),
    [aux_sym_identity_agent_token1] = ACTIONS(2238),
    [aux_sym_identity_file_token1] = ACTIONS(2238),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2238),
    [aux_sym_include_token1] = ACTIONS(2238),
    [aux_sym_ip_qos_token1] = ACTIONS(2238),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2238),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2238),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2238),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2238),
    [aux_sym_local_command_token1] = ACTIONS(2238),
    [aux_sym_local_forward_token1] = ACTIONS(2238),
    [aux_sym_log_level_token1] = ACTIONS(2238),
    [aux_sym_log_verbose_token1] = ACTIONS(2238),
    [aux_sym_macs_token1] = ACTIONS(2238),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2238),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2238),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2238),
    [aux_sym_password_authentication_token1] = ACTIONS(2238),
    [aux_sym_permit_local_command_token1] = ACTIONS(2238),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2238),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2238),
    [aux_sym_port_token1] = ACTIONS(2238),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2238),
    [aux_sym_protocol_token1] = ACTIONS(2238),
    [aux_sym_proxy_command_token1] = ACTIONS(2238),
    [aux_sym_proxy_jump_token1] = ACTIONS(2238),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2238),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2238),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2238),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2238),
    [aux_sym_rekey_limit_token1] = ACTIONS(2238),
    [aux_sym_remote_command_token1] = ACTIONS(2238),
    [aux_sym_remote_forward_token1] = ACTIONS(2238),
    [aux_sym_request_tty_token1] = ACTIONS(2238),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2238),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2238),
    [aux_sym_security_key_provider_token1] = ACTIONS(2238),
    [aux_sym_send_env_token1] = ACTIONS(2238),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2238),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2238),
    [aux_sym_session_type_token1] = ACTIONS(2238),
    [aux_sym_set_env_token1] = ACTIONS(2238),
    [aux_sym_stdin_null_token1] = ACTIONS(2238),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2238),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2238),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2238),
    [aux_sym_syslog_facility_token1] = ACTIONS(2238),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2238),
    [aux_sym_keep_alive_token1] = ACTIONS(2238),
    [aux_sym_tag_token1] = ACTIONS(2238),
    [aux_sym_tunnel_token1] = ACTIONS(2240),
    [aux_sym_tunnel_device_token1] = ACTIONS(2238),
    [aux_sym_update_host_keys_token1] = ACTIONS(2238),
    [aux_sym_use_keychain_token1] = ACTIONS(2238),
    [aux_sym_use_roaming_token1] = ACTIONS(2238),
    [aux_sym_user_token1] = ACTIONS(2240),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2238),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2238),
    [aux_sym_version_addendum_token1] = ACTIONS(2238),
    [aux_sym_visual_host_key_token1] = ACTIONS(2238),
    [aux_sym_xauth_location_token1] = ACTIONS(2238),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2246),
    [aux_sym_match_token1] = ACTIONS(2244),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2244),
    [aux_sym_address_family_token1] = ACTIONS(2244),
    [aux_sym_batch_mode_token1] = ACTIONS(2244),
    [aux_sym_bind_address_token1] = ACTIONS(2244),
    [aux_sym_bind_interface_token1] = ACTIONS(2244),
    [aux_sym_canonical_domains_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2244),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2244),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2244),
    [aux_sym_certificate_file_token1] = ACTIONS(2244),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2244),
    [aux_sym_channel_timeout_token1] = ACTIONS(2244),
    [aux_sym_check_host_ip_token1] = ACTIONS(2244),
    [aux_sym_ciphers_token1] = ACTIONS(2244),
    [aux_sym_cipher_token1] = ACTIONS(2246),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2244),
    [aux_sym_compression_token1] = ACTIONS(2244),
    [aux_sym_connection_attempts_token1] = ACTIONS(2244),
    [aux_sym_connect_timeout_token1] = ACTIONS(2244),
    [aux_sym_control_master_token1] = ACTIONS(2244),
    [aux_sym_control_path_token1] = ACTIONS(2244),
    [aux_sym_control_persist_token1] = ACTIONS(2244),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2244),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2244),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2244),
    [aux_sym_escape_char_token1] = ACTIONS(2244),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2244),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2244),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2244),
    [aux_sym_forward_agent_token1] = ACTIONS(2244),
    [aux_sym_forward_x11_token1] = ACTIONS(2246),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2244),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2244),
    [aux_sym_gateway_ports_token1] = ACTIONS(2244),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2244),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2244),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2244),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2244),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2244),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2244),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2244),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2244),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2244),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2244),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2244),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2244),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2244),
    [aux_sym_host_key_alias_token1] = ACTIONS(2244),
    [aux_sym_hostname_token1] = ACTIONS(2244),
    [aux_sym_identities_only_token1] = ACTIONS(2244),
    [aux_sym_identity_agent_token1] = ACTIONS(2244),
    [aux_sym_identity_file_token1] = ACTIONS(2244),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2244),
    [aux_sym_include_token1] = ACTIONS(2244),
    [aux_sym_ip_qos_token1] = ACTIONS(2244),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2244),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2244),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2244),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2244),
    [aux_sym_local_command_token1] = ACTIONS(2244),
    [aux_sym_local_forward_token1] = ACTIONS(2244),
    [aux_sym_log_level_token1] = ACTIONS(2244),
    [aux_sym_log_verbose_token1] = ACTIONS(2244),
    [aux_sym_macs_token1] = ACTIONS(2244),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2244),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2244),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2244),
    [aux_sym_password_authentication_token1] = ACTIONS(2244),
    [aux_sym_permit_local_command_token1] = ACTIONS(2244),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2244),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2244),
    [aux_sym_port_token1] = ACTIONS(2244),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2244),
    [aux_sym_protocol_token1] = ACTIONS(2244),
    [aux_sym_proxy_command_token1] = ACTIONS(2244),
    [aux_sym_proxy_jump_token1] = ACTIONS(2244),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2244),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2244),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2244),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2244),
    [aux_sym_rekey_limit_token1] = ACTIONS(2244),
    [aux_sym_remote_command_token1] = ACTIONS(2244),
    [aux_sym_remote_forward_token1] = ACTIONS(2244),
    [aux_sym_request_tty_token1] = ACTIONS(2244),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2244),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2244),
    [aux_sym_security_key_provider_token1] = ACTIONS(2244),
    [aux_sym_send_env_token1] = ACTIONS(2244),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2244),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2244),
    [aux_sym_session_type_token1] = ACTIONS(2244),
    [aux_sym_set_env_token1] = ACTIONS(2244),
    [aux_sym_stdin_null_token1] = ACTIONS(2244),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2244),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2244),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2244),
    [aux_sym_syslog_facility_token1] = ACTIONS(2244),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2244),
    [aux_sym_keep_alive_token1] = ACTIONS(2244),
    [aux_sym_tag_token1] = ACTIONS(2244),
    [aux_sym_tunnel_token1] = ACTIONS(2246),
    [aux_sym_tunnel_device_token1] = ACTIONS(2244),
    [aux_sym_update_host_keys_token1] = ACTIONS(2244),
    [aux_sym_use_keychain_token1] = ACTIONS(2244),
    [aux_sym_use_roaming_token1] = ACTIONS(2244),
    [aux_sym_user_token1] = ACTIONS(2246),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2244),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2244),
    [aux_sym_version_addendum_token1] = ACTIONS(2244),
    [aux_sym_visual_host_key_token1] = ACTIONS(2244),
    [aux_sym_xauth_location_token1] = ACTIONS(2244),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2252),
    [aux_sym_match_token1] = ACTIONS(2250),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2250),
    [aux_sym_address_family_token1] = ACTIONS(2250),
    [aux_sym_batch_mode_token1] = ACTIONS(2250),
    [aux_sym_bind_address_token1] = ACTIONS(2250),
    [aux_sym_bind_interface_token1] = ACTIONS(2250),
    [aux_sym_canonical_domains_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2250),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2250),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2250),
    [aux_sym_certificate_file_token1] = ACTIONS(2250),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2250),
    [aux_sym_channel_timeout_token1] = ACTIONS(2250),
    [aux_sym_check_host_ip_token1] = ACTIONS(2250),
    [aux_sym_ciphers_token1] = ACTIONS(2250),
    [aux_sym_cipher_token1] = ACTIONS(2252),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2250),
    [aux_sym_compression_token1] = ACTIONS(2250),
    [aux_sym_connection_attempts_token1] = ACTIONS(2250),
    [aux_sym_connect_timeout_token1] = ACTIONS(2250),
    [aux_sym_control_master_token1] = ACTIONS(2250),
    [aux_sym_control_path_token1] = ACTIONS(2250),
    [aux_sym_control_persist_token1] = ACTIONS(2250),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2250),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2250),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2250),
    [aux_sym_escape_char_token1] = ACTIONS(2250),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2250),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2250),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2250),
    [aux_sym_forward_agent_token1] = ACTIONS(2250),
    [aux_sym_forward_x11_token1] = ACTIONS(2252),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2250),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2250),
    [aux_sym_gateway_ports_token1] = ACTIONS(2250),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2250),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2250),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2250),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2250),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2250),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2250),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2250),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2250),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2250),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2250),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2250),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2250),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2250),
    [aux_sym_host_key_alias_token1] = ACTIONS(2250),
    [aux_sym_hostname_token1] = ACTIONS(2250),
    [aux_sym_identities_only_token1] = ACTIONS(2250),
    [aux_sym_identity_agent_token1] = ACTIONS(2250),
    [aux_sym_identity_file_token1] = ACTIONS(2250),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2250),
    [aux_sym_include_token1] = ACTIONS(2250),
    [aux_sym_ip_qos_token1] = ACTIONS(2250),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2250),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2250),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2250),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2250),
    [aux_sym_local_command_token1] = ACTIONS(2250),
    [aux_sym_local_forward_token1] = ACTIONS(2250),
    [aux_sym_log_level_token1] = ACTIONS(2250),
    [aux_sym_log_verbose_token1] = ACTIONS(2250),
    [aux_sym_macs_token1] = ACTIONS(2250),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2250),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2250),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2250),
    [aux_sym_password_authentication_token1] = ACTIONS(2250),
    [aux_sym_permit_local_command_token1] = ACTIONS(2250),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2250),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2250),
    [aux_sym_port_token1] = ACTIONS(2250),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2250),
    [aux_sym_protocol_token1] = ACTIONS(2250),
    [aux_sym_proxy_command_token1] = ACTIONS(2250),
    [aux_sym_proxy_jump_token1] = ACTIONS(2250),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2250),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2250),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2250),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2250),
    [aux_sym_rekey_limit_token1] = ACTIONS(2250),
    [aux_sym_remote_command_token1] = ACTIONS(2250),
    [aux_sym_remote_forward_token1] = ACTIONS(2250),
    [aux_sym_request_tty_token1] = ACTIONS(2250),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2250),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2250),
    [aux_sym_security_key_provider_token1] = ACTIONS(2250),
    [aux_sym_send_env_token1] = ACTIONS(2250),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2250),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2250),
    [aux_sym_session_type_token1] = ACTIONS(2250),
    [aux_sym_set_env_token1] = ACTIONS(2250),
    [aux_sym_stdin_null_token1] = ACTIONS(2250),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2250),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2250),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2250),
    [aux_sym_syslog_facility_token1] = ACTIONS(2250),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2250),
    [aux_sym_keep_alive_token1] = ACTIONS(2250),
    [aux_sym_tag_token1] = ACTIONS(2250),
    [aux_sym_tunnel_token1] = ACTIONS(2252),
    [aux_sym_tunnel_device_token1] = ACTIONS(2250),
    [aux_sym_update_host_keys_token1] = ACTIONS(2250),
    [aux_sym_use_keychain_token1] = ACTIONS(2250),
    [aux_sym_use_roaming_token1] = ACTIONS(2250),
    [aux_sym_user_token1] = ACTIONS(2252),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2250),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2250),
    [aux_sym_version_addendum_token1] = ACTIONS(2250),
    [aux_sym_visual_host_key_token1] = ACTIONS(2250),
    [aux_sym_xauth_location_token1] = ACTIONS(2250),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2258),
    [aux_sym_match_token1] = ACTIONS(2256),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2256),
    [aux_sym_address_family_token1] = ACTIONS(2256),
    [aux_sym_batch_mode_token1] = ACTIONS(2256),
    [aux_sym_bind_address_token1] = ACTIONS(2256),
    [aux_sym_bind_interface_token1] = ACTIONS(2256),
    [aux_sym_canonical_domains_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2256),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2256),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2256),
    [aux_sym_certificate_file_token1] = ACTIONS(2256),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2256),
    [aux_sym_channel_timeout_token1] = ACTIONS(2256),
    [aux_sym_check_host_ip_token1] = ACTIONS(2256),
    [aux_sym_ciphers_token1] = ACTIONS(2256),
    [aux_sym_cipher_token1] = ACTIONS(2258),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2256),
    [aux_sym_compression_token1] = ACTIONS(2256),
    [aux_sym_connection_attempts_token1] = ACTIONS(2256),
    [aux_sym_connect_timeout_token1] = ACTIONS(2256),
    [aux_sym_control_master_token1] = ACTIONS(2256),
    [aux_sym_control_path_token1] = ACTIONS(2256),
    [aux_sym_control_persist_token1] = ACTIONS(2256),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2256),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2256),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2256),
    [aux_sym_escape_char_token1] = ACTIONS(2256),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2256),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2256),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2256),
    [aux_sym_forward_agent_token1] = ACTIONS(2256),
    [aux_sym_forward_x11_token1] = ACTIONS(2258),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2256),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2256),
    [aux_sym_gateway_ports_token1] = ACTIONS(2256),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2256),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2256),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2256),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2256),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2256),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2256),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2256),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2256),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2256),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2256),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2256),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2256),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2256),
    [aux_sym_host_key_alias_token1] = ACTIONS(2256),
    [aux_sym_hostname_token1] = ACTIONS(2256),
    [aux_sym_identities_only_token1] = ACTIONS(2256),
    [aux_sym_identity_agent_token1] = ACTIONS(2256),
    [aux_sym_identity_file_token1] = ACTIONS(2256),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2256),
    [aux_sym_include_token1] = ACTIONS(2256),
    [aux_sym_ip_qos_token1] = ACTIONS(2256),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2256),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2256),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2256),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2256),
    [aux_sym_local_command_token1] = ACTIONS(2256),
    [aux_sym_local_forward_token1] = ACTIONS(2256),
    [aux_sym_log_level_token1] = ACTIONS(2256),
    [aux_sym_log_verbose_token1] = ACTIONS(2256),
    [aux_sym_macs_token1] = ACTIONS(2256),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2256),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2256),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2256),
    [aux_sym_password_authentication_token1] = ACTIONS(2256),
    [aux_sym_permit_local_command_token1] = ACTIONS(2256),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2256),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2256),
    [aux_sym_port_token1] = ACTIONS(2256),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2256),
    [aux_sym_protocol_token1] = ACTIONS(2256),
    [aux_sym_proxy_command_token1] = ACTIONS(2256),
    [aux_sym_proxy_jump_token1] = ACTIONS(2256),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2256),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2256),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2256),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2256),
    [aux_sym_rekey_limit_token1] = ACTIONS(2256),
    [aux_sym_remote_command_token1] = ACTIONS(2256),
    [aux_sym_remote_forward_token1] = ACTIONS(2256),
    [aux_sym_request_tty_token1] = ACTIONS(2256),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2256),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2256),
    [aux_sym_security_key_provider_token1] = ACTIONS(2256),
    [aux_sym_send_env_token1] = ACTIONS(2256),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2256),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2256),
    [aux_sym_session_type_token1] = ACTIONS(2256),
    [aux_sym_set_env_token1] = ACTIONS(2256),
    [aux_sym_stdin_null_token1] = ACTIONS(2256),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2256),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2256),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2256),
    [aux_sym_syslog_facility_token1] = ACTIONS(2256),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2256),
    [aux_sym_keep_alive_token1] = ACTIONS(2256),
    [aux_sym_tag_token1] = ACTIONS(2256),
    [aux_sym_tunnel_token1] = ACTIONS(2258),
    [aux_sym_tunnel_device_token1] = ACTIONS(2256),
    [aux_sym_update_host_keys_token1] = ACTIONS(2256),
    [aux_sym_use_keychain_token1] = ACTIONS(2256),
    [aux_sym_use_roaming_token1] = ACTIONS(2256),
    [aux_sym_user_token1] = ACTIONS(2258),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2256),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2256),
    [aux_sym_version_addendum_token1] = ACTIONS(2256),
    [aux_sym_visual_host_key_token1] = ACTIONS(2256),
    [aux_sym_xauth_location_token1] = ACTIONS(2256),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2264),
    [aux_sym_match_token1] = ACTIONS(2262),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2262),
    [aux_sym_address_family_token1] = ACTIONS(2262),
    [aux_sym_batch_mode_token1] = ACTIONS(2262),
    [aux_sym_bind_address_token1] = ACTIONS(2262),
    [aux_sym_bind_interface_token1] = ACTIONS(2262),
    [aux_sym_canonical_domains_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2262),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2262),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2262),
    [aux_sym_certificate_file_token1] = ACTIONS(2262),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2262),
    [aux_sym_channel_timeout_token1] = ACTIONS(2262),
    [aux_sym_check_host_ip_token1] = ACTIONS(2262),
    [aux_sym_ciphers_token1] = ACTIONS(2262),
    [aux_sym_cipher_token1] = ACTIONS(2264),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2262),
    [aux_sym_compression_token1] = ACTIONS(2262),
    [aux_sym_connection_attempts_token1] = ACTIONS(2262),
    [aux_sym_connect_timeout_token1] = ACTIONS(2262),
    [aux_sym_control_master_token1] = ACTIONS(2262),
    [aux_sym_control_path_token1] = ACTIONS(2262),
    [aux_sym_control_persist_token1] = ACTIONS(2262),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2262),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2262),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2262),
    [aux_sym_escape_char_token1] = ACTIONS(2262),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2262),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2262),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2262),
    [aux_sym_forward_agent_token1] = ACTIONS(2262),
    [aux_sym_forward_x11_token1] = ACTIONS(2264),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2262),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2262),
    [aux_sym_gateway_ports_token1] = ACTIONS(2262),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2262),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2262),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2262),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2262),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2262),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2262),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2262),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2262),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2262),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2262),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2262),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2262),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2262),
    [aux_sym_host_key_alias_token1] = ACTIONS(2262),
    [aux_sym_hostname_token1] = ACTIONS(2262),
    [aux_sym_identities_only_token1] = ACTIONS(2262),
    [aux_sym_identity_agent_token1] = ACTIONS(2262),
    [aux_sym_identity_file_token1] = ACTIONS(2262),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2262),
    [aux_sym_include_token1] = ACTIONS(2262),
    [aux_sym_ip_qos_token1] = ACTIONS(2262),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2262),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2262),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2262),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2262),
    [aux_sym_local_command_token1] = ACTIONS(2262),
    [aux_sym_local_forward_token1] = ACTIONS(2262),
    [aux_sym_log_level_token1] = ACTIONS(2262),
    [aux_sym_log_verbose_token1] = ACTIONS(2262),
    [aux_sym_macs_token1] = ACTIONS(2262),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2262),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2262),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2262),
    [aux_sym_password_authentication_token1] = ACTIONS(2262),
    [aux_sym_permit_local_command_token1] = ACTIONS(2262),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2262),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2262),
    [aux_sym_port_token1] = ACTIONS(2262),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2262),
    [aux_sym_protocol_token1] = ACTIONS(2262),
    [aux_sym_proxy_command_token1] = ACTIONS(2262),
    [aux_sym_proxy_jump_token1] = ACTIONS(2262),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2262),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2262),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2262),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2262),
    [aux_sym_rekey_limit_token1] = ACTIONS(2262),
    [aux_sym_remote_command_token1] = ACTIONS(2262),
    [aux_sym_remote_forward_token1] = ACTIONS(2262),
    [aux_sym_request_tty_token1] = ACTIONS(2262),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2262),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2262),
    [aux_sym_security_key_provider_token1] = ACTIONS(2262),
    [aux_sym_send_env_token1] = ACTIONS(2262),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2262),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2262),
    [aux_sym_session_type_token1] = ACTIONS(2262),
    [aux_sym_set_env_token1] = ACTIONS(2262),
    [aux_sym_stdin_null_token1] = ACTIONS(2262),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2262),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2262),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2262),
    [aux_sym_syslog_facility_token1] = ACTIONS(2262),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2262),
    [aux_sym_keep_alive_token1] = ACTIONS(2262),
    [aux_sym_tag_token1] = ACTIONS(2262),
    [aux_sym_tunnel_token1] = ACTIONS(2264),
    [aux_sym_tunnel_device_token1] = ACTIONS(2262),
    [aux_sym_update_host_keys_token1] = ACTIONS(2262),
    [aux_sym_use_keychain_token1] = ACTIONS(2262),
    [aux_sym_use_roaming_token1] = ACTIONS(2262),
    [aux_sym_user_token1] = ACTIONS(2264),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2262),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2262),
    [aux_sym_version_addendum_token1] = ACTIONS(2262),
    [aux_sym_visual_host_key_token1] = ACTIONS(2262),
    [aux_sym_xauth_location_token1] = ACTIONS(2262),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2270),
    [aux_sym_match_token1] = ACTIONS(2268),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2268),
    [aux_sym_address_family_token1] = ACTIONS(2268),
    [aux_sym_batch_mode_token1] = ACTIONS(2268),
    [aux_sym_bind_address_token1] = ACTIONS(2268),
    [aux_sym_bind_interface_token1] = ACTIONS(2268),
    [aux_sym_canonical_domains_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2268),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2268),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2268),
    [aux_sym_certificate_file_token1] = ACTIONS(2268),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2268),
    [aux_sym_channel_timeout_token1] = ACTIONS(2268),
    [aux_sym_check_host_ip_token1] = ACTIONS(2268),
    [aux_sym_ciphers_token1] = ACTIONS(2268),
    [aux_sym_cipher_token1] = ACTIONS(2270),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2268),
    [aux_sym_compression_token1] = ACTIONS(2268),
    [aux_sym_connection_attempts_token1] = ACTIONS(2268),
    [aux_sym_connect_timeout_token1] = ACTIONS(2268),
    [aux_sym_control_master_token1] = ACTIONS(2268),
    [aux_sym_control_path_token1] = ACTIONS(2268),
    [aux_sym_control_persist_token1] = ACTIONS(2268),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2268),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2268),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2268),
    [aux_sym_escape_char_token1] = ACTIONS(2268),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2268),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2268),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2268),
    [aux_sym_forward_agent_token1] = ACTIONS(2268),
    [aux_sym_forward_x11_token1] = ACTIONS(2270),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2268),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2268),
    [aux_sym_gateway_ports_token1] = ACTIONS(2268),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2268),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2268),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2268),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2268),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2268),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2268),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2268),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2268),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2268),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2268),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2268),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2268),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2268),
    [aux_sym_host_key_alias_token1] = ACTIONS(2268),
    [aux_sym_hostname_token1] = ACTIONS(2268),
    [aux_sym_identities_only_token1] = ACTIONS(2268),
    [aux_sym_identity_agent_token1] = ACTIONS(2268),
    [aux_sym_identity_file_token1] = ACTIONS(2268),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2268),
    [aux_sym_include_token1] = ACTIONS(2268),
    [aux_sym_ip_qos_token1] = ACTIONS(2268),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2268),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2268),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2268),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2268),
    [aux_sym_local_command_token1] = ACTIONS(2268),
    [aux_sym_local_forward_token1] = ACTIONS(2268),
    [aux_sym_log_level_token1] = ACTIONS(2268),
    [aux_sym_log_verbose_token1] = ACTIONS(2268),
    [aux_sym_macs_token1] = ACTIONS(2268),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2268),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2268),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2268),
    [aux_sym_password_authentication_token1] = ACTIONS(2268),
    [aux_sym_permit_local_command_token1] = ACTIONS(2268),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2268),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2268),
    [aux_sym_port_token1] = ACTIONS(2268),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2268),
    [aux_sym_protocol_token1] = ACTIONS(2268),
    [aux_sym_proxy_command_token1] = ACTIONS(2268),
    [aux_sym_proxy_jump_token1] = ACTIONS(2268),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2268),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2268),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2268),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2268),
    [aux_sym_rekey_limit_token1] = ACTIONS(2268),
    [aux_sym_remote_command_token1] = ACTIONS(2268),
    [aux_sym_remote_forward_token1] = ACTIONS(2268),
    [aux_sym_request_tty_token1] = ACTIONS(2268),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2268),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2268),
    [aux_sym_security_key_provider_token1] = ACTIONS(2268),
    [aux_sym_send_env_token1] = ACTIONS(2268),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2268),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2268),
    [aux_sym_session_type_token1] = ACTIONS(2268),
    [aux_sym_set_env_token1] = ACTIONS(2268),
    [aux_sym_stdin_null_token1] = ACTIONS(2268),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2268),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2268),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2268),
    [aux_sym_syslog_facility_token1] = ACTIONS(2268),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2268),
    [aux_sym_keep_alive_token1] = ACTIONS(2268),
    [aux_sym_tag_token1] = ACTIONS(2268),
    [aux_sym_tunnel_token1] = ACTIONS(2270),
    [aux_sym_tunnel_device_token1] = ACTIONS(2268),
    [aux_sym_update_host_keys_token1] = ACTIONS(2268),
    [aux_sym_use_keychain_token1] = ACTIONS(2268),
    [aux_sym_use_roaming_token1] = ACTIONS(2268),
    [aux_sym_user_token1] = ACTIONS(2270),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2268),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2268),
    [aux_sym_version_addendum_token1] = ACTIONS(2268),
    [aux_sym_visual_host_key_token1] = ACTIONS(2268),
    [aux_sym_xauth_location_token1] = ACTIONS(2268),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2276),
    [aux_sym_match_token1] = ACTIONS(2274),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2274),
    [aux_sym_address_family_token1] = ACTIONS(2274),
    [aux_sym_batch_mode_token1] = ACTIONS(2274),
    [aux_sym_bind_address_token1] = ACTIONS(2274),
    [aux_sym_bind_interface_token1] = ACTIONS(2274),
    [aux_sym_canonical_domains_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2274),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2274),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2274),
    [aux_sym_certificate_file_token1] = ACTIONS(2274),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2274),
    [aux_sym_channel_timeout_token1] = ACTIONS(2274),
    [aux_sym_check_host_ip_token1] = ACTIONS(2274),
    [aux_sym_ciphers_token1] = ACTIONS(2274),
    [aux_sym_cipher_token1] = ACTIONS(2276),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2274),
    [aux_sym_compression_token1] = ACTIONS(2274),
    [aux_sym_connection_attempts_token1] = ACTIONS(2274),
    [aux_sym_connect_timeout_token1] = ACTIONS(2274),
    [aux_sym_control_master_token1] = ACTIONS(2274),
    [aux_sym_control_path_token1] = ACTIONS(2274),
    [aux_sym_control_persist_token1] = ACTIONS(2274),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2274),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2274),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2274),
    [aux_sym_escape_char_token1] = ACTIONS(2274),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2274),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2274),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2274),
    [aux_sym_forward_agent_token1] = ACTIONS(2274),
    [aux_sym_forward_x11_token1] = ACTIONS(2276),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2274),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2274),
    [aux_sym_gateway_ports_token1] = ACTIONS(2274),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2274),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2274),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2274),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2274),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2274),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2274),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2274),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2274),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2274),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2274),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2274),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2274),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2274),
    [aux_sym_host_key_alias_token1] = ACTIONS(2274),
    [aux_sym_hostname_token1] = ACTIONS(2274),
    [aux_sym_identities_only_token1] = ACTIONS(2274),
    [aux_sym_identity_agent_token1] = ACTIONS(2274),
    [aux_sym_identity_file_token1] = ACTIONS(2274),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2274),
    [aux_sym_include_token1] = ACTIONS(2274),
    [aux_sym_ip_qos_token1] = ACTIONS(2274),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2274),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2274),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2274),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2274),
    [aux_sym_local_command_token1] = ACTIONS(2274),
    [aux_sym_local_forward_token1] = ACTIONS(2274),
    [aux_sym_log_level_token1] = ACTIONS(2274),
    [aux_sym_log_verbose_token1] = ACTIONS(2274),
    [aux_sym_macs_token1] = ACTIONS(2274),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2274),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2274),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2274),
    [aux_sym_password_authentication_token1] = ACTIONS(2274),
    [aux_sym_permit_local_command_token1] = ACTIONS(2274),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2274),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2274),
    [aux_sym_port_token1] = ACTIONS(2274),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2274),
    [aux_sym_protocol_token1] = ACTIONS(2274),
    [aux_sym_proxy_command_token1] = ACTIONS(2274),
    [aux_sym_proxy_jump_token1] = ACTIONS(2274),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2274),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2274),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2274),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2274),
    [aux_sym_rekey_limit_token1] = ACTIONS(2274),
    [aux_sym_remote_command_token1] = ACTIONS(2274),
    [aux_sym_remote_forward_token1] = ACTIONS(2274),
    [aux_sym_request_tty_token1] = ACTIONS(2274),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2274),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2274),
    [aux_sym_security_key_provider_token1] = ACTIONS(2274),
    [aux_sym_send_env_token1] = ACTIONS(2274),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2274),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2274),
    [aux_sym_session_type_token1] = ACTIONS(2274),
    [aux_sym_set_env_token1] = ACTIONS(2274),
    [aux_sym_stdin_null_token1] = ACTIONS(2274),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2274),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2274),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2274),
    [aux_sym_syslog_facility_token1] = ACTIONS(2274),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2274),
    [aux_sym_keep_alive_token1] = ACTIONS(2274),
    [aux_sym_tag_token1] = ACTIONS(2274),
    [aux_sym_tunnel_token1] = ACTIONS(2276),
    [aux_sym_tunnel_device_token1] = ACTIONS(2274),
    [aux_sym_update_host_keys_token1] = ACTIONS(2274),
    [aux_sym_use_keychain_token1] = ACTIONS(2274),
    [aux_sym_use_roaming_token1] = ACTIONS(2274),
    [aux_sym_user_token1] = ACTIONS(2276),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2274),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2274),
    [aux_sym_version_addendum_token1] = ACTIONS(2274),
    [aux_sym_visual_host_key_token1] = ACTIONS(2274),
    [aux_sym_xauth_location_token1] = ACTIONS(2274),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2282),
    [aux_sym_match_token1] = ACTIONS(2280),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2280),
    [aux_sym_address_family_token1] = ACTIONS(2280),
    [aux_sym_batch_mode_token1] = ACTIONS(2280),
    [aux_sym_bind_address_token1] = ACTIONS(2280),
    [aux_sym_bind_interface_token1] = ACTIONS(2280),
    [aux_sym_canonical_domains_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2280),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2280),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2280),
    [aux_sym_certificate_file_token1] = ACTIONS(2280),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2280),
    [aux_sym_channel_timeout_token1] = ACTIONS(2280),
    [aux_sym_check_host_ip_token1] = ACTIONS(2280),
    [aux_sym_ciphers_token1] = ACTIONS(2280),
    [aux_sym_cipher_token1] = ACTIONS(2282),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2280),
    [aux_sym_compression_token1] = ACTIONS(2280),
    [aux_sym_connection_attempts_token1] = ACTIONS(2280),
    [aux_sym_connect_timeout_token1] = ACTIONS(2280),
    [aux_sym_control_master_token1] = ACTIONS(2280),
    [aux_sym_control_path_token1] = ACTIONS(2280),
    [aux_sym_control_persist_token1] = ACTIONS(2280),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2280),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2280),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2280),
    [aux_sym_escape_char_token1] = ACTIONS(2280),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2280),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2280),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2280),
    [aux_sym_forward_agent_token1] = ACTIONS(2280),
    [aux_sym_forward_x11_token1] = ACTIONS(2282),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2280),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2280),
    [aux_sym_gateway_ports_token1] = ACTIONS(2280),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2280),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2280),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2280),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2280),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2280),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2280),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2280),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2280),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2280),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2280),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2280),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2280),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2280),
    [aux_sym_host_key_alias_token1] = ACTIONS(2280),
    [aux_sym_hostname_token1] = ACTIONS(2280),
    [aux_sym_identities_only_token1] = ACTIONS(2280),
    [aux_sym_identity_agent_token1] = ACTIONS(2280),
    [aux_sym_identity_file_token1] = ACTIONS(2280),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2280),
    [aux_sym_include_token1] = ACTIONS(2280),
    [aux_sym_ip_qos_token1] = ACTIONS(2280),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2280),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2280),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2280),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2280),
    [aux_sym_local_command_token1] = ACTIONS(2280),
    [aux_sym_local_forward_token1] = ACTIONS(2280),
    [aux_sym_log_level_token1] = ACTIONS(2280),
    [aux_sym_log_verbose_token1] = ACTIONS(2280),
    [aux_sym_macs_token1] = ACTIONS(2280),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2280),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2280),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2280),
    [aux_sym_password_authentication_token1] = ACTIONS(2280),
    [aux_sym_permit_local_command_token1] = ACTIONS(2280),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2280),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2280),
    [aux_sym_port_token1] = ACTIONS(2280),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2280),
    [aux_sym_protocol_token1] = ACTIONS(2280),
    [aux_sym_proxy_command_token1] = ACTIONS(2280),
    [aux_sym_proxy_jump_token1] = ACTIONS(2280),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2280),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2280),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2280),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2280),
    [aux_sym_rekey_limit_token1] = ACTIONS(2280),
    [aux_sym_remote_command_token1] = ACTIONS(2280),
    [aux_sym_remote_forward_token1] = ACTIONS(2280),
    [aux_sym_request_tty_token1] = ACTIONS(2280),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2280),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2280),
    [aux_sym_security_key_provider_token1] = ACTIONS(2280),
    [aux_sym_send_env_token1] = ACTIONS(2280),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2280),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2280),
    [aux_sym_session_type_token1] = ACTIONS(2280),
    [aux_sym_set_env_token1] = ACTIONS(2280),
    [aux_sym_stdin_null_token1] = ACTIONS(2280),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2280),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2280),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2280),
    [aux_sym_syslog_facility_token1] = ACTIONS(2280),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2280),
    [aux_sym_keep_alive_token1] = ACTIONS(2280),
    [aux_sym_tag_token1] = ACTIONS(2280),
    [aux_sym_tunnel_token1] = ACTIONS(2282),
    [aux_sym_tunnel_device_token1] = ACTIONS(2280),
    [aux_sym_update_host_keys_token1] = ACTIONS(2280),
    [aux_sym_use_keychain_token1] = ACTIONS(2280),
    [aux_sym_use_roaming_token1] = ACTIONS(2280),
    [aux_sym_user_token1] = ACTIONS(2282),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2280),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2280),
    [aux_sym_version_addendum_token1] = ACTIONS(2280),
    [aux_sym_visual_host_key_token1] = ACTIONS(2280),
    [aux_sym_xauth_location_token1] = ACTIONS(2280),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2286),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2288),
    [aux_sym_match_token1] = ACTIONS(2286),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2286),
    [aux_sym_address_family_token1] = ACTIONS(2286),
    [aux_sym_batch_mode_token1] = ACTIONS(2286),
    [aux_sym_bind_address_token1] = ACTIONS(2286),
    [aux_sym_bind_interface_token1] = ACTIONS(2286),
    [aux_sym_canonical_domains_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2286),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2286),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2286),
    [aux_sym_certificate_file_token1] = ACTIONS(2286),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2286),
    [aux_sym_channel_timeout_token1] = ACTIONS(2286),
    [aux_sym_check_host_ip_token1] = ACTIONS(2286),
    [aux_sym_ciphers_token1] = ACTIONS(2286),
    [aux_sym_cipher_token1] = ACTIONS(2288),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2286),
    [aux_sym_compression_token1] = ACTIONS(2286),
    [aux_sym_connection_attempts_token1] = ACTIONS(2286),
    [aux_sym_connect_timeout_token1] = ACTIONS(2286),
    [aux_sym_control_master_token1] = ACTIONS(2286),
    [aux_sym_control_path_token1] = ACTIONS(2286),
    [aux_sym_control_persist_token1] = ACTIONS(2286),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2286),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2286),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2286),
    [aux_sym_escape_char_token1] = ACTIONS(2286),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2286),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2286),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2286),
    [aux_sym_forward_agent_token1] = ACTIONS(2286),
    [aux_sym_forward_x11_token1] = ACTIONS(2288),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2286),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2286),
    [aux_sym_gateway_ports_token1] = ACTIONS(2286),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2286),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2286),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2286),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2286),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2286),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2286),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2286),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2286),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2286),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2286),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2286),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2286),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2286),
    [aux_sym_host_key_alias_token1] = ACTIONS(2286),
    [aux_sym_hostname_token1] = ACTIONS(2286),
    [aux_sym_identities_only_token1] = ACTIONS(2286),
    [aux_sym_identity_agent_token1] = ACTIONS(2286),
    [aux_sym_identity_file_token1] = ACTIONS(2286),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2286),
    [aux_sym_include_token1] = ACTIONS(2286),
    [aux_sym_ip_qos_token1] = ACTIONS(2286),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2286),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2286),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2286),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2286),
    [aux_sym_local_command_token1] = ACTIONS(2286),
    [aux_sym_local_forward_token1] = ACTIONS(2286),
    [aux_sym_log_level_token1] = ACTIONS(2286),
    [aux_sym_log_verbose_token1] = ACTIONS(2286),
    [aux_sym_macs_token1] = ACTIONS(2286),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2286),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2286),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2286),
    [aux_sym_password_authentication_token1] = ACTIONS(2286),
    [aux_sym_permit_local_command_token1] = ACTIONS(2286),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2286),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2286),
    [aux_sym_port_token1] = ACTIONS(2286),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2286),
    [aux_sym_protocol_token1] = ACTIONS(2286),
    [aux_sym_proxy_command_token1] = ACTIONS(2286),
    [aux_sym_proxy_jump_token1] = ACTIONS(2286),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2286),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2286),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2286),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2286),
    [aux_sym_rekey_limit_token1] = ACTIONS(2286),
    [aux_sym_remote_command_token1] = ACTIONS(2286),
    [aux_sym_remote_forward_token1] = ACTIONS(2286),
    [aux_sym_request_tty_token1] = ACTIONS(2286),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2286),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2286),
    [aux_sym_security_key_provider_token1] = ACTIONS(2286),
    [aux_sym_send_env_token1] = ACTIONS(2286),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2286),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2286),
    [aux_sym_session_type_token1] = ACTIONS(2286),
    [aux_sym_set_env_token1] = ACTIONS(2286),
    [aux_sym_stdin_null_token1] = ACTIONS(2286),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2286),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2286),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2286),
    [aux_sym_syslog_facility_token1] = ACTIONS(2286),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2286),
    [aux_sym_keep_alive_token1] = ACTIONS(2286),
    [aux_sym_tag_token1] = ACTIONS(2286),
    [aux_sym_tunnel_token1] = ACTIONS(2288),
    [aux_sym_tunnel_device_token1] = ACTIONS(2286),
    [aux_sym_update_host_keys_token1] = ACTIONS(2286),
    [aux_sym_use_keychain_token1] = ACTIONS(2286),
    [aux_sym_use_roaming_token1] = ACTIONS(2286),
    [aux_sym_user_token1] = ACTIONS(2288),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2286),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2286),
    [aux_sym_version_addendum_token1] = ACTIONS(2286),
    [aux_sym_visual_host_key_token1] = ACTIONS(2286),
    [aux_sym_xauth_location_token1] = ACTIONS(2286),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2294),
    [aux_sym_match_token1] = ACTIONS(2292),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2292),
    [aux_sym_address_family_token1] = ACTIONS(2292),
    [aux_sym_batch_mode_token1] = ACTIONS(2292),
    [aux_sym_bind_address_token1] = ACTIONS(2292),
    [aux_sym_bind_interface_token1] = ACTIONS(2292),
    [aux_sym_canonical_domains_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2292),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2292),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2292),
    [aux_sym_certificate_file_token1] = ACTIONS(2292),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2292),
    [aux_sym_channel_timeout_token1] = ACTIONS(2292),
    [aux_sym_check_host_ip_token1] = ACTIONS(2292),
    [aux_sym_ciphers_token1] = ACTIONS(2292),
    [aux_sym_cipher_token1] = ACTIONS(2294),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2292),
    [aux_sym_compression_token1] = ACTIONS(2292),
    [aux_sym_connection_attempts_token1] = ACTIONS(2292),
    [aux_sym_connect_timeout_token1] = ACTIONS(2292),
    [aux_sym_control_master_token1] = ACTIONS(2292),
    [aux_sym_control_path_token1] = ACTIONS(2292),
    [aux_sym_control_persist_token1] = ACTIONS(2292),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2292),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2292),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2292),
    [aux_sym_escape_char_token1] = ACTIONS(2292),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2292),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2292),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2292),
    [aux_sym_forward_agent_token1] = ACTIONS(2292),
    [aux_sym_forward_x11_token1] = ACTIONS(2294),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2292),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2292),
    [aux_sym_gateway_ports_token1] = ACTIONS(2292),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2292),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2292),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2292),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2292),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2292),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2292),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2292),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2292),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2292),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2292),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2292),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2292),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2292),
    [aux_sym_host_key_alias_token1] = ACTIONS(2292),
    [aux_sym_hostname_token1] = ACTIONS(2292),
    [aux_sym_identities_only_token1] = ACTIONS(2292),
    [aux_sym_identity_agent_token1] = ACTIONS(2292),
    [aux_sym_identity_file_token1] = ACTIONS(2292),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2292),
    [aux_sym_include_token1] = ACTIONS(2292),
    [aux_sym_ip_qos_token1] = ACTIONS(2292),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2292),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2292),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2292),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2292),
    [aux_sym_local_command_token1] = ACTIONS(2292),
    [aux_sym_local_forward_token1] = ACTIONS(2292),
    [aux_sym_log_level_token1] = ACTIONS(2292),
    [aux_sym_log_verbose_token1] = ACTIONS(2292),
    [aux_sym_macs_token1] = ACTIONS(2292),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2292),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2292),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2292),
    [aux_sym_password_authentication_token1] = ACTIONS(2292),
    [aux_sym_permit_local_command_token1] = ACTIONS(2292),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2292),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2292),
    [aux_sym_port_token1] = ACTIONS(2292),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2292),
    [aux_sym_protocol_token1] = ACTIONS(2292),
    [aux_sym_proxy_command_token1] = ACTIONS(2292),
    [aux_sym_proxy_jump_token1] = ACTIONS(2292),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2292),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2292),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2292),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2292),
    [aux_sym_rekey_limit_token1] = ACTIONS(2292),
    [aux_sym_remote_command_token1] = ACTIONS(2292),
    [aux_sym_remote_forward_token1] = ACTIONS(2292),
    [aux_sym_request_tty_token1] = ACTIONS(2292),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2292),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2292),
    [aux_sym_security_key_provider_token1] = ACTIONS(2292),
    [aux_sym_send_env_token1] = ACTIONS(2292),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2292),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2292),
    [aux_sym_session_type_token1] = ACTIONS(2292),
    [aux_sym_set_env_token1] = ACTIONS(2292),
    [aux_sym_stdin_null_token1] = ACTIONS(2292),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2292),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2292),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2292),
    [aux_sym_syslog_facility_token1] = ACTIONS(2292),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2292),
    [aux_sym_keep_alive_token1] = ACTIONS(2292),
    [aux_sym_tag_token1] = ACTIONS(2292),
    [aux_sym_tunnel_token1] = ACTIONS(2294),
    [aux_sym_tunnel_device_token1] = ACTIONS(2292),
    [aux_sym_update_host_keys_token1] = ACTIONS(2292),
    [aux_sym_use_keychain_token1] = ACTIONS(2292),
    [aux_sym_use_roaming_token1] = ACTIONS(2292),
    [aux_sym_user_token1] = ACTIONS(2294),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2292),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2292),
    [aux_sym_version_addendum_token1] = ACTIONS(2292),
    [aux_sym_visual_host_key_token1] = ACTIONS(2292),
    [aux_sym_xauth_location_token1] = ACTIONS(2292),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2300),
    [aux_sym_match_token1] = ACTIONS(2298),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2298),
    [aux_sym_address_family_token1] = ACTIONS(2298),
    [aux_sym_batch_mode_token1] = ACTIONS(2298),
    [aux_sym_bind_address_token1] = ACTIONS(2298),
    [aux_sym_bind_interface_token1] = ACTIONS(2298),
    [aux_sym_canonical_domains_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2298),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2298),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2298),
    [aux_sym_certificate_file_token1] = ACTIONS(2298),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2298),
    [aux_sym_channel_timeout_token1] = ACTIONS(2298),
    [aux_sym_check_host_ip_token1] = ACTIONS(2298),
    [aux_sym_ciphers_token1] = ACTIONS(2298),
    [aux_sym_cipher_token1] = ACTIONS(2300),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2298),
    [aux_sym_compression_token1] = ACTIONS(2298),
    [aux_sym_connection_attempts_token1] = ACTIONS(2298),
    [aux_sym_connect_timeout_token1] = ACTIONS(2298),
    [aux_sym_control_master_token1] = ACTIONS(2298),
    [aux_sym_control_path_token1] = ACTIONS(2298),
    [aux_sym_control_persist_token1] = ACTIONS(2298),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2298),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2298),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2298),
    [aux_sym_escape_char_token1] = ACTIONS(2298),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2298),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2298),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2298),
    [aux_sym_forward_agent_token1] = ACTIONS(2298),
    [aux_sym_forward_x11_token1] = ACTIONS(2300),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2298),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2298),
    [aux_sym_gateway_ports_token1] = ACTIONS(2298),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2298),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2298),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2298),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2298),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2298),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2298),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2298),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2298),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2298),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2298),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2298),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2298),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2298),
    [aux_sym_host_key_alias_token1] = ACTIONS(2298),
    [aux_sym_hostname_token1] = ACTIONS(2298),
    [aux_sym_identities_only_token1] = ACTIONS(2298),
    [aux_sym_identity_agent_token1] = ACTIONS(2298),
    [aux_sym_identity_file_token1] = ACTIONS(2298),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2298),
    [aux_sym_include_token1] = ACTIONS(2298),
    [aux_sym_ip_qos_token1] = ACTIONS(2298),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2298),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2298),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2298),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2298),
    [aux_sym_local_command_token1] = ACTIONS(2298),
    [aux_sym_local_forward_token1] = ACTIONS(2298),
    [aux_sym_log_level_token1] = ACTIONS(2298),
    [aux_sym_log_verbose_token1] = ACTIONS(2298),
    [aux_sym_macs_token1] = ACTIONS(2298),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2298),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2298),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2298),
    [aux_sym_password_authentication_token1] = ACTIONS(2298),
    [aux_sym_permit_local_command_token1] = ACTIONS(2298),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2298),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2298),
    [aux_sym_port_token1] = ACTIONS(2298),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2298),
    [aux_sym_protocol_token1] = ACTIONS(2298),
    [aux_sym_proxy_command_token1] = ACTIONS(2298),
    [aux_sym_proxy_jump_token1] = ACTIONS(2298),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2298),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2298),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2298),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2298),
    [aux_sym_rekey_limit_token1] = ACTIONS(2298),
    [aux_sym_remote_command_token1] = ACTIONS(2298),
    [aux_sym_remote_forward_token1] = ACTIONS(2298),
    [aux_sym_request_tty_token1] = ACTIONS(2298),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2298),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2298),
    [aux_sym_security_key_provider_token1] = ACTIONS(2298),
    [aux_sym_send_env_token1] = ACTIONS(2298),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2298),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2298),
    [aux_sym_session_type_token1] = ACTIONS(2298),
    [aux_sym_set_env_token1] = ACTIONS(2298),
    [aux_sym_stdin_null_token1] = ACTIONS(2298),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2298),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2298),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2298),
    [aux_sym_syslog_facility_token1] = ACTIONS(2298),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2298),
    [aux_sym_keep_alive_token1] = ACTIONS(2298),
    [aux_sym_tag_token1] = ACTIONS(2298),
    [aux_sym_tunnel_token1] = ACTIONS(2300),
    [aux_sym_tunnel_device_token1] = ACTIONS(2298),
    [aux_sym_update_host_keys_token1] = ACTIONS(2298),
    [aux_sym_use_keychain_token1] = ACTIONS(2298),
    [aux_sym_use_roaming_token1] = ACTIONS(2298),
    [aux_sym_user_token1] = ACTIONS(2300),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2298),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2298),
    [aux_sym_version_addendum_token1] = ACTIONS(2298),
    [aux_sym_visual_host_key_token1] = ACTIONS(2298),
    [aux_sym_xauth_location_token1] = ACTIONS(2298),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2306),
    [aux_sym_match_token1] = ACTIONS(2304),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2304),
    [aux_sym_address_family_token1] = ACTIONS(2304),
    [aux_sym_batch_mode_token1] = ACTIONS(2304),
    [aux_sym_bind_address_token1] = ACTIONS(2304),
    [aux_sym_bind_interface_token1] = ACTIONS(2304),
    [aux_sym_canonical_domains_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2304),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2304),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2304),
    [aux_sym_certificate_file_token1] = ACTIONS(2304),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2304),
    [aux_sym_channel_timeout_token1] = ACTIONS(2304),
    [aux_sym_check_host_ip_token1] = ACTIONS(2304),
    [aux_sym_ciphers_token1] = ACTIONS(2304),
    [aux_sym_cipher_token1] = ACTIONS(2306),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2304),
    [aux_sym_compression_token1] = ACTIONS(2304),
    [aux_sym_connection_attempts_token1] = ACTIONS(2304),
    [aux_sym_connect_timeout_token1] = ACTIONS(2304),
    [aux_sym_control_master_token1] = ACTIONS(2304),
    [aux_sym_control_path_token1] = ACTIONS(2304),
    [aux_sym_control_persist_token1] = ACTIONS(2304),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2304),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2304),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2304),
    [aux_sym_escape_char_token1] = ACTIONS(2304),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2304),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2304),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2304),
    [aux_sym_forward_agent_token1] = ACTIONS(2304),
    [aux_sym_forward_x11_token1] = ACTIONS(2306),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2304),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2304),
    [aux_sym_gateway_ports_token1] = ACTIONS(2304),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2304),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2304),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2304),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2304),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2304),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2304),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2304),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2304),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2304),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2304),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2304),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2304),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2304),
    [aux_sym_host_key_alias_token1] = ACTIONS(2304),
    [aux_sym_hostname_token1] = ACTIONS(2304),
    [aux_sym_identities_only_token1] = ACTIONS(2304),
    [aux_sym_identity_agent_token1] = ACTIONS(2304),
    [aux_sym_identity_file_token1] = ACTIONS(2304),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2304),
    [aux_sym_include_token1] = ACTIONS(2304),
    [aux_sym_ip_qos_token1] = ACTIONS(2304),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2304),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2304),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2304),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2304),
    [aux_sym_local_command_token1] = ACTIONS(2304),
    [aux_sym_local_forward_token1] = ACTIONS(2304),
    [aux_sym_log_level_token1] = ACTIONS(2304),
    [aux_sym_log_verbose_token1] = ACTIONS(2304),
    [aux_sym_macs_token1] = ACTIONS(2304),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2304),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2304),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2304),
    [aux_sym_password_authentication_token1] = ACTIONS(2304),
    [aux_sym_permit_local_command_token1] = ACTIONS(2304),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2304),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2304),
    [aux_sym_port_token1] = ACTIONS(2304),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2304),
    [aux_sym_protocol_token1] = ACTIONS(2304),
    [aux_sym_proxy_command_token1] = ACTIONS(2304),
    [aux_sym_proxy_jump_token1] = ACTIONS(2304),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2304),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2304),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2304),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2304),
    [aux_sym_rekey_limit_token1] = ACTIONS(2304),
    [aux_sym_remote_command_token1] = ACTIONS(2304),
    [aux_sym_remote_forward_token1] = ACTIONS(2304),
    [aux_sym_request_tty_token1] = ACTIONS(2304),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2304),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2304),
    [aux_sym_security_key_provider_token1] = ACTIONS(2304),
    [aux_sym_send_env_token1] = ACTIONS(2304),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2304),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2304),
    [aux_sym_session_type_token1] = ACTIONS(2304),
    [aux_sym_set_env_token1] = ACTIONS(2304),
    [aux_sym_stdin_null_token1] = ACTIONS(2304),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2304),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2304),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2304),
    [aux_sym_syslog_facility_token1] = ACTIONS(2304),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2304),
    [aux_sym_keep_alive_token1] = ACTIONS(2304),
    [aux_sym_tag_token1] = ACTIONS(2304),
    [aux_sym_tunnel_token1] = ACTIONS(2306),
    [aux_sym_tunnel_device_token1] = ACTIONS(2304),
    [aux_sym_update_host_keys_token1] = ACTIONS(2304),
    [aux_sym_use_keychain_token1] = ACTIONS(2304),
    [aux_sym_use_roaming_token1] = ACTIONS(2304),
    [aux_sym_user_token1] = ACTIONS(2306),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2304),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2304),
    [aux_sym_version_addendum_token1] = ACTIONS(2304),
    [aux_sym_visual_host_key_token1] = ACTIONS(2304),
    [aux_sym_xauth_location_token1] = ACTIONS(2304),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2312),
    [aux_sym_match_token1] = ACTIONS(2310),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2310),
    [aux_sym_address_family_token1] = ACTIONS(2310),
    [aux_sym_batch_mode_token1] = ACTIONS(2310),
    [aux_sym_bind_address_token1] = ACTIONS(2310),
    [aux_sym_bind_interface_token1] = ACTIONS(2310),
    [aux_sym_canonical_domains_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2310),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2310),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2310),
    [aux_sym_certificate_file_token1] = ACTIONS(2310),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2310),
    [aux_sym_channel_timeout_token1] = ACTIONS(2310),
    [aux_sym_check_host_ip_token1] = ACTIONS(2310),
    [aux_sym_ciphers_token1] = ACTIONS(2310),
    [aux_sym_cipher_token1] = ACTIONS(2312),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2310),
    [aux_sym_compression_token1] = ACTIONS(2310),
    [aux_sym_connection_attempts_token1] = ACTIONS(2310),
    [aux_sym_connect_timeout_token1] = ACTIONS(2310),
    [aux_sym_control_master_token1] = ACTIONS(2310),
    [aux_sym_control_path_token1] = ACTIONS(2310),
    [aux_sym_control_persist_token1] = ACTIONS(2310),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2310),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2310),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2310),
    [aux_sym_escape_char_token1] = ACTIONS(2310),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2310),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2310),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2310),
    [aux_sym_forward_agent_token1] = ACTIONS(2310),
    [aux_sym_forward_x11_token1] = ACTIONS(2312),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2310),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2310),
    [aux_sym_gateway_ports_token1] = ACTIONS(2310),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2310),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2310),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2310),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2310),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2310),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2310),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2310),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2310),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2310),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2310),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2310),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2310),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2310),
    [aux_sym_host_key_alias_token1] = ACTIONS(2310),
    [aux_sym_hostname_token1] = ACTIONS(2310),
    [aux_sym_identities_only_token1] = ACTIONS(2310),
    [aux_sym_identity_agent_token1] = ACTIONS(2310),
    [aux_sym_identity_file_token1] = ACTIONS(2310),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2310),
    [aux_sym_include_token1] = ACTIONS(2310),
    [aux_sym_ip_qos_token1] = ACTIONS(2310),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2310),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2310),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2310),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2310),
    [aux_sym_local_command_token1] = ACTIONS(2310),
    [aux_sym_local_forward_token1] = ACTIONS(2310),
    [aux_sym_log_level_token1] = ACTIONS(2310),
    [aux_sym_log_verbose_token1] = ACTIONS(2310),
    [aux_sym_macs_token1] = ACTIONS(2310),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2310),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2310),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2310),
    [aux_sym_password_authentication_token1] = ACTIONS(2310),
    [aux_sym_permit_local_command_token1] = ACTIONS(2310),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2310),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2310),
    [aux_sym_port_token1] = ACTIONS(2310),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2310),
    [aux_sym_protocol_token1] = ACTIONS(2310),
    [aux_sym_proxy_command_token1] = ACTIONS(2310),
    [aux_sym_proxy_jump_token1] = ACTIONS(2310),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2310),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2310),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2310),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2310),
    [aux_sym_rekey_limit_token1] = ACTIONS(2310),
    [aux_sym_remote_command_token1] = ACTIONS(2310),
    [aux_sym_remote_forward_token1] = ACTIONS(2310),
    [aux_sym_request_tty_token1] = ACTIONS(2310),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2310),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2310),
    [aux_sym_security_key_provider_token1] = ACTIONS(2310),
    [aux_sym_send_env_token1] = ACTIONS(2310),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2310),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2310),
    [aux_sym_session_type_token1] = ACTIONS(2310),
    [aux_sym_set_env_token1] = ACTIONS(2310),
    [aux_sym_stdin_null_token1] = ACTIONS(2310),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2310),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2310),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2310),
    [aux_sym_syslog_facility_token1] = ACTIONS(2310),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2310),
    [aux_sym_keep_alive_token1] = ACTIONS(2310),
    [aux_sym_tag_token1] = ACTIONS(2310),
    [aux_sym_tunnel_token1] = ACTIONS(2312),
    [aux_sym_tunnel_device_token1] = ACTIONS(2310),
    [aux_sym_update_host_keys_token1] = ACTIONS(2310),
    [aux_sym_use_keychain_token1] = ACTIONS(2310),
    [aux_sym_use_roaming_token1] = ACTIONS(2310),
    [aux_sym_user_token1] = ACTIONS(2312),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2310),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2310),
    [aux_sym_version_addendum_token1] = ACTIONS(2310),
    [aux_sym_visual_host_key_token1] = ACTIONS(2310),
    [aux_sym_xauth_location_token1] = ACTIONS(2310),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2318),
    [aux_sym_match_token1] = ACTIONS(2316),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2316),
    [aux_sym_address_family_token1] = ACTIONS(2316),
    [aux_sym_batch_mode_token1] = ACTIONS(2316),
    [aux_sym_bind_address_token1] = ACTIONS(2316),
    [aux_sym_bind_interface_token1] = ACTIONS(2316),
    [aux_sym_canonical_domains_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2316),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2316),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2316),
    [aux_sym_certificate_file_token1] = ACTIONS(2316),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2316),
    [aux_sym_channel_timeout_token1] = ACTIONS(2316),
    [aux_sym_check_host_ip_token1] = ACTIONS(2316),
    [aux_sym_ciphers_token1] = ACTIONS(2316),
    [aux_sym_cipher_token1] = ACTIONS(2318),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2316),
    [aux_sym_compression_token1] = ACTIONS(2316),
    [aux_sym_connection_attempts_token1] = ACTIONS(2316),
    [aux_sym_connect_timeout_token1] = ACTIONS(2316),
    [aux_sym_control_master_token1] = ACTIONS(2316),
    [aux_sym_control_path_token1] = ACTIONS(2316),
    [aux_sym_control_persist_token1] = ACTIONS(2316),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2316),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2316),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2316),
    [aux_sym_escape_char_token1] = ACTIONS(2316),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2316),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2316),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2316),
    [aux_sym_forward_agent_token1] = ACTIONS(2316),
    [aux_sym_forward_x11_token1] = ACTIONS(2318),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2316),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2316),
    [aux_sym_gateway_ports_token1] = ACTIONS(2316),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2316),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2316),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2316),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2316),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2316),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2316),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2316),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2316),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2316),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2316),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2316),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2316),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2316),
    [aux_sym_host_key_alias_token1] = ACTIONS(2316),
    [aux_sym_hostname_token1] = ACTIONS(2316),
    [aux_sym_identities_only_token1] = ACTIONS(2316),
    [aux_sym_identity_agent_token1] = ACTIONS(2316),
    [aux_sym_identity_file_token1] = ACTIONS(2316),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2316),
    [aux_sym_include_token1] = ACTIONS(2316),
    [aux_sym_ip_qos_token1] = ACTIONS(2316),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2316),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2316),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2316),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2316),
    [aux_sym_local_command_token1] = ACTIONS(2316),
    [aux_sym_local_forward_token1] = ACTIONS(2316),
    [aux_sym_log_level_token1] = ACTIONS(2316),
    [aux_sym_log_verbose_token1] = ACTIONS(2316),
    [aux_sym_macs_token1] = ACTIONS(2316),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2316),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2316),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2316),
    [aux_sym_password_authentication_token1] = ACTIONS(2316),
    [aux_sym_permit_local_command_token1] = ACTIONS(2316),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2316),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2316),
    [aux_sym_port_token1] = ACTIONS(2316),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2316),
    [aux_sym_protocol_token1] = ACTIONS(2316),
    [aux_sym_proxy_command_token1] = ACTIONS(2316),
    [aux_sym_proxy_jump_token1] = ACTIONS(2316),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2316),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2316),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2316),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2316),
    [aux_sym_rekey_limit_token1] = ACTIONS(2316),
    [aux_sym_remote_command_token1] = ACTIONS(2316),
    [aux_sym_remote_forward_token1] = ACTIONS(2316),
    [aux_sym_request_tty_token1] = ACTIONS(2316),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2316),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2316),
    [aux_sym_security_key_provider_token1] = ACTIONS(2316),
    [aux_sym_send_env_token1] = ACTIONS(2316),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2316),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2316),
    [aux_sym_session_type_token1] = ACTIONS(2316),
    [aux_sym_set_env_token1] = ACTIONS(2316),
    [aux_sym_stdin_null_token1] = ACTIONS(2316),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2316),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2316),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2316),
    [aux_sym_syslog_facility_token1] = ACTIONS(2316),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2316),
    [aux_sym_keep_alive_token1] = ACTIONS(2316),
    [aux_sym_tag_token1] = ACTIONS(2316),
    [aux_sym_tunnel_token1] = ACTIONS(2318),
    [aux_sym_tunnel_device_token1] = ACTIONS(2316),
    [aux_sym_update_host_keys_token1] = ACTIONS(2316),
    [aux_sym_use_keychain_token1] = ACTIONS(2316),
    [aux_sym_use_roaming_token1] = ACTIONS(2316),
    [aux_sym_user_token1] = ACTIONS(2318),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2316),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2316),
    [aux_sym_version_addendum_token1] = ACTIONS(2316),
    [aux_sym_visual_host_key_token1] = ACTIONS(2316),
    [aux_sym_xauth_location_token1] = ACTIONS(2316),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2324),
    [aux_sym_match_token1] = ACTIONS(2322),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2322),
    [aux_sym_address_family_token1] = ACTIONS(2322),
    [aux_sym_batch_mode_token1] = ACTIONS(2322),
    [aux_sym_bind_address_token1] = ACTIONS(2322),
    [aux_sym_bind_interface_token1] = ACTIONS(2322),
    [aux_sym_canonical_domains_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2322),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2322),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2322),
    [aux_sym_certificate_file_token1] = ACTIONS(2322),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2322),
    [aux_sym_channel_timeout_token1] = ACTIONS(2322),
    [aux_sym_check_host_ip_token1] = ACTIONS(2322),
    [aux_sym_ciphers_token1] = ACTIONS(2322),
    [aux_sym_cipher_token1] = ACTIONS(2324),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2322),
    [aux_sym_compression_token1] = ACTIONS(2322),
    [aux_sym_connection_attempts_token1] = ACTIONS(2322),
    [aux_sym_connect_timeout_token1] = ACTIONS(2322),
    [aux_sym_control_master_token1] = ACTIONS(2322),
    [aux_sym_control_path_token1] = ACTIONS(2322),
    [aux_sym_control_persist_token1] = ACTIONS(2322),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2322),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2322),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2322),
    [aux_sym_escape_char_token1] = ACTIONS(2322),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2322),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2322),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2322),
    [aux_sym_forward_agent_token1] = ACTIONS(2322),
    [aux_sym_forward_x11_token1] = ACTIONS(2324),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2322),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2322),
    [aux_sym_gateway_ports_token1] = ACTIONS(2322),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2322),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2322),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2322),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2322),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2322),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2322),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2322),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2322),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2322),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2322),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2322),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2322),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2322),
    [aux_sym_host_key_alias_token1] = ACTIONS(2322),
    [aux_sym_hostname_token1] = ACTIONS(2322),
    [aux_sym_identities_only_token1] = ACTIONS(2322),
    [aux_sym_identity_agent_token1] = ACTIONS(2322),
    [aux_sym_identity_file_token1] = ACTIONS(2322),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2322),
    [aux_sym_include_token1] = ACTIONS(2322),
    [aux_sym_ip_qos_token1] = ACTIONS(2322),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2322),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2322),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2322),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2322),
    [aux_sym_local_command_token1] = ACTIONS(2322),
    [aux_sym_local_forward_token1] = ACTIONS(2322),
    [aux_sym_log_level_token1] = ACTIONS(2322),
    [aux_sym_log_verbose_token1] = ACTIONS(2322),
    [aux_sym_macs_token1] = ACTIONS(2322),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2322),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2322),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2322),
    [aux_sym_password_authentication_token1] = ACTIONS(2322),
    [aux_sym_permit_local_command_token1] = ACTIONS(2322),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2322),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2322),
    [aux_sym_port_token1] = ACTIONS(2322),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2322),
    [aux_sym_protocol_token1] = ACTIONS(2322),
    [aux_sym_proxy_command_token1] = ACTIONS(2322),
    [aux_sym_proxy_jump_token1] = ACTIONS(2322),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2322),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2322),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2322),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2322),
    [aux_sym_rekey_limit_token1] = ACTIONS(2322),
    [aux_sym_remote_command_token1] = ACTIONS(2322),
    [aux_sym_remote_forward_token1] = ACTIONS(2322),
    [aux_sym_request_tty_token1] = ACTIONS(2322),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2322),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2322),
    [aux_sym_security_key_provider_token1] = ACTIONS(2322),
    [aux_sym_send_env_token1] = ACTIONS(2322),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2322),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2322),
    [aux_sym_session_type_token1] = ACTIONS(2322),
    [aux_sym_set_env_token1] = ACTIONS(2322),
    [aux_sym_stdin_null_token1] = ACTIONS(2322),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2322),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2322),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2322),
    [aux_sym_syslog_facility_token1] = ACTIONS(2322),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2322),
    [aux_sym_keep_alive_token1] = ACTIONS(2322),
    [aux_sym_tag_token1] = ACTIONS(2322),
    [aux_sym_tunnel_token1] = ACTIONS(2324),
    [aux_sym_tunnel_device_token1] = ACTIONS(2322),
    [aux_sym_update_host_keys_token1] = ACTIONS(2322),
    [aux_sym_use_keychain_token1] = ACTIONS(2322),
    [aux_sym_use_roaming_token1] = ACTIONS(2322),
    [aux_sym_user_token1] = ACTIONS(2324),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2322),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2322),
    [aux_sym_version_addendum_token1] = ACTIONS(2322),
    [aux_sym_visual_host_key_token1] = ACTIONS(2322),
    [aux_sym_xauth_location_token1] = ACTIONS(2322),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2330),
    [aux_sym_match_token1] = ACTIONS(2328),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2328),
    [aux_sym_address_family_token1] = ACTIONS(2328),
    [aux_sym_batch_mode_token1] = ACTIONS(2328),
    [aux_sym_bind_address_token1] = ACTIONS(2328),
    [aux_sym_bind_interface_token1] = ACTIONS(2328),
    [aux_sym_canonical_domains_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2328),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2328),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2328),
    [aux_sym_certificate_file_token1] = ACTIONS(2328),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2328),
    [aux_sym_channel_timeout_token1] = ACTIONS(2328),
    [aux_sym_check_host_ip_token1] = ACTIONS(2328),
    [aux_sym_ciphers_token1] = ACTIONS(2328),
    [aux_sym_cipher_token1] = ACTIONS(2330),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2328),
    [aux_sym_compression_token1] = ACTIONS(2328),
    [aux_sym_connection_attempts_token1] = ACTIONS(2328),
    [aux_sym_connect_timeout_token1] = ACTIONS(2328),
    [aux_sym_control_master_token1] = ACTIONS(2328),
    [aux_sym_control_path_token1] = ACTIONS(2328),
    [aux_sym_control_persist_token1] = ACTIONS(2328),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2328),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2328),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2328),
    [aux_sym_escape_char_token1] = ACTIONS(2328),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2328),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2328),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2328),
    [aux_sym_forward_agent_token1] = ACTIONS(2328),
    [aux_sym_forward_x11_token1] = ACTIONS(2330),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2328),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2328),
    [aux_sym_gateway_ports_token1] = ACTIONS(2328),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2328),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2328),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2328),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2328),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2328),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2328),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2328),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2328),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2328),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2328),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2328),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2328),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2328),
    [aux_sym_host_key_alias_token1] = ACTIONS(2328),
    [aux_sym_hostname_token1] = ACTIONS(2328),
    [aux_sym_identities_only_token1] = ACTIONS(2328),
    [aux_sym_identity_agent_token1] = ACTIONS(2328),
    [aux_sym_identity_file_token1] = ACTIONS(2328),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2328),
    [aux_sym_include_token1] = ACTIONS(2328),
    [aux_sym_ip_qos_token1] = ACTIONS(2328),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2328),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2328),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2328),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2328),
    [aux_sym_local_command_token1] = ACTIONS(2328),
    [aux_sym_local_forward_token1] = ACTIONS(2328),
    [aux_sym_log_level_token1] = ACTIONS(2328),
    [aux_sym_log_verbose_token1] = ACTIONS(2328),
    [aux_sym_macs_token1] = ACTIONS(2328),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2328),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2328),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2328),
    [aux_sym_password_authentication_token1] = ACTIONS(2328),
    [aux_sym_permit_local_command_token1] = ACTIONS(2328),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2328),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2328),
    [aux_sym_port_token1] = ACTIONS(2328),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2328),
    [aux_sym_protocol_token1] = ACTIONS(2328),
    [aux_sym_proxy_command_token1] = ACTIONS(2328),
    [aux_sym_proxy_jump_token1] = ACTIONS(2328),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2328),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2328),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2328),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2328),
    [aux_sym_rekey_limit_token1] = ACTIONS(2328),
    [aux_sym_remote_command_token1] = ACTIONS(2328),
    [aux_sym_remote_forward_token1] = ACTIONS(2328),
    [aux_sym_request_tty_token1] = ACTIONS(2328),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2328),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2328),
    [aux_sym_security_key_provider_token1] = ACTIONS(2328),
    [aux_sym_send_env_token1] = ACTIONS(2328),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2328),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2328),
    [aux_sym_session_type_token1] = ACTIONS(2328),
    [aux_sym_set_env_token1] = ACTIONS(2328),
    [aux_sym_stdin_null_token1] = ACTIONS(2328),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2328),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2328),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2328),
    [aux_sym_syslog_facility_token1] = ACTIONS(2328),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2328),
    [aux_sym_keep_alive_token1] = ACTIONS(2328),
    [aux_sym_tag_token1] = ACTIONS(2328),
    [aux_sym_tunnel_token1] = ACTIONS(2330),
    [aux_sym_tunnel_device_token1] = ACTIONS(2328),
    [aux_sym_update_host_keys_token1] = ACTIONS(2328),
    [aux_sym_use_keychain_token1] = ACTIONS(2328),
    [aux_sym_use_roaming_token1] = ACTIONS(2328),
    [aux_sym_user_token1] = ACTIONS(2330),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2328),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2328),
    [aux_sym_version_addendum_token1] = ACTIONS(2328),
    [aux_sym_visual_host_key_token1] = ACTIONS(2328),
    [aux_sym_xauth_location_token1] = ACTIONS(2328),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2336),
    [aux_sym_match_token1] = ACTIONS(2334),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2334),
    [aux_sym_address_family_token1] = ACTIONS(2334),
    [aux_sym_batch_mode_token1] = ACTIONS(2334),
    [aux_sym_bind_address_token1] = ACTIONS(2334),
    [aux_sym_bind_interface_token1] = ACTIONS(2334),
    [aux_sym_canonical_domains_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2334),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2334),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2334),
    [aux_sym_certificate_file_token1] = ACTIONS(2334),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2334),
    [aux_sym_channel_timeout_token1] = ACTIONS(2334),
    [aux_sym_check_host_ip_token1] = ACTIONS(2334),
    [aux_sym_ciphers_token1] = ACTIONS(2334),
    [aux_sym_cipher_token1] = ACTIONS(2336),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2334),
    [aux_sym_compression_token1] = ACTIONS(2334),
    [aux_sym_connection_attempts_token1] = ACTIONS(2334),
    [aux_sym_connect_timeout_token1] = ACTIONS(2334),
    [aux_sym_control_master_token1] = ACTIONS(2334),
    [aux_sym_control_path_token1] = ACTIONS(2334),
    [aux_sym_control_persist_token1] = ACTIONS(2334),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2334),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2334),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2334),
    [aux_sym_escape_char_token1] = ACTIONS(2334),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2334),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2334),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2334),
    [aux_sym_forward_agent_token1] = ACTIONS(2334),
    [aux_sym_forward_x11_token1] = ACTIONS(2336),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2334),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2334),
    [aux_sym_gateway_ports_token1] = ACTIONS(2334),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2334),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2334),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2334),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2334),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2334),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2334),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2334),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2334),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2334),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2334),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2334),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2334),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2334),
    [aux_sym_host_key_alias_token1] = ACTIONS(2334),
    [aux_sym_hostname_token1] = ACTIONS(2334),
    [aux_sym_identities_only_token1] = ACTIONS(2334),
    [aux_sym_identity_agent_token1] = ACTIONS(2334),
    [aux_sym_identity_file_token1] = ACTIONS(2334),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2334),
    [aux_sym_include_token1] = ACTIONS(2334),
    [aux_sym_ip_qos_token1] = ACTIONS(2334),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2334),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2334),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2334),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2334),
    [aux_sym_local_command_token1] = ACTIONS(2334),
    [aux_sym_local_forward_token1] = ACTIONS(2334),
    [aux_sym_log_level_token1] = ACTIONS(2334),
    [aux_sym_log_verbose_token1] = ACTIONS(2334),
    [aux_sym_macs_token1] = ACTIONS(2334),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2334),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2334),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2334),
    [aux_sym_password_authentication_token1] = ACTIONS(2334),
    [aux_sym_permit_local_command_token1] = ACTIONS(2334),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2334),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2334),
    [aux_sym_port_token1] = ACTIONS(2334),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2334),
    [aux_sym_protocol_token1] = ACTIONS(2334),
    [aux_sym_proxy_command_token1] = ACTIONS(2334),
    [aux_sym_proxy_jump_token1] = ACTIONS(2334),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2334),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2334),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2334),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2334),
    [aux_sym_rekey_limit_token1] = ACTIONS(2334),
    [aux_sym_remote_command_token1] = ACTIONS(2334),
    [aux_sym_remote_forward_token1] = ACTIONS(2334),
    [aux_sym_request_tty_token1] = ACTIONS(2334),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2334),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2334),
    [aux_sym_security_key_provider_token1] = ACTIONS(2334),
    [aux_sym_send_env_token1] = ACTIONS(2334),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2334),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2334),
    [aux_sym_session_type_token1] = ACTIONS(2334),
    [aux_sym_set_env_token1] = ACTIONS(2334),
    [aux_sym_stdin_null_token1] = ACTIONS(2334),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2334),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2334),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2334),
    [aux_sym_syslog_facility_token1] = ACTIONS(2334),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2334),
    [aux_sym_keep_alive_token1] = ACTIONS(2334),
    [aux_sym_tag_token1] = ACTIONS(2334),
    [aux_sym_tunnel_token1] = ACTIONS(2336),
    [aux_sym_tunnel_device_token1] = ACTIONS(2334),
    [aux_sym_update_host_keys_token1] = ACTIONS(2334),
    [aux_sym_use_keychain_token1] = ACTIONS(2334),
    [aux_sym_use_roaming_token1] = ACTIONS(2334),
    [aux_sym_user_token1] = ACTIONS(2336),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2334),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2334),
    [aux_sym_version_addendum_token1] = ACTIONS(2334),
    [aux_sym_visual_host_key_token1] = ACTIONS(2334),
    [aux_sym_xauth_location_token1] = ACTIONS(2334),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2342),
    [aux_sym_match_token1] = ACTIONS(2340),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2340),
    [aux_sym_address_family_token1] = ACTIONS(2340),
    [aux_sym_batch_mode_token1] = ACTIONS(2340),
    [aux_sym_bind_address_token1] = ACTIONS(2340),
    [aux_sym_bind_interface_token1] = ACTIONS(2340),
    [aux_sym_canonical_domains_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2340),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2340),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2340),
    [aux_sym_certificate_file_token1] = ACTIONS(2340),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2340),
    [aux_sym_channel_timeout_token1] = ACTIONS(2340),
    [aux_sym_check_host_ip_token1] = ACTIONS(2340),
    [aux_sym_ciphers_token1] = ACTIONS(2340),
    [aux_sym_cipher_token1] = ACTIONS(2342),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2340),
    [aux_sym_compression_token1] = ACTIONS(2340),
    [aux_sym_connection_attempts_token1] = ACTIONS(2340),
    [aux_sym_connect_timeout_token1] = ACTIONS(2340),
    [aux_sym_control_master_token1] = ACTIONS(2340),
    [aux_sym_control_path_token1] = ACTIONS(2340),
    [aux_sym_control_persist_token1] = ACTIONS(2340),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2340),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2340),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2340),
    [aux_sym_escape_char_token1] = ACTIONS(2340),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2340),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2340),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2340),
    [aux_sym_forward_agent_token1] = ACTIONS(2340),
    [aux_sym_forward_x11_token1] = ACTIONS(2342),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2340),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2340),
    [aux_sym_gateway_ports_token1] = ACTIONS(2340),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2340),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2340),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2340),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2340),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2340),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2340),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2340),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2340),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2340),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2340),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2340),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2340),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2340),
    [aux_sym_host_key_alias_token1] = ACTIONS(2340),
    [aux_sym_hostname_token1] = ACTIONS(2340),
    [aux_sym_identities_only_token1] = ACTIONS(2340),
    [aux_sym_identity_agent_token1] = ACTIONS(2340),
    [aux_sym_identity_file_token1] = ACTIONS(2340),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2340),
    [aux_sym_include_token1] = ACTIONS(2340),
    [aux_sym_ip_qos_token1] = ACTIONS(2340),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2340),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2340),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2340),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2340),
    [aux_sym_local_command_token1] = ACTIONS(2340),
    [aux_sym_local_forward_token1] = ACTIONS(2340),
    [aux_sym_log_level_token1] = ACTIONS(2340),
    [aux_sym_log_verbose_token1] = ACTIONS(2340),
    [aux_sym_macs_token1] = ACTIONS(2340),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2340),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2340),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2340),
    [aux_sym_password_authentication_token1] = ACTIONS(2340),
    [aux_sym_permit_local_command_token1] = ACTIONS(2340),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2340),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2340),
    [aux_sym_port_token1] = ACTIONS(2340),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2340),
    [aux_sym_protocol_token1] = ACTIONS(2340),
    [aux_sym_proxy_command_token1] = ACTIONS(2340),
    [aux_sym_proxy_jump_token1] = ACTIONS(2340),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2340),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2340),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2340),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2340),
    [aux_sym_rekey_limit_token1] = ACTIONS(2340),
    [aux_sym_remote_command_token1] = ACTIONS(2340),
    [aux_sym_remote_forward_token1] = ACTIONS(2340),
    [aux_sym_request_tty_token1] = ACTIONS(2340),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2340),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2340),
    [aux_sym_security_key_provider_token1] = ACTIONS(2340),
    [aux_sym_send_env_token1] = ACTIONS(2340),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2340),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2340),
    [aux_sym_session_type_token1] = ACTIONS(2340),
    [aux_sym_set_env_token1] = ACTIONS(2340),
    [aux_sym_stdin_null_token1] = ACTIONS(2340),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2340),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2340),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2340),
    [aux_sym_syslog_facility_token1] = ACTIONS(2340),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2340),
    [aux_sym_keep_alive_token1] = ACTIONS(2340),
    [aux_sym_tag_token1] = ACTIONS(2340),
    [aux_sym_tunnel_token1] = ACTIONS(2342),
    [aux_sym_tunnel_device_token1] = ACTIONS(2340),
    [aux_sym_update_host_keys_token1] = ACTIONS(2340),
    [aux_sym_use_keychain_token1] = ACTIONS(2340),
    [aux_sym_use_roaming_token1] = ACTIONS(2340),
    [aux_sym_user_token1] = ACTIONS(2342),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2340),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2340),
    [aux_sym_version_addendum_token1] = ACTIONS(2340),
    [aux_sym_visual_host_key_token1] = ACTIONS(2340),
    [aux_sym_xauth_location_token1] = ACTIONS(2340),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2348),
    [aux_sym_match_token1] = ACTIONS(2346),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2346),
    [aux_sym_address_family_token1] = ACTIONS(2346),
    [aux_sym_batch_mode_token1] = ACTIONS(2346),
    [aux_sym_bind_address_token1] = ACTIONS(2346),
    [aux_sym_bind_interface_token1] = ACTIONS(2346),
    [aux_sym_canonical_domains_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2346),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2346),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2346),
    [aux_sym_certificate_file_token1] = ACTIONS(2346),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2346),
    [aux_sym_channel_timeout_token1] = ACTIONS(2346),
    [aux_sym_check_host_ip_token1] = ACTIONS(2346),
    [aux_sym_ciphers_token1] = ACTIONS(2346),
    [aux_sym_cipher_token1] = ACTIONS(2348),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2346),
    [aux_sym_compression_token1] = ACTIONS(2346),
    [aux_sym_connection_attempts_token1] = ACTIONS(2346),
    [aux_sym_connect_timeout_token1] = ACTIONS(2346),
    [aux_sym_control_master_token1] = ACTIONS(2346),
    [aux_sym_control_path_token1] = ACTIONS(2346),
    [aux_sym_control_persist_token1] = ACTIONS(2346),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2346),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2346),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2346),
    [aux_sym_escape_char_token1] = ACTIONS(2346),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2346),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2346),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2346),
    [aux_sym_forward_agent_token1] = ACTIONS(2346),
    [aux_sym_forward_x11_token1] = ACTIONS(2348),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2346),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2346),
    [aux_sym_gateway_ports_token1] = ACTIONS(2346),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2346),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2346),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2346),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2346),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2346),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2346),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2346),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2346),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2346),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2346),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2346),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2346),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2346),
    [aux_sym_host_key_alias_token1] = ACTIONS(2346),
    [aux_sym_hostname_token1] = ACTIONS(2346),
    [aux_sym_identities_only_token1] = ACTIONS(2346),
    [aux_sym_identity_agent_token1] = ACTIONS(2346),
    [aux_sym_identity_file_token1] = ACTIONS(2346),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2346),
    [aux_sym_include_token1] = ACTIONS(2346),
    [aux_sym_ip_qos_token1] = ACTIONS(2346),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2346),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2346),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2346),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2346),
    [aux_sym_local_command_token1] = ACTIONS(2346),
    [aux_sym_local_forward_token1] = ACTIONS(2346),
    [aux_sym_log_level_token1] = ACTIONS(2346),
    [aux_sym_log_verbose_token1] = ACTIONS(2346),
    [aux_sym_macs_token1] = ACTIONS(2346),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2346),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2346),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2346),
    [aux_sym_password_authentication_token1] = ACTIONS(2346),
    [aux_sym_permit_local_command_token1] = ACTIONS(2346),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2346),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2346),
    [aux_sym_port_token1] = ACTIONS(2346),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2346),
    [aux_sym_protocol_token1] = ACTIONS(2346),
    [aux_sym_proxy_command_token1] = ACTIONS(2346),
    [aux_sym_proxy_jump_token1] = ACTIONS(2346),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2346),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2346),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2346),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2346),
    [aux_sym_rekey_limit_token1] = ACTIONS(2346),
    [aux_sym_remote_command_token1] = ACTIONS(2346),
    [aux_sym_remote_forward_token1] = ACTIONS(2346),
    [aux_sym_request_tty_token1] = ACTIONS(2346),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2346),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2346),
    [aux_sym_security_key_provider_token1] = ACTIONS(2346),
    [aux_sym_send_env_token1] = ACTIONS(2346),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2346),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2346),
    [aux_sym_session_type_token1] = ACTIONS(2346),
    [aux_sym_set_env_token1] = ACTIONS(2346),
    [aux_sym_stdin_null_token1] = ACTIONS(2346),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2346),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2346),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2346),
    [aux_sym_syslog_facility_token1] = ACTIONS(2346),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2346),
    [aux_sym_keep_alive_token1] = ACTIONS(2346),
    [aux_sym_tag_token1] = ACTIONS(2346),
    [aux_sym_tunnel_token1] = ACTIONS(2348),
    [aux_sym_tunnel_device_token1] = ACTIONS(2346),
    [aux_sym_update_host_keys_token1] = ACTIONS(2346),
    [aux_sym_use_keychain_token1] = ACTIONS(2346),
    [aux_sym_use_roaming_token1] = ACTIONS(2346),
    [aux_sym_user_token1] = ACTIONS(2348),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2346),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2346),
    [aux_sym_version_addendum_token1] = ACTIONS(2346),
    [aux_sym_visual_host_key_token1] = ACTIONS(2346),
    [aux_sym_xauth_location_token1] = ACTIONS(2346),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1770),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1772),
    [aux_sym_match_token1] = ACTIONS(1770),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1770),
    [aux_sym_address_family_token1] = ACTIONS(1770),
    [aux_sym_batch_mode_token1] = ACTIONS(1770),
    [aux_sym_bind_address_token1] = ACTIONS(1770),
    [aux_sym_bind_interface_token1] = ACTIONS(1770),
    [aux_sym_canonical_domains_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1770),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1770),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1770),
    [aux_sym_certificate_file_token1] = ACTIONS(1770),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1770),
    [aux_sym_channel_timeout_token1] = ACTIONS(1770),
    [aux_sym_check_host_ip_token1] = ACTIONS(1770),
    [aux_sym_ciphers_token1] = ACTIONS(1770),
    [aux_sym_cipher_token1] = ACTIONS(1772),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1770),
    [aux_sym_compression_token1] = ACTIONS(1770),
    [aux_sym_connection_attempts_token1] = ACTIONS(1770),
    [aux_sym_connect_timeout_token1] = ACTIONS(1770),
    [aux_sym_control_master_token1] = ACTIONS(1770),
    [aux_sym_control_path_token1] = ACTIONS(1770),
    [aux_sym_control_persist_token1] = ACTIONS(1770),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1770),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1770),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1770),
    [aux_sym_escape_char_token1] = ACTIONS(1770),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1770),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1770),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1770),
    [aux_sym_forward_agent_token1] = ACTIONS(1770),
    [aux_sym_forward_x11_token1] = ACTIONS(1772),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1770),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1770),
    [aux_sym_gateway_ports_token1] = ACTIONS(1770),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1770),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1770),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1770),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1770),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1770),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1770),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1770),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1770),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1770),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1770),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1770),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1770),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1770),
    [aux_sym_host_key_alias_token1] = ACTIONS(1770),
    [aux_sym_hostname_token1] = ACTIONS(1770),
    [aux_sym_identities_only_token1] = ACTIONS(1770),
    [aux_sym_identity_agent_token1] = ACTIONS(1770),
    [aux_sym_identity_file_token1] = ACTIONS(1770),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1770),
    [aux_sym_include_token1] = ACTIONS(1770),
    [aux_sym_ip_qos_token1] = ACTIONS(1770),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1770),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1770),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1770),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1770),
    [aux_sym_local_command_token1] = ACTIONS(1770),
    [aux_sym_local_forward_token1] = ACTIONS(1770),
    [aux_sym_log_level_token1] = ACTIONS(1770),
    [aux_sym_log_verbose_token1] = ACTIONS(1770),
    [aux_sym_macs_token1] = ACTIONS(1770),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1770),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1770),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1770),
    [aux_sym_password_authentication_token1] = ACTIONS(1770),
    [aux_sym_permit_local_command_token1] = ACTIONS(1770),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1770),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1770),
    [aux_sym_port_token1] = ACTIONS(1770),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1770),
    [aux_sym_protocol_token1] = ACTIONS(1770),
    [aux_sym_proxy_command_token1] = ACTIONS(1770),
    [aux_sym_proxy_jump_token1] = ACTIONS(1770),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1770),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1770),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1770),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1770),
    [aux_sym_rekey_limit_token1] = ACTIONS(1770),
    [aux_sym_remote_command_token1] = ACTIONS(1770),
    [aux_sym_remote_forward_token1] = ACTIONS(1770),
    [aux_sym_request_tty_token1] = ACTIONS(1770),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1770),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1770),
    [aux_sym_security_key_provider_token1] = ACTIONS(1770),
    [aux_sym_send_env_token1] = ACTIONS(1770),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1770),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1770),
    [aux_sym_session_type_token1] = ACTIONS(1770),
    [aux_sym_set_env_token1] = ACTIONS(1770),
    [aux_sym_stdin_null_token1] = ACTIONS(1770),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1770),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1770),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1770),
    [aux_sym_syslog_facility_token1] = ACTIONS(1770),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1770),
    [aux_sym_keep_alive_token1] = ACTIONS(1770),
    [aux_sym_tag_token1] = ACTIONS(1770),
    [aux_sym_tunnel_token1] = ACTIONS(1772),
    [aux_sym_tunnel_device_token1] = ACTIONS(1770),
    [aux_sym_update_host_keys_token1] = ACTIONS(1770),
    [aux_sym_use_keychain_token1] = ACTIONS(1770),
    [aux_sym_use_roaming_token1] = ACTIONS(1770),
    [aux_sym_user_token1] = ACTIONS(1772),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1770),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1770),
    [aux_sym_version_addendum_token1] = ACTIONS(1770),
    [aux_sym_visual_host_key_token1] = ACTIONS(1770),
    [aux_sym_xauth_location_token1] = ACTIONS(1770),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2354),
    [aux_sym_match_token1] = ACTIONS(2352),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2352),
    [aux_sym_address_family_token1] = ACTIONS(2352),
    [aux_sym_batch_mode_token1] = ACTIONS(2352),
    [aux_sym_bind_address_token1] = ACTIONS(2352),
    [aux_sym_bind_interface_token1] = ACTIONS(2352),
    [aux_sym_canonical_domains_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2352),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2352),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2352),
    [aux_sym_certificate_file_token1] = ACTIONS(2352),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2352),
    [aux_sym_channel_timeout_token1] = ACTIONS(2352),
    [aux_sym_check_host_ip_token1] = ACTIONS(2352),
    [aux_sym_ciphers_token1] = ACTIONS(2352),
    [aux_sym_cipher_token1] = ACTIONS(2354),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2352),
    [aux_sym_compression_token1] = ACTIONS(2352),
    [aux_sym_connection_attempts_token1] = ACTIONS(2352),
    [aux_sym_connect_timeout_token1] = ACTIONS(2352),
    [aux_sym_control_master_token1] = ACTIONS(2352),
    [aux_sym_control_path_token1] = ACTIONS(2352),
    [aux_sym_control_persist_token1] = ACTIONS(2352),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2352),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2352),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2352),
    [aux_sym_escape_char_token1] = ACTIONS(2352),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2352),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2352),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2352),
    [aux_sym_forward_agent_token1] = ACTIONS(2352),
    [aux_sym_forward_x11_token1] = ACTIONS(2354),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2352),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2352),
    [aux_sym_gateway_ports_token1] = ACTIONS(2352),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2352),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2352),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2352),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2352),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2352),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2352),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2352),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2352),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2352),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2352),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2352),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2352),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2352),
    [aux_sym_host_key_alias_token1] = ACTIONS(2352),
    [aux_sym_hostname_token1] = ACTIONS(2352),
    [aux_sym_identities_only_token1] = ACTIONS(2352),
    [aux_sym_identity_agent_token1] = ACTIONS(2352),
    [aux_sym_identity_file_token1] = ACTIONS(2352),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2352),
    [aux_sym_include_token1] = ACTIONS(2352),
    [aux_sym_ip_qos_token1] = ACTIONS(2352),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2352),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2352),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2352),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2352),
    [aux_sym_local_command_token1] = ACTIONS(2352),
    [aux_sym_local_forward_token1] = ACTIONS(2352),
    [aux_sym_log_level_token1] = ACTIONS(2352),
    [aux_sym_log_verbose_token1] = ACTIONS(2352),
    [aux_sym_macs_token1] = ACTIONS(2352),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2352),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2352),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2352),
    [aux_sym_password_authentication_token1] = ACTIONS(2352),
    [aux_sym_permit_local_command_token1] = ACTIONS(2352),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2352),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2352),
    [aux_sym_port_token1] = ACTIONS(2352),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2352),
    [aux_sym_protocol_token1] = ACTIONS(2352),
    [aux_sym_proxy_command_token1] = ACTIONS(2352),
    [aux_sym_proxy_jump_token1] = ACTIONS(2352),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2352),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2352),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2352),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2352),
    [aux_sym_rekey_limit_token1] = ACTIONS(2352),
    [aux_sym_remote_command_token1] = ACTIONS(2352),
    [aux_sym_remote_forward_token1] = ACTIONS(2352),
    [aux_sym_request_tty_token1] = ACTIONS(2352),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2352),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2352),
    [aux_sym_security_key_provider_token1] = ACTIONS(2352),
    [aux_sym_send_env_token1] = ACTIONS(2352),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2352),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2352),
    [aux_sym_session_type_token1] = ACTIONS(2352),
    [aux_sym_set_env_token1] = ACTIONS(2352),
    [aux_sym_stdin_null_token1] = ACTIONS(2352),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2352),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2352),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2352),
    [aux_sym_syslog_facility_token1] = ACTIONS(2352),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2352),
    [aux_sym_keep_alive_token1] = ACTIONS(2352),
    [aux_sym_tag_token1] = ACTIONS(2352),
    [aux_sym_tunnel_token1] = ACTIONS(2354),
    [aux_sym_tunnel_device_token1] = ACTIONS(2352),
    [aux_sym_update_host_keys_token1] = ACTIONS(2352),
    [aux_sym_use_keychain_token1] = ACTIONS(2352),
    [aux_sym_use_roaming_token1] = ACTIONS(2352),
    [aux_sym_user_token1] = ACTIONS(2354),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2352),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2352),
    [aux_sym_version_addendum_token1] = ACTIONS(2352),
    [aux_sym_visual_host_key_token1] = ACTIONS(2352),
    [aux_sym_xauth_location_token1] = ACTIONS(2352),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2360),
    [aux_sym_match_token1] = ACTIONS(2358),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2358),
    [aux_sym_address_family_token1] = ACTIONS(2358),
    [aux_sym_batch_mode_token1] = ACTIONS(2358),
    [aux_sym_bind_address_token1] = ACTIONS(2358),
    [aux_sym_bind_interface_token1] = ACTIONS(2358),
    [aux_sym_canonical_domains_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2358),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2358),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2358),
    [aux_sym_certificate_file_token1] = ACTIONS(2358),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2358),
    [aux_sym_channel_timeout_token1] = ACTIONS(2358),
    [aux_sym_check_host_ip_token1] = ACTIONS(2358),
    [aux_sym_ciphers_token1] = ACTIONS(2358),
    [aux_sym_cipher_token1] = ACTIONS(2360),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2358),
    [aux_sym_compression_token1] = ACTIONS(2358),
    [aux_sym_connection_attempts_token1] = ACTIONS(2358),
    [aux_sym_connect_timeout_token1] = ACTIONS(2358),
    [aux_sym_control_master_token1] = ACTIONS(2358),
    [aux_sym_control_path_token1] = ACTIONS(2358),
    [aux_sym_control_persist_token1] = ACTIONS(2358),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2358),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2358),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2358),
    [aux_sym_escape_char_token1] = ACTIONS(2358),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2358),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2358),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2358),
    [aux_sym_forward_agent_token1] = ACTIONS(2358),
    [aux_sym_forward_x11_token1] = ACTIONS(2360),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2358),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2358),
    [aux_sym_gateway_ports_token1] = ACTIONS(2358),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2358),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2358),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2358),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2358),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2358),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2358),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2358),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2358),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2358),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2358),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2358),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2358),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2358),
    [aux_sym_host_key_alias_token1] = ACTIONS(2358),
    [aux_sym_hostname_token1] = ACTIONS(2358),
    [aux_sym_identities_only_token1] = ACTIONS(2358),
    [aux_sym_identity_agent_token1] = ACTIONS(2358),
    [aux_sym_identity_file_token1] = ACTIONS(2358),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2358),
    [aux_sym_include_token1] = ACTIONS(2358),
    [aux_sym_ip_qos_token1] = ACTIONS(2358),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2358),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2358),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2358),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2358),
    [aux_sym_local_command_token1] = ACTIONS(2358),
    [aux_sym_local_forward_token1] = ACTIONS(2358),
    [aux_sym_log_level_token1] = ACTIONS(2358),
    [aux_sym_log_verbose_token1] = ACTIONS(2358),
    [aux_sym_macs_token1] = ACTIONS(2358),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2358),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2358),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2358),
    [aux_sym_password_authentication_token1] = ACTIONS(2358),
    [aux_sym_permit_local_command_token1] = ACTIONS(2358),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2358),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2358),
    [aux_sym_port_token1] = ACTIONS(2358),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2358),
    [aux_sym_protocol_token1] = ACTIONS(2358),
    [aux_sym_proxy_command_token1] = ACTIONS(2358),
    [aux_sym_proxy_jump_token1] = ACTIONS(2358),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2358),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2358),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2358),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2358),
    [aux_sym_rekey_limit_token1] = ACTIONS(2358),
    [aux_sym_remote_command_token1] = ACTIONS(2358),
    [aux_sym_remote_forward_token1] = ACTIONS(2358),
    [aux_sym_request_tty_token1] = ACTIONS(2358),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2358),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2358),
    [aux_sym_security_key_provider_token1] = ACTIONS(2358),
    [aux_sym_send_env_token1] = ACTIONS(2358),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2358),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2358),
    [aux_sym_session_type_token1] = ACTIONS(2358),
    [aux_sym_set_env_token1] = ACTIONS(2358),
    [aux_sym_stdin_null_token1] = ACTIONS(2358),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2358),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2358),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2358),
    [aux_sym_syslog_facility_token1] = ACTIONS(2358),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2358),
    [aux_sym_keep_alive_token1] = ACTIONS(2358),
    [aux_sym_tag_token1] = ACTIONS(2358),
    [aux_sym_tunnel_token1] = ACTIONS(2360),
    [aux_sym_tunnel_device_token1] = ACTIONS(2358),
    [aux_sym_update_host_keys_token1] = ACTIONS(2358),
    [aux_sym_use_keychain_token1] = ACTIONS(2358),
    [aux_sym_use_roaming_token1] = ACTIONS(2358),
    [aux_sym_user_token1] = ACTIONS(2360),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2358),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2358),
    [aux_sym_version_addendum_token1] = ACTIONS(2358),
    [aux_sym_visual_host_key_token1] = ACTIONS(2358),
    [aux_sym_xauth_location_token1] = ACTIONS(2358),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1778),
    [aux_sym_match_token1] = ACTIONS(1776),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1776),
    [aux_sym_address_family_token1] = ACTIONS(1776),
    [aux_sym_batch_mode_token1] = ACTIONS(1776),
    [aux_sym_bind_address_token1] = ACTIONS(1776),
    [aux_sym_bind_interface_token1] = ACTIONS(1776),
    [aux_sym_canonical_domains_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1776),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1776),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1776),
    [aux_sym_certificate_file_token1] = ACTIONS(1776),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1776),
    [aux_sym_channel_timeout_token1] = ACTIONS(1776),
    [aux_sym_check_host_ip_token1] = ACTIONS(1776),
    [aux_sym_ciphers_token1] = ACTIONS(1776),
    [aux_sym_cipher_token1] = ACTIONS(1778),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1776),
    [aux_sym_compression_token1] = ACTIONS(1776),
    [aux_sym_connection_attempts_token1] = ACTIONS(1776),
    [aux_sym_connect_timeout_token1] = ACTIONS(1776),
    [aux_sym_control_master_token1] = ACTIONS(1776),
    [aux_sym_control_path_token1] = ACTIONS(1776),
    [aux_sym_control_persist_token1] = ACTIONS(1776),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1776),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1776),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1776),
    [aux_sym_escape_char_token1] = ACTIONS(1776),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1776),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1776),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1776),
    [aux_sym_forward_agent_token1] = ACTIONS(1776),
    [aux_sym_forward_x11_token1] = ACTIONS(1778),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1776),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1776),
    [aux_sym_gateway_ports_token1] = ACTIONS(1776),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1776),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1776),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1776),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1776),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1776),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1776),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1776),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1776),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1776),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1776),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1776),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1776),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1776),
    [aux_sym_host_key_alias_token1] = ACTIONS(1776),
    [aux_sym_hostname_token1] = ACTIONS(1776),
    [aux_sym_identities_only_token1] = ACTIONS(1776),
    [aux_sym_identity_agent_token1] = ACTIONS(1776),
    [aux_sym_identity_file_token1] = ACTIONS(1776),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1776),
    [aux_sym_include_token1] = ACTIONS(1776),
    [aux_sym_ip_qos_token1] = ACTIONS(1776),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1776),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1776),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1776),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1776),
    [aux_sym_local_command_token1] = ACTIONS(1776),
    [aux_sym_local_forward_token1] = ACTIONS(1776),
    [aux_sym_log_level_token1] = ACTIONS(1776),
    [aux_sym_log_verbose_token1] = ACTIONS(1776),
    [aux_sym_macs_token1] = ACTIONS(1776),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1776),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1776),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1776),
    [aux_sym_password_authentication_token1] = ACTIONS(1776),
    [aux_sym_permit_local_command_token1] = ACTIONS(1776),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1776),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1776),
    [aux_sym_port_token1] = ACTIONS(1776),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1776),
    [aux_sym_protocol_token1] = ACTIONS(1776),
    [aux_sym_proxy_command_token1] = ACTIONS(1776),
    [aux_sym_proxy_jump_token1] = ACTIONS(1776),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1776),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1776),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1776),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1776),
    [aux_sym_rekey_limit_token1] = ACTIONS(1776),
    [aux_sym_remote_command_token1] = ACTIONS(1776),
    [aux_sym_remote_forward_token1] = ACTIONS(1776),
    [aux_sym_request_tty_token1] = ACTIONS(1776),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1776),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1776),
    [aux_sym_security_key_provider_token1] = ACTIONS(1776),
    [aux_sym_send_env_token1] = ACTIONS(1776),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1776),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1776),
    [aux_sym_session_type_token1] = ACTIONS(1776),
    [aux_sym_set_env_token1] = ACTIONS(1776),
    [aux_sym_stdin_null_token1] = ACTIONS(1776),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1776),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1776),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1776),
    [aux_sym_syslog_facility_token1] = ACTIONS(1776),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1776),
    [aux_sym_keep_alive_token1] = ACTIONS(1776),
    [aux_sym_tag_token1] = ACTIONS(1776),
    [aux_sym_tunnel_token1] = ACTIONS(1778),
    [aux_sym_tunnel_device_token1] = ACTIONS(1776),
    [aux_sym_update_host_keys_token1] = ACTIONS(1776),
    [aux_sym_use_keychain_token1] = ACTIONS(1776),
    [aux_sym_use_roaming_token1] = ACTIONS(1776),
    [aux_sym_user_token1] = ACTIONS(1778),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1776),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1776),
    [aux_sym_version_addendum_token1] = ACTIONS(1776),
    [aux_sym_visual_host_key_token1] = ACTIONS(1776),
    [aux_sym_xauth_location_token1] = ACTIONS(1776),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2366),
    [aux_sym_match_token1] = ACTIONS(2364),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2364),
    [aux_sym_address_family_token1] = ACTIONS(2364),
    [aux_sym_batch_mode_token1] = ACTIONS(2364),
    [aux_sym_bind_address_token1] = ACTIONS(2364),
    [aux_sym_bind_interface_token1] = ACTIONS(2364),
    [aux_sym_canonical_domains_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2364),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2364),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2364),
    [aux_sym_certificate_file_token1] = ACTIONS(2364),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2364),
    [aux_sym_channel_timeout_token1] = ACTIONS(2364),
    [aux_sym_check_host_ip_token1] = ACTIONS(2364),
    [aux_sym_ciphers_token1] = ACTIONS(2364),
    [aux_sym_cipher_token1] = ACTIONS(2366),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2364),
    [aux_sym_compression_token1] = ACTIONS(2364),
    [aux_sym_connection_attempts_token1] = ACTIONS(2364),
    [aux_sym_connect_timeout_token1] = ACTIONS(2364),
    [aux_sym_control_master_token1] = ACTIONS(2364),
    [aux_sym_control_path_token1] = ACTIONS(2364),
    [aux_sym_control_persist_token1] = ACTIONS(2364),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2364),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2364),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2364),
    [aux_sym_escape_char_token1] = ACTIONS(2364),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2364),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2364),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2364),
    [aux_sym_forward_agent_token1] = ACTIONS(2364),
    [aux_sym_forward_x11_token1] = ACTIONS(2366),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2364),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2364),
    [aux_sym_gateway_ports_token1] = ACTIONS(2364),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2364),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2364),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2364),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2364),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2364),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2364),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2364),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2364),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2364),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2364),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2364),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2364),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2364),
    [aux_sym_host_key_alias_token1] = ACTIONS(2364),
    [aux_sym_hostname_token1] = ACTIONS(2364),
    [aux_sym_identities_only_token1] = ACTIONS(2364),
    [aux_sym_identity_agent_token1] = ACTIONS(2364),
    [aux_sym_identity_file_token1] = ACTIONS(2364),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2364),
    [aux_sym_include_token1] = ACTIONS(2364),
    [aux_sym_ip_qos_token1] = ACTIONS(2364),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2364),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2364),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2364),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2364),
    [aux_sym_local_command_token1] = ACTIONS(2364),
    [aux_sym_local_forward_token1] = ACTIONS(2364),
    [aux_sym_log_level_token1] = ACTIONS(2364),
    [aux_sym_log_verbose_token1] = ACTIONS(2364),
    [aux_sym_macs_token1] = ACTIONS(2364),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2364),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2364),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2364),
    [aux_sym_password_authentication_token1] = ACTIONS(2364),
    [aux_sym_permit_local_command_token1] = ACTIONS(2364),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2364),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2364),
    [aux_sym_port_token1] = ACTIONS(2364),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2364),
    [aux_sym_protocol_token1] = ACTIONS(2364),
    [aux_sym_proxy_command_token1] = ACTIONS(2364),
    [aux_sym_proxy_jump_token1] = ACTIONS(2364),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2364),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2364),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2364),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2364),
    [aux_sym_rekey_limit_token1] = ACTIONS(2364),
    [aux_sym_remote_command_token1] = ACTIONS(2364),
    [aux_sym_remote_forward_token1] = ACTIONS(2364),
    [aux_sym_request_tty_token1] = ACTIONS(2364),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2364),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2364),
    [aux_sym_security_key_provider_token1] = ACTIONS(2364),
    [aux_sym_send_env_token1] = ACTIONS(2364),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2364),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2364),
    [aux_sym_session_type_token1] = ACTIONS(2364),
    [aux_sym_set_env_token1] = ACTIONS(2364),
    [aux_sym_stdin_null_token1] = ACTIONS(2364),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2364),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2364),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2364),
    [aux_sym_syslog_facility_token1] = ACTIONS(2364),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2364),
    [aux_sym_keep_alive_token1] = ACTIONS(2364),
    [aux_sym_tag_token1] = ACTIONS(2364),
    [aux_sym_tunnel_token1] = ACTIONS(2366),
    [aux_sym_tunnel_device_token1] = ACTIONS(2364),
    [aux_sym_update_host_keys_token1] = ACTIONS(2364),
    [aux_sym_use_keychain_token1] = ACTIONS(2364),
    [aux_sym_use_roaming_token1] = ACTIONS(2364),
    [aux_sym_user_token1] = ACTIONS(2366),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2364),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2364),
    [aux_sym_version_addendum_token1] = ACTIONS(2364),
    [aux_sym_visual_host_key_token1] = ACTIONS(2364),
    [aux_sym_xauth_location_token1] = ACTIONS(2364),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2372),
    [aux_sym_match_token1] = ACTIONS(2370),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2370),
    [aux_sym_address_family_token1] = ACTIONS(2370),
    [aux_sym_batch_mode_token1] = ACTIONS(2370),
    [aux_sym_bind_address_token1] = ACTIONS(2370),
    [aux_sym_bind_interface_token1] = ACTIONS(2370),
    [aux_sym_canonical_domains_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2370),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2370),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2370),
    [aux_sym_certificate_file_token1] = ACTIONS(2370),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2370),
    [aux_sym_channel_timeout_token1] = ACTIONS(2370),
    [aux_sym_check_host_ip_token1] = ACTIONS(2370),
    [aux_sym_ciphers_token1] = ACTIONS(2370),
    [aux_sym_cipher_token1] = ACTIONS(2372),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2370),
    [aux_sym_compression_token1] = ACTIONS(2370),
    [aux_sym_connection_attempts_token1] = ACTIONS(2370),
    [aux_sym_connect_timeout_token1] = ACTIONS(2370),
    [aux_sym_control_master_token1] = ACTIONS(2370),
    [aux_sym_control_path_token1] = ACTIONS(2370),
    [aux_sym_control_persist_token1] = ACTIONS(2370),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2370),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2370),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2370),
    [aux_sym_escape_char_token1] = ACTIONS(2370),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2370),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2370),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2370),
    [aux_sym_forward_agent_token1] = ACTIONS(2370),
    [aux_sym_forward_x11_token1] = ACTIONS(2372),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2370),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2370),
    [aux_sym_gateway_ports_token1] = ACTIONS(2370),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2370),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2370),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2370),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2370),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2370),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2370),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2370),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2370),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2370),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2370),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2370),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2370),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2370),
    [aux_sym_host_key_alias_token1] = ACTIONS(2370),
    [aux_sym_hostname_token1] = ACTIONS(2370),
    [aux_sym_identities_only_token1] = ACTIONS(2370),
    [aux_sym_identity_agent_token1] = ACTIONS(2370),
    [aux_sym_identity_file_token1] = ACTIONS(2370),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2370),
    [aux_sym_include_token1] = ACTIONS(2370),
    [aux_sym_ip_qos_token1] = ACTIONS(2370),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2370),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2370),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2370),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2370),
    [aux_sym_local_command_token1] = ACTIONS(2370),
    [aux_sym_local_forward_token1] = ACTIONS(2370),
    [aux_sym_log_level_token1] = ACTIONS(2370),
    [aux_sym_log_verbose_token1] = ACTIONS(2370),
    [aux_sym_macs_token1] = ACTIONS(2370),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2370),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2370),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2370),
    [aux_sym_password_authentication_token1] = ACTIONS(2370),
    [aux_sym_permit_local_command_token1] = ACTIONS(2370),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2370),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2370),
    [aux_sym_port_token1] = ACTIONS(2370),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2370),
    [aux_sym_protocol_token1] = ACTIONS(2370),
    [aux_sym_proxy_command_token1] = ACTIONS(2370),
    [aux_sym_proxy_jump_token1] = ACTIONS(2370),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2370),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2370),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2370),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2370),
    [aux_sym_rekey_limit_token1] = ACTIONS(2370),
    [aux_sym_remote_command_token1] = ACTIONS(2370),
    [aux_sym_remote_forward_token1] = ACTIONS(2370),
    [aux_sym_request_tty_token1] = ACTIONS(2370),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2370),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2370),
    [aux_sym_security_key_provider_token1] = ACTIONS(2370),
    [aux_sym_send_env_token1] = ACTIONS(2370),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2370),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2370),
    [aux_sym_session_type_token1] = ACTIONS(2370),
    [aux_sym_set_env_token1] = ACTIONS(2370),
    [aux_sym_stdin_null_token1] = ACTIONS(2370),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2370),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2370),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2370),
    [aux_sym_syslog_facility_token1] = ACTIONS(2370),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2370),
    [aux_sym_keep_alive_token1] = ACTIONS(2370),
    [aux_sym_tag_token1] = ACTIONS(2370),
    [aux_sym_tunnel_token1] = ACTIONS(2372),
    [aux_sym_tunnel_device_token1] = ACTIONS(2370),
    [aux_sym_update_host_keys_token1] = ACTIONS(2370),
    [aux_sym_use_keychain_token1] = ACTIONS(2370),
    [aux_sym_use_roaming_token1] = ACTIONS(2370),
    [aux_sym_user_token1] = ACTIONS(2372),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2370),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2370),
    [aux_sym_version_addendum_token1] = ACTIONS(2370),
    [aux_sym_visual_host_key_token1] = ACTIONS(2370),
    [aux_sym_xauth_location_token1] = ACTIONS(2370),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1782),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1784),
    [aux_sym_match_token1] = ACTIONS(1782),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1782),
    [aux_sym_address_family_token1] = ACTIONS(1782),
    [aux_sym_batch_mode_token1] = ACTIONS(1782),
    [aux_sym_bind_address_token1] = ACTIONS(1782),
    [aux_sym_bind_interface_token1] = ACTIONS(1782),
    [aux_sym_canonical_domains_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1782),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1782),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1782),
    [aux_sym_certificate_file_token1] = ACTIONS(1782),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1782),
    [aux_sym_channel_timeout_token1] = ACTIONS(1782),
    [aux_sym_check_host_ip_token1] = ACTIONS(1782),
    [aux_sym_ciphers_token1] = ACTIONS(1782),
    [aux_sym_cipher_token1] = ACTIONS(1784),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1782),
    [aux_sym_compression_token1] = ACTIONS(1782),
    [aux_sym_connection_attempts_token1] = ACTIONS(1782),
    [aux_sym_connect_timeout_token1] = ACTIONS(1782),
    [aux_sym_control_master_token1] = ACTIONS(1782),
    [aux_sym_control_path_token1] = ACTIONS(1782),
    [aux_sym_control_persist_token1] = ACTIONS(1782),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1782),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1782),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1782),
    [aux_sym_escape_char_token1] = ACTIONS(1782),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1782),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1782),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1782),
    [aux_sym_forward_agent_token1] = ACTIONS(1782),
    [aux_sym_forward_x11_token1] = ACTIONS(1784),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1782),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1782),
    [aux_sym_gateway_ports_token1] = ACTIONS(1782),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1782),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1782),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1782),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1782),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1782),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1782),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1782),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1782),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1782),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1782),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1782),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1782),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1782),
    [aux_sym_host_key_alias_token1] = ACTIONS(1782),
    [aux_sym_hostname_token1] = ACTIONS(1782),
    [aux_sym_identities_only_token1] = ACTIONS(1782),
    [aux_sym_identity_agent_token1] = ACTIONS(1782),
    [aux_sym_identity_file_token1] = ACTIONS(1782),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1782),
    [aux_sym_include_token1] = ACTIONS(1782),
    [aux_sym_ip_qos_token1] = ACTIONS(1782),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1782),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1782),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1782),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1782),
    [aux_sym_local_command_token1] = ACTIONS(1782),
    [aux_sym_local_forward_token1] = ACTIONS(1782),
    [aux_sym_log_level_token1] = ACTIONS(1782),
    [aux_sym_log_verbose_token1] = ACTIONS(1782),
    [aux_sym_macs_token1] = ACTIONS(1782),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1782),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1782),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1782),
    [aux_sym_password_authentication_token1] = ACTIONS(1782),
    [aux_sym_permit_local_command_token1] = ACTIONS(1782),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1782),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1782),
    [aux_sym_port_token1] = ACTIONS(1782),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1782),
    [aux_sym_protocol_token1] = ACTIONS(1782),
    [aux_sym_proxy_command_token1] = ACTIONS(1782),
    [aux_sym_proxy_jump_token1] = ACTIONS(1782),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1782),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1782),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1782),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1782),
    [aux_sym_rekey_limit_token1] = ACTIONS(1782),
    [aux_sym_remote_command_token1] = ACTIONS(1782),
    [aux_sym_remote_forward_token1] = ACTIONS(1782),
    [aux_sym_request_tty_token1] = ACTIONS(1782),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1782),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1782),
    [aux_sym_security_key_provider_token1] = ACTIONS(1782),
    [aux_sym_send_env_token1] = ACTIONS(1782),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1782),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1782),
    [aux_sym_session_type_token1] = ACTIONS(1782),
    [aux_sym_set_env_token1] = ACTIONS(1782),
    [aux_sym_stdin_null_token1] = ACTIONS(1782),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1782),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1782),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1782),
    [aux_sym_syslog_facility_token1] = ACTIONS(1782),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1782),
    [aux_sym_keep_alive_token1] = ACTIONS(1782),
    [aux_sym_tag_token1] = ACTIONS(1782),
    [aux_sym_tunnel_token1] = ACTIONS(1784),
    [aux_sym_tunnel_device_token1] = ACTIONS(1782),
    [aux_sym_update_host_keys_token1] = ACTIONS(1782),
    [aux_sym_use_keychain_token1] = ACTIONS(1782),
    [aux_sym_use_roaming_token1] = ACTIONS(1782),
    [aux_sym_user_token1] = ACTIONS(1784),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1782),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1782),
    [aux_sym_version_addendum_token1] = ACTIONS(1782),
    [aux_sym_visual_host_key_token1] = ACTIONS(1782),
    [aux_sym_xauth_location_token1] = ACTIONS(1782),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2378),
    [aux_sym_match_token1] = ACTIONS(2376),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2376),
    [aux_sym_address_family_token1] = ACTIONS(2376),
    [aux_sym_batch_mode_token1] = ACTIONS(2376),
    [aux_sym_bind_address_token1] = ACTIONS(2376),
    [aux_sym_bind_interface_token1] = ACTIONS(2376),
    [aux_sym_canonical_domains_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2376),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2376),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2376),
    [aux_sym_certificate_file_token1] = ACTIONS(2376),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2376),
    [aux_sym_channel_timeout_token1] = ACTIONS(2376),
    [aux_sym_check_host_ip_token1] = ACTIONS(2376),
    [aux_sym_ciphers_token1] = ACTIONS(2376),
    [aux_sym_cipher_token1] = ACTIONS(2378),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2376),
    [aux_sym_compression_token1] = ACTIONS(2376),
    [aux_sym_connection_attempts_token1] = ACTIONS(2376),
    [aux_sym_connect_timeout_token1] = ACTIONS(2376),
    [aux_sym_control_master_token1] = ACTIONS(2376),
    [aux_sym_control_path_token1] = ACTIONS(2376),
    [aux_sym_control_persist_token1] = ACTIONS(2376),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2376),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2376),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2376),
    [aux_sym_escape_char_token1] = ACTIONS(2376),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2376),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2376),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2376),
    [aux_sym_forward_agent_token1] = ACTIONS(2376),
    [aux_sym_forward_x11_token1] = ACTIONS(2378),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2376),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2376),
    [aux_sym_gateway_ports_token1] = ACTIONS(2376),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2376),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2376),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2376),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2376),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2376),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2376),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2376),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2376),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2376),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2376),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2376),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2376),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2376),
    [aux_sym_host_key_alias_token1] = ACTIONS(2376),
    [aux_sym_hostname_token1] = ACTIONS(2376),
    [aux_sym_identities_only_token1] = ACTIONS(2376),
    [aux_sym_identity_agent_token1] = ACTIONS(2376),
    [aux_sym_identity_file_token1] = ACTIONS(2376),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2376),
    [aux_sym_include_token1] = ACTIONS(2376),
    [aux_sym_ip_qos_token1] = ACTIONS(2376),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2376),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2376),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2376),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2376),
    [aux_sym_local_command_token1] = ACTIONS(2376),
    [aux_sym_local_forward_token1] = ACTIONS(2376),
    [aux_sym_log_level_token1] = ACTIONS(2376),
    [aux_sym_log_verbose_token1] = ACTIONS(2376),
    [aux_sym_macs_token1] = ACTIONS(2376),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2376),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2376),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2376),
    [aux_sym_password_authentication_token1] = ACTIONS(2376),
    [aux_sym_permit_local_command_token1] = ACTIONS(2376),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2376),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2376),
    [aux_sym_port_token1] = ACTIONS(2376),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2376),
    [aux_sym_protocol_token1] = ACTIONS(2376),
    [aux_sym_proxy_command_token1] = ACTIONS(2376),
    [aux_sym_proxy_jump_token1] = ACTIONS(2376),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2376),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2376),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2376),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2376),
    [aux_sym_rekey_limit_token1] = ACTIONS(2376),
    [aux_sym_remote_command_token1] = ACTIONS(2376),
    [aux_sym_remote_forward_token1] = ACTIONS(2376),
    [aux_sym_request_tty_token1] = ACTIONS(2376),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2376),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2376),
    [aux_sym_security_key_provider_token1] = ACTIONS(2376),
    [aux_sym_send_env_token1] = ACTIONS(2376),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2376),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2376),
    [aux_sym_session_type_token1] = ACTIONS(2376),
    [aux_sym_set_env_token1] = ACTIONS(2376),
    [aux_sym_stdin_null_token1] = ACTIONS(2376),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2376),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2376),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2376),
    [aux_sym_syslog_facility_token1] = ACTIONS(2376),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2376),
    [aux_sym_keep_alive_token1] = ACTIONS(2376),
    [aux_sym_tag_token1] = ACTIONS(2376),
    [aux_sym_tunnel_token1] = ACTIONS(2378),
    [aux_sym_tunnel_device_token1] = ACTIONS(2376),
    [aux_sym_update_host_keys_token1] = ACTIONS(2376),
    [aux_sym_use_keychain_token1] = ACTIONS(2376),
    [aux_sym_use_roaming_token1] = ACTIONS(2376),
    [aux_sym_user_token1] = ACTIONS(2378),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2376),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2376),
    [aux_sym_version_addendum_token1] = ACTIONS(2376),
    [aux_sym_visual_host_key_token1] = ACTIONS(2376),
    [aux_sym_xauth_location_token1] = ACTIONS(2376),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2384),
    [aux_sym_match_token1] = ACTIONS(2382),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2382),
    [aux_sym_address_family_token1] = ACTIONS(2382),
    [aux_sym_batch_mode_token1] = ACTIONS(2382),
    [aux_sym_bind_address_token1] = ACTIONS(2382),
    [aux_sym_bind_interface_token1] = ACTIONS(2382),
    [aux_sym_canonical_domains_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2382),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2382),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2382),
    [aux_sym_certificate_file_token1] = ACTIONS(2382),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2382),
    [aux_sym_channel_timeout_token1] = ACTIONS(2382),
    [aux_sym_check_host_ip_token1] = ACTIONS(2382),
    [aux_sym_ciphers_token1] = ACTIONS(2382),
    [aux_sym_cipher_token1] = ACTIONS(2384),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2382),
    [aux_sym_compression_token1] = ACTIONS(2382),
    [aux_sym_connection_attempts_token1] = ACTIONS(2382),
    [aux_sym_connect_timeout_token1] = ACTIONS(2382),
    [aux_sym_control_master_token1] = ACTIONS(2382),
    [aux_sym_control_path_token1] = ACTIONS(2382),
    [aux_sym_control_persist_token1] = ACTIONS(2382),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2382),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2382),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2382),
    [aux_sym_escape_char_token1] = ACTIONS(2382),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2382),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2382),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2382),
    [aux_sym_forward_agent_token1] = ACTIONS(2382),
    [aux_sym_forward_x11_token1] = ACTIONS(2384),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2382),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2382),
    [aux_sym_gateway_ports_token1] = ACTIONS(2382),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2382),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2382),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2382),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2382),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2382),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2382),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2382),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2382),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2382),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2382),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2382),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2382),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2382),
    [aux_sym_host_key_alias_token1] = ACTIONS(2382),
    [aux_sym_hostname_token1] = ACTIONS(2382),
    [aux_sym_identities_only_token1] = ACTIONS(2382),
    [aux_sym_identity_agent_token1] = ACTIONS(2382),
    [aux_sym_identity_file_token1] = ACTIONS(2382),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2382),
    [aux_sym_include_token1] = ACTIONS(2382),
    [aux_sym_ip_qos_token1] = ACTIONS(2382),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2382),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2382),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2382),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2382),
    [aux_sym_local_command_token1] = ACTIONS(2382),
    [aux_sym_local_forward_token1] = ACTIONS(2382),
    [aux_sym_log_level_token1] = ACTIONS(2382),
    [aux_sym_log_verbose_token1] = ACTIONS(2382),
    [aux_sym_macs_token1] = ACTIONS(2382),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2382),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2382),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2382),
    [aux_sym_password_authentication_token1] = ACTIONS(2382),
    [aux_sym_permit_local_command_token1] = ACTIONS(2382),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2382),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2382),
    [aux_sym_port_token1] = ACTIONS(2382),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2382),
    [aux_sym_protocol_token1] = ACTIONS(2382),
    [aux_sym_proxy_command_token1] = ACTIONS(2382),
    [aux_sym_proxy_jump_token1] = ACTIONS(2382),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2382),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2382),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2382),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2382),
    [aux_sym_rekey_limit_token1] = ACTIONS(2382),
    [aux_sym_remote_command_token1] = ACTIONS(2382),
    [aux_sym_remote_forward_token1] = ACTIONS(2382),
    [aux_sym_request_tty_token1] = ACTIONS(2382),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2382),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2382),
    [aux_sym_security_key_provider_token1] = ACTIONS(2382),
    [aux_sym_send_env_token1] = ACTIONS(2382),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2382),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2382),
    [aux_sym_session_type_token1] = ACTIONS(2382),
    [aux_sym_set_env_token1] = ACTIONS(2382),
    [aux_sym_stdin_null_token1] = ACTIONS(2382),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2382),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2382),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2382),
    [aux_sym_syslog_facility_token1] = ACTIONS(2382),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2382),
    [aux_sym_keep_alive_token1] = ACTIONS(2382),
    [aux_sym_tag_token1] = ACTIONS(2382),
    [aux_sym_tunnel_token1] = ACTIONS(2384),
    [aux_sym_tunnel_device_token1] = ACTIONS(2382),
    [aux_sym_update_host_keys_token1] = ACTIONS(2382),
    [aux_sym_use_keychain_token1] = ACTIONS(2382),
    [aux_sym_use_roaming_token1] = ACTIONS(2382),
    [aux_sym_user_token1] = ACTIONS(2384),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2382),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2382),
    [aux_sym_version_addendum_token1] = ACTIONS(2382),
    [aux_sym_visual_host_key_token1] = ACTIONS(2382),
    [aux_sym_xauth_location_token1] = ACTIONS(2382),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1790),
    [aux_sym_match_token1] = ACTIONS(1788),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1788),
    [aux_sym_address_family_token1] = ACTIONS(1788),
    [aux_sym_batch_mode_token1] = ACTIONS(1788),
    [aux_sym_bind_address_token1] = ACTIONS(1788),
    [aux_sym_bind_interface_token1] = ACTIONS(1788),
    [aux_sym_canonical_domains_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1788),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1788),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1788),
    [aux_sym_certificate_file_token1] = ACTIONS(1788),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1788),
    [aux_sym_channel_timeout_token1] = ACTIONS(1788),
    [aux_sym_check_host_ip_token1] = ACTIONS(1788),
    [aux_sym_ciphers_token1] = ACTIONS(1788),
    [aux_sym_cipher_token1] = ACTIONS(1790),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1788),
    [aux_sym_compression_token1] = ACTIONS(1788),
    [aux_sym_connection_attempts_token1] = ACTIONS(1788),
    [aux_sym_connect_timeout_token1] = ACTIONS(1788),
    [aux_sym_control_master_token1] = ACTIONS(1788),
    [aux_sym_control_path_token1] = ACTIONS(1788),
    [aux_sym_control_persist_token1] = ACTIONS(1788),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1788),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1788),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1788),
    [aux_sym_escape_char_token1] = ACTIONS(1788),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1788),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1788),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1788),
    [aux_sym_forward_agent_token1] = ACTIONS(1788),
    [aux_sym_forward_x11_token1] = ACTIONS(1790),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1788),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1788),
    [aux_sym_gateway_ports_token1] = ACTIONS(1788),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1788),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1788),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1788),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1788),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1788),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1788),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1788),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1788),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1788),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1788),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1788),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1788),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1788),
    [aux_sym_host_key_alias_token1] = ACTIONS(1788),
    [aux_sym_hostname_token1] = ACTIONS(1788),
    [aux_sym_identities_only_token1] = ACTIONS(1788),
    [aux_sym_identity_agent_token1] = ACTIONS(1788),
    [aux_sym_identity_file_token1] = ACTIONS(1788),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1788),
    [aux_sym_include_token1] = ACTIONS(1788),
    [aux_sym_ip_qos_token1] = ACTIONS(1788),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1788),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1788),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1788),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1788),
    [aux_sym_local_command_token1] = ACTIONS(1788),
    [aux_sym_local_forward_token1] = ACTIONS(1788),
    [aux_sym_log_level_token1] = ACTIONS(1788),
    [aux_sym_log_verbose_token1] = ACTIONS(1788),
    [aux_sym_macs_token1] = ACTIONS(1788),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1788),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1788),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1788),
    [aux_sym_password_authentication_token1] = ACTIONS(1788),
    [aux_sym_permit_local_command_token1] = ACTIONS(1788),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1788),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1788),
    [aux_sym_port_token1] = ACTIONS(1788),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1788),
    [aux_sym_protocol_token1] = ACTIONS(1788),
    [aux_sym_proxy_command_token1] = ACTIONS(1788),
    [aux_sym_proxy_jump_token1] = ACTIONS(1788),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1788),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1788),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1788),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1788),
    [aux_sym_rekey_limit_token1] = ACTIONS(1788),
    [aux_sym_remote_command_token1] = ACTIONS(1788),
    [aux_sym_remote_forward_token1] = ACTIONS(1788),
    [aux_sym_request_tty_token1] = ACTIONS(1788),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1788),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1788),
    [aux_sym_security_key_provider_token1] = ACTIONS(1788),
    [aux_sym_send_env_token1] = ACTIONS(1788),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1788),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1788),
    [aux_sym_session_type_token1] = ACTIONS(1788),
    [aux_sym_set_env_token1] = ACTIONS(1788),
    [aux_sym_stdin_null_token1] = ACTIONS(1788),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1788),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1788),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1788),
    [aux_sym_syslog_facility_token1] = ACTIONS(1788),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1788),
    [aux_sym_keep_alive_token1] = ACTIONS(1788),
    [aux_sym_tag_token1] = ACTIONS(1788),
    [aux_sym_tunnel_token1] = ACTIONS(1790),
    [aux_sym_tunnel_device_token1] = ACTIONS(1788),
    [aux_sym_update_host_keys_token1] = ACTIONS(1788),
    [aux_sym_use_keychain_token1] = ACTIONS(1788),
    [aux_sym_use_roaming_token1] = ACTIONS(1788),
    [aux_sym_user_token1] = ACTIONS(1790),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1788),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1788),
    [aux_sym_version_addendum_token1] = ACTIONS(1788),
    [aux_sym_visual_host_key_token1] = ACTIONS(1788),
    [aux_sym_xauth_location_token1] = ACTIONS(1788),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2390),
    [aux_sym_match_token1] = ACTIONS(2388),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2388),
    [aux_sym_address_family_token1] = ACTIONS(2388),
    [aux_sym_batch_mode_token1] = ACTIONS(2388),
    [aux_sym_bind_address_token1] = ACTIONS(2388),
    [aux_sym_bind_interface_token1] = ACTIONS(2388),
    [aux_sym_canonical_domains_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2388),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2388),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2388),
    [aux_sym_certificate_file_token1] = ACTIONS(2388),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2388),
    [aux_sym_channel_timeout_token1] = ACTIONS(2388),
    [aux_sym_check_host_ip_token1] = ACTIONS(2388),
    [aux_sym_ciphers_token1] = ACTIONS(2388),
    [aux_sym_cipher_token1] = ACTIONS(2390),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2388),
    [aux_sym_compression_token1] = ACTIONS(2388),
    [aux_sym_connection_attempts_token1] = ACTIONS(2388),
    [aux_sym_connect_timeout_token1] = ACTIONS(2388),
    [aux_sym_control_master_token1] = ACTIONS(2388),
    [aux_sym_control_path_token1] = ACTIONS(2388),
    [aux_sym_control_persist_token1] = ACTIONS(2388),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2388),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2388),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2388),
    [aux_sym_escape_char_token1] = ACTIONS(2388),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2388),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2388),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2388),
    [aux_sym_forward_agent_token1] = ACTIONS(2388),
    [aux_sym_forward_x11_token1] = ACTIONS(2390),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2388),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2388),
    [aux_sym_gateway_ports_token1] = ACTIONS(2388),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2388),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2388),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2388),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2388),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2388),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2388),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2388),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2388),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2388),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2388),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2388),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2388),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2388),
    [aux_sym_host_key_alias_token1] = ACTIONS(2388),
    [aux_sym_hostname_token1] = ACTIONS(2388),
    [aux_sym_identities_only_token1] = ACTIONS(2388),
    [aux_sym_identity_agent_token1] = ACTIONS(2388),
    [aux_sym_identity_file_token1] = ACTIONS(2388),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2388),
    [aux_sym_include_token1] = ACTIONS(2388),
    [aux_sym_ip_qos_token1] = ACTIONS(2388),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2388),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2388),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2388),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2388),
    [aux_sym_local_command_token1] = ACTIONS(2388),
    [aux_sym_local_forward_token1] = ACTIONS(2388),
    [aux_sym_log_level_token1] = ACTIONS(2388),
    [aux_sym_log_verbose_token1] = ACTIONS(2388),
    [aux_sym_macs_token1] = ACTIONS(2388),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2388),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2388),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2388),
    [aux_sym_password_authentication_token1] = ACTIONS(2388),
    [aux_sym_permit_local_command_token1] = ACTIONS(2388),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2388),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2388),
    [aux_sym_port_token1] = ACTIONS(2388),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2388),
    [aux_sym_protocol_token1] = ACTIONS(2388),
    [aux_sym_proxy_command_token1] = ACTIONS(2388),
    [aux_sym_proxy_jump_token1] = ACTIONS(2388),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2388),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2388),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2388),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2388),
    [aux_sym_rekey_limit_token1] = ACTIONS(2388),
    [aux_sym_remote_command_token1] = ACTIONS(2388),
    [aux_sym_remote_forward_token1] = ACTIONS(2388),
    [aux_sym_request_tty_token1] = ACTIONS(2388),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2388),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2388),
    [aux_sym_security_key_provider_token1] = ACTIONS(2388),
    [aux_sym_send_env_token1] = ACTIONS(2388),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2388),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2388),
    [aux_sym_session_type_token1] = ACTIONS(2388),
    [aux_sym_set_env_token1] = ACTIONS(2388),
    [aux_sym_stdin_null_token1] = ACTIONS(2388),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2388),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2388),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2388),
    [aux_sym_syslog_facility_token1] = ACTIONS(2388),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2388),
    [aux_sym_keep_alive_token1] = ACTIONS(2388),
    [aux_sym_tag_token1] = ACTIONS(2388),
    [aux_sym_tunnel_token1] = ACTIONS(2390),
    [aux_sym_tunnel_device_token1] = ACTIONS(2388),
    [aux_sym_update_host_keys_token1] = ACTIONS(2388),
    [aux_sym_use_keychain_token1] = ACTIONS(2388),
    [aux_sym_use_roaming_token1] = ACTIONS(2388),
    [aux_sym_user_token1] = ACTIONS(2390),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2388),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2388),
    [aux_sym_version_addendum_token1] = ACTIONS(2388),
    [aux_sym_visual_host_key_token1] = ACTIONS(2388),
    [aux_sym_xauth_location_token1] = ACTIONS(2388),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2394),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2396),
    [aux_sym_match_token1] = ACTIONS(2394),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2394),
    [aux_sym_address_family_token1] = ACTIONS(2394),
    [aux_sym_batch_mode_token1] = ACTIONS(2394),
    [aux_sym_bind_address_token1] = ACTIONS(2394),
    [aux_sym_bind_interface_token1] = ACTIONS(2394),
    [aux_sym_canonical_domains_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2394),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2394),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2394),
    [aux_sym_certificate_file_token1] = ACTIONS(2394),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2394),
    [aux_sym_channel_timeout_token1] = ACTIONS(2394),
    [aux_sym_check_host_ip_token1] = ACTIONS(2394),
    [aux_sym_ciphers_token1] = ACTIONS(2394),
    [aux_sym_cipher_token1] = ACTIONS(2396),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2394),
    [aux_sym_compression_token1] = ACTIONS(2394),
    [aux_sym_connection_attempts_token1] = ACTIONS(2394),
    [aux_sym_connect_timeout_token1] = ACTIONS(2394),
    [aux_sym_control_master_token1] = ACTIONS(2394),
    [aux_sym_control_path_token1] = ACTIONS(2394),
    [aux_sym_control_persist_token1] = ACTIONS(2394),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2394),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2394),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2394),
    [aux_sym_escape_char_token1] = ACTIONS(2394),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2394),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2394),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2394),
    [aux_sym_forward_agent_token1] = ACTIONS(2394),
    [aux_sym_forward_x11_token1] = ACTIONS(2396),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2394),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2394),
    [aux_sym_gateway_ports_token1] = ACTIONS(2394),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2394),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2394),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2394),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2394),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2394),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2394),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2394),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2394),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2394),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2394),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2394),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2394),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2394),
    [aux_sym_host_key_alias_token1] = ACTIONS(2394),
    [aux_sym_hostname_token1] = ACTIONS(2394),
    [aux_sym_identities_only_token1] = ACTIONS(2394),
    [aux_sym_identity_agent_token1] = ACTIONS(2394),
    [aux_sym_identity_file_token1] = ACTIONS(2394),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2394),
    [aux_sym_include_token1] = ACTIONS(2394),
    [aux_sym_ip_qos_token1] = ACTIONS(2394),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2394),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2394),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2394),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2394),
    [aux_sym_local_command_token1] = ACTIONS(2394),
    [aux_sym_local_forward_token1] = ACTIONS(2394),
    [aux_sym_log_level_token1] = ACTIONS(2394),
    [aux_sym_log_verbose_token1] = ACTIONS(2394),
    [aux_sym_macs_token1] = ACTIONS(2394),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2394),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2394),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2394),
    [aux_sym_password_authentication_token1] = ACTIONS(2394),
    [aux_sym_permit_local_command_token1] = ACTIONS(2394),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2394),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2394),
    [aux_sym_port_token1] = ACTIONS(2394),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2394),
    [aux_sym_protocol_token1] = ACTIONS(2394),
    [aux_sym_proxy_command_token1] = ACTIONS(2394),
    [aux_sym_proxy_jump_token1] = ACTIONS(2394),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2394),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2394),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2394),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2394),
    [aux_sym_rekey_limit_token1] = ACTIONS(2394),
    [aux_sym_remote_command_token1] = ACTIONS(2394),
    [aux_sym_remote_forward_token1] = ACTIONS(2394),
    [aux_sym_request_tty_token1] = ACTIONS(2394),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2394),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2394),
    [aux_sym_security_key_provider_token1] = ACTIONS(2394),
    [aux_sym_send_env_token1] = ACTIONS(2394),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2394),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2394),
    [aux_sym_session_type_token1] = ACTIONS(2394),
    [aux_sym_set_env_token1] = ACTIONS(2394),
    [aux_sym_stdin_null_token1] = ACTIONS(2394),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2394),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2394),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2394),
    [aux_sym_syslog_facility_token1] = ACTIONS(2394),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2394),
    [aux_sym_keep_alive_token1] = ACTIONS(2394),
    [aux_sym_tag_token1] = ACTIONS(2394),
    [aux_sym_tunnel_token1] = ACTIONS(2396),
    [aux_sym_tunnel_device_token1] = ACTIONS(2394),
    [aux_sym_update_host_keys_token1] = ACTIONS(2394),
    [aux_sym_use_keychain_token1] = ACTIONS(2394),
    [aux_sym_use_roaming_token1] = ACTIONS(2394),
    [aux_sym_user_token1] = ACTIONS(2396),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2394),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2394),
    [aux_sym_version_addendum_token1] = ACTIONS(2394),
    [aux_sym_visual_host_key_token1] = ACTIONS(2394),
    [aux_sym_xauth_location_token1] = ACTIONS(2394),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1794),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1796),
    [aux_sym_match_token1] = ACTIONS(1794),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1794),
    [aux_sym_address_family_token1] = ACTIONS(1794),
    [aux_sym_batch_mode_token1] = ACTIONS(1794),
    [aux_sym_bind_address_token1] = ACTIONS(1794),
    [aux_sym_bind_interface_token1] = ACTIONS(1794),
    [aux_sym_canonical_domains_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1794),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1794),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1794),
    [aux_sym_certificate_file_token1] = ACTIONS(1794),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1794),
    [aux_sym_channel_timeout_token1] = ACTIONS(1794),
    [aux_sym_check_host_ip_token1] = ACTIONS(1794),
    [aux_sym_ciphers_token1] = ACTIONS(1794),
    [aux_sym_cipher_token1] = ACTIONS(1796),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1794),
    [aux_sym_compression_token1] = ACTIONS(1794),
    [aux_sym_connection_attempts_token1] = ACTIONS(1794),
    [aux_sym_connect_timeout_token1] = ACTIONS(1794),
    [aux_sym_control_master_token1] = ACTIONS(1794),
    [aux_sym_control_path_token1] = ACTIONS(1794),
    [aux_sym_control_persist_token1] = ACTIONS(1794),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1794),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1794),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1794),
    [aux_sym_escape_char_token1] = ACTIONS(1794),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1794),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1794),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1794),
    [aux_sym_forward_agent_token1] = ACTIONS(1794),
    [aux_sym_forward_x11_token1] = ACTIONS(1796),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1794),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1794),
    [aux_sym_gateway_ports_token1] = ACTIONS(1794),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1794),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1794),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1794),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1794),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1794),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1794),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1794),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1794),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1794),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1794),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1794),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1794),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1794),
    [aux_sym_host_key_alias_token1] = ACTIONS(1794),
    [aux_sym_hostname_token1] = ACTIONS(1794),
    [aux_sym_identities_only_token1] = ACTIONS(1794),
    [aux_sym_identity_agent_token1] = ACTIONS(1794),
    [aux_sym_identity_file_token1] = ACTIONS(1794),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1794),
    [aux_sym_include_token1] = ACTIONS(1794),
    [aux_sym_ip_qos_token1] = ACTIONS(1794),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1794),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1794),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1794),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1794),
    [aux_sym_local_command_token1] = ACTIONS(1794),
    [aux_sym_local_forward_token1] = ACTIONS(1794),
    [aux_sym_log_level_token1] = ACTIONS(1794),
    [aux_sym_log_verbose_token1] = ACTIONS(1794),
    [aux_sym_macs_token1] = ACTIONS(1794),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1794),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1794),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1794),
    [aux_sym_password_authentication_token1] = ACTIONS(1794),
    [aux_sym_permit_local_command_token1] = ACTIONS(1794),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1794),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1794),
    [aux_sym_port_token1] = ACTIONS(1794),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1794),
    [aux_sym_protocol_token1] = ACTIONS(1794),
    [aux_sym_proxy_command_token1] = ACTIONS(1794),
    [aux_sym_proxy_jump_token1] = ACTIONS(1794),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1794),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1794),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1794),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1794),
    [aux_sym_rekey_limit_token1] = ACTIONS(1794),
    [aux_sym_remote_command_token1] = ACTIONS(1794),
    [aux_sym_remote_forward_token1] = ACTIONS(1794),
    [aux_sym_request_tty_token1] = ACTIONS(1794),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1794),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1794),
    [aux_sym_security_key_provider_token1] = ACTIONS(1794),
    [aux_sym_send_env_token1] = ACTIONS(1794),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1794),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1794),
    [aux_sym_session_type_token1] = ACTIONS(1794),
    [aux_sym_set_env_token1] = ACTIONS(1794),
    [aux_sym_stdin_null_token1] = ACTIONS(1794),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1794),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1794),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1794),
    [aux_sym_syslog_facility_token1] = ACTIONS(1794),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1794),
    [aux_sym_keep_alive_token1] = ACTIONS(1794),
    [aux_sym_tag_token1] = ACTIONS(1794),
    [aux_sym_tunnel_token1] = ACTIONS(1796),
    [aux_sym_tunnel_device_token1] = ACTIONS(1794),
    [aux_sym_update_host_keys_token1] = ACTIONS(1794),
    [aux_sym_use_keychain_token1] = ACTIONS(1794),
    [aux_sym_use_roaming_token1] = ACTIONS(1794),
    [aux_sym_user_token1] = ACTIONS(1796),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1794),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1794),
    [aux_sym_version_addendum_token1] = ACTIONS(1794),
    [aux_sym_visual_host_key_token1] = ACTIONS(1794),
    [aux_sym_xauth_location_token1] = ACTIONS(1794),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2402),
    [aux_sym_match_token1] = ACTIONS(2400),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2400),
    [aux_sym_address_family_token1] = ACTIONS(2400),
    [aux_sym_batch_mode_token1] = ACTIONS(2400),
    [aux_sym_bind_address_token1] = ACTIONS(2400),
    [aux_sym_bind_interface_token1] = ACTIONS(2400),
    [aux_sym_canonical_domains_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2400),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2400),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2400),
    [aux_sym_certificate_file_token1] = ACTIONS(2400),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2400),
    [aux_sym_channel_timeout_token1] = ACTIONS(2400),
    [aux_sym_check_host_ip_token1] = ACTIONS(2400),
    [aux_sym_ciphers_token1] = ACTIONS(2400),
    [aux_sym_cipher_token1] = ACTIONS(2402),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2400),
    [aux_sym_compression_token1] = ACTIONS(2400),
    [aux_sym_connection_attempts_token1] = ACTIONS(2400),
    [aux_sym_connect_timeout_token1] = ACTIONS(2400),
    [aux_sym_control_master_token1] = ACTIONS(2400),
    [aux_sym_control_path_token1] = ACTIONS(2400),
    [aux_sym_control_persist_token1] = ACTIONS(2400),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2400),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2400),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2400),
    [aux_sym_escape_char_token1] = ACTIONS(2400),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2400),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2400),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2400),
    [aux_sym_forward_agent_token1] = ACTIONS(2400),
    [aux_sym_forward_x11_token1] = ACTIONS(2402),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2400),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2400),
    [aux_sym_gateway_ports_token1] = ACTIONS(2400),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2400),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2400),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2400),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2400),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2400),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2400),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2400),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2400),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2400),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2400),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2400),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2400),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2400),
    [aux_sym_host_key_alias_token1] = ACTIONS(2400),
    [aux_sym_hostname_token1] = ACTIONS(2400),
    [aux_sym_identities_only_token1] = ACTIONS(2400),
    [aux_sym_identity_agent_token1] = ACTIONS(2400),
    [aux_sym_identity_file_token1] = ACTIONS(2400),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2400),
    [aux_sym_include_token1] = ACTIONS(2400),
    [aux_sym_ip_qos_token1] = ACTIONS(2400),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2400),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2400),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2400),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2400),
    [aux_sym_local_command_token1] = ACTIONS(2400),
    [aux_sym_local_forward_token1] = ACTIONS(2400),
    [aux_sym_log_level_token1] = ACTIONS(2400),
    [aux_sym_log_verbose_token1] = ACTIONS(2400),
    [aux_sym_macs_token1] = ACTIONS(2400),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2400),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2400),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2400),
    [aux_sym_password_authentication_token1] = ACTIONS(2400),
    [aux_sym_permit_local_command_token1] = ACTIONS(2400),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2400),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2400),
    [aux_sym_port_token1] = ACTIONS(2400),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2400),
    [aux_sym_protocol_token1] = ACTIONS(2400),
    [aux_sym_proxy_command_token1] = ACTIONS(2400),
    [aux_sym_proxy_jump_token1] = ACTIONS(2400),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2400),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2400),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2400),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2400),
    [aux_sym_rekey_limit_token1] = ACTIONS(2400),
    [aux_sym_remote_command_token1] = ACTIONS(2400),
    [aux_sym_remote_forward_token1] = ACTIONS(2400),
    [aux_sym_request_tty_token1] = ACTIONS(2400),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2400),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2400),
    [aux_sym_security_key_provider_token1] = ACTIONS(2400),
    [aux_sym_send_env_token1] = ACTIONS(2400),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2400),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2400),
    [aux_sym_session_type_token1] = ACTIONS(2400),
    [aux_sym_set_env_token1] = ACTIONS(2400),
    [aux_sym_stdin_null_token1] = ACTIONS(2400),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2400),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2400),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2400),
    [aux_sym_syslog_facility_token1] = ACTIONS(2400),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2400),
    [aux_sym_keep_alive_token1] = ACTIONS(2400),
    [aux_sym_tag_token1] = ACTIONS(2400),
    [aux_sym_tunnel_token1] = ACTIONS(2402),
    [aux_sym_tunnel_device_token1] = ACTIONS(2400),
    [aux_sym_update_host_keys_token1] = ACTIONS(2400),
    [aux_sym_use_keychain_token1] = ACTIONS(2400),
    [aux_sym_use_roaming_token1] = ACTIONS(2400),
    [aux_sym_user_token1] = ACTIONS(2402),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2400),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2400),
    [aux_sym_version_addendum_token1] = ACTIONS(2400),
    [aux_sym_visual_host_key_token1] = ACTIONS(2400),
    [aux_sym_xauth_location_token1] = ACTIONS(2400),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2408),
    [aux_sym_match_token1] = ACTIONS(2406),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2406),
    [aux_sym_address_family_token1] = ACTIONS(2406),
    [aux_sym_batch_mode_token1] = ACTIONS(2406),
    [aux_sym_bind_address_token1] = ACTIONS(2406),
    [aux_sym_bind_interface_token1] = ACTIONS(2406),
    [aux_sym_canonical_domains_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2406),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2406),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2406),
    [aux_sym_certificate_file_token1] = ACTIONS(2406),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2406),
    [aux_sym_channel_timeout_token1] = ACTIONS(2406),
    [aux_sym_check_host_ip_token1] = ACTIONS(2406),
    [aux_sym_ciphers_token1] = ACTIONS(2406),
    [aux_sym_cipher_token1] = ACTIONS(2408),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2406),
    [aux_sym_compression_token1] = ACTIONS(2406),
    [aux_sym_connection_attempts_token1] = ACTIONS(2406),
    [aux_sym_connect_timeout_token1] = ACTIONS(2406),
    [aux_sym_control_master_token1] = ACTIONS(2406),
    [aux_sym_control_path_token1] = ACTIONS(2406),
    [aux_sym_control_persist_token1] = ACTIONS(2406),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2406),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2406),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2406),
    [aux_sym_escape_char_token1] = ACTIONS(2406),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2406),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2406),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2406),
    [aux_sym_forward_agent_token1] = ACTIONS(2406),
    [aux_sym_forward_x11_token1] = ACTIONS(2408),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2406),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2406),
    [aux_sym_gateway_ports_token1] = ACTIONS(2406),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2406),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2406),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2406),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2406),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2406),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2406),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2406),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2406),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2406),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2406),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2406),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2406),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2406),
    [aux_sym_host_key_alias_token1] = ACTIONS(2406),
    [aux_sym_hostname_token1] = ACTIONS(2406),
    [aux_sym_identities_only_token1] = ACTIONS(2406),
    [aux_sym_identity_agent_token1] = ACTIONS(2406),
    [aux_sym_identity_file_token1] = ACTIONS(2406),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2406),
    [aux_sym_include_token1] = ACTIONS(2406),
    [aux_sym_ip_qos_token1] = ACTIONS(2406),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2406),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2406),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2406),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2406),
    [aux_sym_local_command_token1] = ACTIONS(2406),
    [aux_sym_local_forward_token1] = ACTIONS(2406),
    [aux_sym_log_level_token1] = ACTIONS(2406),
    [aux_sym_log_verbose_token1] = ACTIONS(2406),
    [aux_sym_macs_token1] = ACTIONS(2406),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2406),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2406),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2406),
    [aux_sym_password_authentication_token1] = ACTIONS(2406),
    [aux_sym_permit_local_command_token1] = ACTIONS(2406),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2406),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2406),
    [aux_sym_port_token1] = ACTIONS(2406),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2406),
    [aux_sym_protocol_token1] = ACTIONS(2406),
    [aux_sym_proxy_command_token1] = ACTIONS(2406),
    [aux_sym_proxy_jump_token1] = ACTIONS(2406),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2406),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2406),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2406),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2406),
    [aux_sym_rekey_limit_token1] = ACTIONS(2406),
    [aux_sym_remote_command_token1] = ACTIONS(2406),
    [aux_sym_remote_forward_token1] = ACTIONS(2406),
    [aux_sym_request_tty_token1] = ACTIONS(2406),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2406),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2406),
    [aux_sym_security_key_provider_token1] = ACTIONS(2406),
    [aux_sym_send_env_token1] = ACTIONS(2406),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2406),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2406),
    [aux_sym_session_type_token1] = ACTIONS(2406),
    [aux_sym_set_env_token1] = ACTIONS(2406),
    [aux_sym_stdin_null_token1] = ACTIONS(2406),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2406),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2406),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2406),
    [aux_sym_syslog_facility_token1] = ACTIONS(2406),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2406),
    [aux_sym_keep_alive_token1] = ACTIONS(2406),
    [aux_sym_tag_token1] = ACTIONS(2406),
    [aux_sym_tunnel_token1] = ACTIONS(2408),
    [aux_sym_tunnel_device_token1] = ACTIONS(2406),
    [aux_sym_update_host_keys_token1] = ACTIONS(2406),
    [aux_sym_use_keychain_token1] = ACTIONS(2406),
    [aux_sym_use_roaming_token1] = ACTIONS(2406),
    [aux_sym_user_token1] = ACTIONS(2408),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2406),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2406),
    [aux_sym_version_addendum_token1] = ACTIONS(2406),
    [aux_sym_visual_host_key_token1] = ACTIONS(2406),
    [aux_sym_xauth_location_token1] = ACTIONS(2406),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1802),
    [aux_sym_match_token1] = ACTIONS(1800),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1800),
    [aux_sym_address_family_token1] = ACTIONS(1800),
    [aux_sym_batch_mode_token1] = ACTIONS(1800),
    [aux_sym_bind_address_token1] = ACTIONS(1800),
    [aux_sym_bind_interface_token1] = ACTIONS(1800),
    [aux_sym_canonical_domains_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1800),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1800),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1800),
    [aux_sym_certificate_file_token1] = ACTIONS(1800),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1800),
    [aux_sym_channel_timeout_token1] = ACTIONS(1800),
    [aux_sym_check_host_ip_token1] = ACTIONS(1800),
    [aux_sym_ciphers_token1] = ACTIONS(1800),
    [aux_sym_cipher_token1] = ACTIONS(1802),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1800),
    [aux_sym_compression_token1] = ACTIONS(1800),
    [aux_sym_connection_attempts_token1] = ACTIONS(1800),
    [aux_sym_connect_timeout_token1] = ACTIONS(1800),
    [aux_sym_control_master_token1] = ACTIONS(1800),
    [aux_sym_control_path_token1] = ACTIONS(1800),
    [aux_sym_control_persist_token1] = ACTIONS(1800),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1800),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1800),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1800),
    [aux_sym_escape_char_token1] = ACTIONS(1800),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1800),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1800),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1800),
    [aux_sym_forward_agent_token1] = ACTIONS(1800),
    [aux_sym_forward_x11_token1] = ACTIONS(1802),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1800),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1800),
    [aux_sym_gateway_ports_token1] = ACTIONS(1800),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1800),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1800),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1800),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1800),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1800),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1800),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1800),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1800),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1800),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1800),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1800),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1800),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1800),
    [aux_sym_host_key_alias_token1] = ACTIONS(1800),
    [aux_sym_hostname_token1] = ACTIONS(1800),
    [aux_sym_identities_only_token1] = ACTIONS(1800),
    [aux_sym_identity_agent_token1] = ACTIONS(1800),
    [aux_sym_identity_file_token1] = ACTIONS(1800),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1800),
    [aux_sym_include_token1] = ACTIONS(1800),
    [aux_sym_ip_qos_token1] = ACTIONS(1800),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1800),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1800),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1800),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1800),
    [aux_sym_local_command_token1] = ACTIONS(1800),
    [aux_sym_local_forward_token1] = ACTIONS(1800),
    [aux_sym_log_level_token1] = ACTIONS(1800),
    [aux_sym_log_verbose_token1] = ACTIONS(1800),
    [aux_sym_macs_token1] = ACTIONS(1800),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1800),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1800),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1800),
    [aux_sym_password_authentication_token1] = ACTIONS(1800),
    [aux_sym_permit_local_command_token1] = ACTIONS(1800),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1800),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1800),
    [aux_sym_port_token1] = ACTIONS(1800),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1800),
    [aux_sym_protocol_token1] = ACTIONS(1800),
    [aux_sym_proxy_command_token1] = ACTIONS(1800),
    [aux_sym_proxy_jump_token1] = ACTIONS(1800),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1800),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1800),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1800),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1800),
    [aux_sym_rekey_limit_token1] = ACTIONS(1800),
    [aux_sym_remote_command_token1] = ACTIONS(1800),
    [aux_sym_remote_forward_token1] = ACTIONS(1800),
    [aux_sym_request_tty_token1] = ACTIONS(1800),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1800),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1800),
    [aux_sym_security_key_provider_token1] = ACTIONS(1800),
    [aux_sym_send_env_token1] = ACTIONS(1800),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1800),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1800),
    [aux_sym_session_type_token1] = ACTIONS(1800),
    [aux_sym_set_env_token1] = ACTIONS(1800),
    [aux_sym_stdin_null_token1] = ACTIONS(1800),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1800),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1800),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1800),
    [aux_sym_syslog_facility_token1] = ACTIONS(1800),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1800),
    [aux_sym_keep_alive_token1] = ACTIONS(1800),
    [aux_sym_tag_token1] = ACTIONS(1800),
    [aux_sym_tunnel_token1] = ACTIONS(1802),
    [aux_sym_tunnel_device_token1] = ACTIONS(1800),
    [aux_sym_update_host_keys_token1] = ACTIONS(1800),
    [aux_sym_use_keychain_token1] = ACTIONS(1800),
    [aux_sym_use_roaming_token1] = ACTIONS(1800),
    [aux_sym_user_token1] = ACTIONS(1802),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1800),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1800),
    [aux_sym_version_addendum_token1] = ACTIONS(1800),
    [aux_sym_visual_host_key_token1] = ACTIONS(1800),
    [aux_sym_xauth_location_token1] = ACTIONS(1800),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2414),
    [aux_sym_match_token1] = ACTIONS(2412),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2412),
    [aux_sym_address_family_token1] = ACTIONS(2412),
    [aux_sym_batch_mode_token1] = ACTIONS(2412),
    [aux_sym_bind_address_token1] = ACTIONS(2412),
    [aux_sym_bind_interface_token1] = ACTIONS(2412),
    [aux_sym_canonical_domains_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2412),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2412),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2412),
    [aux_sym_certificate_file_token1] = ACTIONS(2412),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2412),
    [aux_sym_channel_timeout_token1] = ACTIONS(2412),
    [aux_sym_check_host_ip_token1] = ACTIONS(2412),
    [aux_sym_ciphers_token1] = ACTIONS(2412),
    [aux_sym_cipher_token1] = ACTIONS(2414),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2412),
    [aux_sym_compression_token1] = ACTIONS(2412),
    [aux_sym_connection_attempts_token1] = ACTIONS(2412),
    [aux_sym_connect_timeout_token1] = ACTIONS(2412),
    [aux_sym_control_master_token1] = ACTIONS(2412),
    [aux_sym_control_path_token1] = ACTIONS(2412),
    [aux_sym_control_persist_token1] = ACTIONS(2412),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2412),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2412),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2412),
    [aux_sym_escape_char_token1] = ACTIONS(2412),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2412),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2412),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2412),
    [aux_sym_forward_agent_token1] = ACTIONS(2412),
    [aux_sym_forward_x11_token1] = ACTIONS(2414),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2412),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2412),
    [aux_sym_gateway_ports_token1] = ACTIONS(2412),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2412),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2412),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2412),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2412),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2412),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2412),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2412),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2412),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2412),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2412),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2412),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2412),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2412),
    [aux_sym_host_key_alias_token1] = ACTIONS(2412),
    [aux_sym_hostname_token1] = ACTIONS(2412),
    [aux_sym_identities_only_token1] = ACTIONS(2412),
    [aux_sym_identity_agent_token1] = ACTIONS(2412),
    [aux_sym_identity_file_token1] = ACTIONS(2412),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2412),
    [aux_sym_include_token1] = ACTIONS(2412),
    [aux_sym_ip_qos_token1] = ACTIONS(2412),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2412),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2412),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2412),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2412),
    [aux_sym_local_command_token1] = ACTIONS(2412),
    [aux_sym_local_forward_token1] = ACTIONS(2412),
    [aux_sym_log_level_token1] = ACTIONS(2412),
    [aux_sym_log_verbose_token1] = ACTIONS(2412),
    [aux_sym_macs_token1] = ACTIONS(2412),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2412),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2412),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2412),
    [aux_sym_password_authentication_token1] = ACTIONS(2412),
    [aux_sym_permit_local_command_token1] = ACTIONS(2412),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2412),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2412),
    [aux_sym_port_token1] = ACTIONS(2412),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2412),
    [aux_sym_protocol_token1] = ACTIONS(2412),
    [aux_sym_proxy_command_token1] = ACTIONS(2412),
    [aux_sym_proxy_jump_token1] = ACTIONS(2412),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2412),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2412),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2412),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2412),
    [aux_sym_rekey_limit_token1] = ACTIONS(2412),
    [aux_sym_remote_command_token1] = ACTIONS(2412),
    [aux_sym_remote_forward_token1] = ACTIONS(2412),
    [aux_sym_request_tty_token1] = ACTIONS(2412),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2412),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2412),
    [aux_sym_security_key_provider_token1] = ACTIONS(2412),
    [aux_sym_send_env_token1] = ACTIONS(2412),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2412),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2412),
    [aux_sym_session_type_token1] = ACTIONS(2412),
    [aux_sym_set_env_token1] = ACTIONS(2412),
    [aux_sym_stdin_null_token1] = ACTIONS(2412),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2412),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2412),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2412),
    [aux_sym_syslog_facility_token1] = ACTIONS(2412),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2412),
    [aux_sym_keep_alive_token1] = ACTIONS(2412),
    [aux_sym_tag_token1] = ACTIONS(2412),
    [aux_sym_tunnel_token1] = ACTIONS(2414),
    [aux_sym_tunnel_device_token1] = ACTIONS(2412),
    [aux_sym_update_host_keys_token1] = ACTIONS(2412),
    [aux_sym_use_keychain_token1] = ACTIONS(2412),
    [aux_sym_use_roaming_token1] = ACTIONS(2412),
    [aux_sym_user_token1] = ACTIONS(2414),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2412),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2412),
    [aux_sym_version_addendum_token1] = ACTIONS(2412),
    [aux_sym_visual_host_key_token1] = ACTIONS(2412),
    [aux_sym_xauth_location_token1] = ACTIONS(2412),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2420),
    [aux_sym_match_token1] = ACTIONS(2418),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2418),
    [aux_sym_address_family_token1] = ACTIONS(2418),
    [aux_sym_batch_mode_token1] = ACTIONS(2418),
    [aux_sym_bind_address_token1] = ACTIONS(2418),
    [aux_sym_bind_interface_token1] = ACTIONS(2418),
    [aux_sym_canonical_domains_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2418),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2418),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2418),
    [aux_sym_certificate_file_token1] = ACTIONS(2418),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2418),
    [aux_sym_channel_timeout_token1] = ACTIONS(2418),
    [aux_sym_check_host_ip_token1] = ACTIONS(2418),
    [aux_sym_ciphers_token1] = ACTIONS(2418),
    [aux_sym_cipher_token1] = ACTIONS(2420),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2418),
    [aux_sym_compression_token1] = ACTIONS(2418),
    [aux_sym_connection_attempts_token1] = ACTIONS(2418),
    [aux_sym_connect_timeout_token1] = ACTIONS(2418),
    [aux_sym_control_master_token1] = ACTIONS(2418),
    [aux_sym_control_path_token1] = ACTIONS(2418),
    [aux_sym_control_persist_token1] = ACTIONS(2418),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2418),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2418),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2418),
    [aux_sym_escape_char_token1] = ACTIONS(2418),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2418),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2418),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2418),
    [aux_sym_forward_agent_token1] = ACTIONS(2418),
    [aux_sym_forward_x11_token1] = ACTIONS(2420),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2418),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2418),
    [aux_sym_gateway_ports_token1] = ACTIONS(2418),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2418),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2418),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2418),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2418),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2418),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2418),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2418),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2418),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2418),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2418),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2418),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2418),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2418),
    [aux_sym_host_key_alias_token1] = ACTIONS(2418),
    [aux_sym_hostname_token1] = ACTIONS(2418),
    [aux_sym_identities_only_token1] = ACTIONS(2418),
    [aux_sym_identity_agent_token1] = ACTIONS(2418),
    [aux_sym_identity_file_token1] = ACTIONS(2418),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2418),
    [aux_sym_include_token1] = ACTIONS(2418),
    [aux_sym_ip_qos_token1] = ACTIONS(2418),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2418),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2418),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2418),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2418),
    [aux_sym_local_command_token1] = ACTIONS(2418),
    [aux_sym_local_forward_token1] = ACTIONS(2418),
    [aux_sym_log_level_token1] = ACTIONS(2418),
    [aux_sym_log_verbose_token1] = ACTIONS(2418),
    [aux_sym_macs_token1] = ACTIONS(2418),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2418),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2418),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2418),
    [aux_sym_password_authentication_token1] = ACTIONS(2418),
    [aux_sym_permit_local_command_token1] = ACTIONS(2418),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2418),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2418),
    [aux_sym_port_token1] = ACTIONS(2418),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2418),
    [aux_sym_protocol_token1] = ACTIONS(2418),
    [aux_sym_proxy_command_token1] = ACTIONS(2418),
    [aux_sym_proxy_jump_token1] = ACTIONS(2418),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2418),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2418),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2418),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2418),
    [aux_sym_rekey_limit_token1] = ACTIONS(2418),
    [aux_sym_remote_command_token1] = ACTIONS(2418),
    [aux_sym_remote_forward_token1] = ACTIONS(2418),
    [aux_sym_request_tty_token1] = ACTIONS(2418),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2418),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2418),
    [aux_sym_security_key_provider_token1] = ACTIONS(2418),
    [aux_sym_send_env_token1] = ACTIONS(2418),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2418),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2418),
    [aux_sym_session_type_token1] = ACTIONS(2418),
    [aux_sym_set_env_token1] = ACTIONS(2418),
    [aux_sym_stdin_null_token1] = ACTIONS(2418),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2418),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2418),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2418),
    [aux_sym_syslog_facility_token1] = ACTIONS(2418),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2418),
    [aux_sym_keep_alive_token1] = ACTIONS(2418),
    [aux_sym_tag_token1] = ACTIONS(2418),
    [aux_sym_tunnel_token1] = ACTIONS(2420),
    [aux_sym_tunnel_device_token1] = ACTIONS(2418),
    [aux_sym_update_host_keys_token1] = ACTIONS(2418),
    [aux_sym_use_keychain_token1] = ACTIONS(2418),
    [aux_sym_use_roaming_token1] = ACTIONS(2418),
    [aux_sym_user_token1] = ACTIONS(2420),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2418),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2418),
    [aux_sym_version_addendum_token1] = ACTIONS(2418),
    [aux_sym_visual_host_key_token1] = ACTIONS(2418),
    [aux_sym_xauth_location_token1] = ACTIONS(2418),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1806),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1808),
    [aux_sym_match_token1] = ACTIONS(1806),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1806),
    [aux_sym_address_family_token1] = ACTIONS(1806),
    [aux_sym_batch_mode_token1] = ACTIONS(1806),
    [aux_sym_bind_address_token1] = ACTIONS(1806),
    [aux_sym_bind_interface_token1] = ACTIONS(1806),
    [aux_sym_canonical_domains_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1806),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1806),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1806),
    [aux_sym_certificate_file_token1] = ACTIONS(1806),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1806),
    [aux_sym_channel_timeout_token1] = ACTIONS(1806),
    [aux_sym_check_host_ip_token1] = ACTIONS(1806),
    [aux_sym_ciphers_token1] = ACTIONS(1806),
    [aux_sym_cipher_token1] = ACTIONS(1808),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1806),
    [aux_sym_compression_token1] = ACTIONS(1806),
    [aux_sym_connection_attempts_token1] = ACTIONS(1806),
    [aux_sym_connect_timeout_token1] = ACTIONS(1806),
    [aux_sym_control_master_token1] = ACTIONS(1806),
    [aux_sym_control_path_token1] = ACTIONS(1806),
    [aux_sym_control_persist_token1] = ACTIONS(1806),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1806),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1806),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1806),
    [aux_sym_escape_char_token1] = ACTIONS(1806),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1806),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1806),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1806),
    [aux_sym_forward_agent_token1] = ACTIONS(1806),
    [aux_sym_forward_x11_token1] = ACTIONS(1808),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1806),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1806),
    [aux_sym_gateway_ports_token1] = ACTIONS(1806),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1806),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1806),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1806),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1806),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1806),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1806),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1806),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1806),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1806),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1806),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1806),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1806),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1806),
    [aux_sym_host_key_alias_token1] = ACTIONS(1806),
    [aux_sym_hostname_token1] = ACTIONS(1806),
    [aux_sym_identities_only_token1] = ACTIONS(1806),
    [aux_sym_identity_agent_token1] = ACTIONS(1806),
    [aux_sym_identity_file_token1] = ACTIONS(1806),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1806),
    [aux_sym_include_token1] = ACTIONS(1806),
    [aux_sym_ip_qos_token1] = ACTIONS(1806),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1806),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1806),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1806),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1806),
    [aux_sym_local_command_token1] = ACTIONS(1806),
    [aux_sym_local_forward_token1] = ACTIONS(1806),
    [aux_sym_log_level_token1] = ACTIONS(1806),
    [aux_sym_log_verbose_token1] = ACTIONS(1806),
    [aux_sym_macs_token1] = ACTIONS(1806),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1806),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1806),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1806),
    [aux_sym_password_authentication_token1] = ACTIONS(1806),
    [aux_sym_permit_local_command_token1] = ACTIONS(1806),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1806),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1806),
    [aux_sym_port_token1] = ACTIONS(1806),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1806),
    [aux_sym_protocol_token1] = ACTIONS(1806),
    [aux_sym_proxy_command_token1] = ACTIONS(1806),
    [aux_sym_proxy_jump_token1] = ACTIONS(1806),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1806),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1806),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1806),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1806),
    [aux_sym_rekey_limit_token1] = ACTIONS(1806),
    [aux_sym_remote_command_token1] = ACTIONS(1806),
    [aux_sym_remote_forward_token1] = ACTIONS(1806),
    [aux_sym_request_tty_token1] = ACTIONS(1806),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1806),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1806),
    [aux_sym_security_key_provider_token1] = ACTIONS(1806),
    [aux_sym_send_env_token1] = ACTIONS(1806),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1806),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1806),
    [aux_sym_session_type_token1] = ACTIONS(1806),
    [aux_sym_set_env_token1] = ACTIONS(1806),
    [aux_sym_stdin_null_token1] = ACTIONS(1806),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1806),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1806),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1806),
    [aux_sym_syslog_facility_token1] = ACTIONS(1806),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1806),
    [aux_sym_keep_alive_token1] = ACTIONS(1806),
    [aux_sym_tag_token1] = ACTIONS(1806),
    [aux_sym_tunnel_token1] = ACTIONS(1808),
    [aux_sym_tunnel_device_token1] = ACTIONS(1806),
    [aux_sym_update_host_keys_token1] = ACTIONS(1806),
    [aux_sym_use_keychain_token1] = ACTIONS(1806),
    [aux_sym_use_roaming_token1] = ACTIONS(1806),
    [aux_sym_user_token1] = ACTIONS(1808),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1806),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1806),
    [aux_sym_version_addendum_token1] = ACTIONS(1806),
    [aux_sym_visual_host_key_token1] = ACTIONS(1806),
    [aux_sym_xauth_location_token1] = ACTIONS(1806),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2426),
    [aux_sym_match_token1] = ACTIONS(2424),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2424),
    [aux_sym_address_family_token1] = ACTIONS(2424),
    [aux_sym_batch_mode_token1] = ACTIONS(2424),
    [aux_sym_bind_address_token1] = ACTIONS(2424),
    [aux_sym_bind_interface_token1] = ACTIONS(2424),
    [aux_sym_canonical_domains_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2424),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2424),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2424),
    [aux_sym_certificate_file_token1] = ACTIONS(2424),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2424),
    [aux_sym_channel_timeout_token1] = ACTIONS(2424),
    [aux_sym_check_host_ip_token1] = ACTIONS(2424),
    [aux_sym_ciphers_token1] = ACTIONS(2424),
    [aux_sym_cipher_token1] = ACTIONS(2426),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2424),
    [aux_sym_compression_token1] = ACTIONS(2424),
    [aux_sym_connection_attempts_token1] = ACTIONS(2424),
    [aux_sym_connect_timeout_token1] = ACTIONS(2424),
    [aux_sym_control_master_token1] = ACTIONS(2424),
    [aux_sym_control_path_token1] = ACTIONS(2424),
    [aux_sym_control_persist_token1] = ACTIONS(2424),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2424),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2424),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2424),
    [aux_sym_escape_char_token1] = ACTIONS(2424),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2424),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2424),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2424),
    [aux_sym_forward_agent_token1] = ACTIONS(2424),
    [aux_sym_forward_x11_token1] = ACTIONS(2426),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2424),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2424),
    [aux_sym_gateway_ports_token1] = ACTIONS(2424),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2424),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2424),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2424),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2424),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2424),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2424),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2424),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2424),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2424),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2424),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2424),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2424),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2424),
    [aux_sym_host_key_alias_token1] = ACTIONS(2424),
    [aux_sym_hostname_token1] = ACTIONS(2424),
    [aux_sym_identities_only_token1] = ACTIONS(2424),
    [aux_sym_identity_agent_token1] = ACTIONS(2424),
    [aux_sym_identity_file_token1] = ACTIONS(2424),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2424),
    [aux_sym_include_token1] = ACTIONS(2424),
    [aux_sym_ip_qos_token1] = ACTIONS(2424),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2424),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2424),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2424),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2424),
    [aux_sym_local_command_token1] = ACTIONS(2424),
    [aux_sym_local_forward_token1] = ACTIONS(2424),
    [aux_sym_log_level_token1] = ACTIONS(2424),
    [aux_sym_log_verbose_token1] = ACTIONS(2424),
    [aux_sym_macs_token1] = ACTIONS(2424),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2424),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2424),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2424),
    [aux_sym_password_authentication_token1] = ACTIONS(2424),
    [aux_sym_permit_local_command_token1] = ACTIONS(2424),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2424),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2424),
    [aux_sym_port_token1] = ACTIONS(2424),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2424),
    [aux_sym_protocol_token1] = ACTIONS(2424),
    [aux_sym_proxy_command_token1] = ACTIONS(2424),
    [aux_sym_proxy_jump_token1] = ACTIONS(2424),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2424),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2424),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2424),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2424),
    [aux_sym_rekey_limit_token1] = ACTIONS(2424),
    [aux_sym_remote_command_token1] = ACTIONS(2424),
    [aux_sym_remote_forward_token1] = ACTIONS(2424),
    [aux_sym_request_tty_token1] = ACTIONS(2424),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2424),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2424),
    [aux_sym_security_key_provider_token1] = ACTIONS(2424),
    [aux_sym_send_env_token1] = ACTIONS(2424),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2424),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2424),
    [aux_sym_session_type_token1] = ACTIONS(2424),
    [aux_sym_set_env_token1] = ACTIONS(2424),
    [aux_sym_stdin_null_token1] = ACTIONS(2424),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2424),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2424),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2424),
    [aux_sym_syslog_facility_token1] = ACTIONS(2424),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2424),
    [aux_sym_keep_alive_token1] = ACTIONS(2424),
    [aux_sym_tag_token1] = ACTIONS(2424),
    [aux_sym_tunnel_token1] = ACTIONS(2426),
    [aux_sym_tunnel_device_token1] = ACTIONS(2424),
    [aux_sym_update_host_keys_token1] = ACTIONS(2424),
    [aux_sym_use_keychain_token1] = ACTIONS(2424),
    [aux_sym_use_roaming_token1] = ACTIONS(2424),
    [aux_sym_user_token1] = ACTIONS(2426),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2424),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2424),
    [aux_sym_version_addendum_token1] = ACTIONS(2424),
    [aux_sym_visual_host_key_token1] = ACTIONS(2424),
    [aux_sym_xauth_location_token1] = ACTIONS(2424),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2432),
    [aux_sym_match_token1] = ACTIONS(2430),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2430),
    [aux_sym_address_family_token1] = ACTIONS(2430),
    [aux_sym_batch_mode_token1] = ACTIONS(2430),
    [aux_sym_bind_address_token1] = ACTIONS(2430),
    [aux_sym_bind_interface_token1] = ACTIONS(2430),
    [aux_sym_canonical_domains_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2430),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2430),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2430),
    [aux_sym_certificate_file_token1] = ACTIONS(2430),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2430),
    [aux_sym_channel_timeout_token1] = ACTIONS(2430),
    [aux_sym_check_host_ip_token1] = ACTIONS(2430),
    [aux_sym_ciphers_token1] = ACTIONS(2430),
    [aux_sym_cipher_token1] = ACTIONS(2432),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2430),
    [aux_sym_compression_token1] = ACTIONS(2430),
    [aux_sym_connection_attempts_token1] = ACTIONS(2430),
    [aux_sym_connect_timeout_token1] = ACTIONS(2430),
    [aux_sym_control_master_token1] = ACTIONS(2430),
    [aux_sym_control_path_token1] = ACTIONS(2430),
    [aux_sym_control_persist_token1] = ACTIONS(2430),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2430),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2430),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2430),
    [aux_sym_escape_char_token1] = ACTIONS(2430),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2430),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2430),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2430),
    [aux_sym_forward_agent_token1] = ACTIONS(2430),
    [aux_sym_forward_x11_token1] = ACTIONS(2432),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2430),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2430),
    [aux_sym_gateway_ports_token1] = ACTIONS(2430),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2430),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2430),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2430),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2430),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2430),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2430),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2430),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2430),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2430),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2430),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2430),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2430),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2430),
    [aux_sym_host_key_alias_token1] = ACTIONS(2430),
    [aux_sym_hostname_token1] = ACTIONS(2430),
    [aux_sym_identities_only_token1] = ACTIONS(2430),
    [aux_sym_identity_agent_token1] = ACTIONS(2430),
    [aux_sym_identity_file_token1] = ACTIONS(2430),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2430),
    [aux_sym_include_token1] = ACTIONS(2430),
    [aux_sym_ip_qos_token1] = ACTIONS(2430),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2430),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2430),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2430),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2430),
    [aux_sym_local_command_token1] = ACTIONS(2430),
    [aux_sym_local_forward_token1] = ACTIONS(2430),
    [aux_sym_log_level_token1] = ACTIONS(2430),
    [aux_sym_log_verbose_token1] = ACTIONS(2430),
    [aux_sym_macs_token1] = ACTIONS(2430),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2430),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2430),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2430),
    [aux_sym_password_authentication_token1] = ACTIONS(2430),
    [aux_sym_permit_local_command_token1] = ACTIONS(2430),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2430),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2430),
    [aux_sym_port_token1] = ACTIONS(2430),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2430),
    [aux_sym_protocol_token1] = ACTIONS(2430),
    [aux_sym_proxy_command_token1] = ACTIONS(2430),
    [aux_sym_proxy_jump_token1] = ACTIONS(2430),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2430),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2430),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2430),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2430),
    [aux_sym_rekey_limit_token1] = ACTIONS(2430),
    [aux_sym_remote_command_token1] = ACTIONS(2430),
    [aux_sym_remote_forward_token1] = ACTIONS(2430),
    [aux_sym_request_tty_token1] = ACTIONS(2430),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2430),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2430),
    [aux_sym_security_key_provider_token1] = ACTIONS(2430),
    [aux_sym_send_env_token1] = ACTIONS(2430),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2430),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2430),
    [aux_sym_session_type_token1] = ACTIONS(2430),
    [aux_sym_set_env_token1] = ACTIONS(2430),
    [aux_sym_stdin_null_token1] = ACTIONS(2430),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2430),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2430),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2430),
    [aux_sym_syslog_facility_token1] = ACTIONS(2430),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2430),
    [aux_sym_keep_alive_token1] = ACTIONS(2430),
    [aux_sym_tag_token1] = ACTIONS(2430),
    [aux_sym_tunnel_token1] = ACTIONS(2432),
    [aux_sym_tunnel_device_token1] = ACTIONS(2430),
    [aux_sym_update_host_keys_token1] = ACTIONS(2430),
    [aux_sym_use_keychain_token1] = ACTIONS(2430),
    [aux_sym_use_roaming_token1] = ACTIONS(2430),
    [aux_sym_user_token1] = ACTIONS(2432),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2430),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2430),
    [aux_sym_version_addendum_token1] = ACTIONS(2430),
    [aux_sym_visual_host_key_token1] = ACTIONS(2430),
    [aux_sym_xauth_location_token1] = ACTIONS(2430),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1812),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1814),
    [aux_sym_match_token1] = ACTIONS(1812),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1812),
    [aux_sym_address_family_token1] = ACTIONS(1812),
    [aux_sym_batch_mode_token1] = ACTIONS(1812),
    [aux_sym_bind_address_token1] = ACTIONS(1812),
    [aux_sym_bind_interface_token1] = ACTIONS(1812),
    [aux_sym_canonical_domains_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1812),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1812),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1812),
    [aux_sym_certificate_file_token1] = ACTIONS(1812),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1812),
    [aux_sym_channel_timeout_token1] = ACTIONS(1812),
    [aux_sym_check_host_ip_token1] = ACTIONS(1812),
    [aux_sym_ciphers_token1] = ACTIONS(1812),
    [aux_sym_cipher_token1] = ACTIONS(1814),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1812),
    [aux_sym_compression_token1] = ACTIONS(1812),
    [aux_sym_connection_attempts_token1] = ACTIONS(1812),
    [aux_sym_connect_timeout_token1] = ACTIONS(1812),
    [aux_sym_control_master_token1] = ACTIONS(1812),
    [aux_sym_control_path_token1] = ACTIONS(1812),
    [aux_sym_control_persist_token1] = ACTIONS(1812),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1812),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1812),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1812),
    [aux_sym_escape_char_token1] = ACTIONS(1812),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1812),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1812),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1812),
    [aux_sym_forward_agent_token1] = ACTIONS(1812),
    [aux_sym_forward_x11_token1] = ACTIONS(1814),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1812),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1812),
    [aux_sym_gateway_ports_token1] = ACTIONS(1812),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1812),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1812),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1812),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1812),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1812),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1812),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1812),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1812),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1812),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1812),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1812),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1812),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1812),
    [aux_sym_host_key_alias_token1] = ACTIONS(1812),
    [aux_sym_hostname_token1] = ACTIONS(1812),
    [aux_sym_identities_only_token1] = ACTIONS(1812),
    [aux_sym_identity_agent_token1] = ACTIONS(1812),
    [aux_sym_identity_file_token1] = ACTIONS(1812),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1812),
    [aux_sym_include_token1] = ACTIONS(1812),
    [aux_sym_ip_qos_token1] = ACTIONS(1812),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1812),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1812),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1812),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1812),
    [aux_sym_local_command_token1] = ACTIONS(1812),
    [aux_sym_local_forward_token1] = ACTIONS(1812),
    [aux_sym_log_level_token1] = ACTIONS(1812),
    [aux_sym_log_verbose_token1] = ACTIONS(1812),
    [aux_sym_macs_token1] = ACTIONS(1812),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1812),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1812),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1812),
    [aux_sym_password_authentication_token1] = ACTIONS(1812),
    [aux_sym_permit_local_command_token1] = ACTIONS(1812),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1812),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1812),
    [aux_sym_port_token1] = ACTIONS(1812),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1812),
    [aux_sym_protocol_token1] = ACTIONS(1812),
    [aux_sym_proxy_command_token1] = ACTIONS(1812),
    [aux_sym_proxy_jump_token1] = ACTIONS(1812),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1812),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1812),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1812),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1812),
    [aux_sym_rekey_limit_token1] = ACTIONS(1812),
    [aux_sym_remote_command_token1] = ACTIONS(1812),
    [aux_sym_remote_forward_token1] = ACTIONS(1812),
    [aux_sym_request_tty_token1] = ACTIONS(1812),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1812),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1812),
    [aux_sym_security_key_provider_token1] = ACTIONS(1812),
    [aux_sym_send_env_token1] = ACTIONS(1812),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1812),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1812),
    [aux_sym_session_type_token1] = ACTIONS(1812),
    [aux_sym_set_env_token1] = ACTIONS(1812),
    [aux_sym_stdin_null_token1] = ACTIONS(1812),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1812),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1812),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1812),
    [aux_sym_syslog_facility_token1] = ACTIONS(1812),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1812),
    [aux_sym_keep_alive_token1] = ACTIONS(1812),
    [aux_sym_tag_token1] = ACTIONS(1812),
    [aux_sym_tunnel_token1] = ACTIONS(1814),
    [aux_sym_tunnel_device_token1] = ACTIONS(1812),
    [aux_sym_update_host_keys_token1] = ACTIONS(1812),
    [aux_sym_use_keychain_token1] = ACTIONS(1812),
    [aux_sym_use_roaming_token1] = ACTIONS(1812),
    [aux_sym_user_token1] = ACTIONS(1814),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1812),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1812),
    [aux_sym_version_addendum_token1] = ACTIONS(1812),
    [aux_sym_visual_host_key_token1] = ACTIONS(1812),
    [aux_sym_xauth_location_token1] = ACTIONS(1812),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2438),
    [aux_sym_match_token1] = ACTIONS(2436),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2436),
    [aux_sym_address_family_token1] = ACTIONS(2436),
    [aux_sym_batch_mode_token1] = ACTIONS(2436),
    [aux_sym_bind_address_token1] = ACTIONS(2436),
    [aux_sym_bind_interface_token1] = ACTIONS(2436),
    [aux_sym_canonical_domains_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2436),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2436),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2436),
    [aux_sym_certificate_file_token1] = ACTIONS(2436),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2436),
    [aux_sym_channel_timeout_token1] = ACTIONS(2436),
    [aux_sym_check_host_ip_token1] = ACTIONS(2436),
    [aux_sym_ciphers_token1] = ACTIONS(2436),
    [aux_sym_cipher_token1] = ACTIONS(2438),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2436),
    [aux_sym_compression_token1] = ACTIONS(2436),
    [aux_sym_connection_attempts_token1] = ACTIONS(2436),
    [aux_sym_connect_timeout_token1] = ACTIONS(2436),
    [aux_sym_control_master_token1] = ACTIONS(2436),
    [aux_sym_control_path_token1] = ACTIONS(2436),
    [aux_sym_control_persist_token1] = ACTIONS(2436),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2436),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2436),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2436),
    [aux_sym_escape_char_token1] = ACTIONS(2436),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2436),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2436),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2436),
    [aux_sym_forward_agent_token1] = ACTIONS(2436),
    [aux_sym_forward_x11_token1] = ACTIONS(2438),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2436),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2436),
    [aux_sym_gateway_ports_token1] = ACTIONS(2436),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2436),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2436),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2436),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2436),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2436),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2436),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2436),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2436),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2436),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2436),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2436),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2436),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2436),
    [aux_sym_host_key_alias_token1] = ACTIONS(2436),
    [aux_sym_hostname_token1] = ACTIONS(2436),
    [aux_sym_identities_only_token1] = ACTIONS(2436),
    [aux_sym_identity_agent_token1] = ACTIONS(2436),
    [aux_sym_identity_file_token1] = ACTIONS(2436),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2436),
    [aux_sym_include_token1] = ACTIONS(2436),
    [aux_sym_ip_qos_token1] = ACTIONS(2436),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2436),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2436),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2436),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2436),
    [aux_sym_local_command_token1] = ACTIONS(2436),
    [aux_sym_local_forward_token1] = ACTIONS(2436),
    [aux_sym_log_level_token1] = ACTIONS(2436),
    [aux_sym_log_verbose_token1] = ACTIONS(2436),
    [aux_sym_macs_token1] = ACTIONS(2436),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2436),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2436),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2436),
    [aux_sym_password_authentication_token1] = ACTIONS(2436),
    [aux_sym_permit_local_command_token1] = ACTIONS(2436),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2436),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2436),
    [aux_sym_port_token1] = ACTIONS(2436),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2436),
    [aux_sym_protocol_token1] = ACTIONS(2436),
    [aux_sym_proxy_command_token1] = ACTIONS(2436),
    [aux_sym_proxy_jump_token1] = ACTIONS(2436),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2436),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2436),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2436),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2436),
    [aux_sym_rekey_limit_token1] = ACTIONS(2436),
    [aux_sym_remote_command_token1] = ACTIONS(2436),
    [aux_sym_remote_forward_token1] = ACTIONS(2436),
    [aux_sym_request_tty_token1] = ACTIONS(2436),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2436),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2436),
    [aux_sym_security_key_provider_token1] = ACTIONS(2436),
    [aux_sym_send_env_token1] = ACTIONS(2436),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2436),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2436),
    [aux_sym_session_type_token1] = ACTIONS(2436),
    [aux_sym_set_env_token1] = ACTIONS(2436),
    [aux_sym_stdin_null_token1] = ACTIONS(2436),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2436),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2436),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2436),
    [aux_sym_syslog_facility_token1] = ACTIONS(2436),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2436),
    [aux_sym_keep_alive_token1] = ACTIONS(2436),
    [aux_sym_tag_token1] = ACTIONS(2436),
    [aux_sym_tunnel_token1] = ACTIONS(2438),
    [aux_sym_tunnel_device_token1] = ACTIONS(2436),
    [aux_sym_update_host_keys_token1] = ACTIONS(2436),
    [aux_sym_use_keychain_token1] = ACTIONS(2436),
    [aux_sym_use_roaming_token1] = ACTIONS(2436),
    [aux_sym_user_token1] = ACTIONS(2438),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2436),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2436),
    [aux_sym_version_addendum_token1] = ACTIONS(2436),
    [aux_sym_visual_host_key_token1] = ACTIONS(2436),
    [aux_sym_xauth_location_token1] = ACTIONS(2436),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2444),
    [aux_sym_match_token1] = ACTIONS(2442),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2442),
    [aux_sym_address_family_token1] = ACTIONS(2442),
    [aux_sym_batch_mode_token1] = ACTIONS(2442),
    [aux_sym_bind_address_token1] = ACTIONS(2442),
    [aux_sym_bind_interface_token1] = ACTIONS(2442),
    [aux_sym_canonical_domains_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2442),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2442),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2442),
    [aux_sym_certificate_file_token1] = ACTIONS(2442),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2442),
    [aux_sym_channel_timeout_token1] = ACTIONS(2442),
    [aux_sym_check_host_ip_token1] = ACTIONS(2442),
    [aux_sym_ciphers_token1] = ACTIONS(2442),
    [aux_sym_cipher_token1] = ACTIONS(2444),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2442),
    [aux_sym_compression_token1] = ACTIONS(2442),
    [aux_sym_connection_attempts_token1] = ACTIONS(2442),
    [aux_sym_connect_timeout_token1] = ACTIONS(2442),
    [aux_sym_control_master_token1] = ACTIONS(2442),
    [aux_sym_control_path_token1] = ACTIONS(2442),
    [aux_sym_control_persist_token1] = ACTIONS(2442),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2442),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2442),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2442),
    [aux_sym_escape_char_token1] = ACTIONS(2442),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2442),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2442),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2442),
    [aux_sym_forward_agent_token1] = ACTIONS(2442),
    [aux_sym_forward_x11_token1] = ACTIONS(2444),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2442),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2442),
    [aux_sym_gateway_ports_token1] = ACTIONS(2442),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2442),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2442),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2442),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2442),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2442),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2442),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2442),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2442),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2442),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2442),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2442),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2442),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2442),
    [aux_sym_host_key_alias_token1] = ACTIONS(2442),
    [aux_sym_hostname_token1] = ACTIONS(2442),
    [aux_sym_identities_only_token1] = ACTIONS(2442),
    [aux_sym_identity_agent_token1] = ACTIONS(2442),
    [aux_sym_identity_file_token1] = ACTIONS(2442),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2442),
    [aux_sym_include_token1] = ACTIONS(2442),
    [aux_sym_ip_qos_token1] = ACTIONS(2442),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2442),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2442),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2442),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2442),
    [aux_sym_local_command_token1] = ACTIONS(2442),
    [aux_sym_local_forward_token1] = ACTIONS(2442),
    [aux_sym_log_level_token1] = ACTIONS(2442),
    [aux_sym_log_verbose_token1] = ACTIONS(2442),
    [aux_sym_macs_token1] = ACTIONS(2442),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2442),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2442),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2442),
    [aux_sym_password_authentication_token1] = ACTIONS(2442),
    [aux_sym_permit_local_command_token1] = ACTIONS(2442),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2442),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2442),
    [aux_sym_port_token1] = ACTIONS(2442),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2442),
    [aux_sym_protocol_token1] = ACTIONS(2442),
    [aux_sym_proxy_command_token1] = ACTIONS(2442),
    [aux_sym_proxy_jump_token1] = ACTIONS(2442),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2442),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2442),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2442),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2442),
    [aux_sym_rekey_limit_token1] = ACTIONS(2442),
    [aux_sym_remote_command_token1] = ACTIONS(2442),
    [aux_sym_remote_forward_token1] = ACTIONS(2442),
    [aux_sym_request_tty_token1] = ACTIONS(2442),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2442),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2442),
    [aux_sym_security_key_provider_token1] = ACTIONS(2442),
    [aux_sym_send_env_token1] = ACTIONS(2442),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2442),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2442),
    [aux_sym_session_type_token1] = ACTIONS(2442),
    [aux_sym_set_env_token1] = ACTIONS(2442),
    [aux_sym_stdin_null_token1] = ACTIONS(2442),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2442),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2442),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2442),
    [aux_sym_syslog_facility_token1] = ACTIONS(2442),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2442),
    [aux_sym_keep_alive_token1] = ACTIONS(2442),
    [aux_sym_tag_token1] = ACTIONS(2442),
    [aux_sym_tunnel_token1] = ACTIONS(2444),
    [aux_sym_tunnel_device_token1] = ACTIONS(2442),
    [aux_sym_update_host_keys_token1] = ACTIONS(2442),
    [aux_sym_use_keychain_token1] = ACTIONS(2442),
    [aux_sym_use_roaming_token1] = ACTIONS(2442),
    [aux_sym_user_token1] = ACTIONS(2444),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2442),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2442),
    [aux_sym_version_addendum_token1] = ACTIONS(2442),
    [aux_sym_visual_host_key_token1] = ACTIONS(2442),
    [aux_sym_xauth_location_token1] = ACTIONS(2442),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1820),
    [aux_sym_match_token1] = ACTIONS(1818),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1818),
    [aux_sym_address_family_token1] = ACTIONS(1818),
    [aux_sym_batch_mode_token1] = ACTIONS(1818),
    [aux_sym_bind_address_token1] = ACTIONS(1818),
    [aux_sym_bind_interface_token1] = ACTIONS(1818),
    [aux_sym_canonical_domains_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1818),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1818),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1818),
    [aux_sym_certificate_file_token1] = ACTIONS(1818),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1818),
    [aux_sym_channel_timeout_token1] = ACTIONS(1818),
    [aux_sym_check_host_ip_token1] = ACTIONS(1818),
    [aux_sym_ciphers_token1] = ACTIONS(1818),
    [aux_sym_cipher_token1] = ACTIONS(1820),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1818),
    [aux_sym_compression_token1] = ACTIONS(1818),
    [aux_sym_connection_attempts_token1] = ACTIONS(1818),
    [aux_sym_connect_timeout_token1] = ACTIONS(1818),
    [aux_sym_control_master_token1] = ACTIONS(1818),
    [aux_sym_control_path_token1] = ACTIONS(1818),
    [aux_sym_control_persist_token1] = ACTIONS(1818),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1818),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1818),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1818),
    [aux_sym_escape_char_token1] = ACTIONS(1818),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1818),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1818),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1818),
    [aux_sym_forward_agent_token1] = ACTIONS(1818),
    [aux_sym_forward_x11_token1] = ACTIONS(1820),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1818),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1818),
    [aux_sym_gateway_ports_token1] = ACTIONS(1818),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1818),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1818),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1818),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1818),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1818),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1818),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1818),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1818),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1818),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1818),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1818),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1818),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1818),
    [aux_sym_host_key_alias_token1] = ACTIONS(1818),
    [aux_sym_hostname_token1] = ACTIONS(1818),
    [aux_sym_identities_only_token1] = ACTIONS(1818),
    [aux_sym_identity_agent_token1] = ACTIONS(1818),
    [aux_sym_identity_file_token1] = ACTIONS(1818),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1818),
    [aux_sym_include_token1] = ACTIONS(1818),
    [aux_sym_ip_qos_token1] = ACTIONS(1818),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1818),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1818),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1818),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1818),
    [aux_sym_local_command_token1] = ACTIONS(1818),
    [aux_sym_local_forward_token1] = ACTIONS(1818),
    [aux_sym_log_level_token1] = ACTIONS(1818),
    [aux_sym_log_verbose_token1] = ACTIONS(1818),
    [aux_sym_macs_token1] = ACTIONS(1818),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1818),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1818),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1818),
    [aux_sym_password_authentication_token1] = ACTIONS(1818),
    [aux_sym_permit_local_command_token1] = ACTIONS(1818),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1818),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1818),
    [aux_sym_port_token1] = ACTIONS(1818),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1818),
    [aux_sym_protocol_token1] = ACTIONS(1818),
    [aux_sym_proxy_command_token1] = ACTIONS(1818),
    [aux_sym_proxy_jump_token1] = ACTIONS(1818),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1818),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1818),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1818),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1818),
    [aux_sym_rekey_limit_token1] = ACTIONS(1818),
    [aux_sym_remote_command_token1] = ACTIONS(1818),
    [aux_sym_remote_forward_token1] = ACTIONS(1818),
    [aux_sym_request_tty_token1] = ACTIONS(1818),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1818),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1818),
    [aux_sym_security_key_provider_token1] = ACTIONS(1818),
    [aux_sym_send_env_token1] = ACTIONS(1818),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1818),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1818),
    [aux_sym_session_type_token1] = ACTIONS(1818),
    [aux_sym_set_env_token1] = ACTIONS(1818),
    [aux_sym_stdin_null_token1] = ACTIONS(1818),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1818),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1818),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1818),
    [aux_sym_syslog_facility_token1] = ACTIONS(1818),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1818),
    [aux_sym_keep_alive_token1] = ACTIONS(1818),
    [aux_sym_tag_token1] = ACTIONS(1818),
    [aux_sym_tunnel_token1] = ACTIONS(1820),
    [aux_sym_tunnel_device_token1] = ACTIONS(1818),
    [aux_sym_update_host_keys_token1] = ACTIONS(1818),
    [aux_sym_use_keychain_token1] = ACTIONS(1818),
    [aux_sym_use_roaming_token1] = ACTIONS(1818),
    [aux_sym_user_token1] = ACTIONS(1820),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1818),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1818),
    [aux_sym_version_addendum_token1] = ACTIONS(1818),
    [aux_sym_visual_host_key_token1] = ACTIONS(1818),
    [aux_sym_xauth_location_token1] = ACTIONS(1818),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2450),
    [aux_sym_match_token1] = ACTIONS(2448),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2448),
    [aux_sym_address_family_token1] = ACTIONS(2448),
    [aux_sym_batch_mode_token1] = ACTIONS(2448),
    [aux_sym_bind_address_token1] = ACTIONS(2448),
    [aux_sym_bind_interface_token1] = ACTIONS(2448),
    [aux_sym_canonical_domains_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2448),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2448),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2448),
    [aux_sym_certificate_file_token1] = ACTIONS(2448),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2448),
    [aux_sym_channel_timeout_token1] = ACTIONS(2448),
    [aux_sym_check_host_ip_token1] = ACTIONS(2448),
    [aux_sym_ciphers_token1] = ACTIONS(2448),
    [aux_sym_cipher_token1] = ACTIONS(2450),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2448),
    [aux_sym_compression_token1] = ACTIONS(2448),
    [aux_sym_connection_attempts_token1] = ACTIONS(2448),
    [aux_sym_connect_timeout_token1] = ACTIONS(2448),
    [aux_sym_control_master_token1] = ACTIONS(2448),
    [aux_sym_control_path_token1] = ACTIONS(2448),
    [aux_sym_control_persist_token1] = ACTIONS(2448),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2448),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2448),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2448),
    [aux_sym_escape_char_token1] = ACTIONS(2448),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2448),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2448),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2448),
    [aux_sym_forward_agent_token1] = ACTIONS(2448),
    [aux_sym_forward_x11_token1] = ACTIONS(2450),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2448),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2448),
    [aux_sym_gateway_ports_token1] = ACTIONS(2448),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2448),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2448),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2448),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2448),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2448),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2448),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2448),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2448),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2448),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2448),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2448),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2448),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2448),
    [aux_sym_host_key_alias_token1] = ACTIONS(2448),
    [aux_sym_hostname_token1] = ACTIONS(2448),
    [aux_sym_identities_only_token1] = ACTIONS(2448),
    [aux_sym_identity_agent_token1] = ACTIONS(2448),
    [aux_sym_identity_file_token1] = ACTIONS(2448),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2448),
    [aux_sym_include_token1] = ACTIONS(2448),
    [aux_sym_ip_qos_token1] = ACTIONS(2448),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2448),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2448),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2448),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2448),
    [aux_sym_local_command_token1] = ACTIONS(2448),
    [aux_sym_local_forward_token1] = ACTIONS(2448),
    [aux_sym_log_level_token1] = ACTIONS(2448),
    [aux_sym_log_verbose_token1] = ACTIONS(2448),
    [aux_sym_macs_token1] = ACTIONS(2448),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2448),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2448),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2448),
    [aux_sym_password_authentication_token1] = ACTIONS(2448),
    [aux_sym_permit_local_command_token1] = ACTIONS(2448),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2448),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2448),
    [aux_sym_port_token1] = ACTIONS(2448),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2448),
    [aux_sym_protocol_token1] = ACTIONS(2448),
    [aux_sym_proxy_command_token1] = ACTIONS(2448),
    [aux_sym_proxy_jump_token1] = ACTIONS(2448),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2448),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2448),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2448),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2448),
    [aux_sym_rekey_limit_token1] = ACTIONS(2448),
    [aux_sym_remote_command_token1] = ACTIONS(2448),
    [aux_sym_remote_forward_token1] = ACTIONS(2448),
    [aux_sym_request_tty_token1] = ACTIONS(2448),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2448),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2448),
    [aux_sym_security_key_provider_token1] = ACTIONS(2448),
    [aux_sym_send_env_token1] = ACTIONS(2448),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2448),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2448),
    [aux_sym_session_type_token1] = ACTIONS(2448),
    [aux_sym_set_env_token1] = ACTIONS(2448),
    [aux_sym_stdin_null_token1] = ACTIONS(2448),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2448),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2448),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2448),
    [aux_sym_syslog_facility_token1] = ACTIONS(2448),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2448),
    [aux_sym_keep_alive_token1] = ACTIONS(2448),
    [aux_sym_tag_token1] = ACTIONS(2448),
    [aux_sym_tunnel_token1] = ACTIONS(2450),
    [aux_sym_tunnel_device_token1] = ACTIONS(2448),
    [aux_sym_update_host_keys_token1] = ACTIONS(2448),
    [aux_sym_use_keychain_token1] = ACTIONS(2448),
    [aux_sym_use_roaming_token1] = ACTIONS(2448),
    [aux_sym_user_token1] = ACTIONS(2450),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2448),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2448),
    [aux_sym_version_addendum_token1] = ACTIONS(2448),
    [aux_sym_visual_host_key_token1] = ACTIONS(2448),
    [aux_sym_xauth_location_token1] = ACTIONS(2448),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2456),
    [aux_sym_match_token1] = ACTIONS(2454),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2454),
    [aux_sym_address_family_token1] = ACTIONS(2454),
    [aux_sym_batch_mode_token1] = ACTIONS(2454),
    [aux_sym_bind_address_token1] = ACTIONS(2454),
    [aux_sym_bind_interface_token1] = ACTIONS(2454),
    [aux_sym_canonical_domains_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2454),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2454),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2454),
    [aux_sym_certificate_file_token1] = ACTIONS(2454),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2454),
    [aux_sym_channel_timeout_token1] = ACTIONS(2454),
    [aux_sym_check_host_ip_token1] = ACTIONS(2454),
    [aux_sym_ciphers_token1] = ACTIONS(2454),
    [aux_sym_cipher_token1] = ACTIONS(2456),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2454),
    [aux_sym_compression_token1] = ACTIONS(2454),
    [aux_sym_connection_attempts_token1] = ACTIONS(2454),
    [aux_sym_connect_timeout_token1] = ACTIONS(2454),
    [aux_sym_control_master_token1] = ACTIONS(2454),
    [aux_sym_control_path_token1] = ACTIONS(2454),
    [aux_sym_control_persist_token1] = ACTIONS(2454),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2454),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2454),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2454),
    [aux_sym_escape_char_token1] = ACTIONS(2454),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2454),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2454),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2454),
    [aux_sym_forward_agent_token1] = ACTIONS(2454),
    [aux_sym_forward_x11_token1] = ACTIONS(2456),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2454),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2454),
    [aux_sym_gateway_ports_token1] = ACTIONS(2454),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2454),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2454),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2454),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2454),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2454),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2454),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2454),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2454),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2454),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2454),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2454),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2454),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2454),
    [aux_sym_host_key_alias_token1] = ACTIONS(2454),
    [aux_sym_hostname_token1] = ACTIONS(2454),
    [aux_sym_identities_only_token1] = ACTIONS(2454),
    [aux_sym_identity_agent_token1] = ACTIONS(2454),
    [aux_sym_identity_file_token1] = ACTIONS(2454),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2454),
    [aux_sym_include_token1] = ACTIONS(2454),
    [aux_sym_ip_qos_token1] = ACTIONS(2454),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2454),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2454),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2454),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2454),
    [aux_sym_local_command_token1] = ACTIONS(2454),
    [aux_sym_local_forward_token1] = ACTIONS(2454),
    [aux_sym_log_level_token1] = ACTIONS(2454),
    [aux_sym_log_verbose_token1] = ACTIONS(2454),
    [aux_sym_macs_token1] = ACTIONS(2454),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2454),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2454),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2454),
    [aux_sym_password_authentication_token1] = ACTIONS(2454),
    [aux_sym_permit_local_command_token1] = ACTIONS(2454),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2454),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2454),
    [aux_sym_port_token1] = ACTIONS(2454),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2454),
    [aux_sym_protocol_token1] = ACTIONS(2454),
    [aux_sym_proxy_command_token1] = ACTIONS(2454),
    [aux_sym_proxy_jump_token1] = ACTIONS(2454),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2454),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2454),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2454),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2454),
    [aux_sym_rekey_limit_token1] = ACTIONS(2454),
    [aux_sym_remote_command_token1] = ACTIONS(2454),
    [aux_sym_remote_forward_token1] = ACTIONS(2454),
    [aux_sym_request_tty_token1] = ACTIONS(2454),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2454),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2454),
    [aux_sym_security_key_provider_token1] = ACTIONS(2454),
    [aux_sym_send_env_token1] = ACTIONS(2454),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2454),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2454),
    [aux_sym_session_type_token1] = ACTIONS(2454),
    [aux_sym_set_env_token1] = ACTIONS(2454),
    [aux_sym_stdin_null_token1] = ACTIONS(2454),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2454),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2454),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2454),
    [aux_sym_syslog_facility_token1] = ACTIONS(2454),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2454),
    [aux_sym_keep_alive_token1] = ACTIONS(2454),
    [aux_sym_tag_token1] = ACTIONS(2454),
    [aux_sym_tunnel_token1] = ACTIONS(2456),
    [aux_sym_tunnel_device_token1] = ACTIONS(2454),
    [aux_sym_update_host_keys_token1] = ACTIONS(2454),
    [aux_sym_use_keychain_token1] = ACTIONS(2454),
    [aux_sym_use_roaming_token1] = ACTIONS(2454),
    [aux_sym_user_token1] = ACTIONS(2456),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2454),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2454),
    [aux_sym_version_addendum_token1] = ACTIONS(2454),
    [aux_sym_visual_host_key_token1] = ACTIONS(2454),
    [aux_sym_xauth_location_token1] = ACTIONS(2454),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2462),
    [aux_sym_match_token1] = ACTIONS(2460),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2460),
    [aux_sym_address_family_token1] = ACTIONS(2460),
    [aux_sym_batch_mode_token1] = ACTIONS(2460),
    [aux_sym_bind_address_token1] = ACTIONS(2460),
    [aux_sym_bind_interface_token1] = ACTIONS(2460),
    [aux_sym_canonical_domains_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2460),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2460),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2460),
    [aux_sym_certificate_file_token1] = ACTIONS(2460),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2460),
    [aux_sym_channel_timeout_token1] = ACTIONS(2460),
    [aux_sym_check_host_ip_token1] = ACTIONS(2460),
    [aux_sym_ciphers_token1] = ACTIONS(2460),
    [aux_sym_cipher_token1] = ACTIONS(2462),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2460),
    [aux_sym_compression_token1] = ACTIONS(2460),
    [aux_sym_connection_attempts_token1] = ACTIONS(2460),
    [aux_sym_connect_timeout_token1] = ACTIONS(2460),
    [aux_sym_control_master_token1] = ACTIONS(2460),
    [aux_sym_control_path_token1] = ACTIONS(2460),
    [aux_sym_control_persist_token1] = ACTIONS(2460),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2460),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2460),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2460),
    [aux_sym_escape_char_token1] = ACTIONS(2460),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2460),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2460),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2460),
    [aux_sym_forward_agent_token1] = ACTIONS(2460),
    [aux_sym_forward_x11_token1] = ACTIONS(2462),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2460),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2460),
    [aux_sym_gateway_ports_token1] = ACTIONS(2460),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2460),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2460),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2460),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2460),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2460),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2460),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2460),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2460),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2460),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2460),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2460),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2460),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2460),
    [aux_sym_host_key_alias_token1] = ACTIONS(2460),
    [aux_sym_hostname_token1] = ACTIONS(2460),
    [aux_sym_identities_only_token1] = ACTIONS(2460),
    [aux_sym_identity_agent_token1] = ACTIONS(2460),
    [aux_sym_identity_file_token1] = ACTIONS(2460),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2460),
    [aux_sym_include_token1] = ACTIONS(2460),
    [aux_sym_ip_qos_token1] = ACTIONS(2460),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2460),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2460),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2460),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2460),
    [aux_sym_local_command_token1] = ACTIONS(2460),
    [aux_sym_local_forward_token1] = ACTIONS(2460),
    [aux_sym_log_level_token1] = ACTIONS(2460),
    [aux_sym_log_verbose_token1] = ACTIONS(2460),
    [aux_sym_macs_token1] = ACTIONS(2460),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2460),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2460),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2460),
    [aux_sym_password_authentication_token1] = ACTIONS(2460),
    [aux_sym_permit_local_command_token1] = ACTIONS(2460),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2460),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2460),
    [aux_sym_port_token1] = ACTIONS(2460),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2460),
    [aux_sym_protocol_token1] = ACTIONS(2460),
    [aux_sym_proxy_command_token1] = ACTIONS(2460),
    [aux_sym_proxy_jump_token1] = ACTIONS(2460),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2460),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2460),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2460),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2460),
    [aux_sym_rekey_limit_token1] = ACTIONS(2460),
    [aux_sym_remote_command_token1] = ACTIONS(2460),
    [aux_sym_remote_forward_token1] = ACTIONS(2460),
    [aux_sym_request_tty_token1] = ACTIONS(2460),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2460),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2460),
    [aux_sym_security_key_provider_token1] = ACTIONS(2460),
    [aux_sym_send_env_token1] = ACTIONS(2460),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2460),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2460),
    [aux_sym_session_type_token1] = ACTIONS(2460),
    [aux_sym_set_env_token1] = ACTIONS(2460),
    [aux_sym_stdin_null_token1] = ACTIONS(2460),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2460),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2460),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2460),
    [aux_sym_syslog_facility_token1] = ACTIONS(2460),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2460),
    [aux_sym_keep_alive_token1] = ACTIONS(2460),
    [aux_sym_tag_token1] = ACTIONS(2460),
    [aux_sym_tunnel_token1] = ACTIONS(2462),
    [aux_sym_tunnel_device_token1] = ACTIONS(2460),
    [aux_sym_update_host_keys_token1] = ACTIONS(2460),
    [aux_sym_use_keychain_token1] = ACTIONS(2460),
    [aux_sym_use_roaming_token1] = ACTIONS(2460),
    [aux_sym_user_token1] = ACTIONS(2462),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2460),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2460),
    [aux_sym_version_addendum_token1] = ACTIONS(2460),
    [aux_sym_visual_host_key_token1] = ACTIONS(2460),
    [aux_sym_xauth_location_token1] = ACTIONS(2460),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1826),
    [aux_sym_match_token1] = ACTIONS(1824),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1824),
    [aux_sym_address_family_token1] = ACTIONS(1824),
    [aux_sym_batch_mode_token1] = ACTIONS(1824),
    [aux_sym_bind_address_token1] = ACTIONS(1824),
    [aux_sym_bind_interface_token1] = ACTIONS(1824),
    [aux_sym_canonical_domains_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1824),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1824),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1824),
    [aux_sym_certificate_file_token1] = ACTIONS(1824),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1824),
    [aux_sym_channel_timeout_token1] = ACTIONS(1824),
    [aux_sym_check_host_ip_token1] = ACTIONS(1824),
    [aux_sym_ciphers_token1] = ACTIONS(1824),
    [aux_sym_cipher_token1] = ACTIONS(1826),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1824),
    [aux_sym_compression_token1] = ACTIONS(1824),
    [aux_sym_connection_attempts_token1] = ACTIONS(1824),
    [aux_sym_connect_timeout_token1] = ACTIONS(1824),
    [aux_sym_control_master_token1] = ACTIONS(1824),
    [aux_sym_control_path_token1] = ACTIONS(1824),
    [aux_sym_control_persist_token1] = ACTIONS(1824),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1824),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1824),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1824),
    [aux_sym_escape_char_token1] = ACTIONS(1824),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1824),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1824),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1824),
    [aux_sym_forward_agent_token1] = ACTIONS(1824),
    [aux_sym_forward_x11_token1] = ACTIONS(1826),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1824),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1824),
    [aux_sym_gateway_ports_token1] = ACTIONS(1824),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1824),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1824),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1824),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1824),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1824),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1824),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1824),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1824),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1824),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1824),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1824),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1824),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1824),
    [aux_sym_host_key_alias_token1] = ACTIONS(1824),
    [aux_sym_hostname_token1] = ACTIONS(1824),
    [aux_sym_identities_only_token1] = ACTIONS(1824),
    [aux_sym_identity_agent_token1] = ACTIONS(1824),
    [aux_sym_identity_file_token1] = ACTIONS(1824),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1824),
    [aux_sym_include_token1] = ACTIONS(1824),
    [aux_sym_ip_qos_token1] = ACTIONS(1824),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1824),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1824),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1824),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1824),
    [aux_sym_local_command_token1] = ACTIONS(1824),
    [aux_sym_local_forward_token1] = ACTIONS(1824),
    [aux_sym_log_level_token1] = ACTIONS(1824),
    [aux_sym_log_verbose_token1] = ACTIONS(1824),
    [aux_sym_macs_token1] = ACTIONS(1824),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1824),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1824),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1824),
    [aux_sym_password_authentication_token1] = ACTIONS(1824),
    [aux_sym_permit_local_command_token1] = ACTIONS(1824),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1824),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1824),
    [aux_sym_port_token1] = ACTIONS(1824),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1824),
    [aux_sym_protocol_token1] = ACTIONS(1824),
    [aux_sym_proxy_command_token1] = ACTIONS(1824),
    [aux_sym_proxy_jump_token1] = ACTIONS(1824),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1824),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1824),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1824),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1824),
    [aux_sym_rekey_limit_token1] = ACTIONS(1824),
    [aux_sym_remote_command_token1] = ACTIONS(1824),
    [aux_sym_remote_forward_token1] = ACTIONS(1824),
    [aux_sym_request_tty_token1] = ACTIONS(1824),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1824),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1824),
    [aux_sym_security_key_provider_token1] = ACTIONS(1824),
    [aux_sym_send_env_token1] = ACTIONS(1824),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1824),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1824),
    [aux_sym_session_type_token1] = ACTIONS(1824),
    [aux_sym_set_env_token1] = ACTIONS(1824),
    [aux_sym_stdin_null_token1] = ACTIONS(1824),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1824),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1824),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1824),
    [aux_sym_syslog_facility_token1] = ACTIONS(1824),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1824),
    [aux_sym_keep_alive_token1] = ACTIONS(1824),
    [aux_sym_tag_token1] = ACTIONS(1824),
    [aux_sym_tunnel_token1] = ACTIONS(1826),
    [aux_sym_tunnel_device_token1] = ACTIONS(1824),
    [aux_sym_update_host_keys_token1] = ACTIONS(1824),
    [aux_sym_use_keychain_token1] = ACTIONS(1824),
    [aux_sym_use_roaming_token1] = ACTIONS(1824),
    [aux_sym_user_token1] = ACTIONS(1826),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1824),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1824),
    [aux_sym_version_addendum_token1] = ACTIONS(1824),
    [aux_sym_visual_host_key_token1] = ACTIONS(1824),
    [aux_sym_xauth_location_token1] = ACTIONS(1824),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2468),
    [aux_sym_match_token1] = ACTIONS(2466),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2466),
    [aux_sym_address_family_token1] = ACTIONS(2466),
    [aux_sym_batch_mode_token1] = ACTIONS(2466),
    [aux_sym_bind_address_token1] = ACTIONS(2466),
    [aux_sym_bind_interface_token1] = ACTIONS(2466),
    [aux_sym_canonical_domains_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2466),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2466),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2466),
    [aux_sym_certificate_file_token1] = ACTIONS(2466),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2466),
    [aux_sym_channel_timeout_token1] = ACTIONS(2466),
    [aux_sym_check_host_ip_token1] = ACTIONS(2466),
    [aux_sym_ciphers_token1] = ACTIONS(2466),
    [aux_sym_cipher_token1] = ACTIONS(2468),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2466),
    [aux_sym_compression_token1] = ACTIONS(2466),
    [aux_sym_connection_attempts_token1] = ACTIONS(2466),
    [aux_sym_connect_timeout_token1] = ACTIONS(2466),
    [aux_sym_control_master_token1] = ACTIONS(2466),
    [aux_sym_control_path_token1] = ACTIONS(2466),
    [aux_sym_control_persist_token1] = ACTIONS(2466),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2466),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2466),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2466),
    [aux_sym_escape_char_token1] = ACTIONS(2466),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2466),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2466),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2466),
    [aux_sym_forward_agent_token1] = ACTIONS(2466),
    [aux_sym_forward_x11_token1] = ACTIONS(2468),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2466),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2466),
    [aux_sym_gateway_ports_token1] = ACTIONS(2466),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2466),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2466),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2466),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2466),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2466),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2466),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2466),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2466),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2466),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2466),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2466),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2466),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2466),
    [aux_sym_host_key_alias_token1] = ACTIONS(2466),
    [aux_sym_hostname_token1] = ACTIONS(2466),
    [aux_sym_identities_only_token1] = ACTIONS(2466),
    [aux_sym_identity_agent_token1] = ACTIONS(2466),
    [aux_sym_identity_file_token1] = ACTIONS(2466),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2466),
    [aux_sym_include_token1] = ACTIONS(2466),
    [aux_sym_ip_qos_token1] = ACTIONS(2466),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2466),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2466),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2466),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2466),
    [aux_sym_local_command_token1] = ACTIONS(2466),
    [aux_sym_local_forward_token1] = ACTIONS(2466),
    [aux_sym_log_level_token1] = ACTIONS(2466),
    [aux_sym_log_verbose_token1] = ACTIONS(2466),
    [aux_sym_macs_token1] = ACTIONS(2466),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2466),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2466),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2466),
    [aux_sym_password_authentication_token1] = ACTIONS(2466),
    [aux_sym_permit_local_command_token1] = ACTIONS(2466),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2466),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2466),
    [aux_sym_port_token1] = ACTIONS(2466),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2466),
    [aux_sym_protocol_token1] = ACTIONS(2466),
    [aux_sym_proxy_command_token1] = ACTIONS(2466),
    [aux_sym_proxy_jump_token1] = ACTIONS(2466),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2466),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2466),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2466),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2466),
    [aux_sym_rekey_limit_token1] = ACTIONS(2466),
    [aux_sym_remote_command_token1] = ACTIONS(2466),
    [aux_sym_remote_forward_token1] = ACTIONS(2466),
    [aux_sym_request_tty_token1] = ACTIONS(2466),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2466),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2466),
    [aux_sym_security_key_provider_token1] = ACTIONS(2466),
    [aux_sym_send_env_token1] = ACTIONS(2466),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2466),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2466),
    [aux_sym_session_type_token1] = ACTIONS(2466),
    [aux_sym_set_env_token1] = ACTIONS(2466),
    [aux_sym_stdin_null_token1] = ACTIONS(2466),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2466),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2466),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2466),
    [aux_sym_syslog_facility_token1] = ACTIONS(2466),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2466),
    [aux_sym_keep_alive_token1] = ACTIONS(2466),
    [aux_sym_tag_token1] = ACTIONS(2466),
    [aux_sym_tunnel_token1] = ACTIONS(2468),
    [aux_sym_tunnel_device_token1] = ACTIONS(2466),
    [aux_sym_update_host_keys_token1] = ACTIONS(2466),
    [aux_sym_use_keychain_token1] = ACTIONS(2466),
    [aux_sym_use_roaming_token1] = ACTIONS(2466),
    [aux_sym_user_token1] = ACTIONS(2468),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2466),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2466),
    [aux_sym_version_addendum_token1] = ACTIONS(2466),
    [aux_sym_visual_host_key_token1] = ACTIONS(2466),
    [aux_sym_xauth_location_token1] = ACTIONS(2466),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2474),
    [aux_sym_match_token1] = ACTIONS(2472),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2472),
    [aux_sym_address_family_token1] = ACTIONS(2472),
    [aux_sym_batch_mode_token1] = ACTIONS(2472),
    [aux_sym_bind_address_token1] = ACTIONS(2472),
    [aux_sym_bind_interface_token1] = ACTIONS(2472),
    [aux_sym_canonical_domains_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2472),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2472),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2472),
    [aux_sym_certificate_file_token1] = ACTIONS(2472),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2472),
    [aux_sym_channel_timeout_token1] = ACTIONS(2472),
    [aux_sym_check_host_ip_token1] = ACTIONS(2472),
    [aux_sym_ciphers_token1] = ACTIONS(2472),
    [aux_sym_cipher_token1] = ACTIONS(2474),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2472),
    [aux_sym_compression_token1] = ACTIONS(2472),
    [aux_sym_connection_attempts_token1] = ACTIONS(2472),
    [aux_sym_connect_timeout_token1] = ACTIONS(2472),
    [aux_sym_control_master_token1] = ACTIONS(2472),
    [aux_sym_control_path_token1] = ACTIONS(2472),
    [aux_sym_control_persist_token1] = ACTIONS(2472),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2472),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2472),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2472),
    [aux_sym_escape_char_token1] = ACTIONS(2472),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2472),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2472),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2472),
    [aux_sym_forward_agent_token1] = ACTIONS(2472),
    [aux_sym_forward_x11_token1] = ACTIONS(2474),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2472),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2472),
    [aux_sym_gateway_ports_token1] = ACTIONS(2472),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2472),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2472),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2472),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2472),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2472),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2472),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2472),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2472),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2472),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2472),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2472),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2472),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2472),
    [aux_sym_host_key_alias_token1] = ACTIONS(2472),
    [aux_sym_hostname_token1] = ACTIONS(2472),
    [aux_sym_identities_only_token1] = ACTIONS(2472),
    [aux_sym_identity_agent_token1] = ACTIONS(2472),
    [aux_sym_identity_file_token1] = ACTIONS(2472),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2472),
    [aux_sym_include_token1] = ACTIONS(2472),
    [aux_sym_ip_qos_token1] = ACTIONS(2472),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2472),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2472),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2472),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2472),
    [aux_sym_local_command_token1] = ACTIONS(2472),
    [aux_sym_local_forward_token1] = ACTIONS(2472),
    [aux_sym_log_level_token1] = ACTIONS(2472),
    [aux_sym_log_verbose_token1] = ACTIONS(2472),
    [aux_sym_macs_token1] = ACTIONS(2472),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2472),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2472),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2472),
    [aux_sym_password_authentication_token1] = ACTIONS(2472),
    [aux_sym_permit_local_command_token1] = ACTIONS(2472),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2472),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2472),
    [aux_sym_port_token1] = ACTIONS(2472),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2472),
    [aux_sym_protocol_token1] = ACTIONS(2472),
    [aux_sym_proxy_command_token1] = ACTIONS(2472),
    [aux_sym_proxy_jump_token1] = ACTIONS(2472),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2472),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2472),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2472),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2472),
    [aux_sym_rekey_limit_token1] = ACTIONS(2472),
    [aux_sym_remote_command_token1] = ACTIONS(2472),
    [aux_sym_remote_forward_token1] = ACTIONS(2472),
    [aux_sym_request_tty_token1] = ACTIONS(2472),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2472),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2472),
    [aux_sym_security_key_provider_token1] = ACTIONS(2472),
    [aux_sym_send_env_token1] = ACTIONS(2472),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2472),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2472),
    [aux_sym_session_type_token1] = ACTIONS(2472),
    [aux_sym_set_env_token1] = ACTIONS(2472),
    [aux_sym_stdin_null_token1] = ACTIONS(2472),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2472),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2472),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2472),
    [aux_sym_syslog_facility_token1] = ACTIONS(2472),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2472),
    [aux_sym_keep_alive_token1] = ACTIONS(2472),
    [aux_sym_tag_token1] = ACTIONS(2472),
    [aux_sym_tunnel_token1] = ACTIONS(2474),
    [aux_sym_tunnel_device_token1] = ACTIONS(2472),
    [aux_sym_update_host_keys_token1] = ACTIONS(2472),
    [aux_sym_use_keychain_token1] = ACTIONS(2472),
    [aux_sym_use_roaming_token1] = ACTIONS(2472),
    [aux_sym_user_token1] = ACTIONS(2474),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2472),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2472),
    [aux_sym_version_addendum_token1] = ACTIONS(2472),
    [aux_sym_visual_host_key_token1] = ACTIONS(2472),
    [aux_sym_xauth_location_token1] = ACTIONS(2472),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1832),
    [aux_sym_match_token1] = ACTIONS(1830),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1830),
    [aux_sym_address_family_token1] = ACTIONS(1830),
    [aux_sym_batch_mode_token1] = ACTIONS(1830),
    [aux_sym_bind_address_token1] = ACTIONS(1830),
    [aux_sym_bind_interface_token1] = ACTIONS(1830),
    [aux_sym_canonical_domains_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1830),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1830),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1830),
    [aux_sym_certificate_file_token1] = ACTIONS(1830),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1830),
    [aux_sym_channel_timeout_token1] = ACTIONS(1830),
    [aux_sym_check_host_ip_token1] = ACTIONS(1830),
    [aux_sym_ciphers_token1] = ACTIONS(1830),
    [aux_sym_cipher_token1] = ACTIONS(1832),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1830),
    [aux_sym_compression_token1] = ACTIONS(1830),
    [aux_sym_connection_attempts_token1] = ACTIONS(1830),
    [aux_sym_connect_timeout_token1] = ACTIONS(1830),
    [aux_sym_control_master_token1] = ACTIONS(1830),
    [aux_sym_control_path_token1] = ACTIONS(1830),
    [aux_sym_control_persist_token1] = ACTIONS(1830),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1830),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1830),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1830),
    [aux_sym_escape_char_token1] = ACTIONS(1830),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1830),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1830),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1830),
    [aux_sym_forward_agent_token1] = ACTIONS(1830),
    [aux_sym_forward_x11_token1] = ACTIONS(1832),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1830),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1830),
    [aux_sym_gateway_ports_token1] = ACTIONS(1830),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1830),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1830),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1830),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1830),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1830),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1830),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1830),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1830),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1830),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1830),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1830),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1830),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1830),
    [aux_sym_host_key_alias_token1] = ACTIONS(1830),
    [aux_sym_hostname_token1] = ACTIONS(1830),
    [aux_sym_identities_only_token1] = ACTIONS(1830),
    [aux_sym_identity_agent_token1] = ACTIONS(1830),
    [aux_sym_identity_file_token1] = ACTIONS(1830),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1830),
    [aux_sym_include_token1] = ACTIONS(1830),
    [aux_sym_ip_qos_token1] = ACTIONS(1830),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1830),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1830),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1830),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1830),
    [aux_sym_local_command_token1] = ACTIONS(1830),
    [aux_sym_local_forward_token1] = ACTIONS(1830),
    [aux_sym_log_level_token1] = ACTIONS(1830),
    [aux_sym_log_verbose_token1] = ACTIONS(1830),
    [aux_sym_macs_token1] = ACTIONS(1830),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1830),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1830),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1830),
    [aux_sym_password_authentication_token1] = ACTIONS(1830),
    [aux_sym_permit_local_command_token1] = ACTIONS(1830),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1830),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1830),
    [aux_sym_port_token1] = ACTIONS(1830),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1830),
    [aux_sym_protocol_token1] = ACTIONS(1830),
    [aux_sym_proxy_command_token1] = ACTIONS(1830),
    [aux_sym_proxy_jump_token1] = ACTIONS(1830),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1830),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1830),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1830),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1830),
    [aux_sym_rekey_limit_token1] = ACTIONS(1830),
    [aux_sym_remote_command_token1] = ACTIONS(1830),
    [aux_sym_remote_forward_token1] = ACTIONS(1830),
    [aux_sym_request_tty_token1] = ACTIONS(1830),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1830),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1830),
    [aux_sym_security_key_provider_token1] = ACTIONS(1830),
    [aux_sym_send_env_token1] = ACTIONS(1830),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1830),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1830),
    [aux_sym_session_type_token1] = ACTIONS(1830),
    [aux_sym_set_env_token1] = ACTIONS(1830),
    [aux_sym_stdin_null_token1] = ACTIONS(1830),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1830),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1830),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1830),
    [aux_sym_syslog_facility_token1] = ACTIONS(1830),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1830),
    [aux_sym_keep_alive_token1] = ACTIONS(1830),
    [aux_sym_tag_token1] = ACTIONS(1830),
    [aux_sym_tunnel_token1] = ACTIONS(1832),
    [aux_sym_tunnel_device_token1] = ACTIONS(1830),
    [aux_sym_update_host_keys_token1] = ACTIONS(1830),
    [aux_sym_use_keychain_token1] = ACTIONS(1830),
    [aux_sym_use_roaming_token1] = ACTIONS(1830),
    [aux_sym_user_token1] = ACTIONS(1832),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1830),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1830),
    [aux_sym_version_addendum_token1] = ACTIONS(1830),
    [aux_sym_visual_host_key_token1] = ACTIONS(1830),
    [aux_sym_xauth_location_token1] = ACTIONS(1830),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2480),
    [aux_sym_match_token1] = ACTIONS(2478),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2478),
    [aux_sym_address_family_token1] = ACTIONS(2478),
    [aux_sym_batch_mode_token1] = ACTIONS(2478),
    [aux_sym_bind_address_token1] = ACTIONS(2478),
    [aux_sym_bind_interface_token1] = ACTIONS(2478),
    [aux_sym_canonical_domains_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2478),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2478),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2478),
    [aux_sym_certificate_file_token1] = ACTIONS(2478),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2478),
    [aux_sym_channel_timeout_token1] = ACTIONS(2478),
    [aux_sym_check_host_ip_token1] = ACTIONS(2478),
    [aux_sym_ciphers_token1] = ACTIONS(2478),
    [aux_sym_cipher_token1] = ACTIONS(2480),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2478),
    [aux_sym_compression_token1] = ACTIONS(2478),
    [aux_sym_connection_attempts_token1] = ACTIONS(2478),
    [aux_sym_connect_timeout_token1] = ACTIONS(2478),
    [aux_sym_control_master_token1] = ACTIONS(2478),
    [aux_sym_control_path_token1] = ACTIONS(2478),
    [aux_sym_control_persist_token1] = ACTIONS(2478),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2478),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2478),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2478),
    [aux_sym_escape_char_token1] = ACTIONS(2478),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2478),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2478),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2478),
    [aux_sym_forward_agent_token1] = ACTIONS(2478),
    [aux_sym_forward_x11_token1] = ACTIONS(2480),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2478),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2478),
    [aux_sym_gateway_ports_token1] = ACTIONS(2478),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2478),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2478),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2478),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2478),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2478),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2478),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2478),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2478),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2478),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2478),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2478),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2478),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2478),
    [aux_sym_host_key_alias_token1] = ACTIONS(2478),
    [aux_sym_hostname_token1] = ACTIONS(2478),
    [aux_sym_identities_only_token1] = ACTIONS(2478),
    [aux_sym_identity_agent_token1] = ACTIONS(2478),
    [aux_sym_identity_file_token1] = ACTIONS(2478),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2478),
    [aux_sym_include_token1] = ACTIONS(2478),
    [aux_sym_ip_qos_token1] = ACTIONS(2478),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2478),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2478),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2478),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2478),
    [aux_sym_local_command_token1] = ACTIONS(2478),
    [aux_sym_local_forward_token1] = ACTIONS(2478),
    [aux_sym_log_level_token1] = ACTIONS(2478),
    [aux_sym_log_verbose_token1] = ACTIONS(2478),
    [aux_sym_macs_token1] = ACTIONS(2478),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2478),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2478),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2478),
    [aux_sym_password_authentication_token1] = ACTIONS(2478),
    [aux_sym_permit_local_command_token1] = ACTIONS(2478),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2478),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2478),
    [aux_sym_port_token1] = ACTIONS(2478),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2478),
    [aux_sym_protocol_token1] = ACTIONS(2478),
    [aux_sym_proxy_command_token1] = ACTIONS(2478),
    [aux_sym_proxy_jump_token1] = ACTIONS(2478),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2478),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2478),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2478),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2478),
    [aux_sym_rekey_limit_token1] = ACTIONS(2478),
    [aux_sym_remote_command_token1] = ACTIONS(2478),
    [aux_sym_remote_forward_token1] = ACTIONS(2478),
    [aux_sym_request_tty_token1] = ACTIONS(2478),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2478),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2478),
    [aux_sym_security_key_provider_token1] = ACTIONS(2478),
    [aux_sym_send_env_token1] = ACTIONS(2478),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2478),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2478),
    [aux_sym_session_type_token1] = ACTIONS(2478),
    [aux_sym_set_env_token1] = ACTIONS(2478),
    [aux_sym_stdin_null_token1] = ACTIONS(2478),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2478),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2478),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2478),
    [aux_sym_syslog_facility_token1] = ACTIONS(2478),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2478),
    [aux_sym_keep_alive_token1] = ACTIONS(2478),
    [aux_sym_tag_token1] = ACTIONS(2478),
    [aux_sym_tunnel_token1] = ACTIONS(2480),
    [aux_sym_tunnel_device_token1] = ACTIONS(2478),
    [aux_sym_update_host_keys_token1] = ACTIONS(2478),
    [aux_sym_use_keychain_token1] = ACTIONS(2478),
    [aux_sym_use_roaming_token1] = ACTIONS(2478),
    [aux_sym_user_token1] = ACTIONS(2480),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2478),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2478),
    [aux_sym_version_addendum_token1] = ACTIONS(2478),
    [aux_sym_visual_host_key_token1] = ACTIONS(2478),
    [aux_sym_xauth_location_token1] = ACTIONS(2478),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(2484),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2486),
    [aux_sym_match_token1] = ACTIONS(2484),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2484),
    [aux_sym_address_family_token1] = ACTIONS(2484),
    [aux_sym_batch_mode_token1] = ACTIONS(2484),
    [aux_sym_bind_address_token1] = ACTIONS(2484),
    [aux_sym_bind_interface_token1] = ACTIONS(2484),
    [aux_sym_canonical_domains_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2484),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2484),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2484),
    [aux_sym_certificate_file_token1] = ACTIONS(2484),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2484),
    [aux_sym_channel_timeout_token1] = ACTIONS(2484),
    [aux_sym_check_host_ip_token1] = ACTIONS(2484),
    [aux_sym_ciphers_token1] = ACTIONS(2484),
    [aux_sym_cipher_token1] = ACTIONS(2486),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2484),
    [aux_sym_compression_token1] = ACTIONS(2484),
    [aux_sym_connection_attempts_token1] = ACTIONS(2484),
    [aux_sym_connect_timeout_token1] = ACTIONS(2484),
    [aux_sym_control_master_token1] = ACTIONS(2484),
    [aux_sym_control_path_token1] = ACTIONS(2484),
    [aux_sym_control_persist_token1] = ACTIONS(2484),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2484),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2484),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2484),
    [aux_sym_escape_char_token1] = ACTIONS(2484),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2484),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2484),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2484),
    [aux_sym_forward_agent_token1] = ACTIONS(2484),
    [aux_sym_forward_x11_token1] = ACTIONS(2486),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2484),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2484),
    [aux_sym_gateway_ports_token1] = ACTIONS(2484),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2484),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2484),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2484),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2484),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2484),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2484),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2484),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2484),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2484),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2484),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2484),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2484),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2484),
    [aux_sym_host_key_alias_token1] = ACTIONS(2484),
    [aux_sym_hostname_token1] = ACTIONS(2484),
    [aux_sym_identities_only_token1] = ACTIONS(2484),
    [aux_sym_identity_agent_token1] = ACTIONS(2484),
    [aux_sym_identity_file_token1] = ACTIONS(2484),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2484),
    [aux_sym_include_token1] = ACTIONS(2484),
    [aux_sym_ip_qos_token1] = ACTIONS(2484),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2484),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2484),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2484),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2484),
    [aux_sym_local_command_token1] = ACTIONS(2484),
    [aux_sym_local_forward_token1] = ACTIONS(2484),
    [aux_sym_log_level_token1] = ACTIONS(2484),
    [aux_sym_log_verbose_token1] = ACTIONS(2484),
    [aux_sym_macs_token1] = ACTIONS(2484),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2484),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2484),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2484),
    [aux_sym_password_authentication_token1] = ACTIONS(2484),
    [aux_sym_permit_local_command_token1] = ACTIONS(2484),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2484),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2484),
    [aux_sym_port_token1] = ACTIONS(2484),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2484),
    [aux_sym_protocol_token1] = ACTIONS(2484),
    [aux_sym_proxy_command_token1] = ACTIONS(2484),
    [aux_sym_proxy_jump_token1] = ACTIONS(2484),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2484),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2484),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2484),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2484),
    [aux_sym_rekey_limit_token1] = ACTIONS(2484),
    [aux_sym_remote_command_token1] = ACTIONS(2484),
    [aux_sym_remote_forward_token1] = ACTIONS(2484),
    [aux_sym_request_tty_token1] = ACTIONS(2484),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2484),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2484),
    [aux_sym_security_key_provider_token1] = ACTIONS(2484),
    [aux_sym_send_env_token1] = ACTIONS(2484),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2484),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2484),
    [aux_sym_session_type_token1] = ACTIONS(2484),
    [aux_sym_set_env_token1] = ACTIONS(2484),
    [aux_sym_stdin_null_token1] = ACTIONS(2484),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2484),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2484),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2484),
    [aux_sym_syslog_facility_token1] = ACTIONS(2484),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2484),
    [aux_sym_keep_alive_token1] = ACTIONS(2484),
    [aux_sym_tag_token1] = ACTIONS(2484),
    [aux_sym_tunnel_token1] = ACTIONS(2486),
    [aux_sym_tunnel_device_token1] = ACTIONS(2484),
    [aux_sym_update_host_keys_token1] = ACTIONS(2484),
    [aux_sym_use_keychain_token1] = ACTIONS(2484),
    [aux_sym_use_roaming_token1] = ACTIONS(2484),
    [aux_sym_user_token1] = ACTIONS(2486),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2484),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2484),
    [aux_sym_version_addendum_token1] = ACTIONS(2484),
    [aux_sym_visual_host_key_token1] = ACTIONS(2484),
    [aux_sym_xauth_location_token1] = ACTIONS(2484),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1836),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1838),
    [aux_sym_match_token1] = ACTIONS(1836),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1836),
    [aux_sym_address_family_token1] = ACTIONS(1836),
    [aux_sym_batch_mode_token1] = ACTIONS(1836),
    [aux_sym_bind_address_token1] = ACTIONS(1836),
    [aux_sym_bind_interface_token1] = ACTIONS(1836),
    [aux_sym_canonical_domains_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1836),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1836),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1836),
    [aux_sym_certificate_file_token1] = ACTIONS(1836),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1836),
    [aux_sym_channel_timeout_token1] = ACTIONS(1836),
    [aux_sym_check_host_ip_token1] = ACTIONS(1836),
    [aux_sym_ciphers_token1] = ACTIONS(1836),
    [aux_sym_cipher_token1] = ACTIONS(1838),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1836),
    [aux_sym_compression_token1] = ACTIONS(1836),
    [aux_sym_connection_attempts_token1] = ACTIONS(1836),
    [aux_sym_connect_timeout_token1] = ACTIONS(1836),
    [aux_sym_control_master_token1] = ACTIONS(1836),
    [aux_sym_control_path_token1] = ACTIONS(1836),
    [aux_sym_control_persist_token1] = ACTIONS(1836),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1836),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1836),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1836),
    [aux_sym_escape_char_token1] = ACTIONS(1836),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1836),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1836),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1836),
    [aux_sym_forward_agent_token1] = ACTIONS(1836),
    [aux_sym_forward_x11_token1] = ACTIONS(1838),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1836),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1836),
    [aux_sym_gateway_ports_token1] = ACTIONS(1836),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1836),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1836),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1836),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1836),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1836),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1836),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1836),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1836),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1836),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1836),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1836),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1836),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1836),
    [aux_sym_host_key_alias_token1] = ACTIONS(1836),
    [aux_sym_hostname_token1] = ACTIONS(1836),
    [aux_sym_identities_only_token1] = ACTIONS(1836),
    [aux_sym_identity_agent_token1] = ACTIONS(1836),
    [aux_sym_identity_file_token1] = ACTIONS(1836),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1836),
    [aux_sym_include_token1] = ACTIONS(1836),
    [aux_sym_ip_qos_token1] = ACTIONS(1836),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1836),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1836),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1836),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1836),
    [aux_sym_local_command_token1] = ACTIONS(1836),
    [aux_sym_local_forward_token1] = ACTIONS(1836),
    [aux_sym_log_level_token1] = ACTIONS(1836),
    [aux_sym_log_verbose_token1] = ACTIONS(1836),
    [aux_sym_macs_token1] = ACTIONS(1836),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1836),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1836),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1836),
    [aux_sym_password_authentication_token1] = ACTIONS(1836),
    [aux_sym_permit_local_command_token1] = ACTIONS(1836),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1836),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1836),
    [aux_sym_port_token1] = ACTIONS(1836),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1836),
    [aux_sym_protocol_token1] = ACTIONS(1836),
    [aux_sym_proxy_command_token1] = ACTIONS(1836),
    [aux_sym_proxy_jump_token1] = ACTIONS(1836),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1836),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1836),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1836),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1836),
    [aux_sym_rekey_limit_token1] = ACTIONS(1836),
    [aux_sym_remote_command_token1] = ACTIONS(1836),
    [aux_sym_remote_forward_token1] = ACTIONS(1836),
    [aux_sym_request_tty_token1] = ACTIONS(1836),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1836),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1836),
    [aux_sym_security_key_provider_token1] = ACTIONS(1836),
    [aux_sym_send_env_token1] = ACTIONS(1836),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1836),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1836),
    [aux_sym_session_type_token1] = ACTIONS(1836),
    [aux_sym_set_env_token1] = ACTIONS(1836),
    [aux_sym_stdin_null_token1] = ACTIONS(1836),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1836),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1836),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1836),
    [aux_sym_syslog_facility_token1] = ACTIONS(1836),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1836),
    [aux_sym_keep_alive_token1] = ACTIONS(1836),
    [aux_sym_tag_token1] = ACTIONS(1836),
    [aux_sym_tunnel_token1] = ACTIONS(1838),
    [aux_sym_tunnel_device_token1] = ACTIONS(1836),
    [aux_sym_update_host_keys_token1] = ACTIONS(1836),
    [aux_sym_use_keychain_token1] = ACTIONS(1836),
    [aux_sym_use_roaming_token1] = ACTIONS(1836),
    [aux_sym_user_token1] = ACTIONS(1838),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1836),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1836),
    [aux_sym_version_addendum_token1] = ACTIONS(1836),
    [aux_sym_visual_host_key_token1] = ACTIONS(1836),
    [aux_sym_xauth_location_token1] = ACTIONS(1836),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2492),
    [aux_sym_match_token1] = ACTIONS(2490),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2490),
    [aux_sym_address_family_token1] = ACTIONS(2490),
    [aux_sym_batch_mode_token1] = ACTIONS(2490),
    [aux_sym_bind_address_token1] = ACTIONS(2490),
    [aux_sym_bind_interface_token1] = ACTIONS(2490),
    [aux_sym_canonical_domains_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2490),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2490),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2490),
    [aux_sym_certificate_file_token1] = ACTIONS(2490),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2490),
    [aux_sym_channel_timeout_token1] = ACTIONS(2490),
    [aux_sym_check_host_ip_token1] = ACTIONS(2490),
    [aux_sym_ciphers_token1] = ACTIONS(2490),
    [aux_sym_cipher_token1] = ACTIONS(2492),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2490),
    [aux_sym_compression_token1] = ACTIONS(2490),
    [aux_sym_connection_attempts_token1] = ACTIONS(2490),
    [aux_sym_connect_timeout_token1] = ACTIONS(2490),
    [aux_sym_control_master_token1] = ACTIONS(2490),
    [aux_sym_control_path_token1] = ACTIONS(2490),
    [aux_sym_control_persist_token1] = ACTIONS(2490),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2490),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2490),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2490),
    [aux_sym_escape_char_token1] = ACTIONS(2490),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2490),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2490),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2490),
    [aux_sym_forward_agent_token1] = ACTIONS(2490),
    [aux_sym_forward_x11_token1] = ACTIONS(2492),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2490),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2490),
    [aux_sym_gateway_ports_token1] = ACTIONS(2490),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2490),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2490),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2490),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2490),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2490),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2490),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2490),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2490),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2490),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2490),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2490),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2490),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2490),
    [aux_sym_host_key_alias_token1] = ACTIONS(2490),
    [aux_sym_hostname_token1] = ACTIONS(2490),
    [aux_sym_identities_only_token1] = ACTIONS(2490),
    [aux_sym_identity_agent_token1] = ACTIONS(2490),
    [aux_sym_identity_file_token1] = ACTIONS(2490),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2490),
    [aux_sym_include_token1] = ACTIONS(2490),
    [aux_sym_ip_qos_token1] = ACTIONS(2490),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2490),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2490),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2490),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2490),
    [aux_sym_local_command_token1] = ACTIONS(2490),
    [aux_sym_local_forward_token1] = ACTIONS(2490),
    [aux_sym_log_level_token1] = ACTIONS(2490),
    [aux_sym_log_verbose_token1] = ACTIONS(2490),
    [aux_sym_macs_token1] = ACTIONS(2490),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2490),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2490),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2490),
    [aux_sym_password_authentication_token1] = ACTIONS(2490),
    [aux_sym_permit_local_command_token1] = ACTIONS(2490),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2490),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2490),
    [aux_sym_port_token1] = ACTIONS(2490),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2490),
    [aux_sym_protocol_token1] = ACTIONS(2490),
    [aux_sym_proxy_command_token1] = ACTIONS(2490),
    [aux_sym_proxy_jump_token1] = ACTIONS(2490),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2490),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2490),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2490),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2490),
    [aux_sym_rekey_limit_token1] = ACTIONS(2490),
    [aux_sym_remote_command_token1] = ACTIONS(2490),
    [aux_sym_remote_forward_token1] = ACTIONS(2490),
    [aux_sym_request_tty_token1] = ACTIONS(2490),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2490),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2490),
    [aux_sym_security_key_provider_token1] = ACTIONS(2490),
    [aux_sym_send_env_token1] = ACTIONS(2490),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2490),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2490),
    [aux_sym_session_type_token1] = ACTIONS(2490),
    [aux_sym_set_env_token1] = ACTIONS(2490),
    [aux_sym_stdin_null_token1] = ACTIONS(2490),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2490),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2490),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2490),
    [aux_sym_syslog_facility_token1] = ACTIONS(2490),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2490),
    [aux_sym_keep_alive_token1] = ACTIONS(2490),
    [aux_sym_tag_token1] = ACTIONS(2490),
    [aux_sym_tunnel_token1] = ACTIONS(2492),
    [aux_sym_tunnel_device_token1] = ACTIONS(2490),
    [aux_sym_update_host_keys_token1] = ACTIONS(2490),
    [aux_sym_use_keychain_token1] = ACTIONS(2490),
    [aux_sym_use_roaming_token1] = ACTIONS(2490),
    [aux_sym_user_token1] = ACTIONS(2492),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2490),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2490),
    [aux_sym_version_addendum_token1] = ACTIONS(2490),
    [aux_sym_visual_host_key_token1] = ACTIONS(2490),
    [aux_sym_xauth_location_token1] = ACTIONS(2490),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2498),
    [aux_sym_match_token1] = ACTIONS(2496),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2496),
    [aux_sym_address_family_token1] = ACTIONS(2496),
    [aux_sym_batch_mode_token1] = ACTIONS(2496),
    [aux_sym_bind_address_token1] = ACTIONS(2496),
    [aux_sym_bind_interface_token1] = ACTIONS(2496),
    [aux_sym_canonical_domains_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2496),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2496),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2496),
    [aux_sym_certificate_file_token1] = ACTIONS(2496),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2496),
    [aux_sym_channel_timeout_token1] = ACTIONS(2496),
    [aux_sym_check_host_ip_token1] = ACTIONS(2496),
    [aux_sym_ciphers_token1] = ACTIONS(2496),
    [aux_sym_cipher_token1] = ACTIONS(2498),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2496),
    [aux_sym_compression_token1] = ACTIONS(2496),
    [aux_sym_connection_attempts_token1] = ACTIONS(2496),
    [aux_sym_connect_timeout_token1] = ACTIONS(2496),
    [aux_sym_control_master_token1] = ACTIONS(2496),
    [aux_sym_control_path_token1] = ACTIONS(2496),
    [aux_sym_control_persist_token1] = ACTIONS(2496),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2496),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2496),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2496),
    [aux_sym_escape_char_token1] = ACTIONS(2496),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2496),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2496),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2496),
    [aux_sym_forward_agent_token1] = ACTIONS(2496),
    [aux_sym_forward_x11_token1] = ACTIONS(2498),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2496),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2496),
    [aux_sym_gateway_ports_token1] = ACTIONS(2496),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2496),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2496),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2496),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2496),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2496),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2496),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2496),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2496),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2496),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2496),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2496),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2496),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2496),
    [aux_sym_host_key_alias_token1] = ACTIONS(2496),
    [aux_sym_hostname_token1] = ACTIONS(2496),
    [aux_sym_identities_only_token1] = ACTIONS(2496),
    [aux_sym_identity_agent_token1] = ACTIONS(2496),
    [aux_sym_identity_file_token1] = ACTIONS(2496),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2496),
    [aux_sym_include_token1] = ACTIONS(2496),
    [aux_sym_ip_qos_token1] = ACTIONS(2496),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2496),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2496),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2496),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2496),
    [aux_sym_local_command_token1] = ACTIONS(2496),
    [aux_sym_local_forward_token1] = ACTIONS(2496),
    [aux_sym_log_level_token1] = ACTIONS(2496),
    [aux_sym_log_verbose_token1] = ACTIONS(2496),
    [aux_sym_macs_token1] = ACTIONS(2496),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2496),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2496),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2496),
    [aux_sym_password_authentication_token1] = ACTIONS(2496),
    [aux_sym_permit_local_command_token1] = ACTIONS(2496),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2496),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2496),
    [aux_sym_port_token1] = ACTIONS(2496),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2496),
    [aux_sym_protocol_token1] = ACTIONS(2496),
    [aux_sym_proxy_command_token1] = ACTIONS(2496),
    [aux_sym_proxy_jump_token1] = ACTIONS(2496),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2496),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2496),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2496),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2496),
    [aux_sym_rekey_limit_token1] = ACTIONS(2496),
    [aux_sym_remote_command_token1] = ACTIONS(2496),
    [aux_sym_remote_forward_token1] = ACTIONS(2496),
    [aux_sym_request_tty_token1] = ACTIONS(2496),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2496),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2496),
    [aux_sym_security_key_provider_token1] = ACTIONS(2496),
    [aux_sym_send_env_token1] = ACTIONS(2496),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2496),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2496),
    [aux_sym_session_type_token1] = ACTIONS(2496),
    [aux_sym_set_env_token1] = ACTIONS(2496),
    [aux_sym_stdin_null_token1] = ACTIONS(2496),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2496),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2496),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2496),
    [aux_sym_syslog_facility_token1] = ACTIONS(2496),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2496),
    [aux_sym_keep_alive_token1] = ACTIONS(2496),
    [aux_sym_tag_token1] = ACTIONS(2496),
    [aux_sym_tunnel_token1] = ACTIONS(2498),
    [aux_sym_tunnel_device_token1] = ACTIONS(2496),
    [aux_sym_update_host_keys_token1] = ACTIONS(2496),
    [aux_sym_use_keychain_token1] = ACTIONS(2496),
    [aux_sym_use_roaming_token1] = ACTIONS(2496),
    [aux_sym_user_token1] = ACTIONS(2498),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2496),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2496),
    [aux_sym_version_addendum_token1] = ACTIONS(2496),
    [aux_sym_visual_host_key_token1] = ACTIONS(2496),
    [aux_sym_xauth_location_token1] = ACTIONS(2496),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1844),
    [aux_sym_match_token1] = ACTIONS(1842),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1842),
    [aux_sym_address_family_token1] = ACTIONS(1842),
    [aux_sym_batch_mode_token1] = ACTIONS(1842),
    [aux_sym_bind_address_token1] = ACTIONS(1842),
    [aux_sym_bind_interface_token1] = ACTIONS(1842),
    [aux_sym_canonical_domains_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1842),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1842),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1842),
    [aux_sym_certificate_file_token1] = ACTIONS(1842),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1842),
    [aux_sym_channel_timeout_token1] = ACTIONS(1842),
    [aux_sym_check_host_ip_token1] = ACTIONS(1842),
    [aux_sym_ciphers_token1] = ACTIONS(1842),
    [aux_sym_cipher_token1] = ACTIONS(1844),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1842),
    [aux_sym_compression_token1] = ACTIONS(1842),
    [aux_sym_connection_attempts_token1] = ACTIONS(1842),
    [aux_sym_connect_timeout_token1] = ACTIONS(1842),
    [aux_sym_control_master_token1] = ACTIONS(1842),
    [aux_sym_control_path_token1] = ACTIONS(1842),
    [aux_sym_control_persist_token1] = ACTIONS(1842),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1842),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1842),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1842),
    [aux_sym_escape_char_token1] = ACTIONS(1842),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1842),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1842),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1842),
    [aux_sym_forward_agent_token1] = ACTIONS(1842),
    [aux_sym_forward_x11_token1] = ACTIONS(1844),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1842),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1842),
    [aux_sym_gateway_ports_token1] = ACTIONS(1842),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1842),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1842),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1842),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1842),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1842),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1842),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1842),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1842),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1842),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1842),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1842),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1842),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1842),
    [aux_sym_host_key_alias_token1] = ACTIONS(1842),
    [aux_sym_hostname_token1] = ACTIONS(1842),
    [aux_sym_identities_only_token1] = ACTIONS(1842),
    [aux_sym_identity_agent_token1] = ACTIONS(1842),
    [aux_sym_identity_file_token1] = ACTIONS(1842),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1842),
    [aux_sym_include_token1] = ACTIONS(1842),
    [aux_sym_ip_qos_token1] = ACTIONS(1842),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1842),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1842),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1842),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1842),
    [aux_sym_local_command_token1] = ACTIONS(1842),
    [aux_sym_local_forward_token1] = ACTIONS(1842),
    [aux_sym_log_level_token1] = ACTIONS(1842),
    [aux_sym_log_verbose_token1] = ACTIONS(1842),
    [aux_sym_macs_token1] = ACTIONS(1842),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1842),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1842),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1842),
    [aux_sym_password_authentication_token1] = ACTIONS(1842),
    [aux_sym_permit_local_command_token1] = ACTIONS(1842),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1842),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1842),
    [aux_sym_port_token1] = ACTIONS(1842),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1842),
    [aux_sym_protocol_token1] = ACTIONS(1842),
    [aux_sym_proxy_command_token1] = ACTIONS(1842),
    [aux_sym_proxy_jump_token1] = ACTIONS(1842),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1842),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1842),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1842),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1842),
    [aux_sym_rekey_limit_token1] = ACTIONS(1842),
    [aux_sym_remote_command_token1] = ACTIONS(1842),
    [aux_sym_remote_forward_token1] = ACTIONS(1842),
    [aux_sym_request_tty_token1] = ACTIONS(1842),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1842),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1842),
    [aux_sym_security_key_provider_token1] = ACTIONS(1842),
    [aux_sym_send_env_token1] = ACTIONS(1842),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1842),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1842),
    [aux_sym_session_type_token1] = ACTIONS(1842),
    [aux_sym_set_env_token1] = ACTIONS(1842),
    [aux_sym_stdin_null_token1] = ACTIONS(1842),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1842),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1842),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1842),
    [aux_sym_syslog_facility_token1] = ACTIONS(1842),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1842),
    [aux_sym_keep_alive_token1] = ACTIONS(1842),
    [aux_sym_tag_token1] = ACTIONS(1842),
    [aux_sym_tunnel_token1] = ACTIONS(1844),
    [aux_sym_tunnel_device_token1] = ACTIONS(1842),
    [aux_sym_update_host_keys_token1] = ACTIONS(1842),
    [aux_sym_use_keychain_token1] = ACTIONS(1842),
    [aux_sym_use_roaming_token1] = ACTIONS(1842),
    [aux_sym_user_token1] = ACTIONS(1844),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1842),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1842),
    [aux_sym_version_addendum_token1] = ACTIONS(1842),
    [aux_sym_visual_host_key_token1] = ACTIONS(1842),
    [aux_sym_xauth_location_token1] = ACTIONS(1842),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2504),
    [aux_sym_match_token1] = ACTIONS(2502),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2502),
    [aux_sym_address_family_token1] = ACTIONS(2502),
    [aux_sym_batch_mode_token1] = ACTIONS(2502),
    [aux_sym_bind_address_token1] = ACTIONS(2502),
    [aux_sym_bind_interface_token1] = ACTIONS(2502),
    [aux_sym_canonical_domains_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2502),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2502),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2502),
    [aux_sym_certificate_file_token1] = ACTIONS(2502),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2502),
    [aux_sym_channel_timeout_token1] = ACTIONS(2502),
    [aux_sym_check_host_ip_token1] = ACTIONS(2502),
    [aux_sym_ciphers_token1] = ACTIONS(2502),
    [aux_sym_cipher_token1] = ACTIONS(2504),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2502),
    [aux_sym_compression_token1] = ACTIONS(2502),
    [aux_sym_connection_attempts_token1] = ACTIONS(2502),
    [aux_sym_connect_timeout_token1] = ACTIONS(2502),
    [aux_sym_control_master_token1] = ACTIONS(2502),
    [aux_sym_control_path_token1] = ACTIONS(2502),
    [aux_sym_control_persist_token1] = ACTIONS(2502),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2502),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2502),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2502),
    [aux_sym_escape_char_token1] = ACTIONS(2502),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2502),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2502),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2502),
    [aux_sym_forward_agent_token1] = ACTIONS(2502),
    [aux_sym_forward_x11_token1] = ACTIONS(2504),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2502),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2502),
    [aux_sym_gateway_ports_token1] = ACTIONS(2502),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2502),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2502),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2502),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2502),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2502),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2502),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2502),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2502),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2502),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2502),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2502),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2502),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2502),
    [aux_sym_host_key_alias_token1] = ACTIONS(2502),
    [aux_sym_hostname_token1] = ACTIONS(2502),
    [aux_sym_identities_only_token1] = ACTIONS(2502),
    [aux_sym_identity_agent_token1] = ACTIONS(2502),
    [aux_sym_identity_file_token1] = ACTIONS(2502),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2502),
    [aux_sym_include_token1] = ACTIONS(2502),
    [aux_sym_ip_qos_token1] = ACTIONS(2502),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2502),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2502),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2502),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2502),
    [aux_sym_local_command_token1] = ACTIONS(2502),
    [aux_sym_local_forward_token1] = ACTIONS(2502),
    [aux_sym_log_level_token1] = ACTIONS(2502),
    [aux_sym_log_verbose_token1] = ACTIONS(2502),
    [aux_sym_macs_token1] = ACTIONS(2502),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2502),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2502),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2502),
    [aux_sym_password_authentication_token1] = ACTIONS(2502),
    [aux_sym_permit_local_command_token1] = ACTIONS(2502),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2502),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2502),
    [aux_sym_port_token1] = ACTIONS(2502),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2502),
    [aux_sym_protocol_token1] = ACTIONS(2502),
    [aux_sym_proxy_command_token1] = ACTIONS(2502),
    [aux_sym_proxy_jump_token1] = ACTIONS(2502),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2502),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2502),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2502),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2502),
    [aux_sym_rekey_limit_token1] = ACTIONS(2502),
    [aux_sym_remote_command_token1] = ACTIONS(2502),
    [aux_sym_remote_forward_token1] = ACTIONS(2502),
    [aux_sym_request_tty_token1] = ACTIONS(2502),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2502),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2502),
    [aux_sym_security_key_provider_token1] = ACTIONS(2502),
    [aux_sym_send_env_token1] = ACTIONS(2502),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2502),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2502),
    [aux_sym_session_type_token1] = ACTIONS(2502),
    [aux_sym_set_env_token1] = ACTIONS(2502),
    [aux_sym_stdin_null_token1] = ACTIONS(2502),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2502),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2502),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2502),
    [aux_sym_syslog_facility_token1] = ACTIONS(2502),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2502),
    [aux_sym_keep_alive_token1] = ACTIONS(2502),
    [aux_sym_tag_token1] = ACTIONS(2502),
    [aux_sym_tunnel_token1] = ACTIONS(2504),
    [aux_sym_tunnel_device_token1] = ACTIONS(2502),
    [aux_sym_update_host_keys_token1] = ACTIONS(2502),
    [aux_sym_use_keychain_token1] = ACTIONS(2502),
    [aux_sym_use_roaming_token1] = ACTIONS(2502),
    [aux_sym_user_token1] = ACTIONS(2504),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2502),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2502),
    [aux_sym_version_addendum_token1] = ACTIONS(2502),
    [aux_sym_visual_host_key_token1] = ACTIONS(2502),
    [aux_sym_xauth_location_token1] = ACTIONS(2502),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2510),
    [aux_sym_match_token1] = ACTIONS(2508),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2508),
    [aux_sym_address_family_token1] = ACTIONS(2508),
    [aux_sym_batch_mode_token1] = ACTIONS(2508),
    [aux_sym_bind_address_token1] = ACTIONS(2508),
    [aux_sym_bind_interface_token1] = ACTIONS(2508),
    [aux_sym_canonical_domains_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2508),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2508),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2508),
    [aux_sym_certificate_file_token1] = ACTIONS(2508),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2508),
    [aux_sym_channel_timeout_token1] = ACTIONS(2508),
    [aux_sym_check_host_ip_token1] = ACTIONS(2508),
    [aux_sym_ciphers_token1] = ACTIONS(2508),
    [aux_sym_cipher_token1] = ACTIONS(2510),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2508),
    [aux_sym_compression_token1] = ACTIONS(2508),
    [aux_sym_connection_attempts_token1] = ACTIONS(2508),
    [aux_sym_connect_timeout_token1] = ACTIONS(2508),
    [aux_sym_control_master_token1] = ACTIONS(2508),
    [aux_sym_control_path_token1] = ACTIONS(2508),
    [aux_sym_control_persist_token1] = ACTIONS(2508),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2508),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2508),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2508),
    [aux_sym_escape_char_token1] = ACTIONS(2508),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2508),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2508),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2508),
    [aux_sym_forward_agent_token1] = ACTIONS(2508),
    [aux_sym_forward_x11_token1] = ACTIONS(2510),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2508),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2508),
    [aux_sym_gateway_ports_token1] = ACTIONS(2508),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2508),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2508),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2508),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2508),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2508),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2508),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2508),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2508),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2508),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2508),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2508),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2508),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2508),
    [aux_sym_host_key_alias_token1] = ACTIONS(2508),
    [aux_sym_hostname_token1] = ACTIONS(2508),
    [aux_sym_identities_only_token1] = ACTIONS(2508),
    [aux_sym_identity_agent_token1] = ACTIONS(2508),
    [aux_sym_identity_file_token1] = ACTIONS(2508),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2508),
    [aux_sym_include_token1] = ACTIONS(2508),
    [aux_sym_ip_qos_token1] = ACTIONS(2508),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2508),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2508),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2508),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2508),
    [aux_sym_local_command_token1] = ACTIONS(2508),
    [aux_sym_local_forward_token1] = ACTIONS(2508),
    [aux_sym_log_level_token1] = ACTIONS(2508),
    [aux_sym_log_verbose_token1] = ACTIONS(2508),
    [aux_sym_macs_token1] = ACTIONS(2508),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2508),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2508),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2508),
    [aux_sym_password_authentication_token1] = ACTIONS(2508),
    [aux_sym_permit_local_command_token1] = ACTIONS(2508),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2508),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2508),
    [aux_sym_port_token1] = ACTIONS(2508),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2508),
    [aux_sym_protocol_token1] = ACTIONS(2508),
    [aux_sym_proxy_command_token1] = ACTIONS(2508),
    [aux_sym_proxy_jump_token1] = ACTIONS(2508),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2508),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2508),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2508),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2508),
    [aux_sym_rekey_limit_token1] = ACTIONS(2508),
    [aux_sym_remote_command_token1] = ACTIONS(2508),
    [aux_sym_remote_forward_token1] = ACTIONS(2508),
    [aux_sym_request_tty_token1] = ACTIONS(2508),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2508),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2508),
    [aux_sym_security_key_provider_token1] = ACTIONS(2508),
    [aux_sym_send_env_token1] = ACTIONS(2508),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2508),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2508),
    [aux_sym_session_type_token1] = ACTIONS(2508),
    [aux_sym_set_env_token1] = ACTIONS(2508),
    [aux_sym_stdin_null_token1] = ACTIONS(2508),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2508),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2508),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2508),
    [aux_sym_syslog_facility_token1] = ACTIONS(2508),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2508),
    [aux_sym_keep_alive_token1] = ACTIONS(2508),
    [aux_sym_tag_token1] = ACTIONS(2508),
    [aux_sym_tunnel_token1] = ACTIONS(2510),
    [aux_sym_tunnel_device_token1] = ACTIONS(2508),
    [aux_sym_update_host_keys_token1] = ACTIONS(2508),
    [aux_sym_use_keychain_token1] = ACTIONS(2508),
    [aux_sym_use_roaming_token1] = ACTIONS(2508),
    [aux_sym_user_token1] = ACTIONS(2510),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2508),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2508),
    [aux_sym_version_addendum_token1] = ACTIONS(2508),
    [aux_sym_visual_host_key_token1] = ACTIONS(2508),
    [aux_sym_xauth_location_token1] = ACTIONS(2508),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1850),
    [aux_sym_match_token1] = ACTIONS(1848),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1848),
    [aux_sym_address_family_token1] = ACTIONS(1848),
    [aux_sym_batch_mode_token1] = ACTIONS(1848),
    [aux_sym_bind_address_token1] = ACTIONS(1848),
    [aux_sym_bind_interface_token1] = ACTIONS(1848),
    [aux_sym_canonical_domains_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1848),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1848),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1848),
    [aux_sym_certificate_file_token1] = ACTIONS(1848),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1848),
    [aux_sym_channel_timeout_token1] = ACTIONS(1848),
    [aux_sym_check_host_ip_token1] = ACTIONS(1848),
    [aux_sym_ciphers_token1] = ACTIONS(1848),
    [aux_sym_cipher_token1] = ACTIONS(1850),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1848),
    [aux_sym_compression_token1] = ACTIONS(1848),
    [aux_sym_connection_attempts_token1] = ACTIONS(1848),
    [aux_sym_connect_timeout_token1] = ACTIONS(1848),
    [aux_sym_control_master_token1] = ACTIONS(1848),
    [aux_sym_control_path_token1] = ACTIONS(1848),
    [aux_sym_control_persist_token1] = ACTIONS(1848),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1848),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1848),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1848),
    [aux_sym_escape_char_token1] = ACTIONS(1848),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1848),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1848),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1848),
    [aux_sym_forward_agent_token1] = ACTIONS(1848),
    [aux_sym_forward_x11_token1] = ACTIONS(1850),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1848),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1848),
    [aux_sym_gateway_ports_token1] = ACTIONS(1848),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1848),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1848),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1848),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1848),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1848),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1848),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1848),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1848),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1848),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1848),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1848),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1848),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1848),
    [aux_sym_host_key_alias_token1] = ACTIONS(1848),
    [aux_sym_hostname_token1] = ACTIONS(1848),
    [aux_sym_identities_only_token1] = ACTIONS(1848),
    [aux_sym_identity_agent_token1] = ACTIONS(1848),
    [aux_sym_identity_file_token1] = ACTIONS(1848),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1848),
    [aux_sym_include_token1] = ACTIONS(1848),
    [aux_sym_ip_qos_token1] = ACTIONS(1848),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1848),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1848),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1848),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1848),
    [aux_sym_local_command_token1] = ACTIONS(1848),
    [aux_sym_local_forward_token1] = ACTIONS(1848),
    [aux_sym_log_level_token1] = ACTIONS(1848),
    [aux_sym_log_verbose_token1] = ACTIONS(1848),
    [aux_sym_macs_token1] = ACTIONS(1848),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1848),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1848),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1848),
    [aux_sym_password_authentication_token1] = ACTIONS(1848),
    [aux_sym_permit_local_command_token1] = ACTIONS(1848),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1848),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1848),
    [aux_sym_port_token1] = ACTIONS(1848),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1848),
    [aux_sym_protocol_token1] = ACTIONS(1848),
    [aux_sym_proxy_command_token1] = ACTIONS(1848),
    [aux_sym_proxy_jump_token1] = ACTIONS(1848),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1848),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1848),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1848),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1848),
    [aux_sym_rekey_limit_token1] = ACTIONS(1848),
    [aux_sym_remote_command_token1] = ACTIONS(1848),
    [aux_sym_remote_forward_token1] = ACTIONS(1848),
    [aux_sym_request_tty_token1] = ACTIONS(1848),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1848),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1848),
    [aux_sym_security_key_provider_token1] = ACTIONS(1848),
    [aux_sym_send_env_token1] = ACTIONS(1848),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1848),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1848),
    [aux_sym_session_type_token1] = ACTIONS(1848),
    [aux_sym_set_env_token1] = ACTIONS(1848),
    [aux_sym_stdin_null_token1] = ACTIONS(1848),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1848),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1848),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1848),
    [aux_sym_syslog_facility_token1] = ACTIONS(1848),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1848),
    [aux_sym_keep_alive_token1] = ACTIONS(1848),
    [aux_sym_tag_token1] = ACTIONS(1848),
    [aux_sym_tunnel_token1] = ACTIONS(1850),
    [aux_sym_tunnel_device_token1] = ACTIONS(1848),
    [aux_sym_update_host_keys_token1] = ACTIONS(1848),
    [aux_sym_use_keychain_token1] = ACTIONS(1848),
    [aux_sym_use_roaming_token1] = ACTIONS(1848),
    [aux_sym_user_token1] = ACTIONS(1850),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1848),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1848),
    [aux_sym_version_addendum_token1] = ACTIONS(1848),
    [aux_sym_visual_host_key_token1] = ACTIONS(1848),
    [aux_sym_xauth_location_token1] = ACTIONS(1848),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2516),
    [aux_sym_match_token1] = ACTIONS(2514),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2514),
    [aux_sym_address_family_token1] = ACTIONS(2514),
    [aux_sym_batch_mode_token1] = ACTIONS(2514),
    [aux_sym_bind_address_token1] = ACTIONS(2514),
    [aux_sym_bind_interface_token1] = ACTIONS(2514),
    [aux_sym_canonical_domains_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2514),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2514),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2514),
    [aux_sym_certificate_file_token1] = ACTIONS(2514),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2514),
    [aux_sym_channel_timeout_token1] = ACTIONS(2514),
    [aux_sym_check_host_ip_token1] = ACTIONS(2514),
    [aux_sym_ciphers_token1] = ACTIONS(2514),
    [aux_sym_cipher_token1] = ACTIONS(2516),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2514),
    [aux_sym_compression_token1] = ACTIONS(2514),
    [aux_sym_connection_attempts_token1] = ACTIONS(2514),
    [aux_sym_connect_timeout_token1] = ACTIONS(2514),
    [aux_sym_control_master_token1] = ACTIONS(2514),
    [aux_sym_control_path_token1] = ACTIONS(2514),
    [aux_sym_control_persist_token1] = ACTIONS(2514),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2514),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2514),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2514),
    [aux_sym_escape_char_token1] = ACTIONS(2514),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2514),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2514),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2514),
    [aux_sym_forward_agent_token1] = ACTIONS(2514),
    [aux_sym_forward_x11_token1] = ACTIONS(2516),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2514),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2514),
    [aux_sym_gateway_ports_token1] = ACTIONS(2514),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2514),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2514),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2514),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2514),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2514),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2514),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2514),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2514),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2514),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2514),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2514),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2514),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2514),
    [aux_sym_host_key_alias_token1] = ACTIONS(2514),
    [aux_sym_hostname_token1] = ACTIONS(2514),
    [aux_sym_identities_only_token1] = ACTIONS(2514),
    [aux_sym_identity_agent_token1] = ACTIONS(2514),
    [aux_sym_identity_file_token1] = ACTIONS(2514),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2514),
    [aux_sym_include_token1] = ACTIONS(2514),
    [aux_sym_ip_qos_token1] = ACTIONS(2514),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2514),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2514),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2514),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2514),
    [aux_sym_local_command_token1] = ACTIONS(2514),
    [aux_sym_local_forward_token1] = ACTIONS(2514),
    [aux_sym_log_level_token1] = ACTIONS(2514),
    [aux_sym_log_verbose_token1] = ACTIONS(2514),
    [aux_sym_macs_token1] = ACTIONS(2514),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2514),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2514),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2514),
    [aux_sym_password_authentication_token1] = ACTIONS(2514),
    [aux_sym_permit_local_command_token1] = ACTIONS(2514),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2514),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2514),
    [aux_sym_port_token1] = ACTIONS(2514),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2514),
    [aux_sym_protocol_token1] = ACTIONS(2514),
    [aux_sym_proxy_command_token1] = ACTIONS(2514),
    [aux_sym_proxy_jump_token1] = ACTIONS(2514),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2514),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2514),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2514),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2514),
    [aux_sym_rekey_limit_token1] = ACTIONS(2514),
    [aux_sym_remote_command_token1] = ACTIONS(2514),
    [aux_sym_remote_forward_token1] = ACTIONS(2514),
    [aux_sym_request_tty_token1] = ACTIONS(2514),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2514),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2514),
    [aux_sym_security_key_provider_token1] = ACTIONS(2514),
    [aux_sym_send_env_token1] = ACTIONS(2514),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2514),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2514),
    [aux_sym_session_type_token1] = ACTIONS(2514),
    [aux_sym_set_env_token1] = ACTIONS(2514),
    [aux_sym_stdin_null_token1] = ACTIONS(2514),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2514),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2514),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2514),
    [aux_sym_syslog_facility_token1] = ACTIONS(2514),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2514),
    [aux_sym_keep_alive_token1] = ACTIONS(2514),
    [aux_sym_tag_token1] = ACTIONS(2514),
    [aux_sym_tunnel_token1] = ACTIONS(2516),
    [aux_sym_tunnel_device_token1] = ACTIONS(2514),
    [aux_sym_update_host_keys_token1] = ACTIONS(2514),
    [aux_sym_use_keychain_token1] = ACTIONS(2514),
    [aux_sym_use_roaming_token1] = ACTIONS(2514),
    [aux_sym_user_token1] = ACTIONS(2516),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2514),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2514),
    [aux_sym_version_addendum_token1] = ACTIONS(2514),
    [aux_sym_visual_host_key_token1] = ACTIONS(2514),
    [aux_sym_xauth_location_token1] = ACTIONS(2514),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2522),
    [aux_sym_match_token1] = ACTIONS(2520),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2520),
    [aux_sym_address_family_token1] = ACTIONS(2520),
    [aux_sym_batch_mode_token1] = ACTIONS(2520),
    [aux_sym_bind_address_token1] = ACTIONS(2520),
    [aux_sym_bind_interface_token1] = ACTIONS(2520),
    [aux_sym_canonical_domains_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2520),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2520),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2520),
    [aux_sym_certificate_file_token1] = ACTIONS(2520),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2520),
    [aux_sym_channel_timeout_token1] = ACTIONS(2520),
    [aux_sym_check_host_ip_token1] = ACTIONS(2520),
    [aux_sym_ciphers_token1] = ACTIONS(2520),
    [aux_sym_cipher_token1] = ACTIONS(2522),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2520),
    [aux_sym_compression_token1] = ACTIONS(2520),
    [aux_sym_connection_attempts_token1] = ACTIONS(2520),
    [aux_sym_connect_timeout_token1] = ACTIONS(2520),
    [aux_sym_control_master_token1] = ACTIONS(2520),
    [aux_sym_control_path_token1] = ACTIONS(2520),
    [aux_sym_control_persist_token1] = ACTIONS(2520),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2520),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2520),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2520),
    [aux_sym_escape_char_token1] = ACTIONS(2520),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2520),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2520),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2520),
    [aux_sym_forward_agent_token1] = ACTIONS(2520),
    [aux_sym_forward_x11_token1] = ACTIONS(2522),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2520),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2520),
    [aux_sym_gateway_ports_token1] = ACTIONS(2520),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2520),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2520),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2520),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2520),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2520),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2520),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2520),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2520),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2520),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2520),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2520),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2520),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2520),
    [aux_sym_host_key_alias_token1] = ACTIONS(2520),
    [aux_sym_hostname_token1] = ACTIONS(2520),
    [aux_sym_identities_only_token1] = ACTIONS(2520),
    [aux_sym_identity_agent_token1] = ACTIONS(2520),
    [aux_sym_identity_file_token1] = ACTIONS(2520),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2520),
    [aux_sym_include_token1] = ACTIONS(2520),
    [aux_sym_ip_qos_token1] = ACTIONS(2520),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2520),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2520),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2520),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2520),
    [aux_sym_local_command_token1] = ACTIONS(2520),
    [aux_sym_local_forward_token1] = ACTIONS(2520),
    [aux_sym_log_level_token1] = ACTIONS(2520),
    [aux_sym_log_verbose_token1] = ACTIONS(2520),
    [aux_sym_macs_token1] = ACTIONS(2520),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2520),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2520),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2520),
    [aux_sym_password_authentication_token1] = ACTIONS(2520),
    [aux_sym_permit_local_command_token1] = ACTIONS(2520),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2520),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2520),
    [aux_sym_port_token1] = ACTIONS(2520),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2520),
    [aux_sym_protocol_token1] = ACTIONS(2520),
    [aux_sym_proxy_command_token1] = ACTIONS(2520),
    [aux_sym_proxy_jump_token1] = ACTIONS(2520),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2520),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2520),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2520),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2520),
    [aux_sym_rekey_limit_token1] = ACTIONS(2520),
    [aux_sym_remote_command_token1] = ACTIONS(2520),
    [aux_sym_remote_forward_token1] = ACTIONS(2520),
    [aux_sym_request_tty_token1] = ACTIONS(2520),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2520),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2520),
    [aux_sym_security_key_provider_token1] = ACTIONS(2520),
    [aux_sym_send_env_token1] = ACTIONS(2520),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2520),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2520),
    [aux_sym_session_type_token1] = ACTIONS(2520),
    [aux_sym_set_env_token1] = ACTIONS(2520),
    [aux_sym_stdin_null_token1] = ACTIONS(2520),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2520),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2520),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2520),
    [aux_sym_syslog_facility_token1] = ACTIONS(2520),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2520),
    [aux_sym_keep_alive_token1] = ACTIONS(2520),
    [aux_sym_tag_token1] = ACTIONS(2520),
    [aux_sym_tunnel_token1] = ACTIONS(2522),
    [aux_sym_tunnel_device_token1] = ACTIONS(2520),
    [aux_sym_update_host_keys_token1] = ACTIONS(2520),
    [aux_sym_use_keychain_token1] = ACTIONS(2520),
    [aux_sym_use_roaming_token1] = ACTIONS(2520),
    [aux_sym_user_token1] = ACTIONS(2522),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2520),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2520),
    [aux_sym_version_addendum_token1] = ACTIONS(2520),
    [aux_sym_visual_host_key_token1] = ACTIONS(2520),
    [aux_sym_xauth_location_token1] = ACTIONS(2520),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1856),
    [aux_sym_match_token1] = ACTIONS(1854),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1854),
    [aux_sym_address_family_token1] = ACTIONS(1854),
    [aux_sym_batch_mode_token1] = ACTIONS(1854),
    [aux_sym_bind_address_token1] = ACTIONS(1854),
    [aux_sym_bind_interface_token1] = ACTIONS(1854),
    [aux_sym_canonical_domains_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1854),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1854),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1854),
    [aux_sym_certificate_file_token1] = ACTIONS(1854),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1854),
    [aux_sym_channel_timeout_token1] = ACTIONS(1854),
    [aux_sym_check_host_ip_token1] = ACTIONS(1854),
    [aux_sym_ciphers_token1] = ACTIONS(1854),
    [aux_sym_cipher_token1] = ACTIONS(1856),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1854),
    [aux_sym_compression_token1] = ACTIONS(1854),
    [aux_sym_connection_attempts_token1] = ACTIONS(1854),
    [aux_sym_connect_timeout_token1] = ACTIONS(1854),
    [aux_sym_control_master_token1] = ACTIONS(1854),
    [aux_sym_control_path_token1] = ACTIONS(1854),
    [aux_sym_control_persist_token1] = ACTIONS(1854),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1854),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1854),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1854),
    [aux_sym_escape_char_token1] = ACTIONS(1854),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1854),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1854),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1854),
    [aux_sym_forward_agent_token1] = ACTIONS(1854),
    [aux_sym_forward_x11_token1] = ACTIONS(1856),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1854),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1854),
    [aux_sym_gateway_ports_token1] = ACTIONS(1854),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1854),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1854),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1854),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1854),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1854),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1854),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1854),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1854),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1854),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1854),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1854),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1854),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1854),
    [aux_sym_host_key_alias_token1] = ACTIONS(1854),
    [aux_sym_hostname_token1] = ACTIONS(1854),
    [aux_sym_identities_only_token1] = ACTIONS(1854),
    [aux_sym_identity_agent_token1] = ACTIONS(1854),
    [aux_sym_identity_file_token1] = ACTIONS(1854),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1854),
    [aux_sym_include_token1] = ACTIONS(1854),
    [aux_sym_ip_qos_token1] = ACTIONS(1854),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1854),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1854),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1854),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1854),
    [aux_sym_local_command_token1] = ACTIONS(1854),
    [aux_sym_local_forward_token1] = ACTIONS(1854),
    [aux_sym_log_level_token1] = ACTIONS(1854),
    [aux_sym_log_verbose_token1] = ACTIONS(1854),
    [aux_sym_macs_token1] = ACTIONS(1854),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1854),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1854),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1854),
    [aux_sym_password_authentication_token1] = ACTIONS(1854),
    [aux_sym_permit_local_command_token1] = ACTIONS(1854),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1854),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1854),
    [aux_sym_port_token1] = ACTIONS(1854),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1854),
    [aux_sym_protocol_token1] = ACTIONS(1854),
    [aux_sym_proxy_command_token1] = ACTIONS(1854),
    [aux_sym_proxy_jump_token1] = ACTIONS(1854),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1854),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1854),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1854),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1854),
    [aux_sym_rekey_limit_token1] = ACTIONS(1854),
    [aux_sym_remote_command_token1] = ACTIONS(1854),
    [aux_sym_remote_forward_token1] = ACTIONS(1854),
    [aux_sym_request_tty_token1] = ACTIONS(1854),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1854),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1854),
    [aux_sym_security_key_provider_token1] = ACTIONS(1854),
    [aux_sym_send_env_token1] = ACTIONS(1854),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1854),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1854),
    [aux_sym_session_type_token1] = ACTIONS(1854),
    [aux_sym_set_env_token1] = ACTIONS(1854),
    [aux_sym_stdin_null_token1] = ACTIONS(1854),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1854),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1854),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1854),
    [aux_sym_syslog_facility_token1] = ACTIONS(1854),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1854),
    [aux_sym_keep_alive_token1] = ACTIONS(1854),
    [aux_sym_tag_token1] = ACTIONS(1854),
    [aux_sym_tunnel_token1] = ACTIONS(1856),
    [aux_sym_tunnel_device_token1] = ACTIONS(1854),
    [aux_sym_update_host_keys_token1] = ACTIONS(1854),
    [aux_sym_use_keychain_token1] = ACTIONS(1854),
    [aux_sym_use_roaming_token1] = ACTIONS(1854),
    [aux_sym_user_token1] = ACTIONS(1856),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1854),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1854),
    [aux_sym_version_addendum_token1] = ACTIONS(1854),
    [aux_sym_visual_host_key_token1] = ACTIONS(1854),
    [aux_sym_xauth_location_token1] = ACTIONS(1854),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2528),
    [aux_sym_match_token1] = ACTIONS(2526),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2526),
    [aux_sym_address_family_token1] = ACTIONS(2526),
    [aux_sym_batch_mode_token1] = ACTIONS(2526),
    [aux_sym_bind_address_token1] = ACTIONS(2526),
    [aux_sym_bind_interface_token1] = ACTIONS(2526),
    [aux_sym_canonical_domains_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2526),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2526),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2526),
    [aux_sym_certificate_file_token1] = ACTIONS(2526),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2526),
    [aux_sym_channel_timeout_token1] = ACTIONS(2526),
    [aux_sym_check_host_ip_token1] = ACTIONS(2526),
    [aux_sym_ciphers_token1] = ACTIONS(2526),
    [aux_sym_cipher_token1] = ACTIONS(2528),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2526),
    [aux_sym_compression_token1] = ACTIONS(2526),
    [aux_sym_connection_attempts_token1] = ACTIONS(2526),
    [aux_sym_connect_timeout_token1] = ACTIONS(2526),
    [aux_sym_control_master_token1] = ACTIONS(2526),
    [aux_sym_control_path_token1] = ACTIONS(2526),
    [aux_sym_control_persist_token1] = ACTIONS(2526),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2526),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2526),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2526),
    [aux_sym_escape_char_token1] = ACTIONS(2526),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2526),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2526),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2526),
    [aux_sym_forward_agent_token1] = ACTIONS(2526),
    [aux_sym_forward_x11_token1] = ACTIONS(2528),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2526),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2526),
    [aux_sym_gateway_ports_token1] = ACTIONS(2526),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2526),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2526),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2526),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2526),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2526),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2526),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2526),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2526),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2526),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2526),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2526),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2526),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2526),
    [aux_sym_host_key_alias_token1] = ACTIONS(2526),
    [aux_sym_hostname_token1] = ACTIONS(2526),
    [aux_sym_identities_only_token1] = ACTIONS(2526),
    [aux_sym_identity_agent_token1] = ACTIONS(2526),
    [aux_sym_identity_file_token1] = ACTIONS(2526),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2526),
    [aux_sym_include_token1] = ACTIONS(2526),
    [aux_sym_ip_qos_token1] = ACTIONS(2526),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2526),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2526),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2526),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2526),
    [aux_sym_local_command_token1] = ACTIONS(2526),
    [aux_sym_local_forward_token1] = ACTIONS(2526),
    [aux_sym_log_level_token1] = ACTIONS(2526),
    [aux_sym_log_verbose_token1] = ACTIONS(2526),
    [aux_sym_macs_token1] = ACTIONS(2526),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2526),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2526),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2526),
    [aux_sym_password_authentication_token1] = ACTIONS(2526),
    [aux_sym_permit_local_command_token1] = ACTIONS(2526),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2526),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2526),
    [aux_sym_port_token1] = ACTIONS(2526),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2526),
    [aux_sym_protocol_token1] = ACTIONS(2526),
    [aux_sym_proxy_command_token1] = ACTIONS(2526),
    [aux_sym_proxy_jump_token1] = ACTIONS(2526),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2526),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2526),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2526),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2526),
    [aux_sym_rekey_limit_token1] = ACTIONS(2526),
    [aux_sym_remote_command_token1] = ACTIONS(2526),
    [aux_sym_remote_forward_token1] = ACTIONS(2526),
    [aux_sym_request_tty_token1] = ACTIONS(2526),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2526),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2526),
    [aux_sym_security_key_provider_token1] = ACTIONS(2526),
    [aux_sym_send_env_token1] = ACTIONS(2526),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2526),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2526),
    [aux_sym_session_type_token1] = ACTIONS(2526),
    [aux_sym_set_env_token1] = ACTIONS(2526),
    [aux_sym_stdin_null_token1] = ACTIONS(2526),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2526),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2526),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2526),
    [aux_sym_syslog_facility_token1] = ACTIONS(2526),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2526),
    [aux_sym_keep_alive_token1] = ACTIONS(2526),
    [aux_sym_tag_token1] = ACTIONS(2526),
    [aux_sym_tunnel_token1] = ACTIONS(2528),
    [aux_sym_tunnel_device_token1] = ACTIONS(2526),
    [aux_sym_update_host_keys_token1] = ACTIONS(2526),
    [aux_sym_use_keychain_token1] = ACTIONS(2526),
    [aux_sym_use_roaming_token1] = ACTIONS(2526),
    [aux_sym_user_token1] = ACTIONS(2528),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2526),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2526),
    [aux_sym_version_addendum_token1] = ACTIONS(2526),
    [aux_sym_visual_host_key_token1] = ACTIONS(2526),
    [aux_sym_xauth_location_token1] = ACTIONS(2526),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2534),
    [aux_sym_match_token1] = ACTIONS(2532),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2532),
    [aux_sym_address_family_token1] = ACTIONS(2532),
    [aux_sym_batch_mode_token1] = ACTIONS(2532),
    [aux_sym_bind_address_token1] = ACTIONS(2532),
    [aux_sym_bind_interface_token1] = ACTIONS(2532),
    [aux_sym_canonical_domains_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2532),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2532),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2532),
    [aux_sym_certificate_file_token1] = ACTIONS(2532),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2532),
    [aux_sym_channel_timeout_token1] = ACTIONS(2532),
    [aux_sym_check_host_ip_token1] = ACTIONS(2532),
    [aux_sym_ciphers_token1] = ACTIONS(2532),
    [aux_sym_cipher_token1] = ACTIONS(2534),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2532),
    [aux_sym_compression_token1] = ACTIONS(2532),
    [aux_sym_connection_attempts_token1] = ACTIONS(2532),
    [aux_sym_connect_timeout_token1] = ACTIONS(2532),
    [aux_sym_control_master_token1] = ACTIONS(2532),
    [aux_sym_control_path_token1] = ACTIONS(2532),
    [aux_sym_control_persist_token1] = ACTIONS(2532),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2532),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2532),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2532),
    [aux_sym_escape_char_token1] = ACTIONS(2532),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2532),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2532),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2532),
    [aux_sym_forward_agent_token1] = ACTIONS(2532),
    [aux_sym_forward_x11_token1] = ACTIONS(2534),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2532),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2532),
    [aux_sym_gateway_ports_token1] = ACTIONS(2532),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2532),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2532),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2532),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2532),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2532),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2532),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2532),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2532),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2532),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2532),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2532),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2532),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2532),
    [aux_sym_host_key_alias_token1] = ACTIONS(2532),
    [aux_sym_hostname_token1] = ACTIONS(2532),
    [aux_sym_identities_only_token1] = ACTIONS(2532),
    [aux_sym_identity_agent_token1] = ACTIONS(2532),
    [aux_sym_identity_file_token1] = ACTIONS(2532),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2532),
    [aux_sym_include_token1] = ACTIONS(2532),
    [aux_sym_ip_qos_token1] = ACTIONS(2532),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2532),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2532),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2532),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2532),
    [aux_sym_local_command_token1] = ACTIONS(2532),
    [aux_sym_local_forward_token1] = ACTIONS(2532),
    [aux_sym_log_level_token1] = ACTIONS(2532),
    [aux_sym_log_verbose_token1] = ACTIONS(2532),
    [aux_sym_macs_token1] = ACTIONS(2532),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2532),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2532),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2532),
    [aux_sym_password_authentication_token1] = ACTIONS(2532),
    [aux_sym_permit_local_command_token1] = ACTIONS(2532),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2532),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2532),
    [aux_sym_port_token1] = ACTIONS(2532),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2532),
    [aux_sym_protocol_token1] = ACTIONS(2532),
    [aux_sym_proxy_command_token1] = ACTIONS(2532),
    [aux_sym_proxy_jump_token1] = ACTIONS(2532),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2532),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2532),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2532),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2532),
    [aux_sym_rekey_limit_token1] = ACTIONS(2532),
    [aux_sym_remote_command_token1] = ACTIONS(2532),
    [aux_sym_remote_forward_token1] = ACTIONS(2532),
    [aux_sym_request_tty_token1] = ACTIONS(2532),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2532),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2532),
    [aux_sym_security_key_provider_token1] = ACTIONS(2532),
    [aux_sym_send_env_token1] = ACTIONS(2532),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2532),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2532),
    [aux_sym_session_type_token1] = ACTIONS(2532),
    [aux_sym_set_env_token1] = ACTIONS(2532),
    [aux_sym_stdin_null_token1] = ACTIONS(2532),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2532),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2532),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2532),
    [aux_sym_syslog_facility_token1] = ACTIONS(2532),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2532),
    [aux_sym_keep_alive_token1] = ACTIONS(2532),
    [aux_sym_tag_token1] = ACTIONS(2532),
    [aux_sym_tunnel_token1] = ACTIONS(2534),
    [aux_sym_tunnel_device_token1] = ACTIONS(2532),
    [aux_sym_update_host_keys_token1] = ACTIONS(2532),
    [aux_sym_use_keychain_token1] = ACTIONS(2532),
    [aux_sym_use_roaming_token1] = ACTIONS(2532),
    [aux_sym_user_token1] = ACTIONS(2534),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2532),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2532),
    [aux_sym_version_addendum_token1] = ACTIONS(2532),
    [aux_sym_visual_host_key_token1] = ACTIONS(2532),
    [aux_sym_xauth_location_token1] = ACTIONS(2532),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2540),
    [aux_sym_match_token1] = ACTIONS(2538),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2538),
    [aux_sym_address_family_token1] = ACTIONS(2538),
    [aux_sym_batch_mode_token1] = ACTIONS(2538),
    [aux_sym_bind_address_token1] = ACTIONS(2538),
    [aux_sym_bind_interface_token1] = ACTIONS(2538),
    [aux_sym_canonical_domains_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2538),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2538),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2538),
    [aux_sym_certificate_file_token1] = ACTIONS(2538),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2538),
    [aux_sym_channel_timeout_token1] = ACTIONS(2538),
    [aux_sym_check_host_ip_token1] = ACTIONS(2538),
    [aux_sym_ciphers_token1] = ACTIONS(2538),
    [aux_sym_cipher_token1] = ACTIONS(2540),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2538),
    [aux_sym_compression_token1] = ACTIONS(2538),
    [aux_sym_connection_attempts_token1] = ACTIONS(2538),
    [aux_sym_connect_timeout_token1] = ACTIONS(2538),
    [aux_sym_control_master_token1] = ACTIONS(2538),
    [aux_sym_control_path_token1] = ACTIONS(2538),
    [aux_sym_control_persist_token1] = ACTIONS(2538),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2538),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2538),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2538),
    [aux_sym_escape_char_token1] = ACTIONS(2538),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2538),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2538),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2538),
    [aux_sym_forward_agent_token1] = ACTIONS(2538),
    [aux_sym_forward_x11_token1] = ACTIONS(2540),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2538),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2538),
    [aux_sym_gateway_ports_token1] = ACTIONS(2538),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2538),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2538),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2538),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2538),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2538),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2538),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2538),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2538),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2538),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2538),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2538),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2538),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2538),
    [aux_sym_host_key_alias_token1] = ACTIONS(2538),
    [aux_sym_hostname_token1] = ACTIONS(2538),
    [aux_sym_identities_only_token1] = ACTIONS(2538),
    [aux_sym_identity_agent_token1] = ACTIONS(2538),
    [aux_sym_identity_file_token1] = ACTIONS(2538),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2538),
    [aux_sym_include_token1] = ACTIONS(2538),
    [aux_sym_ip_qos_token1] = ACTIONS(2538),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2538),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2538),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2538),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2538),
    [aux_sym_local_command_token1] = ACTIONS(2538),
    [aux_sym_local_forward_token1] = ACTIONS(2538),
    [aux_sym_log_level_token1] = ACTIONS(2538),
    [aux_sym_log_verbose_token1] = ACTIONS(2538),
    [aux_sym_macs_token1] = ACTIONS(2538),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2538),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2538),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2538),
    [aux_sym_password_authentication_token1] = ACTIONS(2538),
    [aux_sym_permit_local_command_token1] = ACTIONS(2538),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2538),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2538),
    [aux_sym_port_token1] = ACTIONS(2538),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2538),
    [aux_sym_protocol_token1] = ACTIONS(2538),
    [aux_sym_proxy_command_token1] = ACTIONS(2538),
    [aux_sym_proxy_jump_token1] = ACTIONS(2538),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2538),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2538),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2538),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2538),
    [aux_sym_rekey_limit_token1] = ACTIONS(2538),
    [aux_sym_remote_command_token1] = ACTIONS(2538),
    [aux_sym_remote_forward_token1] = ACTIONS(2538),
    [aux_sym_request_tty_token1] = ACTIONS(2538),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2538),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2538),
    [aux_sym_security_key_provider_token1] = ACTIONS(2538),
    [aux_sym_send_env_token1] = ACTIONS(2538),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2538),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2538),
    [aux_sym_session_type_token1] = ACTIONS(2538),
    [aux_sym_set_env_token1] = ACTIONS(2538),
    [aux_sym_stdin_null_token1] = ACTIONS(2538),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2538),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2538),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2538),
    [aux_sym_syslog_facility_token1] = ACTIONS(2538),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2538),
    [aux_sym_keep_alive_token1] = ACTIONS(2538),
    [aux_sym_tag_token1] = ACTIONS(2538),
    [aux_sym_tunnel_token1] = ACTIONS(2540),
    [aux_sym_tunnel_device_token1] = ACTIONS(2538),
    [aux_sym_update_host_keys_token1] = ACTIONS(2538),
    [aux_sym_use_keychain_token1] = ACTIONS(2538),
    [aux_sym_use_roaming_token1] = ACTIONS(2538),
    [aux_sym_user_token1] = ACTIONS(2540),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2538),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2538),
    [aux_sym_version_addendum_token1] = ACTIONS(2538),
    [aux_sym_visual_host_key_token1] = ACTIONS(2538),
    [aux_sym_xauth_location_token1] = ACTIONS(2538),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(612),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(614),
    [aux_sym_match_token1] = ACTIONS(612),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(612),
    [aux_sym_address_family_token1] = ACTIONS(612),
    [aux_sym_batch_mode_token1] = ACTIONS(612),
    [aux_sym_bind_address_token1] = ACTIONS(612),
    [aux_sym_bind_interface_token1] = ACTIONS(612),
    [aux_sym_canonical_domains_token1] = ACTIONS(612),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(612),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(612),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(612),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(612),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(612),
    [aux_sym_certificate_file_token1] = ACTIONS(612),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(612),
    [aux_sym_channel_timeout_token1] = ACTIONS(612),
    [aux_sym_check_host_ip_token1] = ACTIONS(612),
    [aux_sym_ciphers_token1] = ACTIONS(612),
    [aux_sym_cipher_token1] = ACTIONS(614),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(612),
    [aux_sym_compression_token1] = ACTIONS(612),
    [aux_sym_connection_attempts_token1] = ACTIONS(612),
    [aux_sym_connect_timeout_token1] = ACTIONS(612),
    [aux_sym_control_master_token1] = ACTIONS(612),
    [aux_sym_control_path_token1] = ACTIONS(612),
    [aux_sym_control_persist_token1] = ACTIONS(612),
    [aux_sym_dynamic_forward_token1] = ACTIONS(612),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(612),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(612),
    [aux_sym_escape_char_token1] = ACTIONS(612),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(612),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(612),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(612),
    [aux_sym_forward_agent_token1] = ACTIONS(612),
    [aux_sym_forward_x11_token1] = ACTIONS(614),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(612),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(612),
    [aux_sym_gateway_ports_token1] = ACTIONS(612),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(612),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(612),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(612),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(612),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(612),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(612),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(612),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(612),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(612),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(612),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(612),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(612),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(612),
    [aux_sym_host_key_alias_token1] = ACTIONS(612),
    [aux_sym_hostname_token1] = ACTIONS(612),
    [aux_sym_identities_only_token1] = ACTIONS(612),
    [aux_sym_identity_agent_token1] = ACTIONS(612),
    [aux_sym_identity_file_token1] = ACTIONS(612),
    [aux_sym_ignore_unknown_token1] = ACTIONS(612),
    [aux_sym_include_token1] = ACTIONS(612),
    [aux_sym_ip_qos_token1] = ACTIONS(612),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(612),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(612),
    [aux_sym_kex_algorithms_token1] = ACTIONS(612),
    [aux_sym_known_hosts_command_token1] = ACTIONS(612),
    [aux_sym_local_command_token1] = ACTIONS(612),
    [aux_sym_local_forward_token1] = ACTIONS(612),
    [aux_sym_log_level_token1] = ACTIONS(612),
    [aux_sym_log_verbose_token1] = ACTIONS(612),
    [aux_sym_macs_token1] = ACTIONS(612),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(612),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(612),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(612),
    [aux_sym_password_authentication_token1] = ACTIONS(612),
    [aux_sym_permit_local_command_token1] = ACTIONS(612),
    [aux_sym_permit_remote_open_token1] = ACTIONS(612),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(612),
    [aux_sym_port_token1] = ACTIONS(612),
    [aux_sym_preferred_authentications_token1] = ACTIONS(612),
    [aux_sym_protocol_token1] = ACTIONS(612),
    [aux_sym_proxy_command_token1] = ACTIONS(612),
    [aux_sym_proxy_jump_token1] = ACTIONS(612),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(612),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(612),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(612),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(612),
    [aux_sym_rekey_limit_token1] = ACTIONS(612),
    [aux_sym_remote_command_token1] = ACTIONS(612),
    [aux_sym_remote_forward_token1] = ACTIONS(612),
    [aux_sym_request_tty_token1] = ACTIONS(612),
    [aux_sym_required_rsa_size_token1] = ACTIONS(612),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(612),
    [aux_sym_security_key_provider_token1] = ACTIONS(612),
    [aux_sym_send_env_token1] = ACTIONS(612),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(612),
    [aux_sym_server_alive_interval_token1] = ACTIONS(612),
    [aux_sym_session_type_token1] = ACTIONS(612),
    [aux_sym_set_env_token1] = ACTIONS(612),
    [aux_sym_stdin_null_token1] = ACTIONS(612),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(612),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(612),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(612),
    [aux_sym_syslog_facility_token1] = ACTIONS(612),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(612),
    [aux_sym_keep_alive_token1] = ACTIONS(612),
    [aux_sym_tag_token1] = ACTIONS(612),
    [aux_sym_tunnel_token1] = ACTIONS(614),
    [aux_sym_tunnel_device_token1] = ACTIONS(612),
    [aux_sym_update_host_keys_token1] = ACTIONS(612),
    [aux_sym_use_keychain_token1] = ACTIONS(612),
    [aux_sym_use_roaming_token1] = ACTIONS(612),
    [aux_sym_user_token1] = ACTIONS(614),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(612),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(612),
    [aux_sym_version_addendum_token1] = ACTIONS(612),
    [aux_sym_visual_host_key_token1] = ACTIONS(612),
    [aux_sym_xauth_location_token1] = ACTIONS(612),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(596),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(598),
    [aux_sym_match_token1] = ACTIONS(596),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(596),
    [aux_sym_address_family_token1] = ACTIONS(596),
    [aux_sym_batch_mode_token1] = ACTIONS(596),
    [aux_sym_bind_address_token1] = ACTIONS(596),
    [aux_sym_bind_interface_token1] = ACTIONS(596),
    [aux_sym_canonical_domains_token1] = ACTIONS(596),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(596),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(596),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(596),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(596),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(596),
    [aux_sym_certificate_file_token1] = ACTIONS(596),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(596),
    [aux_sym_channel_timeout_token1] = ACTIONS(596),
    [aux_sym_check_host_ip_token1] = ACTIONS(596),
    [aux_sym_ciphers_token1] = ACTIONS(596),
    [aux_sym_cipher_token1] = ACTIONS(598),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(596),
    [aux_sym_compression_token1] = ACTIONS(596),
    [aux_sym_connection_attempts_token1] = ACTIONS(596),
    [aux_sym_connect_timeout_token1] = ACTIONS(596),
    [aux_sym_control_master_token1] = ACTIONS(596),
    [aux_sym_control_path_token1] = ACTIONS(596),
    [aux_sym_control_persist_token1] = ACTIONS(596),
    [aux_sym_dynamic_forward_token1] = ACTIONS(596),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(596),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(596),
    [aux_sym_escape_char_token1] = ACTIONS(596),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(596),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(596),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(596),
    [aux_sym_forward_agent_token1] = ACTIONS(596),
    [aux_sym_forward_x11_token1] = ACTIONS(598),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(596),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(596),
    [aux_sym_gateway_ports_token1] = ACTIONS(596),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(596),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(596),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(596),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(596),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(596),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(596),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(596),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(596),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(596),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(596),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(596),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(596),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(596),
    [aux_sym_host_key_alias_token1] = ACTIONS(596),
    [aux_sym_hostname_token1] = ACTIONS(596),
    [aux_sym_identities_only_token1] = ACTIONS(596),
    [aux_sym_identity_agent_token1] = ACTIONS(596),
    [aux_sym_identity_file_token1] = ACTIONS(596),
    [aux_sym_ignore_unknown_token1] = ACTIONS(596),
    [aux_sym_include_token1] = ACTIONS(596),
    [aux_sym_ip_qos_token1] = ACTIONS(596),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(596),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(596),
    [aux_sym_kex_algorithms_token1] = ACTIONS(596),
    [aux_sym_known_hosts_command_token1] = ACTIONS(596),
    [aux_sym_local_command_token1] = ACTIONS(596),
    [aux_sym_local_forward_token1] = ACTIONS(596),
    [aux_sym_log_level_token1] = ACTIONS(596),
    [aux_sym_log_verbose_token1] = ACTIONS(596),
    [aux_sym_macs_token1] = ACTIONS(596),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(596),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(596),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(596),
    [aux_sym_password_authentication_token1] = ACTIONS(596),
    [aux_sym_permit_local_command_token1] = ACTIONS(596),
    [aux_sym_permit_remote_open_token1] = ACTIONS(596),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(596),
    [aux_sym_port_token1] = ACTIONS(596),
    [aux_sym_preferred_authentications_token1] = ACTIONS(596),
    [aux_sym_protocol_token1] = ACTIONS(596),
    [aux_sym_proxy_command_token1] = ACTIONS(596),
    [aux_sym_proxy_jump_token1] = ACTIONS(596),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(596),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(596),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(596),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(596),
    [aux_sym_rekey_limit_token1] = ACTIONS(596),
    [aux_sym_remote_command_token1] = ACTIONS(596),
    [aux_sym_remote_forward_token1] = ACTIONS(596),
    [aux_sym_request_tty_token1] = ACTIONS(596),
    [aux_sym_required_rsa_size_token1] = ACTIONS(596),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(596),
    [aux_sym_security_key_provider_token1] = ACTIONS(596),
    [aux_sym_send_env_token1] = ACTIONS(596),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(596),
    [aux_sym_server_alive_interval_token1] = ACTIONS(596),
    [aux_sym_session_type_token1] = ACTIONS(596),
    [aux_sym_set_env_token1] = ACTIONS(596),
    [aux_sym_stdin_null_token1] = ACTIONS(596),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(596),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(596),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(596),
    [aux_sym_syslog_facility_token1] = ACTIONS(596),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(596),
    [aux_sym_keep_alive_token1] = ACTIONS(596),
    [aux_sym_tag_token1] = ACTIONS(596),
    [aux_sym_tunnel_token1] = ACTIONS(598),
    [aux_sym_tunnel_device_token1] = ACTIONS(596),
    [aux_sym_update_host_keys_token1] = ACTIONS(596),
    [aux_sym_use_keychain_token1] = ACTIONS(596),
    [aux_sym_use_roaming_token1] = ACTIONS(596),
    [aux_sym_user_token1] = ACTIONS(598),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(596),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(596),
    [aux_sym_version_addendum_token1] = ACTIONS(596),
    [aux_sym_visual_host_key_token1] = ACTIONS(596),
    [aux_sym_xauth_location_token1] = ACTIONS(596),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2546),
    [aux_sym_match_token1] = ACTIONS(2544),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2544),
    [aux_sym_address_family_token1] = ACTIONS(2544),
    [aux_sym_batch_mode_token1] = ACTIONS(2544),
    [aux_sym_bind_address_token1] = ACTIONS(2544),
    [aux_sym_bind_interface_token1] = ACTIONS(2544),
    [aux_sym_canonical_domains_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2544),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2544),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2544),
    [aux_sym_certificate_file_token1] = ACTIONS(2544),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2544),
    [aux_sym_channel_timeout_token1] = ACTIONS(2544),
    [aux_sym_check_host_ip_token1] = ACTIONS(2544),
    [aux_sym_ciphers_token1] = ACTIONS(2544),
    [aux_sym_cipher_token1] = ACTIONS(2546),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2544),
    [aux_sym_compression_token1] = ACTIONS(2544),
    [aux_sym_connection_attempts_token1] = ACTIONS(2544),
    [aux_sym_connect_timeout_token1] = ACTIONS(2544),
    [aux_sym_control_master_token1] = ACTIONS(2544),
    [aux_sym_control_path_token1] = ACTIONS(2544),
    [aux_sym_control_persist_token1] = ACTIONS(2544),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2544),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2544),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2544),
    [aux_sym_escape_char_token1] = ACTIONS(2544),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2544),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2544),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2544),
    [aux_sym_forward_agent_token1] = ACTIONS(2544),
    [aux_sym_forward_x11_token1] = ACTIONS(2546),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2544),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2544),
    [aux_sym_gateway_ports_token1] = ACTIONS(2544),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2544),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2544),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2544),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2544),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2544),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2544),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2544),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2544),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2544),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2544),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2544),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2544),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2544),
    [aux_sym_host_key_alias_token1] = ACTIONS(2544),
    [aux_sym_hostname_token1] = ACTIONS(2544),
    [aux_sym_identities_only_token1] = ACTIONS(2544),
    [aux_sym_identity_agent_token1] = ACTIONS(2544),
    [aux_sym_identity_file_token1] = ACTIONS(2544),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2544),
    [aux_sym_include_token1] = ACTIONS(2544),
    [aux_sym_ip_qos_token1] = ACTIONS(2544),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2544),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2544),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2544),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2544),
    [aux_sym_local_command_token1] = ACTIONS(2544),
    [aux_sym_local_forward_token1] = ACTIONS(2544),
    [aux_sym_log_level_token1] = ACTIONS(2544),
    [aux_sym_log_verbose_token1] = ACTIONS(2544),
    [aux_sym_macs_token1] = ACTIONS(2544),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2544),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2544),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2544),
    [aux_sym_password_authentication_token1] = ACTIONS(2544),
    [aux_sym_permit_local_command_token1] = ACTIONS(2544),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2544),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2544),
    [aux_sym_port_token1] = ACTIONS(2544),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2544),
    [aux_sym_protocol_token1] = ACTIONS(2544),
    [aux_sym_proxy_command_token1] = ACTIONS(2544),
    [aux_sym_proxy_jump_token1] = ACTIONS(2544),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2544),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2544),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2544),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2544),
    [aux_sym_rekey_limit_token1] = ACTIONS(2544),
    [aux_sym_remote_command_token1] = ACTIONS(2544),
    [aux_sym_remote_forward_token1] = ACTIONS(2544),
    [aux_sym_request_tty_token1] = ACTIONS(2544),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2544),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2544),
    [aux_sym_security_key_provider_token1] = ACTIONS(2544),
    [aux_sym_send_env_token1] = ACTIONS(2544),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2544),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2544),
    [aux_sym_session_type_token1] = ACTIONS(2544),
    [aux_sym_set_env_token1] = ACTIONS(2544),
    [aux_sym_stdin_null_token1] = ACTIONS(2544),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2544),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2544),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2544),
    [aux_sym_syslog_facility_token1] = ACTIONS(2544),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2544),
    [aux_sym_keep_alive_token1] = ACTIONS(2544),
    [aux_sym_tag_token1] = ACTIONS(2544),
    [aux_sym_tunnel_token1] = ACTIONS(2546),
    [aux_sym_tunnel_device_token1] = ACTIONS(2544),
    [aux_sym_update_host_keys_token1] = ACTIONS(2544),
    [aux_sym_use_keychain_token1] = ACTIONS(2544),
    [aux_sym_use_roaming_token1] = ACTIONS(2544),
    [aux_sym_user_token1] = ACTIONS(2546),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2544),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2544),
    [aux_sym_version_addendum_token1] = ACTIONS(2544),
    [aux_sym_visual_host_key_token1] = ACTIONS(2544),
    [aux_sym_xauth_location_token1] = ACTIONS(2544),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2552),
    [aux_sym_match_token1] = ACTIONS(2550),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2550),
    [aux_sym_address_family_token1] = ACTIONS(2550),
    [aux_sym_batch_mode_token1] = ACTIONS(2550),
    [aux_sym_bind_address_token1] = ACTIONS(2550),
    [aux_sym_bind_interface_token1] = ACTIONS(2550),
    [aux_sym_canonical_domains_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2550),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2550),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2550),
    [aux_sym_certificate_file_token1] = ACTIONS(2550),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2550),
    [aux_sym_channel_timeout_token1] = ACTIONS(2550),
    [aux_sym_check_host_ip_token1] = ACTIONS(2550),
    [aux_sym_ciphers_token1] = ACTIONS(2550),
    [aux_sym_cipher_token1] = ACTIONS(2552),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2550),
    [aux_sym_compression_token1] = ACTIONS(2550),
    [aux_sym_connection_attempts_token1] = ACTIONS(2550),
    [aux_sym_connect_timeout_token1] = ACTIONS(2550),
    [aux_sym_control_master_token1] = ACTIONS(2550),
    [aux_sym_control_path_token1] = ACTIONS(2550),
    [aux_sym_control_persist_token1] = ACTIONS(2550),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2550),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2550),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2550),
    [aux_sym_escape_char_token1] = ACTIONS(2550),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2550),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2550),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2550),
    [aux_sym_forward_agent_token1] = ACTIONS(2550),
    [aux_sym_forward_x11_token1] = ACTIONS(2552),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2550),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2550),
    [aux_sym_gateway_ports_token1] = ACTIONS(2550),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2550),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2550),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2550),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2550),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2550),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2550),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2550),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2550),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2550),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2550),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2550),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2550),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2550),
    [aux_sym_host_key_alias_token1] = ACTIONS(2550),
    [aux_sym_hostname_token1] = ACTIONS(2550),
    [aux_sym_identities_only_token1] = ACTIONS(2550),
    [aux_sym_identity_agent_token1] = ACTIONS(2550),
    [aux_sym_identity_file_token1] = ACTIONS(2550),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2550),
    [aux_sym_include_token1] = ACTIONS(2550),
    [aux_sym_ip_qos_token1] = ACTIONS(2550),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2550),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2550),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2550),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2550),
    [aux_sym_local_command_token1] = ACTIONS(2550),
    [aux_sym_local_forward_token1] = ACTIONS(2550),
    [aux_sym_log_level_token1] = ACTIONS(2550),
    [aux_sym_log_verbose_token1] = ACTIONS(2550),
    [aux_sym_macs_token1] = ACTIONS(2550),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2550),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2550),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2550),
    [aux_sym_password_authentication_token1] = ACTIONS(2550),
    [aux_sym_permit_local_command_token1] = ACTIONS(2550),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2550),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2550),
    [aux_sym_port_token1] = ACTIONS(2550),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2550),
    [aux_sym_protocol_token1] = ACTIONS(2550),
    [aux_sym_proxy_command_token1] = ACTIONS(2550),
    [aux_sym_proxy_jump_token1] = ACTIONS(2550),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2550),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2550),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2550),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2550),
    [aux_sym_rekey_limit_token1] = ACTIONS(2550),
    [aux_sym_remote_command_token1] = ACTIONS(2550),
    [aux_sym_remote_forward_token1] = ACTIONS(2550),
    [aux_sym_request_tty_token1] = ACTIONS(2550),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2550),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2550),
    [aux_sym_security_key_provider_token1] = ACTIONS(2550),
    [aux_sym_send_env_token1] = ACTIONS(2550),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2550),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2550),
    [aux_sym_session_type_token1] = ACTIONS(2550),
    [aux_sym_set_env_token1] = ACTIONS(2550),
    [aux_sym_stdin_null_token1] = ACTIONS(2550),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2550),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2550),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2550),
    [aux_sym_syslog_facility_token1] = ACTIONS(2550),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2550),
    [aux_sym_keep_alive_token1] = ACTIONS(2550),
    [aux_sym_tag_token1] = ACTIONS(2550),
    [aux_sym_tunnel_token1] = ACTIONS(2552),
    [aux_sym_tunnel_device_token1] = ACTIONS(2550),
    [aux_sym_update_host_keys_token1] = ACTIONS(2550),
    [aux_sym_use_keychain_token1] = ACTIONS(2550),
    [aux_sym_use_roaming_token1] = ACTIONS(2550),
    [aux_sym_user_token1] = ACTIONS(2552),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2550),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2550),
    [aux_sym_version_addendum_token1] = ACTIONS(2550),
    [aux_sym_visual_host_key_token1] = ACTIONS(2550),
    [aux_sym_xauth_location_token1] = ACTIONS(2550),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2558),
    [aux_sym_match_token1] = ACTIONS(2556),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2556),
    [aux_sym_address_family_token1] = ACTIONS(2556),
    [aux_sym_batch_mode_token1] = ACTIONS(2556),
    [aux_sym_bind_address_token1] = ACTIONS(2556),
    [aux_sym_bind_interface_token1] = ACTIONS(2556),
    [aux_sym_canonical_domains_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2556),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2556),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2556),
    [aux_sym_certificate_file_token1] = ACTIONS(2556),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2556),
    [aux_sym_channel_timeout_token1] = ACTIONS(2556),
    [aux_sym_check_host_ip_token1] = ACTIONS(2556),
    [aux_sym_ciphers_token1] = ACTIONS(2556),
    [aux_sym_cipher_token1] = ACTIONS(2558),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2556),
    [aux_sym_compression_token1] = ACTIONS(2556),
    [aux_sym_connection_attempts_token1] = ACTIONS(2556),
    [aux_sym_connect_timeout_token1] = ACTIONS(2556),
    [aux_sym_control_master_token1] = ACTIONS(2556),
    [aux_sym_control_path_token1] = ACTIONS(2556),
    [aux_sym_control_persist_token1] = ACTIONS(2556),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2556),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2556),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2556),
    [aux_sym_escape_char_token1] = ACTIONS(2556),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2556),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2556),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2556),
    [aux_sym_forward_agent_token1] = ACTIONS(2556),
    [aux_sym_forward_x11_token1] = ACTIONS(2558),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2556),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2556),
    [aux_sym_gateway_ports_token1] = ACTIONS(2556),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2556),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2556),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2556),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2556),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2556),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2556),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2556),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2556),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2556),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2556),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2556),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2556),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2556),
    [aux_sym_host_key_alias_token1] = ACTIONS(2556),
    [aux_sym_hostname_token1] = ACTIONS(2556),
    [aux_sym_identities_only_token1] = ACTIONS(2556),
    [aux_sym_identity_agent_token1] = ACTIONS(2556),
    [aux_sym_identity_file_token1] = ACTIONS(2556),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2556),
    [aux_sym_include_token1] = ACTIONS(2556),
    [aux_sym_ip_qos_token1] = ACTIONS(2556),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2556),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2556),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2556),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2556),
    [aux_sym_local_command_token1] = ACTIONS(2556),
    [aux_sym_local_forward_token1] = ACTIONS(2556),
    [aux_sym_log_level_token1] = ACTIONS(2556),
    [aux_sym_log_verbose_token1] = ACTIONS(2556),
    [aux_sym_macs_token1] = ACTIONS(2556),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2556),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2556),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2556),
    [aux_sym_password_authentication_token1] = ACTIONS(2556),
    [aux_sym_permit_local_command_token1] = ACTIONS(2556),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2556),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2556),
    [aux_sym_port_token1] = ACTIONS(2556),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2556),
    [aux_sym_protocol_token1] = ACTIONS(2556),
    [aux_sym_proxy_command_token1] = ACTIONS(2556),
    [aux_sym_proxy_jump_token1] = ACTIONS(2556),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2556),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2556),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2556),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2556),
    [aux_sym_rekey_limit_token1] = ACTIONS(2556),
    [aux_sym_remote_command_token1] = ACTIONS(2556),
    [aux_sym_remote_forward_token1] = ACTIONS(2556),
    [aux_sym_request_tty_token1] = ACTIONS(2556),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2556),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2556),
    [aux_sym_security_key_provider_token1] = ACTIONS(2556),
    [aux_sym_send_env_token1] = ACTIONS(2556),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2556),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2556),
    [aux_sym_session_type_token1] = ACTIONS(2556),
    [aux_sym_set_env_token1] = ACTIONS(2556),
    [aux_sym_stdin_null_token1] = ACTIONS(2556),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2556),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2556),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2556),
    [aux_sym_syslog_facility_token1] = ACTIONS(2556),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2556),
    [aux_sym_keep_alive_token1] = ACTIONS(2556),
    [aux_sym_tag_token1] = ACTIONS(2556),
    [aux_sym_tunnel_token1] = ACTIONS(2558),
    [aux_sym_tunnel_device_token1] = ACTIONS(2556),
    [aux_sym_update_host_keys_token1] = ACTIONS(2556),
    [aux_sym_use_keychain_token1] = ACTIONS(2556),
    [aux_sym_use_roaming_token1] = ACTIONS(2556),
    [aux_sym_user_token1] = ACTIONS(2558),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2556),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2556),
    [aux_sym_version_addendum_token1] = ACTIONS(2556),
    [aux_sym_visual_host_key_token1] = ACTIONS(2556),
    [aux_sym_xauth_location_token1] = ACTIONS(2556),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1862),
    [aux_sym_match_token1] = ACTIONS(1860),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1860),
    [aux_sym_address_family_token1] = ACTIONS(1860),
    [aux_sym_batch_mode_token1] = ACTIONS(1860),
    [aux_sym_bind_address_token1] = ACTIONS(1860),
    [aux_sym_bind_interface_token1] = ACTIONS(1860),
    [aux_sym_canonical_domains_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1860),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1860),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1860),
    [aux_sym_certificate_file_token1] = ACTIONS(1860),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1860),
    [aux_sym_channel_timeout_token1] = ACTIONS(1860),
    [aux_sym_check_host_ip_token1] = ACTIONS(1860),
    [aux_sym_ciphers_token1] = ACTIONS(1860),
    [aux_sym_cipher_token1] = ACTIONS(1862),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1860),
    [aux_sym_compression_token1] = ACTIONS(1860),
    [aux_sym_connection_attempts_token1] = ACTIONS(1860),
    [aux_sym_connect_timeout_token1] = ACTIONS(1860),
    [aux_sym_control_master_token1] = ACTIONS(1860),
    [aux_sym_control_path_token1] = ACTIONS(1860),
    [aux_sym_control_persist_token1] = ACTIONS(1860),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1860),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1860),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1860),
    [aux_sym_escape_char_token1] = ACTIONS(1860),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1860),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1860),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1860),
    [aux_sym_forward_agent_token1] = ACTIONS(1860),
    [aux_sym_forward_x11_token1] = ACTIONS(1862),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1860),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1860),
    [aux_sym_gateway_ports_token1] = ACTIONS(1860),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1860),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1860),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1860),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1860),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1860),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1860),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1860),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1860),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1860),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1860),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1860),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1860),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1860),
    [aux_sym_host_key_alias_token1] = ACTIONS(1860),
    [aux_sym_hostname_token1] = ACTIONS(1860),
    [aux_sym_identities_only_token1] = ACTIONS(1860),
    [aux_sym_identity_agent_token1] = ACTIONS(1860),
    [aux_sym_identity_file_token1] = ACTIONS(1860),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1860),
    [aux_sym_include_token1] = ACTIONS(1860),
    [aux_sym_ip_qos_token1] = ACTIONS(1860),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1860),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1860),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1860),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1860),
    [aux_sym_local_command_token1] = ACTIONS(1860),
    [aux_sym_local_forward_token1] = ACTIONS(1860),
    [aux_sym_log_level_token1] = ACTIONS(1860),
    [aux_sym_log_verbose_token1] = ACTIONS(1860),
    [aux_sym_macs_token1] = ACTIONS(1860),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1860),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1860),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1860),
    [aux_sym_password_authentication_token1] = ACTIONS(1860),
    [aux_sym_permit_local_command_token1] = ACTIONS(1860),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1860),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1860),
    [aux_sym_port_token1] = ACTIONS(1860),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1860),
    [aux_sym_protocol_token1] = ACTIONS(1860),
    [aux_sym_proxy_command_token1] = ACTIONS(1860),
    [aux_sym_proxy_jump_token1] = ACTIONS(1860),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1860),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1860),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1860),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1860),
    [aux_sym_rekey_limit_token1] = ACTIONS(1860),
    [aux_sym_remote_command_token1] = ACTIONS(1860),
    [aux_sym_remote_forward_token1] = ACTIONS(1860),
    [aux_sym_request_tty_token1] = ACTIONS(1860),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1860),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1860),
    [aux_sym_security_key_provider_token1] = ACTIONS(1860),
    [aux_sym_send_env_token1] = ACTIONS(1860),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1860),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1860),
    [aux_sym_session_type_token1] = ACTIONS(1860),
    [aux_sym_set_env_token1] = ACTIONS(1860),
    [aux_sym_stdin_null_token1] = ACTIONS(1860),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1860),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1860),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1860),
    [aux_sym_syslog_facility_token1] = ACTIONS(1860),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1860),
    [aux_sym_keep_alive_token1] = ACTIONS(1860),
    [aux_sym_tag_token1] = ACTIONS(1860),
    [aux_sym_tunnel_token1] = ACTIONS(1862),
    [aux_sym_tunnel_device_token1] = ACTIONS(1860),
    [aux_sym_update_host_keys_token1] = ACTIONS(1860),
    [aux_sym_use_keychain_token1] = ACTIONS(1860),
    [aux_sym_use_roaming_token1] = ACTIONS(1860),
    [aux_sym_user_token1] = ACTIONS(1862),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1860),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1860),
    [aux_sym_version_addendum_token1] = ACTIONS(1860),
    [aux_sym_visual_host_key_token1] = ACTIONS(1860),
    [aux_sym_xauth_location_token1] = ACTIONS(1860),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2564),
    [aux_sym_match_token1] = ACTIONS(2562),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2562),
    [aux_sym_address_family_token1] = ACTIONS(2562),
    [aux_sym_batch_mode_token1] = ACTIONS(2562),
    [aux_sym_bind_address_token1] = ACTIONS(2562),
    [aux_sym_bind_interface_token1] = ACTIONS(2562),
    [aux_sym_canonical_domains_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2562),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2562),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2562),
    [aux_sym_certificate_file_token1] = ACTIONS(2562),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2562),
    [aux_sym_channel_timeout_token1] = ACTIONS(2562),
    [aux_sym_check_host_ip_token1] = ACTIONS(2562),
    [aux_sym_ciphers_token1] = ACTIONS(2562),
    [aux_sym_cipher_token1] = ACTIONS(2564),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2562),
    [aux_sym_compression_token1] = ACTIONS(2562),
    [aux_sym_connection_attempts_token1] = ACTIONS(2562),
    [aux_sym_connect_timeout_token1] = ACTIONS(2562),
    [aux_sym_control_master_token1] = ACTIONS(2562),
    [aux_sym_control_path_token1] = ACTIONS(2562),
    [aux_sym_control_persist_token1] = ACTIONS(2562),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2562),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2562),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2562),
    [aux_sym_escape_char_token1] = ACTIONS(2562),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2562),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2562),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2562),
    [aux_sym_forward_agent_token1] = ACTIONS(2562),
    [aux_sym_forward_x11_token1] = ACTIONS(2564),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2562),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2562),
    [aux_sym_gateway_ports_token1] = ACTIONS(2562),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2562),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2562),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2562),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2562),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2562),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2562),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2562),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2562),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2562),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2562),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2562),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2562),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2562),
    [aux_sym_host_key_alias_token1] = ACTIONS(2562),
    [aux_sym_hostname_token1] = ACTIONS(2562),
    [aux_sym_identities_only_token1] = ACTIONS(2562),
    [aux_sym_identity_agent_token1] = ACTIONS(2562),
    [aux_sym_identity_file_token1] = ACTIONS(2562),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2562),
    [aux_sym_include_token1] = ACTIONS(2562),
    [aux_sym_ip_qos_token1] = ACTIONS(2562),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2562),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2562),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2562),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2562),
    [aux_sym_local_command_token1] = ACTIONS(2562),
    [aux_sym_local_forward_token1] = ACTIONS(2562),
    [aux_sym_log_level_token1] = ACTIONS(2562),
    [aux_sym_log_verbose_token1] = ACTIONS(2562),
    [aux_sym_macs_token1] = ACTIONS(2562),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2562),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2562),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2562),
    [aux_sym_password_authentication_token1] = ACTIONS(2562),
    [aux_sym_permit_local_command_token1] = ACTIONS(2562),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2562),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2562),
    [aux_sym_port_token1] = ACTIONS(2562),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2562),
    [aux_sym_protocol_token1] = ACTIONS(2562),
    [aux_sym_proxy_command_token1] = ACTIONS(2562),
    [aux_sym_proxy_jump_token1] = ACTIONS(2562),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2562),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2562),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2562),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2562),
    [aux_sym_rekey_limit_token1] = ACTIONS(2562),
    [aux_sym_remote_command_token1] = ACTIONS(2562),
    [aux_sym_remote_forward_token1] = ACTIONS(2562),
    [aux_sym_request_tty_token1] = ACTIONS(2562),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2562),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2562),
    [aux_sym_security_key_provider_token1] = ACTIONS(2562),
    [aux_sym_send_env_token1] = ACTIONS(2562),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2562),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2562),
    [aux_sym_session_type_token1] = ACTIONS(2562),
    [aux_sym_set_env_token1] = ACTIONS(2562),
    [aux_sym_stdin_null_token1] = ACTIONS(2562),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2562),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2562),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2562),
    [aux_sym_syslog_facility_token1] = ACTIONS(2562),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2562),
    [aux_sym_keep_alive_token1] = ACTIONS(2562),
    [aux_sym_tag_token1] = ACTIONS(2562),
    [aux_sym_tunnel_token1] = ACTIONS(2564),
    [aux_sym_tunnel_device_token1] = ACTIONS(2562),
    [aux_sym_update_host_keys_token1] = ACTIONS(2562),
    [aux_sym_use_keychain_token1] = ACTIONS(2562),
    [aux_sym_use_roaming_token1] = ACTIONS(2562),
    [aux_sym_user_token1] = ACTIONS(2564),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2562),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2562),
    [aux_sym_version_addendum_token1] = ACTIONS(2562),
    [aux_sym_visual_host_key_token1] = ACTIONS(2562),
    [aux_sym_xauth_location_token1] = ACTIONS(2562),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2570),
    [aux_sym_match_token1] = ACTIONS(2568),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2568),
    [aux_sym_address_family_token1] = ACTIONS(2568),
    [aux_sym_batch_mode_token1] = ACTIONS(2568),
    [aux_sym_bind_address_token1] = ACTIONS(2568),
    [aux_sym_bind_interface_token1] = ACTIONS(2568),
    [aux_sym_canonical_domains_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2568),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2568),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2568),
    [aux_sym_certificate_file_token1] = ACTIONS(2568),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2568),
    [aux_sym_channel_timeout_token1] = ACTIONS(2568),
    [aux_sym_check_host_ip_token1] = ACTIONS(2568),
    [aux_sym_ciphers_token1] = ACTIONS(2568),
    [aux_sym_cipher_token1] = ACTIONS(2570),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2568),
    [aux_sym_compression_token1] = ACTIONS(2568),
    [aux_sym_connection_attempts_token1] = ACTIONS(2568),
    [aux_sym_connect_timeout_token1] = ACTIONS(2568),
    [aux_sym_control_master_token1] = ACTIONS(2568),
    [aux_sym_control_path_token1] = ACTIONS(2568),
    [aux_sym_control_persist_token1] = ACTIONS(2568),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2568),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2568),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2568),
    [aux_sym_escape_char_token1] = ACTIONS(2568),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2568),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2568),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2568),
    [aux_sym_forward_agent_token1] = ACTIONS(2568),
    [aux_sym_forward_x11_token1] = ACTIONS(2570),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2568),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2568),
    [aux_sym_gateway_ports_token1] = ACTIONS(2568),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2568),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2568),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2568),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2568),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2568),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2568),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2568),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2568),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2568),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2568),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2568),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2568),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2568),
    [aux_sym_host_key_alias_token1] = ACTIONS(2568),
    [aux_sym_hostname_token1] = ACTIONS(2568),
    [aux_sym_identities_only_token1] = ACTIONS(2568),
    [aux_sym_identity_agent_token1] = ACTIONS(2568),
    [aux_sym_identity_file_token1] = ACTIONS(2568),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2568),
    [aux_sym_include_token1] = ACTIONS(2568),
    [aux_sym_ip_qos_token1] = ACTIONS(2568),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2568),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2568),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2568),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2568),
    [aux_sym_local_command_token1] = ACTIONS(2568),
    [aux_sym_local_forward_token1] = ACTIONS(2568),
    [aux_sym_log_level_token1] = ACTIONS(2568),
    [aux_sym_log_verbose_token1] = ACTIONS(2568),
    [aux_sym_macs_token1] = ACTIONS(2568),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2568),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2568),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2568),
    [aux_sym_password_authentication_token1] = ACTIONS(2568),
    [aux_sym_permit_local_command_token1] = ACTIONS(2568),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2568),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2568),
    [aux_sym_port_token1] = ACTIONS(2568),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2568),
    [aux_sym_protocol_token1] = ACTIONS(2568),
    [aux_sym_proxy_command_token1] = ACTIONS(2568),
    [aux_sym_proxy_jump_token1] = ACTIONS(2568),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2568),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2568),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2568),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2568),
    [aux_sym_rekey_limit_token1] = ACTIONS(2568),
    [aux_sym_remote_command_token1] = ACTIONS(2568),
    [aux_sym_remote_forward_token1] = ACTIONS(2568),
    [aux_sym_request_tty_token1] = ACTIONS(2568),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2568),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2568),
    [aux_sym_security_key_provider_token1] = ACTIONS(2568),
    [aux_sym_send_env_token1] = ACTIONS(2568),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2568),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2568),
    [aux_sym_session_type_token1] = ACTIONS(2568),
    [aux_sym_set_env_token1] = ACTIONS(2568),
    [aux_sym_stdin_null_token1] = ACTIONS(2568),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2568),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2568),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2568),
    [aux_sym_syslog_facility_token1] = ACTIONS(2568),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2568),
    [aux_sym_keep_alive_token1] = ACTIONS(2568),
    [aux_sym_tag_token1] = ACTIONS(2568),
    [aux_sym_tunnel_token1] = ACTIONS(2570),
    [aux_sym_tunnel_device_token1] = ACTIONS(2568),
    [aux_sym_update_host_keys_token1] = ACTIONS(2568),
    [aux_sym_use_keychain_token1] = ACTIONS(2568),
    [aux_sym_use_roaming_token1] = ACTIONS(2568),
    [aux_sym_user_token1] = ACTIONS(2570),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2568),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2568),
    [aux_sym_version_addendum_token1] = ACTIONS(2568),
    [aux_sym_visual_host_key_token1] = ACTIONS(2568),
    [aux_sym_xauth_location_token1] = ACTIONS(2568),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1866),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1868),
    [aux_sym_match_token1] = ACTIONS(1866),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1866),
    [aux_sym_address_family_token1] = ACTIONS(1866),
    [aux_sym_batch_mode_token1] = ACTIONS(1866),
    [aux_sym_bind_address_token1] = ACTIONS(1866),
    [aux_sym_bind_interface_token1] = ACTIONS(1866),
    [aux_sym_canonical_domains_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1866),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1866),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1866),
    [aux_sym_certificate_file_token1] = ACTIONS(1866),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1866),
    [aux_sym_channel_timeout_token1] = ACTIONS(1866),
    [aux_sym_check_host_ip_token1] = ACTIONS(1866),
    [aux_sym_ciphers_token1] = ACTIONS(1866),
    [aux_sym_cipher_token1] = ACTIONS(1868),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1866),
    [aux_sym_compression_token1] = ACTIONS(1866),
    [aux_sym_connection_attempts_token1] = ACTIONS(1866),
    [aux_sym_connect_timeout_token1] = ACTIONS(1866),
    [aux_sym_control_master_token1] = ACTIONS(1866),
    [aux_sym_control_path_token1] = ACTIONS(1866),
    [aux_sym_control_persist_token1] = ACTIONS(1866),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1866),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1866),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1866),
    [aux_sym_escape_char_token1] = ACTIONS(1866),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1866),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1866),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1866),
    [aux_sym_forward_agent_token1] = ACTIONS(1866),
    [aux_sym_forward_x11_token1] = ACTIONS(1868),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1866),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1866),
    [aux_sym_gateway_ports_token1] = ACTIONS(1866),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1866),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1866),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1866),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1866),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1866),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1866),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1866),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1866),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1866),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1866),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1866),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1866),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1866),
    [aux_sym_host_key_alias_token1] = ACTIONS(1866),
    [aux_sym_hostname_token1] = ACTIONS(1866),
    [aux_sym_identities_only_token1] = ACTIONS(1866),
    [aux_sym_identity_agent_token1] = ACTIONS(1866),
    [aux_sym_identity_file_token1] = ACTIONS(1866),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1866),
    [aux_sym_include_token1] = ACTIONS(1866),
    [aux_sym_ip_qos_token1] = ACTIONS(1866),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1866),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1866),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1866),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1866),
    [aux_sym_local_command_token1] = ACTIONS(1866),
    [aux_sym_local_forward_token1] = ACTIONS(1866),
    [aux_sym_log_level_token1] = ACTIONS(1866),
    [aux_sym_log_verbose_token1] = ACTIONS(1866),
    [aux_sym_macs_token1] = ACTIONS(1866),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1866),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1866),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1866),
    [aux_sym_password_authentication_token1] = ACTIONS(1866),
    [aux_sym_permit_local_command_token1] = ACTIONS(1866),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1866),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1866),
    [aux_sym_port_token1] = ACTIONS(1866),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1866),
    [aux_sym_protocol_token1] = ACTIONS(1866),
    [aux_sym_proxy_command_token1] = ACTIONS(1866),
    [aux_sym_proxy_jump_token1] = ACTIONS(1866),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1866),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1866),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1866),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1866),
    [aux_sym_rekey_limit_token1] = ACTIONS(1866),
    [aux_sym_remote_command_token1] = ACTIONS(1866),
    [aux_sym_remote_forward_token1] = ACTIONS(1866),
    [aux_sym_request_tty_token1] = ACTIONS(1866),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1866),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1866),
    [aux_sym_security_key_provider_token1] = ACTIONS(1866),
    [aux_sym_send_env_token1] = ACTIONS(1866),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1866),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1866),
    [aux_sym_session_type_token1] = ACTIONS(1866),
    [aux_sym_set_env_token1] = ACTIONS(1866),
    [aux_sym_stdin_null_token1] = ACTIONS(1866),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1866),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1866),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1866),
    [aux_sym_syslog_facility_token1] = ACTIONS(1866),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1866),
    [aux_sym_keep_alive_token1] = ACTIONS(1866),
    [aux_sym_tag_token1] = ACTIONS(1866),
    [aux_sym_tunnel_token1] = ACTIONS(1868),
    [aux_sym_tunnel_device_token1] = ACTIONS(1866),
    [aux_sym_update_host_keys_token1] = ACTIONS(1866),
    [aux_sym_use_keychain_token1] = ACTIONS(1866),
    [aux_sym_use_roaming_token1] = ACTIONS(1866),
    [aux_sym_user_token1] = ACTIONS(1868),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1866),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1866),
    [aux_sym_version_addendum_token1] = ACTIONS(1866),
    [aux_sym_visual_host_key_token1] = ACTIONS(1866),
    [aux_sym_xauth_location_token1] = ACTIONS(1866),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2576),
    [aux_sym_match_token1] = ACTIONS(2574),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2574),
    [aux_sym_address_family_token1] = ACTIONS(2574),
    [aux_sym_batch_mode_token1] = ACTIONS(2574),
    [aux_sym_bind_address_token1] = ACTIONS(2574),
    [aux_sym_bind_interface_token1] = ACTIONS(2574),
    [aux_sym_canonical_domains_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2574),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2574),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2574),
    [aux_sym_certificate_file_token1] = ACTIONS(2574),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2574),
    [aux_sym_channel_timeout_token1] = ACTIONS(2574),
    [aux_sym_check_host_ip_token1] = ACTIONS(2574),
    [aux_sym_ciphers_token1] = ACTIONS(2574),
    [aux_sym_cipher_token1] = ACTIONS(2576),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2574),
    [aux_sym_compression_token1] = ACTIONS(2574),
    [aux_sym_connection_attempts_token1] = ACTIONS(2574),
    [aux_sym_connect_timeout_token1] = ACTIONS(2574),
    [aux_sym_control_master_token1] = ACTIONS(2574),
    [aux_sym_control_path_token1] = ACTIONS(2574),
    [aux_sym_control_persist_token1] = ACTIONS(2574),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2574),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2574),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2574),
    [aux_sym_escape_char_token1] = ACTIONS(2574),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2574),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2574),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2574),
    [aux_sym_forward_agent_token1] = ACTIONS(2574),
    [aux_sym_forward_x11_token1] = ACTIONS(2576),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2574),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2574),
    [aux_sym_gateway_ports_token1] = ACTIONS(2574),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2574),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2574),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2574),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2574),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2574),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2574),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2574),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2574),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2574),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2574),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2574),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2574),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2574),
    [aux_sym_host_key_alias_token1] = ACTIONS(2574),
    [aux_sym_hostname_token1] = ACTIONS(2574),
    [aux_sym_identities_only_token1] = ACTIONS(2574),
    [aux_sym_identity_agent_token1] = ACTIONS(2574),
    [aux_sym_identity_file_token1] = ACTIONS(2574),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2574),
    [aux_sym_include_token1] = ACTIONS(2574),
    [aux_sym_ip_qos_token1] = ACTIONS(2574),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2574),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2574),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2574),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2574),
    [aux_sym_local_command_token1] = ACTIONS(2574),
    [aux_sym_local_forward_token1] = ACTIONS(2574),
    [aux_sym_log_level_token1] = ACTIONS(2574),
    [aux_sym_log_verbose_token1] = ACTIONS(2574),
    [aux_sym_macs_token1] = ACTIONS(2574),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2574),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2574),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2574),
    [aux_sym_password_authentication_token1] = ACTIONS(2574),
    [aux_sym_permit_local_command_token1] = ACTIONS(2574),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2574),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2574),
    [aux_sym_port_token1] = ACTIONS(2574),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2574),
    [aux_sym_protocol_token1] = ACTIONS(2574),
    [aux_sym_proxy_command_token1] = ACTIONS(2574),
    [aux_sym_proxy_jump_token1] = ACTIONS(2574),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2574),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2574),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2574),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2574),
    [aux_sym_rekey_limit_token1] = ACTIONS(2574),
    [aux_sym_remote_command_token1] = ACTIONS(2574),
    [aux_sym_remote_forward_token1] = ACTIONS(2574),
    [aux_sym_request_tty_token1] = ACTIONS(2574),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2574),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2574),
    [aux_sym_security_key_provider_token1] = ACTIONS(2574),
    [aux_sym_send_env_token1] = ACTIONS(2574),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2574),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2574),
    [aux_sym_session_type_token1] = ACTIONS(2574),
    [aux_sym_set_env_token1] = ACTIONS(2574),
    [aux_sym_stdin_null_token1] = ACTIONS(2574),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2574),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2574),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2574),
    [aux_sym_syslog_facility_token1] = ACTIONS(2574),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2574),
    [aux_sym_keep_alive_token1] = ACTIONS(2574),
    [aux_sym_tag_token1] = ACTIONS(2574),
    [aux_sym_tunnel_token1] = ACTIONS(2576),
    [aux_sym_tunnel_device_token1] = ACTIONS(2574),
    [aux_sym_update_host_keys_token1] = ACTIONS(2574),
    [aux_sym_use_keychain_token1] = ACTIONS(2574),
    [aux_sym_use_roaming_token1] = ACTIONS(2574),
    [aux_sym_user_token1] = ACTIONS(2576),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2574),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2574),
    [aux_sym_version_addendum_token1] = ACTIONS(2574),
    [aux_sym_visual_host_key_token1] = ACTIONS(2574),
    [aux_sym_xauth_location_token1] = ACTIONS(2574),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2582),
    [aux_sym_match_token1] = ACTIONS(2580),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2580),
    [aux_sym_address_family_token1] = ACTIONS(2580),
    [aux_sym_batch_mode_token1] = ACTIONS(2580),
    [aux_sym_bind_address_token1] = ACTIONS(2580),
    [aux_sym_bind_interface_token1] = ACTIONS(2580),
    [aux_sym_canonical_domains_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2580),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2580),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2580),
    [aux_sym_certificate_file_token1] = ACTIONS(2580),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2580),
    [aux_sym_channel_timeout_token1] = ACTIONS(2580),
    [aux_sym_check_host_ip_token1] = ACTIONS(2580),
    [aux_sym_ciphers_token1] = ACTIONS(2580),
    [aux_sym_cipher_token1] = ACTIONS(2582),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2580),
    [aux_sym_compression_token1] = ACTIONS(2580),
    [aux_sym_connection_attempts_token1] = ACTIONS(2580),
    [aux_sym_connect_timeout_token1] = ACTIONS(2580),
    [aux_sym_control_master_token1] = ACTIONS(2580),
    [aux_sym_control_path_token1] = ACTIONS(2580),
    [aux_sym_control_persist_token1] = ACTIONS(2580),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2580),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2580),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2580),
    [aux_sym_escape_char_token1] = ACTIONS(2580),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2580),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2580),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2580),
    [aux_sym_forward_agent_token1] = ACTIONS(2580),
    [aux_sym_forward_x11_token1] = ACTIONS(2582),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2580),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2580),
    [aux_sym_gateway_ports_token1] = ACTIONS(2580),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2580),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2580),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2580),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2580),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2580),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2580),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2580),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2580),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2580),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2580),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2580),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2580),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2580),
    [aux_sym_host_key_alias_token1] = ACTIONS(2580),
    [aux_sym_hostname_token1] = ACTIONS(2580),
    [aux_sym_identities_only_token1] = ACTIONS(2580),
    [aux_sym_identity_agent_token1] = ACTIONS(2580),
    [aux_sym_identity_file_token1] = ACTIONS(2580),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2580),
    [aux_sym_include_token1] = ACTIONS(2580),
    [aux_sym_ip_qos_token1] = ACTIONS(2580),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2580),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2580),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2580),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2580),
    [aux_sym_local_command_token1] = ACTIONS(2580),
    [aux_sym_local_forward_token1] = ACTIONS(2580),
    [aux_sym_log_level_token1] = ACTIONS(2580),
    [aux_sym_log_verbose_token1] = ACTIONS(2580),
    [aux_sym_macs_token1] = ACTIONS(2580),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2580),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2580),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2580),
    [aux_sym_password_authentication_token1] = ACTIONS(2580),
    [aux_sym_permit_local_command_token1] = ACTIONS(2580),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2580),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2580),
    [aux_sym_port_token1] = ACTIONS(2580),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2580),
    [aux_sym_protocol_token1] = ACTIONS(2580),
    [aux_sym_proxy_command_token1] = ACTIONS(2580),
    [aux_sym_proxy_jump_token1] = ACTIONS(2580),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2580),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2580),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2580),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2580),
    [aux_sym_rekey_limit_token1] = ACTIONS(2580),
    [aux_sym_remote_command_token1] = ACTIONS(2580),
    [aux_sym_remote_forward_token1] = ACTIONS(2580),
    [aux_sym_request_tty_token1] = ACTIONS(2580),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2580),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2580),
    [aux_sym_security_key_provider_token1] = ACTIONS(2580),
    [aux_sym_send_env_token1] = ACTIONS(2580),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2580),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2580),
    [aux_sym_session_type_token1] = ACTIONS(2580),
    [aux_sym_set_env_token1] = ACTIONS(2580),
    [aux_sym_stdin_null_token1] = ACTIONS(2580),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2580),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2580),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2580),
    [aux_sym_syslog_facility_token1] = ACTIONS(2580),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2580),
    [aux_sym_keep_alive_token1] = ACTIONS(2580),
    [aux_sym_tag_token1] = ACTIONS(2580),
    [aux_sym_tunnel_token1] = ACTIONS(2582),
    [aux_sym_tunnel_device_token1] = ACTIONS(2580),
    [aux_sym_update_host_keys_token1] = ACTIONS(2580),
    [aux_sym_use_keychain_token1] = ACTIONS(2580),
    [aux_sym_use_roaming_token1] = ACTIONS(2580),
    [aux_sym_user_token1] = ACTIONS(2582),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2580),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2580),
    [aux_sym_version_addendum_token1] = ACTIONS(2580),
    [aux_sym_visual_host_key_token1] = ACTIONS(2580),
    [aux_sym_xauth_location_token1] = ACTIONS(2580),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1874),
    [aux_sym_match_token1] = ACTIONS(1872),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1872),
    [aux_sym_address_family_token1] = ACTIONS(1872),
    [aux_sym_batch_mode_token1] = ACTIONS(1872),
    [aux_sym_bind_address_token1] = ACTIONS(1872),
    [aux_sym_bind_interface_token1] = ACTIONS(1872),
    [aux_sym_canonical_domains_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1872),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1872),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1872),
    [aux_sym_certificate_file_token1] = ACTIONS(1872),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1872),
    [aux_sym_channel_timeout_token1] = ACTIONS(1872),
    [aux_sym_check_host_ip_token1] = ACTIONS(1872),
    [aux_sym_ciphers_token1] = ACTIONS(1872),
    [aux_sym_cipher_token1] = ACTIONS(1874),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1872),
    [aux_sym_compression_token1] = ACTIONS(1872),
    [aux_sym_connection_attempts_token1] = ACTIONS(1872),
    [aux_sym_connect_timeout_token1] = ACTIONS(1872),
    [aux_sym_control_master_token1] = ACTIONS(1872),
    [aux_sym_control_path_token1] = ACTIONS(1872),
    [aux_sym_control_persist_token1] = ACTIONS(1872),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1872),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1872),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1872),
    [aux_sym_escape_char_token1] = ACTIONS(1872),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1872),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1872),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1872),
    [aux_sym_forward_agent_token1] = ACTIONS(1872),
    [aux_sym_forward_x11_token1] = ACTIONS(1874),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1872),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1872),
    [aux_sym_gateway_ports_token1] = ACTIONS(1872),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1872),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1872),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1872),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1872),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1872),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1872),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1872),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1872),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1872),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1872),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1872),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1872),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1872),
    [aux_sym_host_key_alias_token1] = ACTIONS(1872),
    [aux_sym_hostname_token1] = ACTIONS(1872),
    [aux_sym_identities_only_token1] = ACTIONS(1872),
    [aux_sym_identity_agent_token1] = ACTIONS(1872),
    [aux_sym_identity_file_token1] = ACTIONS(1872),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1872),
    [aux_sym_include_token1] = ACTIONS(1872),
    [aux_sym_ip_qos_token1] = ACTIONS(1872),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1872),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1872),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1872),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1872),
    [aux_sym_local_command_token1] = ACTIONS(1872),
    [aux_sym_local_forward_token1] = ACTIONS(1872),
    [aux_sym_log_level_token1] = ACTIONS(1872),
    [aux_sym_log_verbose_token1] = ACTIONS(1872),
    [aux_sym_macs_token1] = ACTIONS(1872),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1872),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1872),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1872),
    [aux_sym_password_authentication_token1] = ACTIONS(1872),
    [aux_sym_permit_local_command_token1] = ACTIONS(1872),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1872),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1872),
    [aux_sym_port_token1] = ACTIONS(1872),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1872),
    [aux_sym_protocol_token1] = ACTIONS(1872),
    [aux_sym_proxy_command_token1] = ACTIONS(1872),
    [aux_sym_proxy_jump_token1] = ACTIONS(1872),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1872),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1872),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1872),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1872),
    [aux_sym_rekey_limit_token1] = ACTIONS(1872),
    [aux_sym_remote_command_token1] = ACTIONS(1872),
    [aux_sym_remote_forward_token1] = ACTIONS(1872),
    [aux_sym_request_tty_token1] = ACTIONS(1872),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1872),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1872),
    [aux_sym_security_key_provider_token1] = ACTIONS(1872),
    [aux_sym_send_env_token1] = ACTIONS(1872),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1872),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1872),
    [aux_sym_session_type_token1] = ACTIONS(1872),
    [aux_sym_set_env_token1] = ACTIONS(1872),
    [aux_sym_stdin_null_token1] = ACTIONS(1872),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1872),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1872),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1872),
    [aux_sym_syslog_facility_token1] = ACTIONS(1872),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1872),
    [aux_sym_keep_alive_token1] = ACTIONS(1872),
    [aux_sym_tag_token1] = ACTIONS(1872),
    [aux_sym_tunnel_token1] = ACTIONS(1874),
    [aux_sym_tunnel_device_token1] = ACTIONS(1872),
    [aux_sym_update_host_keys_token1] = ACTIONS(1872),
    [aux_sym_use_keychain_token1] = ACTIONS(1872),
    [aux_sym_use_roaming_token1] = ACTIONS(1872),
    [aux_sym_user_token1] = ACTIONS(1874),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1872),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1872),
    [aux_sym_version_addendum_token1] = ACTIONS(1872),
    [aux_sym_visual_host_key_token1] = ACTIONS(1872),
    [aux_sym_xauth_location_token1] = ACTIONS(1872),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2588),
    [aux_sym_match_token1] = ACTIONS(2586),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2586),
    [aux_sym_address_family_token1] = ACTIONS(2586),
    [aux_sym_batch_mode_token1] = ACTIONS(2586),
    [aux_sym_bind_address_token1] = ACTIONS(2586),
    [aux_sym_bind_interface_token1] = ACTIONS(2586),
    [aux_sym_canonical_domains_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2586),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2586),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2586),
    [aux_sym_certificate_file_token1] = ACTIONS(2586),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2586),
    [aux_sym_channel_timeout_token1] = ACTIONS(2586),
    [aux_sym_check_host_ip_token1] = ACTIONS(2586),
    [aux_sym_ciphers_token1] = ACTIONS(2586),
    [aux_sym_cipher_token1] = ACTIONS(2588),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2586),
    [aux_sym_compression_token1] = ACTIONS(2586),
    [aux_sym_connection_attempts_token1] = ACTIONS(2586),
    [aux_sym_connect_timeout_token1] = ACTIONS(2586),
    [aux_sym_control_master_token1] = ACTIONS(2586),
    [aux_sym_control_path_token1] = ACTIONS(2586),
    [aux_sym_control_persist_token1] = ACTIONS(2586),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2586),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2586),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2586),
    [aux_sym_escape_char_token1] = ACTIONS(2586),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2586),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2586),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2586),
    [aux_sym_forward_agent_token1] = ACTIONS(2586),
    [aux_sym_forward_x11_token1] = ACTIONS(2588),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2586),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2586),
    [aux_sym_gateway_ports_token1] = ACTIONS(2586),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2586),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2586),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2586),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2586),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2586),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2586),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2586),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2586),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2586),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2586),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2586),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2586),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2586),
    [aux_sym_host_key_alias_token1] = ACTIONS(2586),
    [aux_sym_hostname_token1] = ACTIONS(2586),
    [aux_sym_identities_only_token1] = ACTIONS(2586),
    [aux_sym_identity_agent_token1] = ACTIONS(2586),
    [aux_sym_identity_file_token1] = ACTIONS(2586),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2586),
    [aux_sym_include_token1] = ACTIONS(2586),
    [aux_sym_ip_qos_token1] = ACTIONS(2586),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2586),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2586),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2586),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2586),
    [aux_sym_local_command_token1] = ACTIONS(2586),
    [aux_sym_local_forward_token1] = ACTIONS(2586),
    [aux_sym_log_level_token1] = ACTIONS(2586),
    [aux_sym_log_verbose_token1] = ACTIONS(2586),
    [aux_sym_macs_token1] = ACTIONS(2586),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2586),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2586),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2586),
    [aux_sym_password_authentication_token1] = ACTIONS(2586),
    [aux_sym_permit_local_command_token1] = ACTIONS(2586),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2586),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2586),
    [aux_sym_port_token1] = ACTIONS(2586),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2586),
    [aux_sym_protocol_token1] = ACTIONS(2586),
    [aux_sym_proxy_command_token1] = ACTIONS(2586),
    [aux_sym_proxy_jump_token1] = ACTIONS(2586),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2586),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2586),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2586),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2586),
    [aux_sym_rekey_limit_token1] = ACTIONS(2586),
    [aux_sym_remote_command_token1] = ACTIONS(2586),
    [aux_sym_remote_forward_token1] = ACTIONS(2586),
    [aux_sym_request_tty_token1] = ACTIONS(2586),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2586),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2586),
    [aux_sym_security_key_provider_token1] = ACTIONS(2586),
    [aux_sym_send_env_token1] = ACTIONS(2586),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2586),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2586),
    [aux_sym_session_type_token1] = ACTIONS(2586),
    [aux_sym_set_env_token1] = ACTIONS(2586),
    [aux_sym_stdin_null_token1] = ACTIONS(2586),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2586),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2586),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2586),
    [aux_sym_syslog_facility_token1] = ACTIONS(2586),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2586),
    [aux_sym_keep_alive_token1] = ACTIONS(2586),
    [aux_sym_tag_token1] = ACTIONS(2586),
    [aux_sym_tunnel_token1] = ACTIONS(2588),
    [aux_sym_tunnel_device_token1] = ACTIONS(2586),
    [aux_sym_update_host_keys_token1] = ACTIONS(2586),
    [aux_sym_use_keychain_token1] = ACTIONS(2586),
    [aux_sym_use_roaming_token1] = ACTIONS(2586),
    [aux_sym_user_token1] = ACTIONS(2588),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2586),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2586),
    [aux_sym_version_addendum_token1] = ACTIONS(2586),
    [aux_sym_visual_host_key_token1] = ACTIONS(2586),
    [aux_sym_xauth_location_token1] = ACTIONS(2586),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2594),
    [aux_sym_match_token1] = ACTIONS(2592),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2592),
    [aux_sym_address_family_token1] = ACTIONS(2592),
    [aux_sym_batch_mode_token1] = ACTIONS(2592),
    [aux_sym_bind_address_token1] = ACTIONS(2592),
    [aux_sym_bind_interface_token1] = ACTIONS(2592),
    [aux_sym_canonical_domains_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2592),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2592),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2592),
    [aux_sym_certificate_file_token1] = ACTIONS(2592),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2592),
    [aux_sym_channel_timeout_token1] = ACTIONS(2592),
    [aux_sym_check_host_ip_token1] = ACTIONS(2592),
    [aux_sym_ciphers_token1] = ACTIONS(2592),
    [aux_sym_cipher_token1] = ACTIONS(2594),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2592),
    [aux_sym_compression_token1] = ACTIONS(2592),
    [aux_sym_connection_attempts_token1] = ACTIONS(2592),
    [aux_sym_connect_timeout_token1] = ACTIONS(2592),
    [aux_sym_control_master_token1] = ACTIONS(2592),
    [aux_sym_control_path_token1] = ACTIONS(2592),
    [aux_sym_control_persist_token1] = ACTIONS(2592),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2592),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2592),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2592),
    [aux_sym_escape_char_token1] = ACTIONS(2592),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2592),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2592),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2592),
    [aux_sym_forward_agent_token1] = ACTIONS(2592),
    [aux_sym_forward_x11_token1] = ACTIONS(2594),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2592),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2592),
    [aux_sym_gateway_ports_token1] = ACTIONS(2592),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2592),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2592),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2592),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2592),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2592),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2592),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2592),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2592),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2592),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2592),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2592),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2592),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2592),
    [aux_sym_host_key_alias_token1] = ACTIONS(2592),
    [aux_sym_hostname_token1] = ACTIONS(2592),
    [aux_sym_identities_only_token1] = ACTIONS(2592),
    [aux_sym_identity_agent_token1] = ACTIONS(2592),
    [aux_sym_identity_file_token1] = ACTIONS(2592),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2592),
    [aux_sym_include_token1] = ACTIONS(2592),
    [aux_sym_ip_qos_token1] = ACTIONS(2592),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2592),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2592),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2592),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2592),
    [aux_sym_local_command_token1] = ACTIONS(2592),
    [aux_sym_local_forward_token1] = ACTIONS(2592),
    [aux_sym_log_level_token1] = ACTIONS(2592),
    [aux_sym_log_verbose_token1] = ACTIONS(2592),
    [aux_sym_macs_token1] = ACTIONS(2592),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2592),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2592),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2592),
    [aux_sym_password_authentication_token1] = ACTIONS(2592),
    [aux_sym_permit_local_command_token1] = ACTIONS(2592),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2592),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2592),
    [aux_sym_port_token1] = ACTIONS(2592),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2592),
    [aux_sym_protocol_token1] = ACTIONS(2592),
    [aux_sym_proxy_command_token1] = ACTIONS(2592),
    [aux_sym_proxy_jump_token1] = ACTIONS(2592),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2592),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2592),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2592),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2592),
    [aux_sym_rekey_limit_token1] = ACTIONS(2592),
    [aux_sym_remote_command_token1] = ACTIONS(2592),
    [aux_sym_remote_forward_token1] = ACTIONS(2592),
    [aux_sym_request_tty_token1] = ACTIONS(2592),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2592),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2592),
    [aux_sym_security_key_provider_token1] = ACTIONS(2592),
    [aux_sym_send_env_token1] = ACTIONS(2592),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2592),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2592),
    [aux_sym_session_type_token1] = ACTIONS(2592),
    [aux_sym_set_env_token1] = ACTIONS(2592),
    [aux_sym_stdin_null_token1] = ACTIONS(2592),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2592),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2592),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2592),
    [aux_sym_syslog_facility_token1] = ACTIONS(2592),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2592),
    [aux_sym_keep_alive_token1] = ACTIONS(2592),
    [aux_sym_tag_token1] = ACTIONS(2592),
    [aux_sym_tunnel_token1] = ACTIONS(2594),
    [aux_sym_tunnel_device_token1] = ACTIONS(2592),
    [aux_sym_update_host_keys_token1] = ACTIONS(2592),
    [aux_sym_use_keychain_token1] = ACTIONS(2592),
    [aux_sym_use_roaming_token1] = ACTIONS(2592),
    [aux_sym_user_token1] = ACTIONS(2594),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2592),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2592),
    [aux_sym_version_addendum_token1] = ACTIONS(2592),
    [aux_sym_visual_host_key_token1] = ACTIONS(2592),
    [aux_sym_xauth_location_token1] = ACTIONS(2592),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1880),
    [aux_sym_match_token1] = ACTIONS(1878),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1878),
    [aux_sym_address_family_token1] = ACTIONS(1878),
    [aux_sym_batch_mode_token1] = ACTIONS(1878),
    [aux_sym_bind_address_token1] = ACTIONS(1878),
    [aux_sym_bind_interface_token1] = ACTIONS(1878),
    [aux_sym_canonical_domains_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1878),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1878),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1878),
    [aux_sym_certificate_file_token1] = ACTIONS(1878),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1878),
    [aux_sym_channel_timeout_token1] = ACTIONS(1878),
    [aux_sym_check_host_ip_token1] = ACTIONS(1878),
    [aux_sym_ciphers_token1] = ACTIONS(1878),
    [aux_sym_cipher_token1] = ACTIONS(1880),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1878),
    [aux_sym_compression_token1] = ACTIONS(1878),
    [aux_sym_connection_attempts_token1] = ACTIONS(1878),
    [aux_sym_connect_timeout_token1] = ACTIONS(1878),
    [aux_sym_control_master_token1] = ACTIONS(1878),
    [aux_sym_control_path_token1] = ACTIONS(1878),
    [aux_sym_control_persist_token1] = ACTIONS(1878),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1878),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1878),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1878),
    [aux_sym_escape_char_token1] = ACTIONS(1878),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1878),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1878),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1878),
    [aux_sym_forward_agent_token1] = ACTIONS(1878),
    [aux_sym_forward_x11_token1] = ACTIONS(1880),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1878),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1878),
    [aux_sym_gateway_ports_token1] = ACTIONS(1878),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1878),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1878),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1878),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1878),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1878),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1878),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1878),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1878),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1878),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1878),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1878),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1878),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1878),
    [aux_sym_host_key_alias_token1] = ACTIONS(1878),
    [aux_sym_hostname_token1] = ACTIONS(1878),
    [aux_sym_identities_only_token1] = ACTIONS(1878),
    [aux_sym_identity_agent_token1] = ACTIONS(1878),
    [aux_sym_identity_file_token1] = ACTIONS(1878),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1878),
    [aux_sym_include_token1] = ACTIONS(1878),
    [aux_sym_ip_qos_token1] = ACTIONS(1878),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1878),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1878),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1878),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1878),
    [aux_sym_local_command_token1] = ACTIONS(1878),
    [aux_sym_local_forward_token1] = ACTIONS(1878),
    [aux_sym_log_level_token1] = ACTIONS(1878),
    [aux_sym_log_verbose_token1] = ACTIONS(1878),
    [aux_sym_macs_token1] = ACTIONS(1878),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1878),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1878),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1878),
    [aux_sym_password_authentication_token1] = ACTIONS(1878),
    [aux_sym_permit_local_command_token1] = ACTIONS(1878),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1878),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1878),
    [aux_sym_port_token1] = ACTIONS(1878),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1878),
    [aux_sym_protocol_token1] = ACTIONS(1878),
    [aux_sym_proxy_command_token1] = ACTIONS(1878),
    [aux_sym_proxy_jump_token1] = ACTIONS(1878),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1878),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1878),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1878),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1878),
    [aux_sym_rekey_limit_token1] = ACTIONS(1878),
    [aux_sym_remote_command_token1] = ACTIONS(1878),
    [aux_sym_remote_forward_token1] = ACTIONS(1878),
    [aux_sym_request_tty_token1] = ACTIONS(1878),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1878),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1878),
    [aux_sym_security_key_provider_token1] = ACTIONS(1878),
    [aux_sym_send_env_token1] = ACTIONS(1878),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1878),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1878),
    [aux_sym_session_type_token1] = ACTIONS(1878),
    [aux_sym_set_env_token1] = ACTIONS(1878),
    [aux_sym_stdin_null_token1] = ACTIONS(1878),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1878),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1878),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1878),
    [aux_sym_syslog_facility_token1] = ACTIONS(1878),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1878),
    [aux_sym_keep_alive_token1] = ACTIONS(1878),
    [aux_sym_tag_token1] = ACTIONS(1878),
    [aux_sym_tunnel_token1] = ACTIONS(1880),
    [aux_sym_tunnel_device_token1] = ACTIONS(1878),
    [aux_sym_update_host_keys_token1] = ACTIONS(1878),
    [aux_sym_use_keychain_token1] = ACTIONS(1878),
    [aux_sym_use_roaming_token1] = ACTIONS(1878),
    [aux_sym_user_token1] = ACTIONS(1880),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1878),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1878),
    [aux_sym_version_addendum_token1] = ACTIONS(1878),
    [aux_sym_visual_host_key_token1] = ACTIONS(1878),
    [aux_sym_xauth_location_token1] = ACTIONS(1878),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2600),
    [aux_sym_match_token1] = ACTIONS(2598),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2598),
    [aux_sym_address_family_token1] = ACTIONS(2598),
    [aux_sym_batch_mode_token1] = ACTIONS(2598),
    [aux_sym_bind_address_token1] = ACTIONS(2598),
    [aux_sym_bind_interface_token1] = ACTIONS(2598),
    [aux_sym_canonical_domains_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2598),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2598),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2598),
    [aux_sym_certificate_file_token1] = ACTIONS(2598),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2598),
    [aux_sym_channel_timeout_token1] = ACTIONS(2598),
    [aux_sym_check_host_ip_token1] = ACTIONS(2598),
    [aux_sym_ciphers_token1] = ACTIONS(2598),
    [aux_sym_cipher_token1] = ACTIONS(2600),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2598),
    [aux_sym_compression_token1] = ACTIONS(2598),
    [aux_sym_connection_attempts_token1] = ACTIONS(2598),
    [aux_sym_connect_timeout_token1] = ACTIONS(2598),
    [aux_sym_control_master_token1] = ACTIONS(2598),
    [aux_sym_control_path_token1] = ACTIONS(2598),
    [aux_sym_control_persist_token1] = ACTIONS(2598),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2598),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2598),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2598),
    [aux_sym_escape_char_token1] = ACTIONS(2598),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2598),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2598),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2598),
    [aux_sym_forward_agent_token1] = ACTIONS(2598),
    [aux_sym_forward_x11_token1] = ACTIONS(2600),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2598),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2598),
    [aux_sym_gateway_ports_token1] = ACTIONS(2598),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2598),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2598),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2598),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2598),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2598),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2598),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2598),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2598),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2598),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2598),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2598),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2598),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2598),
    [aux_sym_host_key_alias_token1] = ACTIONS(2598),
    [aux_sym_hostname_token1] = ACTIONS(2598),
    [aux_sym_identities_only_token1] = ACTIONS(2598),
    [aux_sym_identity_agent_token1] = ACTIONS(2598),
    [aux_sym_identity_file_token1] = ACTIONS(2598),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2598),
    [aux_sym_include_token1] = ACTIONS(2598),
    [aux_sym_ip_qos_token1] = ACTIONS(2598),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2598),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2598),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2598),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2598),
    [aux_sym_local_command_token1] = ACTIONS(2598),
    [aux_sym_local_forward_token1] = ACTIONS(2598),
    [aux_sym_log_level_token1] = ACTIONS(2598),
    [aux_sym_log_verbose_token1] = ACTIONS(2598),
    [aux_sym_macs_token1] = ACTIONS(2598),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2598),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2598),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2598),
    [aux_sym_password_authentication_token1] = ACTIONS(2598),
    [aux_sym_permit_local_command_token1] = ACTIONS(2598),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2598),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2598),
    [aux_sym_port_token1] = ACTIONS(2598),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2598),
    [aux_sym_protocol_token1] = ACTIONS(2598),
    [aux_sym_proxy_command_token1] = ACTIONS(2598),
    [aux_sym_proxy_jump_token1] = ACTIONS(2598),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2598),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2598),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2598),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2598),
    [aux_sym_rekey_limit_token1] = ACTIONS(2598),
    [aux_sym_remote_command_token1] = ACTIONS(2598),
    [aux_sym_remote_forward_token1] = ACTIONS(2598),
    [aux_sym_request_tty_token1] = ACTIONS(2598),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2598),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2598),
    [aux_sym_security_key_provider_token1] = ACTIONS(2598),
    [aux_sym_send_env_token1] = ACTIONS(2598),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2598),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2598),
    [aux_sym_session_type_token1] = ACTIONS(2598),
    [aux_sym_set_env_token1] = ACTIONS(2598),
    [aux_sym_stdin_null_token1] = ACTIONS(2598),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2598),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2598),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2598),
    [aux_sym_syslog_facility_token1] = ACTIONS(2598),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2598),
    [aux_sym_keep_alive_token1] = ACTIONS(2598),
    [aux_sym_tag_token1] = ACTIONS(2598),
    [aux_sym_tunnel_token1] = ACTIONS(2600),
    [aux_sym_tunnel_device_token1] = ACTIONS(2598),
    [aux_sym_update_host_keys_token1] = ACTIONS(2598),
    [aux_sym_use_keychain_token1] = ACTIONS(2598),
    [aux_sym_use_roaming_token1] = ACTIONS(2598),
    [aux_sym_user_token1] = ACTIONS(2600),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2598),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2598),
    [aux_sym_version_addendum_token1] = ACTIONS(2598),
    [aux_sym_visual_host_key_token1] = ACTIONS(2598),
    [aux_sym_xauth_location_token1] = ACTIONS(2598),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2606),
    [aux_sym_match_token1] = ACTIONS(2604),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2604),
    [aux_sym_address_family_token1] = ACTIONS(2604),
    [aux_sym_batch_mode_token1] = ACTIONS(2604),
    [aux_sym_bind_address_token1] = ACTIONS(2604),
    [aux_sym_bind_interface_token1] = ACTIONS(2604),
    [aux_sym_canonical_domains_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2604),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2604),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2604),
    [aux_sym_certificate_file_token1] = ACTIONS(2604),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2604),
    [aux_sym_channel_timeout_token1] = ACTIONS(2604),
    [aux_sym_check_host_ip_token1] = ACTIONS(2604),
    [aux_sym_ciphers_token1] = ACTIONS(2604),
    [aux_sym_cipher_token1] = ACTIONS(2606),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2604),
    [aux_sym_compression_token1] = ACTIONS(2604),
    [aux_sym_connection_attempts_token1] = ACTIONS(2604),
    [aux_sym_connect_timeout_token1] = ACTIONS(2604),
    [aux_sym_control_master_token1] = ACTIONS(2604),
    [aux_sym_control_path_token1] = ACTIONS(2604),
    [aux_sym_control_persist_token1] = ACTIONS(2604),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2604),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2604),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2604),
    [aux_sym_escape_char_token1] = ACTIONS(2604),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2604),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2604),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2604),
    [aux_sym_forward_agent_token1] = ACTIONS(2604),
    [aux_sym_forward_x11_token1] = ACTIONS(2606),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2604),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2604),
    [aux_sym_gateway_ports_token1] = ACTIONS(2604),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2604),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2604),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2604),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2604),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2604),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2604),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2604),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2604),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2604),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2604),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2604),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2604),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2604),
    [aux_sym_host_key_alias_token1] = ACTIONS(2604),
    [aux_sym_hostname_token1] = ACTIONS(2604),
    [aux_sym_identities_only_token1] = ACTIONS(2604),
    [aux_sym_identity_agent_token1] = ACTIONS(2604),
    [aux_sym_identity_file_token1] = ACTIONS(2604),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2604),
    [aux_sym_include_token1] = ACTIONS(2604),
    [aux_sym_ip_qos_token1] = ACTIONS(2604),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2604),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2604),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2604),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2604),
    [aux_sym_local_command_token1] = ACTIONS(2604),
    [aux_sym_local_forward_token1] = ACTIONS(2604),
    [aux_sym_log_level_token1] = ACTIONS(2604),
    [aux_sym_log_verbose_token1] = ACTIONS(2604),
    [aux_sym_macs_token1] = ACTIONS(2604),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2604),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2604),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2604),
    [aux_sym_password_authentication_token1] = ACTIONS(2604),
    [aux_sym_permit_local_command_token1] = ACTIONS(2604),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2604),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2604),
    [aux_sym_port_token1] = ACTIONS(2604),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2604),
    [aux_sym_protocol_token1] = ACTIONS(2604),
    [aux_sym_proxy_command_token1] = ACTIONS(2604),
    [aux_sym_proxy_jump_token1] = ACTIONS(2604),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2604),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2604),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2604),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2604),
    [aux_sym_rekey_limit_token1] = ACTIONS(2604),
    [aux_sym_remote_command_token1] = ACTIONS(2604),
    [aux_sym_remote_forward_token1] = ACTIONS(2604),
    [aux_sym_request_tty_token1] = ACTIONS(2604),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2604),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2604),
    [aux_sym_security_key_provider_token1] = ACTIONS(2604),
    [aux_sym_send_env_token1] = ACTIONS(2604),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2604),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2604),
    [aux_sym_session_type_token1] = ACTIONS(2604),
    [aux_sym_set_env_token1] = ACTIONS(2604),
    [aux_sym_stdin_null_token1] = ACTIONS(2604),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2604),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2604),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2604),
    [aux_sym_syslog_facility_token1] = ACTIONS(2604),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2604),
    [aux_sym_keep_alive_token1] = ACTIONS(2604),
    [aux_sym_tag_token1] = ACTIONS(2604),
    [aux_sym_tunnel_token1] = ACTIONS(2606),
    [aux_sym_tunnel_device_token1] = ACTIONS(2604),
    [aux_sym_update_host_keys_token1] = ACTIONS(2604),
    [aux_sym_use_keychain_token1] = ACTIONS(2604),
    [aux_sym_use_roaming_token1] = ACTIONS(2604),
    [aux_sym_user_token1] = ACTIONS(2606),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2604),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2604),
    [aux_sym_version_addendum_token1] = ACTIONS(2604),
    [aux_sym_visual_host_key_token1] = ACTIONS(2604),
    [aux_sym_xauth_location_token1] = ACTIONS(2604),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1886),
    [aux_sym_match_token1] = ACTIONS(1884),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1884),
    [aux_sym_address_family_token1] = ACTIONS(1884),
    [aux_sym_batch_mode_token1] = ACTIONS(1884),
    [aux_sym_bind_address_token1] = ACTIONS(1884),
    [aux_sym_bind_interface_token1] = ACTIONS(1884),
    [aux_sym_canonical_domains_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1884),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1884),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1884),
    [aux_sym_certificate_file_token1] = ACTIONS(1884),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1884),
    [aux_sym_channel_timeout_token1] = ACTIONS(1884),
    [aux_sym_check_host_ip_token1] = ACTIONS(1884),
    [aux_sym_ciphers_token1] = ACTIONS(1884),
    [aux_sym_cipher_token1] = ACTIONS(1886),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1884),
    [aux_sym_compression_token1] = ACTIONS(1884),
    [aux_sym_connection_attempts_token1] = ACTIONS(1884),
    [aux_sym_connect_timeout_token1] = ACTIONS(1884),
    [aux_sym_control_master_token1] = ACTIONS(1884),
    [aux_sym_control_path_token1] = ACTIONS(1884),
    [aux_sym_control_persist_token1] = ACTIONS(1884),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1884),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1884),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1884),
    [aux_sym_escape_char_token1] = ACTIONS(1884),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1884),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1884),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1884),
    [aux_sym_forward_agent_token1] = ACTIONS(1884),
    [aux_sym_forward_x11_token1] = ACTIONS(1886),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1884),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1884),
    [aux_sym_gateway_ports_token1] = ACTIONS(1884),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1884),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1884),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1884),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1884),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1884),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1884),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1884),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1884),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1884),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1884),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1884),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1884),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1884),
    [aux_sym_host_key_alias_token1] = ACTIONS(1884),
    [aux_sym_hostname_token1] = ACTIONS(1884),
    [aux_sym_identities_only_token1] = ACTIONS(1884),
    [aux_sym_identity_agent_token1] = ACTIONS(1884),
    [aux_sym_identity_file_token1] = ACTIONS(1884),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1884),
    [aux_sym_include_token1] = ACTIONS(1884),
    [aux_sym_ip_qos_token1] = ACTIONS(1884),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1884),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1884),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1884),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1884),
    [aux_sym_local_command_token1] = ACTIONS(1884),
    [aux_sym_local_forward_token1] = ACTIONS(1884),
    [aux_sym_log_level_token1] = ACTIONS(1884),
    [aux_sym_log_verbose_token1] = ACTIONS(1884),
    [aux_sym_macs_token1] = ACTIONS(1884),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1884),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1884),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1884),
    [aux_sym_password_authentication_token1] = ACTIONS(1884),
    [aux_sym_permit_local_command_token1] = ACTIONS(1884),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1884),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1884),
    [aux_sym_port_token1] = ACTIONS(1884),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1884),
    [aux_sym_protocol_token1] = ACTIONS(1884),
    [aux_sym_proxy_command_token1] = ACTIONS(1884),
    [aux_sym_proxy_jump_token1] = ACTIONS(1884),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1884),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1884),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1884),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1884),
    [aux_sym_rekey_limit_token1] = ACTIONS(1884),
    [aux_sym_remote_command_token1] = ACTIONS(1884),
    [aux_sym_remote_forward_token1] = ACTIONS(1884),
    [aux_sym_request_tty_token1] = ACTIONS(1884),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1884),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1884),
    [aux_sym_security_key_provider_token1] = ACTIONS(1884),
    [aux_sym_send_env_token1] = ACTIONS(1884),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1884),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1884),
    [aux_sym_session_type_token1] = ACTIONS(1884),
    [aux_sym_set_env_token1] = ACTIONS(1884),
    [aux_sym_stdin_null_token1] = ACTIONS(1884),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1884),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1884),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1884),
    [aux_sym_syslog_facility_token1] = ACTIONS(1884),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1884),
    [aux_sym_keep_alive_token1] = ACTIONS(1884),
    [aux_sym_tag_token1] = ACTIONS(1884),
    [aux_sym_tunnel_token1] = ACTIONS(1886),
    [aux_sym_tunnel_device_token1] = ACTIONS(1884),
    [aux_sym_update_host_keys_token1] = ACTIONS(1884),
    [aux_sym_use_keychain_token1] = ACTIONS(1884),
    [aux_sym_use_roaming_token1] = ACTIONS(1884),
    [aux_sym_user_token1] = ACTIONS(1886),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1884),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1884),
    [aux_sym_version_addendum_token1] = ACTIONS(1884),
    [aux_sym_visual_host_key_token1] = ACTIONS(1884),
    [aux_sym_xauth_location_token1] = ACTIONS(1884),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2612),
    [aux_sym_match_token1] = ACTIONS(2610),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2610),
    [aux_sym_address_family_token1] = ACTIONS(2610),
    [aux_sym_batch_mode_token1] = ACTIONS(2610),
    [aux_sym_bind_address_token1] = ACTIONS(2610),
    [aux_sym_bind_interface_token1] = ACTIONS(2610),
    [aux_sym_canonical_domains_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2610),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2610),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2610),
    [aux_sym_certificate_file_token1] = ACTIONS(2610),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2610),
    [aux_sym_channel_timeout_token1] = ACTIONS(2610),
    [aux_sym_check_host_ip_token1] = ACTIONS(2610),
    [aux_sym_ciphers_token1] = ACTIONS(2610),
    [aux_sym_cipher_token1] = ACTIONS(2612),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2610),
    [aux_sym_compression_token1] = ACTIONS(2610),
    [aux_sym_connection_attempts_token1] = ACTIONS(2610),
    [aux_sym_connect_timeout_token1] = ACTIONS(2610),
    [aux_sym_control_master_token1] = ACTIONS(2610),
    [aux_sym_control_path_token1] = ACTIONS(2610),
    [aux_sym_control_persist_token1] = ACTIONS(2610),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2610),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2610),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2610),
    [aux_sym_escape_char_token1] = ACTIONS(2610),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2610),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2610),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2610),
    [aux_sym_forward_agent_token1] = ACTIONS(2610),
    [aux_sym_forward_x11_token1] = ACTIONS(2612),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2610),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2610),
    [aux_sym_gateway_ports_token1] = ACTIONS(2610),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2610),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2610),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2610),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2610),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2610),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2610),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2610),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2610),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2610),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2610),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2610),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2610),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2610),
    [aux_sym_host_key_alias_token1] = ACTIONS(2610),
    [aux_sym_hostname_token1] = ACTIONS(2610),
    [aux_sym_identities_only_token1] = ACTIONS(2610),
    [aux_sym_identity_agent_token1] = ACTIONS(2610),
    [aux_sym_identity_file_token1] = ACTIONS(2610),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2610),
    [aux_sym_include_token1] = ACTIONS(2610),
    [aux_sym_ip_qos_token1] = ACTIONS(2610),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2610),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2610),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2610),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2610),
    [aux_sym_local_command_token1] = ACTIONS(2610),
    [aux_sym_local_forward_token1] = ACTIONS(2610),
    [aux_sym_log_level_token1] = ACTIONS(2610),
    [aux_sym_log_verbose_token1] = ACTIONS(2610),
    [aux_sym_macs_token1] = ACTIONS(2610),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2610),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2610),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2610),
    [aux_sym_password_authentication_token1] = ACTIONS(2610),
    [aux_sym_permit_local_command_token1] = ACTIONS(2610),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2610),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2610),
    [aux_sym_port_token1] = ACTIONS(2610),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2610),
    [aux_sym_protocol_token1] = ACTIONS(2610),
    [aux_sym_proxy_command_token1] = ACTIONS(2610),
    [aux_sym_proxy_jump_token1] = ACTIONS(2610),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2610),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2610),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2610),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2610),
    [aux_sym_rekey_limit_token1] = ACTIONS(2610),
    [aux_sym_remote_command_token1] = ACTIONS(2610),
    [aux_sym_remote_forward_token1] = ACTIONS(2610),
    [aux_sym_request_tty_token1] = ACTIONS(2610),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2610),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2610),
    [aux_sym_security_key_provider_token1] = ACTIONS(2610),
    [aux_sym_send_env_token1] = ACTIONS(2610),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2610),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2610),
    [aux_sym_session_type_token1] = ACTIONS(2610),
    [aux_sym_set_env_token1] = ACTIONS(2610),
    [aux_sym_stdin_null_token1] = ACTIONS(2610),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2610),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2610),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2610),
    [aux_sym_syslog_facility_token1] = ACTIONS(2610),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2610),
    [aux_sym_keep_alive_token1] = ACTIONS(2610),
    [aux_sym_tag_token1] = ACTIONS(2610),
    [aux_sym_tunnel_token1] = ACTIONS(2612),
    [aux_sym_tunnel_device_token1] = ACTIONS(2610),
    [aux_sym_update_host_keys_token1] = ACTIONS(2610),
    [aux_sym_use_keychain_token1] = ACTIONS(2610),
    [aux_sym_use_roaming_token1] = ACTIONS(2610),
    [aux_sym_user_token1] = ACTIONS(2612),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2610),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2610),
    [aux_sym_version_addendum_token1] = ACTIONS(2610),
    [aux_sym_visual_host_key_token1] = ACTIONS(2610),
    [aux_sym_xauth_location_token1] = ACTIONS(2610),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2618),
    [aux_sym_match_token1] = ACTIONS(2616),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2616),
    [aux_sym_address_family_token1] = ACTIONS(2616),
    [aux_sym_batch_mode_token1] = ACTIONS(2616),
    [aux_sym_bind_address_token1] = ACTIONS(2616),
    [aux_sym_bind_interface_token1] = ACTIONS(2616),
    [aux_sym_canonical_domains_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2616),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2616),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2616),
    [aux_sym_certificate_file_token1] = ACTIONS(2616),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2616),
    [aux_sym_channel_timeout_token1] = ACTIONS(2616),
    [aux_sym_check_host_ip_token1] = ACTIONS(2616),
    [aux_sym_ciphers_token1] = ACTIONS(2616),
    [aux_sym_cipher_token1] = ACTIONS(2618),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2616),
    [aux_sym_compression_token1] = ACTIONS(2616),
    [aux_sym_connection_attempts_token1] = ACTIONS(2616),
    [aux_sym_connect_timeout_token1] = ACTIONS(2616),
    [aux_sym_control_master_token1] = ACTIONS(2616),
    [aux_sym_control_path_token1] = ACTIONS(2616),
    [aux_sym_control_persist_token1] = ACTIONS(2616),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2616),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2616),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2616),
    [aux_sym_escape_char_token1] = ACTIONS(2616),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2616),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2616),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2616),
    [aux_sym_forward_agent_token1] = ACTIONS(2616),
    [aux_sym_forward_x11_token1] = ACTIONS(2618),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2616),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2616),
    [aux_sym_gateway_ports_token1] = ACTIONS(2616),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2616),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2616),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2616),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2616),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2616),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2616),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2616),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2616),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2616),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2616),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2616),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2616),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2616),
    [aux_sym_host_key_alias_token1] = ACTIONS(2616),
    [aux_sym_hostname_token1] = ACTIONS(2616),
    [aux_sym_identities_only_token1] = ACTIONS(2616),
    [aux_sym_identity_agent_token1] = ACTIONS(2616),
    [aux_sym_identity_file_token1] = ACTIONS(2616),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2616),
    [aux_sym_include_token1] = ACTIONS(2616),
    [aux_sym_ip_qos_token1] = ACTIONS(2616),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2616),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2616),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2616),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2616),
    [aux_sym_local_command_token1] = ACTIONS(2616),
    [aux_sym_local_forward_token1] = ACTIONS(2616),
    [aux_sym_log_level_token1] = ACTIONS(2616),
    [aux_sym_log_verbose_token1] = ACTIONS(2616),
    [aux_sym_macs_token1] = ACTIONS(2616),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2616),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2616),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2616),
    [aux_sym_password_authentication_token1] = ACTIONS(2616),
    [aux_sym_permit_local_command_token1] = ACTIONS(2616),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2616),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2616),
    [aux_sym_port_token1] = ACTIONS(2616),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2616),
    [aux_sym_protocol_token1] = ACTIONS(2616),
    [aux_sym_proxy_command_token1] = ACTIONS(2616),
    [aux_sym_proxy_jump_token1] = ACTIONS(2616),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2616),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2616),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2616),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2616),
    [aux_sym_rekey_limit_token1] = ACTIONS(2616),
    [aux_sym_remote_command_token1] = ACTIONS(2616),
    [aux_sym_remote_forward_token1] = ACTIONS(2616),
    [aux_sym_request_tty_token1] = ACTIONS(2616),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2616),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2616),
    [aux_sym_security_key_provider_token1] = ACTIONS(2616),
    [aux_sym_send_env_token1] = ACTIONS(2616),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2616),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2616),
    [aux_sym_session_type_token1] = ACTIONS(2616),
    [aux_sym_set_env_token1] = ACTIONS(2616),
    [aux_sym_stdin_null_token1] = ACTIONS(2616),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2616),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2616),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2616),
    [aux_sym_syslog_facility_token1] = ACTIONS(2616),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2616),
    [aux_sym_keep_alive_token1] = ACTIONS(2616),
    [aux_sym_tag_token1] = ACTIONS(2616),
    [aux_sym_tunnel_token1] = ACTIONS(2618),
    [aux_sym_tunnel_device_token1] = ACTIONS(2616),
    [aux_sym_update_host_keys_token1] = ACTIONS(2616),
    [aux_sym_use_keychain_token1] = ACTIONS(2616),
    [aux_sym_use_roaming_token1] = ACTIONS(2616),
    [aux_sym_user_token1] = ACTIONS(2618),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2616),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2616),
    [aux_sym_version_addendum_token1] = ACTIONS(2616),
    [aux_sym_visual_host_key_token1] = ACTIONS(2616),
    [aux_sym_xauth_location_token1] = ACTIONS(2616),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1890),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1892),
    [aux_sym_match_token1] = ACTIONS(1890),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1890),
    [aux_sym_address_family_token1] = ACTIONS(1890),
    [aux_sym_batch_mode_token1] = ACTIONS(1890),
    [aux_sym_bind_address_token1] = ACTIONS(1890),
    [aux_sym_bind_interface_token1] = ACTIONS(1890),
    [aux_sym_canonical_domains_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1890),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1890),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1890),
    [aux_sym_certificate_file_token1] = ACTIONS(1890),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1890),
    [aux_sym_channel_timeout_token1] = ACTIONS(1890),
    [aux_sym_check_host_ip_token1] = ACTIONS(1890),
    [aux_sym_ciphers_token1] = ACTIONS(1890),
    [aux_sym_cipher_token1] = ACTIONS(1892),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1890),
    [aux_sym_compression_token1] = ACTIONS(1890),
    [aux_sym_connection_attempts_token1] = ACTIONS(1890),
    [aux_sym_connect_timeout_token1] = ACTIONS(1890),
    [aux_sym_control_master_token1] = ACTIONS(1890),
    [aux_sym_control_path_token1] = ACTIONS(1890),
    [aux_sym_control_persist_token1] = ACTIONS(1890),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1890),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1890),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1890),
    [aux_sym_escape_char_token1] = ACTIONS(1890),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1890),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1890),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1890),
    [aux_sym_forward_agent_token1] = ACTIONS(1890),
    [aux_sym_forward_x11_token1] = ACTIONS(1892),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1890),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1890),
    [aux_sym_gateway_ports_token1] = ACTIONS(1890),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1890),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1890),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1890),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1890),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1890),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1890),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1890),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1890),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1890),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1890),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1890),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1890),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1890),
    [aux_sym_host_key_alias_token1] = ACTIONS(1890),
    [aux_sym_hostname_token1] = ACTIONS(1890),
    [aux_sym_identities_only_token1] = ACTIONS(1890),
    [aux_sym_identity_agent_token1] = ACTIONS(1890),
    [aux_sym_identity_file_token1] = ACTIONS(1890),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1890),
    [aux_sym_include_token1] = ACTIONS(1890),
    [aux_sym_ip_qos_token1] = ACTIONS(1890),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1890),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1890),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1890),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1890),
    [aux_sym_local_command_token1] = ACTIONS(1890),
    [aux_sym_local_forward_token1] = ACTIONS(1890),
    [aux_sym_log_level_token1] = ACTIONS(1890),
    [aux_sym_log_verbose_token1] = ACTIONS(1890),
    [aux_sym_macs_token1] = ACTIONS(1890),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1890),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1890),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1890),
    [aux_sym_password_authentication_token1] = ACTIONS(1890),
    [aux_sym_permit_local_command_token1] = ACTIONS(1890),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1890),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1890),
    [aux_sym_port_token1] = ACTIONS(1890),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1890),
    [aux_sym_protocol_token1] = ACTIONS(1890),
    [aux_sym_proxy_command_token1] = ACTIONS(1890),
    [aux_sym_proxy_jump_token1] = ACTIONS(1890),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1890),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1890),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1890),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1890),
    [aux_sym_rekey_limit_token1] = ACTIONS(1890),
    [aux_sym_remote_command_token1] = ACTIONS(1890),
    [aux_sym_remote_forward_token1] = ACTIONS(1890),
    [aux_sym_request_tty_token1] = ACTIONS(1890),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1890),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1890),
    [aux_sym_security_key_provider_token1] = ACTIONS(1890),
    [aux_sym_send_env_token1] = ACTIONS(1890),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1890),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1890),
    [aux_sym_session_type_token1] = ACTIONS(1890),
    [aux_sym_set_env_token1] = ACTIONS(1890),
    [aux_sym_stdin_null_token1] = ACTIONS(1890),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1890),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1890),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1890),
    [aux_sym_syslog_facility_token1] = ACTIONS(1890),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1890),
    [aux_sym_keep_alive_token1] = ACTIONS(1890),
    [aux_sym_tag_token1] = ACTIONS(1890),
    [aux_sym_tunnel_token1] = ACTIONS(1892),
    [aux_sym_tunnel_device_token1] = ACTIONS(1890),
    [aux_sym_update_host_keys_token1] = ACTIONS(1890),
    [aux_sym_use_keychain_token1] = ACTIONS(1890),
    [aux_sym_use_roaming_token1] = ACTIONS(1890),
    [aux_sym_user_token1] = ACTIONS(1892),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1890),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1890),
    [aux_sym_version_addendum_token1] = ACTIONS(1890),
    [aux_sym_visual_host_key_token1] = ACTIONS(1890),
    [aux_sym_xauth_location_token1] = ACTIONS(1890),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2624),
    [aux_sym_match_token1] = ACTIONS(2622),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2622),
    [aux_sym_address_family_token1] = ACTIONS(2622),
    [aux_sym_batch_mode_token1] = ACTIONS(2622),
    [aux_sym_bind_address_token1] = ACTIONS(2622),
    [aux_sym_bind_interface_token1] = ACTIONS(2622),
    [aux_sym_canonical_domains_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2622),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2622),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2622),
    [aux_sym_certificate_file_token1] = ACTIONS(2622),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2622),
    [aux_sym_channel_timeout_token1] = ACTIONS(2622),
    [aux_sym_check_host_ip_token1] = ACTIONS(2622),
    [aux_sym_ciphers_token1] = ACTIONS(2622),
    [aux_sym_cipher_token1] = ACTIONS(2624),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2622),
    [aux_sym_compression_token1] = ACTIONS(2622),
    [aux_sym_connection_attempts_token1] = ACTIONS(2622),
    [aux_sym_connect_timeout_token1] = ACTIONS(2622),
    [aux_sym_control_master_token1] = ACTIONS(2622),
    [aux_sym_control_path_token1] = ACTIONS(2622),
    [aux_sym_control_persist_token1] = ACTIONS(2622),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2622),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2622),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2622),
    [aux_sym_escape_char_token1] = ACTIONS(2622),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2622),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2622),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2622),
    [aux_sym_forward_agent_token1] = ACTIONS(2622),
    [aux_sym_forward_x11_token1] = ACTIONS(2624),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2622),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2622),
    [aux_sym_gateway_ports_token1] = ACTIONS(2622),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2622),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2622),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2622),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2622),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2622),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2622),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2622),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2622),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2622),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2622),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2622),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2622),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2622),
    [aux_sym_host_key_alias_token1] = ACTIONS(2622),
    [aux_sym_hostname_token1] = ACTIONS(2622),
    [aux_sym_identities_only_token1] = ACTIONS(2622),
    [aux_sym_identity_agent_token1] = ACTIONS(2622),
    [aux_sym_identity_file_token1] = ACTIONS(2622),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2622),
    [aux_sym_include_token1] = ACTIONS(2622),
    [aux_sym_ip_qos_token1] = ACTIONS(2622),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2622),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2622),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2622),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2622),
    [aux_sym_local_command_token1] = ACTIONS(2622),
    [aux_sym_local_forward_token1] = ACTIONS(2622),
    [aux_sym_log_level_token1] = ACTIONS(2622),
    [aux_sym_log_verbose_token1] = ACTIONS(2622),
    [aux_sym_macs_token1] = ACTIONS(2622),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2622),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2622),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2622),
    [aux_sym_password_authentication_token1] = ACTIONS(2622),
    [aux_sym_permit_local_command_token1] = ACTIONS(2622),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2622),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2622),
    [aux_sym_port_token1] = ACTIONS(2622),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2622),
    [aux_sym_protocol_token1] = ACTIONS(2622),
    [aux_sym_proxy_command_token1] = ACTIONS(2622),
    [aux_sym_proxy_jump_token1] = ACTIONS(2622),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2622),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2622),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2622),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2622),
    [aux_sym_rekey_limit_token1] = ACTIONS(2622),
    [aux_sym_remote_command_token1] = ACTIONS(2622),
    [aux_sym_remote_forward_token1] = ACTIONS(2622),
    [aux_sym_request_tty_token1] = ACTIONS(2622),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2622),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2622),
    [aux_sym_security_key_provider_token1] = ACTIONS(2622),
    [aux_sym_send_env_token1] = ACTIONS(2622),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2622),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2622),
    [aux_sym_session_type_token1] = ACTIONS(2622),
    [aux_sym_set_env_token1] = ACTIONS(2622),
    [aux_sym_stdin_null_token1] = ACTIONS(2622),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2622),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2622),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2622),
    [aux_sym_syslog_facility_token1] = ACTIONS(2622),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2622),
    [aux_sym_keep_alive_token1] = ACTIONS(2622),
    [aux_sym_tag_token1] = ACTIONS(2622),
    [aux_sym_tunnel_token1] = ACTIONS(2624),
    [aux_sym_tunnel_device_token1] = ACTIONS(2622),
    [aux_sym_update_host_keys_token1] = ACTIONS(2622),
    [aux_sym_use_keychain_token1] = ACTIONS(2622),
    [aux_sym_use_roaming_token1] = ACTIONS(2622),
    [aux_sym_user_token1] = ACTIONS(2624),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2622),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2622),
    [aux_sym_version_addendum_token1] = ACTIONS(2622),
    [aux_sym_visual_host_key_token1] = ACTIONS(2622),
    [aux_sym_xauth_location_token1] = ACTIONS(2622),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2630),
    [aux_sym_match_token1] = ACTIONS(2628),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2628),
    [aux_sym_address_family_token1] = ACTIONS(2628),
    [aux_sym_batch_mode_token1] = ACTIONS(2628),
    [aux_sym_bind_address_token1] = ACTIONS(2628),
    [aux_sym_bind_interface_token1] = ACTIONS(2628),
    [aux_sym_canonical_domains_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2628),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2628),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2628),
    [aux_sym_certificate_file_token1] = ACTIONS(2628),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2628),
    [aux_sym_channel_timeout_token1] = ACTIONS(2628),
    [aux_sym_check_host_ip_token1] = ACTIONS(2628),
    [aux_sym_ciphers_token1] = ACTIONS(2628),
    [aux_sym_cipher_token1] = ACTIONS(2630),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2628),
    [aux_sym_compression_token1] = ACTIONS(2628),
    [aux_sym_connection_attempts_token1] = ACTIONS(2628),
    [aux_sym_connect_timeout_token1] = ACTIONS(2628),
    [aux_sym_control_master_token1] = ACTIONS(2628),
    [aux_sym_control_path_token1] = ACTIONS(2628),
    [aux_sym_control_persist_token1] = ACTIONS(2628),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2628),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2628),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2628),
    [aux_sym_escape_char_token1] = ACTIONS(2628),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2628),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2628),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2628),
    [aux_sym_forward_agent_token1] = ACTIONS(2628),
    [aux_sym_forward_x11_token1] = ACTIONS(2630),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2628),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2628),
    [aux_sym_gateway_ports_token1] = ACTIONS(2628),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2628),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2628),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2628),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2628),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2628),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2628),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2628),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2628),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2628),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2628),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2628),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2628),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2628),
    [aux_sym_host_key_alias_token1] = ACTIONS(2628),
    [aux_sym_hostname_token1] = ACTIONS(2628),
    [aux_sym_identities_only_token1] = ACTIONS(2628),
    [aux_sym_identity_agent_token1] = ACTIONS(2628),
    [aux_sym_identity_file_token1] = ACTIONS(2628),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2628),
    [aux_sym_include_token1] = ACTIONS(2628),
    [aux_sym_ip_qos_token1] = ACTIONS(2628),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2628),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2628),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2628),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2628),
    [aux_sym_local_command_token1] = ACTIONS(2628),
    [aux_sym_local_forward_token1] = ACTIONS(2628),
    [aux_sym_log_level_token1] = ACTIONS(2628),
    [aux_sym_log_verbose_token1] = ACTIONS(2628),
    [aux_sym_macs_token1] = ACTIONS(2628),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2628),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2628),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2628),
    [aux_sym_password_authentication_token1] = ACTIONS(2628),
    [aux_sym_permit_local_command_token1] = ACTIONS(2628),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2628),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2628),
    [aux_sym_port_token1] = ACTIONS(2628),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2628),
    [aux_sym_protocol_token1] = ACTIONS(2628),
    [aux_sym_proxy_command_token1] = ACTIONS(2628),
    [aux_sym_proxy_jump_token1] = ACTIONS(2628),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2628),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2628),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2628),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2628),
    [aux_sym_rekey_limit_token1] = ACTIONS(2628),
    [aux_sym_remote_command_token1] = ACTIONS(2628),
    [aux_sym_remote_forward_token1] = ACTIONS(2628),
    [aux_sym_request_tty_token1] = ACTIONS(2628),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2628),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2628),
    [aux_sym_security_key_provider_token1] = ACTIONS(2628),
    [aux_sym_send_env_token1] = ACTIONS(2628),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2628),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2628),
    [aux_sym_session_type_token1] = ACTIONS(2628),
    [aux_sym_set_env_token1] = ACTIONS(2628),
    [aux_sym_stdin_null_token1] = ACTIONS(2628),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2628),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2628),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2628),
    [aux_sym_syslog_facility_token1] = ACTIONS(2628),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2628),
    [aux_sym_keep_alive_token1] = ACTIONS(2628),
    [aux_sym_tag_token1] = ACTIONS(2628),
    [aux_sym_tunnel_token1] = ACTIONS(2630),
    [aux_sym_tunnel_device_token1] = ACTIONS(2628),
    [aux_sym_update_host_keys_token1] = ACTIONS(2628),
    [aux_sym_use_keychain_token1] = ACTIONS(2628),
    [aux_sym_use_roaming_token1] = ACTIONS(2628),
    [aux_sym_user_token1] = ACTIONS(2630),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2628),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2628),
    [aux_sym_version_addendum_token1] = ACTIONS(2628),
    [aux_sym_visual_host_key_token1] = ACTIONS(2628),
    [aux_sym_xauth_location_token1] = ACTIONS(2628),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1898),
    [aux_sym_match_token1] = ACTIONS(1896),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1896),
    [aux_sym_address_family_token1] = ACTIONS(1896),
    [aux_sym_batch_mode_token1] = ACTIONS(1896),
    [aux_sym_bind_address_token1] = ACTIONS(1896),
    [aux_sym_bind_interface_token1] = ACTIONS(1896),
    [aux_sym_canonical_domains_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1896),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1896),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1896),
    [aux_sym_certificate_file_token1] = ACTIONS(1896),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1896),
    [aux_sym_channel_timeout_token1] = ACTIONS(1896),
    [aux_sym_check_host_ip_token1] = ACTIONS(1896),
    [aux_sym_ciphers_token1] = ACTIONS(1896),
    [aux_sym_cipher_token1] = ACTIONS(1898),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1896),
    [aux_sym_compression_token1] = ACTIONS(1896),
    [aux_sym_connection_attempts_token1] = ACTIONS(1896),
    [aux_sym_connect_timeout_token1] = ACTIONS(1896),
    [aux_sym_control_master_token1] = ACTIONS(1896),
    [aux_sym_control_path_token1] = ACTIONS(1896),
    [aux_sym_control_persist_token1] = ACTIONS(1896),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1896),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1896),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1896),
    [aux_sym_escape_char_token1] = ACTIONS(1896),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1896),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1896),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1896),
    [aux_sym_forward_agent_token1] = ACTIONS(1896),
    [aux_sym_forward_x11_token1] = ACTIONS(1898),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1896),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1896),
    [aux_sym_gateway_ports_token1] = ACTIONS(1896),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1896),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1896),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1896),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1896),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1896),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1896),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1896),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1896),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1896),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1896),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1896),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1896),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1896),
    [aux_sym_host_key_alias_token1] = ACTIONS(1896),
    [aux_sym_hostname_token1] = ACTIONS(1896),
    [aux_sym_identities_only_token1] = ACTIONS(1896),
    [aux_sym_identity_agent_token1] = ACTIONS(1896),
    [aux_sym_identity_file_token1] = ACTIONS(1896),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1896),
    [aux_sym_include_token1] = ACTIONS(1896),
    [aux_sym_ip_qos_token1] = ACTIONS(1896),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1896),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1896),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1896),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1896),
    [aux_sym_local_command_token1] = ACTIONS(1896),
    [aux_sym_local_forward_token1] = ACTIONS(1896),
    [aux_sym_log_level_token1] = ACTIONS(1896),
    [aux_sym_log_verbose_token1] = ACTIONS(1896),
    [aux_sym_macs_token1] = ACTIONS(1896),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1896),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1896),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1896),
    [aux_sym_password_authentication_token1] = ACTIONS(1896),
    [aux_sym_permit_local_command_token1] = ACTIONS(1896),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1896),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1896),
    [aux_sym_port_token1] = ACTIONS(1896),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1896),
    [aux_sym_protocol_token1] = ACTIONS(1896),
    [aux_sym_proxy_command_token1] = ACTIONS(1896),
    [aux_sym_proxy_jump_token1] = ACTIONS(1896),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1896),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1896),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1896),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1896),
    [aux_sym_rekey_limit_token1] = ACTIONS(1896),
    [aux_sym_remote_command_token1] = ACTIONS(1896),
    [aux_sym_remote_forward_token1] = ACTIONS(1896),
    [aux_sym_request_tty_token1] = ACTIONS(1896),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1896),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1896),
    [aux_sym_security_key_provider_token1] = ACTIONS(1896),
    [aux_sym_send_env_token1] = ACTIONS(1896),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1896),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1896),
    [aux_sym_session_type_token1] = ACTIONS(1896),
    [aux_sym_set_env_token1] = ACTIONS(1896),
    [aux_sym_stdin_null_token1] = ACTIONS(1896),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1896),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1896),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1896),
    [aux_sym_syslog_facility_token1] = ACTIONS(1896),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1896),
    [aux_sym_keep_alive_token1] = ACTIONS(1896),
    [aux_sym_tag_token1] = ACTIONS(1896),
    [aux_sym_tunnel_token1] = ACTIONS(1898),
    [aux_sym_tunnel_device_token1] = ACTIONS(1896),
    [aux_sym_update_host_keys_token1] = ACTIONS(1896),
    [aux_sym_use_keychain_token1] = ACTIONS(1896),
    [aux_sym_use_roaming_token1] = ACTIONS(1896),
    [aux_sym_user_token1] = ACTIONS(1898),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1896),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1896),
    [aux_sym_version_addendum_token1] = ACTIONS(1896),
    [aux_sym_visual_host_key_token1] = ACTIONS(1896),
    [aux_sym_xauth_location_token1] = ACTIONS(1896),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2636),
    [aux_sym_match_token1] = ACTIONS(2634),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2634),
    [aux_sym_address_family_token1] = ACTIONS(2634),
    [aux_sym_batch_mode_token1] = ACTIONS(2634),
    [aux_sym_bind_address_token1] = ACTIONS(2634),
    [aux_sym_bind_interface_token1] = ACTIONS(2634),
    [aux_sym_canonical_domains_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2634),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2634),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2634),
    [aux_sym_certificate_file_token1] = ACTIONS(2634),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2634),
    [aux_sym_channel_timeout_token1] = ACTIONS(2634),
    [aux_sym_check_host_ip_token1] = ACTIONS(2634),
    [aux_sym_ciphers_token1] = ACTIONS(2634),
    [aux_sym_cipher_token1] = ACTIONS(2636),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2634),
    [aux_sym_compression_token1] = ACTIONS(2634),
    [aux_sym_connection_attempts_token1] = ACTIONS(2634),
    [aux_sym_connect_timeout_token1] = ACTIONS(2634),
    [aux_sym_control_master_token1] = ACTIONS(2634),
    [aux_sym_control_path_token1] = ACTIONS(2634),
    [aux_sym_control_persist_token1] = ACTIONS(2634),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2634),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2634),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2634),
    [aux_sym_escape_char_token1] = ACTIONS(2634),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2634),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2634),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2634),
    [aux_sym_forward_agent_token1] = ACTIONS(2634),
    [aux_sym_forward_x11_token1] = ACTIONS(2636),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2634),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2634),
    [aux_sym_gateway_ports_token1] = ACTIONS(2634),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2634),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2634),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2634),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2634),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2634),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2634),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2634),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2634),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2634),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2634),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2634),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2634),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2634),
    [aux_sym_host_key_alias_token1] = ACTIONS(2634),
    [aux_sym_hostname_token1] = ACTIONS(2634),
    [aux_sym_identities_only_token1] = ACTIONS(2634),
    [aux_sym_identity_agent_token1] = ACTIONS(2634),
    [aux_sym_identity_file_token1] = ACTIONS(2634),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2634),
    [aux_sym_include_token1] = ACTIONS(2634),
    [aux_sym_ip_qos_token1] = ACTIONS(2634),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2634),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2634),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2634),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2634),
    [aux_sym_local_command_token1] = ACTIONS(2634),
    [aux_sym_local_forward_token1] = ACTIONS(2634),
    [aux_sym_log_level_token1] = ACTIONS(2634),
    [aux_sym_log_verbose_token1] = ACTIONS(2634),
    [aux_sym_macs_token1] = ACTIONS(2634),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2634),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2634),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2634),
    [aux_sym_password_authentication_token1] = ACTIONS(2634),
    [aux_sym_permit_local_command_token1] = ACTIONS(2634),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2634),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2634),
    [aux_sym_port_token1] = ACTIONS(2634),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2634),
    [aux_sym_protocol_token1] = ACTIONS(2634),
    [aux_sym_proxy_command_token1] = ACTIONS(2634),
    [aux_sym_proxy_jump_token1] = ACTIONS(2634),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2634),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2634),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2634),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2634),
    [aux_sym_rekey_limit_token1] = ACTIONS(2634),
    [aux_sym_remote_command_token1] = ACTIONS(2634),
    [aux_sym_remote_forward_token1] = ACTIONS(2634),
    [aux_sym_request_tty_token1] = ACTIONS(2634),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2634),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2634),
    [aux_sym_security_key_provider_token1] = ACTIONS(2634),
    [aux_sym_send_env_token1] = ACTIONS(2634),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2634),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2634),
    [aux_sym_session_type_token1] = ACTIONS(2634),
    [aux_sym_set_env_token1] = ACTIONS(2634),
    [aux_sym_stdin_null_token1] = ACTIONS(2634),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2634),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2634),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2634),
    [aux_sym_syslog_facility_token1] = ACTIONS(2634),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2634),
    [aux_sym_keep_alive_token1] = ACTIONS(2634),
    [aux_sym_tag_token1] = ACTIONS(2634),
    [aux_sym_tunnel_token1] = ACTIONS(2636),
    [aux_sym_tunnel_device_token1] = ACTIONS(2634),
    [aux_sym_update_host_keys_token1] = ACTIONS(2634),
    [aux_sym_use_keychain_token1] = ACTIONS(2634),
    [aux_sym_use_roaming_token1] = ACTIONS(2634),
    [aux_sym_user_token1] = ACTIONS(2636),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2634),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2634),
    [aux_sym_version_addendum_token1] = ACTIONS(2634),
    [aux_sym_visual_host_key_token1] = ACTIONS(2634),
    [aux_sym_xauth_location_token1] = ACTIONS(2634),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2642),
    [aux_sym_match_token1] = ACTIONS(2640),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2640),
    [aux_sym_address_family_token1] = ACTIONS(2640),
    [aux_sym_batch_mode_token1] = ACTIONS(2640),
    [aux_sym_bind_address_token1] = ACTIONS(2640),
    [aux_sym_bind_interface_token1] = ACTIONS(2640),
    [aux_sym_canonical_domains_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2640),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2640),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2640),
    [aux_sym_certificate_file_token1] = ACTIONS(2640),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2640),
    [aux_sym_channel_timeout_token1] = ACTIONS(2640),
    [aux_sym_check_host_ip_token1] = ACTIONS(2640),
    [aux_sym_ciphers_token1] = ACTIONS(2640),
    [aux_sym_cipher_token1] = ACTIONS(2642),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2640),
    [aux_sym_compression_token1] = ACTIONS(2640),
    [aux_sym_connection_attempts_token1] = ACTIONS(2640),
    [aux_sym_connect_timeout_token1] = ACTIONS(2640),
    [aux_sym_control_master_token1] = ACTIONS(2640),
    [aux_sym_control_path_token1] = ACTIONS(2640),
    [aux_sym_control_persist_token1] = ACTIONS(2640),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2640),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2640),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2640),
    [aux_sym_escape_char_token1] = ACTIONS(2640),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2640),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2640),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2640),
    [aux_sym_forward_agent_token1] = ACTIONS(2640),
    [aux_sym_forward_x11_token1] = ACTIONS(2642),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2640),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2640),
    [aux_sym_gateway_ports_token1] = ACTIONS(2640),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2640),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2640),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2640),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2640),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2640),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2640),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2640),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2640),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2640),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2640),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2640),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2640),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2640),
    [aux_sym_host_key_alias_token1] = ACTIONS(2640),
    [aux_sym_hostname_token1] = ACTIONS(2640),
    [aux_sym_identities_only_token1] = ACTIONS(2640),
    [aux_sym_identity_agent_token1] = ACTIONS(2640),
    [aux_sym_identity_file_token1] = ACTIONS(2640),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2640),
    [aux_sym_include_token1] = ACTIONS(2640),
    [aux_sym_ip_qos_token1] = ACTIONS(2640),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2640),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2640),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2640),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2640),
    [aux_sym_local_command_token1] = ACTIONS(2640),
    [aux_sym_local_forward_token1] = ACTIONS(2640),
    [aux_sym_log_level_token1] = ACTIONS(2640),
    [aux_sym_log_verbose_token1] = ACTIONS(2640),
    [aux_sym_macs_token1] = ACTIONS(2640),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2640),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2640),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2640),
    [aux_sym_password_authentication_token1] = ACTIONS(2640),
    [aux_sym_permit_local_command_token1] = ACTIONS(2640),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2640),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2640),
    [aux_sym_port_token1] = ACTIONS(2640),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2640),
    [aux_sym_protocol_token1] = ACTIONS(2640),
    [aux_sym_proxy_command_token1] = ACTIONS(2640),
    [aux_sym_proxy_jump_token1] = ACTIONS(2640),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2640),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2640),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2640),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2640),
    [aux_sym_rekey_limit_token1] = ACTIONS(2640),
    [aux_sym_remote_command_token1] = ACTIONS(2640),
    [aux_sym_remote_forward_token1] = ACTIONS(2640),
    [aux_sym_request_tty_token1] = ACTIONS(2640),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2640),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2640),
    [aux_sym_security_key_provider_token1] = ACTIONS(2640),
    [aux_sym_send_env_token1] = ACTIONS(2640),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2640),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2640),
    [aux_sym_session_type_token1] = ACTIONS(2640),
    [aux_sym_set_env_token1] = ACTIONS(2640),
    [aux_sym_stdin_null_token1] = ACTIONS(2640),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2640),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2640),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2640),
    [aux_sym_syslog_facility_token1] = ACTIONS(2640),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2640),
    [aux_sym_keep_alive_token1] = ACTIONS(2640),
    [aux_sym_tag_token1] = ACTIONS(2640),
    [aux_sym_tunnel_token1] = ACTIONS(2642),
    [aux_sym_tunnel_device_token1] = ACTIONS(2640),
    [aux_sym_update_host_keys_token1] = ACTIONS(2640),
    [aux_sym_use_keychain_token1] = ACTIONS(2640),
    [aux_sym_use_roaming_token1] = ACTIONS(2640),
    [aux_sym_user_token1] = ACTIONS(2642),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2640),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2640),
    [aux_sym_version_addendum_token1] = ACTIONS(2640),
    [aux_sym_visual_host_key_token1] = ACTIONS(2640),
    [aux_sym_xauth_location_token1] = ACTIONS(2640),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2648),
    [aux_sym_match_token1] = ACTIONS(2646),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2646),
    [aux_sym_address_family_token1] = ACTIONS(2646),
    [aux_sym_batch_mode_token1] = ACTIONS(2646),
    [aux_sym_bind_address_token1] = ACTIONS(2646),
    [aux_sym_bind_interface_token1] = ACTIONS(2646),
    [aux_sym_canonical_domains_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2646),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2646),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2646),
    [aux_sym_certificate_file_token1] = ACTIONS(2646),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2646),
    [aux_sym_channel_timeout_token1] = ACTIONS(2646),
    [aux_sym_check_host_ip_token1] = ACTIONS(2646),
    [aux_sym_ciphers_token1] = ACTIONS(2646),
    [aux_sym_cipher_token1] = ACTIONS(2648),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2646),
    [aux_sym_compression_token1] = ACTIONS(2646),
    [aux_sym_connection_attempts_token1] = ACTIONS(2646),
    [aux_sym_connect_timeout_token1] = ACTIONS(2646),
    [aux_sym_control_master_token1] = ACTIONS(2646),
    [aux_sym_control_path_token1] = ACTIONS(2646),
    [aux_sym_control_persist_token1] = ACTIONS(2646),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2646),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2646),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2646),
    [aux_sym_escape_char_token1] = ACTIONS(2646),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2646),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2646),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2646),
    [aux_sym_forward_agent_token1] = ACTIONS(2646),
    [aux_sym_forward_x11_token1] = ACTIONS(2648),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2646),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2646),
    [aux_sym_gateway_ports_token1] = ACTIONS(2646),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2646),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2646),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2646),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2646),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2646),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2646),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2646),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2646),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2646),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2646),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2646),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2646),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2646),
    [aux_sym_host_key_alias_token1] = ACTIONS(2646),
    [aux_sym_hostname_token1] = ACTIONS(2646),
    [aux_sym_identities_only_token1] = ACTIONS(2646),
    [aux_sym_identity_agent_token1] = ACTIONS(2646),
    [aux_sym_identity_file_token1] = ACTIONS(2646),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2646),
    [aux_sym_include_token1] = ACTIONS(2646),
    [aux_sym_ip_qos_token1] = ACTIONS(2646),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2646),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2646),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2646),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2646),
    [aux_sym_local_command_token1] = ACTIONS(2646),
    [aux_sym_local_forward_token1] = ACTIONS(2646),
    [aux_sym_log_level_token1] = ACTIONS(2646),
    [aux_sym_log_verbose_token1] = ACTIONS(2646),
    [aux_sym_macs_token1] = ACTIONS(2646),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2646),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2646),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2646),
    [aux_sym_password_authentication_token1] = ACTIONS(2646),
    [aux_sym_permit_local_command_token1] = ACTIONS(2646),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2646),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2646),
    [aux_sym_port_token1] = ACTIONS(2646),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2646),
    [aux_sym_protocol_token1] = ACTIONS(2646),
    [aux_sym_proxy_command_token1] = ACTIONS(2646),
    [aux_sym_proxy_jump_token1] = ACTIONS(2646),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2646),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2646),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2646),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2646),
    [aux_sym_rekey_limit_token1] = ACTIONS(2646),
    [aux_sym_remote_command_token1] = ACTIONS(2646),
    [aux_sym_remote_forward_token1] = ACTIONS(2646),
    [aux_sym_request_tty_token1] = ACTIONS(2646),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2646),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2646),
    [aux_sym_security_key_provider_token1] = ACTIONS(2646),
    [aux_sym_send_env_token1] = ACTIONS(2646),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2646),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2646),
    [aux_sym_session_type_token1] = ACTIONS(2646),
    [aux_sym_set_env_token1] = ACTIONS(2646),
    [aux_sym_stdin_null_token1] = ACTIONS(2646),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2646),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2646),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2646),
    [aux_sym_syslog_facility_token1] = ACTIONS(2646),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2646),
    [aux_sym_keep_alive_token1] = ACTIONS(2646),
    [aux_sym_tag_token1] = ACTIONS(2646),
    [aux_sym_tunnel_token1] = ACTIONS(2648),
    [aux_sym_tunnel_device_token1] = ACTIONS(2646),
    [aux_sym_update_host_keys_token1] = ACTIONS(2646),
    [aux_sym_use_keychain_token1] = ACTIONS(2646),
    [aux_sym_use_roaming_token1] = ACTIONS(2646),
    [aux_sym_user_token1] = ACTIONS(2648),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2646),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2646),
    [aux_sym_version_addendum_token1] = ACTIONS(2646),
    [aux_sym_visual_host_key_token1] = ACTIONS(2646),
    [aux_sym_xauth_location_token1] = ACTIONS(2646),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1904),
    [aux_sym_match_token1] = ACTIONS(1902),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1902),
    [aux_sym_address_family_token1] = ACTIONS(1902),
    [aux_sym_batch_mode_token1] = ACTIONS(1902),
    [aux_sym_bind_address_token1] = ACTIONS(1902),
    [aux_sym_bind_interface_token1] = ACTIONS(1902),
    [aux_sym_canonical_domains_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1902),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1902),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1902),
    [aux_sym_certificate_file_token1] = ACTIONS(1902),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1902),
    [aux_sym_channel_timeout_token1] = ACTIONS(1902),
    [aux_sym_check_host_ip_token1] = ACTIONS(1902),
    [aux_sym_ciphers_token1] = ACTIONS(1902),
    [aux_sym_cipher_token1] = ACTIONS(1904),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1902),
    [aux_sym_compression_token1] = ACTIONS(1902),
    [aux_sym_connection_attempts_token1] = ACTIONS(1902),
    [aux_sym_connect_timeout_token1] = ACTIONS(1902),
    [aux_sym_control_master_token1] = ACTIONS(1902),
    [aux_sym_control_path_token1] = ACTIONS(1902),
    [aux_sym_control_persist_token1] = ACTIONS(1902),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1902),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1902),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1902),
    [aux_sym_escape_char_token1] = ACTIONS(1902),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1902),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1902),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1902),
    [aux_sym_forward_agent_token1] = ACTIONS(1902),
    [aux_sym_forward_x11_token1] = ACTIONS(1904),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1902),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1902),
    [aux_sym_gateway_ports_token1] = ACTIONS(1902),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1902),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1902),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1902),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1902),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1902),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1902),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1902),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1902),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1902),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1902),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1902),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1902),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1902),
    [aux_sym_host_key_alias_token1] = ACTIONS(1902),
    [aux_sym_hostname_token1] = ACTIONS(1902),
    [aux_sym_identities_only_token1] = ACTIONS(1902),
    [aux_sym_identity_agent_token1] = ACTIONS(1902),
    [aux_sym_identity_file_token1] = ACTIONS(1902),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1902),
    [aux_sym_include_token1] = ACTIONS(1902),
    [aux_sym_ip_qos_token1] = ACTIONS(1902),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1902),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1902),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1902),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1902),
    [aux_sym_local_command_token1] = ACTIONS(1902),
    [aux_sym_local_forward_token1] = ACTIONS(1902),
    [aux_sym_log_level_token1] = ACTIONS(1902),
    [aux_sym_log_verbose_token1] = ACTIONS(1902),
    [aux_sym_macs_token1] = ACTIONS(1902),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1902),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1902),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1902),
    [aux_sym_password_authentication_token1] = ACTIONS(1902),
    [aux_sym_permit_local_command_token1] = ACTIONS(1902),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1902),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1902),
    [aux_sym_port_token1] = ACTIONS(1902),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1902),
    [aux_sym_protocol_token1] = ACTIONS(1902),
    [aux_sym_proxy_command_token1] = ACTIONS(1902),
    [aux_sym_proxy_jump_token1] = ACTIONS(1902),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1902),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1902),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1902),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1902),
    [aux_sym_rekey_limit_token1] = ACTIONS(1902),
    [aux_sym_remote_command_token1] = ACTIONS(1902),
    [aux_sym_remote_forward_token1] = ACTIONS(1902),
    [aux_sym_request_tty_token1] = ACTIONS(1902),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1902),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1902),
    [aux_sym_security_key_provider_token1] = ACTIONS(1902),
    [aux_sym_send_env_token1] = ACTIONS(1902),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1902),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1902),
    [aux_sym_session_type_token1] = ACTIONS(1902),
    [aux_sym_set_env_token1] = ACTIONS(1902),
    [aux_sym_stdin_null_token1] = ACTIONS(1902),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1902),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1902),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1902),
    [aux_sym_syslog_facility_token1] = ACTIONS(1902),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1902),
    [aux_sym_keep_alive_token1] = ACTIONS(1902),
    [aux_sym_tag_token1] = ACTIONS(1902),
    [aux_sym_tunnel_token1] = ACTIONS(1904),
    [aux_sym_tunnel_device_token1] = ACTIONS(1902),
    [aux_sym_update_host_keys_token1] = ACTIONS(1902),
    [aux_sym_use_keychain_token1] = ACTIONS(1902),
    [aux_sym_use_roaming_token1] = ACTIONS(1902),
    [aux_sym_user_token1] = ACTIONS(1904),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1902),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1902),
    [aux_sym_version_addendum_token1] = ACTIONS(1902),
    [aux_sym_visual_host_key_token1] = ACTIONS(1902),
    [aux_sym_xauth_location_token1] = ACTIONS(1902),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2654),
    [aux_sym_match_token1] = ACTIONS(2652),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2652),
    [aux_sym_address_family_token1] = ACTIONS(2652),
    [aux_sym_batch_mode_token1] = ACTIONS(2652),
    [aux_sym_bind_address_token1] = ACTIONS(2652),
    [aux_sym_bind_interface_token1] = ACTIONS(2652),
    [aux_sym_canonical_domains_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2652),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2652),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2652),
    [aux_sym_certificate_file_token1] = ACTIONS(2652),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2652),
    [aux_sym_channel_timeout_token1] = ACTIONS(2652),
    [aux_sym_check_host_ip_token1] = ACTIONS(2652),
    [aux_sym_ciphers_token1] = ACTIONS(2652),
    [aux_sym_cipher_token1] = ACTIONS(2654),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2652),
    [aux_sym_compression_token1] = ACTIONS(2652),
    [aux_sym_connection_attempts_token1] = ACTIONS(2652),
    [aux_sym_connect_timeout_token1] = ACTIONS(2652),
    [aux_sym_control_master_token1] = ACTIONS(2652),
    [aux_sym_control_path_token1] = ACTIONS(2652),
    [aux_sym_control_persist_token1] = ACTIONS(2652),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2652),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2652),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2652),
    [aux_sym_escape_char_token1] = ACTIONS(2652),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2652),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2652),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2652),
    [aux_sym_forward_agent_token1] = ACTIONS(2652),
    [aux_sym_forward_x11_token1] = ACTIONS(2654),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2652),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2652),
    [aux_sym_gateway_ports_token1] = ACTIONS(2652),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2652),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2652),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2652),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2652),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2652),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2652),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2652),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2652),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2652),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2652),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2652),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2652),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2652),
    [aux_sym_host_key_alias_token1] = ACTIONS(2652),
    [aux_sym_hostname_token1] = ACTIONS(2652),
    [aux_sym_identities_only_token1] = ACTIONS(2652),
    [aux_sym_identity_agent_token1] = ACTIONS(2652),
    [aux_sym_identity_file_token1] = ACTIONS(2652),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2652),
    [aux_sym_include_token1] = ACTIONS(2652),
    [aux_sym_ip_qos_token1] = ACTIONS(2652),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2652),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2652),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2652),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2652),
    [aux_sym_local_command_token1] = ACTIONS(2652),
    [aux_sym_local_forward_token1] = ACTIONS(2652),
    [aux_sym_log_level_token1] = ACTIONS(2652),
    [aux_sym_log_verbose_token1] = ACTIONS(2652),
    [aux_sym_macs_token1] = ACTIONS(2652),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2652),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2652),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2652),
    [aux_sym_password_authentication_token1] = ACTIONS(2652),
    [aux_sym_permit_local_command_token1] = ACTIONS(2652),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2652),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2652),
    [aux_sym_port_token1] = ACTIONS(2652),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2652),
    [aux_sym_protocol_token1] = ACTIONS(2652),
    [aux_sym_proxy_command_token1] = ACTIONS(2652),
    [aux_sym_proxy_jump_token1] = ACTIONS(2652),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2652),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2652),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2652),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2652),
    [aux_sym_rekey_limit_token1] = ACTIONS(2652),
    [aux_sym_remote_command_token1] = ACTIONS(2652),
    [aux_sym_remote_forward_token1] = ACTIONS(2652),
    [aux_sym_request_tty_token1] = ACTIONS(2652),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2652),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2652),
    [aux_sym_security_key_provider_token1] = ACTIONS(2652),
    [aux_sym_send_env_token1] = ACTIONS(2652),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2652),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2652),
    [aux_sym_session_type_token1] = ACTIONS(2652),
    [aux_sym_set_env_token1] = ACTIONS(2652),
    [aux_sym_stdin_null_token1] = ACTIONS(2652),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2652),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2652),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2652),
    [aux_sym_syslog_facility_token1] = ACTIONS(2652),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2652),
    [aux_sym_keep_alive_token1] = ACTIONS(2652),
    [aux_sym_tag_token1] = ACTIONS(2652),
    [aux_sym_tunnel_token1] = ACTIONS(2654),
    [aux_sym_tunnel_device_token1] = ACTIONS(2652),
    [aux_sym_update_host_keys_token1] = ACTIONS(2652),
    [aux_sym_use_keychain_token1] = ACTIONS(2652),
    [aux_sym_use_roaming_token1] = ACTIONS(2652),
    [aux_sym_user_token1] = ACTIONS(2654),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2652),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2652),
    [aux_sym_version_addendum_token1] = ACTIONS(2652),
    [aux_sym_visual_host_key_token1] = ACTIONS(2652),
    [aux_sym_xauth_location_token1] = ACTIONS(2652),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2660),
    [aux_sym_match_token1] = ACTIONS(2658),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2658),
    [aux_sym_address_family_token1] = ACTIONS(2658),
    [aux_sym_batch_mode_token1] = ACTIONS(2658),
    [aux_sym_bind_address_token1] = ACTIONS(2658),
    [aux_sym_bind_interface_token1] = ACTIONS(2658),
    [aux_sym_canonical_domains_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2658),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2658),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2658),
    [aux_sym_certificate_file_token1] = ACTIONS(2658),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2658),
    [aux_sym_channel_timeout_token1] = ACTIONS(2658),
    [aux_sym_check_host_ip_token1] = ACTIONS(2658),
    [aux_sym_ciphers_token1] = ACTIONS(2658),
    [aux_sym_cipher_token1] = ACTIONS(2660),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2658),
    [aux_sym_compression_token1] = ACTIONS(2658),
    [aux_sym_connection_attempts_token1] = ACTIONS(2658),
    [aux_sym_connect_timeout_token1] = ACTIONS(2658),
    [aux_sym_control_master_token1] = ACTIONS(2658),
    [aux_sym_control_path_token1] = ACTIONS(2658),
    [aux_sym_control_persist_token1] = ACTIONS(2658),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2658),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2658),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2658),
    [aux_sym_escape_char_token1] = ACTIONS(2658),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2658),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2658),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2658),
    [aux_sym_forward_agent_token1] = ACTIONS(2658),
    [aux_sym_forward_x11_token1] = ACTIONS(2660),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2658),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2658),
    [aux_sym_gateway_ports_token1] = ACTIONS(2658),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2658),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2658),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2658),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2658),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2658),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2658),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2658),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2658),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2658),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2658),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2658),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2658),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2658),
    [aux_sym_host_key_alias_token1] = ACTIONS(2658),
    [aux_sym_hostname_token1] = ACTIONS(2658),
    [aux_sym_identities_only_token1] = ACTIONS(2658),
    [aux_sym_identity_agent_token1] = ACTIONS(2658),
    [aux_sym_identity_file_token1] = ACTIONS(2658),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2658),
    [aux_sym_include_token1] = ACTIONS(2658),
    [aux_sym_ip_qos_token1] = ACTIONS(2658),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2658),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2658),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2658),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2658),
    [aux_sym_local_command_token1] = ACTIONS(2658),
    [aux_sym_local_forward_token1] = ACTIONS(2658),
    [aux_sym_log_level_token1] = ACTIONS(2658),
    [aux_sym_log_verbose_token1] = ACTIONS(2658),
    [aux_sym_macs_token1] = ACTIONS(2658),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2658),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2658),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2658),
    [aux_sym_password_authentication_token1] = ACTIONS(2658),
    [aux_sym_permit_local_command_token1] = ACTIONS(2658),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2658),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2658),
    [aux_sym_port_token1] = ACTIONS(2658),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2658),
    [aux_sym_protocol_token1] = ACTIONS(2658),
    [aux_sym_proxy_command_token1] = ACTIONS(2658),
    [aux_sym_proxy_jump_token1] = ACTIONS(2658),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2658),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2658),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2658),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2658),
    [aux_sym_rekey_limit_token1] = ACTIONS(2658),
    [aux_sym_remote_command_token1] = ACTIONS(2658),
    [aux_sym_remote_forward_token1] = ACTIONS(2658),
    [aux_sym_request_tty_token1] = ACTIONS(2658),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2658),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2658),
    [aux_sym_security_key_provider_token1] = ACTIONS(2658),
    [aux_sym_send_env_token1] = ACTIONS(2658),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2658),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2658),
    [aux_sym_session_type_token1] = ACTIONS(2658),
    [aux_sym_set_env_token1] = ACTIONS(2658),
    [aux_sym_stdin_null_token1] = ACTIONS(2658),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2658),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2658),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2658),
    [aux_sym_syslog_facility_token1] = ACTIONS(2658),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2658),
    [aux_sym_keep_alive_token1] = ACTIONS(2658),
    [aux_sym_tag_token1] = ACTIONS(2658),
    [aux_sym_tunnel_token1] = ACTIONS(2660),
    [aux_sym_tunnel_device_token1] = ACTIONS(2658),
    [aux_sym_update_host_keys_token1] = ACTIONS(2658),
    [aux_sym_use_keychain_token1] = ACTIONS(2658),
    [aux_sym_use_roaming_token1] = ACTIONS(2658),
    [aux_sym_user_token1] = ACTIONS(2660),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2658),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2658),
    [aux_sym_version_addendum_token1] = ACTIONS(2658),
    [aux_sym_visual_host_key_token1] = ACTIONS(2658),
    [aux_sym_xauth_location_token1] = ACTIONS(2658),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1910),
    [aux_sym_match_token1] = ACTIONS(1908),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1908),
    [aux_sym_address_family_token1] = ACTIONS(1908),
    [aux_sym_batch_mode_token1] = ACTIONS(1908),
    [aux_sym_bind_address_token1] = ACTIONS(1908),
    [aux_sym_bind_interface_token1] = ACTIONS(1908),
    [aux_sym_canonical_domains_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1908),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1908),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1908),
    [aux_sym_certificate_file_token1] = ACTIONS(1908),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1908),
    [aux_sym_channel_timeout_token1] = ACTIONS(1908),
    [aux_sym_check_host_ip_token1] = ACTIONS(1908),
    [aux_sym_ciphers_token1] = ACTIONS(1908),
    [aux_sym_cipher_token1] = ACTIONS(1910),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1908),
    [aux_sym_compression_token1] = ACTIONS(1908),
    [aux_sym_connection_attempts_token1] = ACTIONS(1908),
    [aux_sym_connect_timeout_token1] = ACTIONS(1908),
    [aux_sym_control_master_token1] = ACTIONS(1908),
    [aux_sym_control_path_token1] = ACTIONS(1908),
    [aux_sym_control_persist_token1] = ACTIONS(1908),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1908),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1908),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1908),
    [aux_sym_escape_char_token1] = ACTIONS(1908),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1908),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1908),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1908),
    [aux_sym_forward_agent_token1] = ACTIONS(1908),
    [aux_sym_forward_x11_token1] = ACTIONS(1910),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1908),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1908),
    [aux_sym_gateway_ports_token1] = ACTIONS(1908),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1908),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1908),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1908),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1908),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1908),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1908),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1908),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1908),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1908),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1908),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1908),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1908),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1908),
    [aux_sym_host_key_alias_token1] = ACTIONS(1908),
    [aux_sym_hostname_token1] = ACTIONS(1908),
    [aux_sym_identities_only_token1] = ACTIONS(1908),
    [aux_sym_identity_agent_token1] = ACTIONS(1908),
    [aux_sym_identity_file_token1] = ACTIONS(1908),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1908),
    [aux_sym_include_token1] = ACTIONS(1908),
    [aux_sym_ip_qos_token1] = ACTIONS(1908),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1908),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1908),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1908),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1908),
    [aux_sym_local_command_token1] = ACTIONS(1908),
    [aux_sym_local_forward_token1] = ACTIONS(1908),
    [aux_sym_log_level_token1] = ACTIONS(1908),
    [aux_sym_log_verbose_token1] = ACTIONS(1908),
    [aux_sym_macs_token1] = ACTIONS(1908),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1908),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1908),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1908),
    [aux_sym_password_authentication_token1] = ACTIONS(1908),
    [aux_sym_permit_local_command_token1] = ACTIONS(1908),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1908),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1908),
    [aux_sym_port_token1] = ACTIONS(1908),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1908),
    [aux_sym_protocol_token1] = ACTIONS(1908),
    [aux_sym_proxy_command_token1] = ACTIONS(1908),
    [aux_sym_proxy_jump_token1] = ACTIONS(1908),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1908),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1908),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1908),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1908),
    [aux_sym_rekey_limit_token1] = ACTIONS(1908),
    [aux_sym_remote_command_token1] = ACTIONS(1908),
    [aux_sym_remote_forward_token1] = ACTIONS(1908),
    [aux_sym_request_tty_token1] = ACTIONS(1908),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1908),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1908),
    [aux_sym_security_key_provider_token1] = ACTIONS(1908),
    [aux_sym_send_env_token1] = ACTIONS(1908),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1908),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1908),
    [aux_sym_session_type_token1] = ACTIONS(1908),
    [aux_sym_set_env_token1] = ACTIONS(1908),
    [aux_sym_stdin_null_token1] = ACTIONS(1908),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1908),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1908),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1908),
    [aux_sym_syslog_facility_token1] = ACTIONS(1908),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1908),
    [aux_sym_keep_alive_token1] = ACTIONS(1908),
    [aux_sym_tag_token1] = ACTIONS(1908),
    [aux_sym_tunnel_token1] = ACTIONS(1910),
    [aux_sym_tunnel_device_token1] = ACTIONS(1908),
    [aux_sym_update_host_keys_token1] = ACTIONS(1908),
    [aux_sym_use_keychain_token1] = ACTIONS(1908),
    [aux_sym_use_roaming_token1] = ACTIONS(1908),
    [aux_sym_user_token1] = ACTIONS(1910),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1908),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1908),
    [aux_sym_version_addendum_token1] = ACTIONS(1908),
    [aux_sym_visual_host_key_token1] = ACTIONS(1908),
    [aux_sym_xauth_location_token1] = ACTIONS(1908),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2666),
    [aux_sym_match_token1] = ACTIONS(2664),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2664),
    [aux_sym_address_family_token1] = ACTIONS(2664),
    [aux_sym_batch_mode_token1] = ACTIONS(2664),
    [aux_sym_bind_address_token1] = ACTIONS(2664),
    [aux_sym_bind_interface_token1] = ACTIONS(2664),
    [aux_sym_canonical_domains_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2664),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2664),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2664),
    [aux_sym_certificate_file_token1] = ACTIONS(2664),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2664),
    [aux_sym_channel_timeout_token1] = ACTIONS(2664),
    [aux_sym_check_host_ip_token1] = ACTIONS(2664),
    [aux_sym_ciphers_token1] = ACTIONS(2664),
    [aux_sym_cipher_token1] = ACTIONS(2666),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2664),
    [aux_sym_compression_token1] = ACTIONS(2664),
    [aux_sym_connection_attempts_token1] = ACTIONS(2664),
    [aux_sym_connect_timeout_token1] = ACTIONS(2664),
    [aux_sym_control_master_token1] = ACTIONS(2664),
    [aux_sym_control_path_token1] = ACTIONS(2664),
    [aux_sym_control_persist_token1] = ACTIONS(2664),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2664),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2664),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2664),
    [aux_sym_escape_char_token1] = ACTIONS(2664),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2664),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2664),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2664),
    [aux_sym_forward_agent_token1] = ACTIONS(2664),
    [aux_sym_forward_x11_token1] = ACTIONS(2666),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2664),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2664),
    [aux_sym_gateway_ports_token1] = ACTIONS(2664),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2664),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2664),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2664),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2664),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2664),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2664),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2664),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2664),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2664),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2664),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2664),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2664),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2664),
    [aux_sym_host_key_alias_token1] = ACTIONS(2664),
    [aux_sym_hostname_token1] = ACTIONS(2664),
    [aux_sym_identities_only_token1] = ACTIONS(2664),
    [aux_sym_identity_agent_token1] = ACTIONS(2664),
    [aux_sym_identity_file_token1] = ACTIONS(2664),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2664),
    [aux_sym_include_token1] = ACTIONS(2664),
    [aux_sym_ip_qos_token1] = ACTIONS(2664),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2664),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2664),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2664),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2664),
    [aux_sym_local_command_token1] = ACTIONS(2664),
    [aux_sym_local_forward_token1] = ACTIONS(2664),
    [aux_sym_log_level_token1] = ACTIONS(2664),
    [aux_sym_log_verbose_token1] = ACTIONS(2664),
    [aux_sym_macs_token1] = ACTIONS(2664),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2664),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2664),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2664),
    [aux_sym_password_authentication_token1] = ACTIONS(2664),
    [aux_sym_permit_local_command_token1] = ACTIONS(2664),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2664),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2664),
    [aux_sym_port_token1] = ACTIONS(2664),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2664),
    [aux_sym_protocol_token1] = ACTIONS(2664),
    [aux_sym_proxy_command_token1] = ACTIONS(2664),
    [aux_sym_proxy_jump_token1] = ACTIONS(2664),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2664),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2664),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2664),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2664),
    [aux_sym_rekey_limit_token1] = ACTIONS(2664),
    [aux_sym_remote_command_token1] = ACTIONS(2664),
    [aux_sym_remote_forward_token1] = ACTIONS(2664),
    [aux_sym_request_tty_token1] = ACTIONS(2664),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2664),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2664),
    [aux_sym_security_key_provider_token1] = ACTIONS(2664),
    [aux_sym_send_env_token1] = ACTIONS(2664),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2664),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2664),
    [aux_sym_session_type_token1] = ACTIONS(2664),
    [aux_sym_set_env_token1] = ACTIONS(2664),
    [aux_sym_stdin_null_token1] = ACTIONS(2664),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2664),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2664),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2664),
    [aux_sym_syslog_facility_token1] = ACTIONS(2664),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2664),
    [aux_sym_keep_alive_token1] = ACTIONS(2664),
    [aux_sym_tag_token1] = ACTIONS(2664),
    [aux_sym_tunnel_token1] = ACTIONS(2666),
    [aux_sym_tunnel_device_token1] = ACTIONS(2664),
    [aux_sym_update_host_keys_token1] = ACTIONS(2664),
    [aux_sym_use_keychain_token1] = ACTIONS(2664),
    [aux_sym_use_roaming_token1] = ACTIONS(2664),
    [aux_sym_user_token1] = ACTIONS(2666),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2664),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2664),
    [aux_sym_version_addendum_token1] = ACTIONS(2664),
    [aux_sym_visual_host_key_token1] = ACTIONS(2664),
    [aux_sym_xauth_location_token1] = ACTIONS(2664),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2672),
    [aux_sym_match_token1] = ACTIONS(2670),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2670),
    [aux_sym_address_family_token1] = ACTIONS(2670),
    [aux_sym_batch_mode_token1] = ACTIONS(2670),
    [aux_sym_bind_address_token1] = ACTIONS(2670),
    [aux_sym_bind_interface_token1] = ACTIONS(2670),
    [aux_sym_canonical_domains_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2670),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2670),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2670),
    [aux_sym_certificate_file_token1] = ACTIONS(2670),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2670),
    [aux_sym_channel_timeout_token1] = ACTIONS(2670),
    [aux_sym_check_host_ip_token1] = ACTIONS(2670),
    [aux_sym_ciphers_token1] = ACTIONS(2670),
    [aux_sym_cipher_token1] = ACTIONS(2672),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2670),
    [aux_sym_compression_token1] = ACTIONS(2670),
    [aux_sym_connection_attempts_token1] = ACTIONS(2670),
    [aux_sym_connect_timeout_token1] = ACTIONS(2670),
    [aux_sym_control_master_token1] = ACTIONS(2670),
    [aux_sym_control_path_token1] = ACTIONS(2670),
    [aux_sym_control_persist_token1] = ACTIONS(2670),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2670),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2670),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2670),
    [aux_sym_escape_char_token1] = ACTIONS(2670),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2670),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2670),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2670),
    [aux_sym_forward_agent_token1] = ACTIONS(2670),
    [aux_sym_forward_x11_token1] = ACTIONS(2672),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2670),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2670),
    [aux_sym_gateway_ports_token1] = ACTIONS(2670),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2670),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2670),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2670),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2670),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2670),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2670),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2670),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2670),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2670),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2670),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2670),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2670),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2670),
    [aux_sym_host_key_alias_token1] = ACTIONS(2670),
    [aux_sym_hostname_token1] = ACTIONS(2670),
    [aux_sym_identities_only_token1] = ACTIONS(2670),
    [aux_sym_identity_agent_token1] = ACTIONS(2670),
    [aux_sym_identity_file_token1] = ACTIONS(2670),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2670),
    [aux_sym_include_token1] = ACTIONS(2670),
    [aux_sym_ip_qos_token1] = ACTIONS(2670),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2670),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2670),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2670),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2670),
    [aux_sym_local_command_token1] = ACTIONS(2670),
    [aux_sym_local_forward_token1] = ACTIONS(2670),
    [aux_sym_log_level_token1] = ACTIONS(2670),
    [aux_sym_log_verbose_token1] = ACTIONS(2670),
    [aux_sym_macs_token1] = ACTIONS(2670),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2670),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2670),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2670),
    [aux_sym_password_authentication_token1] = ACTIONS(2670),
    [aux_sym_permit_local_command_token1] = ACTIONS(2670),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2670),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2670),
    [aux_sym_port_token1] = ACTIONS(2670),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2670),
    [aux_sym_protocol_token1] = ACTIONS(2670),
    [aux_sym_proxy_command_token1] = ACTIONS(2670),
    [aux_sym_proxy_jump_token1] = ACTIONS(2670),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2670),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2670),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2670),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2670),
    [aux_sym_rekey_limit_token1] = ACTIONS(2670),
    [aux_sym_remote_command_token1] = ACTIONS(2670),
    [aux_sym_remote_forward_token1] = ACTIONS(2670),
    [aux_sym_request_tty_token1] = ACTIONS(2670),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2670),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2670),
    [aux_sym_security_key_provider_token1] = ACTIONS(2670),
    [aux_sym_send_env_token1] = ACTIONS(2670),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2670),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2670),
    [aux_sym_session_type_token1] = ACTIONS(2670),
    [aux_sym_set_env_token1] = ACTIONS(2670),
    [aux_sym_stdin_null_token1] = ACTIONS(2670),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2670),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2670),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2670),
    [aux_sym_syslog_facility_token1] = ACTIONS(2670),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2670),
    [aux_sym_keep_alive_token1] = ACTIONS(2670),
    [aux_sym_tag_token1] = ACTIONS(2670),
    [aux_sym_tunnel_token1] = ACTIONS(2672),
    [aux_sym_tunnel_device_token1] = ACTIONS(2670),
    [aux_sym_update_host_keys_token1] = ACTIONS(2670),
    [aux_sym_use_keychain_token1] = ACTIONS(2670),
    [aux_sym_use_roaming_token1] = ACTIONS(2670),
    [aux_sym_user_token1] = ACTIONS(2672),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2670),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2670),
    [aux_sym_version_addendum_token1] = ACTIONS(2670),
    [aux_sym_visual_host_key_token1] = ACTIONS(2670),
    [aux_sym_xauth_location_token1] = ACTIONS(2670),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2678),
    [aux_sym_match_token1] = ACTIONS(2676),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2676),
    [aux_sym_address_family_token1] = ACTIONS(2676),
    [aux_sym_batch_mode_token1] = ACTIONS(2676),
    [aux_sym_bind_address_token1] = ACTIONS(2676),
    [aux_sym_bind_interface_token1] = ACTIONS(2676),
    [aux_sym_canonical_domains_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2676),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2676),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2676),
    [aux_sym_certificate_file_token1] = ACTIONS(2676),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2676),
    [aux_sym_channel_timeout_token1] = ACTIONS(2676),
    [aux_sym_check_host_ip_token1] = ACTIONS(2676),
    [aux_sym_ciphers_token1] = ACTIONS(2676),
    [aux_sym_cipher_token1] = ACTIONS(2678),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2676),
    [aux_sym_compression_token1] = ACTIONS(2676),
    [aux_sym_connection_attempts_token1] = ACTIONS(2676),
    [aux_sym_connect_timeout_token1] = ACTIONS(2676),
    [aux_sym_control_master_token1] = ACTIONS(2676),
    [aux_sym_control_path_token1] = ACTIONS(2676),
    [aux_sym_control_persist_token1] = ACTIONS(2676),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2676),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2676),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2676),
    [aux_sym_escape_char_token1] = ACTIONS(2676),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2676),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2676),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2676),
    [aux_sym_forward_agent_token1] = ACTIONS(2676),
    [aux_sym_forward_x11_token1] = ACTIONS(2678),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2676),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2676),
    [aux_sym_gateway_ports_token1] = ACTIONS(2676),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2676),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2676),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2676),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2676),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2676),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2676),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2676),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2676),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2676),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2676),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2676),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2676),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2676),
    [aux_sym_host_key_alias_token1] = ACTIONS(2676),
    [aux_sym_hostname_token1] = ACTIONS(2676),
    [aux_sym_identities_only_token1] = ACTIONS(2676),
    [aux_sym_identity_agent_token1] = ACTIONS(2676),
    [aux_sym_identity_file_token1] = ACTIONS(2676),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2676),
    [aux_sym_include_token1] = ACTIONS(2676),
    [aux_sym_ip_qos_token1] = ACTIONS(2676),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2676),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2676),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2676),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2676),
    [aux_sym_local_command_token1] = ACTIONS(2676),
    [aux_sym_local_forward_token1] = ACTIONS(2676),
    [aux_sym_log_level_token1] = ACTIONS(2676),
    [aux_sym_log_verbose_token1] = ACTIONS(2676),
    [aux_sym_macs_token1] = ACTIONS(2676),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2676),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2676),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2676),
    [aux_sym_password_authentication_token1] = ACTIONS(2676),
    [aux_sym_permit_local_command_token1] = ACTIONS(2676),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2676),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2676),
    [aux_sym_port_token1] = ACTIONS(2676),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2676),
    [aux_sym_protocol_token1] = ACTIONS(2676),
    [aux_sym_proxy_command_token1] = ACTIONS(2676),
    [aux_sym_proxy_jump_token1] = ACTIONS(2676),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2676),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2676),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2676),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2676),
    [aux_sym_rekey_limit_token1] = ACTIONS(2676),
    [aux_sym_remote_command_token1] = ACTIONS(2676),
    [aux_sym_remote_forward_token1] = ACTIONS(2676),
    [aux_sym_request_tty_token1] = ACTIONS(2676),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2676),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2676),
    [aux_sym_security_key_provider_token1] = ACTIONS(2676),
    [aux_sym_send_env_token1] = ACTIONS(2676),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2676),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2676),
    [aux_sym_session_type_token1] = ACTIONS(2676),
    [aux_sym_set_env_token1] = ACTIONS(2676),
    [aux_sym_stdin_null_token1] = ACTIONS(2676),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2676),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2676),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2676),
    [aux_sym_syslog_facility_token1] = ACTIONS(2676),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2676),
    [aux_sym_keep_alive_token1] = ACTIONS(2676),
    [aux_sym_tag_token1] = ACTIONS(2676),
    [aux_sym_tunnel_token1] = ACTIONS(2678),
    [aux_sym_tunnel_device_token1] = ACTIONS(2676),
    [aux_sym_update_host_keys_token1] = ACTIONS(2676),
    [aux_sym_use_keychain_token1] = ACTIONS(2676),
    [aux_sym_use_roaming_token1] = ACTIONS(2676),
    [aux_sym_user_token1] = ACTIONS(2678),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2676),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2676),
    [aux_sym_version_addendum_token1] = ACTIONS(2676),
    [aux_sym_visual_host_key_token1] = ACTIONS(2676),
    [aux_sym_xauth_location_token1] = ACTIONS(2676),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1914),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1916),
    [aux_sym_match_token1] = ACTIONS(1914),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1914),
    [aux_sym_address_family_token1] = ACTIONS(1914),
    [aux_sym_batch_mode_token1] = ACTIONS(1914),
    [aux_sym_bind_address_token1] = ACTIONS(1914),
    [aux_sym_bind_interface_token1] = ACTIONS(1914),
    [aux_sym_canonical_domains_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1914),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1914),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1914),
    [aux_sym_certificate_file_token1] = ACTIONS(1914),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1914),
    [aux_sym_channel_timeout_token1] = ACTIONS(1914),
    [aux_sym_check_host_ip_token1] = ACTIONS(1914),
    [aux_sym_ciphers_token1] = ACTIONS(1914),
    [aux_sym_cipher_token1] = ACTIONS(1916),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1914),
    [aux_sym_compression_token1] = ACTIONS(1914),
    [aux_sym_connection_attempts_token1] = ACTIONS(1914),
    [aux_sym_connect_timeout_token1] = ACTIONS(1914),
    [aux_sym_control_master_token1] = ACTIONS(1914),
    [aux_sym_control_path_token1] = ACTIONS(1914),
    [aux_sym_control_persist_token1] = ACTIONS(1914),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1914),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1914),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1914),
    [aux_sym_escape_char_token1] = ACTIONS(1914),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1914),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1914),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1914),
    [aux_sym_forward_agent_token1] = ACTIONS(1914),
    [aux_sym_forward_x11_token1] = ACTIONS(1916),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1914),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1914),
    [aux_sym_gateway_ports_token1] = ACTIONS(1914),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1914),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1914),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1914),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1914),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1914),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1914),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1914),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1914),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1914),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1914),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1914),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1914),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1914),
    [aux_sym_host_key_alias_token1] = ACTIONS(1914),
    [aux_sym_hostname_token1] = ACTIONS(1914),
    [aux_sym_identities_only_token1] = ACTIONS(1914),
    [aux_sym_identity_agent_token1] = ACTIONS(1914),
    [aux_sym_identity_file_token1] = ACTIONS(1914),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1914),
    [aux_sym_include_token1] = ACTIONS(1914),
    [aux_sym_ip_qos_token1] = ACTIONS(1914),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1914),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1914),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1914),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1914),
    [aux_sym_local_command_token1] = ACTIONS(1914),
    [aux_sym_local_forward_token1] = ACTIONS(1914),
    [aux_sym_log_level_token1] = ACTIONS(1914),
    [aux_sym_log_verbose_token1] = ACTIONS(1914),
    [aux_sym_macs_token1] = ACTIONS(1914),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1914),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1914),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1914),
    [aux_sym_password_authentication_token1] = ACTIONS(1914),
    [aux_sym_permit_local_command_token1] = ACTIONS(1914),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1914),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1914),
    [aux_sym_port_token1] = ACTIONS(1914),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1914),
    [aux_sym_protocol_token1] = ACTIONS(1914),
    [aux_sym_proxy_command_token1] = ACTIONS(1914),
    [aux_sym_proxy_jump_token1] = ACTIONS(1914),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1914),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1914),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1914),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1914),
    [aux_sym_rekey_limit_token1] = ACTIONS(1914),
    [aux_sym_remote_command_token1] = ACTIONS(1914),
    [aux_sym_remote_forward_token1] = ACTIONS(1914),
    [aux_sym_request_tty_token1] = ACTIONS(1914),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1914),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1914),
    [aux_sym_security_key_provider_token1] = ACTIONS(1914),
    [aux_sym_send_env_token1] = ACTIONS(1914),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1914),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1914),
    [aux_sym_session_type_token1] = ACTIONS(1914),
    [aux_sym_set_env_token1] = ACTIONS(1914),
    [aux_sym_stdin_null_token1] = ACTIONS(1914),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1914),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1914),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1914),
    [aux_sym_syslog_facility_token1] = ACTIONS(1914),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1914),
    [aux_sym_keep_alive_token1] = ACTIONS(1914),
    [aux_sym_tag_token1] = ACTIONS(1914),
    [aux_sym_tunnel_token1] = ACTIONS(1916),
    [aux_sym_tunnel_device_token1] = ACTIONS(1914),
    [aux_sym_update_host_keys_token1] = ACTIONS(1914),
    [aux_sym_use_keychain_token1] = ACTIONS(1914),
    [aux_sym_use_roaming_token1] = ACTIONS(1914),
    [aux_sym_user_token1] = ACTIONS(1916),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1914),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1914),
    [aux_sym_version_addendum_token1] = ACTIONS(1914),
    [aux_sym_visual_host_key_token1] = ACTIONS(1914),
    [aux_sym_xauth_location_token1] = ACTIONS(1914),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2684),
    [aux_sym_match_token1] = ACTIONS(2682),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2682),
    [aux_sym_address_family_token1] = ACTIONS(2682),
    [aux_sym_batch_mode_token1] = ACTIONS(2682),
    [aux_sym_bind_address_token1] = ACTIONS(2682),
    [aux_sym_bind_interface_token1] = ACTIONS(2682),
    [aux_sym_canonical_domains_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2682),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2682),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2682),
    [aux_sym_certificate_file_token1] = ACTIONS(2682),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2682),
    [aux_sym_channel_timeout_token1] = ACTIONS(2682),
    [aux_sym_check_host_ip_token1] = ACTIONS(2682),
    [aux_sym_ciphers_token1] = ACTIONS(2682),
    [aux_sym_cipher_token1] = ACTIONS(2684),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2682),
    [aux_sym_compression_token1] = ACTIONS(2682),
    [aux_sym_connection_attempts_token1] = ACTIONS(2682),
    [aux_sym_connect_timeout_token1] = ACTIONS(2682),
    [aux_sym_control_master_token1] = ACTIONS(2682),
    [aux_sym_control_path_token1] = ACTIONS(2682),
    [aux_sym_control_persist_token1] = ACTIONS(2682),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2682),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2682),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2682),
    [aux_sym_escape_char_token1] = ACTIONS(2682),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2682),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2682),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2682),
    [aux_sym_forward_agent_token1] = ACTIONS(2682),
    [aux_sym_forward_x11_token1] = ACTIONS(2684),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2682),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2682),
    [aux_sym_gateway_ports_token1] = ACTIONS(2682),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2682),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2682),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2682),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2682),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2682),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2682),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2682),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2682),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2682),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2682),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2682),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2682),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2682),
    [aux_sym_host_key_alias_token1] = ACTIONS(2682),
    [aux_sym_hostname_token1] = ACTIONS(2682),
    [aux_sym_identities_only_token1] = ACTIONS(2682),
    [aux_sym_identity_agent_token1] = ACTIONS(2682),
    [aux_sym_identity_file_token1] = ACTIONS(2682),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2682),
    [aux_sym_include_token1] = ACTIONS(2682),
    [aux_sym_ip_qos_token1] = ACTIONS(2682),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2682),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2682),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2682),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2682),
    [aux_sym_local_command_token1] = ACTIONS(2682),
    [aux_sym_local_forward_token1] = ACTIONS(2682),
    [aux_sym_log_level_token1] = ACTIONS(2682),
    [aux_sym_log_verbose_token1] = ACTIONS(2682),
    [aux_sym_macs_token1] = ACTIONS(2682),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2682),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2682),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2682),
    [aux_sym_password_authentication_token1] = ACTIONS(2682),
    [aux_sym_permit_local_command_token1] = ACTIONS(2682),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2682),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2682),
    [aux_sym_port_token1] = ACTIONS(2682),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2682),
    [aux_sym_protocol_token1] = ACTIONS(2682),
    [aux_sym_proxy_command_token1] = ACTIONS(2682),
    [aux_sym_proxy_jump_token1] = ACTIONS(2682),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2682),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2682),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2682),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2682),
    [aux_sym_rekey_limit_token1] = ACTIONS(2682),
    [aux_sym_remote_command_token1] = ACTIONS(2682),
    [aux_sym_remote_forward_token1] = ACTIONS(2682),
    [aux_sym_request_tty_token1] = ACTIONS(2682),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2682),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2682),
    [aux_sym_security_key_provider_token1] = ACTIONS(2682),
    [aux_sym_send_env_token1] = ACTIONS(2682),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2682),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2682),
    [aux_sym_session_type_token1] = ACTIONS(2682),
    [aux_sym_set_env_token1] = ACTIONS(2682),
    [aux_sym_stdin_null_token1] = ACTIONS(2682),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2682),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2682),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2682),
    [aux_sym_syslog_facility_token1] = ACTIONS(2682),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2682),
    [aux_sym_keep_alive_token1] = ACTIONS(2682),
    [aux_sym_tag_token1] = ACTIONS(2682),
    [aux_sym_tunnel_token1] = ACTIONS(2684),
    [aux_sym_tunnel_device_token1] = ACTIONS(2682),
    [aux_sym_update_host_keys_token1] = ACTIONS(2682),
    [aux_sym_use_keychain_token1] = ACTIONS(2682),
    [aux_sym_use_roaming_token1] = ACTIONS(2682),
    [aux_sym_user_token1] = ACTIONS(2684),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2682),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2682),
    [aux_sym_version_addendum_token1] = ACTIONS(2682),
    [aux_sym_visual_host_key_token1] = ACTIONS(2682),
    [aux_sym_xauth_location_token1] = ACTIONS(2682),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2690),
    [aux_sym_match_token1] = ACTIONS(2688),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2688),
    [aux_sym_address_family_token1] = ACTIONS(2688),
    [aux_sym_batch_mode_token1] = ACTIONS(2688),
    [aux_sym_bind_address_token1] = ACTIONS(2688),
    [aux_sym_bind_interface_token1] = ACTIONS(2688),
    [aux_sym_canonical_domains_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2688),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2688),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2688),
    [aux_sym_certificate_file_token1] = ACTIONS(2688),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2688),
    [aux_sym_channel_timeout_token1] = ACTIONS(2688),
    [aux_sym_check_host_ip_token1] = ACTIONS(2688),
    [aux_sym_ciphers_token1] = ACTIONS(2688),
    [aux_sym_cipher_token1] = ACTIONS(2690),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2688),
    [aux_sym_compression_token1] = ACTIONS(2688),
    [aux_sym_connection_attempts_token1] = ACTIONS(2688),
    [aux_sym_connect_timeout_token1] = ACTIONS(2688),
    [aux_sym_control_master_token1] = ACTIONS(2688),
    [aux_sym_control_path_token1] = ACTIONS(2688),
    [aux_sym_control_persist_token1] = ACTIONS(2688),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2688),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2688),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2688),
    [aux_sym_escape_char_token1] = ACTIONS(2688),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2688),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2688),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2688),
    [aux_sym_forward_agent_token1] = ACTIONS(2688),
    [aux_sym_forward_x11_token1] = ACTIONS(2690),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2688),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2688),
    [aux_sym_gateway_ports_token1] = ACTIONS(2688),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2688),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2688),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2688),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2688),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2688),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2688),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2688),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2688),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2688),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2688),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2688),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2688),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2688),
    [aux_sym_host_key_alias_token1] = ACTIONS(2688),
    [aux_sym_hostname_token1] = ACTIONS(2688),
    [aux_sym_identities_only_token1] = ACTIONS(2688),
    [aux_sym_identity_agent_token1] = ACTIONS(2688),
    [aux_sym_identity_file_token1] = ACTIONS(2688),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2688),
    [aux_sym_include_token1] = ACTIONS(2688),
    [aux_sym_ip_qos_token1] = ACTIONS(2688),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2688),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2688),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2688),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2688),
    [aux_sym_local_command_token1] = ACTIONS(2688),
    [aux_sym_local_forward_token1] = ACTIONS(2688),
    [aux_sym_log_level_token1] = ACTIONS(2688),
    [aux_sym_log_verbose_token1] = ACTIONS(2688),
    [aux_sym_macs_token1] = ACTIONS(2688),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2688),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2688),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2688),
    [aux_sym_password_authentication_token1] = ACTIONS(2688),
    [aux_sym_permit_local_command_token1] = ACTIONS(2688),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2688),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2688),
    [aux_sym_port_token1] = ACTIONS(2688),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2688),
    [aux_sym_protocol_token1] = ACTIONS(2688),
    [aux_sym_proxy_command_token1] = ACTIONS(2688),
    [aux_sym_proxy_jump_token1] = ACTIONS(2688),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2688),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2688),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2688),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2688),
    [aux_sym_rekey_limit_token1] = ACTIONS(2688),
    [aux_sym_remote_command_token1] = ACTIONS(2688),
    [aux_sym_remote_forward_token1] = ACTIONS(2688),
    [aux_sym_request_tty_token1] = ACTIONS(2688),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2688),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2688),
    [aux_sym_security_key_provider_token1] = ACTIONS(2688),
    [aux_sym_send_env_token1] = ACTIONS(2688),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2688),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2688),
    [aux_sym_session_type_token1] = ACTIONS(2688),
    [aux_sym_set_env_token1] = ACTIONS(2688),
    [aux_sym_stdin_null_token1] = ACTIONS(2688),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2688),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2688),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2688),
    [aux_sym_syslog_facility_token1] = ACTIONS(2688),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2688),
    [aux_sym_keep_alive_token1] = ACTIONS(2688),
    [aux_sym_tag_token1] = ACTIONS(2688),
    [aux_sym_tunnel_token1] = ACTIONS(2690),
    [aux_sym_tunnel_device_token1] = ACTIONS(2688),
    [aux_sym_update_host_keys_token1] = ACTIONS(2688),
    [aux_sym_use_keychain_token1] = ACTIONS(2688),
    [aux_sym_use_roaming_token1] = ACTIONS(2688),
    [aux_sym_user_token1] = ACTIONS(2690),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2688),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2688),
    [aux_sym_version_addendum_token1] = ACTIONS(2688),
    [aux_sym_visual_host_key_token1] = ACTIONS(2688),
    [aux_sym_xauth_location_token1] = ACTIONS(2688),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1922),
    [aux_sym_match_token1] = ACTIONS(1920),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1920),
    [aux_sym_address_family_token1] = ACTIONS(1920),
    [aux_sym_batch_mode_token1] = ACTIONS(1920),
    [aux_sym_bind_address_token1] = ACTIONS(1920),
    [aux_sym_bind_interface_token1] = ACTIONS(1920),
    [aux_sym_canonical_domains_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1920),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1920),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1920),
    [aux_sym_certificate_file_token1] = ACTIONS(1920),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1920),
    [aux_sym_channel_timeout_token1] = ACTIONS(1920),
    [aux_sym_check_host_ip_token1] = ACTIONS(1920),
    [aux_sym_ciphers_token1] = ACTIONS(1920),
    [aux_sym_cipher_token1] = ACTIONS(1922),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1920),
    [aux_sym_compression_token1] = ACTIONS(1920),
    [aux_sym_connection_attempts_token1] = ACTIONS(1920),
    [aux_sym_connect_timeout_token1] = ACTIONS(1920),
    [aux_sym_control_master_token1] = ACTIONS(1920),
    [aux_sym_control_path_token1] = ACTIONS(1920),
    [aux_sym_control_persist_token1] = ACTIONS(1920),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1920),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1920),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1920),
    [aux_sym_escape_char_token1] = ACTIONS(1920),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1920),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1920),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1920),
    [aux_sym_forward_agent_token1] = ACTIONS(1920),
    [aux_sym_forward_x11_token1] = ACTIONS(1922),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1920),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1920),
    [aux_sym_gateway_ports_token1] = ACTIONS(1920),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1920),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1920),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1920),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1920),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1920),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1920),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1920),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1920),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1920),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1920),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1920),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1920),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1920),
    [aux_sym_host_key_alias_token1] = ACTIONS(1920),
    [aux_sym_hostname_token1] = ACTIONS(1920),
    [aux_sym_identities_only_token1] = ACTIONS(1920),
    [aux_sym_identity_agent_token1] = ACTIONS(1920),
    [aux_sym_identity_file_token1] = ACTIONS(1920),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1920),
    [aux_sym_include_token1] = ACTIONS(1920),
    [aux_sym_ip_qos_token1] = ACTIONS(1920),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1920),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1920),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1920),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1920),
    [aux_sym_local_command_token1] = ACTIONS(1920),
    [aux_sym_local_forward_token1] = ACTIONS(1920),
    [aux_sym_log_level_token1] = ACTIONS(1920),
    [aux_sym_log_verbose_token1] = ACTIONS(1920),
    [aux_sym_macs_token1] = ACTIONS(1920),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1920),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1920),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1920),
    [aux_sym_password_authentication_token1] = ACTIONS(1920),
    [aux_sym_permit_local_command_token1] = ACTIONS(1920),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1920),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1920),
    [aux_sym_port_token1] = ACTIONS(1920),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1920),
    [aux_sym_protocol_token1] = ACTIONS(1920),
    [aux_sym_proxy_command_token1] = ACTIONS(1920),
    [aux_sym_proxy_jump_token1] = ACTIONS(1920),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1920),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1920),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1920),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1920),
    [aux_sym_rekey_limit_token1] = ACTIONS(1920),
    [aux_sym_remote_command_token1] = ACTIONS(1920),
    [aux_sym_remote_forward_token1] = ACTIONS(1920),
    [aux_sym_request_tty_token1] = ACTIONS(1920),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1920),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1920),
    [aux_sym_security_key_provider_token1] = ACTIONS(1920),
    [aux_sym_send_env_token1] = ACTIONS(1920),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1920),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1920),
    [aux_sym_session_type_token1] = ACTIONS(1920),
    [aux_sym_set_env_token1] = ACTIONS(1920),
    [aux_sym_stdin_null_token1] = ACTIONS(1920),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1920),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1920),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1920),
    [aux_sym_syslog_facility_token1] = ACTIONS(1920),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1920),
    [aux_sym_keep_alive_token1] = ACTIONS(1920),
    [aux_sym_tag_token1] = ACTIONS(1920),
    [aux_sym_tunnel_token1] = ACTIONS(1922),
    [aux_sym_tunnel_device_token1] = ACTIONS(1920),
    [aux_sym_update_host_keys_token1] = ACTIONS(1920),
    [aux_sym_use_keychain_token1] = ACTIONS(1920),
    [aux_sym_use_roaming_token1] = ACTIONS(1920),
    [aux_sym_user_token1] = ACTIONS(1922),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1920),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1920),
    [aux_sym_version_addendum_token1] = ACTIONS(1920),
    [aux_sym_visual_host_key_token1] = ACTIONS(1920),
    [aux_sym_xauth_location_token1] = ACTIONS(1920),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2696),
    [aux_sym_match_token1] = ACTIONS(2694),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2694),
    [aux_sym_address_family_token1] = ACTIONS(2694),
    [aux_sym_batch_mode_token1] = ACTIONS(2694),
    [aux_sym_bind_address_token1] = ACTIONS(2694),
    [aux_sym_bind_interface_token1] = ACTIONS(2694),
    [aux_sym_canonical_domains_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2694),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2694),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2694),
    [aux_sym_certificate_file_token1] = ACTIONS(2694),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2694),
    [aux_sym_channel_timeout_token1] = ACTIONS(2694),
    [aux_sym_check_host_ip_token1] = ACTIONS(2694),
    [aux_sym_ciphers_token1] = ACTIONS(2694),
    [aux_sym_cipher_token1] = ACTIONS(2696),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2694),
    [aux_sym_compression_token1] = ACTIONS(2694),
    [aux_sym_connection_attempts_token1] = ACTIONS(2694),
    [aux_sym_connect_timeout_token1] = ACTIONS(2694),
    [aux_sym_control_master_token1] = ACTIONS(2694),
    [aux_sym_control_path_token1] = ACTIONS(2694),
    [aux_sym_control_persist_token1] = ACTIONS(2694),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2694),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2694),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2694),
    [aux_sym_escape_char_token1] = ACTIONS(2694),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2694),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2694),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2694),
    [aux_sym_forward_agent_token1] = ACTIONS(2694),
    [aux_sym_forward_x11_token1] = ACTIONS(2696),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2694),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2694),
    [aux_sym_gateway_ports_token1] = ACTIONS(2694),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2694),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2694),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2694),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2694),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2694),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2694),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2694),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2694),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2694),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2694),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2694),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2694),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2694),
    [aux_sym_host_key_alias_token1] = ACTIONS(2694),
    [aux_sym_hostname_token1] = ACTIONS(2694),
    [aux_sym_identities_only_token1] = ACTIONS(2694),
    [aux_sym_identity_agent_token1] = ACTIONS(2694),
    [aux_sym_identity_file_token1] = ACTIONS(2694),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2694),
    [aux_sym_include_token1] = ACTIONS(2694),
    [aux_sym_ip_qos_token1] = ACTIONS(2694),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2694),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2694),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2694),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2694),
    [aux_sym_local_command_token1] = ACTIONS(2694),
    [aux_sym_local_forward_token1] = ACTIONS(2694),
    [aux_sym_log_level_token1] = ACTIONS(2694),
    [aux_sym_log_verbose_token1] = ACTIONS(2694),
    [aux_sym_macs_token1] = ACTIONS(2694),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2694),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2694),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2694),
    [aux_sym_password_authentication_token1] = ACTIONS(2694),
    [aux_sym_permit_local_command_token1] = ACTIONS(2694),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2694),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2694),
    [aux_sym_port_token1] = ACTIONS(2694),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2694),
    [aux_sym_protocol_token1] = ACTIONS(2694),
    [aux_sym_proxy_command_token1] = ACTIONS(2694),
    [aux_sym_proxy_jump_token1] = ACTIONS(2694),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2694),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2694),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2694),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2694),
    [aux_sym_rekey_limit_token1] = ACTIONS(2694),
    [aux_sym_remote_command_token1] = ACTIONS(2694),
    [aux_sym_remote_forward_token1] = ACTIONS(2694),
    [aux_sym_request_tty_token1] = ACTIONS(2694),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2694),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2694),
    [aux_sym_security_key_provider_token1] = ACTIONS(2694),
    [aux_sym_send_env_token1] = ACTIONS(2694),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2694),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2694),
    [aux_sym_session_type_token1] = ACTIONS(2694),
    [aux_sym_set_env_token1] = ACTIONS(2694),
    [aux_sym_stdin_null_token1] = ACTIONS(2694),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2694),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2694),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2694),
    [aux_sym_syslog_facility_token1] = ACTIONS(2694),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2694),
    [aux_sym_keep_alive_token1] = ACTIONS(2694),
    [aux_sym_tag_token1] = ACTIONS(2694),
    [aux_sym_tunnel_token1] = ACTIONS(2696),
    [aux_sym_tunnel_device_token1] = ACTIONS(2694),
    [aux_sym_update_host_keys_token1] = ACTIONS(2694),
    [aux_sym_use_keychain_token1] = ACTIONS(2694),
    [aux_sym_use_roaming_token1] = ACTIONS(2694),
    [aux_sym_user_token1] = ACTIONS(2696),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2694),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2694),
    [aux_sym_version_addendum_token1] = ACTIONS(2694),
    [aux_sym_visual_host_key_token1] = ACTIONS(2694),
    [aux_sym_xauth_location_token1] = ACTIONS(2694),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2702),
    [aux_sym_match_token1] = ACTIONS(2700),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2700),
    [aux_sym_address_family_token1] = ACTIONS(2700),
    [aux_sym_batch_mode_token1] = ACTIONS(2700),
    [aux_sym_bind_address_token1] = ACTIONS(2700),
    [aux_sym_bind_interface_token1] = ACTIONS(2700),
    [aux_sym_canonical_domains_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2700),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2700),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2700),
    [aux_sym_certificate_file_token1] = ACTIONS(2700),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2700),
    [aux_sym_channel_timeout_token1] = ACTIONS(2700),
    [aux_sym_check_host_ip_token1] = ACTIONS(2700),
    [aux_sym_ciphers_token1] = ACTIONS(2700),
    [aux_sym_cipher_token1] = ACTIONS(2702),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2700),
    [aux_sym_compression_token1] = ACTIONS(2700),
    [aux_sym_connection_attempts_token1] = ACTIONS(2700),
    [aux_sym_connect_timeout_token1] = ACTIONS(2700),
    [aux_sym_control_master_token1] = ACTIONS(2700),
    [aux_sym_control_path_token1] = ACTIONS(2700),
    [aux_sym_control_persist_token1] = ACTIONS(2700),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2700),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2700),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2700),
    [aux_sym_escape_char_token1] = ACTIONS(2700),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2700),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2700),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2700),
    [aux_sym_forward_agent_token1] = ACTIONS(2700),
    [aux_sym_forward_x11_token1] = ACTIONS(2702),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2700),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2700),
    [aux_sym_gateway_ports_token1] = ACTIONS(2700),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2700),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2700),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2700),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2700),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2700),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2700),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2700),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2700),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2700),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2700),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2700),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2700),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2700),
    [aux_sym_host_key_alias_token1] = ACTIONS(2700),
    [aux_sym_hostname_token1] = ACTIONS(2700),
    [aux_sym_identities_only_token1] = ACTIONS(2700),
    [aux_sym_identity_agent_token1] = ACTIONS(2700),
    [aux_sym_identity_file_token1] = ACTIONS(2700),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2700),
    [aux_sym_include_token1] = ACTIONS(2700),
    [aux_sym_ip_qos_token1] = ACTIONS(2700),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2700),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2700),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2700),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2700),
    [aux_sym_local_command_token1] = ACTIONS(2700),
    [aux_sym_local_forward_token1] = ACTIONS(2700),
    [aux_sym_log_level_token1] = ACTIONS(2700),
    [aux_sym_log_verbose_token1] = ACTIONS(2700),
    [aux_sym_macs_token1] = ACTIONS(2700),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2700),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2700),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2700),
    [aux_sym_password_authentication_token1] = ACTIONS(2700),
    [aux_sym_permit_local_command_token1] = ACTIONS(2700),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2700),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2700),
    [aux_sym_port_token1] = ACTIONS(2700),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2700),
    [aux_sym_protocol_token1] = ACTIONS(2700),
    [aux_sym_proxy_command_token1] = ACTIONS(2700),
    [aux_sym_proxy_jump_token1] = ACTIONS(2700),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2700),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2700),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2700),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2700),
    [aux_sym_rekey_limit_token1] = ACTIONS(2700),
    [aux_sym_remote_command_token1] = ACTIONS(2700),
    [aux_sym_remote_forward_token1] = ACTIONS(2700),
    [aux_sym_request_tty_token1] = ACTIONS(2700),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2700),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2700),
    [aux_sym_security_key_provider_token1] = ACTIONS(2700),
    [aux_sym_send_env_token1] = ACTIONS(2700),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2700),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2700),
    [aux_sym_session_type_token1] = ACTIONS(2700),
    [aux_sym_set_env_token1] = ACTIONS(2700),
    [aux_sym_stdin_null_token1] = ACTIONS(2700),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2700),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2700),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2700),
    [aux_sym_syslog_facility_token1] = ACTIONS(2700),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2700),
    [aux_sym_keep_alive_token1] = ACTIONS(2700),
    [aux_sym_tag_token1] = ACTIONS(2700),
    [aux_sym_tunnel_token1] = ACTIONS(2702),
    [aux_sym_tunnel_device_token1] = ACTIONS(2700),
    [aux_sym_update_host_keys_token1] = ACTIONS(2700),
    [aux_sym_use_keychain_token1] = ACTIONS(2700),
    [aux_sym_use_roaming_token1] = ACTIONS(2700),
    [aux_sym_user_token1] = ACTIONS(2702),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2700),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2700),
    [aux_sym_version_addendum_token1] = ACTIONS(2700),
    [aux_sym_visual_host_key_token1] = ACTIONS(2700),
    [aux_sym_xauth_location_token1] = ACTIONS(2700),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3134),
    [aux_sym_match_token1] = ACTIONS(3132),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3132),
    [aux_sym_address_family_token1] = ACTIONS(3132),
    [aux_sym_batch_mode_token1] = ACTIONS(3132),
    [aux_sym_bind_address_token1] = ACTIONS(3132),
    [aux_sym_bind_interface_token1] = ACTIONS(3132),
    [aux_sym_canonical_domains_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3132),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3132),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3132),
    [aux_sym_certificate_file_token1] = ACTIONS(3132),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3132),
    [aux_sym_channel_timeout_token1] = ACTIONS(3132),
    [aux_sym_check_host_ip_token1] = ACTIONS(3132),
    [aux_sym_ciphers_token1] = ACTIONS(3132),
    [aux_sym_cipher_token1] = ACTIONS(3134),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3132),
    [aux_sym_compression_token1] = ACTIONS(3132),
    [aux_sym_connection_attempts_token1] = ACTIONS(3132),
    [aux_sym_connect_timeout_token1] = ACTIONS(3132),
    [aux_sym_control_master_token1] = ACTIONS(3132),
    [aux_sym_control_path_token1] = ACTIONS(3132),
    [aux_sym_control_persist_token1] = ACTIONS(3132),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3132),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3132),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3132),
    [aux_sym_escape_char_token1] = ACTIONS(3132),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3132),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3132),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3132),
    [aux_sym_forward_agent_token1] = ACTIONS(3132),
    [aux_sym_forward_x11_token1] = ACTIONS(3134),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3132),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3132),
    [aux_sym_gateway_ports_token1] = ACTIONS(3132),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3132),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3132),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3132),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3132),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3132),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3132),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3132),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3132),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3132),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3132),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3132),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3132),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3132),
    [aux_sym_host_key_alias_token1] = ACTIONS(3132),
    [aux_sym_hostname_token1] = ACTIONS(3132),
    [aux_sym_identities_only_token1] = ACTIONS(3132),
    [aux_sym_identity_agent_token1] = ACTIONS(3132),
    [aux_sym_identity_file_token1] = ACTIONS(3132),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3132),
    [aux_sym_include_token1] = ACTIONS(3132),
    [aux_sym_ip_qos_token1] = ACTIONS(3132),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3132),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3132),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3132),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3132),
    [aux_sym_local_command_token1] = ACTIONS(3132),
    [aux_sym_local_forward_token1] = ACTIONS(3132),
    [aux_sym_log_level_token1] = ACTIONS(3132),
    [aux_sym_log_verbose_token1] = ACTIONS(3132),
    [aux_sym_macs_token1] = ACTIONS(3132),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3132),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3132),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3132),
    [aux_sym_password_authentication_token1] = ACTIONS(3132),
    [aux_sym_permit_local_command_token1] = ACTIONS(3132),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3132),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3132),
    [aux_sym_port_token1] = ACTIONS(3132),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3132),
    [aux_sym_protocol_token1] = ACTIONS(3132),
    [aux_sym_proxy_command_token1] = ACTIONS(3132),
    [aux_sym_proxy_jump_token1] = ACTIONS(3132),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3132),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3132),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3132),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3132),
    [aux_sym_rekey_limit_token1] = ACTIONS(3132),
    [aux_sym_remote_command_token1] = ACTIONS(3132),
    [aux_sym_remote_forward_token1] = ACTIONS(3132),
    [aux_sym_request_tty_token1] = ACTIONS(3132),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3132),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3132),
    [aux_sym_security_key_provider_token1] = ACTIONS(3132),
    [aux_sym_send_env_token1] = ACTIONS(3132),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3132),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3132),
    [aux_sym_session_type_token1] = ACTIONS(3132),
    [aux_sym_set_env_token1] = ACTIONS(3132),
    [aux_sym_stdin_null_token1] = ACTIONS(3132),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3132),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3132),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3132),
    [aux_sym_syslog_facility_token1] = ACTIONS(3132),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3132),
    [aux_sym_keep_alive_token1] = ACTIONS(3132),
    [aux_sym_tag_token1] = ACTIONS(3132),
    [aux_sym_tunnel_token1] = ACTIONS(3134),
    [aux_sym_tunnel_device_token1] = ACTIONS(3132),
    [aux_sym_update_host_keys_token1] = ACTIONS(3132),
    [aux_sym_use_keychain_token1] = ACTIONS(3132),
    [aux_sym_use_roaming_token1] = ACTIONS(3132),
    [aux_sym_user_token1] = ACTIONS(3134),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3132),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3132),
    [aux_sym_version_addendum_token1] = ACTIONS(3132),
    [aux_sym_visual_host_key_token1] = ACTIONS(3132),
    [aux_sym_xauth_location_token1] = ACTIONS(3132),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2708),
    [aux_sym_match_token1] = ACTIONS(2706),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2706),
    [aux_sym_address_family_token1] = ACTIONS(2706),
    [aux_sym_batch_mode_token1] = ACTIONS(2706),
    [aux_sym_bind_address_token1] = ACTIONS(2706),
    [aux_sym_bind_interface_token1] = ACTIONS(2706),
    [aux_sym_canonical_domains_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2706),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2706),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2706),
    [aux_sym_certificate_file_token1] = ACTIONS(2706),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2706),
    [aux_sym_channel_timeout_token1] = ACTIONS(2706),
    [aux_sym_check_host_ip_token1] = ACTIONS(2706),
    [aux_sym_ciphers_token1] = ACTIONS(2706),
    [aux_sym_cipher_token1] = ACTIONS(2708),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2706),
    [aux_sym_compression_token1] = ACTIONS(2706),
    [aux_sym_connection_attempts_token1] = ACTIONS(2706),
    [aux_sym_connect_timeout_token1] = ACTIONS(2706),
    [aux_sym_control_master_token1] = ACTIONS(2706),
    [aux_sym_control_path_token1] = ACTIONS(2706),
    [aux_sym_control_persist_token1] = ACTIONS(2706),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2706),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2706),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2706),
    [aux_sym_escape_char_token1] = ACTIONS(2706),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2706),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2706),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2706),
    [aux_sym_forward_agent_token1] = ACTIONS(2706),
    [aux_sym_forward_x11_token1] = ACTIONS(2708),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2706),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2706),
    [aux_sym_gateway_ports_token1] = ACTIONS(2706),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2706),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2706),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2706),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2706),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2706),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2706),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2706),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2706),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2706),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2706),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2706),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2706),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2706),
    [aux_sym_host_key_alias_token1] = ACTIONS(2706),
    [aux_sym_hostname_token1] = ACTIONS(2706),
    [aux_sym_identities_only_token1] = ACTIONS(2706),
    [aux_sym_identity_agent_token1] = ACTIONS(2706),
    [aux_sym_identity_file_token1] = ACTIONS(2706),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2706),
    [aux_sym_include_token1] = ACTIONS(2706),
    [aux_sym_ip_qos_token1] = ACTIONS(2706),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2706),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2706),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2706),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2706),
    [aux_sym_local_command_token1] = ACTIONS(2706),
    [aux_sym_local_forward_token1] = ACTIONS(2706),
    [aux_sym_log_level_token1] = ACTIONS(2706),
    [aux_sym_log_verbose_token1] = ACTIONS(2706),
    [aux_sym_macs_token1] = ACTIONS(2706),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2706),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2706),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2706),
    [aux_sym_password_authentication_token1] = ACTIONS(2706),
    [aux_sym_permit_local_command_token1] = ACTIONS(2706),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2706),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2706),
    [aux_sym_port_token1] = ACTIONS(2706),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2706),
    [aux_sym_protocol_token1] = ACTIONS(2706),
    [aux_sym_proxy_command_token1] = ACTIONS(2706),
    [aux_sym_proxy_jump_token1] = ACTIONS(2706),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2706),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2706),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2706),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2706),
    [aux_sym_rekey_limit_token1] = ACTIONS(2706),
    [aux_sym_remote_command_token1] = ACTIONS(2706),
    [aux_sym_remote_forward_token1] = ACTIONS(2706),
    [aux_sym_request_tty_token1] = ACTIONS(2706),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2706),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2706),
    [aux_sym_security_key_provider_token1] = ACTIONS(2706),
    [aux_sym_send_env_token1] = ACTIONS(2706),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2706),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2706),
    [aux_sym_session_type_token1] = ACTIONS(2706),
    [aux_sym_set_env_token1] = ACTIONS(2706),
    [aux_sym_stdin_null_token1] = ACTIONS(2706),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2706),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2706),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2706),
    [aux_sym_syslog_facility_token1] = ACTIONS(2706),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2706),
    [aux_sym_keep_alive_token1] = ACTIONS(2706),
    [aux_sym_tag_token1] = ACTIONS(2706),
    [aux_sym_tunnel_token1] = ACTIONS(2708),
    [aux_sym_tunnel_device_token1] = ACTIONS(2706),
    [aux_sym_update_host_keys_token1] = ACTIONS(2706),
    [aux_sym_use_keychain_token1] = ACTIONS(2706),
    [aux_sym_use_roaming_token1] = ACTIONS(2706),
    [aux_sym_user_token1] = ACTIONS(2708),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2706),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2706),
    [aux_sym_version_addendum_token1] = ACTIONS(2706),
    [aux_sym_visual_host_key_token1] = ACTIONS(2706),
    [aux_sym_xauth_location_token1] = ACTIONS(2706),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2714),
    [aux_sym_match_token1] = ACTIONS(2712),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2712),
    [aux_sym_address_family_token1] = ACTIONS(2712),
    [aux_sym_batch_mode_token1] = ACTIONS(2712),
    [aux_sym_bind_address_token1] = ACTIONS(2712),
    [aux_sym_bind_interface_token1] = ACTIONS(2712),
    [aux_sym_canonical_domains_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2712),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2712),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2712),
    [aux_sym_certificate_file_token1] = ACTIONS(2712),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2712),
    [aux_sym_channel_timeout_token1] = ACTIONS(2712),
    [aux_sym_check_host_ip_token1] = ACTIONS(2712),
    [aux_sym_ciphers_token1] = ACTIONS(2712),
    [aux_sym_cipher_token1] = ACTIONS(2714),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2712),
    [aux_sym_compression_token1] = ACTIONS(2712),
    [aux_sym_connection_attempts_token1] = ACTIONS(2712),
    [aux_sym_connect_timeout_token1] = ACTIONS(2712),
    [aux_sym_control_master_token1] = ACTIONS(2712),
    [aux_sym_control_path_token1] = ACTIONS(2712),
    [aux_sym_control_persist_token1] = ACTIONS(2712),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2712),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2712),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2712),
    [aux_sym_escape_char_token1] = ACTIONS(2712),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2712),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2712),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2712),
    [aux_sym_forward_agent_token1] = ACTIONS(2712),
    [aux_sym_forward_x11_token1] = ACTIONS(2714),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2712),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2712),
    [aux_sym_gateway_ports_token1] = ACTIONS(2712),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2712),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2712),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2712),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2712),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2712),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2712),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2712),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2712),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2712),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2712),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2712),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2712),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2712),
    [aux_sym_host_key_alias_token1] = ACTIONS(2712),
    [aux_sym_hostname_token1] = ACTIONS(2712),
    [aux_sym_identities_only_token1] = ACTIONS(2712),
    [aux_sym_identity_agent_token1] = ACTIONS(2712),
    [aux_sym_identity_file_token1] = ACTIONS(2712),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2712),
    [aux_sym_include_token1] = ACTIONS(2712),
    [aux_sym_ip_qos_token1] = ACTIONS(2712),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2712),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2712),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2712),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2712),
    [aux_sym_local_command_token1] = ACTIONS(2712),
    [aux_sym_local_forward_token1] = ACTIONS(2712),
    [aux_sym_log_level_token1] = ACTIONS(2712),
    [aux_sym_log_verbose_token1] = ACTIONS(2712),
    [aux_sym_macs_token1] = ACTIONS(2712),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2712),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2712),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2712),
    [aux_sym_password_authentication_token1] = ACTIONS(2712),
    [aux_sym_permit_local_command_token1] = ACTIONS(2712),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2712),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2712),
    [aux_sym_port_token1] = ACTIONS(2712),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2712),
    [aux_sym_protocol_token1] = ACTIONS(2712),
    [aux_sym_proxy_command_token1] = ACTIONS(2712),
    [aux_sym_proxy_jump_token1] = ACTIONS(2712),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2712),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2712),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2712),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2712),
    [aux_sym_rekey_limit_token1] = ACTIONS(2712),
    [aux_sym_remote_command_token1] = ACTIONS(2712),
    [aux_sym_remote_forward_token1] = ACTIONS(2712),
    [aux_sym_request_tty_token1] = ACTIONS(2712),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2712),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2712),
    [aux_sym_security_key_provider_token1] = ACTIONS(2712),
    [aux_sym_send_env_token1] = ACTIONS(2712),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2712),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2712),
    [aux_sym_session_type_token1] = ACTIONS(2712),
    [aux_sym_set_env_token1] = ACTIONS(2712),
    [aux_sym_stdin_null_token1] = ACTIONS(2712),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2712),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2712),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2712),
    [aux_sym_syslog_facility_token1] = ACTIONS(2712),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2712),
    [aux_sym_keep_alive_token1] = ACTIONS(2712),
    [aux_sym_tag_token1] = ACTIONS(2712),
    [aux_sym_tunnel_token1] = ACTIONS(2714),
    [aux_sym_tunnel_device_token1] = ACTIONS(2712),
    [aux_sym_update_host_keys_token1] = ACTIONS(2712),
    [aux_sym_use_keychain_token1] = ACTIONS(2712),
    [aux_sym_use_roaming_token1] = ACTIONS(2712),
    [aux_sym_user_token1] = ACTIONS(2714),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2712),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2712),
    [aux_sym_version_addendum_token1] = ACTIONS(2712),
    [aux_sym_visual_host_key_token1] = ACTIONS(2712),
    [aux_sym_xauth_location_token1] = ACTIONS(2712),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1934),
    [aux_sym_match_token1] = ACTIONS(1932),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1932),
    [aux_sym_address_family_token1] = ACTIONS(1932),
    [aux_sym_batch_mode_token1] = ACTIONS(1932),
    [aux_sym_bind_address_token1] = ACTIONS(1932),
    [aux_sym_bind_interface_token1] = ACTIONS(1932),
    [aux_sym_canonical_domains_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1932),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1932),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1932),
    [aux_sym_certificate_file_token1] = ACTIONS(1932),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1932),
    [aux_sym_channel_timeout_token1] = ACTIONS(1932),
    [aux_sym_check_host_ip_token1] = ACTIONS(1932),
    [aux_sym_ciphers_token1] = ACTIONS(1932),
    [aux_sym_cipher_token1] = ACTIONS(1934),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1932),
    [aux_sym_compression_token1] = ACTIONS(1932),
    [aux_sym_connection_attempts_token1] = ACTIONS(1932),
    [aux_sym_connect_timeout_token1] = ACTIONS(1932),
    [aux_sym_control_master_token1] = ACTIONS(1932),
    [aux_sym_control_path_token1] = ACTIONS(1932),
    [aux_sym_control_persist_token1] = ACTIONS(1932),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1932),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1932),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1932),
    [aux_sym_escape_char_token1] = ACTIONS(1932),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1932),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1932),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1932),
    [aux_sym_forward_agent_token1] = ACTIONS(1932),
    [aux_sym_forward_x11_token1] = ACTIONS(1934),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1932),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1932),
    [aux_sym_gateway_ports_token1] = ACTIONS(1932),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1932),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1932),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1932),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1932),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1932),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1932),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1932),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1932),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1932),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1932),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1932),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1932),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1932),
    [aux_sym_host_key_alias_token1] = ACTIONS(1932),
    [aux_sym_hostname_token1] = ACTIONS(1932),
    [aux_sym_identities_only_token1] = ACTIONS(1932),
    [aux_sym_identity_agent_token1] = ACTIONS(1932),
    [aux_sym_identity_file_token1] = ACTIONS(1932),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1932),
    [aux_sym_include_token1] = ACTIONS(1932),
    [aux_sym_ip_qos_token1] = ACTIONS(1932),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1932),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1932),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1932),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1932),
    [aux_sym_local_command_token1] = ACTIONS(1932),
    [aux_sym_local_forward_token1] = ACTIONS(1932),
    [aux_sym_log_level_token1] = ACTIONS(1932),
    [aux_sym_log_verbose_token1] = ACTIONS(1932),
    [aux_sym_macs_token1] = ACTIONS(1932),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1932),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1932),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1932),
    [aux_sym_password_authentication_token1] = ACTIONS(1932),
    [aux_sym_permit_local_command_token1] = ACTIONS(1932),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1932),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1932),
    [aux_sym_port_token1] = ACTIONS(1932),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1932),
    [aux_sym_protocol_token1] = ACTIONS(1932),
    [aux_sym_proxy_command_token1] = ACTIONS(1932),
    [aux_sym_proxy_jump_token1] = ACTIONS(1932),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1932),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1932),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1932),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1932),
    [aux_sym_rekey_limit_token1] = ACTIONS(1932),
    [aux_sym_remote_command_token1] = ACTIONS(1932),
    [aux_sym_remote_forward_token1] = ACTIONS(1932),
    [aux_sym_request_tty_token1] = ACTIONS(1932),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1932),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1932),
    [aux_sym_security_key_provider_token1] = ACTIONS(1932),
    [aux_sym_send_env_token1] = ACTIONS(1932),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1932),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1932),
    [aux_sym_session_type_token1] = ACTIONS(1932),
    [aux_sym_set_env_token1] = ACTIONS(1932),
    [aux_sym_stdin_null_token1] = ACTIONS(1932),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1932),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1932),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1932),
    [aux_sym_syslog_facility_token1] = ACTIONS(1932),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1932),
    [aux_sym_keep_alive_token1] = ACTIONS(1932),
    [aux_sym_tag_token1] = ACTIONS(1932),
    [aux_sym_tunnel_token1] = ACTIONS(1934),
    [aux_sym_tunnel_device_token1] = ACTIONS(1932),
    [aux_sym_update_host_keys_token1] = ACTIONS(1932),
    [aux_sym_use_keychain_token1] = ACTIONS(1932),
    [aux_sym_use_roaming_token1] = ACTIONS(1932),
    [aux_sym_user_token1] = ACTIONS(1934),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1932),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1932),
    [aux_sym_version_addendum_token1] = ACTIONS(1932),
    [aux_sym_visual_host_key_token1] = ACTIONS(1932),
    [aux_sym_xauth_location_token1] = ACTIONS(1932),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2720),
    [aux_sym_match_token1] = ACTIONS(2718),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2718),
    [aux_sym_address_family_token1] = ACTIONS(2718),
    [aux_sym_batch_mode_token1] = ACTIONS(2718),
    [aux_sym_bind_address_token1] = ACTIONS(2718),
    [aux_sym_bind_interface_token1] = ACTIONS(2718),
    [aux_sym_canonical_domains_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2718),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2718),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2718),
    [aux_sym_certificate_file_token1] = ACTIONS(2718),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2718),
    [aux_sym_channel_timeout_token1] = ACTIONS(2718),
    [aux_sym_check_host_ip_token1] = ACTIONS(2718),
    [aux_sym_ciphers_token1] = ACTIONS(2718),
    [aux_sym_cipher_token1] = ACTIONS(2720),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2718),
    [aux_sym_compression_token1] = ACTIONS(2718),
    [aux_sym_connection_attempts_token1] = ACTIONS(2718),
    [aux_sym_connect_timeout_token1] = ACTIONS(2718),
    [aux_sym_control_master_token1] = ACTIONS(2718),
    [aux_sym_control_path_token1] = ACTIONS(2718),
    [aux_sym_control_persist_token1] = ACTIONS(2718),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2718),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2718),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2718),
    [aux_sym_escape_char_token1] = ACTIONS(2718),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2718),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2718),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2718),
    [aux_sym_forward_agent_token1] = ACTIONS(2718),
    [aux_sym_forward_x11_token1] = ACTIONS(2720),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2718),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2718),
    [aux_sym_gateway_ports_token1] = ACTIONS(2718),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2718),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2718),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2718),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2718),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2718),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2718),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2718),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2718),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2718),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2718),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2718),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2718),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2718),
    [aux_sym_host_key_alias_token1] = ACTIONS(2718),
    [aux_sym_hostname_token1] = ACTIONS(2718),
    [aux_sym_identities_only_token1] = ACTIONS(2718),
    [aux_sym_identity_agent_token1] = ACTIONS(2718),
    [aux_sym_identity_file_token1] = ACTIONS(2718),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2718),
    [aux_sym_include_token1] = ACTIONS(2718),
    [aux_sym_ip_qos_token1] = ACTIONS(2718),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2718),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2718),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2718),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2718),
    [aux_sym_local_command_token1] = ACTIONS(2718),
    [aux_sym_local_forward_token1] = ACTIONS(2718),
    [aux_sym_log_level_token1] = ACTIONS(2718),
    [aux_sym_log_verbose_token1] = ACTIONS(2718),
    [aux_sym_macs_token1] = ACTIONS(2718),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2718),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2718),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2718),
    [aux_sym_password_authentication_token1] = ACTIONS(2718),
    [aux_sym_permit_local_command_token1] = ACTIONS(2718),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2718),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2718),
    [aux_sym_port_token1] = ACTIONS(2718),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2718),
    [aux_sym_protocol_token1] = ACTIONS(2718),
    [aux_sym_proxy_command_token1] = ACTIONS(2718),
    [aux_sym_proxy_jump_token1] = ACTIONS(2718),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2718),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2718),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2718),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2718),
    [aux_sym_rekey_limit_token1] = ACTIONS(2718),
    [aux_sym_remote_command_token1] = ACTIONS(2718),
    [aux_sym_remote_forward_token1] = ACTIONS(2718),
    [aux_sym_request_tty_token1] = ACTIONS(2718),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2718),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2718),
    [aux_sym_security_key_provider_token1] = ACTIONS(2718),
    [aux_sym_send_env_token1] = ACTIONS(2718),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2718),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2718),
    [aux_sym_session_type_token1] = ACTIONS(2718),
    [aux_sym_set_env_token1] = ACTIONS(2718),
    [aux_sym_stdin_null_token1] = ACTIONS(2718),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2718),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2718),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2718),
    [aux_sym_syslog_facility_token1] = ACTIONS(2718),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2718),
    [aux_sym_keep_alive_token1] = ACTIONS(2718),
    [aux_sym_tag_token1] = ACTIONS(2718),
    [aux_sym_tunnel_token1] = ACTIONS(2720),
    [aux_sym_tunnel_device_token1] = ACTIONS(2718),
    [aux_sym_update_host_keys_token1] = ACTIONS(2718),
    [aux_sym_use_keychain_token1] = ACTIONS(2718),
    [aux_sym_use_roaming_token1] = ACTIONS(2718),
    [aux_sym_user_token1] = ACTIONS(2720),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2718),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2718),
    [aux_sym_version_addendum_token1] = ACTIONS(2718),
    [aux_sym_visual_host_key_token1] = ACTIONS(2718),
    [aux_sym_xauth_location_token1] = ACTIONS(2718),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2726),
    [aux_sym_match_token1] = ACTIONS(2724),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2724),
    [aux_sym_address_family_token1] = ACTIONS(2724),
    [aux_sym_batch_mode_token1] = ACTIONS(2724),
    [aux_sym_bind_address_token1] = ACTIONS(2724),
    [aux_sym_bind_interface_token1] = ACTIONS(2724),
    [aux_sym_canonical_domains_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2724),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2724),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2724),
    [aux_sym_certificate_file_token1] = ACTIONS(2724),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2724),
    [aux_sym_channel_timeout_token1] = ACTIONS(2724),
    [aux_sym_check_host_ip_token1] = ACTIONS(2724),
    [aux_sym_ciphers_token1] = ACTIONS(2724),
    [aux_sym_cipher_token1] = ACTIONS(2726),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2724),
    [aux_sym_compression_token1] = ACTIONS(2724),
    [aux_sym_connection_attempts_token1] = ACTIONS(2724),
    [aux_sym_connect_timeout_token1] = ACTIONS(2724),
    [aux_sym_control_master_token1] = ACTIONS(2724),
    [aux_sym_control_path_token1] = ACTIONS(2724),
    [aux_sym_control_persist_token1] = ACTIONS(2724),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2724),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2724),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2724),
    [aux_sym_escape_char_token1] = ACTIONS(2724),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2724),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2724),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2724),
    [aux_sym_forward_agent_token1] = ACTIONS(2724),
    [aux_sym_forward_x11_token1] = ACTIONS(2726),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2724),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2724),
    [aux_sym_gateway_ports_token1] = ACTIONS(2724),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2724),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2724),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2724),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2724),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2724),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2724),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2724),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2724),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2724),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2724),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2724),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2724),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2724),
    [aux_sym_host_key_alias_token1] = ACTIONS(2724),
    [aux_sym_hostname_token1] = ACTIONS(2724),
    [aux_sym_identities_only_token1] = ACTIONS(2724),
    [aux_sym_identity_agent_token1] = ACTIONS(2724),
    [aux_sym_identity_file_token1] = ACTIONS(2724),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2724),
    [aux_sym_include_token1] = ACTIONS(2724),
    [aux_sym_ip_qos_token1] = ACTIONS(2724),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2724),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2724),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2724),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2724),
    [aux_sym_local_command_token1] = ACTIONS(2724),
    [aux_sym_local_forward_token1] = ACTIONS(2724),
    [aux_sym_log_level_token1] = ACTIONS(2724),
    [aux_sym_log_verbose_token1] = ACTIONS(2724),
    [aux_sym_macs_token1] = ACTIONS(2724),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2724),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2724),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2724),
    [aux_sym_password_authentication_token1] = ACTIONS(2724),
    [aux_sym_permit_local_command_token1] = ACTIONS(2724),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2724),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2724),
    [aux_sym_port_token1] = ACTIONS(2724),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2724),
    [aux_sym_protocol_token1] = ACTIONS(2724),
    [aux_sym_proxy_command_token1] = ACTIONS(2724),
    [aux_sym_proxy_jump_token1] = ACTIONS(2724),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2724),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2724),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2724),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2724),
    [aux_sym_rekey_limit_token1] = ACTIONS(2724),
    [aux_sym_remote_command_token1] = ACTIONS(2724),
    [aux_sym_remote_forward_token1] = ACTIONS(2724),
    [aux_sym_request_tty_token1] = ACTIONS(2724),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2724),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2724),
    [aux_sym_security_key_provider_token1] = ACTIONS(2724),
    [aux_sym_send_env_token1] = ACTIONS(2724),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2724),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2724),
    [aux_sym_session_type_token1] = ACTIONS(2724),
    [aux_sym_set_env_token1] = ACTIONS(2724),
    [aux_sym_stdin_null_token1] = ACTIONS(2724),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2724),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2724),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2724),
    [aux_sym_syslog_facility_token1] = ACTIONS(2724),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2724),
    [aux_sym_keep_alive_token1] = ACTIONS(2724),
    [aux_sym_tag_token1] = ACTIONS(2724),
    [aux_sym_tunnel_token1] = ACTIONS(2726),
    [aux_sym_tunnel_device_token1] = ACTIONS(2724),
    [aux_sym_update_host_keys_token1] = ACTIONS(2724),
    [aux_sym_use_keychain_token1] = ACTIONS(2724),
    [aux_sym_use_roaming_token1] = ACTIONS(2724),
    [aux_sym_user_token1] = ACTIONS(2726),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2724),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2724),
    [aux_sym_version_addendum_token1] = ACTIONS(2724),
    [aux_sym_visual_host_key_token1] = ACTIONS(2724),
    [aux_sym_xauth_location_token1] = ACTIONS(2724),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1940),
    [aux_sym_match_token1] = ACTIONS(1938),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1938),
    [aux_sym_address_family_token1] = ACTIONS(1938),
    [aux_sym_batch_mode_token1] = ACTIONS(1938),
    [aux_sym_bind_address_token1] = ACTIONS(1938),
    [aux_sym_bind_interface_token1] = ACTIONS(1938),
    [aux_sym_canonical_domains_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1938),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1938),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1938),
    [aux_sym_certificate_file_token1] = ACTIONS(1938),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1938),
    [aux_sym_channel_timeout_token1] = ACTIONS(1938),
    [aux_sym_check_host_ip_token1] = ACTIONS(1938),
    [aux_sym_ciphers_token1] = ACTIONS(1938),
    [aux_sym_cipher_token1] = ACTIONS(1940),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1938),
    [aux_sym_compression_token1] = ACTIONS(1938),
    [aux_sym_connection_attempts_token1] = ACTIONS(1938),
    [aux_sym_connect_timeout_token1] = ACTIONS(1938),
    [aux_sym_control_master_token1] = ACTIONS(1938),
    [aux_sym_control_path_token1] = ACTIONS(1938),
    [aux_sym_control_persist_token1] = ACTIONS(1938),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1938),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1938),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1938),
    [aux_sym_escape_char_token1] = ACTIONS(1938),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1938),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1938),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1938),
    [aux_sym_forward_agent_token1] = ACTIONS(1938),
    [aux_sym_forward_x11_token1] = ACTIONS(1940),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1938),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1938),
    [aux_sym_gateway_ports_token1] = ACTIONS(1938),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1938),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1938),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1938),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1938),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1938),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1938),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1938),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1938),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1938),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1938),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1938),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1938),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1938),
    [aux_sym_host_key_alias_token1] = ACTIONS(1938),
    [aux_sym_hostname_token1] = ACTIONS(1938),
    [aux_sym_identities_only_token1] = ACTIONS(1938),
    [aux_sym_identity_agent_token1] = ACTIONS(1938),
    [aux_sym_identity_file_token1] = ACTIONS(1938),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1938),
    [aux_sym_include_token1] = ACTIONS(1938),
    [aux_sym_ip_qos_token1] = ACTIONS(1938),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1938),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1938),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1938),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1938),
    [aux_sym_local_command_token1] = ACTIONS(1938),
    [aux_sym_local_forward_token1] = ACTIONS(1938),
    [aux_sym_log_level_token1] = ACTIONS(1938),
    [aux_sym_log_verbose_token1] = ACTIONS(1938),
    [aux_sym_macs_token1] = ACTIONS(1938),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1938),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1938),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1938),
    [aux_sym_password_authentication_token1] = ACTIONS(1938),
    [aux_sym_permit_local_command_token1] = ACTIONS(1938),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1938),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1938),
    [aux_sym_port_token1] = ACTIONS(1938),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1938),
    [aux_sym_protocol_token1] = ACTIONS(1938),
    [aux_sym_proxy_command_token1] = ACTIONS(1938),
    [aux_sym_proxy_jump_token1] = ACTIONS(1938),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1938),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1938),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1938),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1938),
    [aux_sym_rekey_limit_token1] = ACTIONS(1938),
    [aux_sym_remote_command_token1] = ACTIONS(1938),
    [aux_sym_remote_forward_token1] = ACTIONS(1938),
    [aux_sym_request_tty_token1] = ACTIONS(1938),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1938),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1938),
    [aux_sym_security_key_provider_token1] = ACTIONS(1938),
    [aux_sym_send_env_token1] = ACTIONS(1938),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1938),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1938),
    [aux_sym_session_type_token1] = ACTIONS(1938),
    [aux_sym_set_env_token1] = ACTIONS(1938),
    [aux_sym_stdin_null_token1] = ACTIONS(1938),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1938),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1938),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1938),
    [aux_sym_syslog_facility_token1] = ACTIONS(1938),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1938),
    [aux_sym_keep_alive_token1] = ACTIONS(1938),
    [aux_sym_tag_token1] = ACTIONS(1938),
    [aux_sym_tunnel_token1] = ACTIONS(1940),
    [aux_sym_tunnel_device_token1] = ACTIONS(1938),
    [aux_sym_update_host_keys_token1] = ACTIONS(1938),
    [aux_sym_use_keychain_token1] = ACTIONS(1938),
    [aux_sym_use_roaming_token1] = ACTIONS(1938),
    [aux_sym_user_token1] = ACTIONS(1940),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1938),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1938),
    [aux_sym_version_addendum_token1] = ACTIONS(1938),
    [aux_sym_visual_host_key_token1] = ACTIONS(1938),
    [aux_sym_xauth_location_token1] = ACTIONS(1938),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2732),
    [aux_sym_match_token1] = ACTIONS(2730),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2730),
    [aux_sym_address_family_token1] = ACTIONS(2730),
    [aux_sym_batch_mode_token1] = ACTIONS(2730),
    [aux_sym_bind_address_token1] = ACTIONS(2730),
    [aux_sym_bind_interface_token1] = ACTIONS(2730),
    [aux_sym_canonical_domains_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2730),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2730),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2730),
    [aux_sym_certificate_file_token1] = ACTIONS(2730),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2730),
    [aux_sym_channel_timeout_token1] = ACTIONS(2730),
    [aux_sym_check_host_ip_token1] = ACTIONS(2730),
    [aux_sym_ciphers_token1] = ACTIONS(2730),
    [aux_sym_cipher_token1] = ACTIONS(2732),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2730),
    [aux_sym_compression_token1] = ACTIONS(2730),
    [aux_sym_connection_attempts_token1] = ACTIONS(2730),
    [aux_sym_connect_timeout_token1] = ACTIONS(2730),
    [aux_sym_control_master_token1] = ACTIONS(2730),
    [aux_sym_control_path_token1] = ACTIONS(2730),
    [aux_sym_control_persist_token1] = ACTIONS(2730),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2730),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2730),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2730),
    [aux_sym_escape_char_token1] = ACTIONS(2730),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2730),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2730),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2730),
    [aux_sym_forward_agent_token1] = ACTIONS(2730),
    [aux_sym_forward_x11_token1] = ACTIONS(2732),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2730),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2730),
    [aux_sym_gateway_ports_token1] = ACTIONS(2730),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2730),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2730),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2730),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2730),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2730),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2730),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2730),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2730),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2730),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2730),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2730),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2730),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2730),
    [aux_sym_host_key_alias_token1] = ACTIONS(2730),
    [aux_sym_hostname_token1] = ACTIONS(2730),
    [aux_sym_identities_only_token1] = ACTIONS(2730),
    [aux_sym_identity_agent_token1] = ACTIONS(2730),
    [aux_sym_identity_file_token1] = ACTIONS(2730),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2730),
    [aux_sym_include_token1] = ACTIONS(2730),
    [aux_sym_ip_qos_token1] = ACTIONS(2730),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2730),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2730),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2730),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2730),
    [aux_sym_local_command_token1] = ACTIONS(2730),
    [aux_sym_local_forward_token1] = ACTIONS(2730),
    [aux_sym_log_level_token1] = ACTIONS(2730),
    [aux_sym_log_verbose_token1] = ACTIONS(2730),
    [aux_sym_macs_token1] = ACTIONS(2730),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2730),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2730),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2730),
    [aux_sym_password_authentication_token1] = ACTIONS(2730),
    [aux_sym_permit_local_command_token1] = ACTIONS(2730),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2730),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2730),
    [aux_sym_port_token1] = ACTIONS(2730),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2730),
    [aux_sym_protocol_token1] = ACTIONS(2730),
    [aux_sym_proxy_command_token1] = ACTIONS(2730),
    [aux_sym_proxy_jump_token1] = ACTIONS(2730),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2730),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2730),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2730),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2730),
    [aux_sym_rekey_limit_token1] = ACTIONS(2730),
    [aux_sym_remote_command_token1] = ACTIONS(2730),
    [aux_sym_remote_forward_token1] = ACTIONS(2730),
    [aux_sym_request_tty_token1] = ACTIONS(2730),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2730),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2730),
    [aux_sym_security_key_provider_token1] = ACTIONS(2730),
    [aux_sym_send_env_token1] = ACTIONS(2730),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2730),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2730),
    [aux_sym_session_type_token1] = ACTIONS(2730),
    [aux_sym_set_env_token1] = ACTIONS(2730),
    [aux_sym_stdin_null_token1] = ACTIONS(2730),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2730),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2730),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2730),
    [aux_sym_syslog_facility_token1] = ACTIONS(2730),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2730),
    [aux_sym_keep_alive_token1] = ACTIONS(2730),
    [aux_sym_tag_token1] = ACTIONS(2730),
    [aux_sym_tunnel_token1] = ACTIONS(2732),
    [aux_sym_tunnel_device_token1] = ACTIONS(2730),
    [aux_sym_update_host_keys_token1] = ACTIONS(2730),
    [aux_sym_use_keychain_token1] = ACTIONS(2730),
    [aux_sym_use_roaming_token1] = ACTIONS(2730),
    [aux_sym_user_token1] = ACTIONS(2732),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2730),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2730),
    [aux_sym_version_addendum_token1] = ACTIONS(2730),
    [aux_sym_visual_host_key_token1] = ACTIONS(2730),
    [aux_sym_xauth_location_token1] = ACTIONS(2730),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2738),
    [aux_sym_match_token1] = ACTIONS(2736),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2736),
    [aux_sym_address_family_token1] = ACTIONS(2736),
    [aux_sym_batch_mode_token1] = ACTIONS(2736),
    [aux_sym_bind_address_token1] = ACTIONS(2736),
    [aux_sym_bind_interface_token1] = ACTIONS(2736),
    [aux_sym_canonical_domains_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2736),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2736),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2736),
    [aux_sym_certificate_file_token1] = ACTIONS(2736),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2736),
    [aux_sym_channel_timeout_token1] = ACTIONS(2736),
    [aux_sym_check_host_ip_token1] = ACTIONS(2736),
    [aux_sym_ciphers_token1] = ACTIONS(2736),
    [aux_sym_cipher_token1] = ACTIONS(2738),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2736),
    [aux_sym_compression_token1] = ACTIONS(2736),
    [aux_sym_connection_attempts_token1] = ACTIONS(2736),
    [aux_sym_connect_timeout_token1] = ACTIONS(2736),
    [aux_sym_control_master_token1] = ACTIONS(2736),
    [aux_sym_control_path_token1] = ACTIONS(2736),
    [aux_sym_control_persist_token1] = ACTIONS(2736),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2736),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2736),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2736),
    [aux_sym_escape_char_token1] = ACTIONS(2736),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2736),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2736),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2736),
    [aux_sym_forward_agent_token1] = ACTIONS(2736),
    [aux_sym_forward_x11_token1] = ACTIONS(2738),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2736),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2736),
    [aux_sym_gateway_ports_token1] = ACTIONS(2736),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2736),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2736),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2736),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2736),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2736),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2736),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2736),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2736),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2736),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2736),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2736),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2736),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2736),
    [aux_sym_host_key_alias_token1] = ACTIONS(2736),
    [aux_sym_hostname_token1] = ACTIONS(2736),
    [aux_sym_identities_only_token1] = ACTIONS(2736),
    [aux_sym_identity_agent_token1] = ACTIONS(2736),
    [aux_sym_identity_file_token1] = ACTIONS(2736),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2736),
    [aux_sym_include_token1] = ACTIONS(2736),
    [aux_sym_ip_qos_token1] = ACTIONS(2736),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2736),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2736),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2736),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2736),
    [aux_sym_local_command_token1] = ACTIONS(2736),
    [aux_sym_local_forward_token1] = ACTIONS(2736),
    [aux_sym_log_level_token1] = ACTIONS(2736),
    [aux_sym_log_verbose_token1] = ACTIONS(2736),
    [aux_sym_macs_token1] = ACTIONS(2736),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2736),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2736),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2736),
    [aux_sym_password_authentication_token1] = ACTIONS(2736),
    [aux_sym_permit_local_command_token1] = ACTIONS(2736),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2736),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2736),
    [aux_sym_port_token1] = ACTIONS(2736),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2736),
    [aux_sym_protocol_token1] = ACTIONS(2736),
    [aux_sym_proxy_command_token1] = ACTIONS(2736),
    [aux_sym_proxy_jump_token1] = ACTIONS(2736),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2736),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2736),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2736),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2736),
    [aux_sym_rekey_limit_token1] = ACTIONS(2736),
    [aux_sym_remote_command_token1] = ACTIONS(2736),
    [aux_sym_remote_forward_token1] = ACTIONS(2736),
    [aux_sym_request_tty_token1] = ACTIONS(2736),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2736),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2736),
    [aux_sym_security_key_provider_token1] = ACTIONS(2736),
    [aux_sym_send_env_token1] = ACTIONS(2736),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2736),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2736),
    [aux_sym_session_type_token1] = ACTIONS(2736),
    [aux_sym_set_env_token1] = ACTIONS(2736),
    [aux_sym_stdin_null_token1] = ACTIONS(2736),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2736),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2736),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2736),
    [aux_sym_syslog_facility_token1] = ACTIONS(2736),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2736),
    [aux_sym_keep_alive_token1] = ACTIONS(2736),
    [aux_sym_tag_token1] = ACTIONS(2736),
    [aux_sym_tunnel_token1] = ACTIONS(2738),
    [aux_sym_tunnel_device_token1] = ACTIONS(2736),
    [aux_sym_update_host_keys_token1] = ACTIONS(2736),
    [aux_sym_use_keychain_token1] = ACTIONS(2736),
    [aux_sym_use_roaming_token1] = ACTIONS(2736),
    [aux_sym_user_token1] = ACTIONS(2738),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2736),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2736),
    [aux_sym_version_addendum_token1] = ACTIONS(2736),
    [aux_sym_visual_host_key_token1] = ACTIONS(2736),
    [aux_sym_xauth_location_token1] = ACTIONS(2736),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1946),
    [aux_sym_match_token1] = ACTIONS(1944),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1944),
    [aux_sym_address_family_token1] = ACTIONS(1944),
    [aux_sym_batch_mode_token1] = ACTIONS(1944),
    [aux_sym_bind_address_token1] = ACTIONS(1944),
    [aux_sym_bind_interface_token1] = ACTIONS(1944),
    [aux_sym_canonical_domains_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1944),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1944),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1944),
    [aux_sym_certificate_file_token1] = ACTIONS(1944),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1944),
    [aux_sym_channel_timeout_token1] = ACTIONS(1944),
    [aux_sym_check_host_ip_token1] = ACTIONS(1944),
    [aux_sym_ciphers_token1] = ACTIONS(1944),
    [aux_sym_cipher_token1] = ACTIONS(1946),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1944),
    [aux_sym_compression_token1] = ACTIONS(1944),
    [aux_sym_connection_attempts_token1] = ACTIONS(1944),
    [aux_sym_connect_timeout_token1] = ACTIONS(1944),
    [aux_sym_control_master_token1] = ACTIONS(1944),
    [aux_sym_control_path_token1] = ACTIONS(1944),
    [aux_sym_control_persist_token1] = ACTIONS(1944),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1944),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1944),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1944),
    [aux_sym_escape_char_token1] = ACTIONS(1944),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1944),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1944),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1944),
    [aux_sym_forward_agent_token1] = ACTIONS(1944),
    [aux_sym_forward_x11_token1] = ACTIONS(1946),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1944),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1944),
    [aux_sym_gateway_ports_token1] = ACTIONS(1944),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1944),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1944),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1944),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1944),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1944),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1944),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1944),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1944),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1944),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1944),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1944),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1944),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1944),
    [aux_sym_host_key_alias_token1] = ACTIONS(1944),
    [aux_sym_hostname_token1] = ACTIONS(1944),
    [aux_sym_identities_only_token1] = ACTIONS(1944),
    [aux_sym_identity_agent_token1] = ACTIONS(1944),
    [aux_sym_identity_file_token1] = ACTIONS(1944),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1944),
    [aux_sym_include_token1] = ACTIONS(1944),
    [aux_sym_ip_qos_token1] = ACTIONS(1944),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1944),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1944),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1944),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1944),
    [aux_sym_local_command_token1] = ACTIONS(1944),
    [aux_sym_local_forward_token1] = ACTIONS(1944),
    [aux_sym_log_level_token1] = ACTIONS(1944),
    [aux_sym_log_verbose_token1] = ACTIONS(1944),
    [aux_sym_macs_token1] = ACTIONS(1944),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1944),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1944),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1944),
    [aux_sym_password_authentication_token1] = ACTIONS(1944),
    [aux_sym_permit_local_command_token1] = ACTIONS(1944),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1944),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1944),
    [aux_sym_port_token1] = ACTIONS(1944),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1944),
    [aux_sym_protocol_token1] = ACTIONS(1944),
    [aux_sym_proxy_command_token1] = ACTIONS(1944),
    [aux_sym_proxy_jump_token1] = ACTIONS(1944),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1944),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1944),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1944),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1944),
    [aux_sym_rekey_limit_token1] = ACTIONS(1944),
    [aux_sym_remote_command_token1] = ACTIONS(1944),
    [aux_sym_remote_forward_token1] = ACTIONS(1944),
    [aux_sym_request_tty_token1] = ACTIONS(1944),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1944),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1944),
    [aux_sym_security_key_provider_token1] = ACTIONS(1944),
    [aux_sym_send_env_token1] = ACTIONS(1944),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1944),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1944),
    [aux_sym_session_type_token1] = ACTIONS(1944),
    [aux_sym_set_env_token1] = ACTIONS(1944),
    [aux_sym_stdin_null_token1] = ACTIONS(1944),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1944),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1944),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1944),
    [aux_sym_syslog_facility_token1] = ACTIONS(1944),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1944),
    [aux_sym_keep_alive_token1] = ACTIONS(1944),
    [aux_sym_tag_token1] = ACTIONS(1944),
    [aux_sym_tunnel_token1] = ACTIONS(1946),
    [aux_sym_tunnel_device_token1] = ACTIONS(1944),
    [aux_sym_update_host_keys_token1] = ACTIONS(1944),
    [aux_sym_use_keychain_token1] = ACTIONS(1944),
    [aux_sym_use_roaming_token1] = ACTIONS(1944),
    [aux_sym_user_token1] = ACTIONS(1946),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1944),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1944),
    [aux_sym_version_addendum_token1] = ACTIONS(1944),
    [aux_sym_visual_host_key_token1] = ACTIONS(1944),
    [aux_sym_xauth_location_token1] = ACTIONS(1944),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2744),
    [aux_sym_match_token1] = ACTIONS(2742),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2742),
    [aux_sym_address_family_token1] = ACTIONS(2742),
    [aux_sym_batch_mode_token1] = ACTIONS(2742),
    [aux_sym_bind_address_token1] = ACTIONS(2742),
    [aux_sym_bind_interface_token1] = ACTIONS(2742),
    [aux_sym_canonical_domains_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2742),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2742),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2742),
    [aux_sym_certificate_file_token1] = ACTIONS(2742),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2742),
    [aux_sym_channel_timeout_token1] = ACTIONS(2742),
    [aux_sym_check_host_ip_token1] = ACTIONS(2742),
    [aux_sym_ciphers_token1] = ACTIONS(2742),
    [aux_sym_cipher_token1] = ACTIONS(2744),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2742),
    [aux_sym_compression_token1] = ACTIONS(2742),
    [aux_sym_connection_attempts_token1] = ACTIONS(2742),
    [aux_sym_connect_timeout_token1] = ACTIONS(2742),
    [aux_sym_control_master_token1] = ACTIONS(2742),
    [aux_sym_control_path_token1] = ACTIONS(2742),
    [aux_sym_control_persist_token1] = ACTIONS(2742),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2742),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2742),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2742),
    [aux_sym_escape_char_token1] = ACTIONS(2742),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2742),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2742),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2742),
    [aux_sym_forward_agent_token1] = ACTIONS(2742),
    [aux_sym_forward_x11_token1] = ACTIONS(2744),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2742),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2742),
    [aux_sym_gateway_ports_token1] = ACTIONS(2742),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2742),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2742),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2742),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2742),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2742),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2742),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2742),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2742),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2742),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2742),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2742),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2742),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2742),
    [aux_sym_host_key_alias_token1] = ACTIONS(2742),
    [aux_sym_hostname_token1] = ACTIONS(2742),
    [aux_sym_identities_only_token1] = ACTIONS(2742),
    [aux_sym_identity_agent_token1] = ACTIONS(2742),
    [aux_sym_identity_file_token1] = ACTIONS(2742),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2742),
    [aux_sym_include_token1] = ACTIONS(2742),
    [aux_sym_ip_qos_token1] = ACTIONS(2742),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2742),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2742),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2742),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2742),
    [aux_sym_local_command_token1] = ACTIONS(2742),
    [aux_sym_local_forward_token1] = ACTIONS(2742),
    [aux_sym_log_level_token1] = ACTIONS(2742),
    [aux_sym_log_verbose_token1] = ACTIONS(2742),
    [aux_sym_macs_token1] = ACTIONS(2742),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2742),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2742),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2742),
    [aux_sym_password_authentication_token1] = ACTIONS(2742),
    [aux_sym_permit_local_command_token1] = ACTIONS(2742),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2742),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2742),
    [aux_sym_port_token1] = ACTIONS(2742),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2742),
    [aux_sym_protocol_token1] = ACTIONS(2742),
    [aux_sym_proxy_command_token1] = ACTIONS(2742),
    [aux_sym_proxy_jump_token1] = ACTIONS(2742),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2742),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2742),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2742),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2742),
    [aux_sym_rekey_limit_token1] = ACTIONS(2742),
    [aux_sym_remote_command_token1] = ACTIONS(2742),
    [aux_sym_remote_forward_token1] = ACTIONS(2742),
    [aux_sym_request_tty_token1] = ACTIONS(2742),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2742),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2742),
    [aux_sym_security_key_provider_token1] = ACTIONS(2742),
    [aux_sym_send_env_token1] = ACTIONS(2742),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2742),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2742),
    [aux_sym_session_type_token1] = ACTIONS(2742),
    [aux_sym_set_env_token1] = ACTIONS(2742),
    [aux_sym_stdin_null_token1] = ACTIONS(2742),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2742),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2742),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2742),
    [aux_sym_syslog_facility_token1] = ACTIONS(2742),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2742),
    [aux_sym_keep_alive_token1] = ACTIONS(2742),
    [aux_sym_tag_token1] = ACTIONS(2742),
    [aux_sym_tunnel_token1] = ACTIONS(2744),
    [aux_sym_tunnel_device_token1] = ACTIONS(2742),
    [aux_sym_update_host_keys_token1] = ACTIONS(2742),
    [aux_sym_use_keychain_token1] = ACTIONS(2742),
    [aux_sym_use_roaming_token1] = ACTIONS(2742),
    [aux_sym_user_token1] = ACTIONS(2744),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2742),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2742),
    [aux_sym_version_addendum_token1] = ACTIONS(2742),
    [aux_sym_visual_host_key_token1] = ACTIONS(2742),
    [aux_sym_xauth_location_token1] = ACTIONS(2742),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2750),
    [aux_sym_match_token1] = ACTIONS(2748),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2748),
    [aux_sym_address_family_token1] = ACTIONS(2748),
    [aux_sym_batch_mode_token1] = ACTIONS(2748),
    [aux_sym_bind_address_token1] = ACTIONS(2748),
    [aux_sym_bind_interface_token1] = ACTIONS(2748),
    [aux_sym_canonical_domains_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2748),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2748),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2748),
    [aux_sym_certificate_file_token1] = ACTIONS(2748),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2748),
    [aux_sym_channel_timeout_token1] = ACTIONS(2748),
    [aux_sym_check_host_ip_token1] = ACTIONS(2748),
    [aux_sym_ciphers_token1] = ACTIONS(2748),
    [aux_sym_cipher_token1] = ACTIONS(2750),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2748),
    [aux_sym_compression_token1] = ACTIONS(2748),
    [aux_sym_connection_attempts_token1] = ACTIONS(2748),
    [aux_sym_connect_timeout_token1] = ACTIONS(2748),
    [aux_sym_control_master_token1] = ACTIONS(2748),
    [aux_sym_control_path_token1] = ACTIONS(2748),
    [aux_sym_control_persist_token1] = ACTIONS(2748),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2748),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2748),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2748),
    [aux_sym_escape_char_token1] = ACTIONS(2748),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2748),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2748),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2748),
    [aux_sym_forward_agent_token1] = ACTIONS(2748),
    [aux_sym_forward_x11_token1] = ACTIONS(2750),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2748),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2748),
    [aux_sym_gateway_ports_token1] = ACTIONS(2748),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2748),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2748),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2748),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2748),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2748),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2748),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2748),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2748),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2748),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2748),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2748),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2748),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2748),
    [aux_sym_host_key_alias_token1] = ACTIONS(2748),
    [aux_sym_hostname_token1] = ACTIONS(2748),
    [aux_sym_identities_only_token1] = ACTIONS(2748),
    [aux_sym_identity_agent_token1] = ACTIONS(2748),
    [aux_sym_identity_file_token1] = ACTIONS(2748),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2748),
    [aux_sym_include_token1] = ACTIONS(2748),
    [aux_sym_ip_qos_token1] = ACTIONS(2748),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2748),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2748),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2748),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2748),
    [aux_sym_local_command_token1] = ACTIONS(2748),
    [aux_sym_local_forward_token1] = ACTIONS(2748),
    [aux_sym_log_level_token1] = ACTIONS(2748),
    [aux_sym_log_verbose_token1] = ACTIONS(2748),
    [aux_sym_macs_token1] = ACTIONS(2748),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2748),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2748),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2748),
    [aux_sym_password_authentication_token1] = ACTIONS(2748),
    [aux_sym_permit_local_command_token1] = ACTIONS(2748),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2748),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2748),
    [aux_sym_port_token1] = ACTIONS(2748),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2748),
    [aux_sym_protocol_token1] = ACTIONS(2748),
    [aux_sym_proxy_command_token1] = ACTIONS(2748),
    [aux_sym_proxy_jump_token1] = ACTIONS(2748),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2748),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2748),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2748),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2748),
    [aux_sym_rekey_limit_token1] = ACTIONS(2748),
    [aux_sym_remote_command_token1] = ACTIONS(2748),
    [aux_sym_remote_forward_token1] = ACTIONS(2748),
    [aux_sym_request_tty_token1] = ACTIONS(2748),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2748),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2748),
    [aux_sym_security_key_provider_token1] = ACTIONS(2748),
    [aux_sym_send_env_token1] = ACTIONS(2748),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2748),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2748),
    [aux_sym_session_type_token1] = ACTIONS(2748),
    [aux_sym_set_env_token1] = ACTIONS(2748),
    [aux_sym_stdin_null_token1] = ACTIONS(2748),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2748),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2748),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2748),
    [aux_sym_syslog_facility_token1] = ACTIONS(2748),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2748),
    [aux_sym_keep_alive_token1] = ACTIONS(2748),
    [aux_sym_tag_token1] = ACTIONS(2748),
    [aux_sym_tunnel_token1] = ACTIONS(2750),
    [aux_sym_tunnel_device_token1] = ACTIONS(2748),
    [aux_sym_update_host_keys_token1] = ACTIONS(2748),
    [aux_sym_use_keychain_token1] = ACTIONS(2748),
    [aux_sym_use_roaming_token1] = ACTIONS(2748),
    [aux_sym_user_token1] = ACTIONS(2750),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2748),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2748),
    [aux_sym_version_addendum_token1] = ACTIONS(2748),
    [aux_sym_visual_host_key_token1] = ACTIONS(2748),
    [aux_sym_xauth_location_token1] = ACTIONS(2748),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1952),
    [aux_sym_match_token1] = ACTIONS(1950),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1950),
    [aux_sym_address_family_token1] = ACTIONS(1950),
    [aux_sym_batch_mode_token1] = ACTIONS(1950),
    [aux_sym_bind_address_token1] = ACTIONS(1950),
    [aux_sym_bind_interface_token1] = ACTIONS(1950),
    [aux_sym_canonical_domains_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1950),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1950),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1950),
    [aux_sym_certificate_file_token1] = ACTIONS(1950),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1950),
    [aux_sym_channel_timeout_token1] = ACTIONS(1950),
    [aux_sym_check_host_ip_token1] = ACTIONS(1950),
    [aux_sym_ciphers_token1] = ACTIONS(1950),
    [aux_sym_cipher_token1] = ACTIONS(1952),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1950),
    [aux_sym_compression_token1] = ACTIONS(1950),
    [aux_sym_connection_attempts_token1] = ACTIONS(1950),
    [aux_sym_connect_timeout_token1] = ACTIONS(1950),
    [aux_sym_control_master_token1] = ACTIONS(1950),
    [aux_sym_control_path_token1] = ACTIONS(1950),
    [aux_sym_control_persist_token1] = ACTIONS(1950),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1950),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1950),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1950),
    [aux_sym_escape_char_token1] = ACTIONS(1950),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1950),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1950),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1950),
    [aux_sym_forward_agent_token1] = ACTIONS(1950),
    [aux_sym_forward_x11_token1] = ACTIONS(1952),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1950),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1950),
    [aux_sym_gateway_ports_token1] = ACTIONS(1950),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1950),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1950),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1950),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1950),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1950),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1950),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1950),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1950),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1950),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1950),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1950),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1950),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1950),
    [aux_sym_host_key_alias_token1] = ACTIONS(1950),
    [aux_sym_hostname_token1] = ACTIONS(1950),
    [aux_sym_identities_only_token1] = ACTIONS(1950),
    [aux_sym_identity_agent_token1] = ACTIONS(1950),
    [aux_sym_identity_file_token1] = ACTIONS(1950),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1950),
    [aux_sym_include_token1] = ACTIONS(1950),
    [aux_sym_ip_qos_token1] = ACTIONS(1950),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1950),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1950),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1950),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1950),
    [aux_sym_local_command_token1] = ACTIONS(1950),
    [aux_sym_local_forward_token1] = ACTIONS(1950),
    [aux_sym_log_level_token1] = ACTIONS(1950),
    [aux_sym_log_verbose_token1] = ACTIONS(1950),
    [aux_sym_macs_token1] = ACTIONS(1950),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1950),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1950),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1950),
    [aux_sym_password_authentication_token1] = ACTIONS(1950),
    [aux_sym_permit_local_command_token1] = ACTIONS(1950),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1950),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1950),
    [aux_sym_port_token1] = ACTIONS(1950),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1950),
    [aux_sym_protocol_token1] = ACTIONS(1950),
    [aux_sym_proxy_command_token1] = ACTIONS(1950),
    [aux_sym_proxy_jump_token1] = ACTIONS(1950),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1950),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1950),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1950),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1950),
    [aux_sym_rekey_limit_token1] = ACTIONS(1950),
    [aux_sym_remote_command_token1] = ACTIONS(1950),
    [aux_sym_remote_forward_token1] = ACTIONS(1950),
    [aux_sym_request_tty_token1] = ACTIONS(1950),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1950),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1950),
    [aux_sym_security_key_provider_token1] = ACTIONS(1950),
    [aux_sym_send_env_token1] = ACTIONS(1950),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1950),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1950),
    [aux_sym_session_type_token1] = ACTIONS(1950),
    [aux_sym_set_env_token1] = ACTIONS(1950),
    [aux_sym_stdin_null_token1] = ACTIONS(1950),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1950),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1950),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1950),
    [aux_sym_syslog_facility_token1] = ACTIONS(1950),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1950),
    [aux_sym_keep_alive_token1] = ACTIONS(1950),
    [aux_sym_tag_token1] = ACTIONS(1950),
    [aux_sym_tunnel_token1] = ACTIONS(1952),
    [aux_sym_tunnel_device_token1] = ACTIONS(1950),
    [aux_sym_update_host_keys_token1] = ACTIONS(1950),
    [aux_sym_use_keychain_token1] = ACTIONS(1950),
    [aux_sym_use_roaming_token1] = ACTIONS(1950),
    [aux_sym_user_token1] = ACTIONS(1952),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1950),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1950),
    [aux_sym_version_addendum_token1] = ACTIONS(1950),
    [aux_sym_visual_host_key_token1] = ACTIONS(1950),
    [aux_sym_xauth_location_token1] = ACTIONS(1950),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2756),
    [aux_sym_match_token1] = ACTIONS(2754),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2754),
    [aux_sym_address_family_token1] = ACTIONS(2754),
    [aux_sym_batch_mode_token1] = ACTIONS(2754),
    [aux_sym_bind_address_token1] = ACTIONS(2754),
    [aux_sym_bind_interface_token1] = ACTIONS(2754),
    [aux_sym_canonical_domains_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2754),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2754),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2754),
    [aux_sym_certificate_file_token1] = ACTIONS(2754),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2754),
    [aux_sym_channel_timeout_token1] = ACTIONS(2754),
    [aux_sym_check_host_ip_token1] = ACTIONS(2754),
    [aux_sym_ciphers_token1] = ACTIONS(2754),
    [aux_sym_cipher_token1] = ACTIONS(2756),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2754),
    [aux_sym_compression_token1] = ACTIONS(2754),
    [aux_sym_connection_attempts_token1] = ACTIONS(2754),
    [aux_sym_connect_timeout_token1] = ACTIONS(2754),
    [aux_sym_control_master_token1] = ACTIONS(2754),
    [aux_sym_control_path_token1] = ACTIONS(2754),
    [aux_sym_control_persist_token1] = ACTIONS(2754),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2754),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2754),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2754),
    [aux_sym_escape_char_token1] = ACTIONS(2754),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2754),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2754),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2754),
    [aux_sym_forward_agent_token1] = ACTIONS(2754),
    [aux_sym_forward_x11_token1] = ACTIONS(2756),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2754),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2754),
    [aux_sym_gateway_ports_token1] = ACTIONS(2754),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2754),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2754),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2754),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2754),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2754),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2754),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2754),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2754),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2754),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2754),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2754),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2754),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2754),
    [aux_sym_host_key_alias_token1] = ACTIONS(2754),
    [aux_sym_hostname_token1] = ACTIONS(2754),
    [aux_sym_identities_only_token1] = ACTIONS(2754),
    [aux_sym_identity_agent_token1] = ACTIONS(2754),
    [aux_sym_identity_file_token1] = ACTIONS(2754),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2754),
    [aux_sym_include_token1] = ACTIONS(2754),
    [aux_sym_ip_qos_token1] = ACTIONS(2754),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2754),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2754),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2754),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2754),
    [aux_sym_local_command_token1] = ACTIONS(2754),
    [aux_sym_local_forward_token1] = ACTIONS(2754),
    [aux_sym_log_level_token1] = ACTIONS(2754),
    [aux_sym_log_verbose_token1] = ACTIONS(2754),
    [aux_sym_macs_token1] = ACTIONS(2754),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2754),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2754),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2754),
    [aux_sym_password_authentication_token1] = ACTIONS(2754),
    [aux_sym_permit_local_command_token1] = ACTIONS(2754),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2754),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2754),
    [aux_sym_port_token1] = ACTIONS(2754),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2754),
    [aux_sym_protocol_token1] = ACTIONS(2754),
    [aux_sym_proxy_command_token1] = ACTIONS(2754),
    [aux_sym_proxy_jump_token1] = ACTIONS(2754),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2754),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2754),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2754),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2754),
    [aux_sym_rekey_limit_token1] = ACTIONS(2754),
    [aux_sym_remote_command_token1] = ACTIONS(2754),
    [aux_sym_remote_forward_token1] = ACTIONS(2754),
    [aux_sym_request_tty_token1] = ACTIONS(2754),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2754),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2754),
    [aux_sym_security_key_provider_token1] = ACTIONS(2754),
    [aux_sym_send_env_token1] = ACTIONS(2754),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2754),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2754),
    [aux_sym_session_type_token1] = ACTIONS(2754),
    [aux_sym_set_env_token1] = ACTIONS(2754),
    [aux_sym_stdin_null_token1] = ACTIONS(2754),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2754),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2754),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2754),
    [aux_sym_syslog_facility_token1] = ACTIONS(2754),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2754),
    [aux_sym_keep_alive_token1] = ACTIONS(2754),
    [aux_sym_tag_token1] = ACTIONS(2754),
    [aux_sym_tunnel_token1] = ACTIONS(2756),
    [aux_sym_tunnel_device_token1] = ACTIONS(2754),
    [aux_sym_update_host_keys_token1] = ACTIONS(2754),
    [aux_sym_use_keychain_token1] = ACTIONS(2754),
    [aux_sym_use_roaming_token1] = ACTIONS(2754),
    [aux_sym_user_token1] = ACTIONS(2756),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2754),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2754),
    [aux_sym_version_addendum_token1] = ACTIONS(2754),
    [aux_sym_visual_host_key_token1] = ACTIONS(2754),
    [aux_sym_xauth_location_token1] = ACTIONS(2754),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2762),
    [aux_sym_match_token1] = ACTIONS(2760),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2760),
    [aux_sym_address_family_token1] = ACTIONS(2760),
    [aux_sym_batch_mode_token1] = ACTIONS(2760),
    [aux_sym_bind_address_token1] = ACTIONS(2760),
    [aux_sym_bind_interface_token1] = ACTIONS(2760),
    [aux_sym_canonical_domains_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2760),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2760),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2760),
    [aux_sym_certificate_file_token1] = ACTIONS(2760),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2760),
    [aux_sym_channel_timeout_token1] = ACTIONS(2760),
    [aux_sym_check_host_ip_token1] = ACTIONS(2760),
    [aux_sym_ciphers_token1] = ACTIONS(2760),
    [aux_sym_cipher_token1] = ACTIONS(2762),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2760),
    [aux_sym_compression_token1] = ACTIONS(2760),
    [aux_sym_connection_attempts_token1] = ACTIONS(2760),
    [aux_sym_connect_timeout_token1] = ACTIONS(2760),
    [aux_sym_control_master_token1] = ACTIONS(2760),
    [aux_sym_control_path_token1] = ACTIONS(2760),
    [aux_sym_control_persist_token1] = ACTIONS(2760),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2760),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2760),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2760),
    [aux_sym_escape_char_token1] = ACTIONS(2760),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2760),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2760),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2760),
    [aux_sym_forward_agent_token1] = ACTIONS(2760),
    [aux_sym_forward_x11_token1] = ACTIONS(2762),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2760),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2760),
    [aux_sym_gateway_ports_token1] = ACTIONS(2760),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2760),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2760),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2760),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2760),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2760),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2760),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2760),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2760),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2760),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2760),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2760),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2760),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2760),
    [aux_sym_host_key_alias_token1] = ACTIONS(2760),
    [aux_sym_hostname_token1] = ACTIONS(2760),
    [aux_sym_identities_only_token1] = ACTIONS(2760),
    [aux_sym_identity_agent_token1] = ACTIONS(2760),
    [aux_sym_identity_file_token1] = ACTIONS(2760),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2760),
    [aux_sym_include_token1] = ACTIONS(2760),
    [aux_sym_ip_qos_token1] = ACTIONS(2760),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2760),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2760),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2760),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2760),
    [aux_sym_local_command_token1] = ACTIONS(2760),
    [aux_sym_local_forward_token1] = ACTIONS(2760),
    [aux_sym_log_level_token1] = ACTIONS(2760),
    [aux_sym_log_verbose_token1] = ACTIONS(2760),
    [aux_sym_macs_token1] = ACTIONS(2760),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2760),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2760),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2760),
    [aux_sym_password_authentication_token1] = ACTIONS(2760),
    [aux_sym_permit_local_command_token1] = ACTIONS(2760),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2760),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2760),
    [aux_sym_port_token1] = ACTIONS(2760),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2760),
    [aux_sym_protocol_token1] = ACTIONS(2760),
    [aux_sym_proxy_command_token1] = ACTIONS(2760),
    [aux_sym_proxy_jump_token1] = ACTIONS(2760),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2760),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2760),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2760),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2760),
    [aux_sym_rekey_limit_token1] = ACTIONS(2760),
    [aux_sym_remote_command_token1] = ACTIONS(2760),
    [aux_sym_remote_forward_token1] = ACTIONS(2760),
    [aux_sym_request_tty_token1] = ACTIONS(2760),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2760),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2760),
    [aux_sym_security_key_provider_token1] = ACTIONS(2760),
    [aux_sym_send_env_token1] = ACTIONS(2760),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2760),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2760),
    [aux_sym_session_type_token1] = ACTIONS(2760),
    [aux_sym_set_env_token1] = ACTIONS(2760),
    [aux_sym_stdin_null_token1] = ACTIONS(2760),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2760),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2760),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2760),
    [aux_sym_syslog_facility_token1] = ACTIONS(2760),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2760),
    [aux_sym_keep_alive_token1] = ACTIONS(2760),
    [aux_sym_tag_token1] = ACTIONS(2760),
    [aux_sym_tunnel_token1] = ACTIONS(2762),
    [aux_sym_tunnel_device_token1] = ACTIONS(2760),
    [aux_sym_update_host_keys_token1] = ACTIONS(2760),
    [aux_sym_use_keychain_token1] = ACTIONS(2760),
    [aux_sym_use_roaming_token1] = ACTIONS(2760),
    [aux_sym_user_token1] = ACTIONS(2762),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2760),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2760),
    [aux_sym_version_addendum_token1] = ACTIONS(2760),
    [aux_sym_visual_host_key_token1] = ACTIONS(2760),
    [aux_sym_xauth_location_token1] = ACTIONS(2760),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1958),
    [aux_sym_match_token1] = ACTIONS(1956),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1956),
    [aux_sym_address_family_token1] = ACTIONS(1956),
    [aux_sym_batch_mode_token1] = ACTIONS(1956),
    [aux_sym_bind_address_token1] = ACTIONS(1956),
    [aux_sym_bind_interface_token1] = ACTIONS(1956),
    [aux_sym_canonical_domains_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1956),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1956),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1956),
    [aux_sym_certificate_file_token1] = ACTIONS(1956),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1956),
    [aux_sym_channel_timeout_token1] = ACTIONS(1956),
    [aux_sym_check_host_ip_token1] = ACTIONS(1956),
    [aux_sym_ciphers_token1] = ACTIONS(1956),
    [aux_sym_cipher_token1] = ACTIONS(1958),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1956),
    [aux_sym_compression_token1] = ACTIONS(1956),
    [aux_sym_connection_attempts_token1] = ACTIONS(1956),
    [aux_sym_connect_timeout_token1] = ACTIONS(1956),
    [aux_sym_control_master_token1] = ACTIONS(1956),
    [aux_sym_control_path_token1] = ACTIONS(1956),
    [aux_sym_control_persist_token1] = ACTIONS(1956),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1956),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1956),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1956),
    [aux_sym_escape_char_token1] = ACTIONS(1956),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1956),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1956),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1956),
    [aux_sym_forward_agent_token1] = ACTIONS(1956),
    [aux_sym_forward_x11_token1] = ACTIONS(1958),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1956),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1956),
    [aux_sym_gateway_ports_token1] = ACTIONS(1956),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1956),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1956),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1956),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1956),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1956),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1956),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1956),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1956),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1956),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1956),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1956),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1956),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1956),
    [aux_sym_host_key_alias_token1] = ACTIONS(1956),
    [aux_sym_hostname_token1] = ACTIONS(1956),
    [aux_sym_identities_only_token1] = ACTIONS(1956),
    [aux_sym_identity_agent_token1] = ACTIONS(1956),
    [aux_sym_identity_file_token1] = ACTIONS(1956),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1956),
    [aux_sym_include_token1] = ACTIONS(1956),
    [aux_sym_ip_qos_token1] = ACTIONS(1956),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1956),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1956),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1956),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1956),
    [aux_sym_local_command_token1] = ACTIONS(1956),
    [aux_sym_local_forward_token1] = ACTIONS(1956),
    [aux_sym_log_level_token1] = ACTIONS(1956),
    [aux_sym_log_verbose_token1] = ACTIONS(1956),
    [aux_sym_macs_token1] = ACTIONS(1956),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1956),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1956),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1956),
    [aux_sym_password_authentication_token1] = ACTIONS(1956),
    [aux_sym_permit_local_command_token1] = ACTIONS(1956),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1956),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1956),
    [aux_sym_port_token1] = ACTIONS(1956),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1956),
    [aux_sym_protocol_token1] = ACTIONS(1956),
    [aux_sym_proxy_command_token1] = ACTIONS(1956),
    [aux_sym_proxy_jump_token1] = ACTIONS(1956),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1956),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1956),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1956),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1956),
    [aux_sym_rekey_limit_token1] = ACTIONS(1956),
    [aux_sym_remote_command_token1] = ACTIONS(1956),
    [aux_sym_remote_forward_token1] = ACTIONS(1956),
    [aux_sym_request_tty_token1] = ACTIONS(1956),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1956),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1956),
    [aux_sym_security_key_provider_token1] = ACTIONS(1956),
    [aux_sym_send_env_token1] = ACTIONS(1956),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1956),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1956),
    [aux_sym_session_type_token1] = ACTIONS(1956),
    [aux_sym_set_env_token1] = ACTIONS(1956),
    [aux_sym_stdin_null_token1] = ACTIONS(1956),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1956),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1956),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1956),
    [aux_sym_syslog_facility_token1] = ACTIONS(1956),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1956),
    [aux_sym_keep_alive_token1] = ACTIONS(1956),
    [aux_sym_tag_token1] = ACTIONS(1956),
    [aux_sym_tunnel_token1] = ACTIONS(1958),
    [aux_sym_tunnel_device_token1] = ACTIONS(1956),
    [aux_sym_update_host_keys_token1] = ACTIONS(1956),
    [aux_sym_use_keychain_token1] = ACTIONS(1956),
    [aux_sym_use_roaming_token1] = ACTIONS(1956),
    [aux_sym_user_token1] = ACTIONS(1958),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1956),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1956),
    [aux_sym_version_addendum_token1] = ACTIONS(1956),
    [aux_sym_visual_host_key_token1] = ACTIONS(1956),
    [aux_sym_xauth_location_token1] = ACTIONS(1956),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2768),
    [aux_sym_match_token1] = ACTIONS(2766),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2766),
    [aux_sym_address_family_token1] = ACTIONS(2766),
    [aux_sym_batch_mode_token1] = ACTIONS(2766),
    [aux_sym_bind_address_token1] = ACTIONS(2766),
    [aux_sym_bind_interface_token1] = ACTIONS(2766),
    [aux_sym_canonical_domains_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2766),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2766),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2766),
    [aux_sym_certificate_file_token1] = ACTIONS(2766),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2766),
    [aux_sym_channel_timeout_token1] = ACTIONS(2766),
    [aux_sym_check_host_ip_token1] = ACTIONS(2766),
    [aux_sym_ciphers_token1] = ACTIONS(2766),
    [aux_sym_cipher_token1] = ACTIONS(2768),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2766),
    [aux_sym_compression_token1] = ACTIONS(2766),
    [aux_sym_connection_attempts_token1] = ACTIONS(2766),
    [aux_sym_connect_timeout_token1] = ACTIONS(2766),
    [aux_sym_control_master_token1] = ACTIONS(2766),
    [aux_sym_control_path_token1] = ACTIONS(2766),
    [aux_sym_control_persist_token1] = ACTIONS(2766),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2766),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2766),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2766),
    [aux_sym_escape_char_token1] = ACTIONS(2766),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2766),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2766),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2766),
    [aux_sym_forward_agent_token1] = ACTIONS(2766),
    [aux_sym_forward_x11_token1] = ACTIONS(2768),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2766),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2766),
    [aux_sym_gateway_ports_token1] = ACTIONS(2766),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2766),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2766),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2766),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2766),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2766),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2766),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2766),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2766),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2766),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2766),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2766),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2766),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2766),
    [aux_sym_host_key_alias_token1] = ACTIONS(2766),
    [aux_sym_hostname_token1] = ACTIONS(2766),
    [aux_sym_identities_only_token1] = ACTIONS(2766),
    [aux_sym_identity_agent_token1] = ACTIONS(2766),
    [aux_sym_identity_file_token1] = ACTIONS(2766),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2766),
    [aux_sym_include_token1] = ACTIONS(2766),
    [aux_sym_ip_qos_token1] = ACTIONS(2766),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2766),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2766),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2766),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2766),
    [aux_sym_local_command_token1] = ACTIONS(2766),
    [aux_sym_local_forward_token1] = ACTIONS(2766),
    [aux_sym_log_level_token1] = ACTIONS(2766),
    [aux_sym_log_verbose_token1] = ACTIONS(2766),
    [aux_sym_macs_token1] = ACTIONS(2766),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2766),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2766),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2766),
    [aux_sym_password_authentication_token1] = ACTIONS(2766),
    [aux_sym_permit_local_command_token1] = ACTIONS(2766),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2766),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2766),
    [aux_sym_port_token1] = ACTIONS(2766),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2766),
    [aux_sym_protocol_token1] = ACTIONS(2766),
    [aux_sym_proxy_command_token1] = ACTIONS(2766),
    [aux_sym_proxy_jump_token1] = ACTIONS(2766),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2766),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2766),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2766),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2766),
    [aux_sym_rekey_limit_token1] = ACTIONS(2766),
    [aux_sym_remote_command_token1] = ACTIONS(2766),
    [aux_sym_remote_forward_token1] = ACTIONS(2766),
    [aux_sym_request_tty_token1] = ACTIONS(2766),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2766),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2766),
    [aux_sym_security_key_provider_token1] = ACTIONS(2766),
    [aux_sym_send_env_token1] = ACTIONS(2766),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2766),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2766),
    [aux_sym_session_type_token1] = ACTIONS(2766),
    [aux_sym_set_env_token1] = ACTIONS(2766),
    [aux_sym_stdin_null_token1] = ACTIONS(2766),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2766),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2766),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2766),
    [aux_sym_syslog_facility_token1] = ACTIONS(2766),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2766),
    [aux_sym_keep_alive_token1] = ACTIONS(2766),
    [aux_sym_tag_token1] = ACTIONS(2766),
    [aux_sym_tunnel_token1] = ACTIONS(2768),
    [aux_sym_tunnel_device_token1] = ACTIONS(2766),
    [aux_sym_update_host_keys_token1] = ACTIONS(2766),
    [aux_sym_use_keychain_token1] = ACTIONS(2766),
    [aux_sym_use_roaming_token1] = ACTIONS(2766),
    [aux_sym_user_token1] = ACTIONS(2768),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2766),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2766),
    [aux_sym_version_addendum_token1] = ACTIONS(2766),
    [aux_sym_visual_host_key_token1] = ACTIONS(2766),
    [aux_sym_xauth_location_token1] = ACTIONS(2766),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2774),
    [aux_sym_match_token1] = ACTIONS(2772),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2772),
    [aux_sym_address_family_token1] = ACTIONS(2772),
    [aux_sym_batch_mode_token1] = ACTIONS(2772),
    [aux_sym_bind_address_token1] = ACTIONS(2772),
    [aux_sym_bind_interface_token1] = ACTIONS(2772),
    [aux_sym_canonical_domains_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2772),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2772),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2772),
    [aux_sym_certificate_file_token1] = ACTIONS(2772),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2772),
    [aux_sym_channel_timeout_token1] = ACTIONS(2772),
    [aux_sym_check_host_ip_token1] = ACTIONS(2772),
    [aux_sym_ciphers_token1] = ACTIONS(2772),
    [aux_sym_cipher_token1] = ACTIONS(2774),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2772),
    [aux_sym_compression_token1] = ACTIONS(2772),
    [aux_sym_connection_attempts_token1] = ACTIONS(2772),
    [aux_sym_connect_timeout_token1] = ACTIONS(2772),
    [aux_sym_control_master_token1] = ACTIONS(2772),
    [aux_sym_control_path_token1] = ACTIONS(2772),
    [aux_sym_control_persist_token1] = ACTIONS(2772),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2772),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2772),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2772),
    [aux_sym_escape_char_token1] = ACTIONS(2772),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2772),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2772),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2772),
    [aux_sym_forward_agent_token1] = ACTIONS(2772),
    [aux_sym_forward_x11_token1] = ACTIONS(2774),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2772),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2772),
    [aux_sym_gateway_ports_token1] = ACTIONS(2772),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2772),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2772),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2772),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2772),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2772),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2772),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2772),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2772),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2772),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2772),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2772),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2772),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2772),
    [aux_sym_host_key_alias_token1] = ACTIONS(2772),
    [aux_sym_hostname_token1] = ACTIONS(2772),
    [aux_sym_identities_only_token1] = ACTIONS(2772),
    [aux_sym_identity_agent_token1] = ACTIONS(2772),
    [aux_sym_identity_file_token1] = ACTIONS(2772),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2772),
    [aux_sym_include_token1] = ACTIONS(2772),
    [aux_sym_ip_qos_token1] = ACTIONS(2772),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2772),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2772),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2772),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2772),
    [aux_sym_local_command_token1] = ACTIONS(2772),
    [aux_sym_local_forward_token1] = ACTIONS(2772),
    [aux_sym_log_level_token1] = ACTIONS(2772),
    [aux_sym_log_verbose_token1] = ACTIONS(2772),
    [aux_sym_macs_token1] = ACTIONS(2772),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2772),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2772),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2772),
    [aux_sym_password_authentication_token1] = ACTIONS(2772),
    [aux_sym_permit_local_command_token1] = ACTIONS(2772),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2772),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2772),
    [aux_sym_port_token1] = ACTIONS(2772),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2772),
    [aux_sym_protocol_token1] = ACTIONS(2772),
    [aux_sym_proxy_command_token1] = ACTIONS(2772),
    [aux_sym_proxy_jump_token1] = ACTIONS(2772),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2772),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2772),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2772),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2772),
    [aux_sym_rekey_limit_token1] = ACTIONS(2772),
    [aux_sym_remote_command_token1] = ACTIONS(2772),
    [aux_sym_remote_forward_token1] = ACTIONS(2772),
    [aux_sym_request_tty_token1] = ACTIONS(2772),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2772),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2772),
    [aux_sym_security_key_provider_token1] = ACTIONS(2772),
    [aux_sym_send_env_token1] = ACTIONS(2772),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2772),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2772),
    [aux_sym_session_type_token1] = ACTIONS(2772),
    [aux_sym_set_env_token1] = ACTIONS(2772),
    [aux_sym_stdin_null_token1] = ACTIONS(2772),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2772),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2772),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2772),
    [aux_sym_syslog_facility_token1] = ACTIONS(2772),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2772),
    [aux_sym_keep_alive_token1] = ACTIONS(2772),
    [aux_sym_tag_token1] = ACTIONS(2772),
    [aux_sym_tunnel_token1] = ACTIONS(2774),
    [aux_sym_tunnel_device_token1] = ACTIONS(2772),
    [aux_sym_update_host_keys_token1] = ACTIONS(2772),
    [aux_sym_use_keychain_token1] = ACTIONS(2772),
    [aux_sym_use_roaming_token1] = ACTIONS(2772),
    [aux_sym_user_token1] = ACTIONS(2774),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2772),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2772),
    [aux_sym_version_addendum_token1] = ACTIONS(2772),
    [aux_sym_visual_host_key_token1] = ACTIONS(2772),
    [aux_sym_xauth_location_token1] = ACTIONS(2772),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1964),
    [aux_sym_match_token1] = ACTIONS(1962),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1962),
    [aux_sym_address_family_token1] = ACTIONS(1962),
    [aux_sym_batch_mode_token1] = ACTIONS(1962),
    [aux_sym_bind_address_token1] = ACTIONS(1962),
    [aux_sym_bind_interface_token1] = ACTIONS(1962),
    [aux_sym_canonical_domains_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1962),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1962),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1962),
    [aux_sym_certificate_file_token1] = ACTIONS(1962),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1962),
    [aux_sym_channel_timeout_token1] = ACTIONS(1962),
    [aux_sym_check_host_ip_token1] = ACTIONS(1962),
    [aux_sym_ciphers_token1] = ACTIONS(1962),
    [aux_sym_cipher_token1] = ACTIONS(1964),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1962),
    [aux_sym_compression_token1] = ACTIONS(1962),
    [aux_sym_connection_attempts_token1] = ACTIONS(1962),
    [aux_sym_connect_timeout_token1] = ACTIONS(1962),
    [aux_sym_control_master_token1] = ACTIONS(1962),
    [aux_sym_control_path_token1] = ACTIONS(1962),
    [aux_sym_control_persist_token1] = ACTIONS(1962),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1962),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1962),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1962),
    [aux_sym_escape_char_token1] = ACTIONS(1962),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1962),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1962),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1962),
    [aux_sym_forward_agent_token1] = ACTIONS(1962),
    [aux_sym_forward_x11_token1] = ACTIONS(1964),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1962),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1962),
    [aux_sym_gateway_ports_token1] = ACTIONS(1962),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1962),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1962),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1962),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1962),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1962),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1962),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1962),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1962),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1962),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1962),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1962),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1962),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1962),
    [aux_sym_host_key_alias_token1] = ACTIONS(1962),
    [aux_sym_hostname_token1] = ACTIONS(1962),
    [aux_sym_identities_only_token1] = ACTIONS(1962),
    [aux_sym_identity_agent_token1] = ACTIONS(1962),
    [aux_sym_identity_file_token1] = ACTIONS(1962),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1962),
    [aux_sym_include_token1] = ACTIONS(1962),
    [aux_sym_ip_qos_token1] = ACTIONS(1962),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1962),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1962),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1962),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1962),
    [aux_sym_local_command_token1] = ACTIONS(1962),
    [aux_sym_local_forward_token1] = ACTIONS(1962),
    [aux_sym_log_level_token1] = ACTIONS(1962),
    [aux_sym_log_verbose_token1] = ACTIONS(1962),
    [aux_sym_macs_token1] = ACTIONS(1962),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1962),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1962),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1962),
    [aux_sym_password_authentication_token1] = ACTIONS(1962),
    [aux_sym_permit_local_command_token1] = ACTIONS(1962),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1962),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1962),
    [aux_sym_port_token1] = ACTIONS(1962),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1962),
    [aux_sym_protocol_token1] = ACTIONS(1962),
    [aux_sym_proxy_command_token1] = ACTIONS(1962),
    [aux_sym_proxy_jump_token1] = ACTIONS(1962),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1962),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1962),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1962),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1962),
    [aux_sym_rekey_limit_token1] = ACTIONS(1962),
    [aux_sym_remote_command_token1] = ACTIONS(1962),
    [aux_sym_remote_forward_token1] = ACTIONS(1962),
    [aux_sym_request_tty_token1] = ACTIONS(1962),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1962),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1962),
    [aux_sym_security_key_provider_token1] = ACTIONS(1962),
    [aux_sym_send_env_token1] = ACTIONS(1962),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1962),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1962),
    [aux_sym_session_type_token1] = ACTIONS(1962),
    [aux_sym_set_env_token1] = ACTIONS(1962),
    [aux_sym_stdin_null_token1] = ACTIONS(1962),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1962),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1962),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1962),
    [aux_sym_syslog_facility_token1] = ACTIONS(1962),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1962),
    [aux_sym_keep_alive_token1] = ACTIONS(1962),
    [aux_sym_tag_token1] = ACTIONS(1962),
    [aux_sym_tunnel_token1] = ACTIONS(1964),
    [aux_sym_tunnel_device_token1] = ACTIONS(1962),
    [aux_sym_update_host_keys_token1] = ACTIONS(1962),
    [aux_sym_use_keychain_token1] = ACTIONS(1962),
    [aux_sym_use_roaming_token1] = ACTIONS(1962),
    [aux_sym_user_token1] = ACTIONS(1964),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1962),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1962),
    [aux_sym_version_addendum_token1] = ACTIONS(1962),
    [aux_sym_visual_host_key_token1] = ACTIONS(1962),
    [aux_sym_xauth_location_token1] = ACTIONS(1962),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2780),
    [aux_sym_match_token1] = ACTIONS(2778),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2778),
    [aux_sym_address_family_token1] = ACTIONS(2778),
    [aux_sym_batch_mode_token1] = ACTIONS(2778),
    [aux_sym_bind_address_token1] = ACTIONS(2778),
    [aux_sym_bind_interface_token1] = ACTIONS(2778),
    [aux_sym_canonical_domains_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2778),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2778),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2778),
    [aux_sym_certificate_file_token1] = ACTIONS(2778),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2778),
    [aux_sym_channel_timeout_token1] = ACTIONS(2778),
    [aux_sym_check_host_ip_token1] = ACTIONS(2778),
    [aux_sym_ciphers_token1] = ACTIONS(2778),
    [aux_sym_cipher_token1] = ACTIONS(2780),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2778),
    [aux_sym_compression_token1] = ACTIONS(2778),
    [aux_sym_connection_attempts_token1] = ACTIONS(2778),
    [aux_sym_connect_timeout_token1] = ACTIONS(2778),
    [aux_sym_control_master_token1] = ACTIONS(2778),
    [aux_sym_control_path_token1] = ACTIONS(2778),
    [aux_sym_control_persist_token1] = ACTIONS(2778),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2778),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2778),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2778),
    [aux_sym_escape_char_token1] = ACTIONS(2778),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2778),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2778),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2778),
    [aux_sym_forward_agent_token1] = ACTIONS(2778),
    [aux_sym_forward_x11_token1] = ACTIONS(2780),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2778),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2778),
    [aux_sym_gateway_ports_token1] = ACTIONS(2778),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2778),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2778),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2778),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2778),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2778),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2778),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2778),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2778),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2778),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2778),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2778),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2778),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2778),
    [aux_sym_host_key_alias_token1] = ACTIONS(2778),
    [aux_sym_hostname_token1] = ACTIONS(2778),
    [aux_sym_identities_only_token1] = ACTIONS(2778),
    [aux_sym_identity_agent_token1] = ACTIONS(2778),
    [aux_sym_identity_file_token1] = ACTIONS(2778),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2778),
    [aux_sym_include_token1] = ACTIONS(2778),
    [aux_sym_ip_qos_token1] = ACTIONS(2778),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2778),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2778),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2778),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2778),
    [aux_sym_local_command_token1] = ACTIONS(2778),
    [aux_sym_local_forward_token1] = ACTIONS(2778),
    [aux_sym_log_level_token1] = ACTIONS(2778),
    [aux_sym_log_verbose_token1] = ACTIONS(2778),
    [aux_sym_macs_token1] = ACTIONS(2778),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2778),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2778),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2778),
    [aux_sym_password_authentication_token1] = ACTIONS(2778),
    [aux_sym_permit_local_command_token1] = ACTIONS(2778),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2778),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2778),
    [aux_sym_port_token1] = ACTIONS(2778),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2778),
    [aux_sym_protocol_token1] = ACTIONS(2778),
    [aux_sym_proxy_command_token1] = ACTIONS(2778),
    [aux_sym_proxy_jump_token1] = ACTIONS(2778),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2778),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2778),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2778),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2778),
    [aux_sym_rekey_limit_token1] = ACTIONS(2778),
    [aux_sym_remote_command_token1] = ACTIONS(2778),
    [aux_sym_remote_forward_token1] = ACTIONS(2778),
    [aux_sym_request_tty_token1] = ACTIONS(2778),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2778),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2778),
    [aux_sym_security_key_provider_token1] = ACTIONS(2778),
    [aux_sym_send_env_token1] = ACTIONS(2778),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2778),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2778),
    [aux_sym_session_type_token1] = ACTIONS(2778),
    [aux_sym_set_env_token1] = ACTIONS(2778),
    [aux_sym_stdin_null_token1] = ACTIONS(2778),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2778),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2778),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2778),
    [aux_sym_syslog_facility_token1] = ACTIONS(2778),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2778),
    [aux_sym_keep_alive_token1] = ACTIONS(2778),
    [aux_sym_tag_token1] = ACTIONS(2778),
    [aux_sym_tunnel_token1] = ACTIONS(2780),
    [aux_sym_tunnel_device_token1] = ACTIONS(2778),
    [aux_sym_update_host_keys_token1] = ACTIONS(2778),
    [aux_sym_use_keychain_token1] = ACTIONS(2778),
    [aux_sym_use_roaming_token1] = ACTIONS(2778),
    [aux_sym_user_token1] = ACTIONS(2780),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2778),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2778),
    [aux_sym_version_addendum_token1] = ACTIONS(2778),
    [aux_sym_visual_host_key_token1] = ACTIONS(2778),
    [aux_sym_xauth_location_token1] = ACTIONS(2778),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2786),
    [aux_sym_match_token1] = ACTIONS(2784),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2784),
    [aux_sym_address_family_token1] = ACTIONS(2784),
    [aux_sym_batch_mode_token1] = ACTIONS(2784),
    [aux_sym_bind_address_token1] = ACTIONS(2784),
    [aux_sym_bind_interface_token1] = ACTIONS(2784),
    [aux_sym_canonical_domains_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2784),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2784),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2784),
    [aux_sym_certificate_file_token1] = ACTIONS(2784),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2784),
    [aux_sym_channel_timeout_token1] = ACTIONS(2784),
    [aux_sym_check_host_ip_token1] = ACTIONS(2784),
    [aux_sym_ciphers_token1] = ACTIONS(2784),
    [aux_sym_cipher_token1] = ACTIONS(2786),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2784),
    [aux_sym_compression_token1] = ACTIONS(2784),
    [aux_sym_connection_attempts_token1] = ACTIONS(2784),
    [aux_sym_connect_timeout_token1] = ACTIONS(2784),
    [aux_sym_control_master_token1] = ACTIONS(2784),
    [aux_sym_control_path_token1] = ACTIONS(2784),
    [aux_sym_control_persist_token1] = ACTIONS(2784),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2784),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2784),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2784),
    [aux_sym_escape_char_token1] = ACTIONS(2784),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2784),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2784),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2784),
    [aux_sym_forward_agent_token1] = ACTIONS(2784),
    [aux_sym_forward_x11_token1] = ACTIONS(2786),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2784),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2784),
    [aux_sym_gateway_ports_token1] = ACTIONS(2784),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2784),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2784),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2784),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2784),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2784),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2784),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2784),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2784),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2784),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2784),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2784),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2784),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2784),
    [aux_sym_host_key_alias_token1] = ACTIONS(2784),
    [aux_sym_hostname_token1] = ACTIONS(2784),
    [aux_sym_identities_only_token1] = ACTIONS(2784),
    [aux_sym_identity_agent_token1] = ACTIONS(2784),
    [aux_sym_identity_file_token1] = ACTIONS(2784),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2784),
    [aux_sym_include_token1] = ACTIONS(2784),
    [aux_sym_ip_qos_token1] = ACTIONS(2784),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2784),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2784),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2784),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2784),
    [aux_sym_local_command_token1] = ACTIONS(2784),
    [aux_sym_local_forward_token1] = ACTIONS(2784),
    [aux_sym_log_level_token1] = ACTIONS(2784),
    [aux_sym_log_verbose_token1] = ACTIONS(2784),
    [aux_sym_macs_token1] = ACTIONS(2784),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2784),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2784),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2784),
    [aux_sym_password_authentication_token1] = ACTIONS(2784),
    [aux_sym_permit_local_command_token1] = ACTIONS(2784),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2784),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2784),
    [aux_sym_port_token1] = ACTIONS(2784),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2784),
    [aux_sym_protocol_token1] = ACTIONS(2784),
    [aux_sym_proxy_command_token1] = ACTIONS(2784),
    [aux_sym_proxy_jump_token1] = ACTIONS(2784),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2784),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2784),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2784),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2784),
    [aux_sym_rekey_limit_token1] = ACTIONS(2784),
    [aux_sym_remote_command_token1] = ACTIONS(2784),
    [aux_sym_remote_forward_token1] = ACTIONS(2784),
    [aux_sym_request_tty_token1] = ACTIONS(2784),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2784),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2784),
    [aux_sym_security_key_provider_token1] = ACTIONS(2784),
    [aux_sym_send_env_token1] = ACTIONS(2784),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2784),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2784),
    [aux_sym_session_type_token1] = ACTIONS(2784),
    [aux_sym_set_env_token1] = ACTIONS(2784),
    [aux_sym_stdin_null_token1] = ACTIONS(2784),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2784),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2784),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2784),
    [aux_sym_syslog_facility_token1] = ACTIONS(2784),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2784),
    [aux_sym_keep_alive_token1] = ACTIONS(2784),
    [aux_sym_tag_token1] = ACTIONS(2784),
    [aux_sym_tunnel_token1] = ACTIONS(2786),
    [aux_sym_tunnel_device_token1] = ACTIONS(2784),
    [aux_sym_update_host_keys_token1] = ACTIONS(2784),
    [aux_sym_use_keychain_token1] = ACTIONS(2784),
    [aux_sym_use_roaming_token1] = ACTIONS(2784),
    [aux_sym_user_token1] = ACTIONS(2786),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2784),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2784),
    [aux_sym_version_addendum_token1] = ACTIONS(2784),
    [aux_sym_visual_host_key_token1] = ACTIONS(2784),
    [aux_sym_xauth_location_token1] = ACTIONS(2784),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1970),
    [aux_sym_match_token1] = ACTIONS(1968),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1968),
    [aux_sym_address_family_token1] = ACTIONS(1968),
    [aux_sym_batch_mode_token1] = ACTIONS(1968),
    [aux_sym_bind_address_token1] = ACTIONS(1968),
    [aux_sym_bind_interface_token1] = ACTIONS(1968),
    [aux_sym_canonical_domains_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1968),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1968),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1968),
    [aux_sym_certificate_file_token1] = ACTIONS(1968),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1968),
    [aux_sym_channel_timeout_token1] = ACTIONS(1968),
    [aux_sym_check_host_ip_token1] = ACTIONS(1968),
    [aux_sym_ciphers_token1] = ACTIONS(1968),
    [aux_sym_cipher_token1] = ACTIONS(1970),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1968),
    [aux_sym_compression_token1] = ACTIONS(1968),
    [aux_sym_connection_attempts_token1] = ACTIONS(1968),
    [aux_sym_connect_timeout_token1] = ACTIONS(1968),
    [aux_sym_control_master_token1] = ACTIONS(1968),
    [aux_sym_control_path_token1] = ACTIONS(1968),
    [aux_sym_control_persist_token1] = ACTIONS(1968),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1968),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1968),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1968),
    [aux_sym_escape_char_token1] = ACTIONS(1968),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1968),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1968),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1968),
    [aux_sym_forward_agent_token1] = ACTIONS(1968),
    [aux_sym_forward_x11_token1] = ACTIONS(1970),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1968),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1968),
    [aux_sym_gateway_ports_token1] = ACTIONS(1968),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1968),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1968),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1968),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1968),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1968),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1968),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1968),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1968),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1968),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1968),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1968),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1968),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1968),
    [aux_sym_host_key_alias_token1] = ACTIONS(1968),
    [aux_sym_hostname_token1] = ACTIONS(1968),
    [aux_sym_identities_only_token1] = ACTIONS(1968),
    [aux_sym_identity_agent_token1] = ACTIONS(1968),
    [aux_sym_identity_file_token1] = ACTIONS(1968),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1968),
    [aux_sym_include_token1] = ACTIONS(1968),
    [aux_sym_ip_qos_token1] = ACTIONS(1968),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1968),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1968),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1968),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1968),
    [aux_sym_local_command_token1] = ACTIONS(1968),
    [aux_sym_local_forward_token1] = ACTIONS(1968),
    [aux_sym_log_level_token1] = ACTIONS(1968),
    [aux_sym_log_verbose_token1] = ACTIONS(1968),
    [aux_sym_macs_token1] = ACTIONS(1968),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1968),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1968),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1968),
    [aux_sym_password_authentication_token1] = ACTIONS(1968),
    [aux_sym_permit_local_command_token1] = ACTIONS(1968),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1968),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1968),
    [aux_sym_port_token1] = ACTIONS(1968),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1968),
    [aux_sym_protocol_token1] = ACTIONS(1968),
    [aux_sym_proxy_command_token1] = ACTIONS(1968),
    [aux_sym_proxy_jump_token1] = ACTIONS(1968),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1968),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1968),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1968),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1968),
    [aux_sym_rekey_limit_token1] = ACTIONS(1968),
    [aux_sym_remote_command_token1] = ACTIONS(1968),
    [aux_sym_remote_forward_token1] = ACTIONS(1968),
    [aux_sym_request_tty_token1] = ACTIONS(1968),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1968),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1968),
    [aux_sym_security_key_provider_token1] = ACTIONS(1968),
    [aux_sym_send_env_token1] = ACTIONS(1968),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1968),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1968),
    [aux_sym_session_type_token1] = ACTIONS(1968),
    [aux_sym_set_env_token1] = ACTIONS(1968),
    [aux_sym_stdin_null_token1] = ACTIONS(1968),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1968),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1968),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1968),
    [aux_sym_syslog_facility_token1] = ACTIONS(1968),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1968),
    [aux_sym_keep_alive_token1] = ACTIONS(1968),
    [aux_sym_tag_token1] = ACTIONS(1968),
    [aux_sym_tunnel_token1] = ACTIONS(1970),
    [aux_sym_tunnel_device_token1] = ACTIONS(1968),
    [aux_sym_update_host_keys_token1] = ACTIONS(1968),
    [aux_sym_use_keychain_token1] = ACTIONS(1968),
    [aux_sym_use_roaming_token1] = ACTIONS(1968),
    [aux_sym_user_token1] = ACTIONS(1970),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1968),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1968),
    [aux_sym_version_addendum_token1] = ACTIONS(1968),
    [aux_sym_visual_host_key_token1] = ACTIONS(1968),
    [aux_sym_xauth_location_token1] = ACTIONS(1968),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2792),
    [aux_sym_match_token1] = ACTIONS(2790),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2790),
    [aux_sym_address_family_token1] = ACTIONS(2790),
    [aux_sym_batch_mode_token1] = ACTIONS(2790),
    [aux_sym_bind_address_token1] = ACTIONS(2790),
    [aux_sym_bind_interface_token1] = ACTIONS(2790),
    [aux_sym_canonical_domains_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2790),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2790),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2790),
    [aux_sym_certificate_file_token1] = ACTIONS(2790),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2790),
    [aux_sym_channel_timeout_token1] = ACTIONS(2790),
    [aux_sym_check_host_ip_token1] = ACTIONS(2790),
    [aux_sym_ciphers_token1] = ACTIONS(2790),
    [aux_sym_cipher_token1] = ACTIONS(2792),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2790),
    [aux_sym_compression_token1] = ACTIONS(2790),
    [aux_sym_connection_attempts_token1] = ACTIONS(2790),
    [aux_sym_connect_timeout_token1] = ACTIONS(2790),
    [aux_sym_control_master_token1] = ACTIONS(2790),
    [aux_sym_control_path_token1] = ACTIONS(2790),
    [aux_sym_control_persist_token1] = ACTIONS(2790),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2790),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2790),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2790),
    [aux_sym_escape_char_token1] = ACTIONS(2790),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2790),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2790),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2790),
    [aux_sym_forward_agent_token1] = ACTIONS(2790),
    [aux_sym_forward_x11_token1] = ACTIONS(2792),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2790),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2790),
    [aux_sym_gateway_ports_token1] = ACTIONS(2790),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2790),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2790),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2790),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2790),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2790),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2790),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2790),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2790),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2790),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2790),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2790),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2790),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2790),
    [aux_sym_host_key_alias_token1] = ACTIONS(2790),
    [aux_sym_hostname_token1] = ACTIONS(2790),
    [aux_sym_identities_only_token1] = ACTIONS(2790),
    [aux_sym_identity_agent_token1] = ACTIONS(2790),
    [aux_sym_identity_file_token1] = ACTIONS(2790),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2790),
    [aux_sym_include_token1] = ACTIONS(2790),
    [aux_sym_ip_qos_token1] = ACTIONS(2790),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2790),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2790),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2790),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2790),
    [aux_sym_local_command_token1] = ACTIONS(2790),
    [aux_sym_local_forward_token1] = ACTIONS(2790),
    [aux_sym_log_level_token1] = ACTIONS(2790),
    [aux_sym_log_verbose_token1] = ACTIONS(2790),
    [aux_sym_macs_token1] = ACTIONS(2790),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2790),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2790),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2790),
    [aux_sym_password_authentication_token1] = ACTIONS(2790),
    [aux_sym_permit_local_command_token1] = ACTIONS(2790),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2790),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2790),
    [aux_sym_port_token1] = ACTIONS(2790),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2790),
    [aux_sym_protocol_token1] = ACTIONS(2790),
    [aux_sym_proxy_command_token1] = ACTIONS(2790),
    [aux_sym_proxy_jump_token1] = ACTIONS(2790),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2790),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2790),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2790),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2790),
    [aux_sym_rekey_limit_token1] = ACTIONS(2790),
    [aux_sym_remote_command_token1] = ACTIONS(2790),
    [aux_sym_remote_forward_token1] = ACTIONS(2790),
    [aux_sym_request_tty_token1] = ACTIONS(2790),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2790),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2790),
    [aux_sym_security_key_provider_token1] = ACTIONS(2790),
    [aux_sym_send_env_token1] = ACTIONS(2790),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2790),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2790),
    [aux_sym_session_type_token1] = ACTIONS(2790),
    [aux_sym_set_env_token1] = ACTIONS(2790),
    [aux_sym_stdin_null_token1] = ACTIONS(2790),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2790),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2790),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2790),
    [aux_sym_syslog_facility_token1] = ACTIONS(2790),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2790),
    [aux_sym_keep_alive_token1] = ACTIONS(2790),
    [aux_sym_tag_token1] = ACTIONS(2790),
    [aux_sym_tunnel_token1] = ACTIONS(2792),
    [aux_sym_tunnel_device_token1] = ACTIONS(2790),
    [aux_sym_update_host_keys_token1] = ACTIONS(2790),
    [aux_sym_use_keychain_token1] = ACTIONS(2790),
    [aux_sym_use_roaming_token1] = ACTIONS(2790),
    [aux_sym_user_token1] = ACTIONS(2792),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2790),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2790),
    [aux_sym_version_addendum_token1] = ACTIONS(2790),
    [aux_sym_visual_host_key_token1] = ACTIONS(2790),
    [aux_sym_xauth_location_token1] = ACTIONS(2790),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2798),
    [aux_sym_match_token1] = ACTIONS(2796),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2796),
    [aux_sym_address_family_token1] = ACTIONS(2796),
    [aux_sym_batch_mode_token1] = ACTIONS(2796),
    [aux_sym_bind_address_token1] = ACTIONS(2796),
    [aux_sym_bind_interface_token1] = ACTIONS(2796),
    [aux_sym_canonical_domains_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2796),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2796),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2796),
    [aux_sym_certificate_file_token1] = ACTIONS(2796),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2796),
    [aux_sym_channel_timeout_token1] = ACTIONS(2796),
    [aux_sym_check_host_ip_token1] = ACTIONS(2796),
    [aux_sym_ciphers_token1] = ACTIONS(2796),
    [aux_sym_cipher_token1] = ACTIONS(2798),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2796),
    [aux_sym_compression_token1] = ACTIONS(2796),
    [aux_sym_connection_attempts_token1] = ACTIONS(2796),
    [aux_sym_connect_timeout_token1] = ACTIONS(2796),
    [aux_sym_control_master_token1] = ACTIONS(2796),
    [aux_sym_control_path_token1] = ACTIONS(2796),
    [aux_sym_control_persist_token1] = ACTIONS(2796),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2796),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2796),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2796),
    [aux_sym_escape_char_token1] = ACTIONS(2796),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2796),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2796),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2796),
    [aux_sym_forward_agent_token1] = ACTIONS(2796),
    [aux_sym_forward_x11_token1] = ACTIONS(2798),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2796),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2796),
    [aux_sym_gateway_ports_token1] = ACTIONS(2796),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2796),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2796),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2796),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2796),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2796),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2796),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2796),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2796),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2796),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2796),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2796),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2796),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2796),
    [aux_sym_host_key_alias_token1] = ACTIONS(2796),
    [aux_sym_hostname_token1] = ACTIONS(2796),
    [aux_sym_identities_only_token1] = ACTIONS(2796),
    [aux_sym_identity_agent_token1] = ACTIONS(2796),
    [aux_sym_identity_file_token1] = ACTIONS(2796),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2796),
    [aux_sym_include_token1] = ACTIONS(2796),
    [aux_sym_ip_qos_token1] = ACTIONS(2796),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2796),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2796),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2796),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2796),
    [aux_sym_local_command_token1] = ACTIONS(2796),
    [aux_sym_local_forward_token1] = ACTIONS(2796),
    [aux_sym_log_level_token1] = ACTIONS(2796),
    [aux_sym_log_verbose_token1] = ACTIONS(2796),
    [aux_sym_macs_token1] = ACTIONS(2796),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2796),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2796),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2796),
    [aux_sym_password_authentication_token1] = ACTIONS(2796),
    [aux_sym_permit_local_command_token1] = ACTIONS(2796),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2796),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2796),
    [aux_sym_port_token1] = ACTIONS(2796),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2796),
    [aux_sym_protocol_token1] = ACTIONS(2796),
    [aux_sym_proxy_command_token1] = ACTIONS(2796),
    [aux_sym_proxy_jump_token1] = ACTIONS(2796),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2796),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2796),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2796),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2796),
    [aux_sym_rekey_limit_token1] = ACTIONS(2796),
    [aux_sym_remote_command_token1] = ACTIONS(2796),
    [aux_sym_remote_forward_token1] = ACTIONS(2796),
    [aux_sym_request_tty_token1] = ACTIONS(2796),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2796),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2796),
    [aux_sym_security_key_provider_token1] = ACTIONS(2796),
    [aux_sym_send_env_token1] = ACTIONS(2796),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2796),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2796),
    [aux_sym_session_type_token1] = ACTIONS(2796),
    [aux_sym_set_env_token1] = ACTIONS(2796),
    [aux_sym_stdin_null_token1] = ACTIONS(2796),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2796),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2796),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2796),
    [aux_sym_syslog_facility_token1] = ACTIONS(2796),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2796),
    [aux_sym_keep_alive_token1] = ACTIONS(2796),
    [aux_sym_tag_token1] = ACTIONS(2796),
    [aux_sym_tunnel_token1] = ACTIONS(2798),
    [aux_sym_tunnel_device_token1] = ACTIONS(2796),
    [aux_sym_update_host_keys_token1] = ACTIONS(2796),
    [aux_sym_use_keychain_token1] = ACTIONS(2796),
    [aux_sym_use_roaming_token1] = ACTIONS(2796),
    [aux_sym_user_token1] = ACTIONS(2798),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2796),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2796),
    [aux_sym_version_addendum_token1] = ACTIONS(2796),
    [aux_sym_visual_host_key_token1] = ACTIONS(2796),
    [aux_sym_xauth_location_token1] = ACTIONS(2796),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(1974),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1976),
    [aux_sym_match_token1] = ACTIONS(1974),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1974),
    [aux_sym_address_family_token1] = ACTIONS(1974),
    [aux_sym_batch_mode_token1] = ACTIONS(1974),
    [aux_sym_bind_address_token1] = ACTIONS(1974),
    [aux_sym_bind_interface_token1] = ACTIONS(1974),
    [aux_sym_canonical_domains_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1974),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1974),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1974),
    [aux_sym_certificate_file_token1] = ACTIONS(1974),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1974),
    [aux_sym_channel_timeout_token1] = ACTIONS(1974),
    [aux_sym_check_host_ip_token1] = ACTIONS(1974),
    [aux_sym_ciphers_token1] = ACTIONS(1974),
    [aux_sym_cipher_token1] = ACTIONS(1976),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1974),
    [aux_sym_compression_token1] = ACTIONS(1974),
    [aux_sym_connection_attempts_token1] = ACTIONS(1974),
    [aux_sym_connect_timeout_token1] = ACTIONS(1974),
    [aux_sym_control_master_token1] = ACTIONS(1974),
    [aux_sym_control_path_token1] = ACTIONS(1974),
    [aux_sym_control_persist_token1] = ACTIONS(1974),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1974),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1974),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1974),
    [aux_sym_escape_char_token1] = ACTIONS(1974),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1974),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1974),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1974),
    [aux_sym_forward_agent_token1] = ACTIONS(1974),
    [aux_sym_forward_x11_token1] = ACTIONS(1976),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1974),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1974),
    [aux_sym_gateway_ports_token1] = ACTIONS(1974),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1974),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1974),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1974),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1974),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1974),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1974),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1974),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1974),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1974),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1974),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1974),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1974),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1974),
    [aux_sym_host_key_alias_token1] = ACTIONS(1974),
    [aux_sym_hostname_token1] = ACTIONS(1974),
    [aux_sym_identities_only_token1] = ACTIONS(1974),
    [aux_sym_identity_agent_token1] = ACTIONS(1974),
    [aux_sym_identity_file_token1] = ACTIONS(1974),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1974),
    [aux_sym_include_token1] = ACTIONS(1974),
    [aux_sym_ip_qos_token1] = ACTIONS(1974),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1974),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1974),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1974),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1974),
    [aux_sym_local_command_token1] = ACTIONS(1974),
    [aux_sym_local_forward_token1] = ACTIONS(1974),
    [aux_sym_log_level_token1] = ACTIONS(1974),
    [aux_sym_log_verbose_token1] = ACTIONS(1974),
    [aux_sym_macs_token1] = ACTIONS(1974),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1974),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1974),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1974),
    [aux_sym_password_authentication_token1] = ACTIONS(1974),
    [aux_sym_permit_local_command_token1] = ACTIONS(1974),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1974),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1974),
    [aux_sym_port_token1] = ACTIONS(1974),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1974),
    [aux_sym_protocol_token1] = ACTIONS(1974),
    [aux_sym_proxy_command_token1] = ACTIONS(1974),
    [aux_sym_proxy_jump_token1] = ACTIONS(1974),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1974),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1974),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1974),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1974),
    [aux_sym_rekey_limit_token1] = ACTIONS(1974),
    [aux_sym_remote_command_token1] = ACTIONS(1974),
    [aux_sym_remote_forward_token1] = ACTIONS(1974),
    [aux_sym_request_tty_token1] = ACTIONS(1974),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1974),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1974),
    [aux_sym_security_key_provider_token1] = ACTIONS(1974),
    [aux_sym_send_env_token1] = ACTIONS(1974),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1974),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1974),
    [aux_sym_session_type_token1] = ACTIONS(1974),
    [aux_sym_set_env_token1] = ACTIONS(1974),
    [aux_sym_stdin_null_token1] = ACTIONS(1974),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1974),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1974),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1974),
    [aux_sym_syslog_facility_token1] = ACTIONS(1974),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1974),
    [aux_sym_keep_alive_token1] = ACTIONS(1974),
    [aux_sym_tag_token1] = ACTIONS(1974),
    [aux_sym_tunnel_token1] = ACTIONS(1976),
    [aux_sym_tunnel_device_token1] = ACTIONS(1974),
    [aux_sym_update_host_keys_token1] = ACTIONS(1974),
    [aux_sym_use_keychain_token1] = ACTIONS(1974),
    [aux_sym_use_roaming_token1] = ACTIONS(1974),
    [aux_sym_user_token1] = ACTIONS(1976),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1974),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1974),
    [aux_sym_version_addendum_token1] = ACTIONS(1974),
    [aux_sym_visual_host_key_token1] = ACTIONS(1974),
    [aux_sym_xauth_location_token1] = ACTIONS(1974),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2804),
    [aux_sym_match_token1] = ACTIONS(2802),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2802),
    [aux_sym_address_family_token1] = ACTIONS(2802),
    [aux_sym_batch_mode_token1] = ACTIONS(2802),
    [aux_sym_bind_address_token1] = ACTIONS(2802),
    [aux_sym_bind_interface_token1] = ACTIONS(2802),
    [aux_sym_canonical_domains_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2802),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2802),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2802),
    [aux_sym_certificate_file_token1] = ACTIONS(2802),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2802),
    [aux_sym_channel_timeout_token1] = ACTIONS(2802),
    [aux_sym_check_host_ip_token1] = ACTIONS(2802),
    [aux_sym_ciphers_token1] = ACTIONS(2802),
    [aux_sym_cipher_token1] = ACTIONS(2804),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2802),
    [aux_sym_compression_token1] = ACTIONS(2802),
    [aux_sym_connection_attempts_token1] = ACTIONS(2802),
    [aux_sym_connect_timeout_token1] = ACTIONS(2802),
    [aux_sym_control_master_token1] = ACTIONS(2802),
    [aux_sym_control_path_token1] = ACTIONS(2802),
    [aux_sym_control_persist_token1] = ACTIONS(2802),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2802),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2802),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2802),
    [aux_sym_escape_char_token1] = ACTIONS(2802),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2802),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2802),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2802),
    [aux_sym_forward_agent_token1] = ACTIONS(2802),
    [aux_sym_forward_x11_token1] = ACTIONS(2804),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2802),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2802),
    [aux_sym_gateway_ports_token1] = ACTIONS(2802),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2802),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2802),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2802),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2802),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2802),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2802),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2802),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2802),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2802),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2802),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2802),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2802),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2802),
    [aux_sym_host_key_alias_token1] = ACTIONS(2802),
    [aux_sym_hostname_token1] = ACTIONS(2802),
    [aux_sym_identities_only_token1] = ACTIONS(2802),
    [aux_sym_identity_agent_token1] = ACTIONS(2802),
    [aux_sym_identity_file_token1] = ACTIONS(2802),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2802),
    [aux_sym_include_token1] = ACTIONS(2802),
    [aux_sym_ip_qos_token1] = ACTIONS(2802),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2802),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2802),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2802),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2802),
    [aux_sym_local_command_token1] = ACTIONS(2802),
    [aux_sym_local_forward_token1] = ACTIONS(2802),
    [aux_sym_log_level_token1] = ACTIONS(2802),
    [aux_sym_log_verbose_token1] = ACTIONS(2802),
    [aux_sym_macs_token1] = ACTIONS(2802),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2802),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2802),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2802),
    [aux_sym_password_authentication_token1] = ACTIONS(2802),
    [aux_sym_permit_local_command_token1] = ACTIONS(2802),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2802),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2802),
    [aux_sym_port_token1] = ACTIONS(2802),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2802),
    [aux_sym_protocol_token1] = ACTIONS(2802),
    [aux_sym_proxy_command_token1] = ACTIONS(2802),
    [aux_sym_proxy_jump_token1] = ACTIONS(2802),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2802),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2802),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2802),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2802),
    [aux_sym_rekey_limit_token1] = ACTIONS(2802),
    [aux_sym_remote_command_token1] = ACTIONS(2802),
    [aux_sym_remote_forward_token1] = ACTIONS(2802),
    [aux_sym_request_tty_token1] = ACTIONS(2802),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2802),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2802),
    [aux_sym_security_key_provider_token1] = ACTIONS(2802),
    [aux_sym_send_env_token1] = ACTIONS(2802),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2802),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2802),
    [aux_sym_session_type_token1] = ACTIONS(2802),
    [aux_sym_set_env_token1] = ACTIONS(2802),
    [aux_sym_stdin_null_token1] = ACTIONS(2802),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2802),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2802),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2802),
    [aux_sym_syslog_facility_token1] = ACTIONS(2802),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2802),
    [aux_sym_keep_alive_token1] = ACTIONS(2802),
    [aux_sym_tag_token1] = ACTIONS(2802),
    [aux_sym_tunnel_token1] = ACTIONS(2804),
    [aux_sym_tunnel_device_token1] = ACTIONS(2802),
    [aux_sym_update_host_keys_token1] = ACTIONS(2802),
    [aux_sym_use_keychain_token1] = ACTIONS(2802),
    [aux_sym_use_roaming_token1] = ACTIONS(2802),
    [aux_sym_user_token1] = ACTIONS(2804),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2802),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2802),
    [aux_sym_version_addendum_token1] = ACTIONS(2802),
    [aux_sym_visual_host_key_token1] = ACTIONS(2802),
    [aux_sym_xauth_location_token1] = ACTIONS(2802),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2810),
    [aux_sym_match_token1] = ACTIONS(2808),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2808),
    [aux_sym_address_family_token1] = ACTIONS(2808),
    [aux_sym_batch_mode_token1] = ACTIONS(2808),
    [aux_sym_bind_address_token1] = ACTIONS(2808),
    [aux_sym_bind_interface_token1] = ACTIONS(2808),
    [aux_sym_canonical_domains_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2808),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2808),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2808),
    [aux_sym_certificate_file_token1] = ACTIONS(2808),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2808),
    [aux_sym_channel_timeout_token1] = ACTIONS(2808),
    [aux_sym_check_host_ip_token1] = ACTIONS(2808),
    [aux_sym_ciphers_token1] = ACTIONS(2808),
    [aux_sym_cipher_token1] = ACTIONS(2810),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2808),
    [aux_sym_compression_token1] = ACTIONS(2808),
    [aux_sym_connection_attempts_token1] = ACTIONS(2808),
    [aux_sym_connect_timeout_token1] = ACTIONS(2808),
    [aux_sym_control_master_token1] = ACTIONS(2808),
    [aux_sym_control_path_token1] = ACTIONS(2808),
    [aux_sym_control_persist_token1] = ACTIONS(2808),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2808),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2808),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2808),
    [aux_sym_escape_char_token1] = ACTIONS(2808),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2808),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2808),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2808),
    [aux_sym_forward_agent_token1] = ACTIONS(2808),
    [aux_sym_forward_x11_token1] = ACTIONS(2810),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2808),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2808),
    [aux_sym_gateway_ports_token1] = ACTIONS(2808),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2808),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2808),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2808),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2808),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2808),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2808),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2808),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2808),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2808),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2808),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2808),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2808),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2808),
    [aux_sym_host_key_alias_token1] = ACTIONS(2808),
    [aux_sym_hostname_token1] = ACTIONS(2808),
    [aux_sym_identities_only_token1] = ACTIONS(2808),
    [aux_sym_identity_agent_token1] = ACTIONS(2808),
    [aux_sym_identity_file_token1] = ACTIONS(2808),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2808),
    [aux_sym_include_token1] = ACTIONS(2808),
    [aux_sym_ip_qos_token1] = ACTIONS(2808),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2808),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2808),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2808),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2808),
    [aux_sym_local_command_token1] = ACTIONS(2808),
    [aux_sym_local_forward_token1] = ACTIONS(2808),
    [aux_sym_log_level_token1] = ACTIONS(2808),
    [aux_sym_log_verbose_token1] = ACTIONS(2808),
    [aux_sym_macs_token1] = ACTIONS(2808),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2808),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2808),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2808),
    [aux_sym_password_authentication_token1] = ACTIONS(2808),
    [aux_sym_permit_local_command_token1] = ACTIONS(2808),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2808),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2808),
    [aux_sym_port_token1] = ACTIONS(2808),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2808),
    [aux_sym_protocol_token1] = ACTIONS(2808),
    [aux_sym_proxy_command_token1] = ACTIONS(2808),
    [aux_sym_proxy_jump_token1] = ACTIONS(2808),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2808),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2808),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2808),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2808),
    [aux_sym_rekey_limit_token1] = ACTIONS(2808),
    [aux_sym_remote_command_token1] = ACTIONS(2808),
    [aux_sym_remote_forward_token1] = ACTIONS(2808),
    [aux_sym_request_tty_token1] = ACTIONS(2808),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2808),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2808),
    [aux_sym_security_key_provider_token1] = ACTIONS(2808),
    [aux_sym_send_env_token1] = ACTIONS(2808),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2808),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2808),
    [aux_sym_session_type_token1] = ACTIONS(2808),
    [aux_sym_set_env_token1] = ACTIONS(2808),
    [aux_sym_stdin_null_token1] = ACTIONS(2808),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2808),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2808),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2808),
    [aux_sym_syslog_facility_token1] = ACTIONS(2808),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2808),
    [aux_sym_keep_alive_token1] = ACTIONS(2808),
    [aux_sym_tag_token1] = ACTIONS(2808),
    [aux_sym_tunnel_token1] = ACTIONS(2810),
    [aux_sym_tunnel_device_token1] = ACTIONS(2808),
    [aux_sym_update_host_keys_token1] = ACTIONS(2808),
    [aux_sym_use_keychain_token1] = ACTIONS(2808),
    [aux_sym_use_roaming_token1] = ACTIONS(2808),
    [aux_sym_user_token1] = ACTIONS(2810),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2808),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2808),
    [aux_sym_version_addendum_token1] = ACTIONS(2808),
    [aux_sym_visual_host_key_token1] = ACTIONS(2808),
    [aux_sym_xauth_location_token1] = ACTIONS(2808),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1982),
    [aux_sym_match_token1] = ACTIONS(1980),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1980),
    [aux_sym_address_family_token1] = ACTIONS(1980),
    [aux_sym_batch_mode_token1] = ACTIONS(1980),
    [aux_sym_bind_address_token1] = ACTIONS(1980),
    [aux_sym_bind_interface_token1] = ACTIONS(1980),
    [aux_sym_canonical_domains_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1980),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1980),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1980),
    [aux_sym_certificate_file_token1] = ACTIONS(1980),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1980),
    [aux_sym_channel_timeout_token1] = ACTIONS(1980),
    [aux_sym_check_host_ip_token1] = ACTIONS(1980),
    [aux_sym_ciphers_token1] = ACTIONS(1980),
    [aux_sym_cipher_token1] = ACTIONS(1982),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1980),
    [aux_sym_compression_token1] = ACTIONS(1980),
    [aux_sym_connection_attempts_token1] = ACTIONS(1980),
    [aux_sym_connect_timeout_token1] = ACTIONS(1980),
    [aux_sym_control_master_token1] = ACTIONS(1980),
    [aux_sym_control_path_token1] = ACTIONS(1980),
    [aux_sym_control_persist_token1] = ACTIONS(1980),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1980),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1980),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1980),
    [aux_sym_escape_char_token1] = ACTIONS(1980),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1980),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1980),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1980),
    [aux_sym_forward_agent_token1] = ACTIONS(1980),
    [aux_sym_forward_x11_token1] = ACTIONS(1982),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1980),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1980),
    [aux_sym_gateway_ports_token1] = ACTIONS(1980),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1980),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1980),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1980),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1980),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1980),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1980),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1980),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1980),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1980),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1980),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1980),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1980),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1980),
    [aux_sym_host_key_alias_token1] = ACTIONS(1980),
    [aux_sym_hostname_token1] = ACTIONS(1980),
    [aux_sym_identities_only_token1] = ACTIONS(1980),
    [aux_sym_identity_agent_token1] = ACTIONS(1980),
    [aux_sym_identity_file_token1] = ACTIONS(1980),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1980),
    [aux_sym_include_token1] = ACTIONS(1980),
    [aux_sym_ip_qos_token1] = ACTIONS(1980),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1980),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1980),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1980),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1980),
    [aux_sym_local_command_token1] = ACTIONS(1980),
    [aux_sym_local_forward_token1] = ACTIONS(1980),
    [aux_sym_log_level_token1] = ACTIONS(1980),
    [aux_sym_log_verbose_token1] = ACTIONS(1980),
    [aux_sym_macs_token1] = ACTIONS(1980),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1980),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1980),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1980),
    [aux_sym_password_authentication_token1] = ACTIONS(1980),
    [aux_sym_permit_local_command_token1] = ACTIONS(1980),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1980),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1980),
    [aux_sym_port_token1] = ACTIONS(1980),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1980),
    [aux_sym_protocol_token1] = ACTIONS(1980),
    [aux_sym_proxy_command_token1] = ACTIONS(1980),
    [aux_sym_proxy_jump_token1] = ACTIONS(1980),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1980),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1980),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1980),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1980),
    [aux_sym_rekey_limit_token1] = ACTIONS(1980),
    [aux_sym_remote_command_token1] = ACTIONS(1980),
    [aux_sym_remote_forward_token1] = ACTIONS(1980),
    [aux_sym_request_tty_token1] = ACTIONS(1980),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1980),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1980),
    [aux_sym_security_key_provider_token1] = ACTIONS(1980),
    [aux_sym_send_env_token1] = ACTIONS(1980),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1980),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1980),
    [aux_sym_session_type_token1] = ACTIONS(1980),
    [aux_sym_set_env_token1] = ACTIONS(1980),
    [aux_sym_stdin_null_token1] = ACTIONS(1980),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1980),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1980),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1980),
    [aux_sym_syslog_facility_token1] = ACTIONS(1980),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1980),
    [aux_sym_keep_alive_token1] = ACTIONS(1980),
    [aux_sym_tag_token1] = ACTIONS(1980),
    [aux_sym_tunnel_token1] = ACTIONS(1982),
    [aux_sym_tunnel_device_token1] = ACTIONS(1980),
    [aux_sym_update_host_keys_token1] = ACTIONS(1980),
    [aux_sym_use_keychain_token1] = ACTIONS(1980),
    [aux_sym_use_roaming_token1] = ACTIONS(1980),
    [aux_sym_user_token1] = ACTIONS(1982),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1980),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1980),
    [aux_sym_version_addendum_token1] = ACTIONS(1980),
    [aux_sym_visual_host_key_token1] = ACTIONS(1980),
    [aux_sym_xauth_location_token1] = ACTIONS(1980),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2816),
    [aux_sym_match_token1] = ACTIONS(2814),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2814),
    [aux_sym_address_family_token1] = ACTIONS(2814),
    [aux_sym_batch_mode_token1] = ACTIONS(2814),
    [aux_sym_bind_address_token1] = ACTIONS(2814),
    [aux_sym_bind_interface_token1] = ACTIONS(2814),
    [aux_sym_canonical_domains_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2814),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2814),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2814),
    [aux_sym_certificate_file_token1] = ACTIONS(2814),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2814),
    [aux_sym_channel_timeout_token1] = ACTIONS(2814),
    [aux_sym_check_host_ip_token1] = ACTIONS(2814),
    [aux_sym_ciphers_token1] = ACTIONS(2814),
    [aux_sym_cipher_token1] = ACTIONS(2816),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2814),
    [aux_sym_compression_token1] = ACTIONS(2814),
    [aux_sym_connection_attempts_token1] = ACTIONS(2814),
    [aux_sym_connect_timeout_token1] = ACTIONS(2814),
    [aux_sym_control_master_token1] = ACTIONS(2814),
    [aux_sym_control_path_token1] = ACTIONS(2814),
    [aux_sym_control_persist_token1] = ACTIONS(2814),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2814),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2814),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2814),
    [aux_sym_escape_char_token1] = ACTIONS(2814),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2814),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2814),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2814),
    [aux_sym_forward_agent_token1] = ACTIONS(2814),
    [aux_sym_forward_x11_token1] = ACTIONS(2816),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2814),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2814),
    [aux_sym_gateway_ports_token1] = ACTIONS(2814),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2814),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2814),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2814),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2814),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2814),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2814),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2814),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2814),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2814),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2814),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2814),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2814),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2814),
    [aux_sym_host_key_alias_token1] = ACTIONS(2814),
    [aux_sym_hostname_token1] = ACTIONS(2814),
    [aux_sym_identities_only_token1] = ACTIONS(2814),
    [aux_sym_identity_agent_token1] = ACTIONS(2814),
    [aux_sym_identity_file_token1] = ACTIONS(2814),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2814),
    [aux_sym_include_token1] = ACTIONS(2814),
    [aux_sym_ip_qos_token1] = ACTIONS(2814),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2814),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2814),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2814),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2814),
    [aux_sym_local_command_token1] = ACTIONS(2814),
    [aux_sym_local_forward_token1] = ACTIONS(2814),
    [aux_sym_log_level_token1] = ACTIONS(2814),
    [aux_sym_log_verbose_token1] = ACTIONS(2814),
    [aux_sym_macs_token1] = ACTIONS(2814),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2814),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2814),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2814),
    [aux_sym_password_authentication_token1] = ACTIONS(2814),
    [aux_sym_permit_local_command_token1] = ACTIONS(2814),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2814),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2814),
    [aux_sym_port_token1] = ACTIONS(2814),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2814),
    [aux_sym_protocol_token1] = ACTIONS(2814),
    [aux_sym_proxy_command_token1] = ACTIONS(2814),
    [aux_sym_proxy_jump_token1] = ACTIONS(2814),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2814),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2814),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2814),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2814),
    [aux_sym_rekey_limit_token1] = ACTIONS(2814),
    [aux_sym_remote_command_token1] = ACTIONS(2814),
    [aux_sym_remote_forward_token1] = ACTIONS(2814),
    [aux_sym_request_tty_token1] = ACTIONS(2814),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2814),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2814),
    [aux_sym_security_key_provider_token1] = ACTIONS(2814),
    [aux_sym_send_env_token1] = ACTIONS(2814),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2814),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2814),
    [aux_sym_session_type_token1] = ACTIONS(2814),
    [aux_sym_set_env_token1] = ACTIONS(2814),
    [aux_sym_stdin_null_token1] = ACTIONS(2814),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2814),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2814),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2814),
    [aux_sym_syslog_facility_token1] = ACTIONS(2814),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2814),
    [aux_sym_keep_alive_token1] = ACTIONS(2814),
    [aux_sym_tag_token1] = ACTIONS(2814),
    [aux_sym_tunnel_token1] = ACTIONS(2816),
    [aux_sym_tunnel_device_token1] = ACTIONS(2814),
    [aux_sym_update_host_keys_token1] = ACTIONS(2814),
    [aux_sym_use_keychain_token1] = ACTIONS(2814),
    [aux_sym_use_roaming_token1] = ACTIONS(2814),
    [aux_sym_user_token1] = ACTIONS(2816),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2814),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2814),
    [aux_sym_version_addendum_token1] = ACTIONS(2814),
    [aux_sym_visual_host_key_token1] = ACTIONS(2814),
    [aux_sym_xauth_location_token1] = ACTIONS(2814),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2822),
    [aux_sym_match_token1] = ACTIONS(2820),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2820),
    [aux_sym_address_family_token1] = ACTIONS(2820),
    [aux_sym_batch_mode_token1] = ACTIONS(2820),
    [aux_sym_bind_address_token1] = ACTIONS(2820),
    [aux_sym_bind_interface_token1] = ACTIONS(2820),
    [aux_sym_canonical_domains_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2820),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2820),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2820),
    [aux_sym_certificate_file_token1] = ACTIONS(2820),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2820),
    [aux_sym_channel_timeout_token1] = ACTIONS(2820),
    [aux_sym_check_host_ip_token1] = ACTIONS(2820),
    [aux_sym_ciphers_token1] = ACTIONS(2820),
    [aux_sym_cipher_token1] = ACTIONS(2822),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2820),
    [aux_sym_compression_token1] = ACTIONS(2820),
    [aux_sym_connection_attempts_token1] = ACTIONS(2820),
    [aux_sym_connect_timeout_token1] = ACTIONS(2820),
    [aux_sym_control_master_token1] = ACTIONS(2820),
    [aux_sym_control_path_token1] = ACTIONS(2820),
    [aux_sym_control_persist_token1] = ACTIONS(2820),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2820),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2820),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2820),
    [aux_sym_escape_char_token1] = ACTIONS(2820),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2820),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2820),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2820),
    [aux_sym_forward_agent_token1] = ACTIONS(2820),
    [aux_sym_forward_x11_token1] = ACTIONS(2822),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2820),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2820),
    [aux_sym_gateway_ports_token1] = ACTIONS(2820),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2820),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2820),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2820),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2820),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2820),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2820),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2820),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2820),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2820),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2820),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2820),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2820),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2820),
    [aux_sym_host_key_alias_token1] = ACTIONS(2820),
    [aux_sym_hostname_token1] = ACTIONS(2820),
    [aux_sym_identities_only_token1] = ACTIONS(2820),
    [aux_sym_identity_agent_token1] = ACTIONS(2820),
    [aux_sym_identity_file_token1] = ACTIONS(2820),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2820),
    [aux_sym_include_token1] = ACTIONS(2820),
    [aux_sym_ip_qos_token1] = ACTIONS(2820),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2820),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2820),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2820),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2820),
    [aux_sym_local_command_token1] = ACTIONS(2820),
    [aux_sym_local_forward_token1] = ACTIONS(2820),
    [aux_sym_log_level_token1] = ACTIONS(2820),
    [aux_sym_log_verbose_token1] = ACTIONS(2820),
    [aux_sym_macs_token1] = ACTIONS(2820),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2820),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2820),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2820),
    [aux_sym_password_authentication_token1] = ACTIONS(2820),
    [aux_sym_permit_local_command_token1] = ACTIONS(2820),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2820),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2820),
    [aux_sym_port_token1] = ACTIONS(2820),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2820),
    [aux_sym_protocol_token1] = ACTIONS(2820),
    [aux_sym_proxy_command_token1] = ACTIONS(2820),
    [aux_sym_proxy_jump_token1] = ACTIONS(2820),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2820),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2820),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2820),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2820),
    [aux_sym_rekey_limit_token1] = ACTIONS(2820),
    [aux_sym_remote_command_token1] = ACTIONS(2820),
    [aux_sym_remote_forward_token1] = ACTIONS(2820),
    [aux_sym_request_tty_token1] = ACTIONS(2820),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2820),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2820),
    [aux_sym_security_key_provider_token1] = ACTIONS(2820),
    [aux_sym_send_env_token1] = ACTIONS(2820),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2820),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2820),
    [aux_sym_session_type_token1] = ACTIONS(2820),
    [aux_sym_set_env_token1] = ACTIONS(2820),
    [aux_sym_stdin_null_token1] = ACTIONS(2820),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2820),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2820),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2820),
    [aux_sym_syslog_facility_token1] = ACTIONS(2820),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2820),
    [aux_sym_keep_alive_token1] = ACTIONS(2820),
    [aux_sym_tag_token1] = ACTIONS(2820),
    [aux_sym_tunnel_token1] = ACTIONS(2822),
    [aux_sym_tunnel_device_token1] = ACTIONS(2820),
    [aux_sym_update_host_keys_token1] = ACTIONS(2820),
    [aux_sym_use_keychain_token1] = ACTIONS(2820),
    [aux_sym_use_roaming_token1] = ACTIONS(2820),
    [aux_sym_user_token1] = ACTIONS(2822),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2820),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2820),
    [aux_sym_version_addendum_token1] = ACTIONS(2820),
    [aux_sym_visual_host_key_token1] = ACTIONS(2820),
    [aux_sym_xauth_location_token1] = ACTIONS(2820),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1986),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1988),
    [aux_sym_match_token1] = ACTIONS(1986),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1986),
    [aux_sym_address_family_token1] = ACTIONS(1986),
    [aux_sym_batch_mode_token1] = ACTIONS(1986),
    [aux_sym_bind_address_token1] = ACTIONS(1986),
    [aux_sym_bind_interface_token1] = ACTIONS(1986),
    [aux_sym_canonical_domains_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1986),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1986),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1986),
    [aux_sym_certificate_file_token1] = ACTIONS(1986),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1986),
    [aux_sym_channel_timeout_token1] = ACTIONS(1986),
    [aux_sym_check_host_ip_token1] = ACTIONS(1986),
    [aux_sym_ciphers_token1] = ACTIONS(1986),
    [aux_sym_cipher_token1] = ACTIONS(1988),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1986),
    [aux_sym_compression_token1] = ACTIONS(1986),
    [aux_sym_connection_attempts_token1] = ACTIONS(1986),
    [aux_sym_connect_timeout_token1] = ACTIONS(1986),
    [aux_sym_control_master_token1] = ACTIONS(1986),
    [aux_sym_control_path_token1] = ACTIONS(1986),
    [aux_sym_control_persist_token1] = ACTIONS(1986),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1986),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1986),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1986),
    [aux_sym_escape_char_token1] = ACTIONS(1986),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1986),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1986),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1986),
    [aux_sym_forward_agent_token1] = ACTIONS(1986),
    [aux_sym_forward_x11_token1] = ACTIONS(1988),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1986),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1986),
    [aux_sym_gateway_ports_token1] = ACTIONS(1986),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1986),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1986),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1986),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1986),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1986),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1986),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1986),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1986),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1986),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1986),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1986),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1986),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1986),
    [aux_sym_host_key_alias_token1] = ACTIONS(1986),
    [aux_sym_hostname_token1] = ACTIONS(1986),
    [aux_sym_identities_only_token1] = ACTIONS(1986),
    [aux_sym_identity_agent_token1] = ACTIONS(1986),
    [aux_sym_identity_file_token1] = ACTIONS(1986),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1986),
    [aux_sym_include_token1] = ACTIONS(1986),
    [aux_sym_ip_qos_token1] = ACTIONS(1986),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1986),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1986),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1986),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1986),
    [aux_sym_local_command_token1] = ACTIONS(1986),
    [aux_sym_local_forward_token1] = ACTIONS(1986),
    [aux_sym_log_level_token1] = ACTIONS(1986),
    [aux_sym_log_verbose_token1] = ACTIONS(1986),
    [aux_sym_macs_token1] = ACTIONS(1986),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1986),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1986),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1986),
    [aux_sym_password_authentication_token1] = ACTIONS(1986),
    [aux_sym_permit_local_command_token1] = ACTIONS(1986),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1986),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1986),
    [aux_sym_port_token1] = ACTIONS(1986),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1986),
    [aux_sym_protocol_token1] = ACTIONS(1986),
    [aux_sym_proxy_command_token1] = ACTIONS(1986),
    [aux_sym_proxy_jump_token1] = ACTIONS(1986),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1986),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1986),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1986),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1986),
    [aux_sym_rekey_limit_token1] = ACTIONS(1986),
    [aux_sym_remote_command_token1] = ACTIONS(1986),
    [aux_sym_remote_forward_token1] = ACTIONS(1986),
    [aux_sym_request_tty_token1] = ACTIONS(1986),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1986),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1986),
    [aux_sym_security_key_provider_token1] = ACTIONS(1986),
    [aux_sym_send_env_token1] = ACTIONS(1986),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1986),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1986),
    [aux_sym_session_type_token1] = ACTIONS(1986),
    [aux_sym_set_env_token1] = ACTIONS(1986),
    [aux_sym_stdin_null_token1] = ACTIONS(1986),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1986),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1986),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1986),
    [aux_sym_syslog_facility_token1] = ACTIONS(1986),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1986),
    [aux_sym_keep_alive_token1] = ACTIONS(1986),
    [aux_sym_tag_token1] = ACTIONS(1986),
    [aux_sym_tunnel_token1] = ACTIONS(1988),
    [aux_sym_tunnel_device_token1] = ACTIONS(1986),
    [aux_sym_update_host_keys_token1] = ACTIONS(1986),
    [aux_sym_use_keychain_token1] = ACTIONS(1986),
    [aux_sym_use_roaming_token1] = ACTIONS(1986),
    [aux_sym_user_token1] = ACTIONS(1988),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1986),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1986),
    [aux_sym_version_addendum_token1] = ACTIONS(1986),
    [aux_sym_visual_host_key_token1] = ACTIONS(1986),
    [aux_sym_xauth_location_token1] = ACTIONS(1986),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2828),
    [aux_sym_match_token1] = ACTIONS(2826),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2826),
    [aux_sym_address_family_token1] = ACTIONS(2826),
    [aux_sym_batch_mode_token1] = ACTIONS(2826),
    [aux_sym_bind_address_token1] = ACTIONS(2826),
    [aux_sym_bind_interface_token1] = ACTIONS(2826),
    [aux_sym_canonical_domains_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2826),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2826),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2826),
    [aux_sym_certificate_file_token1] = ACTIONS(2826),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2826),
    [aux_sym_channel_timeout_token1] = ACTIONS(2826),
    [aux_sym_check_host_ip_token1] = ACTIONS(2826),
    [aux_sym_ciphers_token1] = ACTIONS(2826),
    [aux_sym_cipher_token1] = ACTIONS(2828),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2826),
    [aux_sym_compression_token1] = ACTIONS(2826),
    [aux_sym_connection_attempts_token1] = ACTIONS(2826),
    [aux_sym_connect_timeout_token1] = ACTIONS(2826),
    [aux_sym_control_master_token1] = ACTIONS(2826),
    [aux_sym_control_path_token1] = ACTIONS(2826),
    [aux_sym_control_persist_token1] = ACTIONS(2826),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2826),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2826),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2826),
    [aux_sym_escape_char_token1] = ACTIONS(2826),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2826),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2826),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2826),
    [aux_sym_forward_agent_token1] = ACTIONS(2826),
    [aux_sym_forward_x11_token1] = ACTIONS(2828),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2826),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2826),
    [aux_sym_gateway_ports_token1] = ACTIONS(2826),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2826),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2826),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2826),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2826),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2826),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2826),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2826),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2826),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2826),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2826),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2826),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2826),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2826),
    [aux_sym_host_key_alias_token1] = ACTIONS(2826),
    [aux_sym_hostname_token1] = ACTIONS(2826),
    [aux_sym_identities_only_token1] = ACTIONS(2826),
    [aux_sym_identity_agent_token1] = ACTIONS(2826),
    [aux_sym_identity_file_token1] = ACTIONS(2826),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2826),
    [aux_sym_include_token1] = ACTIONS(2826),
    [aux_sym_ip_qos_token1] = ACTIONS(2826),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2826),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2826),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2826),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2826),
    [aux_sym_local_command_token1] = ACTIONS(2826),
    [aux_sym_local_forward_token1] = ACTIONS(2826),
    [aux_sym_log_level_token1] = ACTIONS(2826),
    [aux_sym_log_verbose_token1] = ACTIONS(2826),
    [aux_sym_macs_token1] = ACTIONS(2826),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2826),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2826),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2826),
    [aux_sym_password_authentication_token1] = ACTIONS(2826),
    [aux_sym_permit_local_command_token1] = ACTIONS(2826),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2826),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2826),
    [aux_sym_port_token1] = ACTIONS(2826),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2826),
    [aux_sym_protocol_token1] = ACTIONS(2826),
    [aux_sym_proxy_command_token1] = ACTIONS(2826),
    [aux_sym_proxy_jump_token1] = ACTIONS(2826),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2826),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2826),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2826),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2826),
    [aux_sym_rekey_limit_token1] = ACTIONS(2826),
    [aux_sym_remote_command_token1] = ACTIONS(2826),
    [aux_sym_remote_forward_token1] = ACTIONS(2826),
    [aux_sym_request_tty_token1] = ACTIONS(2826),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2826),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2826),
    [aux_sym_security_key_provider_token1] = ACTIONS(2826),
    [aux_sym_send_env_token1] = ACTIONS(2826),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2826),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2826),
    [aux_sym_session_type_token1] = ACTIONS(2826),
    [aux_sym_set_env_token1] = ACTIONS(2826),
    [aux_sym_stdin_null_token1] = ACTIONS(2826),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2826),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2826),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2826),
    [aux_sym_syslog_facility_token1] = ACTIONS(2826),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2826),
    [aux_sym_keep_alive_token1] = ACTIONS(2826),
    [aux_sym_tag_token1] = ACTIONS(2826),
    [aux_sym_tunnel_token1] = ACTIONS(2828),
    [aux_sym_tunnel_device_token1] = ACTIONS(2826),
    [aux_sym_update_host_keys_token1] = ACTIONS(2826),
    [aux_sym_use_keychain_token1] = ACTIONS(2826),
    [aux_sym_use_roaming_token1] = ACTIONS(2826),
    [aux_sym_user_token1] = ACTIONS(2828),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2826),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2826),
    [aux_sym_version_addendum_token1] = ACTIONS(2826),
    [aux_sym_visual_host_key_token1] = ACTIONS(2826),
    [aux_sym_xauth_location_token1] = ACTIONS(2826),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2834),
    [aux_sym_match_token1] = ACTIONS(2832),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2832),
    [aux_sym_address_family_token1] = ACTIONS(2832),
    [aux_sym_batch_mode_token1] = ACTIONS(2832),
    [aux_sym_bind_address_token1] = ACTIONS(2832),
    [aux_sym_bind_interface_token1] = ACTIONS(2832),
    [aux_sym_canonical_domains_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2832),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2832),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2832),
    [aux_sym_certificate_file_token1] = ACTIONS(2832),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2832),
    [aux_sym_channel_timeout_token1] = ACTIONS(2832),
    [aux_sym_check_host_ip_token1] = ACTIONS(2832),
    [aux_sym_ciphers_token1] = ACTIONS(2832),
    [aux_sym_cipher_token1] = ACTIONS(2834),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2832),
    [aux_sym_compression_token1] = ACTIONS(2832),
    [aux_sym_connection_attempts_token1] = ACTIONS(2832),
    [aux_sym_connect_timeout_token1] = ACTIONS(2832),
    [aux_sym_control_master_token1] = ACTIONS(2832),
    [aux_sym_control_path_token1] = ACTIONS(2832),
    [aux_sym_control_persist_token1] = ACTIONS(2832),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2832),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2832),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2832),
    [aux_sym_escape_char_token1] = ACTIONS(2832),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2832),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2832),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2832),
    [aux_sym_forward_agent_token1] = ACTIONS(2832),
    [aux_sym_forward_x11_token1] = ACTIONS(2834),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2832),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2832),
    [aux_sym_gateway_ports_token1] = ACTIONS(2832),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2832),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2832),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2832),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2832),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2832),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2832),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2832),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2832),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2832),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2832),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2832),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2832),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2832),
    [aux_sym_host_key_alias_token1] = ACTIONS(2832),
    [aux_sym_hostname_token1] = ACTIONS(2832),
    [aux_sym_identities_only_token1] = ACTIONS(2832),
    [aux_sym_identity_agent_token1] = ACTIONS(2832),
    [aux_sym_identity_file_token1] = ACTIONS(2832),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2832),
    [aux_sym_include_token1] = ACTIONS(2832),
    [aux_sym_ip_qos_token1] = ACTIONS(2832),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2832),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2832),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2832),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2832),
    [aux_sym_local_command_token1] = ACTIONS(2832),
    [aux_sym_local_forward_token1] = ACTIONS(2832),
    [aux_sym_log_level_token1] = ACTIONS(2832),
    [aux_sym_log_verbose_token1] = ACTIONS(2832),
    [aux_sym_macs_token1] = ACTIONS(2832),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2832),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2832),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2832),
    [aux_sym_password_authentication_token1] = ACTIONS(2832),
    [aux_sym_permit_local_command_token1] = ACTIONS(2832),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2832),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2832),
    [aux_sym_port_token1] = ACTIONS(2832),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2832),
    [aux_sym_protocol_token1] = ACTIONS(2832),
    [aux_sym_proxy_command_token1] = ACTIONS(2832),
    [aux_sym_proxy_jump_token1] = ACTIONS(2832),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2832),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2832),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2832),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2832),
    [aux_sym_rekey_limit_token1] = ACTIONS(2832),
    [aux_sym_remote_command_token1] = ACTIONS(2832),
    [aux_sym_remote_forward_token1] = ACTIONS(2832),
    [aux_sym_request_tty_token1] = ACTIONS(2832),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2832),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2832),
    [aux_sym_security_key_provider_token1] = ACTIONS(2832),
    [aux_sym_send_env_token1] = ACTIONS(2832),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2832),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2832),
    [aux_sym_session_type_token1] = ACTIONS(2832),
    [aux_sym_set_env_token1] = ACTIONS(2832),
    [aux_sym_stdin_null_token1] = ACTIONS(2832),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2832),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2832),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2832),
    [aux_sym_syslog_facility_token1] = ACTIONS(2832),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2832),
    [aux_sym_keep_alive_token1] = ACTIONS(2832),
    [aux_sym_tag_token1] = ACTIONS(2832),
    [aux_sym_tunnel_token1] = ACTIONS(2834),
    [aux_sym_tunnel_device_token1] = ACTIONS(2832),
    [aux_sym_update_host_keys_token1] = ACTIONS(2832),
    [aux_sym_use_keychain_token1] = ACTIONS(2832),
    [aux_sym_use_roaming_token1] = ACTIONS(2832),
    [aux_sym_user_token1] = ACTIONS(2834),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2832),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2832),
    [aux_sym_version_addendum_token1] = ACTIONS(2832),
    [aux_sym_visual_host_key_token1] = ACTIONS(2832),
    [aux_sym_xauth_location_token1] = ACTIONS(2832),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1994),
    [aux_sym_match_token1] = ACTIONS(1992),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1992),
    [aux_sym_address_family_token1] = ACTIONS(1992),
    [aux_sym_batch_mode_token1] = ACTIONS(1992),
    [aux_sym_bind_address_token1] = ACTIONS(1992),
    [aux_sym_bind_interface_token1] = ACTIONS(1992),
    [aux_sym_canonical_domains_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1992),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1992),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1992),
    [aux_sym_certificate_file_token1] = ACTIONS(1992),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1992),
    [aux_sym_channel_timeout_token1] = ACTIONS(1992),
    [aux_sym_check_host_ip_token1] = ACTIONS(1992),
    [aux_sym_ciphers_token1] = ACTIONS(1992),
    [aux_sym_cipher_token1] = ACTIONS(1994),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1992),
    [aux_sym_compression_token1] = ACTIONS(1992),
    [aux_sym_connection_attempts_token1] = ACTIONS(1992),
    [aux_sym_connect_timeout_token1] = ACTIONS(1992),
    [aux_sym_control_master_token1] = ACTIONS(1992),
    [aux_sym_control_path_token1] = ACTIONS(1992),
    [aux_sym_control_persist_token1] = ACTIONS(1992),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1992),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1992),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1992),
    [aux_sym_escape_char_token1] = ACTIONS(1992),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1992),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1992),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1992),
    [aux_sym_forward_agent_token1] = ACTIONS(1992),
    [aux_sym_forward_x11_token1] = ACTIONS(1994),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1992),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1992),
    [aux_sym_gateway_ports_token1] = ACTIONS(1992),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1992),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1992),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1992),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1992),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1992),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1992),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1992),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1992),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1992),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1992),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1992),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1992),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1992),
    [aux_sym_host_key_alias_token1] = ACTIONS(1992),
    [aux_sym_hostname_token1] = ACTIONS(1992),
    [aux_sym_identities_only_token1] = ACTIONS(1992),
    [aux_sym_identity_agent_token1] = ACTIONS(1992),
    [aux_sym_identity_file_token1] = ACTIONS(1992),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1992),
    [aux_sym_include_token1] = ACTIONS(1992),
    [aux_sym_ip_qos_token1] = ACTIONS(1992),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1992),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1992),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1992),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1992),
    [aux_sym_local_command_token1] = ACTIONS(1992),
    [aux_sym_local_forward_token1] = ACTIONS(1992),
    [aux_sym_log_level_token1] = ACTIONS(1992),
    [aux_sym_log_verbose_token1] = ACTIONS(1992),
    [aux_sym_macs_token1] = ACTIONS(1992),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1992),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1992),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1992),
    [aux_sym_password_authentication_token1] = ACTIONS(1992),
    [aux_sym_permit_local_command_token1] = ACTIONS(1992),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1992),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1992),
    [aux_sym_port_token1] = ACTIONS(1992),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1992),
    [aux_sym_protocol_token1] = ACTIONS(1992),
    [aux_sym_proxy_command_token1] = ACTIONS(1992),
    [aux_sym_proxy_jump_token1] = ACTIONS(1992),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1992),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1992),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1992),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1992),
    [aux_sym_rekey_limit_token1] = ACTIONS(1992),
    [aux_sym_remote_command_token1] = ACTIONS(1992),
    [aux_sym_remote_forward_token1] = ACTIONS(1992),
    [aux_sym_request_tty_token1] = ACTIONS(1992),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1992),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1992),
    [aux_sym_security_key_provider_token1] = ACTIONS(1992),
    [aux_sym_send_env_token1] = ACTIONS(1992),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1992),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1992),
    [aux_sym_session_type_token1] = ACTIONS(1992),
    [aux_sym_set_env_token1] = ACTIONS(1992),
    [aux_sym_stdin_null_token1] = ACTIONS(1992),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1992),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1992),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1992),
    [aux_sym_syslog_facility_token1] = ACTIONS(1992),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1992),
    [aux_sym_keep_alive_token1] = ACTIONS(1992),
    [aux_sym_tag_token1] = ACTIONS(1992),
    [aux_sym_tunnel_token1] = ACTIONS(1994),
    [aux_sym_tunnel_device_token1] = ACTIONS(1992),
    [aux_sym_update_host_keys_token1] = ACTIONS(1992),
    [aux_sym_use_keychain_token1] = ACTIONS(1992),
    [aux_sym_use_roaming_token1] = ACTIONS(1992),
    [aux_sym_user_token1] = ACTIONS(1994),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1992),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1992),
    [aux_sym_version_addendum_token1] = ACTIONS(1992),
    [aux_sym_visual_host_key_token1] = ACTIONS(1992),
    [aux_sym_xauth_location_token1] = ACTIONS(1992),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2840),
    [aux_sym_match_token1] = ACTIONS(2838),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2838),
    [aux_sym_address_family_token1] = ACTIONS(2838),
    [aux_sym_batch_mode_token1] = ACTIONS(2838),
    [aux_sym_bind_address_token1] = ACTIONS(2838),
    [aux_sym_bind_interface_token1] = ACTIONS(2838),
    [aux_sym_canonical_domains_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2838),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2838),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2838),
    [aux_sym_certificate_file_token1] = ACTIONS(2838),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2838),
    [aux_sym_channel_timeout_token1] = ACTIONS(2838),
    [aux_sym_check_host_ip_token1] = ACTIONS(2838),
    [aux_sym_ciphers_token1] = ACTIONS(2838),
    [aux_sym_cipher_token1] = ACTIONS(2840),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2838),
    [aux_sym_compression_token1] = ACTIONS(2838),
    [aux_sym_connection_attempts_token1] = ACTIONS(2838),
    [aux_sym_connect_timeout_token1] = ACTIONS(2838),
    [aux_sym_control_master_token1] = ACTIONS(2838),
    [aux_sym_control_path_token1] = ACTIONS(2838),
    [aux_sym_control_persist_token1] = ACTIONS(2838),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2838),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2838),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2838),
    [aux_sym_escape_char_token1] = ACTIONS(2838),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2838),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2838),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2838),
    [aux_sym_forward_agent_token1] = ACTIONS(2838),
    [aux_sym_forward_x11_token1] = ACTIONS(2840),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2838),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2838),
    [aux_sym_gateway_ports_token1] = ACTIONS(2838),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2838),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2838),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2838),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2838),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2838),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2838),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2838),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2838),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2838),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2838),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2838),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2838),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2838),
    [aux_sym_host_key_alias_token1] = ACTIONS(2838),
    [aux_sym_hostname_token1] = ACTIONS(2838),
    [aux_sym_identities_only_token1] = ACTIONS(2838),
    [aux_sym_identity_agent_token1] = ACTIONS(2838),
    [aux_sym_identity_file_token1] = ACTIONS(2838),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2838),
    [aux_sym_include_token1] = ACTIONS(2838),
    [aux_sym_ip_qos_token1] = ACTIONS(2838),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2838),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2838),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2838),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2838),
    [aux_sym_local_command_token1] = ACTIONS(2838),
    [aux_sym_local_forward_token1] = ACTIONS(2838),
    [aux_sym_log_level_token1] = ACTIONS(2838),
    [aux_sym_log_verbose_token1] = ACTIONS(2838),
    [aux_sym_macs_token1] = ACTIONS(2838),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2838),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2838),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2838),
    [aux_sym_password_authentication_token1] = ACTIONS(2838),
    [aux_sym_permit_local_command_token1] = ACTIONS(2838),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2838),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2838),
    [aux_sym_port_token1] = ACTIONS(2838),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2838),
    [aux_sym_protocol_token1] = ACTIONS(2838),
    [aux_sym_proxy_command_token1] = ACTIONS(2838),
    [aux_sym_proxy_jump_token1] = ACTIONS(2838),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2838),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2838),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2838),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2838),
    [aux_sym_rekey_limit_token1] = ACTIONS(2838),
    [aux_sym_remote_command_token1] = ACTIONS(2838),
    [aux_sym_remote_forward_token1] = ACTIONS(2838),
    [aux_sym_request_tty_token1] = ACTIONS(2838),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2838),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2838),
    [aux_sym_security_key_provider_token1] = ACTIONS(2838),
    [aux_sym_send_env_token1] = ACTIONS(2838),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2838),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2838),
    [aux_sym_session_type_token1] = ACTIONS(2838),
    [aux_sym_set_env_token1] = ACTIONS(2838),
    [aux_sym_stdin_null_token1] = ACTIONS(2838),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2838),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2838),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2838),
    [aux_sym_syslog_facility_token1] = ACTIONS(2838),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2838),
    [aux_sym_keep_alive_token1] = ACTIONS(2838),
    [aux_sym_tag_token1] = ACTIONS(2838),
    [aux_sym_tunnel_token1] = ACTIONS(2840),
    [aux_sym_tunnel_device_token1] = ACTIONS(2838),
    [aux_sym_update_host_keys_token1] = ACTIONS(2838),
    [aux_sym_use_keychain_token1] = ACTIONS(2838),
    [aux_sym_use_roaming_token1] = ACTIONS(2838),
    [aux_sym_user_token1] = ACTIONS(2840),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2838),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2838),
    [aux_sym_version_addendum_token1] = ACTIONS(2838),
    [aux_sym_visual_host_key_token1] = ACTIONS(2838),
    [aux_sym_xauth_location_token1] = ACTIONS(2838),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2846),
    [aux_sym_match_token1] = ACTIONS(2844),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2844),
    [aux_sym_address_family_token1] = ACTIONS(2844),
    [aux_sym_batch_mode_token1] = ACTIONS(2844),
    [aux_sym_bind_address_token1] = ACTIONS(2844),
    [aux_sym_bind_interface_token1] = ACTIONS(2844),
    [aux_sym_canonical_domains_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2844),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2844),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2844),
    [aux_sym_certificate_file_token1] = ACTIONS(2844),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2844),
    [aux_sym_channel_timeout_token1] = ACTIONS(2844),
    [aux_sym_check_host_ip_token1] = ACTIONS(2844),
    [aux_sym_ciphers_token1] = ACTIONS(2844),
    [aux_sym_cipher_token1] = ACTIONS(2846),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2844),
    [aux_sym_compression_token1] = ACTIONS(2844),
    [aux_sym_connection_attempts_token1] = ACTIONS(2844),
    [aux_sym_connect_timeout_token1] = ACTIONS(2844),
    [aux_sym_control_master_token1] = ACTIONS(2844),
    [aux_sym_control_path_token1] = ACTIONS(2844),
    [aux_sym_control_persist_token1] = ACTIONS(2844),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2844),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2844),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2844),
    [aux_sym_escape_char_token1] = ACTIONS(2844),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2844),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2844),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2844),
    [aux_sym_forward_agent_token1] = ACTIONS(2844),
    [aux_sym_forward_x11_token1] = ACTIONS(2846),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2844),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2844),
    [aux_sym_gateway_ports_token1] = ACTIONS(2844),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2844),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2844),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2844),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2844),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2844),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2844),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2844),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2844),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2844),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2844),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2844),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2844),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2844),
    [aux_sym_host_key_alias_token1] = ACTIONS(2844),
    [aux_sym_hostname_token1] = ACTIONS(2844),
    [aux_sym_identities_only_token1] = ACTIONS(2844),
    [aux_sym_identity_agent_token1] = ACTIONS(2844),
    [aux_sym_identity_file_token1] = ACTIONS(2844),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2844),
    [aux_sym_include_token1] = ACTIONS(2844),
    [aux_sym_ip_qos_token1] = ACTIONS(2844),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2844),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2844),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2844),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2844),
    [aux_sym_local_command_token1] = ACTIONS(2844),
    [aux_sym_local_forward_token1] = ACTIONS(2844),
    [aux_sym_log_level_token1] = ACTIONS(2844),
    [aux_sym_log_verbose_token1] = ACTIONS(2844),
    [aux_sym_macs_token1] = ACTIONS(2844),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2844),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2844),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2844),
    [aux_sym_password_authentication_token1] = ACTIONS(2844),
    [aux_sym_permit_local_command_token1] = ACTIONS(2844),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2844),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2844),
    [aux_sym_port_token1] = ACTIONS(2844),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2844),
    [aux_sym_protocol_token1] = ACTIONS(2844),
    [aux_sym_proxy_command_token1] = ACTIONS(2844),
    [aux_sym_proxy_jump_token1] = ACTIONS(2844),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2844),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2844),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2844),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2844),
    [aux_sym_rekey_limit_token1] = ACTIONS(2844),
    [aux_sym_remote_command_token1] = ACTIONS(2844),
    [aux_sym_remote_forward_token1] = ACTIONS(2844),
    [aux_sym_request_tty_token1] = ACTIONS(2844),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2844),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2844),
    [aux_sym_security_key_provider_token1] = ACTIONS(2844),
    [aux_sym_send_env_token1] = ACTIONS(2844),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2844),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2844),
    [aux_sym_session_type_token1] = ACTIONS(2844),
    [aux_sym_set_env_token1] = ACTIONS(2844),
    [aux_sym_stdin_null_token1] = ACTIONS(2844),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2844),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2844),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2844),
    [aux_sym_syslog_facility_token1] = ACTIONS(2844),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2844),
    [aux_sym_keep_alive_token1] = ACTIONS(2844),
    [aux_sym_tag_token1] = ACTIONS(2844),
    [aux_sym_tunnel_token1] = ACTIONS(2846),
    [aux_sym_tunnel_device_token1] = ACTIONS(2844),
    [aux_sym_update_host_keys_token1] = ACTIONS(2844),
    [aux_sym_use_keychain_token1] = ACTIONS(2844),
    [aux_sym_use_roaming_token1] = ACTIONS(2844),
    [aux_sym_user_token1] = ACTIONS(2846),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2844),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2844),
    [aux_sym_version_addendum_token1] = ACTIONS(2844),
    [aux_sym_visual_host_key_token1] = ACTIONS(2844),
    [aux_sym_xauth_location_token1] = ACTIONS(2844),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(1998),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2000),
    [aux_sym_match_token1] = ACTIONS(1998),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1998),
    [aux_sym_address_family_token1] = ACTIONS(1998),
    [aux_sym_batch_mode_token1] = ACTIONS(1998),
    [aux_sym_bind_address_token1] = ACTIONS(1998),
    [aux_sym_bind_interface_token1] = ACTIONS(1998),
    [aux_sym_canonical_domains_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1998),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1998),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1998),
    [aux_sym_certificate_file_token1] = ACTIONS(1998),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1998),
    [aux_sym_channel_timeout_token1] = ACTIONS(1998),
    [aux_sym_check_host_ip_token1] = ACTIONS(1998),
    [aux_sym_ciphers_token1] = ACTIONS(1998),
    [aux_sym_cipher_token1] = ACTIONS(2000),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1998),
    [aux_sym_compression_token1] = ACTIONS(1998),
    [aux_sym_connection_attempts_token1] = ACTIONS(1998),
    [aux_sym_connect_timeout_token1] = ACTIONS(1998),
    [aux_sym_control_master_token1] = ACTIONS(1998),
    [aux_sym_control_path_token1] = ACTIONS(1998),
    [aux_sym_control_persist_token1] = ACTIONS(1998),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1998),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1998),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1998),
    [aux_sym_escape_char_token1] = ACTIONS(1998),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1998),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1998),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1998),
    [aux_sym_forward_agent_token1] = ACTIONS(1998),
    [aux_sym_forward_x11_token1] = ACTIONS(2000),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1998),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1998),
    [aux_sym_gateway_ports_token1] = ACTIONS(1998),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1998),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1998),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1998),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1998),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1998),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1998),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1998),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1998),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1998),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1998),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1998),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1998),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1998),
    [aux_sym_host_key_alias_token1] = ACTIONS(1998),
    [aux_sym_hostname_token1] = ACTIONS(1998),
    [aux_sym_identities_only_token1] = ACTIONS(1998),
    [aux_sym_identity_agent_token1] = ACTIONS(1998),
    [aux_sym_identity_file_token1] = ACTIONS(1998),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1998),
    [aux_sym_include_token1] = ACTIONS(1998),
    [aux_sym_ip_qos_token1] = ACTIONS(1998),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1998),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1998),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1998),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1998),
    [aux_sym_local_command_token1] = ACTIONS(1998),
    [aux_sym_local_forward_token1] = ACTIONS(1998),
    [aux_sym_log_level_token1] = ACTIONS(1998),
    [aux_sym_log_verbose_token1] = ACTIONS(1998),
    [aux_sym_macs_token1] = ACTIONS(1998),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1998),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1998),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1998),
    [aux_sym_password_authentication_token1] = ACTIONS(1998),
    [aux_sym_permit_local_command_token1] = ACTIONS(1998),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1998),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1998),
    [aux_sym_port_token1] = ACTIONS(1998),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1998),
    [aux_sym_protocol_token1] = ACTIONS(1998),
    [aux_sym_proxy_command_token1] = ACTIONS(1998),
    [aux_sym_proxy_jump_token1] = ACTIONS(1998),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1998),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1998),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1998),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1998),
    [aux_sym_rekey_limit_token1] = ACTIONS(1998),
    [aux_sym_remote_command_token1] = ACTIONS(1998),
    [aux_sym_remote_forward_token1] = ACTIONS(1998),
    [aux_sym_request_tty_token1] = ACTIONS(1998),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1998),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1998),
    [aux_sym_security_key_provider_token1] = ACTIONS(1998),
    [aux_sym_send_env_token1] = ACTIONS(1998),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1998),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1998),
    [aux_sym_session_type_token1] = ACTIONS(1998),
    [aux_sym_set_env_token1] = ACTIONS(1998),
    [aux_sym_stdin_null_token1] = ACTIONS(1998),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1998),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1998),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1998),
    [aux_sym_syslog_facility_token1] = ACTIONS(1998),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1998),
    [aux_sym_keep_alive_token1] = ACTIONS(1998),
    [aux_sym_tag_token1] = ACTIONS(1998),
    [aux_sym_tunnel_token1] = ACTIONS(2000),
    [aux_sym_tunnel_device_token1] = ACTIONS(1998),
    [aux_sym_update_host_keys_token1] = ACTIONS(1998),
    [aux_sym_use_keychain_token1] = ACTIONS(1998),
    [aux_sym_use_roaming_token1] = ACTIONS(1998),
    [aux_sym_user_token1] = ACTIONS(2000),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1998),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1998),
    [aux_sym_version_addendum_token1] = ACTIONS(1998),
    [aux_sym_visual_host_key_token1] = ACTIONS(1998),
    [aux_sym_xauth_location_token1] = ACTIONS(1998),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2852),
    [aux_sym_match_token1] = ACTIONS(2850),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2850),
    [aux_sym_address_family_token1] = ACTIONS(2850),
    [aux_sym_batch_mode_token1] = ACTIONS(2850),
    [aux_sym_bind_address_token1] = ACTIONS(2850),
    [aux_sym_bind_interface_token1] = ACTIONS(2850),
    [aux_sym_canonical_domains_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2850),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2850),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2850),
    [aux_sym_certificate_file_token1] = ACTIONS(2850),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2850),
    [aux_sym_channel_timeout_token1] = ACTIONS(2850),
    [aux_sym_check_host_ip_token1] = ACTIONS(2850),
    [aux_sym_ciphers_token1] = ACTIONS(2850),
    [aux_sym_cipher_token1] = ACTIONS(2852),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2850),
    [aux_sym_compression_token1] = ACTIONS(2850),
    [aux_sym_connection_attempts_token1] = ACTIONS(2850),
    [aux_sym_connect_timeout_token1] = ACTIONS(2850),
    [aux_sym_control_master_token1] = ACTIONS(2850),
    [aux_sym_control_path_token1] = ACTIONS(2850),
    [aux_sym_control_persist_token1] = ACTIONS(2850),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2850),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2850),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2850),
    [aux_sym_escape_char_token1] = ACTIONS(2850),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2850),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2850),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2850),
    [aux_sym_forward_agent_token1] = ACTIONS(2850),
    [aux_sym_forward_x11_token1] = ACTIONS(2852),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2850),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2850),
    [aux_sym_gateway_ports_token1] = ACTIONS(2850),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2850),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2850),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2850),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2850),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2850),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2850),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2850),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2850),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2850),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2850),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2850),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2850),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2850),
    [aux_sym_host_key_alias_token1] = ACTIONS(2850),
    [aux_sym_hostname_token1] = ACTIONS(2850),
    [aux_sym_identities_only_token1] = ACTIONS(2850),
    [aux_sym_identity_agent_token1] = ACTIONS(2850),
    [aux_sym_identity_file_token1] = ACTIONS(2850),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2850),
    [aux_sym_include_token1] = ACTIONS(2850),
    [aux_sym_ip_qos_token1] = ACTIONS(2850),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2850),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2850),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2850),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2850),
    [aux_sym_local_command_token1] = ACTIONS(2850),
    [aux_sym_local_forward_token1] = ACTIONS(2850),
    [aux_sym_log_level_token1] = ACTIONS(2850),
    [aux_sym_log_verbose_token1] = ACTIONS(2850),
    [aux_sym_macs_token1] = ACTIONS(2850),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2850),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2850),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2850),
    [aux_sym_password_authentication_token1] = ACTIONS(2850),
    [aux_sym_permit_local_command_token1] = ACTIONS(2850),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2850),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2850),
    [aux_sym_port_token1] = ACTIONS(2850),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2850),
    [aux_sym_protocol_token1] = ACTIONS(2850),
    [aux_sym_proxy_command_token1] = ACTIONS(2850),
    [aux_sym_proxy_jump_token1] = ACTIONS(2850),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2850),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2850),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2850),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2850),
    [aux_sym_rekey_limit_token1] = ACTIONS(2850),
    [aux_sym_remote_command_token1] = ACTIONS(2850),
    [aux_sym_remote_forward_token1] = ACTIONS(2850),
    [aux_sym_request_tty_token1] = ACTIONS(2850),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2850),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2850),
    [aux_sym_security_key_provider_token1] = ACTIONS(2850),
    [aux_sym_send_env_token1] = ACTIONS(2850),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2850),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2850),
    [aux_sym_session_type_token1] = ACTIONS(2850),
    [aux_sym_set_env_token1] = ACTIONS(2850),
    [aux_sym_stdin_null_token1] = ACTIONS(2850),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2850),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2850),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2850),
    [aux_sym_syslog_facility_token1] = ACTIONS(2850),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2850),
    [aux_sym_keep_alive_token1] = ACTIONS(2850),
    [aux_sym_tag_token1] = ACTIONS(2850),
    [aux_sym_tunnel_token1] = ACTIONS(2852),
    [aux_sym_tunnel_device_token1] = ACTIONS(2850),
    [aux_sym_update_host_keys_token1] = ACTIONS(2850),
    [aux_sym_use_keychain_token1] = ACTIONS(2850),
    [aux_sym_use_roaming_token1] = ACTIONS(2850),
    [aux_sym_user_token1] = ACTIONS(2852),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2850),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2850),
    [aux_sym_version_addendum_token1] = ACTIONS(2850),
    [aux_sym_visual_host_key_token1] = ACTIONS(2850),
    [aux_sym_xauth_location_token1] = ACTIONS(2850),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2858),
    [aux_sym_match_token1] = ACTIONS(2856),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2856),
    [aux_sym_address_family_token1] = ACTIONS(2856),
    [aux_sym_batch_mode_token1] = ACTIONS(2856),
    [aux_sym_bind_address_token1] = ACTIONS(2856),
    [aux_sym_bind_interface_token1] = ACTIONS(2856),
    [aux_sym_canonical_domains_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2856),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2856),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2856),
    [aux_sym_certificate_file_token1] = ACTIONS(2856),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2856),
    [aux_sym_channel_timeout_token1] = ACTIONS(2856),
    [aux_sym_check_host_ip_token1] = ACTIONS(2856),
    [aux_sym_ciphers_token1] = ACTIONS(2856),
    [aux_sym_cipher_token1] = ACTIONS(2858),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2856),
    [aux_sym_compression_token1] = ACTIONS(2856),
    [aux_sym_connection_attempts_token1] = ACTIONS(2856),
    [aux_sym_connect_timeout_token1] = ACTIONS(2856),
    [aux_sym_control_master_token1] = ACTIONS(2856),
    [aux_sym_control_path_token1] = ACTIONS(2856),
    [aux_sym_control_persist_token1] = ACTIONS(2856),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2856),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2856),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2856),
    [aux_sym_escape_char_token1] = ACTIONS(2856),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2856),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2856),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2856),
    [aux_sym_forward_agent_token1] = ACTIONS(2856),
    [aux_sym_forward_x11_token1] = ACTIONS(2858),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2856),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2856),
    [aux_sym_gateway_ports_token1] = ACTIONS(2856),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2856),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2856),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2856),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2856),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2856),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2856),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2856),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2856),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2856),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2856),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2856),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2856),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2856),
    [aux_sym_host_key_alias_token1] = ACTIONS(2856),
    [aux_sym_hostname_token1] = ACTIONS(2856),
    [aux_sym_identities_only_token1] = ACTIONS(2856),
    [aux_sym_identity_agent_token1] = ACTIONS(2856),
    [aux_sym_identity_file_token1] = ACTIONS(2856),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2856),
    [aux_sym_include_token1] = ACTIONS(2856),
    [aux_sym_ip_qos_token1] = ACTIONS(2856),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2856),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2856),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2856),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2856),
    [aux_sym_local_command_token1] = ACTIONS(2856),
    [aux_sym_local_forward_token1] = ACTIONS(2856),
    [aux_sym_log_level_token1] = ACTIONS(2856),
    [aux_sym_log_verbose_token1] = ACTIONS(2856),
    [aux_sym_macs_token1] = ACTIONS(2856),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2856),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2856),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2856),
    [aux_sym_password_authentication_token1] = ACTIONS(2856),
    [aux_sym_permit_local_command_token1] = ACTIONS(2856),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2856),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2856),
    [aux_sym_port_token1] = ACTIONS(2856),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2856),
    [aux_sym_protocol_token1] = ACTIONS(2856),
    [aux_sym_proxy_command_token1] = ACTIONS(2856),
    [aux_sym_proxy_jump_token1] = ACTIONS(2856),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2856),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2856),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2856),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2856),
    [aux_sym_rekey_limit_token1] = ACTIONS(2856),
    [aux_sym_remote_command_token1] = ACTIONS(2856),
    [aux_sym_remote_forward_token1] = ACTIONS(2856),
    [aux_sym_request_tty_token1] = ACTIONS(2856),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2856),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2856),
    [aux_sym_security_key_provider_token1] = ACTIONS(2856),
    [aux_sym_send_env_token1] = ACTIONS(2856),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2856),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2856),
    [aux_sym_session_type_token1] = ACTIONS(2856),
    [aux_sym_set_env_token1] = ACTIONS(2856),
    [aux_sym_stdin_null_token1] = ACTIONS(2856),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2856),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2856),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2856),
    [aux_sym_syslog_facility_token1] = ACTIONS(2856),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2856),
    [aux_sym_keep_alive_token1] = ACTIONS(2856),
    [aux_sym_tag_token1] = ACTIONS(2856),
    [aux_sym_tunnel_token1] = ACTIONS(2858),
    [aux_sym_tunnel_device_token1] = ACTIONS(2856),
    [aux_sym_update_host_keys_token1] = ACTIONS(2856),
    [aux_sym_use_keychain_token1] = ACTIONS(2856),
    [aux_sym_use_roaming_token1] = ACTIONS(2856),
    [aux_sym_user_token1] = ACTIONS(2858),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2856),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2856),
    [aux_sym_version_addendum_token1] = ACTIONS(2856),
    [aux_sym_visual_host_key_token1] = ACTIONS(2856),
    [aux_sym_xauth_location_token1] = ACTIONS(2856),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2006),
    [aux_sym_match_token1] = ACTIONS(2004),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2004),
    [aux_sym_address_family_token1] = ACTIONS(2004),
    [aux_sym_batch_mode_token1] = ACTIONS(2004),
    [aux_sym_bind_address_token1] = ACTIONS(2004),
    [aux_sym_bind_interface_token1] = ACTIONS(2004),
    [aux_sym_canonical_domains_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2004),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2004),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2004),
    [aux_sym_certificate_file_token1] = ACTIONS(2004),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2004),
    [aux_sym_channel_timeout_token1] = ACTIONS(2004),
    [aux_sym_check_host_ip_token1] = ACTIONS(2004),
    [aux_sym_ciphers_token1] = ACTIONS(2004),
    [aux_sym_cipher_token1] = ACTIONS(2006),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2004),
    [aux_sym_compression_token1] = ACTIONS(2004),
    [aux_sym_connection_attempts_token1] = ACTIONS(2004),
    [aux_sym_connect_timeout_token1] = ACTIONS(2004),
    [aux_sym_control_master_token1] = ACTIONS(2004),
    [aux_sym_control_path_token1] = ACTIONS(2004),
    [aux_sym_control_persist_token1] = ACTIONS(2004),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2004),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2004),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2004),
    [aux_sym_escape_char_token1] = ACTIONS(2004),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2004),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2004),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2004),
    [aux_sym_forward_agent_token1] = ACTIONS(2004),
    [aux_sym_forward_x11_token1] = ACTIONS(2006),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2004),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2004),
    [aux_sym_gateway_ports_token1] = ACTIONS(2004),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2004),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2004),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2004),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2004),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2004),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2004),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2004),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2004),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2004),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2004),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2004),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2004),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2004),
    [aux_sym_host_key_alias_token1] = ACTIONS(2004),
    [aux_sym_hostname_token1] = ACTIONS(2004),
    [aux_sym_identities_only_token1] = ACTIONS(2004),
    [aux_sym_identity_agent_token1] = ACTIONS(2004),
    [aux_sym_identity_file_token1] = ACTIONS(2004),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2004),
    [aux_sym_include_token1] = ACTIONS(2004),
    [aux_sym_ip_qos_token1] = ACTIONS(2004),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2004),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2004),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2004),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2004),
    [aux_sym_local_command_token1] = ACTIONS(2004),
    [aux_sym_local_forward_token1] = ACTIONS(2004),
    [aux_sym_log_level_token1] = ACTIONS(2004),
    [aux_sym_log_verbose_token1] = ACTIONS(2004),
    [aux_sym_macs_token1] = ACTIONS(2004),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2004),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2004),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2004),
    [aux_sym_password_authentication_token1] = ACTIONS(2004),
    [aux_sym_permit_local_command_token1] = ACTIONS(2004),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2004),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2004),
    [aux_sym_port_token1] = ACTIONS(2004),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2004),
    [aux_sym_protocol_token1] = ACTIONS(2004),
    [aux_sym_proxy_command_token1] = ACTIONS(2004),
    [aux_sym_proxy_jump_token1] = ACTIONS(2004),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2004),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2004),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2004),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2004),
    [aux_sym_rekey_limit_token1] = ACTIONS(2004),
    [aux_sym_remote_command_token1] = ACTIONS(2004),
    [aux_sym_remote_forward_token1] = ACTIONS(2004),
    [aux_sym_request_tty_token1] = ACTIONS(2004),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2004),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2004),
    [aux_sym_security_key_provider_token1] = ACTIONS(2004),
    [aux_sym_send_env_token1] = ACTIONS(2004),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2004),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2004),
    [aux_sym_session_type_token1] = ACTIONS(2004),
    [aux_sym_set_env_token1] = ACTIONS(2004),
    [aux_sym_stdin_null_token1] = ACTIONS(2004),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2004),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2004),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2004),
    [aux_sym_syslog_facility_token1] = ACTIONS(2004),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2004),
    [aux_sym_keep_alive_token1] = ACTIONS(2004),
    [aux_sym_tag_token1] = ACTIONS(2004),
    [aux_sym_tunnel_token1] = ACTIONS(2006),
    [aux_sym_tunnel_device_token1] = ACTIONS(2004),
    [aux_sym_update_host_keys_token1] = ACTIONS(2004),
    [aux_sym_use_keychain_token1] = ACTIONS(2004),
    [aux_sym_use_roaming_token1] = ACTIONS(2004),
    [aux_sym_user_token1] = ACTIONS(2006),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2004),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2004),
    [aux_sym_version_addendum_token1] = ACTIONS(2004),
    [aux_sym_visual_host_key_token1] = ACTIONS(2004),
    [aux_sym_xauth_location_token1] = ACTIONS(2004),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2864),
    [aux_sym_match_token1] = ACTIONS(2862),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2862),
    [aux_sym_address_family_token1] = ACTIONS(2862),
    [aux_sym_batch_mode_token1] = ACTIONS(2862),
    [aux_sym_bind_address_token1] = ACTIONS(2862),
    [aux_sym_bind_interface_token1] = ACTIONS(2862),
    [aux_sym_canonical_domains_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2862),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2862),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2862),
    [aux_sym_certificate_file_token1] = ACTIONS(2862),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2862),
    [aux_sym_channel_timeout_token1] = ACTIONS(2862),
    [aux_sym_check_host_ip_token1] = ACTIONS(2862),
    [aux_sym_ciphers_token1] = ACTIONS(2862),
    [aux_sym_cipher_token1] = ACTIONS(2864),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2862),
    [aux_sym_compression_token1] = ACTIONS(2862),
    [aux_sym_connection_attempts_token1] = ACTIONS(2862),
    [aux_sym_connect_timeout_token1] = ACTIONS(2862),
    [aux_sym_control_master_token1] = ACTIONS(2862),
    [aux_sym_control_path_token1] = ACTIONS(2862),
    [aux_sym_control_persist_token1] = ACTIONS(2862),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2862),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2862),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2862),
    [aux_sym_escape_char_token1] = ACTIONS(2862),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2862),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2862),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2862),
    [aux_sym_forward_agent_token1] = ACTIONS(2862),
    [aux_sym_forward_x11_token1] = ACTIONS(2864),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2862),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2862),
    [aux_sym_gateway_ports_token1] = ACTIONS(2862),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2862),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2862),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2862),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2862),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2862),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2862),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2862),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2862),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2862),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2862),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2862),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2862),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2862),
    [aux_sym_host_key_alias_token1] = ACTIONS(2862),
    [aux_sym_hostname_token1] = ACTIONS(2862),
    [aux_sym_identities_only_token1] = ACTIONS(2862),
    [aux_sym_identity_agent_token1] = ACTIONS(2862),
    [aux_sym_identity_file_token1] = ACTIONS(2862),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2862),
    [aux_sym_include_token1] = ACTIONS(2862),
    [aux_sym_ip_qos_token1] = ACTIONS(2862),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2862),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2862),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2862),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2862),
    [aux_sym_local_command_token1] = ACTIONS(2862),
    [aux_sym_local_forward_token1] = ACTIONS(2862),
    [aux_sym_log_level_token1] = ACTIONS(2862),
    [aux_sym_log_verbose_token1] = ACTIONS(2862),
    [aux_sym_macs_token1] = ACTIONS(2862),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2862),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2862),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2862),
    [aux_sym_password_authentication_token1] = ACTIONS(2862),
    [aux_sym_permit_local_command_token1] = ACTIONS(2862),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2862),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2862),
    [aux_sym_port_token1] = ACTIONS(2862),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2862),
    [aux_sym_protocol_token1] = ACTIONS(2862),
    [aux_sym_proxy_command_token1] = ACTIONS(2862),
    [aux_sym_proxy_jump_token1] = ACTIONS(2862),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2862),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2862),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2862),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2862),
    [aux_sym_rekey_limit_token1] = ACTIONS(2862),
    [aux_sym_remote_command_token1] = ACTIONS(2862),
    [aux_sym_remote_forward_token1] = ACTIONS(2862),
    [aux_sym_request_tty_token1] = ACTIONS(2862),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2862),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2862),
    [aux_sym_security_key_provider_token1] = ACTIONS(2862),
    [aux_sym_send_env_token1] = ACTIONS(2862),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2862),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2862),
    [aux_sym_session_type_token1] = ACTIONS(2862),
    [aux_sym_set_env_token1] = ACTIONS(2862),
    [aux_sym_stdin_null_token1] = ACTIONS(2862),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2862),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2862),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2862),
    [aux_sym_syslog_facility_token1] = ACTIONS(2862),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2862),
    [aux_sym_keep_alive_token1] = ACTIONS(2862),
    [aux_sym_tag_token1] = ACTIONS(2862),
    [aux_sym_tunnel_token1] = ACTIONS(2864),
    [aux_sym_tunnel_device_token1] = ACTIONS(2862),
    [aux_sym_update_host_keys_token1] = ACTIONS(2862),
    [aux_sym_use_keychain_token1] = ACTIONS(2862),
    [aux_sym_use_roaming_token1] = ACTIONS(2862),
    [aux_sym_user_token1] = ACTIONS(2864),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2862),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2862),
    [aux_sym_version_addendum_token1] = ACTIONS(2862),
    [aux_sym_visual_host_key_token1] = ACTIONS(2862),
    [aux_sym_xauth_location_token1] = ACTIONS(2862),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2870),
    [aux_sym_match_token1] = ACTIONS(2868),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2868),
    [aux_sym_address_family_token1] = ACTIONS(2868),
    [aux_sym_batch_mode_token1] = ACTIONS(2868),
    [aux_sym_bind_address_token1] = ACTIONS(2868),
    [aux_sym_bind_interface_token1] = ACTIONS(2868),
    [aux_sym_canonical_domains_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2868),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2868),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2868),
    [aux_sym_certificate_file_token1] = ACTIONS(2868),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2868),
    [aux_sym_channel_timeout_token1] = ACTIONS(2868),
    [aux_sym_check_host_ip_token1] = ACTIONS(2868),
    [aux_sym_ciphers_token1] = ACTIONS(2868),
    [aux_sym_cipher_token1] = ACTIONS(2870),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2868),
    [aux_sym_compression_token1] = ACTIONS(2868),
    [aux_sym_connection_attempts_token1] = ACTIONS(2868),
    [aux_sym_connect_timeout_token1] = ACTIONS(2868),
    [aux_sym_control_master_token1] = ACTIONS(2868),
    [aux_sym_control_path_token1] = ACTIONS(2868),
    [aux_sym_control_persist_token1] = ACTIONS(2868),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2868),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2868),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2868),
    [aux_sym_escape_char_token1] = ACTIONS(2868),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2868),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2868),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2868),
    [aux_sym_forward_agent_token1] = ACTIONS(2868),
    [aux_sym_forward_x11_token1] = ACTIONS(2870),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2868),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2868),
    [aux_sym_gateway_ports_token1] = ACTIONS(2868),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2868),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2868),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2868),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2868),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2868),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2868),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2868),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2868),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2868),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2868),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2868),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2868),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2868),
    [aux_sym_host_key_alias_token1] = ACTIONS(2868),
    [aux_sym_hostname_token1] = ACTIONS(2868),
    [aux_sym_identities_only_token1] = ACTIONS(2868),
    [aux_sym_identity_agent_token1] = ACTIONS(2868),
    [aux_sym_identity_file_token1] = ACTIONS(2868),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2868),
    [aux_sym_include_token1] = ACTIONS(2868),
    [aux_sym_ip_qos_token1] = ACTIONS(2868),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2868),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2868),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2868),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2868),
    [aux_sym_local_command_token1] = ACTIONS(2868),
    [aux_sym_local_forward_token1] = ACTIONS(2868),
    [aux_sym_log_level_token1] = ACTIONS(2868),
    [aux_sym_log_verbose_token1] = ACTIONS(2868),
    [aux_sym_macs_token1] = ACTIONS(2868),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2868),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2868),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2868),
    [aux_sym_password_authentication_token1] = ACTIONS(2868),
    [aux_sym_permit_local_command_token1] = ACTIONS(2868),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2868),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2868),
    [aux_sym_port_token1] = ACTIONS(2868),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2868),
    [aux_sym_protocol_token1] = ACTIONS(2868),
    [aux_sym_proxy_command_token1] = ACTIONS(2868),
    [aux_sym_proxy_jump_token1] = ACTIONS(2868),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2868),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2868),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2868),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2868),
    [aux_sym_rekey_limit_token1] = ACTIONS(2868),
    [aux_sym_remote_command_token1] = ACTIONS(2868),
    [aux_sym_remote_forward_token1] = ACTIONS(2868),
    [aux_sym_request_tty_token1] = ACTIONS(2868),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2868),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2868),
    [aux_sym_security_key_provider_token1] = ACTIONS(2868),
    [aux_sym_send_env_token1] = ACTIONS(2868),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2868),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2868),
    [aux_sym_session_type_token1] = ACTIONS(2868),
    [aux_sym_set_env_token1] = ACTIONS(2868),
    [aux_sym_stdin_null_token1] = ACTIONS(2868),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2868),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2868),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2868),
    [aux_sym_syslog_facility_token1] = ACTIONS(2868),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2868),
    [aux_sym_keep_alive_token1] = ACTIONS(2868),
    [aux_sym_tag_token1] = ACTIONS(2868),
    [aux_sym_tunnel_token1] = ACTIONS(2870),
    [aux_sym_tunnel_device_token1] = ACTIONS(2868),
    [aux_sym_update_host_keys_token1] = ACTIONS(2868),
    [aux_sym_use_keychain_token1] = ACTIONS(2868),
    [aux_sym_use_roaming_token1] = ACTIONS(2868),
    [aux_sym_user_token1] = ACTIONS(2870),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2868),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2868),
    [aux_sym_version_addendum_token1] = ACTIONS(2868),
    [aux_sym_visual_host_key_token1] = ACTIONS(2868),
    [aux_sym_xauth_location_token1] = ACTIONS(2868),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2012),
    [aux_sym_match_token1] = ACTIONS(2010),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2010),
    [aux_sym_address_family_token1] = ACTIONS(2010),
    [aux_sym_batch_mode_token1] = ACTIONS(2010),
    [aux_sym_bind_address_token1] = ACTIONS(2010),
    [aux_sym_bind_interface_token1] = ACTIONS(2010),
    [aux_sym_canonical_domains_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2010),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2010),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2010),
    [aux_sym_certificate_file_token1] = ACTIONS(2010),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2010),
    [aux_sym_channel_timeout_token1] = ACTIONS(2010),
    [aux_sym_check_host_ip_token1] = ACTIONS(2010),
    [aux_sym_ciphers_token1] = ACTIONS(2010),
    [aux_sym_cipher_token1] = ACTIONS(2012),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2010),
    [aux_sym_compression_token1] = ACTIONS(2010),
    [aux_sym_connection_attempts_token1] = ACTIONS(2010),
    [aux_sym_connect_timeout_token1] = ACTIONS(2010),
    [aux_sym_control_master_token1] = ACTIONS(2010),
    [aux_sym_control_path_token1] = ACTIONS(2010),
    [aux_sym_control_persist_token1] = ACTIONS(2010),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2010),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2010),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2010),
    [aux_sym_escape_char_token1] = ACTIONS(2010),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2010),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2010),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2010),
    [aux_sym_forward_agent_token1] = ACTIONS(2010),
    [aux_sym_forward_x11_token1] = ACTIONS(2012),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2010),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2010),
    [aux_sym_gateway_ports_token1] = ACTIONS(2010),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2010),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2010),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2010),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2010),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2010),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2010),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2010),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2010),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2010),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2010),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2010),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2010),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2010),
    [aux_sym_host_key_alias_token1] = ACTIONS(2010),
    [aux_sym_hostname_token1] = ACTIONS(2010),
    [aux_sym_identities_only_token1] = ACTIONS(2010),
    [aux_sym_identity_agent_token1] = ACTIONS(2010),
    [aux_sym_identity_file_token1] = ACTIONS(2010),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2010),
    [aux_sym_include_token1] = ACTIONS(2010),
    [aux_sym_ip_qos_token1] = ACTIONS(2010),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2010),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2010),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2010),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2010),
    [aux_sym_local_command_token1] = ACTIONS(2010),
    [aux_sym_local_forward_token1] = ACTIONS(2010),
    [aux_sym_log_level_token1] = ACTIONS(2010),
    [aux_sym_log_verbose_token1] = ACTIONS(2010),
    [aux_sym_macs_token1] = ACTIONS(2010),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2010),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2010),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2010),
    [aux_sym_password_authentication_token1] = ACTIONS(2010),
    [aux_sym_permit_local_command_token1] = ACTIONS(2010),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2010),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2010),
    [aux_sym_port_token1] = ACTIONS(2010),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2010),
    [aux_sym_protocol_token1] = ACTIONS(2010),
    [aux_sym_proxy_command_token1] = ACTIONS(2010),
    [aux_sym_proxy_jump_token1] = ACTIONS(2010),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2010),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2010),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2010),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2010),
    [aux_sym_rekey_limit_token1] = ACTIONS(2010),
    [aux_sym_remote_command_token1] = ACTIONS(2010),
    [aux_sym_remote_forward_token1] = ACTIONS(2010),
    [aux_sym_request_tty_token1] = ACTIONS(2010),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2010),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2010),
    [aux_sym_security_key_provider_token1] = ACTIONS(2010),
    [aux_sym_send_env_token1] = ACTIONS(2010),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2010),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2010),
    [aux_sym_session_type_token1] = ACTIONS(2010),
    [aux_sym_set_env_token1] = ACTIONS(2010),
    [aux_sym_stdin_null_token1] = ACTIONS(2010),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2010),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2010),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2010),
    [aux_sym_syslog_facility_token1] = ACTIONS(2010),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2010),
    [aux_sym_keep_alive_token1] = ACTIONS(2010),
    [aux_sym_tag_token1] = ACTIONS(2010),
    [aux_sym_tunnel_token1] = ACTIONS(2012),
    [aux_sym_tunnel_device_token1] = ACTIONS(2010),
    [aux_sym_update_host_keys_token1] = ACTIONS(2010),
    [aux_sym_use_keychain_token1] = ACTIONS(2010),
    [aux_sym_use_roaming_token1] = ACTIONS(2010),
    [aux_sym_user_token1] = ACTIONS(2012),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2010),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2010),
    [aux_sym_version_addendum_token1] = ACTIONS(2010),
    [aux_sym_visual_host_key_token1] = ACTIONS(2010),
    [aux_sym_xauth_location_token1] = ACTIONS(2010),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2876),
    [aux_sym_match_token1] = ACTIONS(2874),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2874),
    [aux_sym_address_family_token1] = ACTIONS(2874),
    [aux_sym_batch_mode_token1] = ACTIONS(2874),
    [aux_sym_bind_address_token1] = ACTIONS(2874),
    [aux_sym_bind_interface_token1] = ACTIONS(2874),
    [aux_sym_canonical_domains_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2874),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2874),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2874),
    [aux_sym_certificate_file_token1] = ACTIONS(2874),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2874),
    [aux_sym_channel_timeout_token1] = ACTIONS(2874),
    [aux_sym_check_host_ip_token1] = ACTIONS(2874),
    [aux_sym_ciphers_token1] = ACTIONS(2874),
    [aux_sym_cipher_token1] = ACTIONS(2876),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2874),
    [aux_sym_compression_token1] = ACTIONS(2874),
    [aux_sym_connection_attempts_token1] = ACTIONS(2874),
    [aux_sym_connect_timeout_token1] = ACTIONS(2874),
    [aux_sym_control_master_token1] = ACTIONS(2874),
    [aux_sym_control_path_token1] = ACTIONS(2874),
    [aux_sym_control_persist_token1] = ACTIONS(2874),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2874),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2874),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2874),
    [aux_sym_escape_char_token1] = ACTIONS(2874),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2874),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2874),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2874),
    [aux_sym_forward_agent_token1] = ACTIONS(2874),
    [aux_sym_forward_x11_token1] = ACTIONS(2876),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2874),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2874),
    [aux_sym_gateway_ports_token1] = ACTIONS(2874),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2874),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2874),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2874),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2874),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2874),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2874),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2874),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2874),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2874),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2874),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2874),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2874),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2874),
    [aux_sym_host_key_alias_token1] = ACTIONS(2874),
    [aux_sym_hostname_token1] = ACTIONS(2874),
    [aux_sym_identities_only_token1] = ACTIONS(2874),
    [aux_sym_identity_agent_token1] = ACTIONS(2874),
    [aux_sym_identity_file_token1] = ACTIONS(2874),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2874),
    [aux_sym_include_token1] = ACTIONS(2874),
    [aux_sym_ip_qos_token1] = ACTIONS(2874),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2874),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2874),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2874),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2874),
    [aux_sym_local_command_token1] = ACTIONS(2874),
    [aux_sym_local_forward_token1] = ACTIONS(2874),
    [aux_sym_log_level_token1] = ACTIONS(2874),
    [aux_sym_log_verbose_token1] = ACTIONS(2874),
    [aux_sym_macs_token1] = ACTIONS(2874),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2874),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2874),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2874),
    [aux_sym_password_authentication_token1] = ACTIONS(2874),
    [aux_sym_permit_local_command_token1] = ACTIONS(2874),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2874),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2874),
    [aux_sym_port_token1] = ACTIONS(2874),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2874),
    [aux_sym_protocol_token1] = ACTIONS(2874),
    [aux_sym_proxy_command_token1] = ACTIONS(2874),
    [aux_sym_proxy_jump_token1] = ACTIONS(2874),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2874),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2874),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2874),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2874),
    [aux_sym_rekey_limit_token1] = ACTIONS(2874),
    [aux_sym_remote_command_token1] = ACTIONS(2874),
    [aux_sym_remote_forward_token1] = ACTIONS(2874),
    [aux_sym_request_tty_token1] = ACTIONS(2874),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2874),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2874),
    [aux_sym_security_key_provider_token1] = ACTIONS(2874),
    [aux_sym_send_env_token1] = ACTIONS(2874),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2874),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2874),
    [aux_sym_session_type_token1] = ACTIONS(2874),
    [aux_sym_set_env_token1] = ACTIONS(2874),
    [aux_sym_stdin_null_token1] = ACTIONS(2874),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2874),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2874),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2874),
    [aux_sym_syslog_facility_token1] = ACTIONS(2874),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2874),
    [aux_sym_keep_alive_token1] = ACTIONS(2874),
    [aux_sym_tag_token1] = ACTIONS(2874),
    [aux_sym_tunnel_token1] = ACTIONS(2876),
    [aux_sym_tunnel_device_token1] = ACTIONS(2874),
    [aux_sym_update_host_keys_token1] = ACTIONS(2874),
    [aux_sym_use_keychain_token1] = ACTIONS(2874),
    [aux_sym_use_roaming_token1] = ACTIONS(2874),
    [aux_sym_user_token1] = ACTIONS(2876),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2874),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2874),
    [aux_sym_version_addendum_token1] = ACTIONS(2874),
    [aux_sym_visual_host_key_token1] = ACTIONS(2874),
    [aux_sym_xauth_location_token1] = ACTIONS(2874),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2882),
    [aux_sym_match_token1] = ACTIONS(2880),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2880),
    [aux_sym_address_family_token1] = ACTIONS(2880),
    [aux_sym_batch_mode_token1] = ACTIONS(2880),
    [aux_sym_bind_address_token1] = ACTIONS(2880),
    [aux_sym_bind_interface_token1] = ACTIONS(2880),
    [aux_sym_canonical_domains_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2880),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2880),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2880),
    [aux_sym_certificate_file_token1] = ACTIONS(2880),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2880),
    [aux_sym_channel_timeout_token1] = ACTIONS(2880),
    [aux_sym_check_host_ip_token1] = ACTIONS(2880),
    [aux_sym_ciphers_token1] = ACTIONS(2880),
    [aux_sym_cipher_token1] = ACTIONS(2882),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2880),
    [aux_sym_compression_token1] = ACTIONS(2880),
    [aux_sym_connection_attempts_token1] = ACTIONS(2880),
    [aux_sym_connect_timeout_token1] = ACTIONS(2880),
    [aux_sym_control_master_token1] = ACTIONS(2880),
    [aux_sym_control_path_token1] = ACTIONS(2880),
    [aux_sym_control_persist_token1] = ACTIONS(2880),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2880),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2880),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2880),
    [aux_sym_escape_char_token1] = ACTIONS(2880),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2880),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2880),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2880),
    [aux_sym_forward_agent_token1] = ACTIONS(2880),
    [aux_sym_forward_x11_token1] = ACTIONS(2882),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2880),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2880),
    [aux_sym_gateway_ports_token1] = ACTIONS(2880),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2880),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2880),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2880),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2880),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2880),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2880),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2880),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2880),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2880),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2880),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2880),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2880),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2880),
    [aux_sym_host_key_alias_token1] = ACTIONS(2880),
    [aux_sym_hostname_token1] = ACTIONS(2880),
    [aux_sym_identities_only_token1] = ACTIONS(2880),
    [aux_sym_identity_agent_token1] = ACTIONS(2880),
    [aux_sym_identity_file_token1] = ACTIONS(2880),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2880),
    [aux_sym_include_token1] = ACTIONS(2880),
    [aux_sym_ip_qos_token1] = ACTIONS(2880),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2880),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2880),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2880),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2880),
    [aux_sym_local_command_token1] = ACTIONS(2880),
    [aux_sym_local_forward_token1] = ACTIONS(2880),
    [aux_sym_log_level_token1] = ACTIONS(2880),
    [aux_sym_log_verbose_token1] = ACTIONS(2880),
    [aux_sym_macs_token1] = ACTIONS(2880),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2880),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2880),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2880),
    [aux_sym_password_authentication_token1] = ACTIONS(2880),
    [aux_sym_permit_local_command_token1] = ACTIONS(2880),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2880),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2880),
    [aux_sym_port_token1] = ACTIONS(2880),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2880),
    [aux_sym_protocol_token1] = ACTIONS(2880),
    [aux_sym_proxy_command_token1] = ACTIONS(2880),
    [aux_sym_proxy_jump_token1] = ACTIONS(2880),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2880),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2880),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2880),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2880),
    [aux_sym_rekey_limit_token1] = ACTIONS(2880),
    [aux_sym_remote_command_token1] = ACTIONS(2880),
    [aux_sym_remote_forward_token1] = ACTIONS(2880),
    [aux_sym_request_tty_token1] = ACTIONS(2880),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2880),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2880),
    [aux_sym_security_key_provider_token1] = ACTIONS(2880),
    [aux_sym_send_env_token1] = ACTIONS(2880),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2880),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2880),
    [aux_sym_session_type_token1] = ACTIONS(2880),
    [aux_sym_set_env_token1] = ACTIONS(2880),
    [aux_sym_stdin_null_token1] = ACTIONS(2880),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2880),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2880),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2880),
    [aux_sym_syslog_facility_token1] = ACTIONS(2880),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2880),
    [aux_sym_keep_alive_token1] = ACTIONS(2880),
    [aux_sym_tag_token1] = ACTIONS(2880),
    [aux_sym_tunnel_token1] = ACTIONS(2882),
    [aux_sym_tunnel_device_token1] = ACTIONS(2880),
    [aux_sym_update_host_keys_token1] = ACTIONS(2880),
    [aux_sym_use_keychain_token1] = ACTIONS(2880),
    [aux_sym_use_roaming_token1] = ACTIONS(2880),
    [aux_sym_user_token1] = ACTIONS(2882),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2880),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2880),
    [aux_sym_version_addendum_token1] = ACTIONS(2880),
    [aux_sym_visual_host_key_token1] = ACTIONS(2880),
    [aux_sym_xauth_location_token1] = ACTIONS(2880),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2018),
    [aux_sym_match_token1] = ACTIONS(2016),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2016),
    [aux_sym_address_family_token1] = ACTIONS(2016),
    [aux_sym_batch_mode_token1] = ACTIONS(2016),
    [aux_sym_bind_address_token1] = ACTIONS(2016),
    [aux_sym_bind_interface_token1] = ACTIONS(2016),
    [aux_sym_canonical_domains_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2016),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2016),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2016),
    [aux_sym_certificate_file_token1] = ACTIONS(2016),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2016),
    [aux_sym_channel_timeout_token1] = ACTIONS(2016),
    [aux_sym_check_host_ip_token1] = ACTIONS(2016),
    [aux_sym_ciphers_token1] = ACTIONS(2016),
    [aux_sym_cipher_token1] = ACTIONS(2018),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2016),
    [aux_sym_compression_token1] = ACTIONS(2016),
    [aux_sym_connection_attempts_token1] = ACTIONS(2016),
    [aux_sym_connect_timeout_token1] = ACTIONS(2016),
    [aux_sym_control_master_token1] = ACTIONS(2016),
    [aux_sym_control_path_token1] = ACTIONS(2016),
    [aux_sym_control_persist_token1] = ACTIONS(2016),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2016),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2016),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2016),
    [aux_sym_escape_char_token1] = ACTIONS(2016),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2016),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2016),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2016),
    [aux_sym_forward_agent_token1] = ACTIONS(2016),
    [aux_sym_forward_x11_token1] = ACTIONS(2018),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2016),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2016),
    [aux_sym_gateway_ports_token1] = ACTIONS(2016),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2016),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2016),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2016),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2016),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2016),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2016),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2016),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2016),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2016),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2016),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2016),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2016),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2016),
    [aux_sym_host_key_alias_token1] = ACTIONS(2016),
    [aux_sym_hostname_token1] = ACTIONS(2016),
    [aux_sym_identities_only_token1] = ACTIONS(2016),
    [aux_sym_identity_agent_token1] = ACTIONS(2016),
    [aux_sym_identity_file_token1] = ACTIONS(2016),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2016),
    [aux_sym_include_token1] = ACTIONS(2016),
    [aux_sym_ip_qos_token1] = ACTIONS(2016),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2016),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2016),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2016),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2016),
    [aux_sym_local_command_token1] = ACTIONS(2016),
    [aux_sym_local_forward_token1] = ACTIONS(2016),
    [aux_sym_log_level_token1] = ACTIONS(2016),
    [aux_sym_log_verbose_token1] = ACTIONS(2016),
    [aux_sym_macs_token1] = ACTIONS(2016),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2016),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2016),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2016),
    [aux_sym_password_authentication_token1] = ACTIONS(2016),
    [aux_sym_permit_local_command_token1] = ACTIONS(2016),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2016),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2016),
    [aux_sym_port_token1] = ACTIONS(2016),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2016),
    [aux_sym_protocol_token1] = ACTIONS(2016),
    [aux_sym_proxy_command_token1] = ACTIONS(2016),
    [aux_sym_proxy_jump_token1] = ACTIONS(2016),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2016),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2016),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2016),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2016),
    [aux_sym_rekey_limit_token1] = ACTIONS(2016),
    [aux_sym_remote_command_token1] = ACTIONS(2016),
    [aux_sym_remote_forward_token1] = ACTIONS(2016),
    [aux_sym_request_tty_token1] = ACTIONS(2016),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2016),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2016),
    [aux_sym_security_key_provider_token1] = ACTIONS(2016),
    [aux_sym_send_env_token1] = ACTIONS(2016),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2016),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2016),
    [aux_sym_session_type_token1] = ACTIONS(2016),
    [aux_sym_set_env_token1] = ACTIONS(2016),
    [aux_sym_stdin_null_token1] = ACTIONS(2016),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2016),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2016),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2016),
    [aux_sym_syslog_facility_token1] = ACTIONS(2016),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2016),
    [aux_sym_keep_alive_token1] = ACTIONS(2016),
    [aux_sym_tag_token1] = ACTIONS(2016),
    [aux_sym_tunnel_token1] = ACTIONS(2018),
    [aux_sym_tunnel_device_token1] = ACTIONS(2016),
    [aux_sym_update_host_keys_token1] = ACTIONS(2016),
    [aux_sym_use_keychain_token1] = ACTIONS(2016),
    [aux_sym_use_roaming_token1] = ACTIONS(2016),
    [aux_sym_user_token1] = ACTIONS(2018),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2016),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2016),
    [aux_sym_version_addendum_token1] = ACTIONS(2016),
    [aux_sym_visual_host_key_token1] = ACTIONS(2016),
    [aux_sym_xauth_location_token1] = ACTIONS(2016),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2888),
    [aux_sym_match_token1] = ACTIONS(2886),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2886),
    [aux_sym_address_family_token1] = ACTIONS(2886),
    [aux_sym_batch_mode_token1] = ACTIONS(2886),
    [aux_sym_bind_address_token1] = ACTIONS(2886),
    [aux_sym_bind_interface_token1] = ACTIONS(2886),
    [aux_sym_canonical_domains_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2886),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2886),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2886),
    [aux_sym_certificate_file_token1] = ACTIONS(2886),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2886),
    [aux_sym_channel_timeout_token1] = ACTIONS(2886),
    [aux_sym_check_host_ip_token1] = ACTIONS(2886),
    [aux_sym_ciphers_token1] = ACTIONS(2886),
    [aux_sym_cipher_token1] = ACTIONS(2888),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2886),
    [aux_sym_compression_token1] = ACTIONS(2886),
    [aux_sym_connection_attempts_token1] = ACTIONS(2886),
    [aux_sym_connect_timeout_token1] = ACTIONS(2886),
    [aux_sym_control_master_token1] = ACTIONS(2886),
    [aux_sym_control_path_token1] = ACTIONS(2886),
    [aux_sym_control_persist_token1] = ACTIONS(2886),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2886),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2886),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2886),
    [aux_sym_escape_char_token1] = ACTIONS(2886),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2886),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2886),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2886),
    [aux_sym_forward_agent_token1] = ACTIONS(2886),
    [aux_sym_forward_x11_token1] = ACTIONS(2888),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2886),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2886),
    [aux_sym_gateway_ports_token1] = ACTIONS(2886),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2886),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2886),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2886),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2886),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2886),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2886),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2886),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2886),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2886),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2886),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2886),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2886),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2886),
    [aux_sym_host_key_alias_token1] = ACTIONS(2886),
    [aux_sym_hostname_token1] = ACTIONS(2886),
    [aux_sym_identities_only_token1] = ACTIONS(2886),
    [aux_sym_identity_agent_token1] = ACTIONS(2886),
    [aux_sym_identity_file_token1] = ACTIONS(2886),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2886),
    [aux_sym_include_token1] = ACTIONS(2886),
    [aux_sym_ip_qos_token1] = ACTIONS(2886),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2886),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2886),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2886),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2886),
    [aux_sym_local_command_token1] = ACTIONS(2886),
    [aux_sym_local_forward_token1] = ACTIONS(2886),
    [aux_sym_log_level_token1] = ACTIONS(2886),
    [aux_sym_log_verbose_token1] = ACTIONS(2886),
    [aux_sym_macs_token1] = ACTIONS(2886),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2886),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2886),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2886),
    [aux_sym_password_authentication_token1] = ACTIONS(2886),
    [aux_sym_permit_local_command_token1] = ACTIONS(2886),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2886),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2886),
    [aux_sym_port_token1] = ACTIONS(2886),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2886),
    [aux_sym_protocol_token1] = ACTIONS(2886),
    [aux_sym_proxy_command_token1] = ACTIONS(2886),
    [aux_sym_proxy_jump_token1] = ACTIONS(2886),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2886),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2886),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2886),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2886),
    [aux_sym_rekey_limit_token1] = ACTIONS(2886),
    [aux_sym_remote_command_token1] = ACTIONS(2886),
    [aux_sym_remote_forward_token1] = ACTIONS(2886),
    [aux_sym_request_tty_token1] = ACTIONS(2886),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2886),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2886),
    [aux_sym_security_key_provider_token1] = ACTIONS(2886),
    [aux_sym_send_env_token1] = ACTIONS(2886),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2886),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2886),
    [aux_sym_session_type_token1] = ACTIONS(2886),
    [aux_sym_set_env_token1] = ACTIONS(2886),
    [aux_sym_stdin_null_token1] = ACTIONS(2886),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2886),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2886),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2886),
    [aux_sym_syslog_facility_token1] = ACTIONS(2886),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2886),
    [aux_sym_keep_alive_token1] = ACTIONS(2886),
    [aux_sym_tag_token1] = ACTIONS(2886),
    [aux_sym_tunnel_token1] = ACTIONS(2888),
    [aux_sym_tunnel_device_token1] = ACTIONS(2886),
    [aux_sym_update_host_keys_token1] = ACTIONS(2886),
    [aux_sym_use_keychain_token1] = ACTIONS(2886),
    [aux_sym_use_roaming_token1] = ACTIONS(2886),
    [aux_sym_user_token1] = ACTIONS(2888),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2886),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2886),
    [aux_sym_version_addendum_token1] = ACTIONS(2886),
    [aux_sym_visual_host_key_token1] = ACTIONS(2886),
    [aux_sym_xauth_location_token1] = ACTIONS(2886),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2894),
    [aux_sym_match_token1] = ACTIONS(2892),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2892),
    [aux_sym_address_family_token1] = ACTIONS(2892),
    [aux_sym_batch_mode_token1] = ACTIONS(2892),
    [aux_sym_bind_address_token1] = ACTIONS(2892),
    [aux_sym_bind_interface_token1] = ACTIONS(2892),
    [aux_sym_canonical_domains_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2892),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2892),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2892),
    [aux_sym_certificate_file_token1] = ACTIONS(2892),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2892),
    [aux_sym_channel_timeout_token1] = ACTIONS(2892),
    [aux_sym_check_host_ip_token1] = ACTIONS(2892),
    [aux_sym_ciphers_token1] = ACTIONS(2892),
    [aux_sym_cipher_token1] = ACTIONS(2894),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2892),
    [aux_sym_compression_token1] = ACTIONS(2892),
    [aux_sym_connection_attempts_token1] = ACTIONS(2892),
    [aux_sym_connect_timeout_token1] = ACTIONS(2892),
    [aux_sym_control_master_token1] = ACTIONS(2892),
    [aux_sym_control_path_token1] = ACTIONS(2892),
    [aux_sym_control_persist_token1] = ACTIONS(2892),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2892),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2892),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2892),
    [aux_sym_escape_char_token1] = ACTIONS(2892),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2892),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2892),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2892),
    [aux_sym_forward_agent_token1] = ACTIONS(2892),
    [aux_sym_forward_x11_token1] = ACTIONS(2894),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2892),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2892),
    [aux_sym_gateway_ports_token1] = ACTIONS(2892),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2892),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2892),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2892),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2892),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2892),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2892),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2892),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2892),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2892),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2892),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2892),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2892),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2892),
    [aux_sym_host_key_alias_token1] = ACTIONS(2892),
    [aux_sym_hostname_token1] = ACTIONS(2892),
    [aux_sym_identities_only_token1] = ACTIONS(2892),
    [aux_sym_identity_agent_token1] = ACTIONS(2892),
    [aux_sym_identity_file_token1] = ACTIONS(2892),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2892),
    [aux_sym_include_token1] = ACTIONS(2892),
    [aux_sym_ip_qos_token1] = ACTIONS(2892),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2892),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2892),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2892),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2892),
    [aux_sym_local_command_token1] = ACTIONS(2892),
    [aux_sym_local_forward_token1] = ACTIONS(2892),
    [aux_sym_log_level_token1] = ACTIONS(2892),
    [aux_sym_log_verbose_token1] = ACTIONS(2892),
    [aux_sym_macs_token1] = ACTIONS(2892),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2892),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2892),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2892),
    [aux_sym_password_authentication_token1] = ACTIONS(2892),
    [aux_sym_permit_local_command_token1] = ACTIONS(2892),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2892),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2892),
    [aux_sym_port_token1] = ACTIONS(2892),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2892),
    [aux_sym_protocol_token1] = ACTIONS(2892),
    [aux_sym_proxy_command_token1] = ACTIONS(2892),
    [aux_sym_proxy_jump_token1] = ACTIONS(2892),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2892),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2892),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2892),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2892),
    [aux_sym_rekey_limit_token1] = ACTIONS(2892),
    [aux_sym_remote_command_token1] = ACTIONS(2892),
    [aux_sym_remote_forward_token1] = ACTIONS(2892),
    [aux_sym_request_tty_token1] = ACTIONS(2892),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2892),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2892),
    [aux_sym_security_key_provider_token1] = ACTIONS(2892),
    [aux_sym_send_env_token1] = ACTIONS(2892),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2892),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2892),
    [aux_sym_session_type_token1] = ACTIONS(2892),
    [aux_sym_set_env_token1] = ACTIONS(2892),
    [aux_sym_stdin_null_token1] = ACTIONS(2892),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2892),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2892),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2892),
    [aux_sym_syslog_facility_token1] = ACTIONS(2892),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2892),
    [aux_sym_keep_alive_token1] = ACTIONS(2892),
    [aux_sym_tag_token1] = ACTIONS(2892),
    [aux_sym_tunnel_token1] = ACTIONS(2894),
    [aux_sym_tunnel_device_token1] = ACTIONS(2892),
    [aux_sym_update_host_keys_token1] = ACTIONS(2892),
    [aux_sym_use_keychain_token1] = ACTIONS(2892),
    [aux_sym_use_roaming_token1] = ACTIONS(2892),
    [aux_sym_user_token1] = ACTIONS(2894),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2892),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2892),
    [aux_sym_version_addendum_token1] = ACTIONS(2892),
    [aux_sym_visual_host_key_token1] = ACTIONS(2892),
    [aux_sym_xauth_location_token1] = ACTIONS(2892),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2022),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2024),
    [aux_sym_match_token1] = ACTIONS(2022),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2022),
    [aux_sym_address_family_token1] = ACTIONS(2022),
    [aux_sym_batch_mode_token1] = ACTIONS(2022),
    [aux_sym_bind_address_token1] = ACTIONS(2022),
    [aux_sym_bind_interface_token1] = ACTIONS(2022),
    [aux_sym_canonical_domains_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2022),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2022),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2022),
    [aux_sym_certificate_file_token1] = ACTIONS(2022),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2022),
    [aux_sym_channel_timeout_token1] = ACTIONS(2022),
    [aux_sym_check_host_ip_token1] = ACTIONS(2022),
    [aux_sym_ciphers_token1] = ACTIONS(2022),
    [aux_sym_cipher_token1] = ACTIONS(2024),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2022),
    [aux_sym_compression_token1] = ACTIONS(2022),
    [aux_sym_connection_attempts_token1] = ACTIONS(2022),
    [aux_sym_connect_timeout_token1] = ACTIONS(2022),
    [aux_sym_control_master_token1] = ACTIONS(2022),
    [aux_sym_control_path_token1] = ACTIONS(2022),
    [aux_sym_control_persist_token1] = ACTIONS(2022),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2022),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2022),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2022),
    [aux_sym_escape_char_token1] = ACTIONS(2022),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2022),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2022),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2022),
    [aux_sym_forward_agent_token1] = ACTIONS(2022),
    [aux_sym_forward_x11_token1] = ACTIONS(2024),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2022),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2022),
    [aux_sym_gateway_ports_token1] = ACTIONS(2022),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2022),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2022),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2022),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2022),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2022),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2022),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2022),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2022),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2022),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2022),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2022),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2022),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2022),
    [aux_sym_host_key_alias_token1] = ACTIONS(2022),
    [aux_sym_hostname_token1] = ACTIONS(2022),
    [aux_sym_identities_only_token1] = ACTIONS(2022),
    [aux_sym_identity_agent_token1] = ACTIONS(2022),
    [aux_sym_identity_file_token1] = ACTIONS(2022),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2022),
    [aux_sym_include_token1] = ACTIONS(2022),
    [aux_sym_ip_qos_token1] = ACTIONS(2022),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2022),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2022),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2022),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2022),
    [aux_sym_local_command_token1] = ACTIONS(2022),
    [aux_sym_local_forward_token1] = ACTIONS(2022),
    [aux_sym_log_level_token1] = ACTIONS(2022),
    [aux_sym_log_verbose_token1] = ACTIONS(2022),
    [aux_sym_macs_token1] = ACTIONS(2022),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2022),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2022),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2022),
    [aux_sym_password_authentication_token1] = ACTIONS(2022),
    [aux_sym_permit_local_command_token1] = ACTIONS(2022),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2022),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2022),
    [aux_sym_port_token1] = ACTIONS(2022),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2022),
    [aux_sym_protocol_token1] = ACTIONS(2022),
    [aux_sym_proxy_command_token1] = ACTIONS(2022),
    [aux_sym_proxy_jump_token1] = ACTIONS(2022),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2022),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2022),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2022),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2022),
    [aux_sym_rekey_limit_token1] = ACTIONS(2022),
    [aux_sym_remote_command_token1] = ACTIONS(2022),
    [aux_sym_remote_forward_token1] = ACTIONS(2022),
    [aux_sym_request_tty_token1] = ACTIONS(2022),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2022),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2022),
    [aux_sym_security_key_provider_token1] = ACTIONS(2022),
    [aux_sym_send_env_token1] = ACTIONS(2022),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2022),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2022),
    [aux_sym_session_type_token1] = ACTIONS(2022),
    [aux_sym_set_env_token1] = ACTIONS(2022),
    [aux_sym_stdin_null_token1] = ACTIONS(2022),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2022),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2022),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2022),
    [aux_sym_syslog_facility_token1] = ACTIONS(2022),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2022),
    [aux_sym_keep_alive_token1] = ACTIONS(2022),
    [aux_sym_tag_token1] = ACTIONS(2022),
    [aux_sym_tunnel_token1] = ACTIONS(2024),
    [aux_sym_tunnel_device_token1] = ACTIONS(2022),
    [aux_sym_update_host_keys_token1] = ACTIONS(2022),
    [aux_sym_use_keychain_token1] = ACTIONS(2022),
    [aux_sym_use_roaming_token1] = ACTIONS(2022),
    [aux_sym_user_token1] = ACTIONS(2024),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2022),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2022),
    [aux_sym_version_addendum_token1] = ACTIONS(2022),
    [aux_sym_visual_host_key_token1] = ACTIONS(2022),
    [aux_sym_xauth_location_token1] = ACTIONS(2022),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2900),
    [aux_sym_match_token1] = ACTIONS(2898),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2898),
    [aux_sym_address_family_token1] = ACTIONS(2898),
    [aux_sym_batch_mode_token1] = ACTIONS(2898),
    [aux_sym_bind_address_token1] = ACTIONS(2898),
    [aux_sym_bind_interface_token1] = ACTIONS(2898),
    [aux_sym_canonical_domains_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2898),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2898),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2898),
    [aux_sym_certificate_file_token1] = ACTIONS(2898),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2898),
    [aux_sym_channel_timeout_token1] = ACTIONS(2898),
    [aux_sym_check_host_ip_token1] = ACTIONS(2898),
    [aux_sym_ciphers_token1] = ACTIONS(2898),
    [aux_sym_cipher_token1] = ACTIONS(2900),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2898),
    [aux_sym_compression_token1] = ACTIONS(2898),
    [aux_sym_connection_attempts_token1] = ACTIONS(2898),
    [aux_sym_connect_timeout_token1] = ACTIONS(2898),
    [aux_sym_control_master_token1] = ACTIONS(2898),
    [aux_sym_control_path_token1] = ACTIONS(2898),
    [aux_sym_control_persist_token1] = ACTIONS(2898),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2898),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2898),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2898),
    [aux_sym_escape_char_token1] = ACTIONS(2898),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2898),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2898),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2898),
    [aux_sym_forward_agent_token1] = ACTIONS(2898),
    [aux_sym_forward_x11_token1] = ACTIONS(2900),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2898),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2898),
    [aux_sym_gateway_ports_token1] = ACTIONS(2898),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2898),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2898),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2898),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2898),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2898),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2898),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2898),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2898),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2898),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2898),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2898),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2898),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2898),
    [aux_sym_host_key_alias_token1] = ACTIONS(2898),
    [aux_sym_hostname_token1] = ACTIONS(2898),
    [aux_sym_identities_only_token1] = ACTIONS(2898),
    [aux_sym_identity_agent_token1] = ACTIONS(2898),
    [aux_sym_identity_file_token1] = ACTIONS(2898),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2898),
    [aux_sym_include_token1] = ACTIONS(2898),
    [aux_sym_ip_qos_token1] = ACTIONS(2898),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2898),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2898),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2898),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2898),
    [aux_sym_local_command_token1] = ACTIONS(2898),
    [aux_sym_local_forward_token1] = ACTIONS(2898),
    [aux_sym_log_level_token1] = ACTIONS(2898),
    [aux_sym_log_verbose_token1] = ACTIONS(2898),
    [aux_sym_macs_token1] = ACTIONS(2898),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2898),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2898),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2898),
    [aux_sym_password_authentication_token1] = ACTIONS(2898),
    [aux_sym_permit_local_command_token1] = ACTIONS(2898),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2898),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2898),
    [aux_sym_port_token1] = ACTIONS(2898),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2898),
    [aux_sym_protocol_token1] = ACTIONS(2898),
    [aux_sym_proxy_command_token1] = ACTIONS(2898),
    [aux_sym_proxy_jump_token1] = ACTIONS(2898),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2898),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2898),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2898),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2898),
    [aux_sym_rekey_limit_token1] = ACTIONS(2898),
    [aux_sym_remote_command_token1] = ACTIONS(2898),
    [aux_sym_remote_forward_token1] = ACTIONS(2898),
    [aux_sym_request_tty_token1] = ACTIONS(2898),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2898),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2898),
    [aux_sym_security_key_provider_token1] = ACTIONS(2898),
    [aux_sym_send_env_token1] = ACTIONS(2898),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2898),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2898),
    [aux_sym_session_type_token1] = ACTIONS(2898),
    [aux_sym_set_env_token1] = ACTIONS(2898),
    [aux_sym_stdin_null_token1] = ACTIONS(2898),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2898),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2898),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2898),
    [aux_sym_syslog_facility_token1] = ACTIONS(2898),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2898),
    [aux_sym_keep_alive_token1] = ACTIONS(2898),
    [aux_sym_tag_token1] = ACTIONS(2898),
    [aux_sym_tunnel_token1] = ACTIONS(2900),
    [aux_sym_tunnel_device_token1] = ACTIONS(2898),
    [aux_sym_update_host_keys_token1] = ACTIONS(2898),
    [aux_sym_use_keychain_token1] = ACTIONS(2898),
    [aux_sym_use_roaming_token1] = ACTIONS(2898),
    [aux_sym_user_token1] = ACTIONS(2900),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2898),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2898),
    [aux_sym_version_addendum_token1] = ACTIONS(2898),
    [aux_sym_visual_host_key_token1] = ACTIONS(2898),
    [aux_sym_xauth_location_token1] = ACTIONS(2898),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2906),
    [aux_sym_match_token1] = ACTIONS(2904),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2904),
    [aux_sym_address_family_token1] = ACTIONS(2904),
    [aux_sym_batch_mode_token1] = ACTIONS(2904),
    [aux_sym_bind_address_token1] = ACTIONS(2904),
    [aux_sym_bind_interface_token1] = ACTIONS(2904),
    [aux_sym_canonical_domains_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2904),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2904),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2904),
    [aux_sym_certificate_file_token1] = ACTIONS(2904),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2904),
    [aux_sym_channel_timeout_token1] = ACTIONS(2904),
    [aux_sym_check_host_ip_token1] = ACTIONS(2904),
    [aux_sym_ciphers_token1] = ACTIONS(2904),
    [aux_sym_cipher_token1] = ACTIONS(2906),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2904),
    [aux_sym_compression_token1] = ACTIONS(2904),
    [aux_sym_connection_attempts_token1] = ACTIONS(2904),
    [aux_sym_connect_timeout_token1] = ACTIONS(2904),
    [aux_sym_control_master_token1] = ACTIONS(2904),
    [aux_sym_control_path_token1] = ACTIONS(2904),
    [aux_sym_control_persist_token1] = ACTIONS(2904),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2904),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2904),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2904),
    [aux_sym_escape_char_token1] = ACTIONS(2904),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2904),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2904),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2904),
    [aux_sym_forward_agent_token1] = ACTIONS(2904),
    [aux_sym_forward_x11_token1] = ACTIONS(2906),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2904),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2904),
    [aux_sym_gateway_ports_token1] = ACTIONS(2904),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2904),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2904),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2904),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2904),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2904),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2904),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2904),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2904),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2904),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2904),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2904),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2904),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2904),
    [aux_sym_host_key_alias_token1] = ACTIONS(2904),
    [aux_sym_hostname_token1] = ACTIONS(2904),
    [aux_sym_identities_only_token1] = ACTIONS(2904),
    [aux_sym_identity_agent_token1] = ACTIONS(2904),
    [aux_sym_identity_file_token1] = ACTIONS(2904),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2904),
    [aux_sym_include_token1] = ACTIONS(2904),
    [aux_sym_ip_qos_token1] = ACTIONS(2904),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2904),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2904),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2904),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2904),
    [aux_sym_local_command_token1] = ACTIONS(2904),
    [aux_sym_local_forward_token1] = ACTIONS(2904),
    [aux_sym_log_level_token1] = ACTIONS(2904),
    [aux_sym_log_verbose_token1] = ACTIONS(2904),
    [aux_sym_macs_token1] = ACTIONS(2904),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2904),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2904),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2904),
    [aux_sym_password_authentication_token1] = ACTIONS(2904),
    [aux_sym_permit_local_command_token1] = ACTIONS(2904),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2904),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2904),
    [aux_sym_port_token1] = ACTIONS(2904),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2904),
    [aux_sym_protocol_token1] = ACTIONS(2904),
    [aux_sym_proxy_command_token1] = ACTIONS(2904),
    [aux_sym_proxy_jump_token1] = ACTIONS(2904),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2904),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2904),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2904),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2904),
    [aux_sym_rekey_limit_token1] = ACTIONS(2904),
    [aux_sym_remote_command_token1] = ACTIONS(2904),
    [aux_sym_remote_forward_token1] = ACTIONS(2904),
    [aux_sym_request_tty_token1] = ACTIONS(2904),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2904),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2904),
    [aux_sym_security_key_provider_token1] = ACTIONS(2904),
    [aux_sym_send_env_token1] = ACTIONS(2904),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2904),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2904),
    [aux_sym_session_type_token1] = ACTIONS(2904),
    [aux_sym_set_env_token1] = ACTIONS(2904),
    [aux_sym_stdin_null_token1] = ACTIONS(2904),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2904),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2904),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2904),
    [aux_sym_syslog_facility_token1] = ACTIONS(2904),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2904),
    [aux_sym_keep_alive_token1] = ACTIONS(2904),
    [aux_sym_tag_token1] = ACTIONS(2904),
    [aux_sym_tunnel_token1] = ACTIONS(2906),
    [aux_sym_tunnel_device_token1] = ACTIONS(2904),
    [aux_sym_update_host_keys_token1] = ACTIONS(2904),
    [aux_sym_use_keychain_token1] = ACTIONS(2904),
    [aux_sym_use_roaming_token1] = ACTIONS(2904),
    [aux_sym_user_token1] = ACTIONS(2906),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2904),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2904),
    [aux_sym_version_addendum_token1] = ACTIONS(2904),
    [aux_sym_visual_host_key_token1] = ACTIONS(2904),
    [aux_sym_xauth_location_token1] = ACTIONS(2904),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2030),
    [aux_sym_match_token1] = ACTIONS(2028),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2028),
    [aux_sym_address_family_token1] = ACTIONS(2028),
    [aux_sym_batch_mode_token1] = ACTIONS(2028),
    [aux_sym_bind_address_token1] = ACTIONS(2028),
    [aux_sym_bind_interface_token1] = ACTIONS(2028),
    [aux_sym_canonical_domains_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2028),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2028),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2028),
    [aux_sym_certificate_file_token1] = ACTIONS(2028),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2028),
    [aux_sym_channel_timeout_token1] = ACTIONS(2028),
    [aux_sym_check_host_ip_token1] = ACTIONS(2028),
    [aux_sym_ciphers_token1] = ACTIONS(2028),
    [aux_sym_cipher_token1] = ACTIONS(2030),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2028),
    [aux_sym_compression_token1] = ACTIONS(2028),
    [aux_sym_connection_attempts_token1] = ACTIONS(2028),
    [aux_sym_connect_timeout_token1] = ACTIONS(2028),
    [aux_sym_control_master_token1] = ACTIONS(2028),
    [aux_sym_control_path_token1] = ACTIONS(2028),
    [aux_sym_control_persist_token1] = ACTIONS(2028),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2028),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2028),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2028),
    [aux_sym_escape_char_token1] = ACTIONS(2028),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2028),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2028),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2028),
    [aux_sym_forward_agent_token1] = ACTIONS(2028),
    [aux_sym_forward_x11_token1] = ACTIONS(2030),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2028),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2028),
    [aux_sym_gateway_ports_token1] = ACTIONS(2028),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2028),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2028),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2028),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2028),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2028),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2028),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2028),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2028),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2028),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2028),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2028),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2028),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2028),
    [aux_sym_host_key_alias_token1] = ACTIONS(2028),
    [aux_sym_hostname_token1] = ACTIONS(2028),
    [aux_sym_identities_only_token1] = ACTIONS(2028),
    [aux_sym_identity_agent_token1] = ACTIONS(2028),
    [aux_sym_identity_file_token1] = ACTIONS(2028),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2028),
    [aux_sym_include_token1] = ACTIONS(2028),
    [aux_sym_ip_qos_token1] = ACTIONS(2028),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2028),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2028),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2028),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2028),
    [aux_sym_local_command_token1] = ACTIONS(2028),
    [aux_sym_local_forward_token1] = ACTIONS(2028),
    [aux_sym_log_level_token1] = ACTIONS(2028),
    [aux_sym_log_verbose_token1] = ACTIONS(2028),
    [aux_sym_macs_token1] = ACTIONS(2028),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2028),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2028),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2028),
    [aux_sym_password_authentication_token1] = ACTIONS(2028),
    [aux_sym_permit_local_command_token1] = ACTIONS(2028),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2028),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2028),
    [aux_sym_port_token1] = ACTIONS(2028),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2028),
    [aux_sym_protocol_token1] = ACTIONS(2028),
    [aux_sym_proxy_command_token1] = ACTIONS(2028),
    [aux_sym_proxy_jump_token1] = ACTIONS(2028),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2028),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2028),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2028),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2028),
    [aux_sym_rekey_limit_token1] = ACTIONS(2028),
    [aux_sym_remote_command_token1] = ACTIONS(2028),
    [aux_sym_remote_forward_token1] = ACTIONS(2028),
    [aux_sym_request_tty_token1] = ACTIONS(2028),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2028),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2028),
    [aux_sym_security_key_provider_token1] = ACTIONS(2028),
    [aux_sym_send_env_token1] = ACTIONS(2028),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2028),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2028),
    [aux_sym_session_type_token1] = ACTIONS(2028),
    [aux_sym_set_env_token1] = ACTIONS(2028),
    [aux_sym_stdin_null_token1] = ACTIONS(2028),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2028),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2028),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2028),
    [aux_sym_syslog_facility_token1] = ACTIONS(2028),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2028),
    [aux_sym_keep_alive_token1] = ACTIONS(2028),
    [aux_sym_tag_token1] = ACTIONS(2028),
    [aux_sym_tunnel_token1] = ACTIONS(2030),
    [aux_sym_tunnel_device_token1] = ACTIONS(2028),
    [aux_sym_update_host_keys_token1] = ACTIONS(2028),
    [aux_sym_use_keychain_token1] = ACTIONS(2028),
    [aux_sym_use_roaming_token1] = ACTIONS(2028),
    [aux_sym_user_token1] = ACTIONS(2030),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2028),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2028),
    [aux_sym_version_addendum_token1] = ACTIONS(2028),
    [aux_sym_visual_host_key_token1] = ACTIONS(2028),
    [aux_sym_xauth_location_token1] = ACTIONS(2028),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2912),
    [aux_sym_match_token1] = ACTIONS(2910),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2910),
    [aux_sym_address_family_token1] = ACTIONS(2910),
    [aux_sym_batch_mode_token1] = ACTIONS(2910),
    [aux_sym_bind_address_token1] = ACTIONS(2910),
    [aux_sym_bind_interface_token1] = ACTIONS(2910),
    [aux_sym_canonical_domains_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2910),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2910),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2910),
    [aux_sym_certificate_file_token1] = ACTIONS(2910),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2910),
    [aux_sym_channel_timeout_token1] = ACTIONS(2910),
    [aux_sym_check_host_ip_token1] = ACTIONS(2910),
    [aux_sym_ciphers_token1] = ACTIONS(2910),
    [aux_sym_cipher_token1] = ACTIONS(2912),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2910),
    [aux_sym_compression_token1] = ACTIONS(2910),
    [aux_sym_connection_attempts_token1] = ACTIONS(2910),
    [aux_sym_connect_timeout_token1] = ACTIONS(2910),
    [aux_sym_control_master_token1] = ACTIONS(2910),
    [aux_sym_control_path_token1] = ACTIONS(2910),
    [aux_sym_control_persist_token1] = ACTIONS(2910),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2910),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2910),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2910),
    [aux_sym_escape_char_token1] = ACTIONS(2910),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2910),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2910),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2910),
    [aux_sym_forward_agent_token1] = ACTIONS(2910),
    [aux_sym_forward_x11_token1] = ACTIONS(2912),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2910),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2910),
    [aux_sym_gateway_ports_token1] = ACTIONS(2910),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2910),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2910),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2910),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2910),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2910),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2910),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2910),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2910),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2910),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2910),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2910),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2910),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2910),
    [aux_sym_host_key_alias_token1] = ACTIONS(2910),
    [aux_sym_hostname_token1] = ACTIONS(2910),
    [aux_sym_identities_only_token1] = ACTIONS(2910),
    [aux_sym_identity_agent_token1] = ACTIONS(2910),
    [aux_sym_identity_file_token1] = ACTIONS(2910),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2910),
    [aux_sym_include_token1] = ACTIONS(2910),
    [aux_sym_ip_qos_token1] = ACTIONS(2910),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2910),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2910),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2910),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2910),
    [aux_sym_local_command_token1] = ACTIONS(2910),
    [aux_sym_local_forward_token1] = ACTIONS(2910),
    [aux_sym_log_level_token1] = ACTIONS(2910),
    [aux_sym_log_verbose_token1] = ACTIONS(2910),
    [aux_sym_macs_token1] = ACTIONS(2910),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2910),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2910),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2910),
    [aux_sym_password_authentication_token1] = ACTIONS(2910),
    [aux_sym_permit_local_command_token1] = ACTIONS(2910),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2910),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2910),
    [aux_sym_port_token1] = ACTIONS(2910),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2910),
    [aux_sym_protocol_token1] = ACTIONS(2910),
    [aux_sym_proxy_command_token1] = ACTIONS(2910),
    [aux_sym_proxy_jump_token1] = ACTIONS(2910),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2910),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2910),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2910),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2910),
    [aux_sym_rekey_limit_token1] = ACTIONS(2910),
    [aux_sym_remote_command_token1] = ACTIONS(2910),
    [aux_sym_remote_forward_token1] = ACTIONS(2910),
    [aux_sym_request_tty_token1] = ACTIONS(2910),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2910),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2910),
    [aux_sym_security_key_provider_token1] = ACTIONS(2910),
    [aux_sym_send_env_token1] = ACTIONS(2910),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2910),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2910),
    [aux_sym_session_type_token1] = ACTIONS(2910),
    [aux_sym_set_env_token1] = ACTIONS(2910),
    [aux_sym_stdin_null_token1] = ACTIONS(2910),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2910),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2910),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2910),
    [aux_sym_syslog_facility_token1] = ACTIONS(2910),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2910),
    [aux_sym_keep_alive_token1] = ACTIONS(2910),
    [aux_sym_tag_token1] = ACTIONS(2910),
    [aux_sym_tunnel_token1] = ACTIONS(2912),
    [aux_sym_tunnel_device_token1] = ACTIONS(2910),
    [aux_sym_update_host_keys_token1] = ACTIONS(2910),
    [aux_sym_use_keychain_token1] = ACTIONS(2910),
    [aux_sym_use_roaming_token1] = ACTIONS(2910),
    [aux_sym_user_token1] = ACTIONS(2912),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2910),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2910),
    [aux_sym_version_addendum_token1] = ACTIONS(2910),
    [aux_sym_visual_host_key_token1] = ACTIONS(2910),
    [aux_sym_xauth_location_token1] = ACTIONS(2910),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2918),
    [aux_sym_match_token1] = ACTIONS(2916),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2916),
    [aux_sym_address_family_token1] = ACTIONS(2916),
    [aux_sym_batch_mode_token1] = ACTIONS(2916),
    [aux_sym_bind_address_token1] = ACTIONS(2916),
    [aux_sym_bind_interface_token1] = ACTIONS(2916),
    [aux_sym_canonical_domains_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2916),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2916),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2916),
    [aux_sym_certificate_file_token1] = ACTIONS(2916),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2916),
    [aux_sym_channel_timeout_token1] = ACTIONS(2916),
    [aux_sym_check_host_ip_token1] = ACTIONS(2916),
    [aux_sym_ciphers_token1] = ACTIONS(2916),
    [aux_sym_cipher_token1] = ACTIONS(2918),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2916),
    [aux_sym_compression_token1] = ACTIONS(2916),
    [aux_sym_connection_attempts_token1] = ACTIONS(2916),
    [aux_sym_connect_timeout_token1] = ACTIONS(2916),
    [aux_sym_control_master_token1] = ACTIONS(2916),
    [aux_sym_control_path_token1] = ACTIONS(2916),
    [aux_sym_control_persist_token1] = ACTIONS(2916),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2916),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2916),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2916),
    [aux_sym_escape_char_token1] = ACTIONS(2916),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2916),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2916),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2916),
    [aux_sym_forward_agent_token1] = ACTIONS(2916),
    [aux_sym_forward_x11_token1] = ACTIONS(2918),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2916),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2916),
    [aux_sym_gateway_ports_token1] = ACTIONS(2916),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2916),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2916),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2916),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2916),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2916),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2916),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2916),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2916),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2916),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2916),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2916),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2916),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2916),
    [aux_sym_host_key_alias_token1] = ACTIONS(2916),
    [aux_sym_hostname_token1] = ACTIONS(2916),
    [aux_sym_identities_only_token1] = ACTIONS(2916),
    [aux_sym_identity_agent_token1] = ACTIONS(2916),
    [aux_sym_identity_file_token1] = ACTIONS(2916),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2916),
    [aux_sym_include_token1] = ACTIONS(2916),
    [aux_sym_ip_qos_token1] = ACTIONS(2916),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2916),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2916),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2916),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2916),
    [aux_sym_local_command_token1] = ACTIONS(2916),
    [aux_sym_local_forward_token1] = ACTIONS(2916),
    [aux_sym_log_level_token1] = ACTIONS(2916),
    [aux_sym_log_verbose_token1] = ACTIONS(2916),
    [aux_sym_macs_token1] = ACTIONS(2916),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2916),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2916),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2916),
    [aux_sym_password_authentication_token1] = ACTIONS(2916),
    [aux_sym_permit_local_command_token1] = ACTIONS(2916),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2916),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2916),
    [aux_sym_port_token1] = ACTIONS(2916),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2916),
    [aux_sym_protocol_token1] = ACTIONS(2916),
    [aux_sym_proxy_command_token1] = ACTIONS(2916),
    [aux_sym_proxy_jump_token1] = ACTIONS(2916),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2916),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2916),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2916),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2916),
    [aux_sym_rekey_limit_token1] = ACTIONS(2916),
    [aux_sym_remote_command_token1] = ACTIONS(2916),
    [aux_sym_remote_forward_token1] = ACTIONS(2916),
    [aux_sym_request_tty_token1] = ACTIONS(2916),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2916),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2916),
    [aux_sym_security_key_provider_token1] = ACTIONS(2916),
    [aux_sym_send_env_token1] = ACTIONS(2916),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2916),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2916),
    [aux_sym_session_type_token1] = ACTIONS(2916),
    [aux_sym_set_env_token1] = ACTIONS(2916),
    [aux_sym_stdin_null_token1] = ACTIONS(2916),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2916),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2916),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2916),
    [aux_sym_syslog_facility_token1] = ACTIONS(2916),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2916),
    [aux_sym_keep_alive_token1] = ACTIONS(2916),
    [aux_sym_tag_token1] = ACTIONS(2916),
    [aux_sym_tunnel_token1] = ACTIONS(2918),
    [aux_sym_tunnel_device_token1] = ACTIONS(2916),
    [aux_sym_update_host_keys_token1] = ACTIONS(2916),
    [aux_sym_use_keychain_token1] = ACTIONS(2916),
    [aux_sym_use_roaming_token1] = ACTIONS(2916),
    [aux_sym_user_token1] = ACTIONS(2918),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2916),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2916),
    [aux_sym_version_addendum_token1] = ACTIONS(2916),
    [aux_sym_visual_host_key_token1] = ACTIONS(2916),
    [aux_sym_xauth_location_token1] = ACTIONS(2916),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2036),
    [aux_sym_match_token1] = ACTIONS(2034),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2034),
    [aux_sym_address_family_token1] = ACTIONS(2034),
    [aux_sym_batch_mode_token1] = ACTIONS(2034),
    [aux_sym_bind_address_token1] = ACTIONS(2034),
    [aux_sym_bind_interface_token1] = ACTIONS(2034),
    [aux_sym_canonical_domains_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2034),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2034),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2034),
    [aux_sym_certificate_file_token1] = ACTIONS(2034),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2034),
    [aux_sym_channel_timeout_token1] = ACTIONS(2034),
    [aux_sym_check_host_ip_token1] = ACTIONS(2034),
    [aux_sym_ciphers_token1] = ACTIONS(2034),
    [aux_sym_cipher_token1] = ACTIONS(2036),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2034),
    [aux_sym_compression_token1] = ACTIONS(2034),
    [aux_sym_connection_attempts_token1] = ACTIONS(2034),
    [aux_sym_connect_timeout_token1] = ACTIONS(2034),
    [aux_sym_control_master_token1] = ACTIONS(2034),
    [aux_sym_control_path_token1] = ACTIONS(2034),
    [aux_sym_control_persist_token1] = ACTIONS(2034),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2034),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2034),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2034),
    [aux_sym_escape_char_token1] = ACTIONS(2034),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2034),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2034),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2034),
    [aux_sym_forward_agent_token1] = ACTIONS(2034),
    [aux_sym_forward_x11_token1] = ACTIONS(2036),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2034),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2034),
    [aux_sym_gateway_ports_token1] = ACTIONS(2034),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2034),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2034),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2034),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2034),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2034),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2034),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2034),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2034),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2034),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2034),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2034),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2034),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2034),
    [aux_sym_host_key_alias_token1] = ACTIONS(2034),
    [aux_sym_hostname_token1] = ACTIONS(2034),
    [aux_sym_identities_only_token1] = ACTIONS(2034),
    [aux_sym_identity_agent_token1] = ACTIONS(2034),
    [aux_sym_identity_file_token1] = ACTIONS(2034),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2034),
    [aux_sym_include_token1] = ACTIONS(2034),
    [aux_sym_ip_qos_token1] = ACTIONS(2034),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2034),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2034),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2034),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2034),
    [aux_sym_local_command_token1] = ACTIONS(2034),
    [aux_sym_local_forward_token1] = ACTIONS(2034),
    [aux_sym_log_level_token1] = ACTIONS(2034),
    [aux_sym_log_verbose_token1] = ACTIONS(2034),
    [aux_sym_macs_token1] = ACTIONS(2034),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2034),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2034),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2034),
    [aux_sym_password_authentication_token1] = ACTIONS(2034),
    [aux_sym_permit_local_command_token1] = ACTIONS(2034),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2034),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2034),
    [aux_sym_port_token1] = ACTIONS(2034),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2034),
    [aux_sym_protocol_token1] = ACTIONS(2034),
    [aux_sym_proxy_command_token1] = ACTIONS(2034),
    [aux_sym_proxy_jump_token1] = ACTIONS(2034),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2034),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2034),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2034),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2034),
    [aux_sym_rekey_limit_token1] = ACTIONS(2034),
    [aux_sym_remote_command_token1] = ACTIONS(2034),
    [aux_sym_remote_forward_token1] = ACTIONS(2034),
    [aux_sym_request_tty_token1] = ACTIONS(2034),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2034),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2034),
    [aux_sym_security_key_provider_token1] = ACTIONS(2034),
    [aux_sym_send_env_token1] = ACTIONS(2034),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2034),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2034),
    [aux_sym_session_type_token1] = ACTIONS(2034),
    [aux_sym_set_env_token1] = ACTIONS(2034),
    [aux_sym_stdin_null_token1] = ACTIONS(2034),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2034),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2034),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2034),
    [aux_sym_syslog_facility_token1] = ACTIONS(2034),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2034),
    [aux_sym_keep_alive_token1] = ACTIONS(2034),
    [aux_sym_tag_token1] = ACTIONS(2034),
    [aux_sym_tunnel_token1] = ACTIONS(2036),
    [aux_sym_tunnel_device_token1] = ACTIONS(2034),
    [aux_sym_update_host_keys_token1] = ACTIONS(2034),
    [aux_sym_use_keychain_token1] = ACTIONS(2034),
    [aux_sym_use_roaming_token1] = ACTIONS(2034),
    [aux_sym_user_token1] = ACTIONS(2036),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2034),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2034),
    [aux_sym_version_addendum_token1] = ACTIONS(2034),
    [aux_sym_visual_host_key_token1] = ACTIONS(2034),
    [aux_sym_xauth_location_token1] = ACTIONS(2034),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2924),
    [aux_sym_match_token1] = ACTIONS(2922),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2922),
    [aux_sym_address_family_token1] = ACTIONS(2922),
    [aux_sym_batch_mode_token1] = ACTIONS(2922),
    [aux_sym_bind_address_token1] = ACTIONS(2922),
    [aux_sym_bind_interface_token1] = ACTIONS(2922),
    [aux_sym_canonical_domains_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2922),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2922),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2922),
    [aux_sym_certificate_file_token1] = ACTIONS(2922),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2922),
    [aux_sym_channel_timeout_token1] = ACTIONS(2922),
    [aux_sym_check_host_ip_token1] = ACTIONS(2922),
    [aux_sym_ciphers_token1] = ACTIONS(2922),
    [aux_sym_cipher_token1] = ACTIONS(2924),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2922),
    [aux_sym_compression_token1] = ACTIONS(2922),
    [aux_sym_connection_attempts_token1] = ACTIONS(2922),
    [aux_sym_connect_timeout_token1] = ACTIONS(2922),
    [aux_sym_control_master_token1] = ACTIONS(2922),
    [aux_sym_control_path_token1] = ACTIONS(2922),
    [aux_sym_control_persist_token1] = ACTIONS(2922),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2922),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2922),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2922),
    [aux_sym_escape_char_token1] = ACTIONS(2922),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2922),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2922),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2922),
    [aux_sym_forward_agent_token1] = ACTIONS(2922),
    [aux_sym_forward_x11_token1] = ACTIONS(2924),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2922),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2922),
    [aux_sym_gateway_ports_token1] = ACTIONS(2922),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2922),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2922),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2922),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2922),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2922),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2922),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2922),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2922),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2922),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2922),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2922),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2922),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2922),
    [aux_sym_host_key_alias_token1] = ACTIONS(2922),
    [aux_sym_hostname_token1] = ACTIONS(2922),
    [aux_sym_identities_only_token1] = ACTIONS(2922),
    [aux_sym_identity_agent_token1] = ACTIONS(2922),
    [aux_sym_identity_file_token1] = ACTIONS(2922),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2922),
    [aux_sym_include_token1] = ACTIONS(2922),
    [aux_sym_ip_qos_token1] = ACTIONS(2922),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2922),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2922),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2922),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2922),
    [aux_sym_local_command_token1] = ACTIONS(2922),
    [aux_sym_local_forward_token1] = ACTIONS(2922),
    [aux_sym_log_level_token1] = ACTIONS(2922),
    [aux_sym_log_verbose_token1] = ACTIONS(2922),
    [aux_sym_macs_token1] = ACTIONS(2922),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2922),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2922),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2922),
    [aux_sym_password_authentication_token1] = ACTIONS(2922),
    [aux_sym_permit_local_command_token1] = ACTIONS(2922),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2922),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2922),
    [aux_sym_port_token1] = ACTIONS(2922),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2922),
    [aux_sym_protocol_token1] = ACTIONS(2922),
    [aux_sym_proxy_command_token1] = ACTIONS(2922),
    [aux_sym_proxy_jump_token1] = ACTIONS(2922),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2922),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2922),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2922),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2922),
    [aux_sym_rekey_limit_token1] = ACTIONS(2922),
    [aux_sym_remote_command_token1] = ACTIONS(2922),
    [aux_sym_remote_forward_token1] = ACTIONS(2922),
    [aux_sym_request_tty_token1] = ACTIONS(2922),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2922),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2922),
    [aux_sym_security_key_provider_token1] = ACTIONS(2922),
    [aux_sym_send_env_token1] = ACTIONS(2922),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2922),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2922),
    [aux_sym_session_type_token1] = ACTIONS(2922),
    [aux_sym_set_env_token1] = ACTIONS(2922),
    [aux_sym_stdin_null_token1] = ACTIONS(2922),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2922),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2922),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2922),
    [aux_sym_syslog_facility_token1] = ACTIONS(2922),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2922),
    [aux_sym_keep_alive_token1] = ACTIONS(2922),
    [aux_sym_tag_token1] = ACTIONS(2922),
    [aux_sym_tunnel_token1] = ACTIONS(2924),
    [aux_sym_tunnel_device_token1] = ACTIONS(2922),
    [aux_sym_update_host_keys_token1] = ACTIONS(2922),
    [aux_sym_use_keychain_token1] = ACTIONS(2922),
    [aux_sym_use_roaming_token1] = ACTIONS(2922),
    [aux_sym_user_token1] = ACTIONS(2924),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2922),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2922),
    [aux_sym_version_addendum_token1] = ACTIONS(2922),
    [aux_sym_visual_host_key_token1] = ACTIONS(2922),
    [aux_sym_xauth_location_token1] = ACTIONS(2922),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2930),
    [aux_sym_match_token1] = ACTIONS(2928),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2928),
    [aux_sym_address_family_token1] = ACTIONS(2928),
    [aux_sym_batch_mode_token1] = ACTIONS(2928),
    [aux_sym_bind_address_token1] = ACTIONS(2928),
    [aux_sym_bind_interface_token1] = ACTIONS(2928),
    [aux_sym_canonical_domains_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2928),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2928),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2928),
    [aux_sym_certificate_file_token1] = ACTIONS(2928),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2928),
    [aux_sym_channel_timeout_token1] = ACTIONS(2928),
    [aux_sym_check_host_ip_token1] = ACTIONS(2928),
    [aux_sym_ciphers_token1] = ACTIONS(2928),
    [aux_sym_cipher_token1] = ACTIONS(2930),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2928),
    [aux_sym_compression_token1] = ACTIONS(2928),
    [aux_sym_connection_attempts_token1] = ACTIONS(2928),
    [aux_sym_connect_timeout_token1] = ACTIONS(2928),
    [aux_sym_control_master_token1] = ACTIONS(2928),
    [aux_sym_control_path_token1] = ACTIONS(2928),
    [aux_sym_control_persist_token1] = ACTIONS(2928),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2928),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2928),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2928),
    [aux_sym_escape_char_token1] = ACTIONS(2928),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2928),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2928),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2928),
    [aux_sym_forward_agent_token1] = ACTIONS(2928),
    [aux_sym_forward_x11_token1] = ACTIONS(2930),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2928),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2928),
    [aux_sym_gateway_ports_token1] = ACTIONS(2928),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2928),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2928),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2928),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2928),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2928),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2928),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2928),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2928),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2928),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2928),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2928),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2928),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2928),
    [aux_sym_host_key_alias_token1] = ACTIONS(2928),
    [aux_sym_hostname_token1] = ACTIONS(2928),
    [aux_sym_identities_only_token1] = ACTIONS(2928),
    [aux_sym_identity_agent_token1] = ACTIONS(2928),
    [aux_sym_identity_file_token1] = ACTIONS(2928),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2928),
    [aux_sym_include_token1] = ACTIONS(2928),
    [aux_sym_ip_qos_token1] = ACTIONS(2928),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2928),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2928),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2928),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2928),
    [aux_sym_local_command_token1] = ACTIONS(2928),
    [aux_sym_local_forward_token1] = ACTIONS(2928),
    [aux_sym_log_level_token1] = ACTIONS(2928),
    [aux_sym_log_verbose_token1] = ACTIONS(2928),
    [aux_sym_macs_token1] = ACTIONS(2928),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2928),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2928),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2928),
    [aux_sym_password_authentication_token1] = ACTIONS(2928),
    [aux_sym_permit_local_command_token1] = ACTIONS(2928),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2928),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2928),
    [aux_sym_port_token1] = ACTIONS(2928),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2928),
    [aux_sym_protocol_token1] = ACTIONS(2928),
    [aux_sym_proxy_command_token1] = ACTIONS(2928),
    [aux_sym_proxy_jump_token1] = ACTIONS(2928),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2928),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2928),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2928),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2928),
    [aux_sym_rekey_limit_token1] = ACTIONS(2928),
    [aux_sym_remote_command_token1] = ACTIONS(2928),
    [aux_sym_remote_forward_token1] = ACTIONS(2928),
    [aux_sym_request_tty_token1] = ACTIONS(2928),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2928),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2928),
    [aux_sym_security_key_provider_token1] = ACTIONS(2928),
    [aux_sym_send_env_token1] = ACTIONS(2928),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2928),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2928),
    [aux_sym_session_type_token1] = ACTIONS(2928),
    [aux_sym_set_env_token1] = ACTIONS(2928),
    [aux_sym_stdin_null_token1] = ACTIONS(2928),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2928),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2928),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2928),
    [aux_sym_syslog_facility_token1] = ACTIONS(2928),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2928),
    [aux_sym_keep_alive_token1] = ACTIONS(2928),
    [aux_sym_tag_token1] = ACTIONS(2928),
    [aux_sym_tunnel_token1] = ACTIONS(2930),
    [aux_sym_tunnel_device_token1] = ACTIONS(2928),
    [aux_sym_update_host_keys_token1] = ACTIONS(2928),
    [aux_sym_use_keychain_token1] = ACTIONS(2928),
    [aux_sym_use_roaming_token1] = ACTIONS(2928),
    [aux_sym_user_token1] = ACTIONS(2930),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2928),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2928),
    [aux_sym_version_addendum_token1] = ACTIONS(2928),
    [aux_sym_visual_host_key_token1] = ACTIONS(2928),
    [aux_sym_xauth_location_token1] = ACTIONS(2928),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2042),
    [aux_sym_match_token1] = ACTIONS(2040),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2040),
    [aux_sym_address_family_token1] = ACTIONS(2040),
    [aux_sym_batch_mode_token1] = ACTIONS(2040),
    [aux_sym_bind_address_token1] = ACTIONS(2040),
    [aux_sym_bind_interface_token1] = ACTIONS(2040),
    [aux_sym_canonical_domains_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2040),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2040),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2040),
    [aux_sym_certificate_file_token1] = ACTIONS(2040),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2040),
    [aux_sym_channel_timeout_token1] = ACTIONS(2040),
    [aux_sym_check_host_ip_token1] = ACTIONS(2040),
    [aux_sym_ciphers_token1] = ACTIONS(2040),
    [aux_sym_cipher_token1] = ACTIONS(2042),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2040),
    [aux_sym_compression_token1] = ACTIONS(2040),
    [aux_sym_connection_attempts_token1] = ACTIONS(2040),
    [aux_sym_connect_timeout_token1] = ACTIONS(2040),
    [aux_sym_control_master_token1] = ACTIONS(2040),
    [aux_sym_control_path_token1] = ACTIONS(2040),
    [aux_sym_control_persist_token1] = ACTIONS(2040),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2040),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2040),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2040),
    [aux_sym_escape_char_token1] = ACTIONS(2040),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2040),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2040),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2040),
    [aux_sym_forward_agent_token1] = ACTIONS(2040),
    [aux_sym_forward_x11_token1] = ACTIONS(2042),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2040),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2040),
    [aux_sym_gateway_ports_token1] = ACTIONS(2040),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2040),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2040),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2040),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2040),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2040),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2040),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2040),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2040),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2040),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2040),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2040),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2040),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2040),
    [aux_sym_host_key_alias_token1] = ACTIONS(2040),
    [aux_sym_hostname_token1] = ACTIONS(2040),
    [aux_sym_identities_only_token1] = ACTIONS(2040),
    [aux_sym_identity_agent_token1] = ACTIONS(2040),
    [aux_sym_identity_file_token1] = ACTIONS(2040),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2040),
    [aux_sym_include_token1] = ACTIONS(2040),
    [aux_sym_ip_qos_token1] = ACTIONS(2040),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2040),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2040),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2040),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2040),
    [aux_sym_local_command_token1] = ACTIONS(2040),
    [aux_sym_local_forward_token1] = ACTIONS(2040),
    [aux_sym_log_level_token1] = ACTIONS(2040),
    [aux_sym_log_verbose_token1] = ACTIONS(2040),
    [aux_sym_macs_token1] = ACTIONS(2040),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2040),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2040),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2040),
    [aux_sym_password_authentication_token1] = ACTIONS(2040),
    [aux_sym_permit_local_command_token1] = ACTIONS(2040),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2040),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2040),
    [aux_sym_port_token1] = ACTIONS(2040),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2040),
    [aux_sym_protocol_token1] = ACTIONS(2040),
    [aux_sym_proxy_command_token1] = ACTIONS(2040),
    [aux_sym_proxy_jump_token1] = ACTIONS(2040),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2040),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2040),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2040),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2040),
    [aux_sym_rekey_limit_token1] = ACTIONS(2040),
    [aux_sym_remote_command_token1] = ACTIONS(2040),
    [aux_sym_remote_forward_token1] = ACTIONS(2040),
    [aux_sym_request_tty_token1] = ACTIONS(2040),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2040),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2040),
    [aux_sym_security_key_provider_token1] = ACTIONS(2040),
    [aux_sym_send_env_token1] = ACTIONS(2040),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2040),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2040),
    [aux_sym_session_type_token1] = ACTIONS(2040),
    [aux_sym_set_env_token1] = ACTIONS(2040),
    [aux_sym_stdin_null_token1] = ACTIONS(2040),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2040),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2040),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2040),
    [aux_sym_syslog_facility_token1] = ACTIONS(2040),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2040),
    [aux_sym_keep_alive_token1] = ACTIONS(2040),
    [aux_sym_tag_token1] = ACTIONS(2040),
    [aux_sym_tunnel_token1] = ACTIONS(2042),
    [aux_sym_tunnel_device_token1] = ACTIONS(2040),
    [aux_sym_update_host_keys_token1] = ACTIONS(2040),
    [aux_sym_use_keychain_token1] = ACTIONS(2040),
    [aux_sym_use_roaming_token1] = ACTIONS(2040),
    [aux_sym_user_token1] = ACTIONS(2042),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2040),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2040),
    [aux_sym_version_addendum_token1] = ACTIONS(2040),
    [aux_sym_visual_host_key_token1] = ACTIONS(2040),
    [aux_sym_xauth_location_token1] = ACTIONS(2040),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2936),
    [aux_sym_match_token1] = ACTIONS(2934),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2934),
    [aux_sym_address_family_token1] = ACTIONS(2934),
    [aux_sym_batch_mode_token1] = ACTIONS(2934),
    [aux_sym_bind_address_token1] = ACTIONS(2934),
    [aux_sym_bind_interface_token1] = ACTIONS(2934),
    [aux_sym_canonical_domains_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2934),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2934),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2934),
    [aux_sym_certificate_file_token1] = ACTIONS(2934),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2934),
    [aux_sym_channel_timeout_token1] = ACTIONS(2934),
    [aux_sym_check_host_ip_token1] = ACTIONS(2934),
    [aux_sym_ciphers_token1] = ACTIONS(2934),
    [aux_sym_cipher_token1] = ACTIONS(2936),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2934),
    [aux_sym_compression_token1] = ACTIONS(2934),
    [aux_sym_connection_attempts_token1] = ACTIONS(2934),
    [aux_sym_connect_timeout_token1] = ACTIONS(2934),
    [aux_sym_control_master_token1] = ACTIONS(2934),
    [aux_sym_control_path_token1] = ACTIONS(2934),
    [aux_sym_control_persist_token1] = ACTIONS(2934),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2934),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2934),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2934),
    [aux_sym_escape_char_token1] = ACTIONS(2934),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2934),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2934),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2934),
    [aux_sym_forward_agent_token1] = ACTIONS(2934),
    [aux_sym_forward_x11_token1] = ACTIONS(2936),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2934),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2934),
    [aux_sym_gateway_ports_token1] = ACTIONS(2934),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2934),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2934),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2934),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2934),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2934),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2934),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2934),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2934),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2934),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2934),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2934),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2934),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2934),
    [aux_sym_host_key_alias_token1] = ACTIONS(2934),
    [aux_sym_hostname_token1] = ACTIONS(2934),
    [aux_sym_identities_only_token1] = ACTIONS(2934),
    [aux_sym_identity_agent_token1] = ACTIONS(2934),
    [aux_sym_identity_file_token1] = ACTIONS(2934),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2934),
    [aux_sym_include_token1] = ACTIONS(2934),
    [aux_sym_ip_qos_token1] = ACTIONS(2934),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2934),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2934),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2934),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2934),
    [aux_sym_local_command_token1] = ACTIONS(2934),
    [aux_sym_local_forward_token1] = ACTIONS(2934),
    [aux_sym_log_level_token1] = ACTIONS(2934),
    [aux_sym_log_verbose_token1] = ACTIONS(2934),
    [aux_sym_macs_token1] = ACTIONS(2934),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2934),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2934),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2934),
    [aux_sym_password_authentication_token1] = ACTIONS(2934),
    [aux_sym_permit_local_command_token1] = ACTIONS(2934),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2934),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2934),
    [aux_sym_port_token1] = ACTIONS(2934),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2934),
    [aux_sym_protocol_token1] = ACTIONS(2934),
    [aux_sym_proxy_command_token1] = ACTIONS(2934),
    [aux_sym_proxy_jump_token1] = ACTIONS(2934),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2934),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2934),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2934),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2934),
    [aux_sym_rekey_limit_token1] = ACTIONS(2934),
    [aux_sym_remote_command_token1] = ACTIONS(2934),
    [aux_sym_remote_forward_token1] = ACTIONS(2934),
    [aux_sym_request_tty_token1] = ACTIONS(2934),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2934),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2934),
    [aux_sym_security_key_provider_token1] = ACTIONS(2934),
    [aux_sym_send_env_token1] = ACTIONS(2934),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2934),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2934),
    [aux_sym_session_type_token1] = ACTIONS(2934),
    [aux_sym_set_env_token1] = ACTIONS(2934),
    [aux_sym_stdin_null_token1] = ACTIONS(2934),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2934),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2934),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2934),
    [aux_sym_syslog_facility_token1] = ACTIONS(2934),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2934),
    [aux_sym_keep_alive_token1] = ACTIONS(2934),
    [aux_sym_tag_token1] = ACTIONS(2934),
    [aux_sym_tunnel_token1] = ACTIONS(2936),
    [aux_sym_tunnel_device_token1] = ACTIONS(2934),
    [aux_sym_update_host_keys_token1] = ACTIONS(2934),
    [aux_sym_use_keychain_token1] = ACTIONS(2934),
    [aux_sym_use_roaming_token1] = ACTIONS(2934),
    [aux_sym_user_token1] = ACTIONS(2936),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2934),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2934),
    [aux_sym_version_addendum_token1] = ACTIONS(2934),
    [aux_sym_visual_host_key_token1] = ACTIONS(2934),
    [aux_sym_xauth_location_token1] = ACTIONS(2934),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2942),
    [aux_sym_match_token1] = ACTIONS(2940),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2940),
    [aux_sym_address_family_token1] = ACTIONS(2940),
    [aux_sym_batch_mode_token1] = ACTIONS(2940),
    [aux_sym_bind_address_token1] = ACTIONS(2940),
    [aux_sym_bind_interface_token1] = ACTIONS(2940),
    [aux_sym_canonical_domains_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2940),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2940),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2940),
    [aux_sym_certificate_file_token1] = ACTIONS(2940),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2940),
    [aux_sym_channel_timeout_token1] = ACTIONS(2940),
    [aux_sym_check_host_ip_token1] = ACTIONS(2940),
    [aux_sym_ciphers_token1] = ACTIONS(2940),
    [aux_sym_cipher_token1] = ACTIONS(2942),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2940),
    [aux_sym_compression_token1] = ACTIONS(2940),
    [aux_sym_connection_attempts_token1] = ACTIONS(2940),
    [aux_sym_connect_timeout_token1] = ACTIONS(2940),
    [aux_sym_control_master_token1] = ACTIONS(2940),
    [aux_sym_control_path_token1] = ACTIONS(2940),
    [aux_sym_control_persist_token1] = ACTIONS(2940),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2940),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2940),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2940),
    [aux_sym_escape_char_token1] = ACTIONS(2940),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2940),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2940),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2940),
    [aux_sym_forward_agent_token1] = ACTIONS(2940),
    [aux_sym_forward_x11_token1] = ACTIONS(2942),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2940),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2940),
    [aux_sym_gateway_ports_token1] = ACTIONS(2940),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2940),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2940),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2940),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2940),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2940),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2940),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2940),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2940),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2940),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2940),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2940),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2940),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2940),
    [aux_sym_host_key_alias_token1] = ACTIONS(2940),
    [aux_sym_hostname_token1] = ACTIONS(2940),
    [aux_sym_identities_only_token1] = ACTIONS(2940),
    [aux_sym_identity_agent_token1] = ACTIONS(2940),
    [aux_sym_identity_file_token1] = ACTIONS(2940),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2940),
    [aux_sym_include_token1] = ACTIONS(2940),
    [aux_sym_ip_qos_token1] = ACTIONS(2940),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2940),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2940),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2940),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2940),
    [aux_sym_local_command_token1] = ACTIONS(2940),
    [aux_sym_local_forward_token1] = ACTIONS(2940),
    [aux_sym_log_level_token1] = ACTIONS(2940),
    [aux_sym_log_verbose_token1] = ACTIONS(2940),
    [aux_sym_macs_token1] = ACTIONS(2940),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2940),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2940),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2940),
    [aux_sym_password_authentication_token1] = ACTIONS(2940),
    [aux_sym_permit_local_command_token1] = ACTIONS(2940),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2940),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2940),
    [aux_sym_port_token1] = ACTIONS(2940),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2940),
    [aux_sym_protocol_token1] = ACTIONS(2940),
    [aux_sym_proxy_command_token1] = ACTIONS(2940),
    [aux_sym_proxy_jump_token1] = ACTIONS(2940),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2940),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2940),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2940),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2940),
    [aux_sym_rekey_limit_token1] = ACTIONS(2940),
    [aux_sym_remote_command_token1] = ACTIONS(2940),
    [aux_sym_remote_forward_token1] = ACTIONS(2940),
    [aux_sym_request_tty_token1] = ACTIONS(2940),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2940),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2940),
    [aux_sym_security_key_provider_token1] = ACTIONS(2940),
    [aux_sym_send_env_token1] = ACTIONS(2940),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2940),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2940),
    [aux_sym_session_type_token1] = ACTIONS(2940),
    [aux_sym_set_env_token1] = ACTIONS(2940),
    [aux_sym_stdin_null_token1] = ACTIONS(2940),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2940),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2940),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2940),
    [aux_sym_syslog_facility_token1] = ACTIONS(2940),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2940),
    [aux_sym_keep_alive_token1] = ACTIONS(2940),
    [aux_sym_tag_token1] = ACTIONS(2940),
    [aux_sym_tunnel_token1] = ACTIONS(2942),
    [aux_sym_tunnel_device_token1] = ACTIONS(2940),
    [aux_sym_update_host_keys_token1] = ACTIONS(2940),
    [aux_sym_use_keychain_token1] = ACTIONS(2940),
    [aux_sym_use_roaming_token1] = ACTIONS(2940),
    [aux_sym_user_token1] = ACTIONS(2942),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2940),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2940),
    [aux_sym_version_addendum_token1] = ACTIONS(2940),
    [aux_sym_visual_host_key_token1] = ACTIONS(2940),
    [aux_sym_xauth_location_token1] = ACTIONS(2940),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2046),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2048),
    [aux_sym_match_token1] = ACTIONS(2046),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2046),
    [aux_sym_address_family_token1] = ACTIONS(2046),
    [aux_sym_batch_mode_token1] = ACTIONS(2046),
    [aux_sym_bind_address_token1] = ACTIONS(2046),
    [aux_sym_bind_interface_token1] = ACTIONS(2046),
    [aux_sym_canonical_domains_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2046),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2046),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2046),
    [aux_sym_certificate_file_token1] = ACTIONS(2046),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2046),
    [aux_sym_channel_timeout_token1] = ACTIONS(2046),
    [aux_sym_check_host_ip_token1] = ACTIONS(2046),
    [aux_sym_ciphers_token1] = ACTIONS(2046),
    [aux_sym_cipher_token1] = ACTIONS(2048),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2046),
    [aux_sym_compression_token1] = ACTIONS(2046),
    [aux_sym_connection_attempts_token1] = ACTIONS(2046),
    [aux_sym_connect_timeout_token1] = ACTIONS(2046),
    [aux_sym_control_master_token1] = ACTIONS(2046),
    [aux_sym_control_path_token1] = ACTIONS(2046),
    [aux_sym_control_persist_token1] = ACTIONS(2046),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2046),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2046),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2046),
    [aux_sym_escape_char_token1] = ACTIONS(2046),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2046),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2046),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2046),
    [aux_sym_forward_agent_token1] = ACTIONS(2046),
    [aux_sym_forward_x11_token1] = ACTIONS(2048),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2046),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2046),
    [aux_sym_gateway_ports_token1] = ACTIONS(2046),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2046),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2046),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2046),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2046),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2046),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2046),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2046),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2046),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2046),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2046),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2046),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2046),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2046),
    [aux_sym_host_key_alias_token1] = ACTIONS(2046),
    [aux_sym_hostname_token1] = ACTIONS(2046),
    [aux_sym_identities_only_token1] = ACTIONS(2046),
    [aux_sym_identity_agent_token1] = ACTIONS(2046),
    [aux_sym_identity_file_token1] = ACTIONS(2046),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2046),
    [aux_sym_include_token1] = ACTIONS(2046),
    [aux_sym_ip_qos_token1] = ACTIONS(2046),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2046),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2046),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2046),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2046),
    [aux_sym_local_command_token1] = ACTIONS(2046),
    [aux_sym_local_forward_token1] = ACTIONS(2046),
    [aux_sym_log_level_token1] = ACTIONS(2046),
    [aux_sym_log_verbose_token1] = ACTIONS(2046),
    [aux_sym_macs_token1] = ACTIONS(2046),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2046),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2046),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2046),
    [aux_sym_password_authentication_token1] = ACTIONS(2046),
    [aux_sym_permit_local_command_token1] = ACTIONS(2046),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2046),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2046),
    [aux_sym_port_token1] = ACTIONS(2046),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2046),
    [aux_sym_protocol_token1] = ACTIONS(2046),
    [aux_sym_proxy_command_token1] = ACTIONS(2046),
    [aux_sym_proxy_jump_token1] = ACTIONS(2046),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2046),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2046),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2046),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2046),
    [aux_sym_rekey_limit_token1] = ACTIONS(2046),
    [aux_sym_remote_command_token1] = ACTIONS(2046),
    [aux_sym_remote_forward_token1] = ACTIONS(2046),
    [aux_sym_request_tty_token1] = ACTIONS(2046),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2046),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2046),
    [aux_sym_security_key_provider_token1] = ACTIONS(2046),
    [aux_sym_send_env_token1] = ACTIONS(2046),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2046),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2046),
    [aux_sym_session_type_token1] = ACTIONS(2046),
    [aux_sym_set_env_token1] = ACTIONS(2046),
    [aux_sym_stdin_null_token1] = ACTIONS(2046),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2046),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2046),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2046),
    [aux_sym_syslog_facility_token1] = ACTIONS(2046),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2046),
    [aux_sym_keep_alive_token1] = ACTIONS(2046),
    [aux_sym_tag_token1] = ACTIONS(2046),
    [aux_sym_tunnel_token1] = ACTIONS(2048),
    [aux_sym_tunnel_device_token1] = ACTIONS(2046),
    [aux_sym_update_host_keys_token1] = ACTIONS(2046),
    [aux_sym_use_keychain_token1] = ACTIONS(2046),
    [aux_sym_use_roaming_token1] = ACTIONS(2046),
    [aux_sym_user_token1] = ACTIONS(2048),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2046),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2046),
    [aux_sym_version_addendum_token1] = ACTIONS(2046),
    [aux_sym_visual_host_key_token1] = ACTIONS(2046),
    [aux_sym_xauth_location_token1] = ACTIONS(2046),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2948),
    [aux_sym_match_token1] = ACTIONS(2946),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2946),
    [aux_sym_address_family_token1] = ACTIONS(2946),
    [aux_sym_batch_mode_token1] = ACTIONS(2946),
    [aux_sym_bind_address_token1] = ACTIONS(2946),
    [aux_sym_bind_interface_token1] = ACTIONS(2946),
    [aux_sym_canonical_domains_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2946),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2946),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2946),
    [aux_sym_certificate_file_token1] = ACTIONS(2946),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2946),
    [aux_sym_channel_timeout_token1] = ACTIONS(2946),
    [aux_sym_check_host_ip_token1] = ACTIONS(2946),
    [aux_sym_ciphers_token1] = ACTIONS(2946),
    [aux_sym_cipher_token1] = ACTIONS(2948),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2946),
    [aux_sym_compression_token1] = ACTIONS(2946),
    [aux_sym_connection_attempts_token1] = ACTIONS(2946),
    [aux_sym_connect_timeout_token1] = ACTIONS(2946),
    [aux_sym_control_master_token1] = ACTIONS(2946),
    [aux_sym_control_path_token1] = ACTIONS(2946),
    [aux_sym_control_persist_token1] = ACTIONS(2946),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2946),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2946),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2946),
    [aux_sym_escape_char_token1] = ACTIONS(2946),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2946),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2946),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2946),
    [aux_sym_forward_agent_token1] = ACTIONS(2946),
    [aux_sym_forward_x11_token1] = ACTIONS(2948),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2946),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2946),
    [aux_sym_gateway_ports_token1] = ACTIONS(2946),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2946),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2946),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2946),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2946),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2946),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2946),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2946),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2946),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2946),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2946),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2946),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2946),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2946),
    [aux_sym_host_key_alias_token1] = ACTIONS(2946),
    [aux_sym_hostname_token1] = ACTIONS(2946),
    [aux_sym_identities_only_token1] = ACTIONS(2946),
    [aux_sym_identity_agent_token1] = ACTIONS(2946),
    [aux_sym_identity_file_token1] = ACTIONS(2946),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2946),
    [aux_sym_include_token1] = ACTIONS(2946),
    [aux_sym_ip_qos_token1] = ACTIONS(2946),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2946),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2946),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2946),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2946),
    [aux_sym_local_command_token1] = ACTIONS(2946),
    [aux_sym_local_forward_token1] = ACTIONS(2946),
    [aux_sym_log_level_token1] = ACTIONS(2946),
    [aux_sym_log_verbose_token1] = ACTIONS(2946),
    [aux_sym_macs_token1] = ACTIONS(2946),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2946),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2946),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2946),
    [aux_sym_password_authentication_token1] = ACTIONS(2946),
    [aux_sym_permit_local_command_token1] = ACTIONS(2946),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2946),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2946),
    [aux_sym_port_token1] = ACTIONS(2946),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2946),
    [aux_sym_protocol_token1] = ACTIONS(2946),
    [aux_sym_proxy_command_token1] = ACTIONS(2946),
    [aux_sym_proxy_jump_token1] = ACTIONS(2946),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2946),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2946),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2946),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2946),
    [aux_sym_rekey_limit_token1] = ACTIONS(2946),
    [aux_sym_remote_command_token1] = ACTIONS(2946),
    [aux_sym_remote_forward_token1] = ACTIONS(2946),
    [aux_sym_request_tty_token1] = ACTIONS(2946),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2946),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2946),
    [aux_sym_security_key_provider_token1] = ACTIONS(2946),
    [aux_sym_send_env_token1] = ACTIONS(2946),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2946),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2946),
    [aux_sym_session_type_token1] = ACTIONS(2946),
    [aux_sym_set_env_token1] = ACTIONS(2946),
    [aux_sym_stdin_null_token1] = ACTIONS(2946),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2946),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2946),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2946),
    [aux_sym_syslog_facility_token1] = ACTIONS(2946),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2946),
    [aux_sym_keep_alive_token1] = ACTIONS(2946),
    [aux_sym_tag_token1] = ACTIONS(2946),
    [aux_sym_tunnel_token1] = ACTIONS(2948),
    [aux_sym_tunnel_device_token1] = ACTIONS(2946),
    [aux_sym_update_host_keys_token1] = ACTIONS(2946),
    [aux_sym_use_keychain_token1] = ACTIONS(2946),
    [aux_sym_use_roaming_token1] = ACTIONS(2946),
    [aux_sym_user_token1] = ACTIONS(2948),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2946),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2946),
    [aux_sym_version_addendum_token1] = ACTIONS(2946),
    [aux_sym_visual_host_key_token1] = ACTIONS(2946),
    [aux_sym_xauth_location_token1] = ACTIONS(2946),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2954),
    [aux_sym_match_token1] = ACTIONS(2952),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2952),
    [aux_sym_address_family_token1] = ACTIONS(2952),
    [aux_sym_batch_mode_token1] = ACTIONS(2952),
    [aux_sym_bind_address_token1] = ACTIONS(2952),
    [aux_sym_bind_interface_token1] = ACTIONS(2952),
    [aux_sym_canonical_domains_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2952),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2952),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2952),
    [aux_sym_certificate_file_token1] = ACTIONS(2952),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2952),
    [aux_sym_channel_timeout_token1] = ACTIONS(2952),
    [aux_sym_check_host_ip_token1] = ACTIONS(2952),
    [aux_sym_ciphers_token1] = ACTIONS(2952),
    [aux_sym_cipher_token1] = ACTIONS(2954),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2952),
    [aux_sym_compression_token1] = ACTIONS(2952),
    [aux_sym_connection_attempts_token1] = ACTIONS(2952),
    [aux_sym_connect_timeout_token1] = ACTIONS(2952),
    [aux_sym_control_master_token1] = ACTIONS(2952),
    [aux_sym_control_path_token1] = ACTIONS(2952),
    [aux_sym_control_persist_token1] = ACTIONS(2952),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2952),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2952),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2952),
    [aux_sym_escape_char_token1] = ACTIONS(2952),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2952),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2952),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2952),
    [aux_sym_forward_agent_token1] = ACTIONS(2952),
    [aux_sym_forward_x11_token1] = ACTIONS(2954),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2952),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2952),
    [aux_sym_gateway_ports_token1] = ACTIONS(2952),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2952),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2952),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2952),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2952),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2952),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2952),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2952),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2952),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2952),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2952),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2952),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2952),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2952),
    [aux_sym_host_key_alias_token1] = ACTIONS(2952),
    [aux_sym_hostname_token1] = ACTIONS(2952),
    [aux_sym_identities_only_token1] = ACTIONS(2952),
    [aux_sym_identity_agent_token1] = ACTIONS(2952),
    [aux_sym_identity_file_token1] = ACTIONS(2952),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2952),
    [aux_sym_include_token1] = ACTIONS(2952),
    [aux_sym_ip_qos_token1] = ACTIONS(2952),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2952),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2952),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2952),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2952),
    [aux_sym_local_command_token1] = ACTIONS(2952),
    [aux_sym_local_forward_token1] = ACTIONS(2952),
    [aux_sym_log_level_token1] = ACTIONS(2952),
    [aux_sym_log_verbose_token1] = ACTIONS(2952),
    [aux_sym_macs_token1] = ACTIONS(2952),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2952),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2952),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2952),
    [aux_sym_password_authentication_token1] = ACTIONS(2952),
    [aux_sym_permit_local_command_token1] = ACTIONS(2952),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2952),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2952),
    [aux_sym_port_token1] = ACTIONS(2952),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2952),
    [aux_sym_protocol_token1] = ACTIONS(2952),
    [aux_sym_proxy_command_token1] = ACTIONS(2952),
    [aux_sym_proxy_jump_token1] = ACTIONS(2952),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2952),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2952),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2952),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2952),
    [aux_sym_rekey_limit_token1] = ACTIONS(2952),
    [aux_sym_remote_command_token1] = ACTIONS(2952),
    [aux_sym_remote_forward_token1] = ACTIONS(2952),
    [aux_sym_request_tty_token1] = ACTIONS(2952),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2952),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2952),
    [aux_sym_security_key_provider_token1] = ACTIONS(2952),
    [aux_sym_send_env_token1] = ACTIONS(2952),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2952),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2952),
    [aux_sym_session_type_token1] = ACTIONS(2952),
    [aux_sym_set_env_token1] = ACTIONS(2952),
    [aux_sym_stdin_null_token1] = ACTIONS(2952),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2952),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2952),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2952),
    [aux_sym_syslog_facility_token1] = ACTIONS(2952),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2952),
    [aux_sym_keep_alive_token1] = ACTIONS(2952),
    [aux_sym_tag_token1] = ACTIONS(2952),
    [aux_sym_tunnel_token1] = ACTIONS(2954),
    [aux_sym_tunnel_device_token1] = ACTIONS(2952),
    [aux_sym_update_host_keys_token1] = ACTIONS(2952),
    [aux_sym_use_keychain_token1] = ACTIONS(2952),
    [aux_sym_use_roaming_token1] = ACTIONS(2952),
    [aux_sym_user_token1] = ACTIONS(2954),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2952),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2952),
    [aux_sym_version_addendum_token1] = ACTIONS(2952),
    [aux_sym_visual_host_key_token1] = ACTIONS(2952),
    [aux_sym_xauth_location_token1] = ACTIONS(2952),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2054),
    [aux_sym_match_token1] = ACTIONS(2052),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2052),
    [aux_sym_address_family_token1] = ACTIONS(2052),
    [aux_sym_batch_mode_token1] = ACTIONS(2052),
    [aux_sym_bind_address_token1] = ACTIONS(2052),
    [aux_sym_bind_interface_token1] = ACTIONS(2052),
    [aux_sym_canonical_domains_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2052),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2052),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2052),
    [aux_sym_certificate_file_token1] = ACTIONS(2052),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2052),
    [aux_sym_channel_timeout_token1] = ACTIONS(2052),
    [aux_sym_check_host_ip_token1] = ACTIONS(2052),
    [aux_sym_ciphers_token1] = ACTIONS(2052),
    [aux_sym_cipher_token1] = ACTIONS(2054),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2052),
    [aux_sym_compression_token1] = ACTIONS(2052),
    [aux_sym_connection_attempts_token1] = ACTIONS(2052),
    [aux_sym_connect_timeout_token1] = ACTIONS(2052),
    [aux_sym_control_master_token1] = ACTIONS(2052),
    [aux_sym_control_path_token1] = ACTIONS(2052),
    [aux_sym_control_persist_token1] = ACTIONS(2052),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2052),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2052),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2052),
    [aux_sym_escape_char_token1] = ACTIONS(2052),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2052),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2052),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2052),
    [aux_sym_forward_agent_token1] = ACTIONS(2052),
    [aux_sym_forward_x11_token1] = ACTIONS(2054),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2052),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2052),
    [aux_sym_gateway_ports_token1] = ACTIONS(2052),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2052),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2052),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2052),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2052),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2052),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2052),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2052),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2052),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2052),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2052),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2052),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2052),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2052),
    [aux_sym_host_key_alias_token1] = ACTIONS(2052),
    [aux_sym_hostname_token1] = ACTIONS(2052),
    [aux_sym_identities_only_token1] = ACTIONS(2052),
    [aux_sym_identity_agent_token1] = ACTIONS(2052),
    [aux_sym_identity_file_token1] = ACTIONS(2052),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2052),
    [aux_sym_include_token1] = ACTIONS(2052),
    [aux_sym_ip_qos_token1] = ACTIONS(2052),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2052),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2052),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2052),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2052),
    [aux_sym_local_command_token1] = ACTIONS(2052),
    [aux_sym_local_forward_token1] = ACTIONS(2052),
    [aux_sym_log_level_token1] = ACTIONS(2052),
    [aux_sym_log_verbose_token1] = ACTIONS(2052),
    [aux_sym_macs_token1] = ACTIONS(2052),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2052),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2052),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2052),
    [aux_sym_password_authentication_token1] = ACTIONS(2052),
    [aux_sym_permit_local_command_token1] = ACTIONS(2052),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2052),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2052),
    [aux_sym_port_token1] = ACTIONS(2052),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2052),
    [aux_sym_protocol_token1] = ACTIONS(2052),
    [aux_sym_proxy_command_token1] = ACTIONS(2052),
    [aux_sym_proxy_jump_token1] = ACTIONS(2052),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2052),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2052),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2052),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2052),
    [aux_sym_rekey_limit_token1] = ACTIONS(2052),
    [aux_sym_remote_command_token1] = ACTIONS(2052),
    [aux_sym_remote_forward_token1] = ACTIONS(2052),
    [aux_sym_request_tty_token1] = ACTIONS(2052),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2052),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2052),
    [aux_sym_security_key_provider_token1] = ACTIONS(2052),
    [aux_sym_send_env_token1] = ACTIONS(2052),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2052),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2052),
    [aux_sym_session_type_token1] = ACTIONS(2052),
    [aux_sym_set_env_token1] = ACTIONS(2052),
    [aux_sym_stdin_null_token1] = ACTIONS(2052),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2052),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2052),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2052),
    [aux_sym_syslog_facility_token1] = ACTIONS(2052),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2052),
    [aux_sym_keep_alive_token1] = ACTIONS(2052),
    [aux_sym_tag_token1] = ACTIONS(2052),
    [aux_sym_tunnel_token1] = ACTIONS(2054),
    [aux_sym_tunnel_device_token1] = ACTIONS(2052),
    [aux_sym_update_host_keys_token1] = ACTIONS(2052),
    [aux_sym_use_keychain_token1] = ACTIONS(2052),
    [aux_sym_use_roaming_token1] = ACTIONS(2052),
    [aux_sym_user_token1] = ACTIONS(2054),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2052),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2052),
    [aux_sym_version_addendum_token1] = ACTIONS(2052),
    [aux_sym_visual_host_key_token1] = ACTIONS(2052),
    [aux_sym_xauth_location_token1] = ACTIONS(2052),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2958),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2960),
    [aux_sym_match_token1] = ACTIONS(2958),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2958),
    [aux_sym_address_family_token1] = ACTIONS(2958),
    [aux_sym_batch_mode_token1] = ACTIONS(2958),
    [aux_sym_bind_address_token1] = ACTIONS(2958),
    [aux_sym_bind_interface_token1] = ACTIONS(2958),
    [aux_sym_canonical_domains_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2958),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2958),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2958),
    [aux_sym_certificate_file_token1] = ACTIONS(2958),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2958),
    [aux_sym_channel_timeout_token1] = ACTIONS(2958),
    [aux_sym_check_host_ip_token1] = ACTIONS(2958),
    [aux_sym_ciphers_token1] = ACTIONS(2958),
    [aux_sym_cipher_token1] = ACTIONS(2960),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2958),
    [aux_sym_compression_token1] = ACTIONS(2958),
    [aux_sym_connection_attempts_token1] = ACTIONS(2958),
    [aux_sym_connect_timeout_token1] = ACTIONS(2958),
    [aux_sym_control_master_token1] = ACTIONS(2958),
    [aux_sym_control_path_token1] = ACTIONS(2958),
    [aux_sym_control_persist_token1] = ACTIONS(2958),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2958),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2958),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2958),
    [aux_sym_escape_char_token1] = ACTIONS(2958),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2958),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2958),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2958),
    [aux_sym_forward_agent_token1] = ACTIONS(2958),
    [aux_sym_forward_x11_token1] = ACTIONS(2960),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2958),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2958),
    [aux_sym_gateway_ports_token1] = ACTIONS(2958),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2958),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2958),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2958),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2958),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2958),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2958),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2958),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2958),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2958),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2958),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2958),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2958),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2958),
    [aux_sym_host_key_alias_token1] = ACTIONS(2958),
    [aux_sym_hostname_token1] = ACTIONS(2958),
    [aux_sym_identities_only_token1] = ACTIONS(2958),
    [aux_sym_identity_agent_token1] = ACTIONS(2958),
    [aux_sym_identity_file_token1] = ACTIONS(2958),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2958),
    [aux_sym_include_token1] = ACTIONS(2958),
    [aux_sym_ip_qos_token1] = ACTIONS(2958),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2958),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2958),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2958),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2958),
    [aux_sym_local_command_token1] = ACTIONS(2958),
    [aux_sym_local_forward_token1] = ACTIONS(2958),
    [aux_sym_log_level_token1] = ACTIONS(2958),
    [aux_sym_log_verbose_token1] = ACTIONS(2958),
    [aux_sym_macs_token1] = ACTIONS(2958),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2958),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2958),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2958),
    [aux_sym_password_authentication_token1] = ACTIONS(2958),
    [aux_sym_permit_local_command_token1] = ACTIONS(2958),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2958),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2958),
    [aux_sym_port_token1] = ACTIONS(2958),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2958),
    [aux_sym_protocol_token1] = ACTIONS(2958),
    [aux_sym_proxy_command_token1] = ACTIONS(2958),
    [aux_sym_proxy_jump_token1] = ACTIONS(2958),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2958),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2958),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2958),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2958),
    [aux_sym_rekey_limit_token1] = ACTIONS(2958),
    [aux_sym_remote_command_token1] = ACTIONS(2958),
    [aux_sym_remote_forward_token1] = ACTIONS(2958),
    [aux_sym_request_tty_token1] = ACTIONS(2958),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2958),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2958),
    [aux_sym_security_key_provider_token1] = ACTIONS(2958),
    [aux_sym_send_env_token1] = ACTIONS(2958),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2958),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2958),
    [aux_sym_session_type_token1] = ACTIONS(2958),
    [aux_sym_set_env_token1] = ACTIONS(2958),
    [aux_sym_stdin_null_token1] = ACTIONS(2958),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2958),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2958),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2958),
    [aux_sym_syslog_facility_token1] = ACTIONS(2958),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2958),
    [aux_sym_keep_alive_token1] = ACTIONS(2958),
    [aux_sym_tag_token1] = ACTIONS(2958),
    [aux_sym_tunnel_token1] = ACTIONS(2960),
    [aux_sym_tunnel_device_token1] = ACTIONS(2958),
    [aux_sym_update_host_keys_token1] = ACTIONS(2958),
    [aux_sym_use_keychain_token1] = ACTIONS(2958),
    [aux_sym_use_roaming_token1] = ACTIONS(2958),
    [aux_sym_user_token1] = ACTIONS(2960),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2958),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2958),
    [aux_sym_version_addendum_token1] = ACTIONS(2958),
    [aux_sym_visual_host_key_token1] = ACTIONS(2958),
    [aux_sym_xauth_location_token1] = ACTIONS(2958),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2966),
    [aux_sym_match_token1] = ACTIONS(2964),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2964),
    [aux_sym_address_family_token1] = ACTIONS(2964),
    [aux_sym_batch_mode_token1] = ACTIONS(2964),
    [aux_sym_bind_address_token1] = ACTIONS(2964),
    [aux_sym_bind_interface_token1] = ACTIONS(2964),
    [aux_sym_canonical_domains_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2964),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2964),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2964),
    [aux_sym_certificate_file_token1] = ACTIONS(2964),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2964),
    [aux_sym_channel_timeout_token1] = ACTIONS(2964),
    [aux_sym_check_host_ip_token1] = ACTIONS(2964),
    [aux_sym_ciphers_token1] = ACTIONS(2964),
    [aux_sym_cipher_token1] = ACTIONS(2966),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2964),
    [aux_sym_compression_token1] = ACTIONS(2964),
    [aux_sym_connection_attempts_token1] = ACTIONS(2964),
    [aux_sym_connect_timeout_token1] = ACTIONS(2964),
    [aux_sym_control_master_token1] = ACTIONS(2964),
    [aux_sym_control_path_token1] = ACTIONS(2964),
    [aux_sym_control_persist_token1] = ACTIONS(2964),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2964),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2964),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2964),
    [aux_sym_escape_char_token1] = ACTIONS(2964),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2964),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2964),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2964),
    [aux_sym_forward_agent_token1] = ACTIONS(2964),
    [aux_sym_forward_x11_token1] = ACTIONS(2966),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2964),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2964),
    [aux_sym_gateway_ports_token1] = ACTIONS(2964),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2964),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2964),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2964),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2964),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2964),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2964),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2964),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2964),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2964),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2964),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2964),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2964),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2964),
    [aux_sym_host_key_alias_token1] = ACTIONS(2964),
    [aux_sym_hostname_token1] = ACTIONS(2964),
    [aux_sym_identities_only_token1] = ACTIONS(2964),
    [aux_sym_identity_agent_token1] = ACTIONS(2964),
    [aux_sym_identity_file_token1] = ACTIONS(2964),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2964),
    [aux_sym_include_token1] = ACTIONS(2964),
    [aux_sym_ip_qos_token1] = ACTIONS(2964),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2964),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2964),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2964),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2964),
    [aux_sym_local_command_token1] = ACTIONS(2964),
    [aux_sym_local_forward_token1] = ACTIONS(2964),
    [aux_sym_log_level_token1] = ACTIONS(2964),
    [aux_sym_log_verbose_token1] = ACTIONS(2964),
    [aux_sym_macs_token1] = ACTIONS(2964),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2964),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2964),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2964),
    [aux_sym_password_authentication_token1] = ACTIONS(2964),
    [aux_sym_permit_local_command_token1] = ACTIONS(2964),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2964),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2964),
    [aux_sym_port_token1] = ACTIONS(2964),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2964),
    [aux_sym_protocol_token1] = ACTIONS(2964),
    [aux_sym_proxy_command_token1] = ACTIONS(2964),
    [aux_sym_proxy_jump_token1] = ACTIONS(2964),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2964),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2964),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2964),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2964),
    [aux_sym_rekey_limit_token1] = ACTIONS(2964),
    [aux_sym_remote_command_token1] = ACTIONS(2964),
    [aux_sym_remote_forward_token1] = ACTIONS(2964),
    [aux_sym_request_tty_token1] = ACTIONS(2964),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2964),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2964),
    [aux_sym_security_key_provider_token1] = ACTIONS(2964),
    [aux_sym_send_env_token1] = ACTIONS(2964),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2964),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2964),
    [aux_sym_session_type_token1] = ACTIONS(2964),
    [aux_sym_set_env_token1] = ACTIONS(2964),
    [aux_sym_stdin_null_token1] = ACTIONS(2964),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2964),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2964),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2964),
    [aux_sym_syslog_facility_token1] = ACTIONS(2964),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2964),
    [aux_sym_keep_alive_token1] = ACTIONS(2964),
    [aux_sym_tag_token1] = ACTIONS(2964),
    [aux_sym_tunnel_token1] = ACTIONS(2966),
    [aux_sym_tunnel_device_token1] = ACTIONS(2964),
    [aux_sym_update_host_keys_token1] = ACTIONS(2964),
    [aux_sym_use_keychain_token1] = ACTIONS(2964),
    [aux_sym_use_roaming_token1] = ACTIONS(2964),
    [aux_sym_user_token1] = ACTIONS(2966),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2964),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2964),
    [aux_sym_version_addendum_token1] = ACTIONS(2964),
    [aux_sym_visual_host_key_token1] = ACTIONS(2964),
    [aux_sym_xauth_location_token1] = ACTIONS(2964),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2972),
    [aux_sym_match_token1] = ACTIONS(2970),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2970),
    [aux_sym_address_family_token1] = ACTIONS(2970),
    [aux_sym_batch_mode_token1] = ACTIONS(2970),
    [aux_sym_bind_address_token1] = ACTIONS(2970),
    [aux_sym_bind_interface_token1] = ACTIONS(2970),
    [aux_sym_canonical_domains_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2970),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2970),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2970),
    [aux_sym_certificate_file_token1] = ACTIONS(2970),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2970),
    [aux_sym_channel_timeout_token1] = ACTIONS(2970),
    [aux_sym_check_host_ip_token1] = ACTIONS(2970),
    [aux_sym_ciphers_token1] = ACTIONS(2970),
    [aux_sym_cipher_token1] = ACTIONS(2972),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2970),
    [aux_sym_compression_token1] = ACTIONS(2970),
    [aux_sym_connection_attempts_token1] = ACTIONS(2970),
    [aux_sym_connect_timeout_token1] = ACTIONS(2970),
    [aux_sym_control_master_token1] = ACTIONS(2970),
    [aux_sym_control_path_token1] = ACTIONS(2970),
    [aux_sym_control_persist_token1] = ACTIONS(2970),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2970),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2970),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2970),
    [aux_sym_escape_char_token1] = ACTIONS(2970),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2970),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2970),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2970),
    [aux_sym_forward_agent_token1] = ACTIONS(2970),
    [aux_sym_forward_x11_token1] = ACTIONS(2972),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2970),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2970),
    [aux_sym_gateway_ports_token1] = ACTIONS(2970),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2970),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2970),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2970),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2970),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2970),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2970),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2970),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2970),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2970),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2970),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2970),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2970),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2970),
    [aux_sym_host_key_alias_token1] = ACTIONS(2970),
    [aux_sym_hostname_token1] = ACTIONS(2970),
    [aux_sym_identities_only_token1] = ACTIONS(2970),
    [aux_sym_identity_agent_token1] = ACTIONS(2970),
    [aux_sym_identity_file_token1] = ACTIONS(2970),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2970),
    [aux_sym_include_token1] = ACTIONS(2970),
    [aux_sym_ip_qos_token1] = ACTIONS(2970),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2970),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2970),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2970),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2970),
    [aux_sym_local_command_token1] = ACTIONS(2970),
    [aux_sym_local_forward_token1] = ACTIONS(2970),
    [aux_sym_log_level_token1] = ACTIONS(2970),
    [aux_sym_log_verbose_token1] = ACTIONS(2970),
    [aux_sym_macs_token1] = ACTIONS(2970),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2970),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2970),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2970),
    [aux_sym_password_authentication_token1] = ACTIONS(2970),
    [aux_sym_permit_local_command_token1] = ACTIONS(2970),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2970),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2970),
    [aux_sym_port_token1] = ACTIONS(2970),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2970),
    [aux_sym_protocol_token1] = ACTIONS(2970),
    [aux_sym_proxy_command_token1] = ACTIONS(2970),
    [aux_sym_proxy_jump_token1] = ACTIONS(2970),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2970),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2970),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2970),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2970),
    [aux_sym_rekey_limit_token1] = ACTIONS(2970),
    [aux_sym_remote_command_token1] = ACTIONS(2970),
    [aux_sym_remote_forward_token1] = ACTIONS(2970),
    [aux_sym_request_tty_token1] = ACTIONS(2970),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2970),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2970),
    [aux_sym_security_key_provider_token1] = ACTIONS(2970),
    [aux_sym_send_env_token1] = ACTIONS(2970),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2970),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2970),
    [aux_sym_session_type_token1] = ACTIONS(2970),
    [aux_sym_set_env_token1] = ACTIONS(2970),
    [aux_sym_stdin_null_token1] = ACTIONS(2970),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2970),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2970),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2970),
    [aux_sym_syslog_facility_token1] = ACTIONS(2970),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2970),
    [aux_sym_keep_alive_token1] = ACTIONS(2970),
    [aux_sym_tag_token1] = ACTIONS(2970),
    [aux_sym_tunnel_token1] = ACTIONS(2972),
    [aux_sym_tunnel_device_token1] = ACTIONS(2970),
    [aux_sym_update_host_keys_token1] = ACTIONS(2970),
    [aux_sym_use_keychain_token1] = ACTIONS(2970),
    [aux_sym_use_roaming_token1] = ACTIONS(2970),
    [aux_sym_user_token1] = ACTIONS(2972),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2970),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2970),
    [aux_sym_version_addendum_token1] = ACTIONS(2970),
    [aux_sym_visual_host_key_token1] = ACTIONS(2970),
    [aux_sym_xauth_location_token1] = ACTIONS(2970),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(2058),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2060),
    [aux_sym_match_token1] = ACTIONS(2058),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2058),
    [aux_sym_address_family_token1] = ACTIONS(2058),
    [aux_sym_batch_mode_token1] = ACTIONS(2058),
    [aux_sym_bind_address_token1] = ACTIONS(2058),
    [aux_sym_bind_interface_token1] = ACTIONS(2058),
    [aux_sym_canonical_domains_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2058),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2058),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2058),
    [aux_sym_certificate_file_token1] = ACTIONS(2058),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2058),
    [aux_sym_channel_timeout_token1] = ACTIONS(2058),
    [aux_sym_check_host_ip_token1] = ACTIONS(2058),
    [aux_sym_ciphers_token1] = ACTIONS(2058),
    [aux_sym_cipher_token1] = ACTIONS(2060),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2058),
    [aux_sym_compression_token1] = ACTIONS(2058),
    [aux_sym_connection_attempts_token1] = ACTIONS(2058),
    [aux_sym_connect_timeout_token1] = ACTIONS(2058),
    [aux_sym_control_master_token1] = ACTIONS(2058),
    [aux_sym_control_path_token1] = ACTIONS(2058),
    [aux_sym_control_persist_token1] = ACTIONS(2058),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2058),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2058),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2058),
    [aux_sym_escape_char_token1] = ACTIONS(2058),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2058),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2058),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2058),
    [aux_sym_forward_agent_token1] = ACTIONS(2058),
    [aux_sym_forward_x11_token1] = ACTIONS(2060),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2058),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2058),
    [aux_sym_gateway_ports_token1] = ACTIONS(2058),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2058),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2058),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2058),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2058),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2058),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2058),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2058),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2058),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2058),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2058),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2058),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2058),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2058),
    [aux_sym_host_key_alias_token1] = ACTIONS(2058),
    [aux_sym_hostname_token1] = ACTIONS(2058),
    [aux_sym_identities_only_token1] = ACTIONS(2058),
    [aux_sym_identity_agent_token1] = ACTIONS(2058),
    [aux_sym_identity_file_token1] = ACTIONS(2058),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2058),
    [aux_sym_include_token1] = ACTIONS(2058),
    [aux_sym_ip_qos_token1] = ACTIONS(2058),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2058),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2058),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2058),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2058),
    [aux_sym_local_command_token1] = ACTIONS(2058),
    [aux_sym_local_forward_token1] = ACTIONS(2058),
    [aux_sym_log_level_token1] = ACTIONS(2058),
    [aux_sym_log_verbose_token1] = ACTIONS(2058),
    [aux_sym_macs_token1] = ACTIONS(2058),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2058),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2058),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2058),
    [aux_sym_password_authentication_token1] = ACTIONS(2058),
    [aux_sym_permit_local_command_token1] = ACTIONS(2058),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2058),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2058),
    [aux_sym_port_token1] = ACTIONS(2058),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2058),
    [aux_sym_protocol_token1] = ACTIONS(2058),
    [aux_sym_proxy_command_token1] = ACTIONS(2058),
    [aux_sym_proxy_jump_token1] = ACTIONS(2058),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2058),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2058),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2058),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2058),
    [aux_sym_rekey_limit_token1] = ACTIONS(2058),
    [aux_sym_remote_command_token1] = ACTIONS(2058),
    [aux_sym_remote_forward_token1] = ACTIONS(2058),
    [aux_sym_request_tty_token1] = ACTIONS(2058),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2058),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2058),
    [aux_sym_security_key_provider_token1] = ACTIONS(2058),
    [aux_sym_send_env_token1] = ACTIONS(2058),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2058),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2058),
    [aux_sym_session_type_token1] = ACTIONS(2058),
    [aux_sym_set_env_token1] = ACTIONS(2058),
    [aux_sym_stdin_null_token1] = ACTIONS(2058),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2058),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2058),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2058),
    [aux_sym_syslog_facility_token1] = ACTIONS(2058),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2058),
    [aux_sym_keep_alive_token1] = ACTIONS(2058),
    [aux_sym_tag_token1] = ACTIONS(2058),
    [aux_sym_tunnel_token1] = ACTIONS(2060),
    [aux_sym_tunnel_device_token1] = ACTIONS(2058),
    [aux_sym_update_host_keys_token1] = ACTIONS(2058),
    [aux_sym_use_keychain_token1] = ACTIONS(2058),
    [aux_sym_use_roaming_token1] = ACTIONS(2058),
    [aux_sym_user_token1] = ACTIONS(2060),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2058),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2058),
    [aux_sym_version_addendum_token1] = ACTIONS(2058),
    [aux_sym_visual_host_key_token1] = ACTIONS(2058),
    [aux_sym_xauth_location_token1] = ACTIONS(2058),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2978),
    [aux_sym_match_token1] = ACTIONS(2976),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2976),
    [aux_sym_address_family_token1] = ACTIONS(2976),
    [aux_sym_batch_mode_token1] = ACTIONS(2976),
    [aux_sym_bind_address_token1] = ACTIONS(2976),
    [aux_sym_bind_interface_token1] = ACTIONS(2976),
    [aux_sym_canonical_domains_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2976),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2976),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2976),
    [aux_sym_certificate_file_token1] = ACTIONS(2976),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2976),
    [aux_sym_channel_timeout_token1] = ACTIONS(2976),
    [aux_sym_check_host_ip_token1] = ACTIONS(2976),
    [aux_sym_ciphers_token1] = ACTIONS(2976),
    [aux_sym_cipher_token1] = ACTIONS(2978),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2976),
    [aux_sym_compression_token1] = ACTIONS(2976),
    [aux_sym_connection_attempts_token1] = ACTIONS(2976),
    [aux_sym_connect_timeout_token1] = ACTIONS(2976),
    [aux_sym_control_master_token1] = ACTIONS(2976),
    [aux_sym_control_path_token1] = ACTIONS(2976),
    [aux_sym_control_persist_token1] = ACTIONS(2976),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2976),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2976),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2976),
    [aux_sym_escape_char_token1] = ACTIONS(2976),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2976),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2976),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2976),
    [aux_sym_forward_agent_token1] = ACTIONS(2976),
    [aux_sym_forward_x11_token1] = ACTIONS(2978),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2976),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2976),
    [aux_sym_gateway_ports_token1] = ACTIONS(2976),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2976),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2976),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2976),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2976),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2976),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2976),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2976),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2976),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2976),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2976),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2976),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2976),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2976),
    [aux_sym_host_key_alias_token1] = ACTIONS(2976),
    [aux_sym_hostname_token1] = ACTIONS(2976),
    [aux_sym_identities_only_token1] = ACTIONS(2976),
    [aux_sym_identity_agent_token1] = ACTIONS(2976),
    [aux_sym_identity_file_token1] = ACTIONS(2976),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2976),
    [aux_sym_include_token1] = ACTIONS(2976),
    [aux_sym_ip_qos_token1] = ACTIONS(2976),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2976),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2976),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2976),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2976),
    [aux_sym_local_command_token1] = ACTIONS(2976),
    [aux_sym_local_forward_token1] = ACTIONS(2976),
    [aux_sym_log_level_token1] = ACTIONS(2976),
    [aux_sym_log_verbose_token1] = ACTIONS(2976),
    [aux_sym_macs_token1] = ACTIONS(2976),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2976),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2976),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2976),
    [aux_sym_password_authentication_token1] = ACTIONS(2976),
    [aux_sym_permit_local_command_token1] = ACTIONS(2976),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2976),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2976),
    [aux_sym_port_token1] = ACTIONS(2976),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2976),
    [aux_sym_protocol_token1] = ACTIONS(2976),
    [aux_sym_proxy_command_token1] = ACTIONS(2976),
    [aux_sym_proxy_jump_token1] = ACTIONS(2976),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2976),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2976),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2976),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2976),
    [aux_sym_rekey_limit_token1] = ACTIONS(2976),
    [aux_sym_remote_command_token1] = ACTIONS(2976),
    [aux_sym_remote_forward_token1] = ACTIONS(2976),
    [aux_sym_request_tty_token1] = ACTIONS(2976),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2976),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2976),
    [aux_sym_security_key_provider_token1] = ACTIONS(2976),
    [aux_sym_send_env_token1] = ACTIONS(2976),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2976),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2976),
    [aux_sym_session_type_token1] = ACTIONS(2976),
    [aux_sym_set_env_token1] = ACTIONS(2976),
    [aux_sym_stdin_null_token1] = ACTIONS(2976),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2976),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2976),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2976),
    [aux_sym_syslog_facility_token1] = ACTIONS(2976),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2976),
    [aux_sym_keep_alive_token1] = ACTIONS(2976),
    [aux_sym_tag_token1] = ACTIONS(2976),
    [aux_sym_tunnel_token1] = ACTIONS(2978),
    [aux_sym_tunnel_device_token1] = ACTIONS(2976),
    [aux_sym_update_host_keys_token1] = ACTIONS(2976),
    [aux_sym_use_keychain_token1] = ACTIONS(2976),
    [aux_sym_use_roaming_token1] = ACTIONS(2976),
    [aux_sym_user_token1] = ACTIONS(2978),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2976),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2976),
    [aux_sym_version_addendum_token1] = ACTIONS(2976),
    [aux_sym_visual_host_key_token1] = ACTIONS(2976),
    [aux_sym_xauth_location_token1] = ACTIONS(2976),
  },
  [659] = {
    [ts_builtin_sym_end] = ACTIONS(2982),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2984),
    [aux_sym_match_token1] = ACTIONS(2982),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2982),
    [aux_sym_address_family_token1] = ACTIONS(2982),
    [aux_sym_batch_mode_token1] = ACTIONS(2982),
    [aux_sym_bind_address_token1] = ACTIONS(2982),
    [aux_sym_bind_interface_token1] = ACTIONS(2982),
    [aux_sym_canonical_domains_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2982),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2982),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2982),
    [aux_sym_certificate_file_token1] = ACTIONS(2982),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2982),
    [aux_sym_channel_timeout_token1] = ACTIONS(2982),
    [aux_sym_check_host_ip_token1] = ACTIONS(2982),
    [aux_sym_ciphers_token1] = ACTIONS(2982),
    [aux_sym_cipher_token1] = ACTIONS(2984),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2982),
    [aux_sym_compression_token1] = ACTIONS(2982),
    [aux_sym_connection_attempts_token1] = ACTIONS(2982),
    [aux_sym_connect_timeout_token1] = ACTIONS(2982),
    [aux_sym_control_master_token1] = ACTIONS(2982),
    [aux_sym_control_path_token1] = ACTIONS(2982),
    [aux_sym_control_persist_token1] = ACTIONS(2982),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2982),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2982),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2982),
    [aux_sym_escape_char_token1] = ACTIONS(2982),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2982),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2982),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2982),
    [aux_sym_forward_agent_token1] = ACTIONS(2982),
    [aux_sym_forward_x11_token1] = ACTIONS(2984),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2982),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2982),
    [aux_sym_gateway_ports_token1] = ACTIONS(2982),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2982),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2982),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2982),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2982),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2982),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2982),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2982),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2982),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2982),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2982),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2982),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2982),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2982),
    [aux_sym_host_key_alias_token1] = ACTIONS(2982),
    [aux_sym_hostname_token1] = ACTIONS(2982),
    [aux_sym_identities_only_token1] = ACTIONS(2982),
    [aux_sym_identity_agent_token1] = ACTIONS(2982),
    [aux_sym_identity_file_token1] = ACTIONS(2982),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2982),
    [aux_sym_include_token1] = ACTIONS(2982),
    [aux_sym_ip_qos_token1] = ACTIONS(2982),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2982),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2982),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2982),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2982),
    [aux_sym_local_command_token1] = ACTIONS(2982),
    [aux_sym_local_forward_token1] = ACTIONS(2982),
    [aux_sym_log_level_token1] = ACTIONS(2982),
    [aux_sym_log_verbose_token1] = ACTIONS(2982),
    [aux_sym_macs_token1] = ACTIONS(2982),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2982),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2982),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2982),
    [aux_sym_password_authentication_token1] = ACTIONS(2982),
    [aux_sym_permit_local_command_token1] = ACTIONS(2982),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2982),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2982),
    [aux_sym_port_token1] = ACTIONS(2982),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2982),
    [aux_sym_protocol_token1] = ACTIONS(2982),
    [aux_sym_proxy_command_token1] = ACTIONS(2982),
    [aux_sym_proxy_jump_token1] = ACTIONS(2982),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2982),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2982),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2982),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2982),
    [aux_sym_rekey_limit_token1] = ACTIONS(2982),
    [aux_sym_remote_command_token1] = ACTIONS(2982),
    [aux_sym_remote_forward_token1] = ACTIONS(2982),
    [aux_sym_request_tty_token1] = ACTIONS(2982),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2982),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2982),
    [aux_sym_security_key_provider_token1] = ACTIONS(2982),
    [aux_sym_send_env_token1] = ACTIONS(2982),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2982),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2982),
    [aux_sym_session_type_token1] = ACTIONS(2982),
    [aux_sym_set_env_token1] = ACTIONS(2982),
    [aux_sym_stdin_null_token1] = ACTIONS(2982),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2982),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2982),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2982),
    [aux_sym_syslog_facility_token1] = ACTIONS(2982),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2982),
    [aux_sym_keep_alive_token1] = ACTIONS(2982),
    [aux_sym_tag_token1] = ACTIONS(2982),
    [aux_sym_tunnel_token1] = ACTIONS(2984),
    [aux_sym_tunnel_device_token1] = ACTIONS(2982),
    [aux_sym_update_host_keys_token1] = ACTIONS(2982),
    [aux_sym_use_keychain_token1] = ACTIONS(2982),
    [aux_sym_use_roaming_token1] = ACTIONS(2982),
    [aux_sym_user_token1] = ACTIONS(2984),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2982),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2982),
    [aux_sym_version_addendum_token1] = ACTIONS(2982),
    [aux_sym_visual_host_key_token1] = ACTIONS(2982),
    [aux_sym_xauth_location_token1] = ACTIONS(2982),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2066),
    [aux_sym_match_token1] = ACTIONS(2064),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2064),
    [aux_sym_address_family_token1] = ACTIONS(2064),
    [aux_sym_batch_mode_token1] = ACTIONS(2064),
    [aux_sym_bind_address_token1] = ACTIONS(2064),
    [aux_sym_bind_interface_token1] = ACTIONS(2064),
    [aux_sym_canonical_domains_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2064),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2064),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2064),
    [aux_sym_certificate_file_token1] = ACTIONS(2064),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2064),
    [aux_sym_channel_timeout_token1] = ACTIONS(2064),
    [aux_sym_check_host_ip_token1] = ACTIONS(2064),
    [aux_sym_ciphers_token1] = ACTIONS(2064),
    [aux_sym_cipher_token1] = ACTIONS(2066),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2064),
    [aux_sym_compression_token1] = ACTIONS(2064),
    [aux_sym_connection_attempts_token1] = ACTIONS(2064),
    [aux_sym_connect_timeout_token1] = ACTIONS(2064),
    [aux_sym_control_master_token1] = ACTIONS(2064),
    [aux_sym_control_path_token1] = ACTIONS(2064),
    [aux_sym_control_persist_token1] = ACTIONS(2064),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2064),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2064),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2064),
    [aux_sym_escape_char_token1] = ACTIONS(2064),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2064),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2064),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2064),
    [aux_sym_forward_agent_token1] = ACTIONS(2064),
    [aux_sym_forward_x11_token1] = ACTIONS(2066),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2064),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2064),
    [aux_sym_gateway_ports_token1] = ACTIONS(2064),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2064),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2064),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2064),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2064),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2064),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2064),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2064),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2064),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2064),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2064),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2064),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2064),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2064),
    [aux_sym_host_key_alias_token1] = ACTIONS(2064),
    [aux_sym_hostname_token1] = ACTIONS(2064),
    [aux_sym_identities_only_token1] = ACTIONS(2064),
    [aux_sym_identity_agent_token1] = ACTIONS(2064),
    [aux_sym_identity_file_token1] = ACTIONS(2064),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2064),
    [aux_sym_include_token1] = ACTIONS(2064),
    [aux_sym_ip_qos_token1] = ACTIONS(2064),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2064),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2064),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2064),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2064),
    [aux_sym_local_command_token1] = ACTIONS(2064),
    [aux_sym_local_forward_token1] = ACTIONS(2064),
    [aux_sym_log_level_token1] = ACTIONS(2064),
    [aux_sym_log_verbose_token1] = ACTIONS(2064),
    [aux_sym_macs_token1] = ACTIONS(2064),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2064),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2064),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2064),
    [aux_sym_password_authentication_token1] = ACTIONS(2064),
    [aux_sym_permit_local_command_token1] = ACTIONS(2064),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2064),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2064),
    [aux_sym_port_token1] = ACTIONS(2064),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2064),
    [aux_sym_protocol_token1] = ACTIONS(2064),
    [aux_sym_proxy_command_token1] = ACTIONS(2064),
    [aux_sym_proxy_jump_token1] = ACTIONS(2064),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2064),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2064),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2064),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2064),
    [aux_sym_rekey_limit_token1] = ACTIONS(2064),
    [aux_sym_remote_command_token1] = ACTIONS(2064),
    [aux_sym_remote_forward_token1] = ACTIONS(2064),
    [aux_sym_request_tty_token1] = ACTIONS(2064),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2064),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2064),
    [aux_sym_security_key_provider_token1] = ACTIONS(2064),
    [aux_sym_send_env_token1] = ACTIONS(2064),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2064),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2064),
    [aux_sym_session_type_token1] = ACTIONS(2064),
    [aux_sym_set_env_token1] = ACTIONS(2064),
    [aux_sym_stdin_null_token1] = ACTIONS(2064),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2064),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2064),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2064),
    [aux_sym_syslog_facility_token1] = ACTIONS(2064),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2064),
    [aux_sym_keep_alive_token1] = ACTIONS(2064),
    [aux_sym_tag_token1] = ACTIONS(2064),
    [aux_sym_tunnel_token1] = ACTIONS(2066),
    [aux_sym_tunnel_device_token1] = ACTIONS(2064),
    [aux_sym_update_host_keys_token1] = ACTIONS(2064),
    [aux_sym_use_keychain_token1] = ACTIONS(2064),
    [aux_sym_use_roaming_token1] = ACTIONS(2064),
    [aux_sym_user_token1] = ACTIONS(2066),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2064),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2064),
    [aux_sym_version_addendum_token1] = ACTIONS(2064),
    [aux_sym_visual_host_key_token1] = ACTIONS(2064),
    [aux_sym_xauth_location_token1] = ACTIONS(2064),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2990),
    [aux_sym_match_token1] = ACTIONS(2988),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2988),
    [aux_sym_address_family_token1] = ACTIONS(2988),
    [aux_sym_batch_mode_token1] = ACTIONS(2988),
    [aux_sym_bind_address_token1] = ACTIONS(2988),
    [aux_sym_bind_interface_token1] = ACTIONS(2988),
    [aux_sym_canonical_domains_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2988),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2988),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2988),
    [aux_sym_certificate_file_token1] = ACTIONS(2988),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2988),
    [aux_sym_channel_timeout_token1] = ACTIONS(2988),
    [aux_sym_check_host_ip_token1] = ACTIONS(2988),
    [aux_sym_ciphers_token1] = ACTIONS(2988),
    [aux_sym_cipher_token1] = ACTIONS(2990),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2988),
    [aux_sym_compression_token1] = ACTIONS(2988),
    [aux_sym_connection_attempts_token1] = ACTIONS(2988),
    [aux_sym_connect_timeout_token1] = ACTIONS(2988),
    [aux_sym_control_master_token1] = ACTIONS(2988),
    [aux_sym_control_path_token1] = ACTIONS(2988),
    [aux_sym_control_persist_token1] = ACTIONS(2988),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2988),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2988),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2988),
    [aux_sym_escape_char_token1] = ACTIONS(2988),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2988),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2988),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2988),
    [aux_sym_forward_agent_token1] = ACTIONS(2988),
    [aux_sym_forward_x11_token1] = ACTIONS(2990),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2988),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2988),
    [aux_sym_gateway_ports_token1] = ACTIONS(2988),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2988),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2988),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2988),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2988),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2988),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2988),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2988),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2988),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2988),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2988),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2988),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2988),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2988),
    [aux_sym_host_key_alias_token1] = ACTIONS(2988),
    [aux_sym_hostname_token1] = ACTIONS(2988),
    [aux_sym_identities_only_token1] = ACTIONS(2988),
    [aux_sym_identity_agent_token1] = ACTIONS(2988),
    [aux_sym_identity_file_token1] = ACTIONS(2988),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2988),
    [aux_sym_include_token1] = ACTIONS(2988),
    [aux_sym_ip_qos_token1] = ACTIONS(2988),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2988),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2988),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2988),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2988),
    [aux_sym_local_command_token1] = ACTIONS(2988),
    [aux_sym_local_forward_token1] = ACTIONS(2988),
    [aux_sym_log_level_token1] = ACTIONS(2988),
    [aux_sym_log_verbose_token1] = ACTIONS(2988),
    [aux_sym_macs_token1] = ACTIONS(2988),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2988),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2988),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2988),
    [aux_sym_password_authentication_token1] = ACTIONS(2988),
    [aux_sym_permit_local_command_token1] = ACTIONS(2988),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2988),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2988),
    [aux_sym_port_token1] = ACTIONS(2988),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2988),
    [aux_sym_protocol_token1] = ACTIONS(2988),
    [aux_sym_proxy_command_token1] = ACTIONS(2988),
    [aux_sym_proxy_jump_token1] = ACTIONS(2988),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2988),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2988),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2988),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2988),
    [aux_sym_rekey_limit_token1] = ACTIONS(2988),
    [aux_sym_remote_command_token1] = ACTIONS(2988),
    [aux_sym_remote_forward_token1] = ACTIONS(2988),
    [aux_sym_request_tty_token1] = ACTIONS(2988),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2988),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2988),
    [aux_sym_security_key_provider_token1] = ACTIONS(2988),
    [aux_sym_send_env_token1] = ACTIONS(2988),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2988),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2988),
    [aux_sym_session_type_token1] = ACTIONS(2988),
    [aux_sym_set_env_token1] = ACTIONS(2988),
    [aux_sym_stdin_null_token1] = ACTIONS(2988),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2988),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2988),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2988),
    [aux_sym_syslog_facility_token1] = ACTIONS(2988),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2988),
    [aux_sym_keep_alive_token1] = ACTIONS(2988),
    [aux_sym_tag_token1] = ACTIONS(2988),
    [aux_sym_tunnel_token1] = ACTIONS(2990),
    [aux_sym_tunnel_device_token1] = ACTIONS(2988),
    [aux_sym_update_host_keys_token1] = ACTIONS(2988),
    [aux_sym_use_keychain_token1] = ACTIONS(2988),
    [aux_sym_use_roaming_token1] = ACTIONS(2988),
    [aux_sym_user_token1] = ACTIONS(2990),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2988),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2988),
    [aux_sym_version_addendum_token1] = ACTIONS(2988),
    [aux_sym_visual_host_key_token1] = ACTIONS(2988),
    [aux_sym_xauth_location_token1] = ACTIONS(2988),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2996),
    [aux_sym_match_token1] = ACTIONS(2994),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2994),
    [aux_sym_address_family_token1] = ACTIONS(2994),
    [aux_sym_batch_mode_token1] = ACTIONS(2994),
    [aux_sym_bind_address_token1] = ACTIONS(2994),
    [aux_sym_bind_interface_token1] = ACTIONS(2994),
    [aux_sym_canonical_domains_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2994),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2994),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2994),
    [aux_sym_certificate_file_token1] = ACTIONS(2994),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2994),
    [aux_sym_channel_timeout_token1] = ACTIONS(2994),
    [aux_sym_check_host_ip_token1] = ACTIONS(2994),
    [aux_sym_ciphers_token1] = ACTIONS(2994),
    [aux_sym_cipher_token1] = ACTIONS(2996),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2994),
    [aux_sym_compression_token1] = ACTIONS(2994),
    [aux_sym_connection_attempts_token1] = ACTIONS(2994),
    [aux_sym_connect_timeout_token1] = ACTIONS(2994),
    [aux_sym_control_master_token1] = ACTIONS(2994),
    [aux_sym_control_path_token1] = ACTIONS(2994),
    [aux_sym_control_persist_token1] = ACTIONS(2994),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2994),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2994),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2994),
    [aux_sym_escape_char_token1] = ACTIONS(2994),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2994),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2994),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2994),
    [aux_sym_forward_agent_token1] = ACTIONS(2994),
    [aux_sym_forward_x11_token1] = ACTIONS(2996),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2994),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2994),
    [aux_sym_gateway_ports_token1] = ACTIONS(2994),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2994),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2994),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2994),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2994),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2994),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2994),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2994),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2994),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2994),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2994),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2994),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2994),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2994),
    [aux_sym_host_key_alias_token1] = ACTIONS(2994),
    [aux_sym_hostname_token1] = ACTIONS(2994),
    [aux_sym_identities_only_token1] = ACTIONS(2994),
    [aux_sym_identity_agent_token1] = ACTIONS(2994),
    [aux_sym_identity_file_token1] = ACTIONS(2994),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2994),
    [aux_sym_include_token1] = ACTIONS(2994),
    [aux_sym_ip_qos_token1] = ACTIONS(2994),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2994),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2994),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2994),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2994),
    [aux_sym_local_command_token1] = ACTIONS(2994),
    [aux_sym_local_forward_token1] = ACTIONS(2994),
    [aux_sym_log_level_token1] = ACTIONS(2994),
    [aux_sym_log_verbose_token1] = ACTIONS(2994),
    [aux_sym_macs_token1] = ACTIONS(2994),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2994),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2994),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2994),
    [aux_sym_password_authentication_token1] = ACTIONS(2994),
    [aux_sym_permit_local_command_token1] = ACTIONS(2994),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2994),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2994),
    [aux_sym_port_token1] = ACTIONS(2994),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2994),
    [aux_sym_protocol_token1] = ACTIONS(2994),
    [aux_sym_proxy_command_token1] = ACTIONS(2994),
    [aux_sym_proxy_jump_token1] = ACTIONS(2994),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2994),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2994),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2994),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2994),
    [aux_sym_rekey_limit_token1] = ACTIONS(2994),
    [aux_sym_remote_command_token1] = ACTIONS(2994),
    [aux_sym_remote_forward_token1] = ACTIONS(2994),
    [aux_sym_request_tty_token1] = ACTIONS(2994),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2994),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2994),
    [aux_sym_security_key_provider_token1] = ACTIONS(2994),
    [aux_sym_send_env_token1] = ACTIONS(2994),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2994),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2994),
    [aux_sym_session_type_token1] = ACTIONS(2994),
    [aux_sym_set_env_token1] = ACTIONS(2994),
    [aux_sym_stdin_null_token1] = ACTIONS(2994),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2994),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2994),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2994),
    [aux_sym_syslog_facility_token1] = ACTIONS(2994),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2994),
    [aux_sym_keep_alive_token1] = ACTIONS(2994),
    [aux_sym_tag_token1] = ACTIONS(2994),
    [aux_sym_tunnel_token1] = ACTIONS(2996),
    [aux_sym_tunnel_device_token1] = ACTIONS(2994),
    [aux_sym_update_host_keys_token1] = ACTIONS(2994),
    [aux_sym_use_keychain_token1] = ACTIONS(2994),
    [aux_sym_use_roaming_token1] = ACTIONS(2994),
    [aux_sym_user_token1] = ACTIONS(2996),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2994),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2994),
    [aux_sym_version_addendum_token1] = ACTIONS(2994),
    [aux_sym_visual_host_key_token1] = ACTIONS(2994),
    [aux_sym_xauth_location_token1] = ACTIONS(2994),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2072),
    [aux_sym_match_token1] = ACTIONS(2070),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2070),
    [aux_sym_address_family_token1] = ACTIONS(2070),
    [aux_sym_batch_mode_token1] = ACTIONS(2070),
    [aux_sym_bind_address_token1] = ACTIONS(2070),
    [aux_sym_bind_interface_token1] = ACTIONS(2070),
    [aux_sym_canonical_domains_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2070),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2070),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2070),
    [aux_sym_certificate_file_token1] = ACTIONS(2070),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2070),
    [aux_sym_channel_timeout_token1] = ACTIONS(2070),
    [aux_sym_check_host_ip_token1] = ACTIONS(2070),
    [aux_sym_ciphers_token1] = ACTIONS(2070),
    [aux_sym_cipher_token1] = ACTIONS(2072),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2070),
    [aux_sym_compression_token1] = ACTIONS(2070),
    [aux_sym_connection_attempts_token1] = ACTIONS(2070),
    [aux_sym_connect_timeout_token1] = ACTIONS(2070),
    [aux_sym_control_master_token1] = ACTIONS(2070),
    [aux_sym_control_path_token1] = ACTIONS(2070),
    [aux_sym_control_persist_token1] = ACTIONS(2070),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2070),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2070),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2070),
    [aux_sym_escape_char_token1] = ACTIONS(2070),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2070),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2070),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2070),
    [aux_sym_forward_agent_token1] = ACTIONS(2070),
    [aux_sym_forward_x11_token1] = ACTIONS(2072),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2070),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2070),
    [aux_sym_gateway_ports_token1] = ACTIONS(2070),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2070),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2070),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2070),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2070),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2070),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2070),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2070),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2070),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2070),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2070),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2070),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2070),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2070),
    [aux_sym_host_key_alias_token1] = ACTIONS(2070),
    [aux_sym_hostname_token1] = ACTIONS(2070),
    [aux_sym_identities_only_token1] = ACTIONS(2070),
    [aux_sym_identity_agent_token1] = ACTIONS(2070),
    [aux_sym_identity_file_token1] = ACTIONS(2070),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2070),
    [aux_sym_include_token1] = ACTIONS(2070),
    [aux_sym_ip_qos_token1] = ACTIONS(2070),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2070),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2070),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2070),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2070),
    [aux_sym_local_command_token1] = ACTIONS(2070),
    [aux_sym_local_forward_token1] = ACTIONS(2070),
    [aux_sym_log_level_token1] = ACTIONS(2070),
    [aux_sym_log_verbose_token1] = ACTIONS(2070),
    [aux_sym_macs_token1] = ACTIONS(2070),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2070),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2070),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2070),
    [aux_sym_password_authentication_token1] = ACTIONS(2070),
    [aux_sym_permit_local_command_token1] = ACTIONS(2070),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2070),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2070),
    [aux_sym_port_token1] = ACTIONS(2070),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2070),
    [aux_sym_protocol_token1] = ACTIONS(2070),
    [aux_sym_proxy_command_token1] = ACTIONS(2070),
    [aux_sym_proxy_jump_token1] = ACTIONS(2070),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2070),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2070),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2070),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2070),
    [aux_sym_rekey_limit_token1] = ACTIONS(2070),
    [aux_sym_remote_command_token1] = ACTIONS(2070),
    [aux_sym_remote_forward_token1] = ACTIONS(2070),
    [aux_sym_request_tty_token1] = ACTIONS(2070),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2070),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2070),
    [aux_sym_security_key_provider_token1] = ACTIONS(2070),
    [aux_sym_send_env_token1] = ACTIONS(2070),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2070),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2070),
    [aux_sym_session_type_token1] = ACTIONS(2070),
    [aux_sym_set_env_token1] = ACTIONS(2070),
    [aux_sym_stdin_null_token1] = ACTIONS(2070),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2070),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2070),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2070),
    [aux_sym_syslog_facility_token1] = ACTIONS(2070),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2070),
    [aux_sym_keep_alive_token1] = ACTIONS(2070),
    [aux_sym_tag_token1] = ACTIONS(2070),
    [aux_sym_tunnel_token1] = ACTIONS(2072),
    [aux_sym_tunnel_device_token1] = ACTIONS(2070),
    [aux_sym_update_host_keys_token1] = ACTIONS(2070),
    [aux_sym_use_keychain_token1] = ACTIONS(2070),
    [aux_sym_use_roaming_token1] = ACTIONS(2070),
    [aux_sym_user_token1] = ACTIONS(2072),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2070),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2070),
    [aux_sym_version_addendum_token1] = ACTIONS(2070),
    [aux_sym_visual_host_key_token1] = ACTIONS(2070),
    [aux_sym_xauth_location_token1] = ACTIONS(2070),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3002),
    [aux_sym_match_token1] = ACTIONS(3000),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3000),
    [aux_sym_address_family_token1] = ACTIONS(3000),
    [aux_sym_batch_mode_token1] = ACTIONS(3000),
    [aux_sym_bind_address_token1] = ACTIONS(3000),
    [aux_sym_bind_interface_token1] = ACTIONS(3000),
    [aux_sym_canonical_domains_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3000),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3000),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3000),
    [aux_sym_certificate_file_token1] = ACTIONS(3000),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3000),
    [aux_sym_channel_timeout_token1] = ACTIONS(3000),
    [aux_sym_check_host_ip_token1] = ACTIONS(3000),
    [aux_sym_ciphers_token1] = ACTIONS(3000),
    [aux_sym_cipher_token1] = ACTIONS(3002),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3000),
    [aux_sym_compression_token1] = ACTIONS(3000),
    [aux_sym_connection_attempts_token1] = ACTIONS(3000),
    [aux_sym_connect_timeout_token1] = ACTIONS(3000),
    [aux_sym_control_master_token1] = ACTIONS(3000),
    [aux_sym_control_path_token1] = ACTIONS(3000),
    [aux_sym_control_persist_token1] = ACTIONS(3000),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3000),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3000),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3000),
    [aux_sym_escape_char_token1] = ACTIONS(3000),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3000),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3000),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3000),
    [aux_sym_forward_agent_token1] = ACTIONS(3000),
    [aux_sym_forward_x11_token1] = ACTIONS(3002),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3000),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3000),
    [aux_sym_gateway_ports_token1] = ACTIONS(3000),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3000),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3000),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3000),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3000),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3000),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3000),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3000),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3000),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3000),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3000),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3000),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3000),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3000),
    [aux_sym_host_key_alias_token1] = ACTIONS(3000),
    [aux_sym_hostname_token1] = ACTIONS(3000),
    [aux_sym_identities_only_token1] = ACTIONS(3000),
    [aux_sym_identity_agent_token1] = ACTIONS(3000),
    [aux_sym_identity_file_token1] = ACTIONS(3000),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3000),
    [aux_sym_include_token1] = ACTIONS(3000),
    [aux_sym_ip_qos_token1] = ACTIONS(3000),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3000),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3000),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3000),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3000),
    [aux_sym_local_command_token1] = ACTIONS(3000),
    [aux_sym_local_forward_token1] = ACTIONS(3000),
    [aux_sym_log_level_token1] = ACTIONS(3000),
    [aux_sym_log_verbose_token1] = ACTIONS(3000),
    [aux_sym_macs_token1] = ACTIONS(3000),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3000),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3000),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3000),
    [aux_sym_password_authentication_token1] = ACTIONS(3000),
    [aux_sym_permit_local_command_token1] = ACTIONS(3000),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3000),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3000),
    [aux_sym_port_token1] = ACTIONS(3000),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3000),
    [aux_sym_protocol_token1] = ACTIONS(3000),
    [aux_sym_proxy_command_token1] = ACTIONS(3000),
    [aux_sym_proxy_jump_token1] = ACTIONS(3000),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3000),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3000),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3000),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3000),
    [aux_sym_rekey_limit_token1] = ACTIONS(3000),
    [aux_sym_remote_command_token1] = ACTIONS(3000),
    [aux_sym_remote_forward_token1] = ACTIONS(3000),
    [aux_sym_request_tty_token1] = ACTIONS(3000),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3000),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3000),
    [aux_sym_security_key_provider_token1] = ACTIONS(3000),
    [aux_sym_send_env_token1] = ACTIONS(3000),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3000),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3000),
    [aux_sym_session_type_token1] = ACTIONS(3000),
    [aux_sym_set_env_token1] = ACTIONS(3000),
    [aux_sym_stdin_null_token1] = ACTIONS(3000),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3000),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3000),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3000),
    [aux_sym_syslog_facility_token1] = ACTIONS(3000),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3000),
    [aux_sym_keep_alive_token1] = ACTIONS(3000),
    [aux_sym_tag_token1] = ACTIONS(3000),
    [aux_sym_tunnel_token1] = ACTIONS(3002),
    [aux_sym_tunnel_device_token1] = ACTIONS(3000),
    [aux_sym_update_host_keys_token1] = ACTIONS(3000),
    [aux_sym_use_keychain_token1] = ACTIONS(3000),
    [aux_sym_use_roaming_token1] = ACTIONS(3000),
    [aux_sym_user_token1] = ACTIONS(3002),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3000),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3000),
    [aux_sym_version_addendum_token1] = ACTIONS(3000),
    [aux_sym_visual_host_key_token1] = ACTIONS(3000),
    [aux_sym_xauth_location_token1] = ACTIONS(3000),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3008),
    [aux_sym_match_token1] = ACTIONS(3006),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3006),
    [aux_sym_address_family_token1] = ACTIONS(3006),
    [aux_sym_batch_mode_token1] = ACTIONS(3006),
    [aux_sym_bind_address_token1] = ACTIONS(3006),
    [aux_sym_bind_interface_token1] = ACTIONS(3006),
    [aux_sym_canonical_domains_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3006),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3006),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3006),
    [aux_sym_certificate_file_token1] = ACTIONS(3006),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3006),
    [aux_sym_channel_timeout_token1] = ACTIONS(3006),
    [aux_sym_check_host_ip_token1] = ACTIONS(3006),
    [aux_sym_ciphers_token1] = ACTIONS(3006),
    [aux_sym_cipher_token1] = ACTIONS(3008),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3006),
    [aux_sym_compression_token1] = ACTIONS(3006),
    [aux_sym_connection_attempts_token1] = ACTIONS(3006),
    [aux_sym_connect_timeout_token1] = ACTIONS(3006),
    [aux_sym_control_master_token1] = ACTIONS(3006),
    [aux_sym_control_path_token1] = ACTIONS(3006),
    [aux_sym_control_persist_token1] = ACTIONS(3006),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3006),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3006),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3006),
    [aux_sym_escape_char_token1] = ACTIONS(3006),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3006),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3006),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3006),
    [aux_sym_forward_agent_token1] = ACTIONS(3006),
    [aux_sym_forward_x11_token1] = ACTIONS(3008),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3006),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3006),
    [aux_sym_gateway_ports_token1] = ACTIONS(3006),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3006),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3006),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3006),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3006),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3006),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3006),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3006),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3006),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3006),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3006),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3006),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3006),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3006),
    [aux_sym_host_key_alias_token1] = ACTIONS(3006),
    [aux_sym_hostname_token1] = ACTIONS(3006),
    [aux_sym_identities_only_token1] = ACTIONS(3006),
    [aux_sym_identity_agent_token1] = ACTIONS(3006),
    [aux_sym_identity_file_token1] = ACTIONS(3006),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3006),
    [aux_sym_include_token1] = ACTIONS(3006),
    [aux_sym_ip_qos_token1] = ACTIONS(3006),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3006),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3006),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3006),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3006),
    [aux_sym_local_command_token1] = ACTIONS(3006),
    [aux_sym_local_forward_token1] = ACTIONS(3006),
    [aux_sym_log_level_token1] = ACTIONS(3006),
    [aux_sym_log_verbose_token1] = ACTIONS(3006),
    [aux_sym_macs_token1] = ACTIONS(3006),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3006),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3006),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3006),
    [aux_sym_password_authentication_token1] = ACTIONS(3006),
    [aux_sym_permit_local_command_token1] = ACTIONS(3006),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3006),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3006),
    [aux_sym_port_token1] = ACTIONS(3006),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3006),
    [aux_sym_protocol_token1] = ACTIONS(3006),
    [aux_sym_proxy_command_token1] = ACTIONS(3006),
    [aux_sym_proxy_jump_token1] = ACTIONS(3006),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3006),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3006),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3006),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3006),
    [aux_sym_rekey_limit_token1] = ACTIONS(3006),
    [aux_sym_remote_command_token1] = ACTIONS(3006),
    [aux_sym_remote_forward_token1] = ACTIONS(3006),
    [aux_sym_request_tty_token1] = ACTIONS(3006),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3006),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3006),
    [aux_sym_security_key_provider_token1] = ACTIONS(3006),
    [aux_sym_send_env_token1] = ACTIONS(3006),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3006),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3006),
    [aux_sym_session_type_token1] = ACTIONS(3006),
    [aux_sym_set_env_token1] = ACTIONS(3006),
    [aux_sym_stdin_null_token1] = ACTIONS(3006),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3006),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3006),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3006),
    [aux_sym_syslog_facility_token1] = ACTIONS(3006),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3006),
    [aux_sym_keep_alive_token1] = ACTIONS(3006),
    [aux_sym_tag_token1] = ACTIONS(3006),
    [aux_sym_tunnel_token1] = ACTIONS(3008),
    [aux_sym_tunnel_device_token1] = ACTIONS(3006),
    [aux_sym_update_host_keys_token1] = ACTIONS(3006),
    [aux_sym_use_keychain_token1] = ACTIONS(3006),
    [aux_sym_use_roaming_token1] = ACTIONS(3006),
    [aux_sym_user_token1] = ACTIONS(3008),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3006),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3006),
    [aux_sym_version_addendum_token1] = ACTIONS(3006),
    [aux_sym_visual_host_key_token1] = ACTIONS(3006),
    [aux_sym_xauth_location_token1] = ACTIONS(3006),
  },
  [666] = {
    [ts_builtin_sym_end] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2078),
    [aux_sym_match_token1] = ACTIONS(2076),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2076),
    [aux_sym_address_family_token1] = ACTIONS(2076),
    [aux_sym_batch_mode_token1] = ACTIONS(2076),
    [aux_sym_bind_address_token1] = ACTIONS(2076),
    [aux_sym_bind_interface_token1] = ACTIONS(2076),
    [aux_sym_canonical_domains_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2076),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2076),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2076),
    [aux_sym_certificate_file_token1] = ACTIONS(2076),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2076),
    [aux_sym_channel_timeout_token1] = ACTIONS(2076),
    [aux_sym_check_host_ip_token1] = ACTIONS(2076),
    [aux_sym_ciphers_token1] = ACTIONS(2076),
    [aux_sym_cipher_token1] = ACTIONS(2078),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2076),
    [aux_sym_compression_token1] = ACTIONS(2076),
    [aux_sym_connection_attempts_token1] = ACTIONS(2076),
    [aux_sym_connect_timeout_token1] = ACTIONS(2076),
    [aux_sym_control_master_token1] = ACTIONS(2076),
    [aux_sym_control_path_token1] = ACTIONS(2076),
    [aux_sym_control_persist_token1] = ACTIONS(2076),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2076),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2076),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2076),
    [aux_sym_escape_char_token1] = ACTIONS(2076),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2076),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2076),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2076),
    [aux_sym_forward_agent_token1] = ACTIONS(2076),
    [aux_sym_forward_x11_token1] = ACTIONS(2078),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2076),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2076),
    [aux_sym_gateway_ports_token1] = ACTIONS(2076),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2076),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2076),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2076),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2076),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2076),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2076),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2076),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2076),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2076),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2076),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2076),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2076),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2076),
    [aux_sym_host_key_alias_token1] = ACTIONS(2076),
    [aux_sym_hostname_token1] = ACTIONS(2076),
    [aux_sym_identities_only_token1] = ACTIONS(2076),
    [aux_sym_identity_agent_token1] = ACTIONS(2076),
    [aux_sym_identity_file_token1] = ACTIONS(2076),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2076),
    [aux_sym_include_token1] = ACTIONS(2076),
    [aux_sym_ip_qos_token1] = ACTIONS(2076),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2076),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2076),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2076),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2076),
    [aux_sym_local_command_token1] = ACTIONS(2076),
    [aux_sym_local_forward_token1] = ACTIONS(2076),
    [aux_sym_log_level_token1] = ACTIONS(2076),
    [aux_sym_log_verbose_token1] = ACTIONS(2076),
    [aux_sym_macs_token1] = ACTIONS(2076),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2076),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2076),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2076),
    [aux_sym_password_authentication_token1] = ACTIONS(2076),
    [aux_sym_permit_local_command_token1] = ACTIONS(2076),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2076),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2076),
    [aux_sym_port_token1] = ACTIONS(2076),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2076),
    [aux_sym_protocol_token1] = ACTIONS(2076),
    [aux_sym_proxy_command_token1] = ACTIONS(2076),
    [aux_sym_proxy_jump_token1] = ACTIONS(2076),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2076),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2076),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2076),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2076),
    [aux_sym_rekey_limit_token1] = ACTIONS(2076),
    [aux_sym_remote_command_token1] = ACTIONS(2076),
    [aux_sym_remote_forward_token1] = ACTIONS(2076),
    [aux_sym_request_tty_token1] = ACTIONS(2076),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2076),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2076),
    [aux_sym_security_key_provider_token1] = ACTIONS(2076),
    [aux_sym_send_env_token1] = ACTIONS(2076),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2076),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2076),
    [aux_sym_session_type_token1] = ACTIONS(2076),
    [aux_sym_set_env_token1] = ACTIONS(2076),
    [aux_sym_stdin_null_token1] = ACTIONS(2076),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2076),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2076),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2076),
    [aux_sym_syslog_facility_token1] = ACTIONS(2076),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2076),
    [aux_sym_keep_alive_token1] = ACTIONS(2076),
    [aux_sym_tag_token1] = ACTIONS(2076),
    [aux_sym_tunnel_token1] = ACTIONS(2078),
    [aux_sym_tunnel_device_token1] = ACTIONS(2076),
    [aux_sym_update_host_keys_token1] = ACTIONS(2076),
    [aux_sym_use_keychain_token1] = ACTIONS(2076),
    [aux_sym_use_roaming_token1] = ACTIONS(2076),
    [aux_sym_user_token1] = ACTIONS(2078),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2076),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2076),
    [aux_sym_version_addendum_token1] = ACTIONS(2076),
    [aux_sym_visual_host_key_token1] = ACTIONS(2076),
    [aux_sym_xauth_location_token1] = ACTIONS(2076),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3014),
    [aux_sym_match_token1] = ACTIONS(3012),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3012),
    [aux_sym_address_family_token1] = ACTIONS(3012),
    [aux_sym_batch_mode_token1] = ACTIONS(3012),
    [aux_sym_bind_address_token1] = ACTIONS(3012),
    [aux_sym_bind_interface_token1] = ACTIONS(3012),
    [aux_sym_canonical_domains_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3012),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3012),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3012),
    [aux_sym_certificate_file_token1] = ACTIONS(3012),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3012),
    [aux_sym_channel_timeout_token1] = ACTIONS(3012),
    [aux_sym_check_host_ip_token1] = ACTIONS(3012),
    [aux_sym_ciphers_token1] = ACTIONS(3012),
    [aux_sym_cipher_token1] = ACTIONS(3014),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3012),
    [aux_sym_compression_token1] = ACTIONS(3012),
    [aux_sym_connection_attempts_token1] = ACTIONS(3012),
    [aux_sym_connect_timeout_token1] = ACTIONS(3012),
    [aux_sym_control_master_token1] = ACTIONS(3012),
    [aux_sym_control_path_token1] = ACTIONS(3012),
    [aux_sym_control_persist_token1] = ACTIONS(3012),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3012),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3012),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3012),
    [aux_sym_escape_char_token1] = ACTIONS(3012),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3012),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3012),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3012),
    [aux_sym_forward_agent_token1] = ACTIONS(3012),
    [aux_sym_forward_x11_token1] = ACTIONS(3014),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3012),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3012),
    [aux_sym_gateway_ports_token1] = ACTIONS(3012),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3012),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3012),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3012),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3012),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3012),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3012),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3012),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3012),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3012),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3012),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3012),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3012),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3012),
    [aux_sym_host_key_alias_token1] = ACTIONS(3012),
    [aux_sym_hostname_token1] = ACTIONS(3012),
    [aux_sym_identities_only_token1] = ACTIONS(3012),
    [aux_sym_identity_agent_token1] = ACTIONS(3012),
    [aux_sym_identity_file_token1] = ACTIONS(3012),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3012),
    [aux_sym_include_token1] = ACTIONS(3012),
    [aux_sym_ip_qos_token1] = ACTIONS(3012),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3012),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3012),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3012),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3012),
    [aux_sym_local_command_token1] = ACTIONS(3012),
    [aux_sym_local_forward_token1] = ACTIONS(3012),
    [aux_sym_log_level_token1] = ACTIONS(3012),
    [aux_sym_log_verbose_token1] = ACTIONS(3012),
    [aux_sym_macs_token1] = ACTIONS(3012),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3012),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3012),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3012),
    [aux_sym_password_authentication_token1] = ACTIONS(3012),
    [aux_sym_permit_local_command_token1] = ACTIONS(3012),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3012),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3012),
    [aux_sym_port_token1] = ACTIONS(3012),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3012),
    [aux_sym_protocol_token1] = ACTIONS(3012),
    [aux_sym_proxy_command_token1] = ACTIONS(3012),
    [aux_sym_proxy_jump_token1] = ACTIONS(3012),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3012),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3012),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3012),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3012),
    [aux_sym_rekey_limit_token1] = ACTIONS(3012),
    [aux_sym_remote_command_token1] = ACTIONS(3012),
    [aux_sym_remote_forward_token1] = ACTIONS(3012),
    [aux_sym_request_tty_token1] = ACTIONS(3012),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3012),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3012),
    [aux_sym_security_key_provider_token1] = ACTIONS(3012),
    [aux_sym_send_env_token1] = ACTIONS(3012),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3012),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3012),
    [aux_sym_session_type_token1] = ACTIONS(3012),
    [aux_sym_set_env_token1] = ACTIONS(3012),
    [aux_sym_stdin_null_token1] = ACTIONS(3012),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3012),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3012),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3012),
    [aux_sym_syslog_facility_token1] = ACTIONS(3012),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3012),
    [aux_sym_keep_alive_token1] = ACTIONS(3012),
    [aux_sym_tag_token1] = ACTIONS(3012),
    [aux_sym_tunnel_token1] = ACTIONS(3014),
    [aux_sym_tunnel_device_token1] = ACTIONS(3012),
    [aux_sym_update_host_keys_token1] = ACTIONS(3012),
    [aux_sym_use_keychain_token1] = ACTIONS(3012),
    [aux_sym_use_roaming_token1] = ACTIONS(3012),
    [aux_sym_user_token1] = ACTIONS(3014),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3012),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3012),
    [aux_sym_version_addendum_token1] = ACTIONS(3012),
    [aux_sym_visual_host_key_token1] = ACTIONS(3012),
    [aux_sym_xauth_location_token1] = ACTIONS(3012),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3020),
    [aux_sym_match_token1] = ACTIONS(3018),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3018),
    [aux_sym_address_family_token1] = ACTIONS(3018),
    [aux_sym_batch_mode_token1] = ACTIONS(3018),
    [aux_sym_bind_address_token1] = ACTIONS(3018),
    [aux_sym_bind_interface_token1] = ACTIONS(3018),
    [aux_sym_canonical_domains_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3018),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3018),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3018),
    [aux_sym_certificate_file_token1] = ACTIONS(3018),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3018),
    [aux_sym_channel_timeout_token1] = ACTIONS(3018),
    [aux_sym_check_host_ip_token1] = ACTIONS(3018),
    [aux_sym_ciphers_token1] = ACTIONS(3018),
    [aux_sym_cipher_token1] = ACTIONS(3020),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3018),
    [aux_sym_compression_token1] = ACTIONS(3018),
    [aux_sym_connection_attempts_token1] = ACTIONS(3018),
    [aux_sym_connect_timeout_token1] = ACTIONS(3018),
    [aux_sym_control_master_token1] = ACTIONS(3018),
    [aux_sym_control_path_token1] = ACTIONS(3018),
    [aux_sym_control_persist_token1] = ACTIONS(3018),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3018),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3018),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3018),
    [aux_sym_escape_char_token1] = ACTIONS(3018),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3018),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3018),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3018),
    [aux_sym_forward_agent_token1] = ACTIONS(3018),
    [aux_sym_forward_x11_token1] = ACTIONS(3020),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3018),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3018),
    [aux_sym_gateway_ports_token1] = ACTIONS(3018),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3018),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3018),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3018),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3018),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3018),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3018),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3018),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3018),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3018),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3018),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3018),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3018),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3018),
    [aux_sym_host_key_alias_token1] = ACTIONS(3018),
    [aux_sym_hostname_token1] = ACTIONS(3018),
    [aux_sym_identities_only_token1] = ACTIONS(3018),
    [aux_sym_identity_agent_token1] = ACTIONS(3018),
    [aux_sym_identity_file_token1] = ACTIONS(3018),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3018),
    [aux_sym_include_token1] = ACTIONS(3018),
    [aux_sym_ip_qos_token1] = ACTIONS(3018),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3018),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3018),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3018),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3018),
    [aux_sym_local_command_token1] = ACTIONS(3018),
    [aux_sym_local_forward_token1] = ACTIONS(3018),
    [aux_sym_log_level_token1] = ACTIONS(3018),
    [aux_sym_log_verbose_token1] = ACTIONS(3018),
    [aux_sym_macs_token1] = ACTIONS(3018),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3018),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3018),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3018),
    [aux_sym_password_authentication_token1] = ACTIONS(3018),
    [aux_sym_permit_local_command_token1] = ACTIONS(3018),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3018),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3018),
    [aux_sym_port_token1] = ACTIONS(3018),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3018),
    [aux_sym_protocol_token1] = ACTIONS(3018),
    [aux_sym_proxy_command_token1] = ACTIONS(3018),
    [aux_sym_proxy_jump_token1] = ACTIONS(3018),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3018),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3018),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3018),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3018),
    [aux_sym_rekey_limit_token1] = ACTIONS(3018),
    [aux_sym_remote_command_token1] = ACTIONS(3018),
    [aux_sym_remote_forward_token1] = ACTIONS(3018),
    [aux_sym_request_tty_token1] = ACTIONS(3018),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3018),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3018),
    [aux_sym_security_key_provider_token1] = ACTIONS(3018),
    [aux_sym_send_env_token1] = ACTIONS(3018),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3018),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3018),
    [aux_sym_session_type_token1] = ACTIONS(3018),
    [aux_sym_set_env_token1] = ACTIONS(3018),
    [aux_sym_stdin_null_token1] = ACTIONS(3018),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3018),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3018),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3018),
    [aux_sym_syslog_facility_token1] = ACTIONS(3018),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3018),
    [aux_sym_keep_alive_token1] = ACTIONS(3018),
    [aux_sym_tag_token1] = ACTIONS(3018),
    [aux_sym_tunnel_token1] = ACTIONS(3020),
    [aux_sym_tunnel_device_token1] = ACTIONS(3018),
    [aux_sym_update_host_keys_token1] = ACTIONS(3018),
    [aux_sym_use_keychain_token1] = ACTIONS(3018),
    [aux_sym_use_roaming_token1] = ACTIONS(3018),
    [aux_sym_user_token1] = ACTIONS(3020),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3018),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3018),
    [aux_sym_version_addendum_token1] = ACTIONS(3018),
    [aux_sym_visual_host_key_token1] = ACTIONS(3018),
    [aux_sym_xauth_location_token1] = ACTIONS(3018),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2084),
    [aux_sym_match_token1] = ACTIONS(2082),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2082),
    [aux_sym_address_family_token1] = ACTIONS(2082),
    [aux_sym_batch_mode_token1] = ACTIONS(2082),
    [aux_sym_bind_address_token1] = ACTIONS(2082),
    [aux_sym_bind_interface_token1] = ACTIONS(2082),
    [aux_sym_canonical_domains_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2082),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2082),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2082),
    [aux_sym_certificate_file_token1] = ACTIONS(2082),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2082),
    [aux_sym_channel_timeout_token1] = ACTIONS(2082),
    [aux_sym_check_host_ip_token1] = ACTIONS(2082),
    [aux_sym_ciphers_token1] = ACTIONS(2082),
    [aux_sym_cipher_token1] = ACTIONS(2084),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2082),
    [aux_sym_compression_token1] = ACTIONS(2082),
    [aux_sym_connection_attempts_token1] = ACTIONS(2082),
    [aux_sym_connect_timeout_token1] = ACTIONS(2082),
    [aux_sym_control_master_token1] = ACTIONS(2082),
    [aux_sym_control_path_token1] = ACTIONS(2082),
    [aux_sym_control_persist_token1] = ACTIONS(2082),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2082),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2082),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2082),
    [aux_sym_escape_char_token1] = ACTIONS(2082),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2082),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2082),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2082),
    [aux_sym_forward_agent_token1] = ACTIONS(2082),
    [aux_sym_forward_x11_token1] = ACTIONS(2084),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2082),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2082),
    [aux_sym_gateway_ports_token1] = ACTIONS(2082),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2082),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2082),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2082),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2082),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2082),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2082),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2082),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2082),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2082),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2082),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2082),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2082),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2082),
    [aux_sym_host_key_alias_token1] = ACTIONS(2082),
    [aux_sym_hostname_token1] = ACTIONS(2082),
    [aux_sym_identities_only_token1] = ACTIONS(2082),
    [aux_sym_identity_agent_token1] = ACTIONS(2082),
    [aux_sym_identity_file_token1] = ACTIONS(2082),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2082),
    [aux_sym_include_token1] = ACTIONS(2082),
    [aux_sym_ip_qos_token1] = ACTIONS(2082),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2082),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2082),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2082),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2082),
    [aux_sym_local_command_token1] = ACTIONS(2082),
    [aux_sym_local_forward_token1] = ACTIONS(2082),
    [aux_sym_log_level_token1] = ACTIONS(2082),
    [aux_sym_log_verbose_token1] = ACTIONS(2082),
    [aux_sym_macs_token1] = ACTIONS(2082),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2082),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2082),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2082),
    [aux_sym_password_authentication_token1] = ACTIONS(2082),
    [aux_sym_permit_local_command_token1] = ACTIONS(2082),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2082),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2082),
    [aux_sym_port_token1] = ACTIONS(2082),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2082),
    [aux_sym_protocol_token1] = ACTIONS(2082),
    [aux_sym_proxy_command_token1] = ACTIONS(2082),
    [aux_sym_proxy_jump_token1] = ACTIONS(2082),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2082),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2082),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2082),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2082),
    [aux_sym_rekey_limit_token1] = ACTIONS(2082),
    [aux_sym_remote_command_token1] = ACTIONS(2082),
    [aux_sym_remote_forward_token1] = ACTIONS(2082),
    [aux_sym_request_tty_token1] = ACTIONS(2082),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2082),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2082),
    [aux_sym_security_key_provider_token1] = ACTIONS(2082),
    [aux_sym_send_env_token1] = ACTIONS(2082),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2082),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2082),
    [aux_sym_session_type_token1] = ACTIONS(2082),
    [aux_sym_set_env_token1] = ACTIONS(2082),
    [aux_sym_stdin_null_token1] = ACTIONS(2082),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2082),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2082),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2082),
    [aux_sym_syslog_facility_token1] = ACTIONS(2082),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2082),
    [aux_sym_keep_alive_token1] = ACTIONS(2082),
    [aux_sym_tag_token1] = ACTIONS(2082),
    [aux_sym_tunnel_token1] = ACTIONS(2084),
    [aux_sym_tunnel_device_token1] = ACTIONS(2082),
    [aux_sym_update_host_keys_token1] = ACTIONS(2082),
    [aux_sym_use_keychain_token1] = ACTIONS(2082),
    [aux_sym_use_roaming_token1] = ACTIONS(2082),
    [aux_sym_user_token1] = ACTIONS(2084),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2082),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2082),
    [aux_sym_version_addendum_token1] = ACTIONS(2082),
    [aux_sym_visual_host_key_token1] = ACTIONS(2082),
    [aux_sym_xauth_location_token1] = ACTIONS(2082),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3026),
    [aux_sym_match_token1] = ACTIONS(3024),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3024),
    [aux_sym_address_family_token1] = ACTIONS(3024),
    [aux_sym_batch_mode_token1] = ACTIONS(3024),
    [aux_sym_bind_address_token1] = ACTIONS(3024),
    [aux_sym_bind_interface_token1] = ACTIONS(3024),
    [aux_sym_canonical_domains_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3024),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3024),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3024),
    [aux_sym_certificate_file_token1] = ACTIONS(3024),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3024),
    [aux_sym_channel_timeout_token1] = ACTIONS(3024),
    [aux_sym_check_host_ip_token1] = ACTIONS(3024),
    [aux_sym_ciphers_token1] = ACTIONS(3024),
    [aux_sym_cipher_token1] = ACTIONS(3026),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3024),
    [aux_sym_compression_token1] = ACTIONS(3024),
    [aux_sym_connection_attempts_token1] = ACTIONS(3024),
    [aux_sym_connect_timeout_token1] = ACTIONS(3024),
    [aux_sym_control_master_token1] = ACTIONS(3024),
    [aux_sym_control_path_token1] = ACTIONS(3024),
    [aux_sym_control_persist_token1] = ACTIONS(3024),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3024),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3024),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3024),
    [aux_sym_escape_char_token1] = ACTIONS(3024),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3024),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3024),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3024),
    [aux_sym_forward_agent_token1] = ACTIONS(3024),
    [aux_sym_forward_x11_token1] = ACTIONS(3026),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3024),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3024),
    [aux_sym_gateway_ports_token1] = ACTIONS(3024),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3024),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3024),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3024),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3024),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3024),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3024),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3024),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3024),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3024),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3024),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3024),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3024),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3024),
    [aux_sym_host_key_alias_token1] = ACTIONS(3024),
    [aux_sym_hostname_token1] = ACTIONS(3024),
    [aux_sym_identities_only_token1] = ACTIONS(3024),
    [aux_sym_identity_agent_token1] = ACTIONS(3024),
    [aux_sym_identity_file_token1] = ACTIONS(3024),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3024),
    [aux_sym_include_token1] = ACTIONS(3024),
    [aux_sym_ip_qos_token1] = ACTIONS(3024),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3024),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3024),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3024),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3024),
    [aux_sym_local_command_token1] = ACTIONS(3024),
    [aux_sym_local_forward_token1] = ACTIONS(3024),
    [aux_sym_log_level_token1] = ACTIONS(3024),
    [aux_sym_log_verbose_token1] = ACTIONS(3024),
    [aux_sym_macs_token1] = ACTIONS(3024),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3024),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3024),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3024),
    [aux_sym_password_authentication_token1] = ACTIONS(3024),
    [aux_sym_permit_local_command_token1] = ACTIONS(3024),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3024),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3024),
    [aux_sym_port_token1] = ACTIONS(3024),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3024),
    [aux_sym_protocol_token1] = ACTIONS(3024),
    [aux_sym_proxy_command_token1] = ACTIONS(3024),
    [aux_sym_proxy_jump_token1] = ACTIONS(3024),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3024),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3024),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3024),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3024),
    [aux_sym_rekey_limit_token1] = ACTIONS(3024),
    [aux_sym_remote_command_token1] = ACTIONS(3024),
    [aux_sym_remote_forward_token1] = ACTIONS(3024),
    [aux_sym_request_tty_token1] = ACTIONS(3024),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3024),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3024),
    [aux_sym_security_key_provider_token1] = ACTIONS(3024),
    [aux_sym_send_env_token1] = ACTIONS(3024),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3024),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3024),
    [aux_sym_session_type_token1] = ACTIONS(3024),
    [aux_sym_set_env_token1] = ACTIONS(3024),
    [aux_sym_stdin_null_token1] = ACTIONS(3024),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3024),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3024),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3024),
    [aux_sym_syslog_facility_token1] = ACTIONS(3024),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3024),
    [aux_sym_keep_alive_token1] = ACTIONS(3024),
    [aux_sym_tag_token1] = ACTIONS(3024),
    [aux_sym_tunnel_token1] = ACTIONS(3026),
    [aux_sym_tunnel_device_token1] = ACTIONS(3024),
    [aux_sym_update_host_keys_token1] = ACTIONS(3024),
    [aux_sym_use_keychain_token1] = ACTIONS(3024),
    [aux_sym_use_roaming_token1] = ACTIONS(3024),
    [aux_sym_user_token1] = ACTIONS(3026),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3024),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3024),
    [aux_sym_version_addendum_token1] = ACTIONS(3024),
    [aux_sym_visual_host_key_token1] = ACTIONS(3024),
    [aux_sym_xauth_location_token1] = ACTIONS(3024),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3032),
    [aux_sym_match_token1] = ACTIONS(3030),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3030),
    [aux_sym_address_family_token1] = ACTIONS(3030),
    [aux_sym_batch_mode_token1] = ACTIONS(3030),
    [aux_sym_bind_address_token1] = ACTIONS(3030),
    [aux_sym_bind_interface_token1] = ACTIONS(3030),
    [aux_sym_canonical_domains_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3030),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3030),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3030),
    [aux_sym_certificate_file_token1] = ACTIONS(3030),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3030),
    [aux_sym_channel_timeout_token1] = ACTIONS(3030),
    [aux_sym_check_host_ip_token1] = ACTIONS(3030),
    [aux_sym_ciphers_token1] = ACTIONS(3030),
    [aux_sym_cipher_token1] = ACTIONS(3032),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3030),
    [aux_sym_compression_token1] = ACTIONS(3030),
    [aux_sym_connection_attempts_token1] = ACTIONS(3030),
    [aux_sym_connect_timeout_token1] = ACTIONS(3030),
    [aux_sym_control_master_token1] = ACTIONS(3030),
    [aux_sym_control_path_token1] = ACTIONS(3030),
    [aux_sym_control_persist_token1] = ACTIONS(3030),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3030),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3030),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3030),
    [aux_sym_escape_char_token1] = ACTIONS(3030),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3030),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3030),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3030),
    [aux_sym_forward_agent_token1] = ACTIONS(3030),
    [aux_sym_forward_x11_token1] = ACTIONS(3032),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3030),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3030),
    [aux_sym_gateway_ports_token1] = ACTIONS(3030),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3030),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3030),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3030),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3030),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3030),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3030),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3030),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3030),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3030),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3030),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3030),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3030),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3030),
    [aux_sym_host_key_alias_token1] = ACTIONS(3030),
    [aux_sym_hostname_token1] = ACTIONS(3030),
    [aux_sym_identities_only_token1] = ACTIONS(3030),
    [aux_sym_identity_agent_token1] = ACTIONS(3030),
    [aux_sym_identity_file_token1] = ACTIONS(3030),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3030),
    [aux_sym_include_token1] = ACTIONS(3030),
    [aux_sym_ip_qos_token1] = ACTIONS(3030),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3030),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3030),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3030),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3030),
    [aux_sym_local_command_token1] = ACTIONS(3030),
    [aux_sym_local_forward_token1] = ACTIONS(3030),
    [aux_sym_log_level_token1] = ACTIONS(3030),
    [aux_sym_log_verbose_token1] = ACTIONS(3030),
    [aux_sym_macs_token1] = ACTIONS(3030),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3030),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3030),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3030),
    [aux_sym_password_authentication_token1] = ACTIONS(3030),
    [aux_sym_permit_local_command_token1] = ACTIONS(3030),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3030),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3030),
    [aux_sym_port_token1] = ACTIONS(3030),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3030),
    [aux_sym_protocol_token1] = ACTIONS(3030),
    [aux_sym_proxy_command_token1] = ACTIONS(3030),
    [aux_sym_proxy_jump_token1] = ACTIONS(3030),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3030),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3030),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3030),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3030),
    [aux_sym_rekey_limit_token1] = ACTIONS(3030),
    [aux_sym_remote_command_token1] = ACTIONS(3030),
    [aux_sym_remote_forward_token1] = ACTIONS(3030),
    [aux_sym_request_tty_token1] = ACTIONS(3030),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3030),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3030),
    [aux_sym_security_key_provider_token1] = ACTIONS(3030),
    [aux_sym_send_env_token1] = ACTIONS(3030),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3030),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3030),
    [aux_sym_session_type_token1] = ACTIONS(3030),
    [aux_sym_set_env_token1] = ACTIONS(3030),
    [aux_sym_stdin_null_token1] = ACTIONS(3030),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3030),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3030),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3030),
    [aux_sym_syslog_facility_token1] = ACTIONS(3030),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3030),
    [aux_sym_keep_alive_token1] = ACTIONS(3030),
    [aux_sym_tag_token1] = ACTIONS(3030),
    [aux_sym_tunnel_token1] = ACTIONS(3032),
    [aux_sym_tunnel_device_token1] = ACTIONS(3030),
    [aux_sym_update_host_keys_token1] = ACTIONS(3030),
    [aux_sym_use_keychain_token1] = ACTIONS(3030),
    [aux_sym_use_roaming_token1] = ACTIONS(3030),
    [aux_sym_user_token1] = ACTIONS(3032),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3030),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3030),
    [aux_sym_version_addendum_token1] = ACTIONS(3030),
    [aux_sym_visual_host_key_token1] = ACTIONS(3030),
    [aux_sym_xauth_location_token1] = ACTIONS(3030),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2088),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2090),
    [aux_sym_match_token1] = ACTIONS(2088),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2088),
    [aux_sym_address_family_token1] = ACTIONS(2088),
    [aux_sym_batch_mode_token1] = ACTIONS(2088),
    [aux_sym_bind_address_token1] = ACTIONS(2088),
    [aux_sym_bind_interface_token1] = ACTIONS(2088),
    [aux_sym_canonical_domains_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2088),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2088),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2088),
    [aux_sym_certificate_file_token1] = ACTIONS(2088),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2088),
    [aux_sym_channel_timeout_token1] = ACTIONS(2088),
    [aux_sym_check_host_ip_token1] = ACTIONS(2088),
    [aux_sym_ciphers_token1] = ACTIONS(2088),
    [aux_sym_cipher_token1] = ACTIONS(2090),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2088),
    [aux_sym_compression_token1] = ACTIONS(2088),
    [aux_sym_connection_attempts_token1] = ACTIONS(2088),
    [aux_sym_connect_timeout_token1] = ACTIONS(2088),
    [aux_sym_control_master_token1] = ACTIONS(2088),
    [aux_sym_control_path_token1] = ACTIONS(2088),
    [aux_sym_control_persist_token1] = ACTIONS(2088),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2088),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2088),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2088),
    [aux_sym_escape_char_token1] = ACTIONS(2088),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2088),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2088),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2088),
    [aux_sym_forward_agent_token1] = ACTIONS(2088),
    [aux_sym_forward_x11_token1] = ACTIONS(2090),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2088),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2088),
    [aux_sym_gateway_ports_token1] = ACTIONS(2088),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2088),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2088),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2088),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2088),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2088),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2088),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2088),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2088),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2088),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2088),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2088),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2088),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2088),
    [aux_sym_host_key_alias_token1] = ACTIONS(2088),
    [aux_sym_hostname_token1] = ACTIONS(2088),
    [aux_sym_identities_only_token1] = ACTIONS(2088),
    [aux_sym_identity_agent_token1] = ACTIONS(2088),
    [aux_sym_identity_file_token1] = ACTIONS(2088),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2088),
    [aux_sym_include_token1] = ACTIONS(2088),
    [aux_sym_ip_qos_token1] = ACTIONS(2088),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2088),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2088),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2088),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2088),
    [aux_sym_local_command_token1] = ACTIONS(2088),
    [aux_sym_local_forward_token1] = ACTIONS(2088),
    [aux_sym_log_level_token1] = ACTIONS(2088),
    [aux_sym_log_verbose_token1] = ACTIONS(2088),
    [aux_sym_macs_token1] = ACTIONS(2088),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2088),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2088),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2088),
    [aux_sym_password_authentication_token1] = ACTIONS(2088),
    [aux_sym_permit_local_command_token1] = ACTIONS(2088),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2088),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2088),
    [aux_sym_port_token1] = ACTIONS(2088),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2088),
    [aux_sym_protocol_token1] = ACTIONS(2088),
    [aux_sym_proxy_command_token1] = ACTIONS(2088),
    [aux_sym_proxy_jump_token1] = ACTIONS(2088),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2088),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2088),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2088),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2088),
    [aux_sym_rekey_limit_token1] = ACTIONS(2088),
    [aux_sym_remote_command_token1] = ACTIONS(2088),
    [aux_sym_remote_forward_token1] = ACTIONS(2088),
    [aux_sym_request_tty_token1] = ACTIONS(2088),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2088),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2088),
    [aux_sym_security_key_provider_token1] = ACTIONS(2088),
    [aux_sym_send_env_token1] = ACTIONS(2088),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2088),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2088),
    [aux_sym_session_type_token1] = ACTIONS(2088),
    [aux_sym_set_env_token1] = ACTIONS(2088),
    [aux_sym_stdin_null_token1] = ACTIONS(2088),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2088),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2088),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2088),
    [aux_sym_syslog_facility_token1] = ACTIONS(2088),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2088),
    [aux_sym_keep_alive_token1] = ACTIONS(2088),
    [aux_sym_tag_token1] = ACTIONS(2088),
    [aux_sym_tunnel_token1] = ACTIONS(2090),
    [aux_sym_tunnel_device_token1] = ACTIONS(2088),
    [aux_sym_update_host_keys_token1] = ACTIONS(2088),
    [aux_sym_use_keychain_token1] = ACTIONS(2088),
    [aux_sym_use_roaming_token1] = ACTIONS(2088),
    [aux_sym_user_token1] = ACTIONS(2090),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2088),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2088),
    [aux_sym_version_addendum_token1] = ACTIONS(2088),
    [aux_sym_visual_host_key_token1] = ACTIONS(2088),
    [aux_sym_xauth_location_token1] = ACTIONS(2088),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3038),
    [aux_sym_match_token1] = ACTIONS(3036),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3036),
    [aux_sym_address_family_token1] = ACTIONS(3036),
    [aux_sym_batch_mode_token1] = ACTIONS(3036),
    [aux_sym_bind_address_token1] = ACTIONS(3036),
    [aux_sym_bind_interface_token1] = ACTIONS(3036),
    [aux_sym_canonical_domains_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3036),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3036),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3036),
    [aux_sym_certificate_file_token1] = ACTIONS(3036),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3036),
    [aux_sym_channel_timeout_token1] = ACTIONS(3036),
    [aux_sym_check_host_ip_token1] = ACTIONS(3036),
    [aux_sym_ciphers_token1] = ACTIONS(3036),
    [aux_sym_cipher_token1] = ACTIONS(3038),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3036),
    [aux_sym_compression_token1] = ACTIONS(3036),
    [aux_sym_connection_attempts_token1] = ACTIONS(3036),
    [aux_sym_connect_timeout_token1] = ACTIONS(3036),
    [aux_sym_control_master_token1] = ACTIONS(3036),
    [aux_sym_control_path_token1] = ACTIONS(3036),
    [aux_sym_control_persist_token1] = ACTIONS(3036),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3036),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3036),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3036),
    [aux_sym_escape_char_token1] = ACTIONS(3036),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3036),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3036),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3036),
    [aux_sym_forward_agent_token1] = ACTIONS(3036),
    [aux_sym_forward_x11_token1] = ACTIONS(3038),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3036),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3036),
    [aux_sym_gateway_ports_token1] = ACTIONS(3036),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3036),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3036),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3036),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3036),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3036),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3036),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3036),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3036),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3036),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3036),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3036),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3036),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3036),
    [aux_sym_host_key_alias_token1] = ACTIONS(3036),
    [aux_sym_hostname_token1] = ACTIONS(3036),
    [aux_sym_identities_only_token1] = ACTIONS(3036),
    [aux_sym_identity_agent_token1] = ACTIONS(3036),
    [aux_sym_identity_file_token1] = ACTIONS(3036),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3036),
    [aux_sym_include_token1] = ACTIONS(3036),
    [aux_sym_ip_qos_token1] = ACTIONS(3036),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3036),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3036),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3036),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3036),
    [aux_sym_local_command_token1] = ACTIONS(3036),
    [aux_sym_local_forward_token1] = ACTIONS(3036),
    [aux_sym_log_level_token1] = ACTIONS(3036),
    [aux_sym_log_verbose_token1] = ACTIONS(3036),
    [aux_sym_macs_token1] = ACTIONS(3036),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3036),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3036),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3036),
    [aux_sym_password_authentication_token1] = ACTIONS(3036),
    [aux_sym_permit_local_command_token1] = ACTIONS(3036),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3036),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3036),
    [aux_sym_port_token1] = ACTIONS(3036),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3036),
    [aux_sym_protocol_token1] = ACTIONS(3036),
    [aux_sym_proxy_command_token1] = ACTIONS(3036),
    [aux_sym_proxy_jump_token1] = ACTIONS(3036),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3036),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3036),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3036),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3036),
    [aux_sym_rekey_limit_token1] = ACTIONS(3036),
    [aux_sym_remote_command_token1] = ACTIONS(3036),
    [aux_sym_remote_forward_token1] = ACTIONS(3036),
    [aux_sym_request_tty_token1] = ACTIONS(3036),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3036),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3036),
    [aux_sym_security_key_provider_token1] = ACTIONS(3036),
    [aux_sym_send_env_token1] = ACTIONS(3036),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3036),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3036),
    [aux_sym_session_type_token1] = ACTIONS(3036),
    [aux_sym_set_env_token1] = ACTIONS(3036),
    [aux_sym_stdin_null_token1] = ACTIONS(3036),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3036),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3036),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3036),
    [aux_sym_syslog_facility_token1] = ACTIONS(3036),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3036),
    [aux_sym_keep_alive_token1] = ACTIONS(3036),
    [aux_sym_tag_token1] = ACTIONS(3036),
    [aux_sym_tunnel_token1] = ACTIONS(3038),
    [aux_sym_tunnel_device_token1] = ACTIONS(3036),
    [aux_sym_update_host_keys_token1] = ACTIONS(3036),
    [aux_sym_use_keychain_token1] = ACTIONS(3036),
    [aux_sym_use_roaming_token1] = ACTIONS(3036),
    [aux_sym_user_token1] = ACTIONS(3038),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3036),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3036),
    [aux_sym_version_addendum_token1] = ACTIONS(3036),
    [aux_sym_visual_host_key_token1] = ACTIONS(3036),
    [aux_sym_xauth_location_token1] = ACTIONS(3036),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(3042),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3044),
    [aux_sym_match_token1] = ACTIONS(3042),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3042),
    [aux_sym_address_family_token1] = ACTIONS(3042),
    [aux_sym_batch_mode_token1] = ACTIONS(3042),
    [aux_sym_bind_address_token1] = ACTIONS(3042),
    [aux_sym_bind_interface_token1] = ACTIONS(3042),
    [aux_sym_canonical_domains_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3042),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3042),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3042),
    [aux_sym_certificate_file_token1] = ACTIONS(3042),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3042),
    [aux_sym_channel_timeout_token1] = ACTIONS(3042),
    [aux_sym_check_host_ip_token1] = ACTIONS(3042),
    [aux_sym_ciphers_token1] = ACTIONS(3042),
    [aux_sym_cipher_token1] = ACTIONS(3044),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3042),
    [aux_sym_compression_token1] = ACTIONS(3042),
    [aux_sym_connection_attempts_token1] = ACTIONS(3042),
    [aux_sym_connect_timeout_token1] = ACTIONS(3042),
    [aux_sym_control_master_token1] = ACTIONS(3042),
    [aux_sym_control_path_token1] = ACTIONS(3042),
    [aux_sym_control_persist_token1] = ACTIONS(3042),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3042),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3042),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3042),
    [aux_sym_escape_char_token1] = ACTIONS(3042),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3042),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3042),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3042),
    [aux_sym_forward_agent_token1] = ACTIONS(3042),
    [aux_sym_forward_x11_token1] = ACTIONS(3044),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3042),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3042),
    [aux_sym_gateway_ports_token1] = ACTIONS(3042),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3042),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3042),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3042),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3042),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3042),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3042),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3042),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3042),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3042),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3042),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3042),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3042),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3042),
    [aux_sym_host_key_alias_token1] = ACTIONS(3042),
    [aux_sym_hostname_token1] = ACTIONS(3042),
    [aux_sym_identities_only_token1] = ACTIONS(3042),
    [aux_sym_identity_agent_token1] = ACTIONS(3042),
    [aux_sym_identity_file_token1] = ACTIONS(3042),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3042),
    [aux_sym_include_token1] = ACTIONS(3042),
    [aux_sym_ip_qos_token1] = ACTIONS(3042),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3042),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3042),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3042),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3042),
    [aux_sym_local_command_token1] = ACTIONS(3042),
    [aux_sym_local_forward_token1] = ACTIONS(3042),
    [aux_sym_log_level_token1] = ACTIONS(3042),
    [aux_sym_log_verbose_token1] = ACTIONS(3042),
    [aux_sym_macs_token1] = ACTIONS(3042),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3042),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3042),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3042),
    [aux_sym_password_authentication_token1] = ACTIONS(3042),
    [aux_sym_permit_local_command_token1] = ACTIONS(3042),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3042),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3042),
    [aux_sym_port_token1] = ACTIONS(3042),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3042),
    [aux_sym_protocol_token1] = ACTIONS(3042),
    [aux_sym_proxy_command_token1] = ACTIONS(3042),
    [aux_sym_proxy_jump_token1] = ACTIONS(3042),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3042),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3042),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3042),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3042),
    [aux_sym_rekey_limit_token1] = ACTIONS(3042),
    [aux_sym_remote_command_token1] = ACTIONS(3042),
    [aux_sym_remote_forward_token1] = ACTIONS(3042),
    [aux_sym_request_tty_token1] = ACTIONS(3042),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3042),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3042),
    [aux_sym_security_key_provider_token1] = ACTIONS(3042),
    [aux_sym_send_env_token1] = ACTIONS(3042),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3042),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3042),
    [aux_sym_session_type_token1] = ACTIONS(3042),
    [aux_sym_set_env_token1] = ACTIONS(3042),
    [aux_sym_stdin_null_token1] = ACTIONS(3042),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3042),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3042),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3042),
    [aux_sym_syslog_facility_token1] = ACTIONS(3042),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3042),
    [aux_sym_keep_alive_token1] = ACTIONS(3042),
    [aux_sym_tag_token1] = ACTIONS(3042),
    [aux_sym_tunnel_token1] = ACTIONS(3044),
    [aux_sym_tunnel_device_token1] = ACTIONS(3042),
    [aux_sym_update_host_keys_token1] = ACTIONS(3042),
    [aux_sym_use_keychain_token1] = ACTIONS(3042),
    [aux_sym_use_roaming_token1] = ACTIONS(3042),
    [aux_sym_user_token1] = ACTIONS(3044),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3042),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3042),
    [aux_sym_version_addendum_token1] = ACTIONS(3042),
    [aux_sym_visual_host_key_token1] = ACTIONS(3042),
    [aux_sym_xauth_location_token1] = ACTIONS(3042),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2094),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2096),
    [aux_sym_match_token1] = ACTIONS(2094),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2094),
    [aux_sym_address_family_token1] = ACTIONS(2094),
    [aux_sym_batch_mode_token1] = ACTIONS(2094),
    [aux_sym_bind_address_token1] = ACTIONS(2094),
    [aux_sym_bind_interface_token1] = ACTIONS(2094),
    [aux_sym_canonical_domains_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2094),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2094),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2094),
    [aux_sym_certificate_file_token1] = ACTIONS(2094),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2094),
    [aux_sym_channel_timeout_token1] = ACTIONS(2094),
    [aux_sym_check_host_ip_token1] = ACTIONS(2094),
    [aux_sym_ciphers_token1] = ACTIONS(2094),
    [aux_sym_cipher_token1] = ACTIONS(2096),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2094),
    [aux_sym_compression_token1] = ACTIONS(2094),
    [aux_sym_connection_attempts_token1] = ACTIONS(2094),
    [aux_sym_connect_timeout_token1] = ACTIONS(2094),
    [aux_sym_control_master_token1] = ACTIONS(2094),
    [aux_sym_control_path_token1] = ACTIONS(2094),
    [aux_sym_control_persist_token1] = ACTIONS(2094),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2094),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2094),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2094),
    [aux_sym_escape_char_token1] = ACTIONS(2094),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2094),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2094),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2094),
    [aux_sym_forward_agent_token1] = ACTIONS(2094),
    [aux_sym_forward_x11_token1] = ACTIONS(2096),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2094),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2094),
    [aux_sym_gateway_ports_token1] = ACTIONS(2094),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2094),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2094),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2094),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2094),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2094),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2094),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2094),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2094),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2094),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2094),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2094),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2094),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2094),
    [aux_sym_host_key_alias_token1] = ACTIONS(2094),
    [aux_sym_hostname_token1] = ACTIONS(2094),
    [aux_sym_identities_only_token1] = ACTIONS(2094),
    [aux_sym_identity_agent_token1] = ACTIONS(2094),
    [aux_sym_identity_file_token1] = ACTIONS(2094),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2094),
    [aux_sym_include_token1] = ACTIONS(2094),
    [aux_sym_ip_qos_token1] = ACTIONS(2094),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2094),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2094),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2094),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2094),
    [aux_sym_local_command_token1] = ACTIONS(2094),
    [aux_sym_local_forward_token1] = ACTIONS(2094),
    [aux_sym_log_level_token1] = ACTIONS(2094),
    [aux_sym_log_verbose_token1] = ACTIONS(2094),
    [aux_sym_macs_token1] = ACTIONS(2094),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2094),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2094),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2094),
    [aux_sym_password_authentication_token1] = ACTIONS(2094),
    [aux_sym_permit_local_command_token1] = ACTIONS(2094),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2094),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2094),
    [aux_sym_port_token1] = ACTIONS(2094),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2094),
    [aux_sym_protocol_token1] = ACTIONS(2094),
    [aux_sym_proxy_command_token1] = ACTIONS(2094),
    [aux_sym_proxy_jump_token1] = ACTIONS(2094),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2094),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2094),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2094),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2094),
    [aux_sym_rekey_limit_token1] = ACTIONS(2094),
    [aux_sym_remote_command_token1] = ACTIONS(2094),
    [aux_sym_remote_forward_token1] = ACTIONS(2094),
    [aux_sym_request_tty_token1] = ACTIONS(2094),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2094),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2094),
    [aux_sym_security_key_provider_token1] = ACTIONS(2094),
    [aux_sym_send_env_token1] = ACTIONS(2094),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2094),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2094),
    [aux_sym_session_type_token1] = ACTIONS(2094),
    [aux_sym_set_env_token1] = ACTIONS(2094),
    [aux_sym_stdin_null_token1] = ACTIONS(2094),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2094),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2094),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2094),
    [aux_sym_syslog_facility_token1] = ACTIONS(2094),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2094),
    [aux_sym_keep_alive_token1] = ACTIONS(2094),
    [aux_sym_tag_token1] = ACTIONS(2094),
    [aux_sym_tunnel_token1] = ACTIONS(2096),
    [aux_sym_tunnel_device_token1] = ACTIONS(2094),
    [aux_sym_update_host_keys_token1] = ACTIONS(2094),
    [aux_sym_use_keychain_token1] = ACTIONS(2094),
    [aux_sym_use_roaming_token1] = ACTIONS(2094),
    [aux_sym_user_token1] = ACTIONS(2096),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2094),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2094),
    [aux_sym_version_addendum_token1] = ACTIONS(2094),
    [aux_sym_visual_host_key_token1] = ACTIONS(2094),
    [aux_sym_xauth_location_token1] = ACTIONS(2094),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3050),
    [aux_sym_match_token1] = ACTIONS(3048),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3048),
    [aux_sym_address_family_token1] = ACTIONS(3048),
    [aux_sym_batch_mode_token1] = ACTIONS(3048),
    [aux_sym_bind_address_token1] = ACTIONS(3048),
    [aux_sym_bind_interface_token1] = ACTIONS(3048),
    [aux_sym_canonical_domains_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3048),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3048),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3048),
    [aux_sym_certificate_file_token1] = ACTIONS(3048),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3048),
    [aux_sym_channel_timeout_token1] = ACTIONS(3048),
    [aux_sym_check_host_ip_token1] = ACTIONS(3048),
    [aux_sym_ciphers_token1] = ACTIONS(3048),
    [aux_sym_cipher_token1] = ACTIONS(3050),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3048),
    [aux_sym_compression_token1] = ACTIONS(3048),
    [aux_sym_connection_attempts_token1] = ACTIONS(3048),
    [aux_sym_connect_timeout_token1] = ACTIONS(3048),
    [aux_sym_control_master_token1] = ACTIONS(3048),
    [aux_sym_control_path_token1] = ACTIONS(3048),
    [aux_sym_control_persist_token1] = ACTIONS(3048),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3048),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3048),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3048),
    [aux_sym_escape_char_token1] = ACTIONS(3048),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3048),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3048),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3048),
    [aux_sym_forward_agent_token1] = ACTIONS(3048),
    [aux_sym_forward_x11_token1] = ACTIONS(3050),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3048),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3048),
    [aux_sym_gateway_ports_token1] = ACTIONS(3048),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3048),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3048),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3048),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3048),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3048),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3048),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3048),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3048),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3048),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3048),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3048),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3048),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3048),
    [aux_sym_host_key_alias_token1] = ACTIONS(3048),
    [aux_sym_hostname_token1] = ACTIONS(3048),
    [aux_sym_identities_only_token1] = ACTIONS(3048),
    [aux_sym_identity_agent_token1] = ACTIONS(3048),
    [aux_sym_identity_file_token1] = ACTIONS(3048),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3048),
    [aux_sym_include_token1] = ACTIONS(3048),
    [aux_sym_ip_qos_token1] = ACTIONS(3048),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3048),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3048),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3048),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3048),
    [aux_sym_local_command_token1] = ACTIONS(3048),
    [aux_sym_local_forward_token1] = ACTIONS(3048),
    [aux_sym_log_level_token1] = ACTIONS(3048),
    [aux_sym_log_verbose_token1] = ACTIONS(3048),
    [aux_sym_macs_token1] = ACTIONS(3048),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3048),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3048),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3048),
    [aux_sym_password_authentication_token1] = ACTIONS(3048),
    [aux_sym_permit_local_command_token1] = ACTIONS(3048),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3048),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3048),
    [aux_sym_port_token1] = ACTIONS(3048),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3048),
    [aux_sym_protocol_token1] = ACTIONS(3048),
    [aux_sym_proxy_command_token1] = ACTIONS(3048),
    [aux_sym_proxy_jump_token1] = ACTIONS(3048),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3048),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3048),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3048),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3048),
    [aux_sym_rekey_limit_token1] = ACTIONS(3048),
    [aux_sym_remote_command_token1] = ACTIONS(3048),
    [aux_sym_remote_forward_token1] = ACTIONS(3048),
    [aux_sym_request_tty_token1] = ACTIONS(3048),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3048),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3048),
    [aux_sym_security_key_provider_token1] = ACTIONS(3048),
    [aux_sym_send_env_token1] = ACTIONS(3048),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3048),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3048),
    [aux_sym_session_type_token1] = ACTIONS(3048),
    [aux_sym_set_env_token1] = ACTIONS(3048),
    [aux_sym_stdin_null_token1] = ACTIONS(3048),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3048),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3048),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3048),
    [aux_sym_syslog_facility_token1] = ACTIONS(3048),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3048),
    [aux_sym_keep_alive_token1] = ACTIONS(3048),
    [aux_sym_tag_token1] = ACTIONS(3048),
    [aux_sym_tunnel_token1] = ACTIONS(3050),
    [aux_sym_tunnel_device_token1] = ACTIONS(3048),
    [aux_sym_update_host_keys_token1] = ACTIONS(3048),
    [aux_sym_use_keychain_token1] = ACTIONS(3048),
    [aux_sym_use_roaming_token1] = ACTIONS(3048),
    [aux_sym_user_token1] = ACTIONS(3050),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3048),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3048),
    [aux_sym_version_addendum_token1] = ACTIONS(3048),
    [aux_sym_visual_host_key_token1] = ACTIONS(3048),
    [aux_sym_xauth_location_token1] = ACTIONS(3048),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(3054),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3056),
    [aux_sym_match_token1] = ACTIONS(3054),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3054),
    [aux_sym_address_family_token1] = ACTIONS(3054),
    [aux_sym_batch_mode_token1] = ACTIONS(3054),
    [aux_sym_bind_address_token1] = ACTIONS(3054),
    [aux_sym_bind_interface_token1] = ACTIONS(3054),
    [aux_sym_canonical_domains_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3054),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3054),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3054),
    [aux_sym_certificate_file_token1] = ACTIONS(3054),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3054),
    [aux_sym_channel_timeout_token1] = ACTIONS(3054),
    [aux_sym_check_host_ip_token1] = ACTIONS(3054),
    [aux_sym_ciphers_token1] = ACTIONS(3054),
    [aux_sym_cipher_token1] = ACTIONS(3056),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3054),
    [aux_sym_compression_token1] = ACTIONS(3054),
    [aux_sym_connection_attempts_token1] = ACTIONS(3054),
    [aux_sym_connect_timeout_token1] = ACTIONS(3054),
    [aux_sym_control_master_token1] = ACTIONS(3054),
    [aux_sym_control_path_token1] = ACTIONS(3054),
    [aux_sym_control_persist_token1] = ACTIONS(3054),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3054),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3054),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3054),
    [aux_sym_escape_char_token1] = ACTIONS(3054),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3054),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3054),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3054),
    [aux_sym_forward_agent_token1] = ACTIONS(3054),
    [aux_sym_forward_x11_token1] = ACTIONS(3056),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3054),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3054),
    [aux_sym_gateway_ports_token1] = ACTIONS(3054),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3054),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3054),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3054),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3054),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3054),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3054),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3054),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3054),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3054),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3054),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3054),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3054),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3054),
    [aux_sym_host_key_alias_token1] = ACTIONS(3054),
    [aux_sym_hostname_token1] = ACTIONS(3054),
    [aux_sym_identities_only_token1] = ACTIONS(3054),
    [aux_sym_identity_agent_token1] = ACTIONS(3054),
    [aux_sym_identity_file_token1] = ACTIONS(3054),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3054),
    [aux_sym_include_token1] = ACTIONS(3054),
    [aux_sym_ip_qos_token1] = ACTIONS(3054),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3054),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3054),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3054),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3054),
    [aux_sym_local_command_token1] = ACTIONS(3054),
    [aux_sym_local_forward_token1] = ACTIONS(3054),
    [aux_sym_log_level_token1] = ACTIONS(3054),
    [aux_sym_log_verbose_token1] = ACTIONS(3054),
    [aux_sym_macs_token1] = ACTIONS(3054),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3054),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3054),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3054),
    [aux_sym_password_authentication_token1] = ACTIONS(3054),
    [aux_sym_permit_local_command_token1] = ACTIONS(3054),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3054),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3054),
    [aux_sym_port_token1] = ACTIONS(3054),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3054),
    [aux_sym_protocol_token1] = ACTIONS(3054),
    [aux_sym_proxy_command_token1] = ACTIONS(3054),
    [aux_sym_proxy_jump_token1] = ACTIONS(3054),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3054),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3054),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3054),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3054),
    [aux_sym_rekey_limit_token1] = ACTIONS(3054),
    [aux_sym_remote_command_token1] = ACTIONS(3054),
    [aux_sym_remote_forward_token1] = ACTIONS(3054),
    [aux_sym_request_tty_token1] = ACTIONS(3054),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3054),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3054),
    [aux_sym_security_key_provider_token1] = ACTIONS(3054),
    [aux_sym_send_env_token1] = ACTIONS(3054),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3054),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3054),
    [aux_sym_session_type_token1] = ACTIONS(3054),
    [aux_sym_set_env_token1] = ACTIONS(3054),
    [aux_sym_stdin_null_token1] = ACTIONS(3054),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3054),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3054),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3054),
    [aux_sym_syslog_facility_token1] = ACTIONS(3054),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3054),
    [aux_sym_keep_alive_token1] = ACTIONS(3054),
    [aux_sym_tag_token1] = ACTIONS(3054),
    [aux_sym_tunnel_token1] = ACTIONS(3056),
    [aux_sym_tunnel_device_token1] = ACTIONS(3054),
    [aux_sym_update_host_keys_token1] = ACTIONS(3054),
    [aux_sym_use_keychain_token1] = ACTIONS(3054),
    [aux_sym_use_roaming_token1] = ACTIONS(3054),
    [aux_sym_user_token1] = ACTIONS(3056),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3054),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3054),
    [aux_sym_version_addendum_token1] = ACTIONS(3054),
    [aux_sym_visual_host_key_token1] = ACTIONS(3054),
    [aux_sym_xauth_location_token1] = ACTIONS(3054),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2100),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2102),
    [aux_sym_match_token1] = ACTIONS(2100),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2100),
    [aux_sym_address_family_token1] = ACTIONS(2100),
    [aux_sym_batch_mode_token1] = ACTIONS(2100),
    [aux_sym_bind_address_token1] = ACTIONS(2100),
    [aux_sym_bind_interface_token1] = ACTIONS(2100),
    [aux_sym_canonical_domains_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2100),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2100),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2100),
    [aux_sym_certificate_file_token1] = ACTIONS(2100),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2100),
    [aux_sym_channel_timeout_token1] = ACTIONS(2100),
    [aux_sym_check_host_ip_token1] = ACTIONS(2100),
    [aux_sym_ciphers_token1] = ACTIONS(2100),
    [aux_sym_cipher_token1] = ACTIONS(2102),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2100),
    [aux_sym_compression_token1] = ACTIONS(2100),
    [aux_sym_connection_attempts_token1] = ACTIONS(2100),
    [aux_sym_connect_timeout_token1] = ACTIONS(2100),
    [aux_sym_control_master_token1] = ACTIONS(2100),
    [aux_sym_control_path_token1] = ACTIONS(2100),
    [aux_sym_control_persist_token1] = ACTIONS(2100),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2100),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2100),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2100),
    [aux_sym_escape_char_token1] = ACTIONS(2100),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2100),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2100),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2100),
    [aux_sym_forward_agent_token1] = ACTIONS(2100),
    [aux_sym_forward_x11_token1] = ACTIONS(2102),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2100),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2100),
    [aux_sym_gateway_ports_token1] = ACTIONS(2100),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2100),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2100),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2100),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2100),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2100),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2100),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2100),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2100),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2100),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2100),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2100),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2100),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2100),
    [aux_sym_host_key_alias_token1] = ACTIONS(2100),
    [aux_sym_hostname_token1] = ACTIONS(2100),
    [aux_sym_identities_only_token1] = ACTIONS(2100),
    [aux_sym_identity_agent_token1] = ACTIONS(2100),
    [aux_sym_identity_file_token1] = ACTIONS(2100),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2100),
    [aux_sym_include_token1] = ACTIONS(2100),
    [aux_sym_ip_qos_token1] = ACTIONS(2100),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2100),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2100),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2100),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2100),
    [aux_sym_local_command_token1] = ACTIONS(2100),
    [aux_sym_local_forward_token1] = ACTIONS(2100),
    [aux_sym_log_level_token1] = ACTIONS(2100),
    [aux_sym_log_verbose_token1] = ACTIONS(2100),
    [aux_sym_macs_token1] = ACTIONS(2100),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2100),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2100),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2100),
    [aux_sym_password_authentication_token1] = ACTIONS(2100),
    [aux_sym_permit_local_command_token1] = ACTIONS(2100),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2100),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2100),
    [aux_sym_port_token1] = ACTIONS(2100),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2100),
    [aux_sym_protocol_token1] = ACTIONS(2100),
    [aux_sym_proxy_command_token1] = ACTIONS(2100),
    [aux_sym_proxy_jump_token1] = ACTIONS(2100),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2100),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2100),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2100),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2100),
    [aux_sym_rekey_limit_token1] = ACTIONS(2100),
    [aux_sym_remote_command_token1] = ACTIONS(2100),
    [aux_sym_remote_forward_token1] = ACTIONS(2100),
    [aux_sym_request_tty_token1] = ACTIONS(2100),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2100),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2100),
    [aux_sym_security_key_provider_token1] = ACTIONS(2100),
    [aux_sym_send_env_token1] = ACTIONS(2100),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2100),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2100),
    [aux_sym_session_type_token1] = ACTIONS(2100),
    [aux_sym_set_env_token1] = ACTIONS(2100),
    [aux_sym_stdin_null_token1] = ACTIONS(2100),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2100),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2100),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2100),
    [aux_sym_syslog_facility_token1] = ACTIONS(2100),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2100),
    [aux_sym_keep_alive_token1] = ACTIONS(2100),
    [aux_sym_tag_token1] = ACTIONS(2100),
    [aux_sym_tunnel_token1] = ACTIONS(2102),
    [aux_sym_tunnel_device_token1] = ACTIONS(2100),
    [aux_sym_update_host_keys_token1] = ACTIONS(2100),
    [aux_sym_use_keychain_token1] = ACTIONS(2100),
    [aux_sym_use_roaming_token1] = ACTIONS(2100),
    [aux_sym_user_token1] = ACTIONS(2102),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2100),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2100),
    [aux_sym_version_addendum_token1] = ACTIONS(2100),
    [aux_sym_visual_host_key_token1] = ACTIONS(2100),
    [aux_sym_xauth_location_token1] = ACTIONS(2100),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3062),
    [aux_sym_match_token1] = ACTIONS(3060),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3060),
    [aux_sym_address_family_token1] = ACTIONS(3060),
    [aux_sym_batch_mode_token1] = ACTIONS(3060),
    [aux_sym_bind_address_token1] = ACTIONS(3060),
    [aux_sym_bind_interface_token1] = ACTIONS(3060),
    [aux_sym_canonical_domains_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3060),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3060),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3060),
    [aux_sym_certificate_file_token1] = ACTIONS(3060),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3060),
    [aux_sym_channel_timeout_token1] = ACTIONS(3060),
    [aux_sym_check_host_ip_token1] = ACTIONS(3060),
    [aux_sym_ciphers_token1] = ACTIONS(3060),
    [aux_sym_cipher_token1] = ACTIONS(3062),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3060),
    [aux_sym_compression_token1] = ACTIONS(3060),
    [aux_sym_connection_attempts_token1] = ACTIONS(3060),
    [aux_sym_connect_timeout_token1] = ACTIONS(3060),
    [aux_sym_control_master_token1] = ACTIONS(3060),
    [aux_sym_control_path_token1] = ACTIONS(3060),
    [aux_sym_control_persist_token1] = ACTIONS(3060),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3060),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3060),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3060),
    [aux_sym_escape_char_token1] = ACTIONS(3060),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3060),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3060),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3060),
    [aux_sym_forward_agent_token1] = ACTIONS(3060),
    [aux_sym_forward_x11_token1] = ACTIONS(3062),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3060),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3060),
    [aux_sym_gateway_ports_token1] = ACTIONS(3060),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3060),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3060),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3060),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3060),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3060),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3060),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3060),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3060),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3060),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3060),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3060),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3060),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3060),
    [aux_sym_host_key_alias_token1] = ACTIONS(3060),
    [aux_sym_hostname_token1] = ACTIONS(3060),
    [aux_sym_identities_only_token1] = ACTIONS(3060),
    [aux_sym_identity_agent_token1] = ACTIONS(3060),
    [aux_sym_identity_file_token1] = ACTIONS(3060),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3060),
    [aux_sym_include_token1] = ACTIONS(3060),
    [aux_sym_ip_qos_token1] = ACTIONS(3060),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3060),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3060),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3060),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3060),
    [aux_sym_local_command_token1] = ACTIONS(3060),
    [aux_sym_local_forward_token1] = ACTIONS(3060),
    [aux_sym_log_level_token1] = ACTIONS(3060),
    [aux_sym_log_verbose_token1] = ACTIONS(3060),
    [aux_sym_macs_token1] = ACTIONS(3060),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3060),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3060),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3060),
    [aux_sym_password_authentication_token1] = ACTIONS(3060),
    [aux_sym_permit_local_command_token1] = ACTIONS(3060),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3060),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3060),
    [aux_sym_port_token1] = ACTIONS(3060),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3060),
    [aux_sym_protocol_token1] = ACTIONS(3060),
    [aux_sym_proxy_command_token1] = ACTIONS(3060),
    [aux_sym_proxy_jump_token1] = ACTIONS(3060),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3060),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3060),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3060),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3060),
    [aux_sym_rekey_limit_token1] = ACTIONS(3060),
    [aux_sym_remote_command_token1] = ACTIONS(3060),
    [aux_sym_remote_forward_token1] = ACTIONS(3060),
    [aux_sym_request_tty_token1] = ACTIONS(3060),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3060),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3060),
    [aux_sym_security_key_provider_token1] = ACTIONS(3060),
    [aux_sym_send_env_token1] = ACTIONS(3060),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3060),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3060),
    [aux_sym_session_type_token1] = ACTIONS(3060),
    [aux_sym_set_env_token1] = ACTIONS(3060),
    [aux_sym_stdin_null_token1] = ACTIONS(3060),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3060),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3060),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3060),
    [aux_sym_syslog_facility_token1] = ACTIONS(3060),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3060),
    [aux_sym_keep_alive_token1] = ACTIONS(3060),
    [aux_sym_tag_token1] = ACTIONS(3060),
    [aux_sym_tunnel_token1] = ACTIONS(3062),
    [aux_sym_tunnel_device_token1] = ACTIONS(3060),
    [aux_sym_update_host_keys_token1] = ACTIONS(3060),
    [aux_sym_use_keychain_token1] = ACTIONS(3060),
    [aux_sym_use_roaming_token1] = ACTIONS(3060),
    [aux_sym_user_token1] = ACTIONS(3062),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3060),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3060),
    [aux_sym_version_addendum_token1] = ACTIONS(3060),
    [aux_sym_visual_host_key_token1] = ACTIONS(3060),
    [aux_sym_xauth_location_token1] = ACTIONS(3060),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3068),
    [aux_sym_match_token1] = ACTIONS(3066),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3066),
    [aux_sym_address_family_token1] = ACTIONS(3066),
    [aux_sym_batch_mode_token1] = ACTIONS(3066),
    [aux_sym_bind_address_token1] = ACTIONS(3066),
    [aux_sym_bind_interface_token1] = ACTIONS(3066),
    [aux_sym_canonical_domains_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3066),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3066),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3066),
    [aux_sym_certificate_file_token1] = ACTIONS(3066),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3066),
    [aux_sym_channel_timeout_token1] = ACTIONS(3066),
    [aux_sym_check_host_ip_token1] = ACTIONS(3066),
    [aux_sym_ciphers_token1] = ACTIONS(3066),
    [aux_sym_cipher_token1] = ACTIONS(3068),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3066),
    [aux_sym_compression_token1] = ACTIONS(3066),
    [aux_sym_connection_attempts_token1] = ACTIONS(3066),
    [aux_sym_connect_timeout_token1] = ACTIONS(3066),
    [aux_sym_control_master_token1] = ACTIONS(3066),
    [aux_sym_control_path_token1] = ACTIONS(3066),
    [aux_sym_control_persist_token1] = ACTIONS(3066),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3066),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3066),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3066),
    [aux_sym_escape_char_token1] = ACTIONS(3066),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3066),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3066),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3066),
    [aux_sym_forward_agent_token1] = ACTIONS(3066),
    [aux_sym_forward_x11_token1] = ACTIONS(3068),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3066),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3066),
    [aux_sym_gateway_ports_token1] = ACTIONS(3066),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3066),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3066),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3066),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3066),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3066),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3066),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3066),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3066),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3066),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3066),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3066),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3066),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3066),
    [aux_sym_host_key_alias_token1] = ACTIONS(3066),
    [aux_sym_hostname_token1] = ACTIONS(3066),
    [aux_sym_identities_only_token1] = ACTIONS(3066),
    [aux_sym_identity_agent_token1] = ACTIONS(3066),
    [aux_sym_identity_file_token1] = ACTIONS(3066),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3066),
    [aux_sym_include_token1] = ACTIONS(3066),
    [aux_sym_ip_qos_token1] = ACTIONS(3066),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3066),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3066),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3066),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3066),
    [aux_sym_local_command_token1] = ACTIONS(3066),
    [aux_sym_local_forward_token1] = ACTIONS(3066),
    [aux_sym_log_level_token1] = ACTIONS(3066),
    [aux_sym_log_verbose_token1] = ACTIONS(3066),
    [aux_sym_macs_token1] = ACTIONS(3066),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3066),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3066),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3066),
    [aux_sym_password_authentication_token1] = ACTIONS(3066),
    [aux_sym_permit_local_command_token1] = ACTIONS(3066),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3066),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3066),
    [aux_sym_port_token1] = ACTIONS(3066),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3066),
    [aux_sym_protocol_token1] = ACTIONS(3066),
    [aux_sym_proxy_command_token1] = ACTIONS(3066),
    [aux_sym_proxy_jump_token1] = ACTIONS(3066),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3066),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3066),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3066),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3066),
    [aux_sym_rekey_limit_token1] = ACTIONS(3066),
    [aux_sym_remote_command_token1] = ACTIONS(3066),
    [aux_sym_remote_forward_token1] = ACTIONS(3066),
    [aux_sym_request_tty_token1] = ACTIONS(3066),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3066),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3066),
    [aux_sym_security_key_provider_token1] = ACTIONS(3066),
    [aux_sym_send_env_token1] = ACTIONS(3066),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3066),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3066),
    [aux_sym_session_type_token1] = ACTIONS(3066),
    [aux_sym_set_env_token1] = ACTIONS(3066),
    [aux_sym_stdin_null_token1] = ACTIONS(3066),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3066),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3066),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3066),
    [aux_sym_syslog_facility_token1] = ACTIONS(3066),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3066),
    [aux_sym_keep_alive_token1] = ACTIONS(3066),
    [aux_sym_tag_token1] = ACTIONS(3066),
    [aux_sym_tunnel_token1] = ACTIONS(3068),
    [aux_sym_tunnel_device_token1] = ACTIONS(3066),
    [aux_sym_update_host_keys_token1] = ACTIONS(3066),
    [aux_sym_use_keychain_token1] = ACTIONS(3066),
    [aux_sym_use_roaming_token1] = ACTIONS(3066),
    [aux_sym_user_token1] = ACTIONS(3068),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3066),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3066),
    [aux_sym_version_addendum_token1] = ACTIONS(3066),
    [aux_sym_visual_host_key_token1] = ACTIONS(3066),
    [aux_sym_xauth_location_token1] = ACTIONS(3066),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2108),
    [aux_sym_match_token1] = ACTIONS(2106),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2106),
    [aux_sym_address_family_token1] = ACTIONS(2106),
    [aux_sym_batch_mode_token1] = ACTIONS(2106),
    [aux_sym_bind_address_token1] = ACTIONS(2106),
    [aux_sym_bind_interface_token1] = ACTIONS(2106),
    [aux_sym_canonical_domains_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2106),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2106),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2106),
    [aux_sym_certificate_file_token1] = ACTIONS(2106),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2106),
    [aux_sym_channel_timeout_token1] = ACTIONS(2106),
    [aux_sym_check_host_ip_token1] = ACTIONS(2106),
    [aux_sym_ciphers_token1] = ACTIONS(2106),
    [aux_sym_cipher_token1] = ACTIONS(2108),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2106),
    [aux_sym_compression_token1] = ACTIONS(2106),
    [aux_sym_connection_attempts_token1] = ACTIONS(2106),
    [aux_sym_connect_timeout_token1] = ACTIONS(2106),
    [aux_sym_control_master_token1] = ACTIONS(2106),
    [aux_sym_control_path_token1] = ACTIONS(2106),
    [aux_sym_control_persist_token1] = ACTIONS(2106),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2106),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2106),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2106),
    [aux_sym_escape_char_token1] = ACTIONS(2106),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2106),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2106),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2106),
    [aux_sym_forward_agent_token1] = ACTIONS(2106),
    [aux_sym_forward_x11_token1] = ACTIONS(2108),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2106),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2106),
    [aux_sym_gateway_ports_token1] = ACTIONS(2106),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2106),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2106),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2106),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2106),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2106),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2106),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2106),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2106),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2106),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2106),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2106),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2106),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2106),
    [aux_sym_host_key_alias_token1] = ACTIONS(2106),
    [aux_sym_hostname_token1] = ACTIONS(2106),
    [aux_sym_identities_only_token1] = ACTIONS(2106),
    [aux_sym_identity_agent_token1] = ACTIONS(2106),
    [aux_sym_identity_file_token1] = ACTIONS(2106),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2106),
    [aux_sym_include_token1] = ACTIONS(2106),
    [aux_sym_ip_qos_token1] = ACTIONS(2106),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2106),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2106),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2106),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2106),
    [aux_sym_local_command_token1] = ACTIONS(2106),
    [aux_sym_local_forward_token1] = ACTIONS(2106),
    [aux_sym_log_level_token1] = ACTIONS(2106),
    [aux_sym_log_verbose_token1] = ACTIONS(2106),
    [aux_sym_macs_token1] = ACTIONS(2106),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2106),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2106),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2106),
    [aux_sym_password_authentication_token1] = ACTIONS(2106),
    [aux_sym_permit_local_command_token1] = ACTIONS(2106),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2106),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2106),
    [aux_sym_port_token1] = ACTIONS(2106),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2106),
    [aux_sym_protocol_token1] = ACTIONS(2106),
    [aux_sym_proxy_command_token1] = ACTIONS(2106),
    [aux_sym_proxy_jump_token1] = ACTIONS(2106),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2106),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2106),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2106),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2106),
    [aux_sym_rekey_limit_token1] = ACTIONS(2106),
    [aux_sym_remote_command_token1] = ACTIONS(2106),
    [aux_sym_remote_forward_token1] = ACTIONS(2106),
    [aux_sym_request_tty_token1] = ACTIONS(2106),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2106),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2106),
    [aux_sym_security_key_provider_token1] = ACTIONS(2106),
    [aux_sym_send_env_token1] = ACTIONS(2106),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2106),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2106),
    [aux_sym_session_type_token1] = ACTIONS(2106),
    [aux_sym_set_env_token1] = ACTIONS(2106),
    [aux_sym_stdin_null_token1] = ACTIONS(2106),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2106),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2106),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2106),
    [aux_sym_syslog_facility_token1] = ACTIONS(2106),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2106),
    [aux_sym_keep_alive_token1] = ACTIONS(2106),
    [aux_sym_tag_token1] = ACTIONS(2106),
    [aux_sym_tunnel_token1] = ACTIONS(2108),
    [aux_sym_tunnel_device_token1] = ACTIONS(2106),
    [aux_sym_update_host_keys_token1] = ACTIONS(2106),
    [aux_sym_use_keychain_token1] = ACTIONS(2106),
    [aux_sym_use_roaming_token1] = ACTIONS(2106),
    [aux_sym_user_token1] = ACTIONS(2108),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2106),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2106),
    [aux_sym_version_addendum_token1] = ACTIONS(2106),
    [aux_sym_visual_host_key_token1] = ACTIONS(2106),
    [aux_sym_xauth_location_token1] = ACTIONS(2106),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3074),
    [aux_sym_match_token1] = ACTIONS(3072),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3072),
    [aux_sym_address_family_token1] = ACTIONS(3072),
    [aux_sym_batch_mode_token1] = ACTIONS(3072),
    [aux_sym_bind_address_token1] = ACTIONS(3072),
    [aux_sym_bind_interface_token1] = ACTIONS(3072),
    [aux_sym_canonical_domains_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3072),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3072),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3072),
    [aux_sym_certificate_file_token1] = ACTIONS(3072),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3072),
    [aux_sym_channel_timeout_token1] = ACTIONS(3072),
    [aux_sym_check_host_ip_token1] = ACTIONS(3072),
    [aux_sym_ciphers_token1] = ACTIONS(3072),
    [aux_sym_cipher_token1] = ACTIONS(3074),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3072),
    [aux_sym_compression_token1] = ACTIONS(3072),
    [aux_sym_connection_attempts_token1] = ACTIONS(3072),
    [aux_sym_connect_timeout_token1] = ACTIONS(3072),
    [aux_sym_control_master_token1] = ACTIONS(3072),
    [aux_sym_control_path_token1] = ACTIONS(3072),
    [aux_sym_control_persist_token1] = ACTIONS(3072),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3072),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3072),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3072),
    [aux_sym_escape_char_token1] = ACTIONS(3072),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3072),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3072),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3072),
    [aux_sym_forward_agent_token1] = ACTIONS(3072),
    [aux_sym_forward_x11_token1] = ACTIONS(3074),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3072),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3072),
    [aux_sym_gateway_ports_token1] = ACTIONS(3072),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3072),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3072),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3072),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3072),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3072),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3072),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3072),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3072),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3072),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3072),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3072),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3072),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3072),
    [aux_sym_host_key_alias_token1] = ACTIONS(3072),
    [aux_sym_hostname_token1] = ACTIONS(3072),
    [aux_sym_identities_only_token1] = ACTIONS(3072),
    [aux_sym_identity_agent_token1] = ACTIONS(3072),
    [aux_sym_identity_file_token1] = ACTIONS(3072),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3072),
    [aux_sym_include_token1] = ACTIONS(3072),
    [aux_sym_ip_qos_token1] = ACTIONS(3072),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3072),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3072),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3072),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3072),
    [aux_sym_local_command_token1] = ACTIONS(3072),
    [aux_sym_local_forward_token1] = ACTIONS(3072),
    [aux_sym_log_level_token1] = ACTIONS(3072),
    [aux_sym_log_verbose_token1] = ACTIONS(3072),
    [aux_sym_macs_token1] = ACTIONS(3072),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3072),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3072),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3072),
    [aux_sym_password_authentication_token1] = ACTIONS(3072),
    [aux_sym_permit_local_command_token1] = ACTIONS(3072),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3072),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3072),
    [aux_sym_port_token1] = ACTIONS(3072),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3072),
    [aux_sym_protocol_token1] = ACTIONS(3072),
    [aux_sym_proxy_command_token1] = ACTIONS(3072),
    [aux_sym_proxy_jump_token1] = ACTIONS(3072),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3072),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3072),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3072),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3072),
    [aux_sym_rekey_limit_token1] = ACTIONS(3072),
    [aux_sym_remote_command_token1] = ACTIONS(3072),
    [aux_sym_remote_forward_token1] = ACTIONS(3072),
    [aux_sym_request_tty_token1] = ACTIONS(3072),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3072),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3072),
    [aux_sym_security_key_provider_token1] = ACTIONS(3072),
    [aux_sym_send_env_token1] = ACTIONS(3072),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3072),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3072),
    [aux_sym_session_type_token1] = ACTIONS(3072),
    [aux_sym_set_env_token1] = ACTIONS(3072),
    [aux_sym_stdin_null_token1] = ACTIONS(3072),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3072),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3072),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3072),
    [aux_sym_syslog_facility_token1] = ACTIONS(3072),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3072),
    [aux_sym_keep_alive_token1] = ACTIONS(3072),
    [aux_sym_tag_token1] = ACTIONS(3072),
    [aux_sym_tunnel_token1] = ACTIONS(3074),
    [aux_sym_tunnel_device_token1] = ACTIONS(3072),
    [aux_sym_update_host_keys_token1] = ACTIONS(3072),
    [aux_sym_use_keychain_token1] = ACTIONS(3072),
    [aux_sym_use_roaming_token1] = ACTIONS(3072),
    [aux_sym_user_token1] = ACTIONS(3074),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3072),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3072),
    [aux_sym_version_addendum_token1] = ACTIONS(3072),
    [aux_sym_visual_host_key_token1] = ACTIONS(3072),
    [aux_sym_xauth_location_token1] = ACTIONS(3072),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3080),
    [aux_sym_match_token1] = ACTIONS(3078),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3078),
    [aux_sym_address_family_token1] = ACTIONS(3078),
    [aux_sym_batch_mode_token1] = ACTIONS(3078),
    [aux_sym_bind_address_token1] = ACTIONS(3078),
    [aux_sym_bind_interface_token1] = ACTIONS(3078),
    [aux_sym_canonical_domains_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3078),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3078),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3078),
    [aux_sym_certificate_file_token1] = ACTIONS(3078),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3078),
    [aux_sym_channel_timeout_token1] = ACTIONS(3078),
    [aux_sym_check_host_ip_token1] = ACTIONS(3078),
    [aux_sym_ciphers_token1] = ACTIONS(3078),
    [aux_sym_cipher_token1] = ACTIONS(3080),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3078),
    [aux_sym_compression_token1] = ACTIONS(3078),
    [aux_sym_connection_attempts_token1] = ACTIONS(3078),
    [aux_sym_connect_timeout_token1] = ACTIONS(3078),
    [aux_sym_control_master_token1] = ACTIONS(3078),
    [aux_sym_control_path_token1] = ACTIONS(3078),
    [aux_sym_control_persist_token1] = ACTIONS(3078),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3078),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3078),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3078),
    [aux_sym_escape_char_token1] = ACTIONS(3078),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3078),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3078),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3078),
    [aux_sym_forward_agent_token1] = ACTIONS(3078),
    [aux_sym_forward_x11_token1] = ACTIONS(3080),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3078),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3078),
    [aux_sym_gateway_ports_token1] = ACTIONS(3078),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3078),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3078),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3078),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3078),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3078),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3078),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3078),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3078),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3078),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3078),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3078),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3078),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3078),
    [aux_sym_host_key_alias_token1] = ACTIONS(3078),
    [aux_sym_hostname_token1] = ACTIONS(3078),
    [aux_sym_identities_only_token1] = ACTIONS(3078),
    [aux_sym_identity_agent_token1] = ACTIONS(3078),
    [aux_sym_identity_file_token1] = ACTIONS(3078),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3078),
    [aux_sym_include_token1] = ACTIONS(3078),
    [aux_sym_ip_qos_token1] = ACTIONS(3078),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3078),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3078),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3078),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3078),
    [aux_sym_local_command_token1] = ACTIONS(3078),
    [aux_sym_local_forward_token1] = ACTIONS(3078),
    [aux_sym_log_level_token1] = ACTIONS(3078),
    [aux_sym_log_verbose_token1] = ACTIONS(3078),
    [aux_sym_macs_token1] = ACTIONS(3078),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3078),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3078),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3078),
    [aux_sym_password_authentication_token1] = ACTIONS(3078),
    [aux_sym_permit_local_command_token1] = ACTIONS(3078),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3078),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3078),
    [aux_sym_port_token1] = ACTIONS(3078),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3078),
    [aux_sym_protocol_token1] = ACTIONS(3078),
    [aux_sym_proxy_command_token1] = ACTIONS(3078),
    [aux_sym_proxy_jump_token1] = ACTIONS(3078),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3078),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3078),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3078),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3078),
    [aux_sym_rekey_limit_token1] = ACTIONS(3078),
    [aux_sym_remote_command_token1] = ACTIONS(3078),
    [aux_sym_remote_forward_token1] = ACTIONS(3078),
    [aux_sym_request_tty_token1] = ACTIONS(3078),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3078),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3078),
    [aux_sym_security_key_provider_token1] = ACTIONS(3078),
    [aux_sym_send_env_token1] = ACTIONS(3078),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3078),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3078),
    [aux_sym_session_type_token1] = ACTIONS(3078),
    [aux_sym_set_env_token1] = ACTIONS(3078),
    [aux_sym_stdin_null_token1] = ACTIONS(3078),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3078),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3078),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3078),
    [aux_sym_syslog_facility_token1] = ACTIONS(3078),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3078),
    [aux_sym_keep_alive_token1] = ACTIONS(3078),
    [aux_sym_tag_token1] = ACTIONS(3078),
    [aux_sym_tunnel_token1] = ACTIONS(3080),
    [aux_sym_tunnel_device_token1] = ACTIONS(3078),
    [aux_sym_update_host_keys_token1] = ACTIONS(3078),
    [aux_sym_use_keychain_token1] = ACTIONS(3078),
    [aux_sym_use_roaming_token1] = ACTIONS(3078),
    [aux_sym_user_token1] = ACTIONS(3080),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3078),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3078),
    [aux_sym_version_addendum_token1] = ACTIONS(3078),
    [aux_sym_visual_host_key_token1] = ACTIONS(3078),
    [aux_sym_xauth_location_token1] = ACTIONS(3078),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3086),
    [aux_sym_match_token1] = ACTIONS(3084),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3084),
    [aux_sym_address_family_token1] = ACTIONS(3084),
    [aux_sym_batch_mode_token1] = ACTIONS(3084),
    [aux_sym_bind_address_token1] = ACTIONS(3084),
    [aux_sym_bind_interface_token1] = ACTIONS(3084),
    [aux_sym_canonical_domains_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3084),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3084),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3084),
    [aux_sym_certificate_file_token1] = ACTIONS(3084),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3084),
    [aux_sym_channel_timeout_token1] = ACTIONS(3084),
    [aux_sym_check_host_ip_token1] = ACTIONS(3084),
    [aux_sym_ciphers_token1] = ACTIONS(3084),
    [aux_sym_cipher_token1] = ACTIONS(3086),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3084),
    [aux_sym_compression_token1] = ACTIONS(3084),
    [aux_sym_connection_attempts_token1] = ACTIONS(3084),
    [aux_sym_connect_timeout_token1] = ACTIONS(3084),
    [aux_sym_control_master_token1] = ACTIONS(3084),
    [aux_sym_control_path_token1] = ACTIONS(3084),
    [aux_sym_control_persist_token1] = ACTIONS(3084),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3084),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3084),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3084),
    [aux_sym_escape_char_token1] = ACTIONS(3084),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3084),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3084),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3084),
    [aux_sym_forward_agent_token1] = ACTIONS(3084),
    [aux_sym_forward_x11_token1] = ACTIONS(3086),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3084),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3084),
    [aux_sym_gateway_ports_token1] = ACTIONS(3084),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3084),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3084),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3084),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3084),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3084),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3084),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3084),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3084),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3084),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3084),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3084),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3084),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3084),
    [aux_sym_host_key_alias_token1] = ACTIONS(3084),
    [aux_sym_hostname_token1] = ACTIONS(3084),
    [aux_sym_identities_only_token1] = ACTIONS(3084),
    [aux_sym_identity_agent_token1] = ACTIONS(3084),
    [aux_sym_identity_file_token1] = ACTIONS(3084),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3084),
    [aux_sym_include_token1] = ACTIONS(3084),
    [aux_sym_ip_qos_token1] = ACTIONS(3084),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3084),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3084),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3084),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3084),
    [aux_sym_local_command_token1] = ACTIONS(3084),
    [aux_sym_local_forward_token1] = ACTIONS(3084),
    [aux_sym_log_level_token1] = ACTIONS(3084),
    [aux_sym_log_verbose_token1] = ACTIONS(3084),
    [aux_sym_macs_token1] = ACTIONS(3084),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3084),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3084),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3084),
    [aux_sym_password_authentication_token1] = ACTIONS(3084),
    [aux_sym_permit_local_command_token1] = ACTIONS(3084),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3084),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3084),
    [aux_sym_port_token1] = ACTIONS(3084),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3084),
    [aux_sym_protocol_token1] = ACTIONS(3084),
    [aux_sym_proxy_command_token1] = ACTIONS(3084),
    [aux_sym_proxy_jump_token1] = ACTIONS(3084),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3084),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3084),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3084),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3084),
    [aux_sym_rekey_limit_token1] = ACTIONS(3084),
    [aux_sym_remote_command_token1] = ACTIONS(3084),
    [aux_sym_remote_forward_token1] = ACTIONS(3084),
    [aux_sym_request_tty_token1] = ACTIONS(3084),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3084),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3084),
    [aux_sym_security_key_provider_token1] = ACTIONS(3084),
    [aux_sym_send_env_token1] = ACTIONS(3084),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3084),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3084),
    [aux_sym_session_type_token1] = ACTIONS(3084),
    [aux_sym_set_env_token1] = ACTIONS(3084),
    [aux_sym_stdin_null_token1] = ACTIONS(3084),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3084),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3084),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3084),
    [aux_sym_syslog_facility_token1] = ACTIONS(3084),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3084),
    [aux_sym_keep_alive_token1] = ACTIONS(3084),
    [aux_sym_tag_token1] = ACTIONS(3084),
    [aux_sym_tunnel_token1] = ACTIONS(3086),
    [aux_sym_tunnel_device_token1] = ACTIONS(3084),
    [aux_sym_update_host_keys_token1] = ACTIONS(3084),
    [aux_sym_use_keychain_token1] = ACTIONS(3084),
    [aux_sym_use_roaming_token1] = ACTIONS(3084),
    [aux_sym_user_token1] = ACTIONS(3086),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3084),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3084),
    [aux_sym_version_addendum_token1] = ACTIONS(3084),
    [aux_sym_visual_host_key_token1] = ACTIONS(3084),
    [aux_sym_xauth_location_token1] = ACTIONS(3084),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2112),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2114),
    [aux_sym_match_token1] = ACTIONS(2112),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2112),
    [aux_sym_address_family_token1] = ACTIONS(2112),
    [aux_sym_batch_mode_token1] = ACTIONS(2112),
    [aux_sym_bind_address_token1] = ACTIONS(2112),
    [aux_sym_bind_interface_token1] = ACTIONS(2112),
    [aux_sym_canonical_domains_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2112),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2112),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2112),
    [aux_sym_certificate_file_token1] = ACTIONS(2112),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2112),
    [aux_sym_channel_timeout_token1] = ACTIONS(2112),
    [aux_sym_check_host_ip_token1] = ACTIONS(2112),
    [aux_sym_ciphers_token1] = ACTIONS(2112),
    [aux_sym_cipher_token1] = ACTIONS(2114),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2112),
    [aux_sym_compression_token1] = ACTIONS(2112),
    [aux_sym_connection_attempts_token1] = ACTIONS(2112),
    [aux_sym_connect_timeout_token1] = ACTIONS(2112),
    [aux_sym_control_master_token1] = ACTIONS(2112),
    [aux_sym_control_path_token1] = ACTIONS(2112),
    [aux_sym_control_persist_token1] = ACTIONS(2112),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2112),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2112),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2112),
    [aux_sym_escape_char_token1] = ACTIONS(2112),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2112),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2112),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2112),
    [aux_sym_forward_agent_token1] = ACTIONS(2112),
    [aux_sym_forward_x11_token1] = ACTIONS(2114),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2112),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2112),
    [aux_sym_gateway_ports_token1] = ACTIONS(2112),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2112),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2112),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2112),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2112),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2112),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2112),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2112),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2112),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2112),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2112),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2112),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2112),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2112),
    [aux_sym_host_key_alias_token1] = ACTIONS(2112),
    [aux_sym_hostname_token1] = ACTIONS(2112),
    [aux_sym_identities_only_token1] = ACTIONS(2112),
    [aux_sym_identity_agent_token1] = ACTIONS(2112),
    [aux_sym_identity_file_token1] = ACTIONS(2112),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2112),
    [aux_sym_include_token1] = ACTIONS(2112),
    [aux_sym_ip_qos_token1] = ACTIONS(2112),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2112),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2112),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2112),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2112),
    [aux_sym_local_command_token1] = ACTIONS(2112),
    [aux_sym_local_forward_token1] = ACTIONS(2112),
    [aux_sym_log_level_token1] = ACTIONS(2112),
    [aux_sym_log_verbose_token1] = ACTIONS(2112),
    [aux_sym_macs_token1] = ACTIONS(2112),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2112),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2112),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2112),
    [aux_sym_password_authentication_token1] = ACTIONS(2112),
    [aux_sym_permit_local_command_token1] = ACTIONS(2112),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2112),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2112),
    [aux_sym_port_token1] = ACTIONS(2112),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2112),
    [aux_sym_protocol_token1] = ACTIONS(2112),
    [aux_sym_proxy_command_token1] = ACTIONS(2112),
    [aux_sym_proxy_jump_token1] = ACTIONS(2112),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2112),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2112),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2112),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2112),
    [aux_sym_rekey_limit_token1] = ACTIONS(2112),
    [aux_sym_remote_command_token1] = ACTIONS(2112),
    [aux_sym_remote_forward_token1] = ACTIONS(2112),
    [aux_sym_request_tty_token1] = ACTIONS(2112),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2112),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2112),
    [aux_sym_security_key_provider_token1] = ACTIONS(2112),
    [aux_sym_send_env_token1] = ACTIONS(2112),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2112),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2112),
    [aux_sym_session_type_token1] = ACTIONS(2112),
    [aux_sym_set_env_token1] = ACTIONS(2112),
    [aux_sym_stdin_null_token1] = ACTIONS(2112),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2112),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2112),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2112),
    [aux_sym_syslog_facility_token1] = ACTIONS(2112),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2112),
    [aux_sym_keep_alive_token1] = ACTIONS(2112),
    [aux_sym_tag_token1] = ACTIONS(2112),
    [aux_sym_tunnel_token1] = ACTIONS(2114),
    [aux_sym_tunnel_device_token1] = ACTIONS(2112),
    [aux_sym_update_host_keys_token1] = ACTIONS(2112),
    [aux_sym_use_keychain_token1] = ACTIONS(2112),
    [aux_sym_use_roaming_token1] = ACTIONS(2112),
    [aux_sym_user_token1] = ACTIONS(2114),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2112),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2112),
    [aux_sym_version_addendum_token1] = ACTIONS(2112),
    [aux_sym_visual_host_key_token1] = ACTIONS(2112),
    [aux_sym_xauth_location_token1] = ACTIONS(2112),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3092),
    [aux_sym_match_token1] = ACTIONS(3090),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3090),
    [aux_sym_address_family_token1] = ACTIONS(3090),
    [aux_sym_batch_mode_token1] = ACTIONS(3090),
    [aux_sym_bind_address_token1] = ACTIONS(3090),
    [aux_sym_bind_interface_token1] = ACTIONS(3090),
    [aux_sym_canonical_domains_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3090),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3090),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3090),
    [aux_sym_certificate_file_token1] = ACTIONS(3090),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3090),
    [aux_sym_channel_timeout_token1] = ACTIONS(3090),
    [aux_sym_check_host_ip_token1] = ACTIONS(3090),
    [aux_sym_ciphers_token1] = ACTIONS(3090),
    [aux_sym_cipher_token1] = ACTIONS(3092),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3090),
    [aux_sym_compression_token1] = ACTIONS(3090),
    [aux_sym_connection_attempts_token1] = ACTIONS(3090),
    [aux_sym_connect_timeout_token1] = ACTIONS(3090),
    [aux_sym_control_master_token1] = ACTIONS(3090),
    [aux_sym_control_path_token1] = ACTIONS(3090),
    [aux_sym_control_persist_token1] = ACTIONS(3090),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3090),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3090),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3090),
    [aux_sym_escape_char_token1] = ACTIONS(3090),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3090),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3090),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3090),
    [aux_sym_forward_agent_token1] = ACTIONS(3090),
    [aux_sym_forward_x11_token1] = ACTIONS(3092),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3090),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3090),
    [aux_sym_gateway_ports_token1] = ACTIONS(3090),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3090),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3090),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3090),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3090),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3090),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3090),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3090),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3090),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3090),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3090),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3090),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3090),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3090),
    [aux_sym_host_key_alias_token1] = ACTIONS(3090),
    [aux_sym_hostname_token1] = ACTIONS(3090),
    [aux_sym_identities_only_token1] = ACTIONS(3090),
    [aux_sym_identity_agent_token1] = ACTIONS(3090),
    [aux_sym_identity_file_token1] = ACTIONS(3090),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3090),
    [aux_sym_include_token1] = ACTIONS(3090),
    [aux_sym_ip_qos_token1] = ACTIONS(3090),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3090),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3090),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3090),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3090),
    [aux_sym_local_command_token1] = ACTIONS(3090),
    [aux_sym_local_forward_token1] = ACTIONS(3090),
    [aux_sym_log_level_token1] = ACTIONS(3090),
    [aux_sym_log_verbose_token1] = ACTIONS(3090),
    [aux_sym_macs_token1] = ACTIONS(3090),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3090),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3090),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3090),
    [aux_sym_password_authentication_token1] = ACTIONS(3090),
    [aux_sym_permit_local_command_token1] = ACTIONS(3090),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3090),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3090),
    [aux_sym_port_token1] = ACTIONS(3090),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3090),
    [aux_sym_protocol_token1] = ACTIONS(3090),
    [aux_sym_proxy_command_token1] = ACTIONS(3090),
    [aux_sym_proxy_jump_token1] = ACTIONS(3090),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3090),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3090),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3090),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3090),
    [aux_sym_rekey_limit_token1] = ACTIONS(3090),
    [aux_sym_remote_command_token1] = ACTIONS(3090),
    [aux_sym_remote_forward_token1] = ACTIONS(3090),
    [aux_sym_request_tty_token1] = ACTIONS(3090),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3090),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3090),
    [aux_sym_security_key_provider_token1] = ACTIONS(3090),
    [aux_sym_send_env_token1] = ACTIONS(3090),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3090),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3090),
    [aux_sym_session_type_token1] = ACTIONS(3090),
    [aux_sym_set_env_token1] = ACTIONS(3090),
    [aux_sym_stdin_null_token1] = ACTIONS(3090),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3090),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3090),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3090),
    [aux_sym_syslog_facility_token1] = ACTIONS(3090),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3090),
    [aux_sym_keep_alive_token1] = ACTIONS(3090),
    [aux_sym_tag_token1] = ACTIONS(3090),
    [aux_sym_tunnel_token1] = ACTIONS(3092),
    [aux_sym_tunnel_device_token1] = ACTIONS(3090),
    [aux_sym_update_host_keys_token1] = ACTIONS(3090),
    [aux_sym_use_keychain_token1] = ACTIONS(3090),
    [aux_sym_use_roaming_token1] = ACTIONS(3090),
    [aux_sym_user_token1] = ACTIONS(3092),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3090),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3090),
    [aux_sym_version_addendum_token1] = ACTIONS(3090),
    [aux_sym_visual_host_key_token1] = ACTIONS(3090),
    [aux_sym_xauth_location_token1] = ACTIONS(3090),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3098),
    [aux_sym_match_token1] = ACTIONS(3096),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3096),
    [aux_sym_address_family_token1] = ACTIONS(3096),
    [aux_sym_batch_mode_token1] = ACTIONS(3096),
    [aux_sym_bind_address_token1] = ACTIONS(3096),
    [aux_sym_bind_interface_token1] = ACTIONS(3096),
    [aux_sym_canonical_domains_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3096),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3096),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3096),
    [aux_sym_certificate_file_token1] = ACTIONS(3096),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3096),
    [aux_sym_channel_timeout_token1] = ACTIONS(3096),
    [aux_sym_check_host_ip_token1] = ACTIONS(3096),
    [aux_sym_ciphers_token1] = ACTIONS(3096),
    [aux_sym_cipher_token1] = ACTIONS(3098),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3096),
    [aux_sym_compression_token1] = ACTIONS(3096),
    [aux_sym_connection_attempts_token1] = ACTIONS(3096),
    [aux_sym_connect_timeout_token1] = ACTIONS(3096),
    [aux_sym_control_master_token1] = ACTIONS(3096),
    [aux_sym_control_path_token1] = ACTIONS(3096),
    [aux_sym_control_persist_token1] = ACTIONS(3096),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3096),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3096),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3096),
    [aux_sym_escape_char_token1] = ACTIONS(3096),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3096),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3096),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3096),
    [aux_sym_forward_agent_token1] = ACTIONS(3096),
    [aux_sym_forward_x11_token1] = ACTIONS(3098),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3096),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3096),
    [aux_sym_gateway_ports_token1] = ACTIONS(3096),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3096),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3096),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3096),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3096),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3096),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3096),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3096),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3096),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3096),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3096),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3096),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3096),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3096),
    [aux_sym_host_key_alias_token1] = ACTIONS(3096),
    [aux_sym_hostname_token1] = ACTIONS(3096),
    [aux_sym_identities_only_token1] = ACTIONS(3096),
    [aux_sym_identity_agent_token1] = ACTIONS(3096),
    [aux_sym_identity_file_token1] = ACTIONS(3096),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3096),
    [aux_sym_include_token1] = ACTIONS(3096),
    [aux_sym_ip_qos_token1] = ACTIONS(3096),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3096),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3096),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3096),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3096),
    [aux_sym_local_command_token1] = ACTIONS(3096),
    [aux_sym_local_forward_token1] = ACTIONS(3096),
    [aux_sym_log_level_token1] = ACTIONS(3096),
    [aux_sym_log_verbose_token1] = ACTIONS(3096),
    [aux_sym_macs_token1] = ACTIONS(3096),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3096),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3096),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3096),
    [aux_sym_password_authentication_token1] = ACTIONS(3096),
    [aux_sym_permit_local_command_token1] = ACTIONS(3096),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3096),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3096),
    [aux_sym_port_token1] = ACTIONS(3096),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3096),
    [aux_sym_protocol_token1] = ACTIONS(3096),
    [aux_sym_proxy_command_token1] = ACTIONS(3096),
    [aux_sym_proxy_jump_token1] = ACTIONS(3096),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3096),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3096),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3096),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3096),
    [aux_sym_rekey_limit_token1] = ACTIONS(3096),
    [aux_sym_remote_command_token1] = ACTIONS(3096),
    [aux_sym_remote_forward_token1] = ACTIONS(3096),
    [aux_sym_request_tty_token1] = ACTIONS(3096),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3096),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3096),
    [aux_sym_security_key_provider_token1] = ACTIONS(3096),
    [aux_sym_send_env_token1] = ACTIONS(3096),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3096),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3096),
    [aux_sym_session_type_token1] = ACTIONS(3096),
    [aux_sym_set_env_token1] = ACTIONS(3096),
    [aux_sym_stdin_null_token1] = ACTIONS(3096),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3096),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3096),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3096),
    [aux_sym_syslog_facility_token1] = ACTIONS(3096),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3096),
    [aux_sym_keep_alive_token1] = ACTIONS(3096),
    [aux_sym_tag_token1] = ACTIONS(3096),
    [aux_sym_tunnel_token1] = ACTIONS(3098),
    [aux_sym_tunnel_device_token1] = ACTIONS(3096),
    [aux_sym_update_host_keys_token1] = ACTIONS(3096),
    [aux_sym_use_keychain_token1] = ACTIONS(3096),
    [aux_sym_use_roaming_token1] = ACTIONS(3096),
    [aux_sym_user_token1] = ACTIONS(3098),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3096),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3096),
    [aux_sym_version_addendum_token1] = ACTIONS(3096),
    [aux_sym_visual_host_key_token1] = ACTIONS(3096),
    [aux_sym_xauth_location_token1] = ACTIONS(3096),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2120),
    [aux_sym_match_token1] = ACTIONS(2118),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2118),
    [aux_sym_address_family_token1] = ACTIONS(2118),
    [aux_sym_batch_mode_token1] = ACTIONS(2118),
    [aux_sym_bind_address_token1] = ACTIONS(2118),
    [aux_sym_bind_interface_token1] = ACTIONS(2118),
    [aux_sym_canonical_domains_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2118),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2118),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2118),
    [aux_sym_certificate_file_token1] = ACTIONS(2118),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2118),
    [aux_sym_channel_timeout_token1] = ACTIONS(2118),
    [aux_sym_check_host_ip_token1] = ACTIONS(2118),
    [aux_sym_ciphers_token1] = ACTIONS(2118),
    [aux_sym_cipher_token1] = ACTIONS(2120),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2118),
    [aux_sym_compression_token1] = ACTIONS(2118),
    [aux_sym_connection_attempts_token1] = ACTIONS(2118),
    [aux_sym_connect_timeout_token1] = ACTIONS(2118),
    [aux_sym_control_master_token1] = ACTIONS(2118),
    [aux_sym_control_path_token1] = ACTIONS(2118),
    [aux_sym_control_persist_token1] = ACTIONS(2118),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2118),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2118),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2118),
    [aux_sym_escape_char_token1] = ACTIONS(2118),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2118),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2118),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2118),
    [aux_sym_forward_agent_token1] = ACTIONS(2118),
    [aux_sym_forward_x11_token1] = ACTIONS(2120),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2118),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2118),
    [aux_sym_gateway_ports_token1] = ACTIONS(2118),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2118),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2118),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2118),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2118),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2118),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2118),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2118),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2118),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2118),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2118),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2118),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2118),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2118),
    [aux_sym_host_key_alias_token1] = ACTIONS(2118),
    [aux_sym_hostname_token1] = ACTIONS(2118),
    [aux_sym_identities_only_token1] = ACTIONS(2118),
    [aux_sym_identity_agent_token1] = ACTIONS(2118),
    [aux_sym_identity_file_token1] = ACTIONS(2118),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2118),
    [aux_sym_include_token1] = ACTIONS(2118),
    [aux_sym_ip_qos_token1] = ACTIONS(2118),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2118),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2118),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2118),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2118),
    [aux_sym_local_command_token1] = ACTIONS(2118),
    [aux_sym_local_forward_token1] = ACTIONS(2118),
    [aux_sym_log_level_token1] = ACTIONS(2118),
    [aux_sym_log_verbose_token1] = ACTIONS(2118),
    [aux_sym_macs_token1] = ACTIONS(2118),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2118),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2118),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2118),
    [aux_sym_password_authentication_token1] = ACTIONS(2118),
    [aux_sym_permit_local_command_token1] = ACTIONS(2118),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2118),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2118),
    [aux_sym_port_token1] = ACTIONS(2118),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2118),
    [aux_sym_protocol_token1] = ACTIONS(2118),
    [aux_sym_proxy_command_token1] = ACTIONS(2118),
    [aux_sym_proxy_jump_token1] = ACTIONS(2118),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2118),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2118),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2118),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2118),
    [aux_sym_rekey_limit_token1] = ACTIONS(2118),
    [aux_sym_remote_command_token1] = ACTIONS(2118),
    [aux_sym_remote_forward_token1] = ACTIONS(2118),
    [aux_sym_request_tty_token1] = ACTIONS(2118),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2118),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2118),
    [aux_sym_security_key_provider_token1] = ACTIONS(2118),
    [aux_sym_send_env_token1] = ACTIONS(2118),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2118),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2118),
    [aux_sym_session_type_token1] = ACTIONS(2118),
    [aux_sym_set_env_token1] = ACTIONS(2118),
    [aux_sym_stdin_null_token1] = ACTIONS(2118),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2118),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2118),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2118),
    [aux_sym_syslog_facility_token1] = ACTIONS(2118),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2118),
    [aux_sym_keep_alive_token1] = ACTIONS(2118),
    [aux_sym_tag_token1] = ACTIONS(2118),
    [aux_sym_tunnel_token1] = ACTIONS(2120),
    [aux_sym_tunnel_device_token1] = ACTIONS(2118),
    [aux_sym_update_host_keys_token1] = ACTIONS(2118),
    [aux_sym_use_keychain_token1] = ACTIONS(2118),
    [aux_sym_use_roaming_token1] = ACTIONS(2118),
    [aux_sym_user_token1] = ACTIONS(2120),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2118),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2118),
    [aux_sym_version_addendum_token1] = ACTIONS(2118),
    [aux_sym_visual_host_key_token1] = ACTIONS(2118),
    [aux_sym_xauth_location_token1] = ACTIONS(2118),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3104),
    [aux_sym_match_token1] = ACTIONS(3102),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3102),
    [aux_sym_address_family_token1] = ACTIONS(3102),
    [aux_sym_batch_mode_token1] = ACTIONS(3102),
    [aux_sym_bind_address_token1] = ACTIONS(3102),
    [aux_sym_bind_interface_token1] = ACTIONS(3102),
    [aux_sym_canonical_domains_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3102),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3102),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3102),
    [aux_sym_certificate_file_token1] = ACTIONS(3102),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3102),
    [aux_sym_channel_timeout_token1] = ACTIONS(3102),
    [aux_sym_check_host_ip_token1] = ACTIONS(3102),
    [aux_sym_ciphers_token1] = ACTIONS(3102),
    [aux_sym_cipher_token1] = ACTIONS(3104),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3102),
    [aux_sym_compression_token1] = ACTIONS(3102),
    [aux_sym_connection_attempts_token1] = ACTIONS(3102),
    [aux_sym_connect_timeout_token1] = ACTIONS(3102),
    [aux_sym_control_master_token1] = ACTIONS(3102),
    [aux_sym_control_path_token1] = ACTIONS(3102),
    [aux_sym_control_persist_token1] = ACTIONS(3102),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3102),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3102),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3102),
    [aux_sym_escape_char_token1] = ACTIONS(3102),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3102),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3102),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3102),
    [aux_sym_forward_agent_token1] = ACTIONS(3102),
    [aux_sym_forward_x11_token1] = ACTIONS(3104),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3102),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3102),
    [aux_sym_gateway_ports_token1] = ACTIONS(3102),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3102),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3102),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3102),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3102),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3102),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3102),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3102),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3102),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3102),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3102),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3102),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3102),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3102),
    [aux_sym_host_key_alias_token1] = ACTIONS(3102),
    [aux_sym_hostname_token1] = ACTIONS(3102),
    [aux_sym_identities_only_token1] = ACTIONS(3102),
    [aux_sym_identity_agent_token1] = ACTIONS(3102),
    [aux_sym_identity_file_token1] = ACTIONS(3102),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3102),
    [aux_sym_include_token1] = ACTIONS(3102),
    [aux_sym_ip_qos_token1] = ACTIONS(3102),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3102),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3102),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3102),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3102),
    [aux_sym_local_command_token1] = ACTIONS(3102),
    [aux_sym_local_forward_token1] = ACTIONS(3102),
    [aux_sym_log_level_token1] = ACTIONS(3102),
    [aux_sym_log_verbose_token1] = ACTIONS(3102),
    [aux_sym_macs_token1] = ACTIONS(3102),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3102),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3102),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3102),
    [aux_sym_password_authentication_token1] = ACTIONS(3102),
    [aux_sym_permit_local_command_token1] = ACTIONS(3102),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3102),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3102),
    [aux_sym_port_token1] = ACTIONS(3102),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3102),
    [aux_sym_protocol_token1] = ACTIONS(3102),
    [aux_sym_proxy_command_token1] = ACTIONS(3102),
    [aux_sym_proxy_jump_token1] = ACTIONS(3102),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3102),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3102),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3102),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3102),
    [aux_sym_rekey_limit_token1] = ACTIONS(3102),
    [aux_sym_remote_command_token1] = ACTIONS(3102),
    [aux_sym_remote_forward_token1] = ACTIONS(3102),
    [aux_sym_request_tty_token1] = ACTIONS(3102),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3102),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3102),
    [aux_sym_security_key_provider_token1] = ACTIONS(3102),
    [aux_sym_send_env_token1] = ACTIONS(3102),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3102),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3102),
    [aux_sym_session_type_token1] = ACTIONS(3102),
    [aux_sym_set_env_token1] = ACTIONS(3102),
    [aux_sym_stdin_null_token1] = ACTIONS(3102),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3102),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3102),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3102),
    [aux_sym_syslog_facility_token1] = ACTIONS(3102),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3102),
    [aux_sym_keep_alive_token1] = ACTIONS(3102),
    [aux_sym_tag_token1] = ACTIONS(3102),
    [aux_sym_tunnel_token1] = ACTIONS(3104),
    [aux_sym_tunnel_device_token1] = ACTIONS(3102),
    [aux_sym_update_host_keys_token1] = ACTIONS(3102),
    [aux_sym_use_keychain_token1] = ACTIONS(3102),
    [aux_sym_use_roaming_token1] = ACTIONS(3102),
    [aux_sym_user_token1] = ACTIONS(3104),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3102),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3102),
    [aux_sym_version_addendum_token1] = ACTIONS(3102),
    [aux_sym_visual_host_key_token1] = ACTIONS(3102),
    [aux_sym_xauth_location_token1] = ACTIONS(3102),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3110),
    [aux_sym_match_token1] = ACTIONS(3108),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3108),
    [aux_sym_address_family_token1] = ACTIONS(3108),
    [aux_sym_batch_mode_token1] = ACTIONS(3108),
    [aux_sym_bind_address_token1] = ACTIONS(3108),
    [aux_sym_bind_interface_token1] = ACTIONS(3108),
    [aux_sym_canonical_domains_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3108),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3108),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3108),
    [aux_sym_certificate_file_token1] = ACTIONS(3108),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3108),
    [aux_sym_channel_timeout_token1] = ACTIONS(3108),
    [aux_sym_check_host_ip_token1] = ACTIONS(3108),
    [aux_sym_ciphers_token1] = ACTIONS(3108),
    [aux_sym_cipher_token1] = ACTIONS(3110),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3108),
    [aux_sym_compression_token1] = ACTIONS(3108),
    [aux_sym_connection_attempts_token1] = ACTIONS(3108),
    [aux_sym_connect_timeout_token1] = ACTIONS(3108),
    [aux_sym_control_master_token1] = ACTIONS(3108),
    [aux_sym_control_path_token1] = ACTIONS(3108),
    [aux_sym_control_persist_token1] = ACTIONS(3108),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3108),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3108),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3108),
    [aux_sym_escape_char_token1] = ACTIONS(3108),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3108),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3108),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3108),
    [aux_sym_forward_agent_token1] = ACTIONS(3108),
    [aux_sym_forward_x11_token1] = ACTIONS(3110),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3108),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3108),
    [aux_sym_gateway_ports_token1] = ACTIONS(3108),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3108),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3108),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3108),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3108),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3108),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3108),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3108),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3108),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3108),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3108),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3108),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3108),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3108),
    [aux_sym_host_key_alias_token1] = ACTIONS(3108),
    [aux_sym_hostname_token1] = ACTIONS(3108),
    [aux_sym_identities_only_token1] = ACTIONS(3108),
    [aux_sym_identity_agent_token1] = ACTIONS(3108),
    [aux_sym_identity_file_token1] = ACTIONS(3108),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3108),
    [aux_sym_include_token1] = ACTIONS(3108),
    [aux_sym_ip_qos_token1] = ACTIONS(3108),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3108),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3108),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3108),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3108),
    [aux_sym_local_command_token1] = ACTIONS(3108),
    [aux_sym_local_forward_token1] = ACTIONS(3108),
    [aux_sym_log_level_token1] = ACTIONS(3108),
    [aux_sym_log_verbose_token1] = ACTIONS(3108),
    [aux_sym_macs_token1] = ACTIONS(3108),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3108),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3108),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3108),
    [aux_sym_password_authentication_token1] = ACTIONS(3108),
    [aux_sym_permit_local_command_token1] = ACTIONS(3108),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3108),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3108),
    [aux_sym_port_token1] = ACTIONS(3108),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3108),
    [aux_sym_protocol_token1] = ACTIONS(3108),
    [aux_sym_proxy_command_token1] = ACTIONS(3108),
    [aux_sym_proxy_jump_token1] = ACTIONS(3108),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3108),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3108),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3108),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3108),
    [aux_sym_rekey_limit_token1] = ACTIONS(3108),
    [aux_sym_remote_command_token1] = ACTIONS(3108),
    [aux_sym_remote_forward_token1] = ACTIONS(3108),
    [aux_sym_request_tty_token1] = ACTIONS(3108),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3108),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3108),
    [aux_sym_security_key_provider_token1] = ACTIONS(3108),
    [aux_sym_send_env_token1] = ACTIONS(3108),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3108),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3108),
    [aux_sym_session_type_token1] = ACTIONS(3108),
    [aux_sym_set_env_token1] = ACTIONS(3108),
    [aux_sym_stdin_null_token1] = ACTIONS(3108),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3108),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3108),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3108),
    [aux_sym_syslog_facility_token1] = ACTIONS(3108),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3108),
    [aux_sym_keep_alive_token1] = ACTIONS(3108),
    [aux_sym_tag_token1] = ACTIONS(3108),
    [aux_sym_tunnel_token1] = ACTIONS(3110),
    [aux_sym_tunnel_device_token1] = ACTIONS(3108),
    [aux_sym_update_host_keys_token1] = ACTIONS(3108),
    [aux_sym_use_keychain_token1] = ACTIONS(3108),
    [aux_sym_use_roaming_token1] = ACTIONS(3108),
    [aux_sym_user_token1] = ACTIONS(3110),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3108),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3108),
    [aux_sym_version_addendum_token1] = ACTIONS(3108),
    [aux_sym_visual_host_key_token1] = ACTIONS(3108),
    [aux_sym_xauth_location_token1] = ACTIONS(3108),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2124),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2126),
    [aux_sym_match_token1] = ACTIONS(2124),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2124),
    [aux_sym_address_family_token1] = ACTIONS(2124),
    [aux_sym_batch_mode_token1] = ACTIONS(2124),
    [aux_sym_bind_address_token1] = ACTIONS(2124),
    [aux_sym_bind_interface_token1] = ACTIONS(2124),
    [aux_sym_canonical_domains_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2124),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2124),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2124),
    [aux_sym_certificate_file_token1] = ACTIONS(2124),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2124),
    [aux_sym_channel_timeout_token1] = ACTIONS(2124),
    [aux_sym_check_host_ip_token1] = ACTIONS(2124),
    [aux_sym_ciphers_token1] = ACTIONS(2124),
    [aux_sym_cipher_token1] = ACTIONS(2126),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2124),
    [aux_sym_compression_token1] = ACTIONS(2124),
    [aux_sym_connection_attempts_token1] = ACTIONS(2124),
    [aux_sym_connect_timeout_token1] = ACTIONS(2124),
    [aux_sym_control_master_token1] = ACTIONS(2124),
    [aux_sym_control_path_token1] = ACTIONS(2124),
    [aux_sym_control_persist_token1] = ACTIONS(2124),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2124),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2124),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2124),
    [aux_sym_escape_char_token1] = ACTIONS(2124),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2124),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2124),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2124),
    [aux_sym_forward_agent_token1] = ACTIONS(2124),
    [aux_sym_forward_x11_token1] = ACTIONS(2126),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2124),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2124),
    [aux_sym_gateway_ports_token1] = ACTIONS(2124),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2124),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2124),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2124),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2124),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2124),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2124),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2124),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2124),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2124),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2124),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2124),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2124),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2124),
    [aux_sym_host_key_alias_token1] = ACTIONS(2124),
    [aux_sym_hostname_token1] = ACTIONS(2124),
    [aux_sym_identities_only_token1] = ACTIONS(2124),
    [aux_sym_identity_agent_token1] = ACTIONS(2124),
    [aux_sym_identity_file_token1] = ACTIONS(2124),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2124),
    [aux_sym_include_token1] = ACTIONS(2124),
    [aux_sym_ip_qos_token1] = ACTIONS(2124),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2124),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2124),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2124),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2124),
    [aux_sym_local_command_token1] = ACTIONS(2124),
    [aux_sym_local_forward_token1] = ACTIONS(2124),
    [aux_sym_log_level_token1] = ACTIONS(2124),
    [aux_sym_log_verbose_token1] = ACTIONS(2124),
    [aux_sym_macs_token1] = ACTIONS(2124),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2124),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2124),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2124),
    [aux_sym_password_authentication_token1] = ACTIONS(2124),
    [aux_sym_permit_local_command_token1] = ACTIONS(2124),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2124),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2124),
    [aux_sym_port_token1] = ACTIONS(2124),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2124),
    [aux_sym_protocol_token1] = ACTIONS(2124),
    [aux_sym_proxy_command_token1] = ACTIONS(2124),
    [aux_sym_proxy_jump_token1] = ACTIONS(2124),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2124),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2124),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2124),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2124),
    [aux_sym_rekey_limit_token1] = ACTIONS(2124),
    [aux_sym_remote_command_token1] = ACTIONS(2124),
    [aux_sym_remote_forward_token1] = ACTIONS(2124),
    [aux_sym_request_tty_token1] = ACTIONS(2124),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2124),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2124),
    [aux_sym_security_key_provider_token1] = ACTIONS(2124),
    [aux_sym_send_env_token1] = ACTIONS(2124),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2124),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2124),
    [aux_sym_session_type_token1] = ACTIONS(2124),
    [aux_sym_set_env_token1] = ACTIONS(2124),
    [aux_sym_stdin_null_token1] = ACTIONS(2124),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2124),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2124),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2124),
    [aux_sym_syslog_facility_token1] = ACTIONS(2124),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2124),
    [aux_sym_keep_alive_token1] = ACTIONS(2124),
    [aux_sym_tag_token1] = ACTIONS(2124),
    [aux_sym_tunnel_token1] = ACTIONS(2126),
    [aux_sym_tunnel_device_token1] = ACTIONS(2124),
    [aux_sym_update_host_keys_token1] = ACTIONS(2124),
    [aux_sym_use_keychain_token1] = ACTIONS(2124),
    [aux_sym_use_roaming_token1] = ACTIONS(2124),
    [aux_sym_user_token1] = ACTIONS(2126),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2124),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2124),
    [aux_sym_version_addendum_token1] = ACTIONS(2124),
    [aux_sym_visual_host_key_token1] = ACTIONS(2124),
    [aux_sym_xauth_location_token1] = ACTIONS(2124),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3116),
    [aux_sym_match_token1] = ACTIONS(3114),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3114),
    [aux_sym_address_family_token1] = ACTIONS(3114),
    [aux_sym_batch_mode_token1] = ACTIONS(3114),
    [aux_sym_bind_address_token1] = ACTIONS(3114),
    [aux_sym_bind_interface_token1] = ACTIONS(3114),
    [aux_sym_canonical_domains_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3114),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3114),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3114),
    [aux_sym_certificate_file_token1] = ACTIONS(3114),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3114),
    [aux_sym_channel_timeout_token1] = ACTIONS(3114),
    [aux_sym_check_host_ip_token1] = ACTIONS(3114),
    [aux_sym_ciphers_token1] = ACTIONS(3114),
    [aux_sym_cipher_token1] = ACTIONS(3116),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3114),
    [aux_sym_compression_token1] = ACTIONS(3114),
    [aux_sym_connection_attempts_token1] = ACTIONS(3114),
    [aux_sym_connect_timeout_token1] = ACTIONS(3114),
    [aux_sym_control_master_token1] = ACTIONS(3114),
    [aux_sym_control_path_token1] = ACTIONS(3114),
    [aux_sym_control_persist_token1] = ACTIONS(3114),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3114),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3114),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3114),
    [aux_sym_escape_char_token1] = ACTIONS(3114),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3114),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3114),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3114),
    [aux_sym_forward_agent_token1] = ACTIONS(3114),
    [aux_sym_forward_x11_token1] = ACTIONS(3116),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3114),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3114),
    [aux_sym_gateway_ports_token1] = ACTIONS(3114),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3114),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3114),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3114),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3114),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3114),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3114),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3114),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3114),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3114),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3114),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3114),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3114),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3114),
    [aux_sym_host_key_alias_token1] = ACTIONS(3114),
    [aux_sym_hostname_token1] = ACTIONS(3114),
    [aux_sym_identities_only_token1] = ACTIONS(3114),
    [aux_sym_identity_agent_token1] = ACTIONS(3114),
    [aux_sym_identity_file_token1] = ACTIONS(3114),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3114),
    [aux_sym_include_token1] = ACTIONS(3114),
    [aux_sym_ip_qos_token1] = ACTIONS(3114),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3114),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3114),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3114),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3114),
    [aux_sym_local_command_token1] = ACTIONS(3114),
    [aux_sym_local_forward_token1] = ACTIONS(3114),
    [aux_sym_log_level_token1] = ACTIONS(3114),
    [aux_sym_log_verbose_token1] = ACTIONS(3114),
    [aux_sym_macs_token1] = ACTIONS(3114),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3114),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3114),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3114),
    [aux_sym_password_authentication_token1] = ACTIONS(3114),
    [aux_sym_permit_local_command_token1] = ACTIONS(3114),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3114),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3114),
    [aux_sym_port_token1] = ACTIONS(3114),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3114),
    [aux_sym_protocol_token1] = ACTIONS(3114),
    [aux_sym_proxy_command_token1] = ACTIONS(3114),
    [aux_sym_proxy_jump_token1] = ACTIONS(3114),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3114),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3114),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3114),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3114),
    [aux_sym_rekey_limit_token1] = ACTIONS(3114),
    [aux_sym_remote_command_token1] = ACTIONS(3114),
    [aux_sym_remote_forward_token1] = ACTIONS(3114),
    [aux_sym_request_tty_token1] = ACTIONS(3114),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3114),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3114),
    [aux_sym_security_key_provider_token1] = ACTIONS(3114),
    [aux_sym_send_env_token1] = ACTIONS(3114),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3114),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3114),
    [aux_sym_session_type_token1] = ACTIONS(3114),
    [aux_sym_set_env_token1] = ACTIONS(3114),
    [aux_sym_stdin_null_token1] = ACTIONS(3114),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3114),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3114),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3114),
    [aux_sym_syslog_facility_token1] = ACTIONS(3114),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3114),
    [aux_sym_keep_alive_token1] = ACTIONS(3114),
    [aux_sym_tag_token1] = ACTIONS(3114),
    [aux_sym_tunnel_token1] = ACTIONS(3116),
    [aux_sym_tunnel_device_token1] = ACTIONS(3114),
    [aux_sym_update_host_keys_token1] = ACTIONS(3114),
    [aux_sym_use_keychain_token1] = ACTIONS(3114),
    [aux_sym_use_roaming_token1] = ACTIONS(3114),
    [aux_sym_user_token1] = ACTIONS(3116),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3114),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3114),
    [aux_sym_version_addendum_token1] = ACTIONS(3114),
    [aux_sym_visual_host_key_token1] = ACTIONS(3114),
    [aux_sym_xauth_location_token1] = ACTIONS(3114),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3122),
    [aux_sym_match_token1] = ACTIONS(3120),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3120),
    [aux_sym_address_family_token1] = ACTIONS(3120),
    [aux_sym_batch_mode_token1] = ACTIONS(3120),
    [aux_sym_bind_address_token1] = ACTIONS(3120),
    [aux_sym_bind_interface_token1] = ACTIONS(3120),
    [aux_sym_canonical_domains_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3120),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3120),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3120),
    [aux_sym_certificate_file_token1] = ACTIONS(3120),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3120),
    [aux_sym_channel_timeout_token1] = ACTIONS(3120),
    [aux_sym_check_host_ip_token1] = ACTIONS(3120),
    [aux_sym_ciphers_token1] = ACTIONS(3120),
    [aux_sym_cipher_token1] = ACTIONS(3122),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3120),
    [aux_sym_compression_token1] = ACTIONS(3120),
    [aux_sym_connection_attempts_token1] = ACTIONS(3120),
    [aux_sym_connect_timeout_token1] = ACTIONS(3120),
    [aux_sym_control_master_token1] = ACTIONS(3120),
    [aux_sym_control_path_token1] = ACTIONS(3120),
    [aux_sym_control_persist_token1] = ACTIONS(3120),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3120),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3120),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3120),
    [aux_sym_escape_char_token1] = ACTIONS(3120),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3120),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3120),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3120),
    [aux_sym_forward_agent_token1] = ACTIONS(3120),
    [aux_sym_forward_x11_token1] = ACTIONS(3122),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3120),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3120),
    [aux_sym_gateway_ports_token1] = ACTIONS(3120),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3120),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3120),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3120),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3120),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3120),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3120),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3120),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3120),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3120),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3120),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3120),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3120),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3120),
    [aux_sym_host_key_alias_token1] = ACTIONS(3120),
    [aux_sym_hostname_token1] = ACTIONS(3120),
    [aux_sym_identities_only_token1] = ACTIONS(3120),
    [aux_sym_identity_agent_token1] = ACTIONS(3120),
    [aux_sym_identity_file_token1] = ACTIONS(3120),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3120),
    [aux_sym_include_token1] = ACTIONS(3120),
    [aux_sym_ip_qos_token1] = ACTIONS(3120),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3120),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3120),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3120),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3120),
    [aux_sym_local_command_token1] = ACTIONS(3120),
    [aux_sym_local_forward_token1] = ACTIONS(3120),
    [aux_sym_log_level_token1] = ACTIONS(3120),
    [aux_sym_log_verbose_token1] = ACTIONS(3120),
    [aux_sym_macs_token1] = ACTIONS(3120),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3120),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3120),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3120),
    [aux_sym_password_authentication_token1] = ACTIONS(3120),
    [aux_sym_permit_local_command_token1] = ACTIONS(3120),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3120),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3120),
    [aux_sym_port_token1] = ACTIONS(3120),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3120),
    [aux_sym_protocol_token1] = ACTIONS(3120),
    [aux_sym_proxy_command_token1] = ACTIONS(3120),
    [aux_sym_proxy_jump_token1] = ACTIONS(3120),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3120),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3120),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3120),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3120),
    [aux_sym_rekey_limit_token1] = ACTIONS(3120),
    [aux_sym_remote_command_token1] = ACTIONS(3120),
    [aux_sym_remote_forward_token1] = ACTIONS(3120),
    [aux_sym_request_tty_token1] = ACTIONS(3120),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3120),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3120),
    [aux_sym_security_key_provider_token1] = ACTIONS(3120),
    [aux_sym_send_env_token1] = ACTIONS(3120),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3120),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3120),
    [aux_sym_session_type_token1] = ACTIONS(3120),
    [aux_sym_set_env_token1] = ACTIONS(3120),
    [aux_sym_stdin_null_token1] = ACTIONS(3120),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3120),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3120),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3120),
    [aux_sym_syslog_facility_token1] = ACTIONS(3120),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3120),
    [aux_sym_keep_alive_token1] = ACTIONS(3120),
    [aux_sym_tag_token1] = ACTIONS(3120),
    [aux_sym_tunnel_token1] = ACTIONS(3122),
    [aux_sym_tunnel_device_token1] = ACTIONS(3120),
    [aux_sym_update_host_keys_token1] = ACTIONS(3120),
    [aux_sym_use_keychain_token1] = ACTIONS(3120),
    [aux_sym_use_roaming_token1] = ACTIONS(3120),
    [aux_sym_user_token1] = ACTIONS(3122),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3120),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3120),
    [aux_sym_version_addendum_token1] = ACTIONS(3120),
    [aux_sym_visual_host_key_token1] = ACTIONS(3120),
    [aux_sym_xauth_location_token1] = ACTIONS(3120),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2132),
    [aux_sym_match_token1] = ACTIONS(2130),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2130),
    [aux_sym_address_family_token1] = ACTIONS(2130),
    [aux_sym_batch_mode_token1] = ACTIONS(2130),
    [aux_sym_bind_address_token1] = ACTIONS(2130),
    [aux_sym_bind_interface_token1] = ACTIONS(2130),
    [aux_sym_canonical_domains_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2130),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2130),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2130),
    [aux_sym_certificate_file_token1] = ACTIONS(2130),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2130),
    [aux_sym_channel_timeout_token1] = ACTIONS(2130),
    [aux_sym_check_host_ip_token1] = ACTIONS(2130),
    [aux_sym_ciphers_token1] = ACTIONS(2130),
    [aux_sym_cipher_token1] = ACTIONS(2132),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2130),
    [aux_sym_compression_token1] = ACTIONS(2130),
    [aux_sym_connection_attempts_token1] = ACTIONS(2130),
    [aux_sym_connect_timeout_token1] = ACTIONS(2130),
    [aux_sym_control_master_token1] = ACTIONS(2130),
    [aux_sym_control_path_token1] = ACTIONS(2130),
    [aux_sym_control_persist_token1] = ACTIONS(2130),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2130),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2130),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2130),
    [aux_sym_escape_char_token1] = ACTIONS(2130),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2130),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2130),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2130),
    [aux_sym_forward_agent_token1] = ACTIONS(2130),
    [aux_sym_forward_x11_token1] = ACTIONS(2132),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2130),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2130),
    [aux_sym_gateway_ports_token1] = ACTIONS(2130),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2130),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2130),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2130),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2130),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2130),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2130),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2130),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2130),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2130),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2130),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2130),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2130),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2130),
    [aux_sym_host_key_alias_token1] = ACTIONS(2130),
    [aux_sym_hostname_token1] = ACTIONS(2130),
    [aux_sym_identities_only_token1] = ACTIONS(2130),
    [aux_sym_identity_agent_token1] = ACTIONS(2130),
    [aux_sym_identity_file_token1] = ACTIONS(2130),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2130),
    [aux_sym_include_token1] = ACTIONS(2130),
    [aux_sym_ip_qos_token1] = ACTIONS(2130),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2130),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2130),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2130),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2130),
    [aux_sym_local_command_token1] = ACTIONS(2130),
    [aux_sym_local_forward_token1] = ACTIONS(2130),
    [aux_sym_log_level_token1] = ACTIONS(2130),
    [aux_sym_log_verbose_token1] = ACTIONS(2130),
    [aux_sym_macs_token1] = ACTIONS(2130),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2130),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2130),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2130),
    [aux_sym_password_authentication_token1] = ACTIONS(2130),
    [aux_sym_permit_local_command_token1] = ACTIONS(2130),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2130),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2130),
    [aux_sym_port_token1] = ACTIONS(2130),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2130),
    [aux_sym_protocol_token1] = ACTIONS(2130),
    [aux_sym_proxy_command_token1] = ACTIONS(2130),
    [aux_sym_proxy_jump_token1] = ACTIONS(2130),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2130),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2130),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2130),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2130),
    [aux_sym_rekey_limit_token1] = ACTIONS(2130),
    [aux_sym_remote_command_token1] = ACTIONS(2130),
    [aux_sym_remote_forward_token1] = ACTIONS(2130),
    [aux_sym_request_tty_token1] = ACTIONS(2130),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2130),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2130),
    [aux_sym_security_key_provider_token1] = ACTIONS(2130),
    [aux_sym_send_env_token1] = ACTIONS(2130),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2130),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2130),
    [aux_sym_session_type_token1] = ACTIONS(2130),
    [aux_sym_set_env_token1] = ACTIONS(2130),
    [aux_sym_stdin_null_token1] = ACTIONS(2130),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2130),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2130),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2130),
    [aux_sym_syslog_facility_token1] = ACTIONS(2130),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2130),
    [aux_sym_keep_alive_token1] = ACTIONS(2130),
    [aux_sym_tag_token1] = ACTIONS(2130),
    [aux_sym_tunnel_token1] = ACTIONS(2132),
    [aux_sym_tunnel_device_token1] = ACTIONS(2130),
    [aux_sym_update_host_keys_token1] = ACTIONS(2130),
    [aux_sym_use_keychain_token1] = ACTIONS(2130),
    [aux_sym_use_roaming_token1] = ACTIONS(2130),
    [aux_sym_user_token1] = ACTIONS(2132),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2130),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2130),
    [aux_sym_version_addendum_token1] = ACTIONS(2130),
    [aux_sym_visual_host_key_token1] = ACTIONS(2130),
    [aux_sym_xauth_location_token1] = ACTIONS(2130),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3128),
    [aux_sym_match_token1] = ACTIONS(3126),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3126),
    [aux_sym_address_family_token1] = ACTIONS(3126),
    [aux_sym_batch_mode_token1] = ACTIONS(3126),
    [aux_sym_bind_address_token1] = ACTIONS(3126),
    [aux_sym_bind_interface_token1] = ACTIONS(3126),
    [aux_sym_canonical_domains_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3126),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3126),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3126),
    [aux_sym_certificate_file_token1] = ACTIONS(3126),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3126),
    [aux_sym_channel_timeout_token1] = ACTIONS(3126),
    [aux_sym_check_host_ip_token1] = ACTIONS(3126),
    [aux_sym_ciphers_token1] = ACTIONS(3126),
    [aux_sym_cipher_token1] = ACTIONS(3128),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3126),
    [aux_sym_compression_token1] = ACTIONS(3126),
    [aux_sym_connection_attempts_token1] = ACTIONS(3126),
    [aux_sym_connect_timeout_token1] = ACTIONS(3126),
    [aux_sym_control_master_token1] = ACTIONS(3126),
    [aux_sym_control_path_token1] = ACTIONS(3126),
    [aux_sym_control_persist_token1] = ACTIONS(3126),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3126),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3126),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3126),
    [aux_sym_escape_char_token1] = ACTIONS(3126),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3126),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3126),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3126),
    [aux_sym_forward_agent_token1] = ACTIONS(3126),
    [aux_sym_forward_x11_token1] = ACTIONS(3128),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3126),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3126),
    [aux_sym_gateway_ports_token1] = ACTIONS(3126),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3126),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3126),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3126),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3126),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3126),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3126),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3126),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3126),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3126),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3126),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3126),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3126),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3126),
    [aux_sym_host_key_alias_token1] = ACTIONS(3126),
    [aux_sym_hostname_token1] = ACTIONS(3126),
    [aux_sym_identities_only_token1] = ACTIONS(3126),
    [aux_sym_identity_agent_token1] = ACTIONS(3126),
    [aux_sym_identity_file_token1] = ACTIONS(3126),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3126),
    [aux_sym_include_token1] = ACTIONS(3126),
    [aux_sym_ip_qos_token1] = ACTIONS(3126),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3126),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3126),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3126),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3126),
    [aux_sym_local_command_token1] = ACTIONS(3126),
    [aux_sym_local_forward_token1] = ACTIONS(3126),
    [aux_sym_log_level_token1] = ACTIONS(3126),
    [aux_sym_log_verbose_token1] = ACTIONS(3126),
    [aux_sym_macs_token1] = ACTIONS(3126),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3126),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3126),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3126),
    [aux_sym_password_authentication_token1] = ACTIONS(3126),
    [aux_sym_permit_local_command_token1] = ACTIONS(3126),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3126),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3126),
    [aux_sym_port_token1] = ACTIONS(3126),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3126),
    [aux_sym_protocol_token1] = ACTIONS(3126),
    [aux_sym_proxy_command_token1] = ACTIONS(3126),
    [aux_sym_proxy_jump_token1] = ACTIONS(3126),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3126),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3126),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3126),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3126),
    [aux_sym_rekey_limit_token1] = ACTIONS(3126),
    [aux_sym_remote_command_token1] = ACTIONS(3126),
    [aux_sym_remote_forward_token1] = ACTIONS(3126),
    [aux_sym_request_tty_token1] = ACTIONS(3126),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3126),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3126),
    [aux_sym_security_key_provider_token1] = ACTIONS(3126),
    [aux_sym_send_env_token1] = ACTIONS(3126),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3126),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3126),
    [aux_sym_session_type_token1] = ACTIONS(3126),
    [aux_sym_set_env_token1] = ACTIONS(3126),
    [aux_sym_stdin_null_token1] = ACTIONS(3126),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3126),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3126),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3126),
    [aux_sym_syslog_facility_token1] = ACTIONS(3126),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3126),
    [aux_sym_keep_alive_token1] = ACTIONS(3126),
    [aux_sym_tag_token1] = ACTIONS(3126),
    [aux_sym_tunnel_token1] = ACTIONS(3128),
    [aux_sym_tunnel_device_token1] = ACTIONS(3126),
    [aux_sym_update_host_keys_token1] = ACTIONS(3126),
    [aux_sym_use_keychain_token1] = ACTIONS(3126),
    [aux_sym_use_roaming_token1] = ACTIONS(3126),
    [aux_sym_user_token1] = ACTIONS(3128),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3126),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3126),
    [aux_sym_version_addendum_token1] = ACTIONS(3126),
    [aux_sym_visual_host_key_token1] = ACTIONS(3126),
    [aux_sym_xauth_location_token1] = ACTIONS(3126),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1928),
    [aux_sym_match_token1] = ACTIONS(1926),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1926),
    [aux_sym_address_family_token1] = ACTIONS(1926),
    [aux_sym_batch_mode_token1] = ACTIONS(1926),
    [aux_sym_bind_address_token1] = ACTIONS(1926),
    [aux_sym_bind_interface_token1] = ACTIONS(1926),
    [aux_sym_canonical_domains_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1926),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1926),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1926),
    [aux_sym_certificate_file_token1] = ACTIONS(1926),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1926),
    [aux_sym_channel_timeout_token1] = ACTIONS(1926),
    [aux_sym_check_host_ip_token1] = ACTIONS(1926),
    [aux_sym_ciphers_token1] = ACTIONS(1926),
    [aux_sym_cipher_token1] = ACTIONS(1928),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1926),
    [aux_sym_compression_token1] = ACTIONS(1926),
    [aux_sym_connection_attempts_token1] = ACTIONS(1926),
    [aux_sym_connect_timeout_token1] = ACTIONS(1926),
    [aux_sym_control_master_token1] = ACTIONS(1926),
    [aux_sym_control_path_token1] = ACTIONS(1926),
    [aux_sym_control_persist_token1] = ACTIONS(1926),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1926),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1926),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1926),
    [aux_sym_escape_char_token1] = ACTIONS(1926),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1926),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1926),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1926),
    [aux_sym_forward_agent_token1] = ACTIONS(1926),
    [aux_sym_forward_x11_token1] = ACTIONS(1928),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1926),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1926),
    [aux_sym_gateway_ports_token1] = ACTIONS(1926),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1926),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1926),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1926),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1926),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1926),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1926),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1926),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1926),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1926),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1926),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1926),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1926),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1926),
    [aux_sym_host_key_alias_token1] = ACTIONS(1926),
    [aux_sym_hostname_token1] = ACTIONS(1926),
    [aux_sym_identities_only_token1] = ACTIONS(1926),
    [aux_sym_identity_agent_token1] = ACTIONS(1926),
    [aux_sym_identity_file_token1] = ACTIONS(1926),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1926),
    [aux_sym_include_token1] = ACTIONS(1926),
    [aux_sym_ip_qos_token1] = ACTIONS(1926),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1926),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1926),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1926),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1926),
    [aux_sym_local_command_token1] = ACTIONS(1926),
    [aux_sym_local_forward_token1] = ACTIONS(1926),
    [aux_sym_log_level_token1] = ACTIONS(1926),
    [aux_sym_log_verbose_token1] = ACTIONS(1926),
    [aux_sym_macs_token1] = ACTIONS(1926),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1926),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1926),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1926),
    [aux_sym_password_authentication_token1] = ACTIONS(1926),
    [aux_sym_permit_local_command_token1] = ACTIONS(1926),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1926),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1926),
    [aux_sym_port_token1] = ACTIONS(1926),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1926),
    [aux_sym_protocol_token1] = ACTIONS(1926),
    [aux_sym_proxy_command_token1] = ACTIONS(1926),
    [aux_sym_proxy_jump_token1] = ACTIONS(1926),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1926),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1926),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1926),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1926),
    [aux_sym_rekey_limit_token1] = ACTIONS(1926),
    [aux_sym_remote_command_token1] = ACTIONS(1926),
    [aux_sym_remote_forward_token1] = ACTIONS(1926),
    [aux_sym_request_tty_token1] = ACTIONS(1926),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1926),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1926),
    [aux_sym_security_key_provider_token1] = ACTIONS(1926),
    [aux_sym_send_env_token1] = ACTIONS(1926),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1926),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1926),
    [aux_sym_session_type_token1] = ACTIONS(1926),
    [aux_sym_set_env_token1] = ACTIONS(1926),
    [aux_sym_stdin_null_token1] = ACTIONS(1926),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1926),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1926),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1926),
    [aux_sym_syslog_facility_token1] = ACTIONS(1926),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1926),
    [aux_sym_keep_alive_token1] = ACTIONS(1926),
    [aux_sym_tag_token1] = ACTIONS(1926),
    [aux_sym_tunnel_token1] = ACTIONS(1928),
    [aux_sym_tunnel_device_token1] = ACTIONS(1926),
    [aux_sym_update_host_keys_token1] = ACTIONS(1926),
    [aux_sym_use_keychain_token1] = ACTIONS(1926),
    [aux_sym_use_roaming_token1] = ACTIONS(1926),
    [aux_sym_user_token1] = ACTIONS(1928),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1926),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1926),
    [aux_sym_version_addendum_token1] = ACTIONS(1926),
    [aux_sym_visual_host_key_token1] = ACTIONS(1926),
    [aux_sym_xauth_location_token1] = ACTIONS(1926),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3144),
    [aux_sym_match_token1] = ACTIONS(3142),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3142),
    [aux_sym_address_family_token1] = ACTIONS(3142),
    [aux_sym_batch_mode_token1] = ACTIONS(3142),
    [aux_sym_bind_address_token1] = ACTIONS(3142),
    [aux_sym_bind_interface_token1] = ACTIONS(3142),
    [aux_sym_canonical_domains_token1] = ACTIONS(3142),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3142),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3142),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3142),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3142),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3142),
    [aux_sym_certificate_file_token1] = ACTIONS(3142),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3142),
    [aux_sym_channel_timeout_token1] = ACTIONS(3142),
    [aux_sym_check_host_ip_token1] = ACTIONS(3142),
    [aux_sym_ciphers_token1] = ACTIONS(3142),
    [aux_sym_cipher_token1] = ACTIONS(3144),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3142),
    [aux_sym_compression_token1] = ACTIONS(3142),
    [aux_sym_connection_attempts_token1] = ACTIONS(3142),
    [aux_sym_connect_timeout_token1] = ACTIONS(3142),
    [aux_sym_control_master_token1] = ACTIONS(3142),
    [aux_sym_control_path_token1] = ACTIONS(3142),
    [aux_sym_control_persist_token1] = ACTIONS(3142),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3142),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3142),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3142),
    [aux_sym_escape_char_token1] = ACTIONS(3142),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3142),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3142),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3142),
    [aux_sym_forward_agent_token1] = ACTIONS(3142),
    [aux_sym_forward_x11_token1] = ACTIONS(3144),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3142),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3142),
    [aux_sym_gateway_ports_token1] = ACTIONS(3142),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3142),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3142),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3142),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3142),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3142),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3142),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3142),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3142),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3142),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3142),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3142),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3142),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3142),
    [aux_sym_host_key_alias_token1] = ACTIONS(3142),
    [aux_sym_hostname_token1] = ACTIONS(3142),
    [aux_sym_identities_only_token1] = ACTIONS(3142),
    [aux_sym_identity_agent_token1] = ACTIONS(3142),
    [aux_sym_identity_file_token1] = ACTIONS(3142),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3142),
    [aux_sym_include_token1] = ACTIONS(3142),
    [aux_sym_ip_qos_token1] = ACTIONS(3142),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3142),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3142),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3142),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3142),
    [aux_sym_local_command_token1] = ACTIONS(3142),
    [aux_sym_local_forward_token1] = ACTIONS(3142),
    [aux_sym_log_level_token1] = ACTIONS(3142),
    [aux_sym_log_verbose_token1] = ACTIONS(3142),
    [aux_sym_macs_token1] = ACTIONS(3142),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3142),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3142),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3142),
    [aux_sym_password_authentication_token1] = ACTIONS(3142),
    [aux_sym_permit_local_command_token1] = ACTIONS(3142),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3142),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3142),
    [aux_sym_port_token1] = ACTIONS(3142),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3142),
    [aux_sym_protocol_token1] = ACTIONS(3142),
    [aux_sym_proxy_command_token1] = ACTIONS(3142),
    [aux_sym_proxy_jump_token1] = ACTIONS(3142),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3142),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3142),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3142),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3142),
    [aux_sym_rekey_limit_token1] = ACTIONS(3142),
    [aux_sym_remote_command_token1] = ACTIONS(3142),
    [aux_sym_remote_forward_token1] = ACTIONS(3142),
    [aux_sym_request_tty_token1] = ACTIONS(3142),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3142),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3142),
    [aux_sym_security_key_provider_token1] = ACTIONS(3142),
    [aux_sym_send_env_token1] = ACTIONS(3142),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3142),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3142),
    [aux_sym_session_type_token1] = ACTIONS(3142),
    [aux_sym_set_env_token1] = ACTIONS(3142),
    [aux_sym_stdin_null_token1] = ACTIONS(3142),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3142),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3142),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3142),
    [aux_sym_syslog_facility_token1] = ACTIONS(3142),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3142),
    [aux_sym_keep_alive_token1] = ACTIONS(3142),
    [aux_sym_tag_token1] = ACTIONS(3142),
    [aux_sym_tunnel_token1] = ACTIONS(3144),
    [aux_sym_tunnel_device_token1] = ACTIONS(3142),
    [aux_sym_update_host_keys_token1] = ACTIONS(3142),
    [aux_sym_use_keychain_token1] = ACTIONS(3142),
    [aux_sym_use_roaming_token1] = ACTIONS(3142),
    [aux_sym_user_token1] = ACTIONS(3144),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3142),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3142),
    [aux_sym_version_addendum_token1] = ACTIONS(3142),
    [aux_sym_visual_host_key_token1] = ACTIONS(3142),
    [aux_sym_xauth_location_token1] = ACTIONS(3142),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3148),
    [aux_sym_match_token1] = ACTIONS(3146),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3146),
    [aux_sym_address_family_token1] = ACTIONS(3146),
    [aux_sym_batch_mode_token1] = ACTIONS(3146),
    [aux_sym_bind_address_token1] = ACTIONS(3146),
    [aux_sym_bind_interface_token1] = ACTIONS(3146),
    [aux_sym_canonical_domains_token1] = ACTIONS(3146),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3146),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3146),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3146),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3146),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3146),
    [aux_sym_certificate_file_token1] = ACTIONS(3146),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3146),
    [aux_sym_channel_timeout_token1] = ACTIONS(3146),
    [aux_sym_check_host_ip_token1] = ACTIONS(3146),
    [aux_sym_ciphers_token1] = ACTIONS(3146),
    [aux_sym_cipher_token1] = ACTIONS(3148),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3146),
    [aux_sym_compression_token1] = ACTIONS(3146),
    [aux_sym_connection_attempts_token1] = ACTIONS(3146),
    [aux_sym_connect_timeout_token1] = ACTIONS(3146),
    [aux_sym_control_master_token1] = ACTIONS(3146),
    [aux_sym_control_path_token1] = ACTIONS(3146),
    [aux_sym_control_persist_token1] = ACTIONS(3146),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3146),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3146),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3146),
    [aux_sym_escape_char_token1] = ACTIONS(3146),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3146),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3146),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3146),
    [aux_sym_forward_agent_token1] = ACTIONS(3146),
    [aux_sym_forward_x11_token1] = ACTIONS(3148),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3146),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3146),
    [aux_sym_gateway_ports_token1] = ACTIONS(3146),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3146),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3146),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3146),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3146),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3146),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3146),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3146),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3146),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3146),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3146),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3146),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3146),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3146),
    [aux_sym_host_key_alias_token1] = ACTIONS(3146),
    [aux_sym_hostname_token1] = ACTIONS(3146),
    [aux_sym_identities_only_token1] = ACTIONS(3146),
    [aux_sym_identity_agent_token1] = ACTIONS(3146),
    [aux_sym_identity_file_token1] = ACTIONS(3146),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3146),
    [aux_sym_include_token1] = ACTIONS(3146),
    [aux_sym_ip_qos_token1] = ACTIONS(3146),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3146),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3146),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3146),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3146),
    [aux_sym_local_command_token1] = ACTIONS(3146),
    [aux_sym_local_forward_token1] = ACTIONS(3146),
    [aux_sym_log_level_token1] = ACTIONS(3146),
    [aux_sym_log_verbose_token1] = ACTIONS(3146),
    [aux_sym_macs_token1] = ACTIONS(3146),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3146),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3146),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3146),
    [aux_sym_password_authentication_token1] = ACTIONS(3146),
    [aux_sym_permit_local_command_token1] = ACTIONS(3146),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3146),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3146),
    [aux_sym_port_token1] = ACTIONS(3146),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3146),
    [aux_sym_protocol_token1] = ACTIONS(3146),
    [aux_sym_proxy_command_token1] = ACTIONS(3146),
    [aux_sym_proxy_jump_token1] = ACTIONS(3146),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3146),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3146),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3146),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3146),
    [aux_sym_rekey_limit_token1] = ACTIONS(3146),
    [aux_sym_remote_command_token1] = ACTIONS(3146),
    [aux_sym_remote_forward_token1] = ACTIONS(3146),
    [aux_sym_request_tty_token1] = ACTIONS(3146),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3146),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3146),
    [aux_sym_security_key_provider_token1] = ACTIONS(3146),
    [aux_sym_send_env_token1] = ACTIONS(3146),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3146),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3146),
    [aux_sym_session_type_token1] = ACTIONS(3146),
    [aux_sym_set_env_token1] = ACTIONS(3146),
    [aux_sym_stdin_null_token1] = ACTIONS(3146),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3146),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3146),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3146),
    [aux_sym_syslog_facility_token1] = ACTIONS(3146),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3146),
    [aux_sym_keep_alive_token1] = ACTIONS(3146),
    [aux_sym_tag_token1] = ACTIONS(3146),
    [aux_sym_tunnel_token1] = ACTIONS(3148),
    [aux_sym_tunnel_device_token1] = ACTIONS(3146),
    [aux_sym_update_host_keys_token1] = ACTIONS(3146),
    [aux_sym_use_keychain_token1] = ACTIONS(3146),
    [aux_sym_use_roaming_token1] = ACTIONS(3146),
    [aux_sym_user_token1] = ACTIONS(3148),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3146),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3146),
    [aux_sym_version_addendum_token1] = ACTIONS(3146),
    [aux_sym_visual_host_key_token1] = ACTIONS(3146),
    [aux_sym_xauth_location_token1] = ACTIONS(3146),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3152),
    [aux_sym_match_token1] = ACTIONS(3150),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3150),
    [aux_sym_address_family_token1] = ACTIONS(3150),
    [aux_sym_batch_mode_token1] = ACTIONS(3150),
    [aux_sym_bind_address_token1] = ACTIONS(3150),
    [aux_sym_bind_interface_token1] = ACTIONS(3150),
    [aux_sym_canonical_domains_token1] = ACTIONS(3150),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3150),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3150),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3150),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3150),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3150),
    [aux_sym_certificate_file_token1] = ACTIONS(3150),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3150),
    [aux_sym_channel_timeout_token1] = ACTIONS(3150),
    [aux_sym_check_host_ip_token1] = ACTIONS(3150),
    [aux_sym_ciphers_token1] = ACTIONS(3150),
    [aux_sym_cipher_token1] = ACTIONS(3152),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3150),
    [aux_sym_compression_token1] = ACTIONS(3150),
    [aux_sym_connection_attempts_token1] = ACTIONS(3150),
    [aux_sym_connect_timeout_token1] = ACTIONS(3150),
    [aux_sym_control_master_token1] = ACTIONS(3150),
    [aux_sym_control_path_token1] = ACTIONS(3150),
    [aux_sym_control_persist_token1] = ACTIONS(3150),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3150),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3150),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3150),
    [aux_sym_escape_char_token1] = ACTIONS(3150),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3150),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3150),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3150),
    [aux_sym_forward_agent_token1] = ACTIONS(3150),
    [aux_sym_forward_x11_token1] = ACTIONS(3152),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3150),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3150),
    [aux_sym_gateway_ports_token1] = ACTIONS(3150),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3150),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3150),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3150),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3150),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3150),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3150),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3150),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3150),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3150),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3150),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3150),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3150),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3150),
    [aux_sym_host_key_alias_token1] = ACTIONS(3150),
    [aux_sym_hostname_token1] = ACTIONS(3150),
    [aux_sym_identities_only_token1] = ACTIONS(3150),
    [aux_sym_identity_agent_token1] = ACTIONS(3150),
    [aux_sym_identity_file_token1] = ACTIONS(3150),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3150),
    [aux_sym_include_token1] = ACTIONS(3150),
    [aux_sym_ip_qos_token1] = ACTIONS(3150),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3150),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3150),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3150),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3150),
    [aux_sym_local_command_token1] = ACTIONS(3150),
    [aux_sym_local_forward_token1] = ACTIONS(3150),
    [aux_sym_log_level_token1] = ACTIONS(3150),
    [aux_sym_log_verbose_token1] = ACTIONS(3150),
    [aux_sym_macs_token1] = ACTIONS(3150),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3150),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3150),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3150),
    [aux_sym_password_authentication_token1] = ACTIONS(3150),
    [aux_sym_permit_local_command_token1] = ACTIONS(3150),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3150),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3150),
    [aux_sym_port_token1] = ACTIONS(3150),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3150),
    [aux_sym_protocol_token1] = ACTIONS(3150),
    [aux_sym_proxy_command_token1] = ACTIONS(3150),
    [aux_sym_proxy_jump_token1] = ACTIONS(3150),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3150),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3150),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3150),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3150),
    [aux_sym_rekey_limit_token1] = ACTIONS(3150),
    [aux_sym_remote_command_token1] = ACTIONS(3150),
    [aux_sym_remote_forward_token1] = ACTIONS(3150),
    [aux_sym_request_tty_token1] = ACTIONS(3150),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3150),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3150),
    [aux_sym_security_key_provider_token1] = ACTIONS(3150),
    [aux_sym_send_env_token1] = ACTIONS(3150),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3150),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3150),
    [aux_sym_session_type_token1] = ACTIONS(3150),
    [aux_sym_set_env_token1] = ACTIONS(3150),
    [aux_sym_stdin_null_token1] = ACTIONS(3150),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3150),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3150),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3150),
    [aux_sym_syslog_facility_token1] = ACTIONS(3150),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3150),
    [aux_sym_keep_alive_token1] = ACTIONS(3150),
    [aux_sym_tag_token1] = ACTIONS(3150),
    [aux_sym_tunnel_token1] = ACTIONS(3152),
    [aux_sym_tunnel_device_token1] = ACTIONS(3150),
    [aux_sym_update_host_keys_token1] = ACTIONS(3150),
    [aux_sym_use_keychain_token1] = ACTIONS(3150),
    [aux_sym_use_roaming_token1] = ACTIONS(3150),
    [aux_sym_user_token1] = ACTIONS(3152),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3150),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3150),
    [aux_sym_version_addendum_token1] = ACTIONS(3150),
    [aux_sym_visual_host_key_token1] = ACTIONS(3150),
    [aux_sym_xauth_location_token1] = ACTIONS(3150),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3156),
    [aux_sym_match_token1] = ACTIONS(3154),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3154),
    [aux_sym_address_family_token1] = ACTIONS(3154),
    [aux_sym_batch_mode_token1] = ACTIONS(3154),
    [aux_sym_bind_address_token1] = ACTIONS(3154),
    [aux_sym_bind_interface_token1] = ACTIONS(3154),
    [aux_sym_canonical_domains_token1] = ACTIONS(3154),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3154),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3154),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3154),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3154),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3154),
    [aux_sym_certificate_file_token1] = ACTIONS(3154),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3154),
    [aux_sym_channel_timeout_token1] = ACTIONS(3154),
    [aux_sym_check_host_ip_token1] = ACTIONS(3154),
    [aux_sym_ciphers_token1] = ACTIONS(3154),
    [aux_sym_cipher_token1] = ACTIONS(3156),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3154),
    [aux_sym_compression_token1] = ACTIONS(3154),
    [aux_sym_connection_attempts_token1] = ACTIONS(3154),
    [aux_sym_connect_timeout_token1] = ACTIONS(3154),
    [aux_sym_control_master_token1] = ACTIONS(3154),
    [aux_sym_control_path_token1] = ACTIONS(3154),
    [aux_sym_control_persist_token1] = ACTIONS(3154),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3154),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3154),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3154),
    [aux_sym_escape_char_token1] = ACTIONS(3154),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3154),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3154),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3154),
    [aux_sym_forward_agent_token1] = ACTIONS(3154),
    [aux_sym_forward_x11_token1] = ACTIONS(3156),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3154),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3154),
    [aux_sym_gateway_ports_token1] = ACTIONS(3154),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3154),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3154),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3154),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3154),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3154),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3154),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3154),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3154),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3154),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3154),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3154),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3154),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3154),
    [aux_sym_host_key_alias_token1] = ACTIONS(3154),
    [aux_sym_hostname_token1] = ACTIONS(3154),
    [aux_sym_identities_only_token1] = ACTIONS(3154),
    [aux_sym_identity_agent_token1] = ACTIONS(3154),
    [aux_sym_identity_file_token1] = ACTIONS(3154),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3154),
    [aux_sym_include_token1] = ACTIONS(3154),
    [aux_sym_ip_qos_token1] = ACTIONS(3154),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3154),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3154),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3154),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3154),
    [aux_sym_local_command_token1] = ACTIONS(3154),
    [aux_sym_local_forward_token1] = ACTIONS(3154),
    [aux_sym_log_level_token1] = ACTIONS(3154),
    [aux_sym_log_verbose_token1] = ACTIONS(3154),
    [aux_sym_macs_token1] = ACTIONS(3154),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3154),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3154),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3154),
    [aux_sym_password_authentication_token1] = ACTIONS(3154),
    [aux_sym_permit_local_command_token1] = ACTIONS(3154),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3154),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3154),
    [aux_sym_port_token1] = ACTIONS(3154),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3154),
    [aux_sym_protocol_token1] = ACTIONS(3154),
    [aux_sym_proxy_command_token1] = ACTIONS(3154),
    [aux_sym_proxy_jump_token1] = ACTIONS(3154),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3154),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3154),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3154),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3154),
    [aux_sym_rekey_limit_token1] = ACTIONS(3154),
    [aux_sym_remote_command_token1] = ACTIONS(3154),
    [aux_sym_remote_forward_token1] = ACTIONS(3154),
    [aux_sym_request_tty_token1] = ACTIONS(3154),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3154),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3154),
    [aux_sym_security_key_provider_token1] = ACTIONS(3154),
    [aux_sym_send_env_token1] = ACTIONS(3154),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3154),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3154),
    [aux_sym_session_type_token1] = ACTIONS(3154),
    [aux_sym_set_env_token1] = ACTIONS(3154),
    [aux_sym_stdin_null_token1] = ACTIONS(3154),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3154),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3154),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3154),
    [aux_sym_syslog_facility_token1] = ACTIONS(3154),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3154),
    [aux_sym_keep_alive_token1] = ACTIONS(3154),
    [aux_sym_tag_token1] = ACTIONS(3154),
    [aux_sym_tunnel_token1] = ACTIONS(3156),
    [aux_sym_tunnel_device_token1] = ACTIONS(3154),
    [aux_sym_update_host_keys_token1] = ACTIONS(3154),
    [aux_sym_use_keychain_token1] = ACTIONS(3154),
    [aux_sym_use_roaming_token1] = ACTIONS(3154),
    [aux_sym_user_token1] = ACTIONS(3156),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3154),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3154),
    [aux_sym_version_addendum_token1] = ACTIONS(3154),
    [aux_sym_visual_host_key_token1] = ACTIONS(3154),
    [aux_sym_xauth_location_token1] = ACTIONS(3154),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3160),
    [aux_sym_match_token1] = ACTIONS(3158),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3158),
    [aux_sym_address_family_token1] = ACTIONS(3158),
    [aux_sym_batch_mode_token1] = ACTIONS(3158),
    [aux_sym_bind_address_token1] = ACTIONS(3158),
    [aux_sym_bind_interface_token1] = ACTIONS(3158),
    [aux_sym_canonical_domains_token1] = ACTIONS(3158),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3158),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3158),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3158),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3158),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3158),
    [aux_sym_certificate_file_token1] = ACTIONS(3158),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3158),
    [aux_sym_channel_timeout_token1] = ACTIONS(3158),
    [aux_sym_check_host_ip_token1] = ACTIONS(3158),
    [aux_sym_ciphers_token1] = ACTIONS(3158),
    [aux_sym_cipher_token1] = ACTIONS(3160),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3158),
    [aux_sym_compression_token1] = ACTIONS(3158),
    [aux_sym_connection_attempts_token1] = ACTIONS(3158),
    [aux_sym_connect_timeout_token1] = ACTIONS(3158),
    [aux_sym_control_master_token1] = ACTIONS(3158),
    [aux_sym_control_path_token1] = ACTIONS(3158),
    [aux_sym_control_persist_token1] = ACTIONS(3158),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3158),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3158),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3158),
    [aux_sym_escape_char_token1] = ACTIONS(3158),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3158),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3158),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3158),
    [aux_sym_forward_agent_token1] = ACTIONS(3158),
    [aux_sym_forward_x11_token1] = ACTIONS(3160),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3158),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3158),
    [aux_sym_gateway_ports_token1] = ACTIONS(3158),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3158),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3158),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3158),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3158),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3158),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3158),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3158),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3158),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3158),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3158),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3158),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3158),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3158),
    [aux_sym_host_key_alias_token1] = ACTIONS(3158),
    [aux_sym_hostname_token1] = ACTIONS(3158),
    [aux_sym_identities_only_token1] = ACTIONS(3158),
    [aux_sym_identity_agent_token1] = ACTIONS(3158),
    [aux_sym_identity_file_token1] = ACTIONS(3158),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3158),
    [aux_sym_include_token1] = ACTIONS(3158),
    [aux_sym_ip_qos_token1] = ACTIONS(3158),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3158),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3158),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3158),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3158),
    [aux_sym_local_command_token1] = ACTIONS(3158),
    [aux_sym_local_forward_token1] = ACTIONS(3158),
    [aux_sym_log_level_token1] = ACTIONS(3158),
    [aux_sym_log_verbose_token1] = ACTIONS(3158),
    [aux_sym_macs_token1] = ACTIONS(3158),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3158),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3158),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3158),
    [aux_sym_password_authentication_token1] = ACTIONS(3158),
    [aux_sym_permit_local_command_token1] = ACTIONS(3158),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3158),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3158),
    [aux_sym_port_token1] = ACTIONS(3158),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3158),
    [aux_sym_protocol_token1] = ACTIONS(3158),
    [aux_sym_proxy_command_token1] = ACTIONS(3158),
    [aux_sym_proxy_jump_token1] = ACTIONS(3158),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3158),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3158),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3158),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3158),
    [aux_sym_rekey_limit_token1] = ACTIONS(3158),
    [aux_sym_remote_command_token1] = ACTIONS(3158),
    [aux_sym_remote_forward_token1] = ACTIONS(3158),
    [aux_sym_request_tty_token1] = ACTIONS(3158),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3158),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3158),
    [aux_sym_security_key_provider_token1] = ACTIONS(3158),
    [aux_sym_send_env_token1] = ACTIONS(3158),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3158),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3158),
    [aux_sym_session_type_token1] = ACTIONS(3158),
    [aux_sym_set_env_token1] = ACTIONS(3158),
    [aux_sym_stdin_null_token1] = ACTIONS(3158),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3158),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3158),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3158),
    [aux_sym_syslog_facility_token1] = ACTIONS(3158),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3158),
    [aux_sym_keep_alive_token1] = ACTIONS(3158),
    [aux_sym_tag_token1] = ACTIONS(3158),
    [aux_sym_tunnel_token1] = ACTIONS(3160),
    [aux_sym_tunnel_device_token1] = ACTIONS(3158),
    [aux_sym_update_host_keys_token1] = ACTIONS(3158),
    [aux_sym_use_keychain_token1] = ACTIONS(3158),
    [aux_sym_use_roaming_token1] = ACTIONS(3158),
    [aux_sym_user_token1] = ACTIONS(3160),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3158),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3158),
    [aux_sym_version_addendum_token1] = ACTIONS(3158),
    [aux_sym_visual_host_key_token1] = ACTIONS(3158),
    [aux_sym_xauth_location_token1] = ACTIONS(3158),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3164),
    [aux_sym_match_token1] = ACTIONS(3162),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3162),
    [aux_sym_address_family_token1] = ACTIONS(3162),
    [aux_sym_batch_mode_token1] = ACTIONS(3162),
    [aux_sym_bind_address_token1] = ACTIONS(3162),
    [aux_sym_bind_interface_token1] = ACTIONS(3162),
    [aux_sym_canonical_domains_token1] = ACTIONS(3162),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3162),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3162),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3162),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3162),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3162),
    [aux_sym_certificate_file_token1] = ACTIONS(3162),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3162),
    [aux_sym_channel_timeout_token1] = ACTIONS(3162),
    [aux_sym_check_host_ip_token1] = ACTIONS(3162),
    [aux_sym_ciphers_token1] = ACTIONS(3162),
    [aux_sym_cipher_token1] = ACTIONS(3164),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3162),
    [aux_sym_compression_token1] = ACTIONS(3162),
    [aux_sym_connection_attempts_token1] = ACTIONS(3162),
    [aux_sym_connect_timeout_token1] = ACTIONS(3162),
    [aux_sym_control_master_token1] = ACTIONS(3162),
    [aux_sym_control_path_token1] = ACTIONS(3162),
    [aux_sym_control_persist_token1] = ACTIONS(3162),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3162),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3162),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3162),
    [aux_sym_escape_char_token1] = ACTIONS(3162),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3162),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3162),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3162),
    [aux_sym_forward_agent_token1] = ACTIONS(3162),
    [aux_sym_forward_x11_token1] = ACTIONS(3164),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3162),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3162),
    [aux_sym_gateway_ports_token1] = ACTIONS(3162),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3162),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3162),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3162),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3162),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3162),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3162),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3162),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3162),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3162),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3162),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3162),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3162),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3162),
    [aux_sym_host_key_alias_token1] = ACTIONS(3162),
    [aux_sym_hostname_token1] = ACTIONS(3162),
    [aux_sym_identities_only_token1] = ACTIONS(3162),
    [aux_sym_identity_agent_token1] = ACTIONS(3162),
    [aux_sym_identity_file_token1] = ACTIONS(3162),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3162),
    [aux_sym_include_token1] = ACTIONS(3162),
    [aux_sym_ip_qos_token1] = ACTIONS(3162),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3162),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3162),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3162),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3162),
    [aux_sym_local_command_token1] = ACTIONS(3162),
    [aux_sym_local_forward_token1] = ACTIONS(3162),
    [aux_sym_log_level_token1] = ACTIONS(3162),
    [aux_sym_log_verbose_token1] = ACTIONS(3162),
    [aux_sym_macs_token1] = ACTIONS(3162),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3162),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3162),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3162),
    [aux_sym_password_authentication_token1] = ACTIONS(3162),
    [aux_sym_permit_local_command_token1] = ACTIONS(3162),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3162),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3162),
    [aux_sym_port_token1] = ACTIONS(3162),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3162),
    [aux_sym_protocol_token1] = ACTIONS(3162),
    [aux_sym_proxy_command_token1] = ACTIONS(3162),
    [aux_sym_proxy_jump_token1] = ACTIONS(3162),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3162),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3162),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3162),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3162),
    [aux_sym_rekey_limit_token1] = ACTIONS(3162),
    [aux_sym_remote_command_token1] = ACTIONS(3162),
    [aux_sym_remote_forward_token1] = ACTIONS(3162),
    [aux_sym_request_tty_token1] = ACTIONS(3162),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3162),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3162),
    [aux_sym_security_key_provider_token1] = ACTIONS(3162),
    [aux_sym_send_env_token1] = ACTIONS(3162),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3162),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3162),
    [aux_sym_session_type_token1] = ACTIONS(3162),
    [aux_sym_set_env_token1] = ACTIONS(3162),
    [aux_sym_stdin_null_token1] = ACTIONS(3162),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3162),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3162),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3162),
    [aux_sym_syslog_facility_token1] = ACTIONS(3162),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3162),
    [aux_sym_keep_alive_token1] = ACTIONS(3162),
    [aux_sym_tag_token1] = ACTIONS(3162),
    [aux_sym_tunnel_token1] = ACTIONS(3164),
    [aux_sym_tunnel_device_token1] = ACTIONS(3162),
    [aux_sym_update_host_keys_token1] = ACTIONS(3162),
    [aux_sym_use_keychain_token1] = ACTIONS(3162),
    [aux_sym_use_roaming_token1] = ACTIONS(3162),
    [aux_sym_user_token1] = ACTIONS(3164),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3162),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3162),
    [aux_sym_version_addendum_token1] = ACTIONS(3162),
    [aux_sym_visual_host_key_token1] = ACTIONS(3162),
    [aux_sym_xauth_location_token1] = ACTIONS(3162),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3168),
    [aux_sym_match_token1] = ACTIONS(3166),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3166),
    [aux_sym_address_family_token1] = ACTIONS(3166),
    [aux_sym_batch_mode_token1] = ACTIONS(3166),
    [aux_sym_bind_address_token1] = ACTIONS(3166),
    [aux_sym_bind_interface_token1] = ACTIONS(3166),
    [aux_sym_canonical_domains_token1] = ACTIONS(3166),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3166),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3166),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3166),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3166),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3166),
    [aux_sym_certificate_file_token1] = ACTIONS(3166),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3166),
    [aux_sym_channel_timeout_token1] = ACTIONS(3166),
    [aux_sym_check_host_ip_token1] = ACTIONS(3166),
    [aux_sym_ciphers_token1] = ACTIONS(3166),
    [aux_sym_cipher_token1] = ACTIONS(3168),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3166),
    [aux_sym_compression_token1] = ACTIONS(3166),
    [aux_sym_connection_attempts_token1] = ACTIONS(3166),
    [aux_sym_connect_timeout_token1] = ACTIONS(3166),
    [aux_sym_control_master_token1] = ACTIONS(3166),
    [aux_sym_control_path_token1] = ACTIONS(3166),
    [aux_sym_control_persist_token1] = ACTIONS(3166),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3166),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3166),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3166),
    [aux_sym_escape_char_token1] = ACTIONS(3166),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3166),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3166),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3166),
    [aux_sym_forward_agent_token1] = ACTIONS(3166),
    [aux_sym_forward_x11_token1] = ACTIONS(3168),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3166),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3166),
    [aux_sym_gateway_ports_token1] = ACTIONS(3166),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3166),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3166),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3166),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3166),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3166),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3166),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3166),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3166),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3166),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3166),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3166),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3166),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3166),
    [aux_sym_host_key_alias_token1] = ACTIONS(3166),
    [aux_sym_hostname_token1] = ACTIONS(3166),
    [aux_sym_identities_only_token1] = ACTIONS(3166),
    [aux_sym_identity_agent_token1] = ACTIONS(3166),
    [aux_sym_identity_file_token1] = ACTIONS(3166),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3166),
    [aux_sym_include_token1] = ACTIONS(3166),
    [aux_sym_ip_qos_token1] = ACTIONS(3166),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3166),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3166),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3166),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3166),
    [aux_sym_local_command_token1] = ACTIONS(3166),
    [aux_sym_local_forward_token1] = ACTIONS(3166),
    [aux_sym_log_level_token1] = ACTIONS(3166),
    [aux_sym_log_verbose_token1] = ACTIONS(3166),
    [aux_sym_macs_token1] = ACTIONS(3166),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3166),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3166),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3166),
    [aux_sym_password_authentication_token1] = ACTIONS(3166),
    [aux_sym_permit_local_command_token1] = ACTIONS(3166),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3166),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3166),
    [aux_sym_port_token1] = ACTIONS(3166),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3166),
    [aux_sym_protocol_token1] = ACTIONS(3166),
    [aux_sym_proxy_command_token1] = ACTIONS(3166),
    [aux_sym_proxy_jump_token1] = ACTIONS(3166),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3166),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3166),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3166),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3166),
    [aux_sym_rekey_limit_token1] = ACTIONS(3166),
    [aux_sym_remote_command_token1] = ACTIONS(3166),
    [aux_sym_remote_forward_token1] = ACTIONS(3166),
    [aux_sym_request_tty_token1] = ACTIONS(3166),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3166),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3166),
    [aux_sym_security_key_provider_token1] = ACTIONS(3166),
    [aux_sym_send_env_token1] = ACTIONS(3166),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3166),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3166),
    [aux_sym_session_type_token1] = ACTIONS(3166),
    [aux_sym_set_env_token1] = ACTIONS(3166),
    [aux_sym_stdin_null_token1] = ACTIONS(3166),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3166),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3166),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3166),
    [aux_sym_syslog_facility_token1] = ACTIONS(3166),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3166),
    [aux_sym_keep_alive_token1] = ACTIONS(3166),
    [aux_sym_tag_token1] = ACTIONS(3166),
    [aux_sym_tunnel_token1] = ACTIONS(3168),
    [aux_sym_tunnel_device_token1] = ACTIONS(3166),
    [aux_sym_update_host_keys_token1] = ACTIONS(3166),
    [aux_sym_use_keychain_token1] = ACTIONS(3166),
    [aux_sym_use_roaming_token1] = ACTIONS(3166),
    [aux_sym_user_token1] = ACTIONS(3168),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3166),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3166),
    [aux_sym_version_addendum_token1] = ACTIONS(3166),
    [aux_sym_visual_host_key_token1] = ACTIONS(3166),
    [aux_sym_xauth_location_token1] = ACTIONS(3166),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3172),
    [aux_sym_match_token1] = ACTIONS(3170),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3170),
    [aux_sym_address_family_token1] = ACTIONS(3170),
    [aux_sym_batch_mode_token1] = ACTIONS(3170),
    [aux_sym_bind_address_token1] = ACTIONS(3170),
    [aux_sym_bind_interface_token1] = ACTIONS(3170),
    [aux_sym_canonical_domains_token1] = ACTIONS(3170),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3170),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3170),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3170),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3170),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3170),
    [aux_sym_certificate_file_token1] = ACTIONS(3170),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3170),
    [aux_sym_channel_timeout_token1] = ACTIONS(3170),
    [aux_sym_check_host_ip_token1] = ACTIONS(3170),
    [aux_sym_ciphers_token1] = ACTIONS(3170),
    [aux_sym_cipher_token1] = ACTIONS(3172),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3170),
    [aux_sym_compression_token1] = ACTIONS(3170),
    [aux_sym_connection_attempts_token1] = ACTIONS(3170),
    [aux_sym_connect_timeout_token1] = ACTIONS(3170),
    [aux_sym_control_master_token1] = ACTIONS(3170),
    [aux_sym_control_path_token1] = ACTIONS(3170),
    [aux_sym_control_persist_token1] = ACTIONS(3170),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3170),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3170),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3170),
    [aux_sym_escape_char_token1] = ACTIONS(3170),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3170),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3170),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3170),
    [aux_sym_forward_agent_token1] = ACTIONS(3170),
    [aux_sym_forward_x11_token1] = ACTIONS(3172),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3170),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3170),
    [aux_sym_gateway_ports_token1] = ACTIONS(3170),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3170),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3170),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3170),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3170),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3170),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3170),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3170),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3170),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3170),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3170),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3170),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3170),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3170),
    [aux_sym_host_key_alias_token1] = ACTIONS(3170),
    [aux_sym_hostname_token1] = ACTIONS(3170),
    [aux_sym_identities_only_token1] = ACTIONS(3170),
    [aux_sym_identity_agent_token1] = ACTIONS(3170),
    [aux_sym_identity_file_token1] = ACTIONS(3170),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3170),
    [aux_sym_include_token1] = ACTIONS(3170),
    [aux_sym_ip_qos_token1] = ACTIONS(3170),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3170),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3170),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3170),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3170),
    [aux_sym_local_command_token1] = ACTIONS(3170),
    [aux_sym_local_forward_token1] = ACTIONS(3170),
    [aux_sym_log_level_token1] = ACTIONS(3170),
    [aux_sym_log_verbose_token1] = ACTIONS(3170),
    [aux_sym_macs_token1] = ACTIONS(3170),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3170),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3170),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3170),
    [aux_sym_password_authentication_token1] = ACTIONS(3170),
    [aux_sym_permit_local_command_token1] = ACTIONS(3170),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3170),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3170),
    [aux_sym_port_token1] = ACTIONS(3170),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3170),
    [aux_sym_protocol_token1] = ACTIONS(3170),
    [aux_sym_proxy_command_token1] = ACTIONS(3170),
    [aux_sym_proxy_jump_token1] = ACTIONS(3170),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3170),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3170),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3170),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3170),
    [aux_sym_rekey_limit_token1] = ACTIONS(3170),
    [aux_sym_remote_command_token1] = ACTIONS(3170),
    [aux_sym_remote_forward_token1] = ACTIONS(3170),
    [aux_sym_request_tty_token1] = ACTIONS(3170),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3170),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3170),
    [aux_sym_security_key_provider_token1] = ACTIONS(3170),
    [aux_sym_send_env_token1] = ACTIONS(3170),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3170),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3170),
    [aux_sym_session_type_token1] = ACTIONS(3170),
    [aux_sym_set_env_token1] = ACTIONS(3170),
    [aux_sym_stdin_null_token1] = ACTIONS(3170),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3170),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3170),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3170),
    [aux_sym_syslog_facility_token1] = ACTIONS(3170),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3170),
    [aux_sym_keep_alive_token1] = ACTIONS(3170),
    [aux_sym_tag_token1] = ACTIONS(3170),
    [aux_sym_tunnel_token1] = ACTIONS(3172),
    [aux_sym_tunnel_device_token1] = ACTIONS(3170),
    [aux_sym_update_host_keys_token1] = ACTIONS(3170),
    [aux_sym_use_keychain_token1] = ACTIONS(3170),
    [aux_sym_use_roaming_token1] = ACTIONS(3170),
    [aux_sym_user_token1] = ACTIONS(3172),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3170),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3170),
    [aux_sym_version_addendum_token1] = ACTIONS(3170),
    [aux_sym_visual_host_key_token1] = ACTIONS(3170),
    [aux_sym_xauth_location_token1] = ACTIONS(3170),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3176),
    [aux_sym_match_token1] = ACTIONS(3174),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3174),
    [aux_sym_address_family_token1] = ACTIONS(3174),
    [aux_sym_batch_mode_token1] = ACTIONS(3174),
    [aux_sym_bind_address_token1] = ACTIONS(3174),
    [aux_sym_bind_interface_token1] = ACTIONS(3174),
    [aux_sym_canonical_domains_token1] = ACTIONS(3174),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3174),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3174),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3174),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3174),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3174),
    [aux_sym_certificate_file_token1] = ACTIONS(3174),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3174),
    [aux_sym_channel_timeout_token1] = ACTIONS(3174),
    [aux_sym_check_host_ip_token1] = ACTIONS(3174),
    [aux_sym_ciphers_token1] = ACTIONS(3174),
    [aux_sym_cipher_token1] = ACTIONS(3176),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3174),
    [aux_sym_compression_token1] = ACTIONS(3174),
    [aux_sym_connection_attempts_token1] = ACTIONS(3174),
    [aux_sym_connect_timeout_token1] = ACTIONS(3174),
    [aux_sym_control_master_token1] = ACTIONS(3174),
    [aux_sym_control_path_token1] = ACTIONS(3174),
    [aux_sym_control_persist_token1] = ACTIONS(3174),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3174),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3174),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3174),
    [aux_sym_escape_char_token1] = ACTIONS(3174),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3174),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3174),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3174),
    [aux_sym_forward_agent_token1] = ACTIONS(3174),
    [aux_sym_forward_x11_token1] = ACTIONS(3176),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3174),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3174),
    [aux_sym_gateway_ports_token1] = ACTIONS(3174),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3174),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3174),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3174),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3174),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3174),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3174),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3174),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3174),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3174),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3174),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3174),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3174),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3174),
    [aux_sym_host_key_alias_token1] = ACTIONS(3174),
    [aux_sym_hostname_token1] = ACTIONS(3174),
    [aux_sym_identities_only_token1] = ACTIONS(3174),
    [aux_sym_identity_agent_token1] = ACTIONS(3174),
    [aux_sym_identity_file_token1] = ACTIONS(3174),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3174),
    [aux_sym_include_token1] = ACTIONS(3174),
    [aux_sym_ip_qos_token1] = ACTIONS(3174),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3174),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3174),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3174),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3174),
    [aux_sym_local_command_token1] = ACTIONS(3174),
    [aux_sym_local_forward_token1] = ACTIONS(3174),
    [aux_sym_log_level_token1] = ACTIONS(3174),
    [aux_sym_log_verbose_token1] = ACTIONS(3174),
    [aux_sym_macs_token1] = ACTIONS(3174),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3174),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3174),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3174),
    [aux_sym_password_authentication_token1] = ACTIONS(3174),
    [aux_sym_permit_local_command_token1] = ACTIONS(3174),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3174),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3174),
    [aux_sym_port_token1] = ACTIONS(3174),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3174),
    [aux_sym_protocol_token1] = ACTIONS(3174),
    [aux_sym_proxy_command_token1] = ACTIONS(3174),
    [aux_sym_proxy_jump_token1] = ACTIONS(3174),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3174),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3174),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3174),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3174),
    [aux_sym_rekey_limit_token1] = ACTIONS(3174),
    [aux_sym_remote_command_token1] = ACTIONS(3174),
    [aux_sym_remote_forward_token1] = ACTIONS(3174),
    [aux_sym_request_tty_token1] = ACTIONS(3174),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3174),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3174),
    [aux_sym_security_key_provider_token1] = ACTIONS(3174),
    [aux_sym_send_env_token1] = ACTIONS(3174),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3174),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3174),
    [aux_sym_session_type_token1] = ACTIONS(3174),
    [aux_sym_set_env_token1] = ACTIONS(3174),
    [aux_sym_stdin_null_token1] = ACTIONS(3174),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3174),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3174),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3174),
    [aux_sym_syslog_facility_token1] = ACTIONS(3174),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3174),
    [aux_sym_keep_alive_token1] = ACTIONS(3174),
    [aux_sym_tag_token1] = ACTIONS(3174),
    [aux_sym_tunnel_token1] = ACTIONS(3176),
    [aux_sym_tunnel_device_token1] = ACTIONS(3174),
    [aux_sym_update_host_keys_token1] = ACTIONS(3174),
    [aux_sym_use_keychain_token1] = ACTIONS(3174),
    [aux_sym_use_roaming_token1] = ACTIONS(3174),
    [aux_sym_user_token1] = ACTIONS(3176),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3174),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3174),
    [aux_sym_version_addendum_token1] = ACTIONS(3174),
    [aux_sym_visual_host_key_token1] = ACTIONS(3174),
    [aux_sym_xauth_location_token1] = ACTIONS(3174),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3180),
    [aux_sym_match_token1] = ACTIONS(3178),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3178),
    [aux_sym_address_family_token1] = ACTIONS(3178),
    [aux_sym_batch_mode_token1] = ACTIONS(3178),
    [aux_sym_bind_address_token1] = ACTIONS(3178),
    [aux_sym_bind_interface_token1] = ACTIONS(3178),
    [aux_sym_canonical_domains_token1] = ACTIONS(3178),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3178),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3178),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3178),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3178),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3178),
    [aux_sym_certificate_file_token1] = ACTIONS(3178),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3178),
    [aux_sym_channel_timeout_token1] = ACTIONS(3178),
    [aux_sym_check_host_ip_token1] = ACTIONS(3178),
    [aux_sym_ciphers_token1] = ACTIONS(3178),
    [aux_sym_cipher_token1] = ACTIONS(3180),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3178),
    [aux_sym_compression_token1] = ACTIONS(3178),
    [aux_sym_connection_attempts_token1] = ACTIONS(3178),
    [aux_sym_connect_timeout_token1] = ACTIONS(3178),
    [aux_sym_control_master_token1] = ACTIONS(3178),
    [aux_sym_control_path_token1] = ACTIONS(3178),
    [aux_sym_control_persist_token1] = ACTIONS(3178),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3178),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3178),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3178),
    [aux_sym_escape_char_token1] = ACTIONS(3178),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3178),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3178),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3178),
    [aux_sym_forward_agent_token1] = ACTIONS(3178),
    [aux_sym_forward_x11_token1] = ACTIONS(3180),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3178),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3178),
    [aux_sym_gateway_ports_token1] = ACTIONS(3178),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3178),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3178),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3178),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3178),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3178),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3178),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3178),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3178),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3178),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3178),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3178),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3178),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3178),
    [aux_sym_host_key_alias_token1] = ACTIONS(3178),
    [aux_sym_hostname_token1] = ACTIONS(3178),
    [aux_sym_identities_only_token1] = ACTIONS(3178),
    [aux_sym_identity_agent_token1] = ACTIONS(3178),
    [aux_sym_identity_file_token1] = ACTIONS(3178),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3178),
    [aux_sym_include_token1] = ACTIONS(3178),
    [aux_sym_ip_qos_token1] = ACTIONS(3178),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3178),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3178),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3178),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3178),
    [aux_sym_local_command_token1] = ACTIONS(3178),
    [aux_sym_local_forward_token1] = ACTIONS(3178),
    [aux_sym_log_level_token1] = ACTIONS(3178),
    [aux_sym_log_verbose_token1] = ACTIONS(3178),
    [aux_sym_macs_token1] = ACTIONS(3178),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3178),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3178),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3178),
    [aux_sym_password_authentication_token1] = ACTIONS(3178),
    [aux_sym_permit_local_command_token1] = ACTIONS(3178),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3178),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3178),
    [aux_sym_port_token1] = ACTIONS(3178),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3178),
    [aux_sym_protocol_token1] = ACTIONS(3178),
    [aux_sym_proxy_command_token1] = ACTIONS(3178),
    [aux_sym_proxy_jump_token1] = ACTIONS(3178),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3178),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3178),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3178),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3178),
    [aux_sym_rekey_limit_token1] = ACTIONS(3178),
    [aux_sym_remote_command_token1] = ACTIONS(3178),
    [aux_sym_remote_forward_token1] = ACTIONS(3178),
    [aux_sym_request_tty_token1] = ACTIONS(3178),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3178),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3178),
    [aux_sym_security_key_provider_token1] = ACTIONS(3178),
    [aux_sym_send_env_token1] = ACTIONS(3178),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3178),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3178),
    [aux_sym_session_type_token1] = ACTIONS(3178),
    [aux_sym_set_env_token1] = ACTIONS(3178),
    [aux_sym_stdin_null_token1] = ACTIONS(3178),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3178),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3178),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3178),
    [aux_sym_syslog_facility_token1] = ACTIONS(3178),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3178),
    [aux_sym_keep_alive_token1] = ACTIONS(3178),
    [aux_sym_tag_token1] = ACTIONS(3178),
    [aux_sym_tunnel_token1] = ACTIONS(3180),
    [aux_sym_tunnel_device_token1] = ACTIONS(3178),
    [aux_sym_update_host_keys_token1] = ACTIONS(3178),
    [aux_sym_use_keychain_token1] = ACTIONS(3178),
    [aux_sym_use_roaming_token1] = ACTIONS(3178),
    [aux_sym_user_token1] = ACTIONS(3180),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3178),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3178),
    [aux_sym_version_addendum_token1] = ACTIONS(3178),
    [aux_sym_visual_host_key_token1] = ACTIONS(3178),
    [aux_sym_xauth_location_token1] = ACTIONS(3178),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3184),
    [aux_sym_match_token1] = ACTIONS(3182),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3182),
    [aux_sym_address_family_token1] = ACTIONS(3182),
    [aux_sym_batch_mode_token1] = ACTIONS(3182),
    [aux_sym_bind_address_token1] = ACTIONS(3182),
    [aux_sym_bind_interface_token1] = ACTIONS(3182),
    [aux_sym_canonical_domains_token1] = ACTIONS(3182),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3182),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3182),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3182),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3182),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3182),
    [aux_sym_certificate_file_token1] = ACTIONS(3182),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3182),
    [aux_sym_channel_timeout_token1] = ACTIONS(3182),
    [aux_sym_check_host_ip_token1] = ACTIONS(3182),
    [aux_sym_ciphers_token1] = ACTIONS(3182),
    [aux_sym_cipher_token1] = ACTIONS(3184),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3182),
    [aux_sym_compression_token1] = ACTIONS(3182),
    [aux_sym_connection_attempts_token1] = ACTIONS(3182),
    [aux_sym_connect_timeout_token1] = ACTIONS(3182),
    [aux_sym_control_master_token1] = ACTIONS(3182),
    [aux_sym_control_path_token1] = ACTIONS(3182),
    [aux_sym_control_persist_token1] = ACTIONS(3182),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3182),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3182),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3182),
    [aux_sym_escape_char_token1] = ACTIONS(3182),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3182),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3182),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3182),
    [aux_sym_forward_agent_token1] = ACTIONS(3182),
    [aux_sym_forward_x11_token1] = ACTIONS(3184),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3182),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3182),
    [aux_sym_gateway_ports_token1] = ACTIONS(3182),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3182),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3182),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3182),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3182),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3182),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3182),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3182),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3182),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3182),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3182),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3182),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3182),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3182),
    [aux_sym_host_key_alias_token1] = ACTIONS(3182),
    [aux_sym_hostname_token1] = ACTIONS(3182),
    [aux_sym_identities_only_token1] = ACTIONS(3182),
    [aux_sym_identity_agent_token1] = ACTIONS(3182),
    [aux_sym_identity_file_token1] = ACTIONS(3182),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3182),
    [aux_sym_include_token1] = ACTIONS(3182),
    [aux_sym_ip_qos_token1] = ACTIONS(3182),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3182),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3182),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3182),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3182),
    [aux_sym_local_command_token1] = ACTIONS(3182),
    [aux_sym_local_forward_token1] = ACTIONS(3182),
    [aux_sym_log_level_token1] = ACTIONS(3182),
    [aux_sym_log_verbose_token1] = ACTIONS(3182),
    [aux_sym_macs_token1] = ACTIONS(3182),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3182),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3182),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3182),
    [aux_sym_password_authentication_token1] = ACTIONS(3182),
    [aux_sym_permit_local_command_token1] = ACTIONS(3182),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3182),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3182),
    [aux_sym_port_token1] = ACTIONS(3182),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3182),
    [aux_sym_protocol_token1] = ACTIONS(3182),
    [aux_sym_proxy_command_token1] = ACTIONS(3182),
    [aux_sym_proxy_jump_token1] = ACTIONS(3182),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3182),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3182),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3182),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3182),
    [aux_sym_rekey_limit_token1] = ACTIONS(3182),
    [aux_sym_remote_command_token1] = ACTIONS(3182),
    [aux_sym_remote_forward_token1] = ACTIONS(3182),
    [aux_sym_request_tty_token1] = ACTIONS(3182),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3182),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3182),
    [aux_sym_security_key_provider_token1] = ACTIONS(3182),
    [aux_sym_send_env_token1] = ACTIONS(3182),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3182),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3182),
    [aux_sym_session_type_token1] = ACTIONS(3182),
    [aux_sym_set_env_token1] = ACTIONS(3182),
    [aux_sym_stdin_null_token1] = ACTIONS(3182),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3182),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3182),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3182),
    [aux_sym_syslog_facility_token1] = ACTIONS(3182),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3182),
    [aux_sym_keep_alive_token1] = ACTIONS(3182),
    [aux_sym_tag_token1] = ACTIONS(3182),
    [aux_sym_tunnel_token1] = ACTIONS(3184),
    [aux_sym_tunnel_device_token1] = ACTIONS(3182),
    [aux_sym_update_host_keys_token1] = ACTIONS(3182),
    [aux_sym_use_keychain_token1] = ACTIONS(3182),
    [aux_sym_use_roaming_token1] = ACTIONS(3182),
    [aux_sym_user_token1] = ACTIONS(3184),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3182),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3182),
    [aux_sym_version_addendum_token1] = ACTIONS(3182),
    [aux_sym_visual_host_key_token1] = ACTIONS(3182),
    [aux_sym_xauth_location_token1] = ACTIONS(3182),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3188),
    [aux_sym_match_token1] = ACTIONS(3186),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3186),
    [aux_sym_address_family_token1] = ACTIONS(3186),
    [aux_sym_batch_mode_token1] = ACTIONS(3186),
    [aux_sym_bind_address_token1] = ACTIONS(3186),
    [aux_sym_bind_interface_token1] = ACTIONS(3186),
    [aux_sym_canonical_domains_token1] = ACTIONS(3186),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3186),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3186),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3186),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3186),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3186),
    [aux_sym_certificate_file_token1] = ACTIONS(3186),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3186),
    [aux_sym_channel_timeout_token1] = ACTIONS(3186),
    [aux_sym_check_host_ip_token1] = ACTIONS(3186),
    [aux_sym_ciphers_token1] = ACTIONS(3186),
    [aux_sym_cipher_token1] = ACTIONS(3188),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3186),
    [aux_sym_compression_token1] = ACTIONS(3186),
    [aux_sym_connection_attempts_token1] = ACTIONS(3186),
    [aux_sym_connect_timeout_token1] = ACTIONS(3186),
    [aux_sym_control_master_token1] = ACTIONS(3186),
    [aux_sym_control_path_token1] = ACTIONS(3186),
    [aux_sym_control_persist_token1] = ACTIONS(3186),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3186),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3186),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3186),
    [aux_sym_escape_char_token1] = ACTIONS(3186),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3186),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3186),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3186),
    [aux_sym_forward_agent_token1] = ACTIONS(3186),
    [aux_sym_forward_x11_token1] = ACTIONS(3188),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3186),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3186),
    [aux_sym_gateway_ports_token1] = ACTIONS(3186),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3186),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3186),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3186),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3186),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3186),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3186),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3186),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3186),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3186),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3186),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3186),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3186),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3186),
    [aux_sym_host_key_alias_token1] = ACTIONS(3186),
    [aux_sym_hostname_token1] = ACTIONS(3186),
    [aux_sym_identities_only_token1] = ACTIONS(3186),
    [aux_sym_identity_agent_token1] = ACTIONS(3186),
    [aux_sym_identity_file_token1] = ACTIONS(3186),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3186),
    [aux_sym_include_token1] = ACTIONS(3186),
    [aux_sym_ip_qos_token1] = ACTIONS(3186),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3186),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3186),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3186),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3186),
    [aux_sym_local_command_token1] = ACTIONS(3186),
    [aux_sym_local_forward_token1] = ACTIONS(3186),
    [aux_sym_log_level_token1] = ACTIONS(3186),
    [aux_sym_log_verbose_token1] = ACTIONS(3186),
    [aux_sym_macs_token1] = ACTIONS(3186),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3186),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3186),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3186),
    [aux_sym_password_authentication_token1] = ACTIONS(3186),
    [aux_sym_permit_local_command_token1] = ACTIONS(3186),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3186),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3186),
    [aux_sym_port_token1] = ACTIONS(3186),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3186),
    [aux_sym_protocol_token1] = ACTIONS(3186),
    [aux_sym_proxy_command_token1] = ACTIONS(3186),
    [aux_sym_proxy_jump_token1] = ACTIONS(3186),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3186),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3186),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3186),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3186),
    [aux_sym_rekey_limit_token1] = ACTIONS(3186),
    [aux_sym_remote_command_token1] = ACTIONS(3186),
    [aux_sym_remote_forward_token1] = ACTIONS(3186),
    [aux_sym_request_tty_token1] = ACTIONS(3186),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3186),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3186),
    [aux_sym_security_key_provider_token1] = ACTIONS(3186),
    [aux_sym_send_env_token1] = ACTIONS(3186),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3186),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3186),
    [aux_sym_session_type_token1] = ACTIONS(3186),
    [aux_sym_set_env_token1] = ACTIONS(3186),
    [aux_sym_stdin_null_token1] = ACTIONS(3186),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3186),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3186),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3186),
    [aux_sym_syslog_facility_token1] = ACTIONS(3186),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3186),
    [aux_sym_keep_alive_token1] = ACTIONS(3186),
    [aux_sym_tag_token1] = ACTIONS(3186),
    [aux_sym_tunnel_token1] = ACTIONS(3188),
    [aux_sym_tunnel_device_token1] = ACTIONS(3186),
    [aux_sym_update_host_keys_token1] = ACTIONS(3186),
    [aux_sym_use_keychain_token1] = ACTIONS(3186),
    [aux_sym_use_roaming_token1] = ACTIONS(3186),
    [aux_sym_user_token1] = ACTIONS(3188),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3186),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3186),
    [aux_sym_version_addendum_token1] = ACTIONS(3186),
    [aux_sym_visual_host_key_token1] = ACTIONS(3186),
    [aux_sym_xauth_location_token1] = ACTIONS(3186),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3192),
    [aux_sym_match_token1] = ACTIONS(3190),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3190),
    [aux_sym_address_family_token1] = ACTIONS(3190),
    [aux_sym_batch_mode_token1] = ACTIONS(3190),
    [aux_sym_bind_address_token1] = ACTIONS(3190),
    [aux_sym_bind_interface_token1] = ACTIONS(3190),
    [aux_sym_canonical_domains_token1] = ACTIONS(3190),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3190),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3190),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3190),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3190),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3190),
    [aux_sym_certificate_file_token1] = ACTIONS(3190),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3190),
    [aux_sym_channel_timeout_token1] = ACTIONS(3190),
    [aux_sym_check_host_ip_token1] = ACTIONS(3190),
    [aux_sym_ciphers_token1] = ACTIONS(3190),
    [aux_sym_cipher_token1] = ACTIONS(3192),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3190),
    [aux_sym_compression_token1] = ACTIONS(3190),
    [aux_sym_connection_attempts_token1] = ACTIONS(3190),
    [aux_sym_connect_timeout_token1] = ACTIONS(3190),
    [aux_sym_control_master_token1] = ACTIONS(3190),
    [aux_sym_control_path_token1] = ACTIONS(3190),
    [aux_sym_control_persist_token1] = ACTIONS(3190),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3190),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3190),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3190),
    [aux_sym_escape_char_token1] = ACTIONS(3190),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3190),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3190),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3190),
    [aux_sym_forward_agent_token1] = ACTIONS(3190),
    [aux_sym_forward_x11_token1] = ACTIONS(3192),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3190),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3190),
    [aux_sym_gateway_ports_token1] = ACTIONS(3190),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3190),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3190),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3190),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3190),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3190),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3190),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3190),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3190),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3190),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3190),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3190),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3190),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3190),
    [aux_sym_host_key_alias_token1] = ACTIONS(3190),
    [aux_sym_hostname_token1] = ACTIONS(3190),
    [aux_sym_identities_only_token1] = ACTIONS(3190),
    [aux_sym_identity_agent_token1] = ACTIONS(3190),
    [aux_sym_identity_file_token1] = ACTIONS(3190),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3190),
    [aux_sym_include_token1] = ACTIONS(3190),
    [aux_sym_ip_qos_token1] = ACTIONS(3190),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3190),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3190),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3190),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3190),
    [aux_sym_local_command_token1] = ACTIONS(3190),
    [aux_sym_local_forward_token1] = ACTIONS(3190),
    [aux_sym_log_level_token1] = ACTIONS(3190),
    [aux_sym_log_verbose_token1] = ACTIONS(3190),
    [aux_sym_macs_token1] = ACTIONS(3190),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3190),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3190),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3190),
    [aux_sym_password_authentication_token1] = ACTIONS(3190),
    [aux_sym_permit_local_command_token1] = ACTIONS(3190),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3190),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3190),
    [aux_sym_port_token1] = ACTIONS(3190),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3190),
    [aux_sym_protocol_token1] = ACTIONS(3190),
    [aux_sym_proxy_command_token1] = ACTIONS(3190),
    [aux_sym_proxy_jump_token1] = ACTIONS(3190),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3190),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3190),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3190),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3190),
    [aux_sym_rekey_limit_token1] = ACTIONS(3190),
    [aux_sym_remote_command_token1] = ACTIONS(3190),
    [aux_sym_remote_forward_token1] = ACTIONS(3190),
    [aux_sym_request_tty_token1] = ACTIONS(3190),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3190),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3190),
    [aux_sym_security_key_provider_token1] = ACTIONS(3190),
    [aux_sym_send_env_token1] = ACTIONS(3190),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3190),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3190),
    [aux_sym_session_type_token1] = ACTIONS(3190),
    [aux_sym_set_env_token1] = ACTIONS(3190),
    [aux_sym_stdin_null_token1] = ACTIONS(3190),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3190),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3190),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3190),
    [aux_sym_syslog_facility_token1] = ACTIONS(3190),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3190),
    [aux_sym_keep_alive_token1] = ACTIONS(3190),
    [aux_sym_tag_token1] = ACTIONS(3190),
    [aux_sym_tunnel_token1] = ACTIONS(3192),
    [aux_sym_tunnel_device_token1] = ACTIONS(3190),
    [aux_sym_update_host_keys_token1] = ACTIONS(3190),
    [aux_sym_use_keychain_token1] = ACTIONS(3190),
    [aux_sym_use_roaming_token1] = ACTIONS(3190),
    [aux_sym_user_token1] = ACTIONS(3192),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3190),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3190),
    [aux_sym_version_addendum_token1] = ACTIONS(3190),
    [aux_sym_visual_host_key_token1] = ACTIONS(3190),
    [aux_sym_xauth_location_token1] = ACTIONS(3190),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3196),
    [aux_sym_match_token1] = ACTIONS(3194),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3194),
    [aux_sym_address_family_token1] = ACTIONS(3194),
    [aux_sym_batch_mode_token1] = ACTIONS(3194),
    [aux_sym_bind_address_token1] = ACTIONS(3194),
    [aux_sym_bind_interface_token1] = ACTIONS(3194),
    [aux_sym_canonical_domains_token1] = ACTIONS(3194),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3194),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3194),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3194),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3194),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3194),
    [aux_sym_certificate_file_token1] = ACTIONS(3194),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3194),
    [aux_sym_channel_timeout_token1] = ACTIONS(3194),
    [aux_sym_check_host_ip_token1] = ACTIONS(3194),
    [aux_sym_ciphers_token1] = ACTIONS(3194),
    [aux_sym_cipher_token1] = ACTIONS(3196),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3194),
    [aux_sym_compression_token1] = ACTIONS(3194),
    [aux_sym_connection_attempts_token1] = ACTIONS(3194),
    [aux_sym_connect_timeout_token1] = ACTIONS(3194),
    [aux_sym_control_master_token1] = ACTIONS(3194),
    [aux_sym_control_path_token1] = ACTIONS(3194),
    [aux_sym_control_persist_token1] = ACTIONS(3194),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3194),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3194),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3194),
    [aux_sym_escape_char_token1] = ACTIONS(3194),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3194),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3194),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3194),
    [aux_sym_forward_agent_token1] = ACTIONS(3194),
    [aux_sym_forward_x11_token1] = ACTIONS(3196),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3194),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3194),
    [aux_sym_gateway_ports_token1] = ACTIONS(3194),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3194),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3194),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3194),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3194),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3194),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3194),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3194),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3194),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3194),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3194),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3194),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3194),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3194),
    [aux_sym_host_key_alias_token1] = ACTIONS(3194),
    [aux_sym_hostname_token1] = ACTIONS(3194),
    [aux_sym_identities_only_token1] = ACTIONS(3194),
    [aux_sym_identity_agent_token1] = ACTIONS(3194),
    [aux_sym_identity_file_token1] = ACTIONS(3194),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3194),
    [aux_sym_include_token1] = ACTIONS(3194),
    [aux_sym_ip_qos_token1] = ACTIONS(3194),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3194),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3194),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3194),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3194),
    [aux_sym_local_command_token1] = ACTIONS(3194),
    [aux_sym_local_forward_token1] = ACTIONS(3194),
    [aux_sym_log_level_token1] = ACTIONS(3194),
    [aux_sym_log_verbose_token1] = ACTIONS(3194),
    [aux_sym_macs_token1] = ACTIONS(3194),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3194),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3194),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3194),
    [aux_sym_password_authentication_token1] = ACTIONS(3194),
    [aux_sym_permit_local_command_token1] = ACTIONS(3194),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3194),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3194),
    [aux_sym_port_token1] = ACTIONS(3194),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3194),
    [aux_sym_protocol_token1] = ACTIONS(3194),
    [aux_sym_proxy_command_token1] = ACTIONS(3194),
    [aux_sym_proxy_jump_token1] = ACTIONS(3194),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3194),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3194),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3194),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3194),
    [aux_sym_rekey_limit_token1] = ACTIONS(3194),
    [aux_sym_remote_command_token1] = ACTIONS(3194),
    [aux_sym_remote_forward_token1] = ACTIONS(3194),
    [aux_sym_request_tty_token1] = ACTIONS(3194),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3194),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3194),
    [aux_sym_security_key_provider_token1] = ACTIONS(3194),
    [aux_sym_send_env_token1] = ACTIONS(3194),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3194),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3194),
    [aux_sym_session_type_token1] = ACTIONS(3194),
    [aux_sym_set_env_token1] = ACTIONS(3194),
    [aux_sym_stdin_null_token1] = ACTIONS(3194),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3194),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3194),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3194),
    [aux_sym_syslog_facility_token1] = ACTIONS(3194),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3194),
    [aux_sym_keep_alive_token1] = ACTIONS(3194),
    [aux_sym_tag_token1] = ACTIONS(3194),
    [aux_sym_tunnel_token1] = ACTIONS(3196),
    [aux_sym_tunnel_device_token1] = ACTIONS(3194),
    [aux_sym_update_host_keys_token1] = ACTIONS(3194),
    [aux_sym_use_keychain_token1] = ACTIONS(3194),
    [aux_sym_use_roaming_token1] = ACTIONS(3194),
    [aux_sym_user_token1] = ACTIONS(3196),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3194),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3194),
    [aux_sym_version_addendum_token1] = ACTIONS(3194),
    [aux_sym_visual_host_key_token1] = ACTIONS(3194),
    [aux_sym_xauth_location_token1] = ACTIONS(3194),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(3198),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3200),
    [aux_sym_match_token1] = ACTIONS(3198),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3198),
    [aux_sym_address_family_token1] = ACTIONS(3198),
    [aux_sym_batch_mode_token1] = ACTIONS(3198),
    [aux_sym_bind_address_token1] = ACTIONS(3198),
    [aux_sym_bind_interface_token1] = ACTIONS(3198),
    [aux_sym_canonical_domains_token1] = ACTIONS(3198),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3198),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3198),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3198),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3198),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3198),
    [aux_sym_certificate_file_token1] = ACTIONS(3198),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3198),
    [aux_sym_channel_timeout_token1] = ACTIONS(3198),
    [aux_sym_check_host_ip_token1] = ACTIONS(3198),
    [aux_sym_ciphers_token1] = ACTIONS(3198),
    [aux_sym_cipher_token1] = ACTIONS(3200),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3198),
    [aux_sym_compression_token1] = ACTIONS(3198),
    [aux_sym_connection_attempts_token1] = ACTIONS(3198),
    [aux_sym_connect_timeout_token1] = ACTIONS(3198),
    [aux_sym_control_master_token1] = ACTIONS(3198),
    [aux_sym_control_path_token1] = ACTIONS(3198),
    [aux_sym_control_persist_token1] = ACTIONS(3198),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3198),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3198),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3198),
    [aux_sym_escape_char_token1] = ACTIONS(3198),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3198),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3198),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3198),
    [aux_sym_forward_agent_token1] = ACTIONS(3198),
    [aux_sym_forward_x11_token1] = ACTIONS(3200),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3198),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3198),
    [aux_sym_gateway_ports_token1] = ACTIONS(3198),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3198),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3198),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3198),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3198),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3198),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3198),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3198),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3198),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3198),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3198),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3198),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3198),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3198),
    [aux_sym_host_key_alias_token1] = ACTIONS(3198),
    [aux_sym_hostname_token1] = ACTIONS(3198),
    [aux_sym_identities_only_token1] = ACTIONS(3198),
    [aux_sym_identity_agent_token1] = ACTIONS(3198),
    [aux_sym_identity_file_token1] = ACTIONS(3198),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3198),
    [aux_sym_include_token1] = ACTIONS(3198),
    [aux_sym_ip_qos_token1] = ACTIONS(3198),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3198),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3198),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3198),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3198),
    [aux_sym_local_command_token1] = ACTIONS(3198),
    [aux_sym_local_forward_token1] = ACTIONS(3198),
    [aux_sym_log_level_token1] = ACTIONS(3198),
    [aux_sym_log_verbose_token1] = ACTIONS(3198),
    [aux_sym_macs_token1] = ACTIONS(3198),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3198),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3198),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3198),
    [aux_sym_password_authentication_token1] = ACTIONS(3198),
    [aux_sym_permit_local_command_token1] = ACTIONS(3198),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3198),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3198),
    [aux_sym_port_token1] = ACTIONS(3198),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3198),
    [aux_sym_protocol_token1] = ACTIONS(3198),
    [aux_sym_proxy_command_token1] = ACTIONS(3198),
    [aux_sym_proxy_jump_token1] = ACTIONS(3198),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3198),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3198),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3198),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3198),
    [aux_sym_rekey_limit_token1] = ACTIONS(3198),
    [aux_sym_remote_command_token1] = ACTIONS(3198),
    [aux_sym_remote_forward_token1] = ACTIONS(3198),
    [aux_sym_request_tty_token1] = ACTIONS(3198),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3198),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3198),
    [aux_sym_security_key_provider_token1] = ACTIONS(3198),
    [aux_sym_send_env_token1] = ACTIONS(3198),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3198),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3198),
    [aux_sym_session_type_token1] = ACTIONS(3198),
    [aux_sym_set_env_token1] = ACTIONS(3198),
    [aux_sym_stdin_null_token1] = ACTIONS(3198),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3198),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3198),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3198),
    [aux_sym_syslog_facility_token1] = ACTIONS(3198),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3198),
    [aux_sym_keep_alive_token1] = ACTIONS(3198),
    [aux_sym_tag_token1] = ACTIONS(3198),
    [aux_sym_tunnel_token1] = ACTIONS(3200),
    [aux_sym_tunnel_device_token1] = ACTIONS(3198),
    [aux_sym_update_host_keys_token1] = ACTIONS(3198),
    [aux_sym_use_keychain_token1] = ACTIONS(3198),
    [aux_sym_use_roaming_token1] = ACTIONS(3198),
    [aux_sym_user_token1] = ACTIONS(3200),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3198),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3198),
    [aux_sym_version_addendum_token1] = ACTIONS(3198),
    [aux_sym_visual_host_key_token1] = ACTIONS(3198),
    [aux_sym_xauth_location_token1] = ACTIONS(3198),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(3202),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3204),
    [aux_sym_match_token1] = ACTIONS(3202),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3202),
    [aux_sym_address_family_token1] = ACTIONS(3202),
    [aux_sym_batch_mode_token1] = ACTIONS(3202),
    [aux_sym_bind_address_token1] = ACTIONS(3202),
    [aux_sym_bind_interface_token1] = ACTIONS(3202),
    [aux_sym_canonical_domains_token1] = ACTIONS(3202),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3202),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3202),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3202),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3202),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3202),
    [aux_sym_certificate_file_token1] = ACTIONS(3202),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3202),
    [aux_sym_channel_timeout_token1] = ACTIONS(3202),
    [aux_sym_check_host_ip_token1] = ACTIONS(3202),
    [aux_sym_ciphers_token1] = ACTIONS(3202),
    [aux_sym_cipher_token1] = ACTIONS(3204),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3202),
    [aux_sym_compression_token1] = ACTIONS(3202),
    [aux_sym_connection_attempts_token1] = ACTIONS(3202),
    [aux_sym_connect_timeout_token1] = ACTIONS(3202),
    [aux_sym_control_master_token1] = ACTIONS(3202),
    [aux_sym_control_path_token1] = ACTIONS(3202),
    [aux_sym_control_persist_token1] = ACTIONS(3202),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3202),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3202),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3202),
    [aux_sym_escape_char_token1] = ACTIONS(3202),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3202),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3202),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3202),
    [aux_sym_forward_agent_token1] = ACTIONS(3202),
    [aux_sym_forward_x11_token1] = ACTIONS(3204),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3202),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3202),
    [aux_sym_gateway_ports_token1] = ACTIONS(3202),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3202),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3202),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3202),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3202),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3202),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3202),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3202),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3202),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3202),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3202),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3202),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3202),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3202),
    [aux_sym_host_key_alias_token1] = ACTIONS(3202),
    [aux_sym_hostname_token1] = ACTIONS(3202),
    [aux_sym_identities_only_token1] = ACTIONS(3202),
    [aux_sym_identity_agent_token1] = ACTIONS(3202),
    [aux_sym_identity_file_token1] = ACTIONS(3202),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3202),
    [aux_sym_include_token1] = ACTIONS(3202),
    [aux_sym_ip_qos_token1] = ACTIONS(3202),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3202),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3202),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3202),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3202),
    [aux_sym_local_command_token1] = ACTIONS(3202),
    [aux_sym_local_forward_token1] = ACTIONS(3202),
    [aux_sym_log_level_token1] = ACTIONS(3202),
    [aux_sym_log_verbose_token1] = ACTIONS(3202),
    [aux_sym_macs_token1] = ACTIONS(3202),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3202),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3202),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3202),
    [aux_sym_password_authentication_token1] = ACTIONS(3202),
    [aux_sym_permit_local_command_token1] = ACTIONS(3202),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3202),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3202),
    [aux_sym_port_token1] = ACTIONS(3202),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3202),
    [aux_sym_protocol_token1] = ACTIONS(3202),
    [aux_sym_proxy_command_token1] = ACTIONS(3202),
    [aux_sym_proxy_jump_token1] = ACTIONS(3202),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3202),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3202),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3202),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3202),
    [aux_sym_rekey_limit_token1] = ACTIONS(3202),
    [aux_sym_remote_command_token1] = ACTIONS(3202),
    [aux_sym_remote_forward_token1] = ACTIONS(3202),
    [aux_sym_request_tty_token1] = ACTIONS(3202),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3202),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3202),
    [aux_sym_security_key_provider_token1] = ACTIONS(3202),
    [aux_sym_send_env_token1] = ACTIONS(3202),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3202),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3202),
    [aux_sym_session_type_token1] = ACTIONS(3202),
    [aux_sym_set_env_token1] = ACTIONS(3202),
    [aux_sym_stdin_null_token1] = ACTIONS(3202),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3202),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3202),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3202),
    [aux_sym_syslog_facility_token1] = ACTIONS(3202),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3202),
    [aux_sym_keep_alive_token1] = ACTIONS(3202),
    [aux_sym_tag_token1] = ACTIONS(3202),
    [aux_sym_tunnel_token1] = ACTIONS(3204),
    [aux_sym_tunnel_device_token1] = ACTIONS(3202),
    [aux_sym_update_host_keys_token1] = ACTIONS(3202),
    [aux_sym_use_keychain_token1] = ACTIONS(3202),
    [aux_sym_use_roaming_token1] = ACTIONS(3202),
    [aux_sym_user_token1] = ACTIONS(3204),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3202),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3202),
    [aux_sym_version_addendum_token1] = ACTIONS(3202),
    [aux_sym_visual_host_key_token1] = ACTIONS(3202),
    [aux_sym_xauth_location_token1] = ACTIONS(3202),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3208),
    [aux_sym_match_token1] = ACTIONS(3206),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3206),
    [aux_sym_address_family_token1] = ACTIONS(3206),
    [aux_sym_batch_mode_token1] = ACTIONS(3206),
    [aux_sym_bind_address_token1] = ACTIONS(3206),
    [aux_sym_bind_interface_token1] = ACTIONS(3206),
    [aux_sym_canonical_domains_token1] = ACTIONS(3206),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3206),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3206),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3206),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3206),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3206),
    [aux_sym_certificate_file_token1] = ACTIONS(3206),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3206),
    [aux_sym_channel_timeout_token1] = ACTIONS(3206),
    [aux_sym_check_host_ip_token1] = ACTIONS(3206),
    [aux_sym_ciphers_token1] = ACTIONS(3206),
    [aux_sym_cipher_token1] = ACTIONS(3208),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3206),
    [aux_sym_compression_token1] = ACTIONS(3206),
    [aux_sym_connection_attempts_token1] = ACTIONS(3206),
    [aux_sym_connect_timeout_token1] = ACTIONS(3206),
    [aux_sym_control_master_token1] = ACTIONS(3206),
    [aux_sym_control_path_token1] = ACTIONS(3206),
    [aux_sym_control_persist_token1] = ACTIONS(3206),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3206),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3206),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3206),
    [aux_sym_escape_char_token1] = ACTIONS(3206),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3206),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3206),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3206),
    [aux_sym_forward_agent_token1] = ACTIONS(3206),
    [aux_sym_forward_x11_token1] = ACTIONS(3208),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3206),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3206),
    [aux_sym_gateway_ports_token1] = ACTIONS(3206),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3206),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3206),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3206),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3206),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3206),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3206),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3206),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3206),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3206),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3206),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3206),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3206),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3206),
    [aux_sym_host_key_alias_token1] = ACTIONS(3206),
    [aux_sym_hostname_token1] = ACTIONS(3206),
    [aux_sym_identities_only_token1] = ACTIONS(3206),
    [aux_sym_identity_agent_token1] = ACTIONS(3206),
    [aux_sym_identity_file_token1] = ACTIONS(3206),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3206),
    [aux_sym_include_token1] = ACTIONS(3206),
    [aux_sym_ip_qos_token1] = ACTIONS(3206),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3206),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3206),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3206),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3206),
    [aux_sym_local_command_token1] = ACTIONS(3206),
    [aux_sym_local_forward_token1] = ACTIONS(3206),
    [aux_sym_log_level_token1] = ACTIONS(3206),
    [aux_sym_log_verbose_token1] = ACTIONS(3206),
    [aux_sym_macs_token1] = ACTIONS(3206),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3206),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3206),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3206),
    [aux_sym_password_authentication_token1] = ACTIONS(3206),
    [aux_sym_permit_local_command_token1] = ACTIONS(3206),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3206),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3206),
    [aux_sym_port_token1] = ACTIONS(3206),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3206),
    [aux_sym_protocol_token1] = ACTIONS(3206),
    [aux_sym_proxy_command_token1] = ACTIONS(3206),
    [aux_sym_proxy_jump_token1] = ACTIONS(3206),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3206),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3206),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3206),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3206),
    [aux_sym_rekey_limit_token1] = ACTIONS(3206),
    [aux_sym_remote_command_token1] = ACTIONS(3206),
    [aux_sym_remote_forward_token1] = ACTIONS(3206),
    [aux_sym_request_tty_token1] = ACTIONS(3206),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3206),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3206),
    [aux_sym_security_key_provider_token1] = ACTIONS(3206),
    [aux_sym_send_env_token1] = ACTIONS(3206),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3206),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3206),
    [aux_sym_session_type_token1] = ACTIONS(3206),
    [aux_sym_set_env_token1] = ACTIONS(3206),
    [aux_sym_stdin_null_token1] = ACTIONS(3206),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3206),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3206),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3206),
    [aux_sym_syslog_facility_token1] = ACTIONS(3206),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3206),
    [aux_sym_keep_alive_token1] = ACTIONS(3206),
    [aux_sym_tag_token1] = ACTIONS(3206),
    [aux_sym_tunnel_token1] = ACTIONS(3208),
    [aux_sym_tunnel_device_token1] = ACTIONS(3206),
    [aux_sym_update_host_keys_token1] = ACTIONS(3206),
    [aux_sym_use_keychain_token1] = ACTIONS(3206),
    [aux_sym_use_roaming_token1] = ACTIONS(3206),
    [aux_sym_user_token1] = ACTIONS(3208),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3206),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3206),
    [aux_sym_version_addendum_token1] = ACTIONS(3206),
    [aux_sym_visual_host_key_token1] = ACTIONS(3206),
    [aux_sym_xauth_location_token1] = ACTIONS(3206),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3212),
    [aux_sym_match_token1] = ACTIONS(3210),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3210),
    [aux_sym_address_family_token1] = ACTIONS(3210),
    [aux_sym_batch_mode_token1] = ACTIONS(3210),
    [aux_sym_bind_address_token1] = ACTIONS(3210),
    [aux_sym_bind_interface_token1] = ACTIONS(3210),
    [aux_sym_canonical_domains_token1] = ACTIONS(3210),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3210),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3210),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3210),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3210),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3210),
    [aux_sym_certificate_file_token1] = ACTIONS(3210),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3210),
    [aux_sym_channel_timeout_token1] = ACTIONS(3210),
    [aux_sym_check_host_ip_token1] = ACTIONS(3210),
    [aux_sym_ciphers_token1] = ACTIONS(3210),
    [aux_sym_cipher_token1] = ACTIONS(3212),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3210),
    [aux_sym_compression_token1] = ACTIONS(3210),
    [aux_sym_connection_attempts_token1] = ACTIONS(3210),
    [aux_sym_connect_timeout_token1] = ACTIONS(3210),
    [aux_sym_control_master_token1] = ACTIONS(3210),
    [aux_sym_control_path_token1] = ACTIONS(3210),
    [aux_sym_control_persist_token1] = ACTIONS(3210),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3210),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3210),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3210),
    [aux_sym_escape_char_token1] = ACTIONS(3210),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3210),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3210),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3210),
    [aux_sym_forward_agent_token1] = ACTIONS(3210),
    [aux_sym_forward_x11_token1] = ACTIONS(3212),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3210),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3210),
    [aux_sym_gateway_ports_token1] = ACTIONS(3210),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3210),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3210),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3210),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3210),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3210),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3210),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3210),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3210),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3210),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3210),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3210),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3210),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3210),
    [aux_sym_host_key_alias_token1] = ACTIONS(3210),
    [aux_sym_hostname_token1] = ACTIONS(3210),
    [aux_sym_identities_only_token1] = ACTIONS(3210),
    [aux_sym_identity_agent_token1] = ACTIONS(3210),
    [aux_sym_identity_file_token1] = ACTIONS(3210),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3210),
    [aux_sym_include_token1] = ACTIONS(3210),
    [aux_sym_ip_qos_token1] = ACTIONS(3210),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3210),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3210),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3210),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3210),
    [aux_sym_local_command_token1] = ACTIONS(3210),
    [aux_sym_local_forward_token1] = ACTIONS(3210),
    [aux_sym_log_level_token1] = ACTIONS(3210),
    [aux_sym_log_verbose_token1] = ACTIONS(3210),
    [aux_sym_macs_token1] = ACTIONS(3210),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3210),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3210),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3210),
    [aux_sym_password_authentication_token1] = ACTIONS(3210),
    [aux_sym_permit_local_command_token1] = ACTIONS(3210),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3210),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3210),
    [aux_sym_port_token1] = ACTIONS(3210),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3210),
    [aux_sym_protocol_token1] = ACTIONS(3210),
    [aux_sym_proxy_command_token1] = ACTIONS(3210),
    [aux_sym_proxy_jump_token1] = ACTIONS(3210),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3210),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3210),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3210),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3210),
    [aux_sym_rekey_limit_token1] = ACTIONS(3210),
    [aux_sym_remote_command_token1] = ACTIONS(3210),
    [aux_sym_remote_forward_token1] = ACTIONS(3210),
    [aux_sym_request_tty_token1] = ACTIONS(3210),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3210),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3210),
    [aux_sym_security_key_provider_token1] = ACTIONS(3210),
    [aux_sym_send_env_token1] = ACTIONS(3210),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3210),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3210),
    [aux_sym_session_type_token1] = ACTIONS(3210),
    [aux_sym_set_env_token1] = ACTIONS(3210),
    [aux_sym_stdin_null_token1] = ACTIONS(3210),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3210),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3210),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3210),
    [aux_sym_syslog_facility_token1] = ACTIONS(3210),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3210),
    [aux_sym_keep_alive_token1] = ACTIONS(3210),
    [aux_sym_tag_token1] = ACTIONS(3210),
    [aux_sym_tunnel_token1] = ACTIONS(3212),
    [aux_sym_tunnel_device_token1] = ACTIONS(3210),
    [aux_sym_update_host_keys_token1] = ACTIONS(3210),
    [aux_sym_use_keychain_token1] = ACTIONS(3210),
    [aux_sym_use_roaming_token1] = ACTIONS(3210),
    [aux_sym_user_token1] = ACTIONS(3212),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3210),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3210),
    [aux_sym_version_addendum_token1] = ACTIONS(3210),
    [aux_sym_visual_host_key_token1] = ACTIONS(3210),
    [aux_sym_xauth_location_token1] = ACTIONS(3210),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3216),
    [aux_sym_match_token1] = ACTIONS(3214),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3214),
    [aux_sym_address_family_token1] = ACTIONS(3214),
    [aux_sym_batch_mode_token1] = ACTIONS(3214),
    [aux_sym_bind_address_token1] = ACTIONS(3214),
    [aux_sym_bind_interface_token1] = ACTIONS(3214),
    [aux_sym_canonical_domains_token1] = ACTIONS(3214),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3214),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3214),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3214),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3214),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3214),
    [aux_sym_certificate_file_token1] = ACTIONS(3214),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3214),
    [aux_sym_channel_timeout_token1] = ACTIONS(3214),
    [aux_sym_check_host_ip_token1] = ACTIONS(3214),
    [aux_sym_ciphers_token1] = ACTIONS(3214),
    [aux_sym_cipher_token1] = ACTIONS(3216),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3214),
    [aux_sym_compression_token1] = ACTIONS(3214),
    [aux_sym_connection_attempts_token1] = ACTIONS(3214),
    [aux_sym_connect_timeout_token1] = ACTIONS(3214),
    [aux_sym_control_master_token1] = ACTIONS(3214),
    [aux_sym_control_path_token1] = ACTIONS(3214),
    [aux_sym_control_persist_token1] = ACTIONS(3214),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3214),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3214),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3214),
    [aux_sym_escape_char_token1] = ACTIONS(3214),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3214),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3214),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3214),
    [aux_sym_forward_agent_token1] = ACTIONS(3214),
    [aux_sym_forward_x11_token1] = ACTIONS(3216),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3214),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3214),
    [aux_sym_gateway_ports_token1] = ACTIONS(3214),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3214),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3214),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3214),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3214),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3214),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3214),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3214),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3214),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3214),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3214),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3214),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3214),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3214),
    [aux_sym_host_key_alias_token1] = ACTIONS(3214),
    [aux_sym_hostname_token1] = ACTIONS(3214),
    [aux_sym_identities_only_token1] = ACTIONS(3214),
    [aux_sym_identity_agent_token1] = ACTIONS(3214),
    [aux_sym_identity_file_token1] = ACTIONS(3214),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3214),
    [aux_sym_include_token1] = ACTIONS(3214),
    [aux_sym_ip_qos_token1] = ACTIONS(3214),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3214),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3214),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3214),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3214),
    [aux_sym_local_command_token1] = ACTIONS(3214),
    [aux_sym_local_forward_token1] = ACTIONS(3214),
    [aux_sym_log_level_token1] = ACTIONS(3214),
    [aux_sym_log_verbose_token1] = ACTIONS(3214),
    [aux_sym_macs_token1] = ACTIONS(3214),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3214),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3214),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3214),
    [aux_sym_password_authentication_token1] = ACTIONS(3214),
    [aux_sym_permit_local_command_token1] = ACTIONS(3214),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3214),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3214),
    [aux_sym_port_token1] = ACTIONS(3214),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3214),
    [aux_sym_protocol_token1] = ACTIONS(3214),
    [aux_sym_proxy_command_token1] = ACTIONS(3214),
    [aux_sym_proxy_jump_token1] = ACTIONS(3214),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3214),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3214),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3214),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3214),
    [aux_sym_rekey_limit_token1] = ACTIONS(3214),
    [aux_sym_remote_command_token1] = ACTIONS(3214),
    [aux_sym_remote_forward_token1] = ACTIONS(3214),
    [aux_sym_request_tty_token1] = ACTIONS(3214),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3214),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3214),
    [aux_sym_security_key_provider_token1] = ACTIONS(3214),
    [aux_sym_send_env_token1] = ACTIONS(3214),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3214),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3214),
    [aux_sym_session_type_token1] = ACTIONS(3214),
    [aux_sym_set_env_token1] = ACTIONS(3214),
    [aux_sym_stdin_null_token1] = ACTIONS(3214),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3214),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3214),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3214),
    [aux_sym_syslog_facility_token1] = ACTIONS(3214),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3214),
    [aux_sym_keep_alive_token1] = ACTIONS(3214),
    [aux_sym_tag_token1] = ACTIONS(3214),
    [aux_sym_tunnel_token1] = ACTIONS(3216),
    [aux_sym_tunnel_device_token1] = ACTIONS(3214),
    [aux_sym_update_host_keys_token1] = ACTIONS(3214),
    [aux_sym_use_keychain_token1] = ACTIONS(3214),
    [aux_sym_use_roaming_token1] = ACTIONS(3214),
    [aux_sym_user_token1] = ACTIONS(3216),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3214),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3214),
    [aux_sym_version_addendum_token1] = ACTIONS(3214),
    [aux_sym_visual_host_key_token1] = ACTIONS(3214),
    [aux_sym_xauth_location_token1] = ACTIONS(3214),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(3218),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3220),
    [aux_sym_match_token1] = ACTIONS(3218),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3218),
    [aux_sym_address_family_token1] = ACTIONS(3218),
    [aux_sym_batch_mode_token1] = ACTIONS(3218),
    [aux_sym_bind_address_token1] = ACTIONS(3218),
    [aux_sym_bind_interface_token1] = ACTIONS(3218),
    [aux_sym_canonical_domains_token1] = ACTIONS(3218),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3218),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3218),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3218),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3218),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3218),
    [aux_sym_certificate_file_token1] = ACTIONS(3218),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3218),
    [aux_sym_channel_timeout_token1] = ACTIONS(3218),
    [aux_sym_check_host_ip_token1] = ACTIONS(3218),
    [aux_sym_ciphers_token1] = ACTIONS(3218),
    [aux_sym_cipher_token1] = ACTIONS(3220),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3218),
    [aux_sym_compression_token1] = ACTIONS(3218),
    [aux_sym_connection_attempts_token1] = ACTIONS(3218),
    [aux_sym_connect_timeout_token1] = ACTIONS(3218),
    [aux_sym_control_master_token1] = ACTIONS(3218),
    [aux_sym_control_path_token1] = ACTIONS(3218),
    [aux_sym_control_persist_token1] = ACTIONS(3218),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3218),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3218),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3218),
    [aux_sym_escape_char_token1] = ACTIONS(3218),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3218),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3218),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3218),
    [aux_sym_forward_agent_token1] = ACTIONS(3218),
    [aux_sym_forward_x11_token1] = ACTIONS(3220),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3218),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3218),
    [aux_sym_gateway_ports_token1] = ACTIONS(3218),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3218),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3218),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3218),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3218),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3218),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3218),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3218),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3218),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3218),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3218),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3218),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3218),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3218),
    [aux_sym_host_key_alias_token1] = ACTIONS(3218),
    [aux_sym_hostname_token1] = ACTIONS(3218),
    [aux_sym_identities_only_token1] = ACTIONS(3218),
    [aux_sym_identity_agent_token1] = ACTIONS(3218),
    [aux_sym_identity_file_token1] = ACTIONS(3218),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3218),
    [aux_sym_include_token1] = ACTIONS(3218),
    [aux_sym_ip_qos_token1] = ACTIONS(3218),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3218),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3218),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3218),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3218),
    [aux_sym_local_command_token1] = ACTIONS(3218),
    [aux_sym_local_forward_token1] = ACTIONS(3218),
    [aux_sym_log_level_token1] = ACTIONS(3218),
    [aux_sym_log_verbose_token1] = ACTIONS(3218),
    [aux_sym_macs_token1] = ACTIONS(3218),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3218),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3218),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3218),
    [aux_sym_password_authentication_token1] = ACTIONS(3218),
    [aux_sym_permit_local_command_token1] = ACTIONS(3218),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3218),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3218),
    [aux_sym_port_token1] = ACTIONS(3218),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3218),
    [aux_sym_protocol_token1] = ACTIONS(3218),
    [aux_sym_proxy_command_token1] = ACTIONS(3218),
    [aux_sym_proxy_jump_token1] = ACTIONS(3218),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3218),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3218),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3218),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3218),
    [aux_sym_rekey_limit_token1] = ACTIONS(3218),
    [aux_sym_remote_command_token1] = ACTIONS(3218),
    [aux_sym_remote_forward_token1] = ACTIONS(3218),
    [aux_sym_request_tty_token1] = ACTIONS(3218),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3218),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3218),
    [aux_sym_security_key_provider_token1] = ACTIONS(3218),
    [aux_sym_send_env_token1] = ACTIONS(3218),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3218),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3218),
    [aux_sym_session_type_token1] = ACTIONS(3218),
    [aux_sym_set_env_token1] = ACTIONS(3218),
    [aux_sym_stdin_null_token1] = ACTIONS(3218),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3218),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3218),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3218),
    [aux_sym_syslog_facility_token1] = ACTIONS(3218),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3218),
    [aux_sym_keep_alive_token1] = ACTIONS(3218),
    [aux_sym_tag_token1] = ACTIONS(3218),
    [aux_sym_tunnel_token1] = ACTIONS(3220),
    [aux_sym_tunnel_device_token1] = ACTIONS(3218),
    [aux_sym_update_host_keys_token1] = ACTIONS(3218),
    [aux_sym_use_keychain_token1] = ACTIONS(3218),
    [aux_sym_use_roaming_token1] = ACTIONS(3218),
    [aux_sym_user_token1] = ACTIONS(3220),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3218),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3218),
    [aux_sym_version_addendum_token1] = ACTIONS(3218),
    [aux_sym_visual_host_key_token1] = ACTIONS(3218),
    [aux_sym_xauth_location_token1] = ACTIONS(3218),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3222),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3224),
    [aux_sym_match_token1] = ACTIONS(3222),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3222),
    [aux_sym_address_family_token1] = ACTIONS(3222),
    [aux_sym_batch_mode_token1] = ACTIONS(3222),
    [aux_sym_bind_address_token1] = ACTIONS(3222),
    [aux_sym_bind_interface_token1] = ACTIONS(3222),
    [aux_sym_canonical_domains_token1] = ACTIONS(3222),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3222),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3222),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3222),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3222),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3222),
    [aux_sym_certificate_file_token1] = ACTIONS(3222),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3222),
    [aux_sym_channel_timeout_token1] = ACTIONS(3222),
    [aux_sym_check_host_ip_token1] = ACTIONS(3222),
    [aux_sym_ciphers_token1] = ACTIONS(3222),
    [aux_sym_cipher_token1] = ACTIONS(3224),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3222),
    [aux_sym_compression_token1] = ACTIONS(3222),
    [aux_sym_connection_attempts_token1] = ACTIONS(3222),
    [aux_sym_connect_timeout_token1] = ACTIONS(3222),
    [aux_sym_control_master_token1] = ACTIONS(3222),
    [aux_sym_control_path_token1] = ACTIONS(3222),
    [aux_sym_control_persist_token1] = ACTIONS(3222),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3222),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3222),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3222),
    [aux_sym_escape_char_token1] = ACTIONS(3222),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3222),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3222),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3222),
    [aux_sym_forward_agent_token1] = ACTIONS(3222),
    [aux_sym_forward_x11_token1] = ACTIONS(3224),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3222),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3222),
    [aux_sym_gateway_ports_token1] = ACTIONS(3222),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3222),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3222),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3222),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3222),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3222),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3222),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3222),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3222),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3222),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3222),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3222),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3222),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3222),
    [aux_sym_host_key_alias_token1] = ACTIONS(3222),
    [aux_sym_hostname_token1] = ACTIONS(3222),
    [aux_sym_identities_only_token1] = ACTIONS(3222),
    [aux_sym_identity_agent_token1] = ACTIONS(3222),
    [aux_sym_identity_file_token1] = ACTIONS(3222),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3222),
    [aux_sym_include_token1] = ACTIONS(3222),
    [aux_sym_ip_qos_token1] = ACTIONS(3222),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3222),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3222),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3222),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3222),
    [aux_sym_local_command_token1] = ACTIONS(3222),
    [aux_sym_local_forward_token1] = ACTIONS(3222),
    [aux_sym_log_level_token1] = ACTIONS(3222),
    [aux_sym_log_verbose_token1] = ACTIONS(3222),
    [aux_sym_macs_token1] = ACTIONS(3222),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3222),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3222),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3222),
    [aux_sym_password_authentication_token1] = ACTIONS(3222),
    [aux_sym_permit_local_command_token1] = ACTIONS(3222),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3222),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3222),
    [aux_sym_port_token1] = ACTIONS(3222),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3222),
    [aux_sym_protocol_token1] = ACTIONS(3222),
    [aux_sym_proxy_command_token1] = ACTIONS(3222),
    [aux_sym_proxy_jump_token1] = ACTIONS(3222),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3222),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3222),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3222),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3222),
    [aux_sym_rekey_limit_token1] = ACTIONS(3222),
    [aux_sym_remote_command_token1] = ACTIONS(3222),
    [aux_sym_remote_forward_token1] = ACTIONS(3222),
    [aux_sym_request_tty_token1] = ACTIONS(3222),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3222),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3222),
    [aux_sym_security_key_provider_token1] = ACTIONS(3222),
    [aux_sym_send_env_token1] = ACTIONS(3222),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3222),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3222),
    [aux_sym_session_type_token1] = ACTIONS(3222),
    [aux_sym_set_env_token1] = ACTIONS(3222),
    [aux_sym_stdin_null_token1] = ACTIONS(3222),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3222),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3222),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3222),
    [aux_sym_syslog_facility_token1] = ACTIONS(3222),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3222),
    [aux_sym_keep_alive_token1] = ACTIONS(3222),
    [aux_sym_tag_token1] = ACTIONS(3222),
    [aux_sym_tunnel_token1] = ACTIONS(3224),
    [aux_sym_tunnel_device_token1] = ACTIONS(3222),
    [aux_sym_update_host_keys_token1] = ACTIONS(3222),
    [aux_sym_use_keychain_token1] = ACTIONS(3222),
    [aux_sym_use_roaming_token1] = ACTIONS(3222),
    [aux_sym_user_token1] = ACTIONS(3224),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3222),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3222),
    [aux_sym_version_addendum_token1] = ACTIONS(3222),
    [aux_sym_visual_host_key_token1] = ACTIONS(3222),
    [aux_sym_xauth_location_token1] = ACTIONS(3222),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3228),
    [aux_sym_match_token1] = ACTIONS(3226),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3226),
    [aux_sym_address_family_token1] = ACTIONS(3226),
    [aux_sym_batch_mode_token1] = ACTIONS(3226),
    [aux_sym_bind_address_token1] = ACTIONS(3226),
    [aux_sym_bind_interface_token1] = ACTIONS(3226),
    [aux_sym_canonical_domains_token1] = ACTIONS(3226),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3226),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3226),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3226),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3226),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3226),
    [aux_sym_certificate_file_token1] = ACTIONS(3226),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3226),
    [aux_sym_channel_timeout_token1] = ACTIONS(3226),
    [aux_sym_check_host_ip_token1] = ACTIONS(3226),
    [aux_sym_ciphers_token1] = ACTIONS(3226),
    [aux_sym_cipher_token1] = ACTIONS(3228),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3226),
    [aux_sym_compression_token1] = ACTIONS(3226),
    [aux_sym_connection_attempts_token1] = ACTIONS(3226),
    [aux_sym_connect_timeout_token1] = ACTIONS(3226),
    [aux_sym_control_master_token1] = ACTIONS(3226),
    [aux_sym_control_path_token1] = ACTIONS(3226),
    [aux_sym_control_persist_token1] = ACTIONS(3226),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3226),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3226),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3226),
    [aux_sym_escape_char_token1] = ACTIONS(3226),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3226),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3226),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3226),
    [aux_sym_forward_agent_token1] = ACTIONS(3226),
    [aux_sym_forward_x11_token1] = ACTIONS(3228),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3226),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3226),
    [aux_sym_gateway_ports_token1] = ACTIONS(3226),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3226),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3226),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3226),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3226),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3226),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3226),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3226),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3226),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3226),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3226),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3226),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3226),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3226),
    [aux_sym_host_key_alias_token1] = ACTIONS(3226),
    [aux_sym_hostname_token1] = ACTIONS(3226),
    [aux_sym_identities_only_token1] = ACTIONS(3226),
    [aux_sym_identity_agent_token1] = ACTIONS(3226),
    [aux_sym_identity_file_token1] = ACTIONS(3226),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3226),
    [aux_sym_include_token1] = ACTIONS(3226),
    [aux_sym_ip_qos_token1] = ACTIONS(3226),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3226),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3226),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3226),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3226),
    [aux_sym_local_command_token1] = ACTIONS(3226),
    [aux_sym_local_forward_token1] = ACTIONS(3226),
    [aux_sym_log_level_token1] = ACTIONS(3226),
    [aux_sym_log_verbose_token1] = ACTIONS(3226),
    [aux_sym_macs_token1] = ACTIONS(3226),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3226),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3226),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3226),
    [aux_sym_password_authentication_token1] = ACTIONS(3226),
    [aux_sym_permit_local_command_token1] = ACTIONS(3226),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3226),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3226),
    [aux_sym_port_token1] = ACTIONS(3226),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3226),
    [aux_sym_protocol_token1] = ACTIONS(3226),
    [aux_sym_proxy_command_token1] = ACTIONS(3226),
    [aux_sym_proxy_jump_token1] = ACTIONS(3226),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3226),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3226),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3226),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3226),
    [aux_sym_rekey_limit_token1] = ACTIONS(3226),
    [aux_sym_remote_command_token1] = ACTIONS(3226),
    [aux_sym_remote_forward_token1] = ACTIONS(3226),
    [aux_sym_request_tty_token1] = ACTIONS(3226),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3226),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3226),
    [aux_sym_security_key_provider_token1] = ACTIONS(3226),
    [aux_sym_send_env_token1] = ACTIONS(3226),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3226),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3226),
    [aux_sym_session_type_token1] = ACTIONS(3226),
    [aux_sym_set_env_token1] = ACTIONS(3226),
    [aux_sym_stdin_null_token1] = ACTIONS(3226),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3226),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3226),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3226),
    [aux_sym_syslog_facility_token1] = ACTIONS(3226),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3226),
    [aux_sym_keep_alive_token1] = ACTIONS(3226),
    [aux_sym_tag_token1] = ACTIONS(3226),
    [aux_sym_tunnel_token1] = ACTIONS(3228),
    [aux_sym_tunnel_device_token1] = ACTIONS(3226),
    [aux_sym_update_host_keys_token1] = ACTIONS(3226),
    [aux_sym_use_keychain_token1] = ACTIONS(3226),
    [aux_sym_use_roaming_token1] = ACTIONS(3226),
    [aux_sym_user_token1] = ACTIONS(3228),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3226),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3226),
    [aux_sym_version_addendum_token1] = ACTIONS(3226),
    [aux_sym_visual_host_key_token1] = ACTIONS(3226),
    [aux_sym_xauth_location_token1] = ACTIONS(3226),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3232),
    [aux_sym_match_token1] = ACTIONS(3230),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3230),
    [aux_sym_address_family_token1] = ACTIONS(3230),
    [aux_sym_batch_mode_token1] = ACTIONS(3230),
    [aux_sym_bind_address_token1] = ACTIONS(3230),
    [aux_sym_bind_interface_token1] = ACTIONS(3230),
    [aux_sym_canonical_domains_token1] = ACTIONS(3230),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3230),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3230),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3230),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3230),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3230),
    [aux_sym_certificate_file_token1] = ACTIONS(3230),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3230),
    [aux_sym_channel_timeout_token1] = ACTIONS(3230),
    [aux_sym_check_host_ip_token1] = ACTIONS(3230),
    [aux_sym_ciphers_token1] = ACTIONS(3230),
    [aux_sym_cipher_token1] = ACTIONS(3232),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3230),
    [aux_sym_compression_token1] = ACTIONS(3230),
    [aux_sym_connection_attempts_token1] = ACTIONS(3230),
    [aux_sym_connect_timeout_token1] = ACTIONS(3230),
    [aux_sym_control_master_token1] = ACTIONS(3230),
    [aux_sym_control_path_token1] = ACTIONS(3230),
    [aux_sym_control_persist_token1] = ACTIONS(3230),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3230),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3230),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3230),
    [aux_sym_escape_char_token1] = ACTIONS(3230),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3230),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3230),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3230),
    [aux_sym_forward_agent_token1] = ACTIONS(3230),
    [aux_sym_forward_x11_token1] = ACTIONS(3232),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3230),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3230),
    [aux_sym_gateway_ports_token1] = ACTIONS(3230),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3230),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3230),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3230),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3230),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3230),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3230),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3230),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3230),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3230),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3230),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3230),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3230),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3230),
    [aux_sym_host_key_alias_token1] = ACTIONS(3230),
    [aux_sym_hostname_token1] = ACTIONS(3230),
    [aux_sym_identities_only_token1] = ACTIONS(3230),
    [aux_sym_identity_agent_token1] = ACTIONS(3230),
    [aux_sym_identity_file_token1] = ACTIONS(3230),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3230),
    [aux_sym_include_token1] = ACTIONS(3230),
    [aux_sym_ip_qos_token1] = ACTIONS(3230),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3230),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3230),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3230),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3230),
    [aux_sym_local_command_token1] = ACTIONS(3230),
    [aux_sym_local_forward_token1] = ACTIONS(3230),
    [aux_sym_log_level_token1] = ACTIONS(3230),
    [aux_sym_log_verbose_token1] = ACTIONS(3230),
    [aux_sym_macs_token1] = ACTIONS(3230),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3230),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3230),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3230),
    [aux_sym_password_authentication_token1] = ACTIONS(3230),
    [aux_sym_permit_local_command_token1] = ACTIONS(3230),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3230),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3230),
    [aux_sym_port_token1] = ACTIONS(3230),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3230),
    [aux_sym_protocol_token1] = ACTIONS(3230),
    [aux_sym_proxy_command_token1] = ACTIONS(3230),
    [aux_sym_proxy_jump_token1] = ACTIONS(3230),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3230),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3230),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3230),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3230),
    [aux_sym_rekey_limit_token1] = ACTIONS(3230),
    [aux_sym_remote_command_token1] = ACTIONS(3230),
    [aux_sym_remote_forward_token1] = ACTIONS(3230),
    [aux_sym_request_tty_token1] = ACTIONS(3230),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3230),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3230),
    [aux_sym_security_key_provider_token1] = ACTIONS(3230),
    [aux_sym_send_env_token1] = ACTIONS(3230),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3230),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3230),
    [aux_sym_session_type_token1] = ACTIONS(3230),
    [aux_sym_set_env_token1] = ACTIONS(3230),
    [aux_sym_stdin_null_token1] = ACTIONS(3230),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3230),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3230),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3230),
    [aux_sym_syslog_facility_token1] = ACTIONS(3230),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3230),
    [aux_sym_keep_alive_token1] = ACTIONS(3230),
    [aux_sym_tag_token1] = ACTIONS(3230),
    [aux_sym_tunnel_token1] = ACTIONS(3232),
    [aux_sym_tunnel_device_token1] = ACTIONS(3230),
    [aux_sym_update_host_keys_token1] = ACTIONS(3230),
    [aux_sym_use_keychain_token1] = ACTIONS(3230),
    [aux_sym_use_roaming_token1] = ACTIONS(3230),
    [aux_sym_user_token1] = ACTIONS(3232),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3230),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3230),
    [aux_sym_version_addendum_token1] = ACTIONS(3230),
    [aux_sym_visual_host_key_token1] = ACTIONS(3230),
    [aux_sym_xauth_location_token1] = ACTIONS(3230),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3236),
    [aux_sym_match_token1] = ACTIONS(3234),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3234),
    [aux_sym_address_family_token1] = ACTIONS(3234),
    [aux_sym_batch_mode_token1] = ACTIONS(3234),
    [aux_sym_bind_address_token1] = ACTIONS(3234),
    [aux_sym_bind_interface_token1] = ACTIONS(3234),
    [aux_sym_canonical_domains_token1] = ACTIONS(3234),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3234),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3234),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3234),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3234),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3234),
    [aux_sym_certificate_file_token1] = ACTIONS(3234),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3234),
    [aux_sym_channel_timeout_token1] = ACTIONS(3234),
    [aux_sym_check_host_ip_token1] = ACTIONS(3234),
    [aux_sym_ciphers_token1] = ACTIONS(3234),
    [aux_sym_cipher_token1] = ACTIONS(3236),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3234),
    [aux_sym_compression_token1] = ACTIONS(3234),
    [aux_sym_connection_attempts_token1] = ACTIONS(3234),
    [aux_sym_connect_timeout_token1] = ACTIONS(3234),
    [aux_sym_control_master_token1] = ACTIONS(3234),
    [aux_sym_control_path_token1] = ACTIONS(3234),
    [aux_sym_control_persist_token1] = ACTIONS(3234),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3234),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3234),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3234),
    [aux_sym_escape_char_token1] = ACTIONS(3234),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3234),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3234),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3234),
    [aux_sym_forward_agent_token1] = ACTIONS(3234),
    [aux_sym_forward_x11_token1] = ACTIONS(3236),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3234),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3234),
    [aux_sym_gateway_ports_token1] = ACTIONS(3234),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3234),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3234),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3234),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3234),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3234),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3234),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3234),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3234),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3234),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3234),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3234),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3234),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3234),
    [aux_sym_host_key_alias_token1] = ACTIONS(3234),
    [aux_sym_hostname_token1] = ACTIONS(3234),
    [aux_sym_identities_only_token1] = ACTIONS(3234),
    [aux_sym_identity_agent_token1] = ACTIONS(3234),
    [aux_sym_identity_file_token1] = ACTIONS(3234),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3234),
    [aux_sym_include_token1] = ACTIONS(3234),
    [aux_sym_ip_qos_token1] = ACTIONS(3234),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3234),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3234),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3234),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3234),
    [aux_sym_local_command_token1] = ACTIONS(3234),
    [aux_sym_local_forward_token1] = ACTIONS(3234),
    [aux_sym_log_level_token1] = ACTIONS(3234),
    [aux_sym_log_verbose_token1] = ACTIONS(3234),
    [aux_sym_macs_token1] = ACTIONS(3234),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3234),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3234),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3234),
    [aux_sym_password_authentication_token1] = ACTIONS(3234),
    [aux_sym_permit_local_command_token1] = ACTIONS(3234),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3234),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3234),
    [aux_sym_port_token1] = ACTIONS(3234),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3234),
    [aux_sym_protocol_token1] = ACTIONS(3234),
    [aux_sym_proxy_command_token1] = ACTIONS(3234),
    [aux_sym_proxy_jump_token1] = ACTIONS(3234),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3234),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3234),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3234),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3234),
    [aux_sym_rekey_limit_token1] = ACTIONS(3234),
    [aux_sym_remote_command_token1] = ACTIONS(3234),
    [aux_sym_remote_forward_token1] = ACTIONS(3234),
    [aux_sym_request_tty_token1] = ACTIONS(3234),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3234),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3234),
    [aux_sym_security_key_provider_token1] = ACTIONS(3234),
    [aux_sym_send_env_token1] = ACTIONS(3234),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3234),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3234),
    [aux_sym_session_type_token1] = ACTIONS(3234),
    [aux_sym_set_env_token1] = ACTIONS(3234),
    [aux_sym_stdin_null_token1] = ACTIONS(3234),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3234),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3234),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3234),
    [aux_sym_syslog_facility_token1] = ACTIONS(3234),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3234),
    [aux_sym_keep_alive_token1] = ACTIONS(3234),
    [aux_sym_tag_token1] = ACTIONS(3234),
    [aux_sym_tunnel_token1] = ACTIONS(3236),
    [aux_sym_tunnel_device_token1] = ACTIONS(3234),
    [aux_sym_update_host_keys_token1] = ACTIONS(3234),
    [aux_sym_use_keychain_token1] = ACTIONS(3234),
    [aux_sym_use_roaming_token1] = ACTIONS(3234),
    [aux_sym_user_token1] = ACTIONS(3236),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3234),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3234),
    [aux_sym_version_addendum_token1] = ACTIONS(3234),
    [aux_sym_visual_host_key_token1] = ACTIONS(3234),
    [aux_sym_xauth_location_token1] = ACTIONS(3234),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(3238),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3240),
    [aux_sym_match_token1] = ACTIONS(3238),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3238),
    [aux_sym_address_family_token1] = ACTIONS(3238),
    [aux_sym_batch_mode_token1] = ACTIONS(3238),
    [aux_sym_bind_address_token1] = ACTIONS(3238),
    [aux_sym_bind_interface_token1] = ACTIONS(3238),
    [aux_sym_canonical_domains_token1] = ACTIONS(3238),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3238),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3238),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3238),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3238),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3238),
    [aux_sym_certificate_file_token1] = ACTIONS(3238),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3238),
    [aux_sym_channel_timeout_token1] = ACTIONS(3238),
    [aux_sym_check_host_ip_token1] = ACTIONS(3238),
    [aux_sym_ciphers_token1] = ACTIONS(3238),
    [aux_sym_cipher_token1] = ACTIONS(3240),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3238),
    [aux_sym_compression_token1] = ACTIONS(3238),
    [aux_sym_connection_attempts_token1] = ACTIONS(3238),
    [aux_sym_connect_timeout_token1] = ACTIONS(3238),
    [aux_sym_control_master_token1] = ACTIONS(3238),
    [aux_sym_control_path_token1] = ACTIONS(3238),
    [aux_sym_control_persist_token1] = ACTIONS(3238),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3238),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3238),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3238),
    [aux_sym_escape_char_token1] = ACTIONS(3238),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3238),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3238),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3238),
    [aux_sym_forward_agent_token1] = ACTIONS(3238),
    [aux_sym_forward_x11_token1] = ACTIONS(3240),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3238),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3238),
    [aux_sym_gateway_ports_token1] = ACTIONS(3238),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3238),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3238),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3238),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3238),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3238),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3238),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3238),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3238),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3238),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3238),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3238),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3238),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3238),
    [aux_sym_host_key_alias_token1] = ACTIONS(3238),
    [aux_sym_hostname_token1] = ACTIONS(3238),
    [aux_sym_identities_only_token1] = ACTIONS(3238),
    [aux_sym_identity_agent_token1] = ACTIONS(3238),
    [aux_sym_identity_file_token1] = ACTIONS(3238),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3238),
    [aux_sym_include_token1] = ACTIONS(3238),
    [aux_sym_ip_qos_token1] = ACTIONS(3238),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3238),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3238),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3238),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3238),
    [aux_sym_local_command_token1] = ACTIONS(3238),
    [aux_sym_local_forward_token1] = ACTIONS(3238),
    [aux_sym_log_level_token1] = ACTIONS(3238),
    [aux_sym_log_verbose_token1] = ACTIONS(3238),
    [aux_sym_macs_token1] = ACTIONS(3238),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3238),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3238),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3238),
    [aux_sym_password_authentication_token1] = ACTIONS(3238),
    [aux_sym_permit_local_command_token1] = ACTIONS(3238),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3238),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3238),
    [aux_sym_port_token1] = ACTIONS(3238),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3238),
    [aux_sym_protocol_token1] = ACTIONS(3238),
    [aux_sym_proxy_command_token1] = ACTIONS(3238),
    [aux_sym_proxy_jump_token1] = ACTIONS(3238),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3238),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3238),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3238),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3238),
    [aux_sym_rekey_limit_token1] = ACTIONS(3238),
    [aux_sym_remote_command_token1] = ACTIONS(3238),
    [aux_sym_remote_forward_token1] = ACTIONS(3238),
    [aux_sym_request_tty_token1] = ACTIONS(3238),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3238),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3238),
    [aux_sym_security_key_provider_token1] = ACTIONS(3238),
    [aux_sym_send_env_token1] = ACTIONS(3238),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3238),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3238),
    [aux_sym_session_type_token1] = ACTIONS(3238),
    [aux_sym_set_env_token1] = ACTIONS(3238),
    [aux_sym_stdin_null_token1] = ACTIONS(3238),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3238),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3238),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3238),
    [aux_sym_syslog_facility_token1] = ACTIONS(3238),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3238),
    [aux_sym_keep_alive_token1] = ACTIONS(3238),
    [aux_sym_tag_token1] = ACTIONS(3238),
    [aux_sym_tunnel_token1] = ACTIONS(3240),
    [aux_sym_tunnel_device_token1] = ACTIONS(3238),
    [aux_sym_update_host_keys_token1] = ACTIONS(3238),
    [aux_sym_use_keychain_token1] = ACTIONS(3238),
    [aux_sym_use_roaming_token1] = ACTIONS(3238),
    [aux_sym_user_token1] = ACTIONS(3240),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3238),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3238),
    [aux_sym_version_addendum_token1] = ACTIONS(3238),
    [aux_sym_visual_host_key_token1] = ACTIONS(3238),
    [aux_sym_xauth_location_token1] = ACTIONS(3238),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(3242),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3244),
    [aux_sym_match_token1] = ACTIONS(3242),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3242),
    [aux_sym_address_family_token1] = ACTIONS(3242),
    [aux_sym_batch_mode_token1] = ACTIONS(3242),
    [aux_sym_bind_address_token1] = ACTIONS(3242),
    [aux_sym_bind_interface_token1] = ACTIONS(3242),
    [aux_sym_canonical_domains_token1] = ACTIONS(3242),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3242),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3242),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3242),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3242),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3242),
    [aux_sym_certificate_file_token1] = ACTIONS(3242),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3242),
    [aux_sym_channel_timeout_token1] = ACTIONS(3242),
    [aux_sym_check_host_ip_token1] = ACTIONS(3242),
    [aux_sym_ciphers_token1] = ACTIONS(3242),
    [aux_sym_cipher_token1] = ACTIONS(3244),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3242),
    [aux_sym_compression_token1] = ACTIONS(3242),
    [aux_sym_connection_attempts_token1] = ACTIONS(3242),
    [aux_sym_connect_timeout_token1] = ACTIONS(3242),
    [aux_sym_control_master_token1] = ACTIONS(3242),
    [aux_sym_control_path_token1] = ACTIONS(3242),
    [aux_sym_control_persist_token1] = ACTIONS(3242),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3242),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3242),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3242),
    [aux_sym_escape_char_token1] = ACTIONS(3242),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3242),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3242),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3242),
    [aux_sym_forward_agent_token1] = ACTIONS(3242),
    [aux_sym_forward_x11_token1] = ACTIONS(3244),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3242),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3242),
    [aux_sym_gateway_ports_token1] = ACTIONS(3242),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3242),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3242),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3242),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3242),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3242),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3242),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3242),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3242),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3242),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3242),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3242),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3242),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3242),
    [aux_sym_host_key_alias_token1] = ACTIONS(3242),
    [aux_sym_hostname_token1] = ACTIONS(3242),
    [aux_sym_identities_only_token1] = ACTIONS(3242),
    [aux_sym_identity_agent_token1] = ACTIONS(3242),
    [aux_sym_identity_file_token1] = ACTIONS(3242),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3242),
    [aux_sym_include_token1] = ACTIONS(3242),
    [aux_sym_ip_qos_token1] = ACTIONS(3242),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3242),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3242),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3242),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3242),
    [aux_sym_local_command_token1] = ACTIONS(3242),
    [aux_sym_local_forward_token1] = ACTIONS(3242),
    [aux_sym_log_level_token1] = ACTIONS(3242),
    [aux_sym_log_verbose_token1] = ACTIONS(3242),
    [aux_sym_macs_token1] = ACTIONS(3242),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3242),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3242),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3242),
    [aux_sym_password_authentication_token1] = ACTIONS(3242),
    [aux_sym_permit_local_command_token1] = ACTIONS(3242),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3242),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3242),
    [aux_sym_port_token1] = ACTIONS(3242),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3242),
    [aux_sym_protocol_token1] = ACTIONS(3242),
    [aux_sym_proxy_command_token1] = ACTIONS(3242),
    [aux_sym_proxy_jump_token1] = ACTIONS(3242),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3242),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3242),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3242),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3242),
    [aux_sym_rekey_limit_token1] = ACTIONS(3242),
    [aux_sym_remote_command_token1] = ACTIONS(3242),
    [aux_sym_remote_forward_token1] = ACTIONS(3242),
    [aux_sym_request_tty_token1] = ACTIONS(3242),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3242),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3242),
    [aux_sym_security_key_provider_token1] = ACTIONS(3242),
    [aux_sym_send_env_token1] = ACTIONS(3242),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3242),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3242),
    [aux_sym_session_type_token1] = ACTIONS(3242),
    [aux_sym_set_env_token1] = ACTIONS(3242),
    [aux_sym_stdin_null_token1] = ACTIONS(3242),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3242),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3242),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3242),
    [aux_sym_syslog_facility_token1] = ACTIONS(3242),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3242),
    [aux_sym_keep_alive_token1] = ACTIONS(3242),
    [aux_sym_tag_token1] = ACTIONS(3242),
    [aux_sym_tunnel_token1] = ACTIONS(3244),
    [aux_sym_tunnel_device_token1] = ACTIONS(3242),
    [aux_sym_update_host_keys_token1] = ACTIONS(3242),
    [aux_sym_use_keychain_token1] = ACTIONS(3242),
    [aux_sym_use_roaming_token1] = ACTIONS(3242),
    [aux_sym_user_token1] = ACTIONS(3244),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3242),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3242),
    [aux_sym_version_addendum_token1] = ACTIONS(3242),
    [aux_sym_visual_host_key_token1] = ACTIONS(3242),
    [aux_sym_xauth_location_token1] = ACTIONS(3242),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(3246),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3248),
    [aux_sym_match_token1] = ACTIONS(3246),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3246),
    [aux_sym_address_family_token1] = ACTIONS(3246),
    [aux_sym_batch_mode_token1] = ACTIONS(3246),
    [aux_sym_bind_address_token1] = ACTIONS(3246),
    [aux_sym_bind_interface_token1] = ACTIONS(3246),
    [aux_sym_canonical_domains_token1] = ACTIONS(3246),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3246),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3246),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3246),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3246),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3246),
    [aux_sym_certificate_file_token1] = ACTIONS(3246),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3246),
    [aux_sym_channel_timeout_token1] = ACTIONS(3246),
    [aux_sym_check_host_ip_token1] = ACTIONS(3246),
    [aux_sym_ciphers_token1] = ACTIONS(3246),
    [aux_sym_cipher_token1] = ACTIONS(3248),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3246),
    [aux_sym_compression_token1] = ACTIONS(3246),
    [aux_sym_connection_attempts_token1] = ACTIONS(3246),
    [aux_sym_connect_timeout_token1] = ACTIONS(3246),
    [aux_sym_control_master_token1] = ACTIONS(3246),
    [aux_sym_control_path_token1] = ACTIONS(3246),
    [aux_sym_control_persist_token1] = ACTIONS(3246),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3246),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3246),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3246),
    [aux_sym_escape_char_token1] = ACTIONS(3246),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3246),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3246),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3246),
    [aux_sym_forward_agent_token1] = ACTIONS(3246),
    [aux_sym_forward_x11_token1] = ACTIONS(3248),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3246),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3246),
    [aux_sym_gateway_ports_token1] = ACTIONS(3246),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3246),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3246),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3246),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3246),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3246),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3246),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3246),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3246),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3246),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3246),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3246),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3246),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3246),
    [aux_sym_host_key_alias_token1] = ACTIONS(3246),
    [aux_sym_hostname_token1] = ACTIONS(3246),
    [aux_sym_identities_only_token1] = ACTIONS(3246),
    [aux_sym_identity_agent_token1] = ACTIONS(3246),
    [aux_sym_identity_file_token1] = ACTIONS(3246),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3246),
    [aux_sym_include_token1] = ACTIONS(3246),
    [aux_sym_ip_qos_token1] = ACTIONS(3246),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3246),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3246),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3246),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3246),
    [aux_sym_local_command_token1] = ACTIONS(3246),
    [aux_sym_local_forward_token1] = ACTIONS(3246),
    [aux_sym_log_level_token1] = ACTIONS(3246),
    [aux_sym_log_verbose_token1] = ACTIONS(3246),
    [aux_sym_macs_token1] = ACTIONS(3246),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3246),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3246),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3246),
    [aux_sym_password_authentication_token1] = ACTIONS(3246),
    [aux_sym_permit_local_command_token1] = ACTIONS(3246),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3246),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3246),
    [aux_sym_port_token1] = ACTIONS(3246),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3246),
    [aux_sym_protocol_token1] = ACTIONS(3246),
    [aux_sym_proxy_command_token1] = ACTIONS(3246),
    [aux_sym_proxy_jump_token1] = ACTIONS(3246),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3246),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3246),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3246),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3246),
    [aux_sym_rekey_limit_token1] = ACTIONS(3246),
    [aux_sym_remote_command_token1] = ACTIONS(3246),
    [aux_sym_remote_forward_token1] = ACTIONS(3246),
    [aux_sym_request_tty_token1] = ACTIONS(3246),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3246),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3246),
    [aux_sym_security_key_provider_token1] = ACTIONS(3246),
    [aux_sym_send_env_token1] = ACTIONS(3246),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3246),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3246),
    [aux_sym_session_type_token1] = ACTIONS(3246),
    [aux_sym_set_env_token1] = ACTIONS(3246),
    [aux_sym_stdin_null_token1] = ACTIONS(3246),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3246),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3246),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3246),
    [aux_sym_syslog_facility_token1] = ACTIONS(3246),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3246),
    [aux_sym_keep_alive_token1] = ACTIONS(3246),
    [aux_sym_tag_token1] = ACTIONS(3246),
    [aux_sym_tunnel_token1] = ACTIONS(3248),
    [aux_sym_tunnel_device_token1] = ACTIONS(3246),
    [aux_sym_update_host_keys_token1] = ACTIONS(3246),
    [aux_sym_use_keychain_token1] = ACTIONS(3246),
    [aux_sym_use_roaming_token1] = ACTIONS(3246),
    [aux_sym_user_token1] = ACTIONS(3248),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3246),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3246),
    [aux_sym_version_addendum_token1] = ACTIONS(3246),
    [aux_sym_visual_host_key_token1] = ACTIONS(3246),
    [aux_sym_xauth_location_token1] = ACTIONS(3246),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(3250),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3252),
    [aux_sym_match_token1] = ACTIONS(3250),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3250),
    [aux_sym_address_family_token1] = ACTIONS(3250),
    [aux_sym_batch_mode_token1] = ACTIONS(3250),
    [aux_sym_bind_address_token1] = ACTIONS(3250),
    [aux_sym_bind_interface_token1] = ACTIONS(3250),
    [aux_sym_canonical_domains_token1] = ACTIONS(3250),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3250),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3250),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3250),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3250),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3250),
    [aux_sym_certificate_file_token1] = ACTIONS(3250),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3250),
    [aux_sym_channel_timeout_token1] = ACTIONS(3250),
    [aux_sym_check_host_ip_token1] = ACTIONS(3250),
    [aux_sym_ciphers_token1] = ACTIONS(3250),
    [aux_sym_cipher_token1] = ACTIONS(3252),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3250),
    [aux_sym_compression_token1] = ACTIONS(3250),
    [aux_sym_connection_attempts_token1] = ACTIONS(3250),
    [aux_sym_connect_timeout_token1] = ACTIONS(3250),
    [aux_sym_control_master_token1] = ACTIONS(3250),
    [aux_sym_control_path_token1] = ACTIONS(3250),
    [aux_sym_control_persist_token1] = ACTIONS(3250),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3250),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3250),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3250),
    [aux_sym_escape_char_token1] = ACTIONS(3250),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3250),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3250),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3250),
    [aux_sym_forward_agent_token1] = ACTIONS(3250),
    [aux_sym_forward_x11_token1] = ACTIONS(3252),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3250),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3250),
    [aux_sym_gateway_ports_token1] = ACTIONS(3250),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3250),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3250),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3250),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3250),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3250),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3250),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3250),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3250),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3250),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3250),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3250),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3250),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3250),
    [aux_sym_host_key_alias_token1] = ACTIONS(3250),
    [aux_sym_hostname_token1] = ACTIONS(3250),
    [aux_sym_identities_only_token1] = ACTIONS(3250),
    [aux_sym_identity_agent_token1] = ACTIONS(3250),
    [aux_sym_identity_file_token1] = ACTIONS(3250),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3250),
    [aux_sym_include_token1] = ACTIONS(3250),
    [aux_sym_ip_qos_token1] = ACTIONS(3250),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3250),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3250),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3250),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3250),
    [aux_sym_local_command_token1] = ACTIONS(3250),
    [aux_sym_local_forward_token1] = ACTIONS(3250),
    [aux_sym_log_level_token1] = ACTIONS(3250),
    [aux_sym_log_verbose_token1] = ACTIONS(3250),
    [aux_sym_macs_token1] = ACTIONS(3250),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3250),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3250),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3250),
    [aux_sym_password_authentication_token1] = ACTIONS(3250),
    [aux_sym_permit_local_command_token1] = ACTIONS(3250),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3250),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3250),
    [aux_sym_port_token1] = ACTIONS(3250),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3250),
    [aux_sym_protocol_token1] = ACTIONS(3250),
    [aux_sym_proxy_command_token1] = ACTIONS(3250),
    [aux_sym_proxy_jump_token1] = ACTIONS(3250),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3250),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3250),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3250),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3250),
    [aux_sym_rekey_limit_token1] = ACTIONS(3250),
    [aux_sym_remote_command_token1] = ACTIONS(3250),
    [aux_sym_remote_forward_token1] = ACTIONS(3250),
    [aux_sym_request_tty_token1] = ACTIONS(3250),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3250),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3250),
    [aux_sym_security_key_provider_token1] = ACTIONS(3250),
    [aux_sym_send_env_token1] = ACTIONS(3250),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3250),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3250),
    [aux_sym_session_type_token1] = ACTIONS(3250),
    [aux_sym_set_env_token1] = ACTIONS(3250),
    [aux_sym_stdin_null_token1] = ACTIONS(3250),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3250),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3250),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3250),
    [aux_sym_syslog_facility_token1] = ACTIONS(3250),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3250),
    [aux_sym_keep_alive_token1] = ACTIONS(3250),
    [aux_sym_tag_token1] = ACTIONS(3250),
    [aux_sym_tunnel_token1] = ACTIONS(3252),
    [aux_sym_tunnel_device_token1] = ACTIONS(3250),
    [aux_sym_update_host_keys_token1] = ACTIONS(3250),
    [aux_sym_use_keychain_token1] = ACTIONS(3250),
    [aux_sym_use_roaming_token1] = ACTIONS(3250),
    [aux_sym_user_token1] = ACTIONS(3252),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3250),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3250),
    [aux_sym_version_addendum_token1] = ACTIONS(3250),
    [aux_sym_visual_host_key_token1] = ACTIONS(3250),
    [aux_sym_xauth_location_token1] = ACTIONS(3250),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(3254),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3256),
    [aux_sym_match_token1] = ACTIONS(3254),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3254),
    [aux_sym_address_family_token1] = ACTIONS(3254),
    [aux_sym_batch_mode_token1] = ACTIONS(3254),
    [aux_sym_bind_address_token1] = ACTIONS(3254),
    [aux_sym_bind_interface_token1] = ACTIONS(3254),
    [aux_sym_canonical_domains_token1] = ACTIONS(3254),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3254),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3254),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3254),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3254),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3254),
    [aux_sym_certificate_file_token1] = ACTIONS(3254),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3254),
    [aux_sym_channel_timeout_token1] = ACTIONS(3254),
    [aux_sym_check_host_ip_token1] = ACTIONS(3254),
    [aux_sym_ciphers_token1] = ACTIONS(3254),
    [aux_sym_cipher_token1] = ACTIONS(3256),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3254),
    [aux_sym_compression_token1] = ACTIONS(3254),
    [aux_sym_connection_attempts_token1] = ACTIONS(3254),
    [aux_sym_connect_timeout_token1] = ACTIONS(3254),
    [aux_sym_control_master_token1] = ACTIONS(3254),
    [aux_sym_control_path_token1] = ACTIONS(3254),
    [aux_sym_control_persist_token1] = ACTIONS(3254),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3254),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3254),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3254),
    [aux_sym_escape_char_token1] = ACTIONS(3254),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3254),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3254),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3254),
    [aux_sym_forward_agent_token1] = ACTIONS(3254),
    [aux_sym_forward_x11_token1] = ACTIONS(3256),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3254),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3254),
    [aux_sym_gateway_ports_token1] = ACTIONS(3254),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3254),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3254),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3254),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3254),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3254),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3254),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3254),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3254),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3254),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3254),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3254),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3254),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3254),
    [aux_sym_host_key_alias_token1] = ACTIONS(3254),
    [aux_sym_hostname_token1] = ACTIONS(3254),
    [aux_sym_identities_only_token1] = ACTIONS(3254),
    [aux_sym_identity_agent_token1] = ACTIONS(3254),
    [aux_sym_identity_file_token1] = ACTIONS(3254),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3254),
    [aux_sym_include_token1] = ACTIONS(3254),
    [aux_sym_ip_qos_token1] = ACTIONS(3254),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3254),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3254),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3254),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3254),
    [aux_sym_local_command_token1] = ACTIONS(3254),
    [aux_sym_local_forward_token1] = ACTIONS(3254),
    [aux_sym_log_level_token1] = ACTIONS(3254),
    [aux_sym_log_verbose_token1] = ACTIONS(3254),
    [aux_sym_macs_token1] = ACTIONS(3254),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3254),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3254),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3254),
    [aux_sym_password_authentication_token1] = ACTIONS(3254),
    [aux_sym_permit_local_command_token1] = ACTIONS(3254),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3254),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3254),
    [aux_sym_port_token1] = ACTIONS(3254),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3254),
    [aux_sym_protocol_token1] = ACTIONS(3254),
    [aux_sym_proxy_command_token1] = ACTIONS(3254),
    [aux_sym_proxy_jump_token1] = ACTIONS(3254),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3254),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3254),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3254),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3254),
    [aux_sym_rekey_limit_token1] = ACTIONS(3254),
    [aux_sym_remote_command_token1] = ACTIONS(3254),
    [aux_sym_remote_forward_token1] = ACTIONS(3254),
    [aux_sym_request_tty_token1] = ACTIONS(3254),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3254),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3254),
    [aux_sym_security_key_provider_token1] = ACTIONS(3254),
    [aux_sym_send_env_token1] = ACTIONS(3254),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3254),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3254),
    [aux_sym_session_type_token1] = ACTIONS(3254),
    [aux_sym_set_env_token1] = ACTIONS(3254),
    [aux_sym_stdin_null_token1] = ACTIONS(3254),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3254),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3254),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3254),
    [aux_sym_syslog_facility_token1] = ACTIONS(3254),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3254),
    [aux_sym_keep_alive_token1] = ACTIONS(3254),
    [aux_sym_tag_token1] = ACTIONS(3254),
    [aux_sym_tunnel_token1] = ACTIONS(3256),
    [aux_sym_tunnel_device_token1] = ACTIONS(3254),
    [aux_sym_update_host_keys_token1] = ACTIONS(3254),
    [aux_sym_use_keychain_token1] = ACTIONS(3254),
    [aux_sym_use_roaming_token1] = ACTIONS(3254),
    [aux_sym_user_token1] = ACTIONS(3256),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3254),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3254),
    [aux_sym_version_addendum_token1] = ACTIONS(3254),
    [aux_sym_visual_host_key_token1] = ACTIONS(3254),
    [aux_sym_xauth_location_token1] = ACTIONS(3254),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(3258),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3260),
    [aux_sym_match_token1] = ACTIONS(3258),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3258),
    [aux_sym_address_family_token1] = ACTIONS(3258),
    [aux_sym_batch_mode_token1] = ACTIONS(3258),
    [aux_sym_bind_address_token1] = ACTIONS(3258),
    [aux_sym_bind_interface_token1] = ACTIONS(3258),
    [aux_sym_canonical_domains_token1] = ACTIONS(3258),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3258),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3258),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3258),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3258),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3258),
    [aux_sym_certificate_file_token1] = ACTIONS(3258),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3258),
    [aux_sym_channel_timeout_token1] = ACTIONS(3258),
    [aux_sym_check_host_ip_token1] = ACTIONS(3258),
    [aux_sym_ciphers_token1] = ACTIONS(3258),
    [aux_sym_cipher_token1] = ACTIONS(3260),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3258),
    [aux_sym_compression_token1] = ACTIONS(3258),
    [aux_sym_connection_attempts_token1] = ACTIONS(3258),
    [aux_sym_connect_timeout_token1] = ACTIONS(3258),
    [aux_sym_control_master_token1] = ACTIONS(3258),
    [aux_sym_control_path_token1] = ACTIONS(3258),
    [aux_sym_control_persist_token1] = ACTIONS(3258),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3258),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3258),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3258),
    [aux_sym_escape_char_token1] = ACTIONS(3258),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3258),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3258),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3258),
    [aux_sym_forward_agent_token1] = ACTIONS(3258),
    [aux_sym_forward_x11_token1] = ACTIONS(3260),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3258),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3258),
    [aux_sym_gateway_ports_token1] = ACTIONS(3258),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3258),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3258),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3258),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3258),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3258),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3258),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3258),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3258),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3258),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3258),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3258),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3258),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3258),
    [aux_sym_host_key_alias_token1] = ACTIONS(3258),
    [aux_sym_hostname_token1] = ACTIONS(3258),
    [aux_sym_identities_only_token1] = ACTIONS(3258),
    [aux_sym_identity_agent_token1] = ACTIONS(3258),
    [aux_sym_identity_file_token1] = ACTIONS(3258),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3258),
    [aux_sym_include_token1] = ACTIONS(3258),
    [aux_sym_ip_qos_token1] = ACTIONS(3258),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3258),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3258),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3258),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3258),
    [aux_sym_local_command_token1] = ACTIONS(3258),
    [aux_sym_local_forward_token1] = ACTIONS(3258),
    [aux_sym_log_level_token1] = ACTIONS(3258),
    [aux_sym_log_verbose_token1] = ACTIONS(3258),
    [aux_sym_macs_token1] = ACTIONS(3258),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3258),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3258),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3258),
    [aux_sym_password_authentication_token1] = ACTIONS(3258),
    [aux_sym_permit_local_command_token1] = ACTIONS(3258),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3258),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3258),
    [aux_sym_port_token1] = ACTIONS(3258),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3258),
    [aux_sym_protocol_token1] = ACTIONS(3258),
    [aux_sym_proxy_command_token1] = ACTIONS(3258),
    [aux_sym_proxy_jump_token1] = ACTIONS(3258),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3258),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3258),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3258),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3258),
    [aux_sym_rekey_limit_token1] = ACTIONS(3258),
    [aux_sym_remote_command_token1] = ACTIONS(3258),
    [aux_sym_remote_forward_token1] = ACTIONS(3258),
    [aux_sym_request_tty_token1] = ACTIONS(3258),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3258),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3258),
    [aux_sym_security_key_provider_token1] = ACTIONS(3258),
    [aux_sym_send_env_token1] = ACTIONS(3258),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3258),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3258),
    [aux_sym_session_type_token1] = ACTIONS(3258),
    [aux_sym_set_env_token1] = ACTIONS(3258),
    [aux_sym_stdin_null_token1] = ACTIONS(3258),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3258),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3258),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3258),
    [aux_sym_syslog_facility_token1] = ACTIONS(3258),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3258),
    [aux_sym_keep_alive_token1] = ACTIONS(3258),
    [aux_sym_tag_token1] = ACTIONS(3258),
    [aux_sym_tunnel_token1] = ACTIONS(3260),
    [aux_sym_tunnel_device_token1] = ACTIONS(3258),
    [aux_sym_update_host_keys_token1] = ACTIONS(3258),
    [aux_sym_use_keychain_token1] = ACTIONS(3258),
    [aux_sym_use_roaming_token1] = ACTIONS(3258),
    [aux_sym_user_token1] = ACTIONS(3260),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3258),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3258),
    [aux_sym_version_addendum_token1] = ACTIONS(3258),
    [aux_sym_visual_host_key_token1] = ACTIONS(3258),
    [aux_sym_xauth_location_token1] = ACTIONS(3258),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(3262),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3264),
    [aux_sym_match_token1] = ACTIONS(3262),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3262),
    [aux_sym_address_family_token1] = ACTIONS(3262),
    [aux_sym_batch_mode_token1] = ACTIONS(3262),
    [aux_sym_bind_address_token1] = ACTIONS(3262),
    [aux_sym_bind_interface_token1] = ACTIONS(3262),
    [aux_sym_canonical_domains_token1] = ACTIONS(3262),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3262),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3262),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3262),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3262),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3262),
    [aux_sym_certificate_file_token1] = ACTIONS(3262),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3262),
    [aux_sym_channel_timeout_token1] = ACTIONS(3262),
    [aux_sym_check_host_ip_token1] = ACTIONS(3262),
    [aux_sym_ciphers_token1] = ACTIONS(3262),
    [aux_sym_cipher_token1] = ACTIONS(3264),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3262),
    [aux_sym_compression_token1] = ACTIONS(3262),
    [aux_sym_connection_attempts_token1] = ACTIONS(3262),
    [aux_sym_connect_timeout_token1] = ACTIONS(3262),
    [aux_sym_control_master_token1] = ACTIONS(3262),
    [aux_sym_control_path_token1] = ACTIONS(3262),
    [aux_sym_control_persist_token1] = ACTIONS(3262),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3262),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3262),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3262),
    [aux_sym_escape_char_token1] = ACTIONS(3262),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3262),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3262),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3262),
    [aux_sym_forward_agent_token1] = ACTIONS(3262),
    [aux_sym_forward_x11_token1] = ACTIONS(3264),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3262),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3262),
    [aux_sym_gateway_ports_token1] = ACTIONS(3262),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3262),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3262),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3262),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3262),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3262),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3262),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3262),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3262),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3262),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3262),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3262),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3262),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3262),
    [aux_sym_host_key_alias_token1] = ACTIONS(3262),
    [aux_sym_hostname_token1] = ACTIONS(3262),
    [aux_sym_identities_only_token1] = ACTIONS(3262),
    [aux_sym_identity_agent_token1] = ACTIONS(3262),
    [aux_sym_identity_file_token1] = ACTIONS(3262),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3262),
    [aux_sym_include_token1] = ACTIONS(3262),
    [aux_sym_ip_qos_token1] = ACTIONS(3262),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3262),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3262),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3262),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3262),
    [aux_sym_local_command_token1] = ACTIONS(3262),
    [aux_sym_local_forward_token1] = ACTIONS(3262),
    [aux_sym_log_level_token1] = ACTIONS(3262),
    [aux_sym_log_verbose_token1] = ACTIONS(3262),
    [aux_sym_macs_token1] = ACTIONS(3262),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3262),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3262),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3262),
    [aux_sym_password_authentication_token1] = ACTIONS(3262),
    [aux_sym_permit_local_command_token1] = ACTIONS(3262),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3262),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3262),
    [aux_sym_port_token1] = ACTIONS(3262),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3262),
    [aux_sym_protocol_token1] = ACTIONS(3262),
    [aux_sym_proxy_command_token1] = ACTIONS(3262),
    [aux_sym_proxy_jump_token1] = ACTIONS(3262),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3262),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3262),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3262),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3262),
    [aux_sym_rekey_limit_token1] = ACTIONS(3262),
    [aux_sym_remote_command_token1] = ACTIONS(3262),
    [aux_sym_remote_forward_token1] = ACTIONS(3262),
    [aux_sym_request_tty_token1] = ACTIONS(3262),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3262),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3262),
    [aux_sym_security_key_provider_token1] = ACTIONS(3262),
    [aux_sym_send_env_token1] = ACTIONS(3262),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3262),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3262),
    [aux_sym_session_type_token1] = ACTIONS(3262),
    [aux_sym_set_env_token1] = ACTIONS(3262),
    [aux_sym_stdin_null_token1] = ACTIONS(3262),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3262),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3262),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3262),
    [aux_sym_syslog_facility_token1] = ACTIONS(3262),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3262),
    [aux_sym_keep_alive_token1] = ACTIONS(3262),
    [aux_sym_tag_token1] = ACTIONS(3262),
    [aux_sym_tunnel_token1] = ACTIONS(3264),
    [aux_sym_tunnel_device_token1] = ACTIONS(3262),
    [aux_sym_update_host_keys_token1] = ACTIONS(3262),
    [aux_sym_use_keychain_token1] = ACTIONS(3262),
    [aux_sym_use_roaming_token1] = ACTIONS(3262),
    [aux_sym_user_token1] = ACTIONS(3264),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3262),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3262),
    [aux_sym_version_addendum_token1] = ACTIONS(3262),
    [aux_sym_visual_host_key_token1] = ACTIONS(3262),
    [aux_sym_xauth_location_token1] = ACTIONS(3262),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3268),
    [aux_sym_match_token1] = ACTIONS(3266),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3266),
    [aux_sym_address_family_token1] = ACTIONS(3266),
    [aux_sym_batch_mode_token1] = ACTIONS(3266),
    [aux_sym_bind_address_token1] = ACTIONS(3266),
    [aux_sym_bind_interface_token1] = ACTIONS(3266),
    [aux_sym_canonical_domains_token1] = ACTIONS(3266),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3266),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3266),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3266),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3266),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3266),
    [aux_sym_certificate_file_token1] = ACTIONS(3266),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3266),
    [aux_sym_channel_timeout_token1] = ACTIONS(3266),
    [aux_sym_check_host_ip_token1] = ACTIONS(3266),
    [aux_sym_ciphers_token1] = ACTIONS(3266),
    [aux_sym_cipher_token1] = ACTIONS(3268),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3266),
    [aux_sym_compression_token1] = ACTIONS(3266),
    [aux_sym_connection_attempts_token1] = ACTIONS(3266),
    [aux_sym_connect_timeout_token1] = ACTIONS(3266),
    [aux_sym_control_master_token1] = ACTIONS(3266),
    [aux_sym_control_path_token1] = ACTIONS(3266),
    [aux_sym_control_persist_token1] = ACTIONS(3266),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3266),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3266),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3266),
    [aux_sym_escape_char_token1] = ACTIONS(3266),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3266),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3266),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3266),
    [aux_sym_forward_agent_token1] = ACTIONS(3266),
    [aux_sym_forward_x11_token1] = ACTIONS(3268),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3266),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3266),
    [aux_sym_gateway_ports_token1] = ACTIONS(3266),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3266),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3266),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3266),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3266),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3266),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3266),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3266),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3266),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3266),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3266),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3266),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3266),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3266),
    [aux_sym_host_key_alias_token1] = ACTIONS(3266),
    [aux_sym_hostname_token1] = ACTIONS(3266),
    [aux_sym_identities_only_token1] = ACTIONS(3266),
    [aux_sym_identity_agent_token1] = ACTIONS(3266),
    [aux_sym_identity_file_token1] = ACTIONS(3266),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3266),
    [aux_sym_include_token1] = ACTIONS(3266),
    [aux_sym_ip_qos_token1] = ACTIONS(3266),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3266),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3266),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3266),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3266),
    [aux_sym_local_command_token1] = ACTIONS(3266),
    [aux_sym_local_forward_token1] = ACTIONS(3266),
    [aux_sym_log_level_token1] = ACTIONS(3266),
    [aux_sym_log_verbose_token1] = ACTIONS(3266),
    [aux_sym_macs_token1] = ACTIONS(3266),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3266),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3266),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3266),
    [aux_sym_password_authentication_token1] = ACTIONS(3266),
    [aux_sym_permit_local_command_token1] = ACTIONS(3266),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3266),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3266),
    [aux_sym_port_token1] = ACTIONS(3266),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3266),
    [aux_sym_protocol_token1] = ACTIONS(3266),
    [aux_sym_proxy_command_token1] = ACTIONS(3266),
    [aux_sym_proxy_jump_token1] = ACTIONS(3266),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3266),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3266),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3266),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3266),
    [aux_sym_rekey_limit_token1] = ACTIONS(3266),
    [aux_sym_remote_command_token1] = ACTIONS(3266),
    [aux_sym_remote_forward_token1] = ACTIONS(3266),
    [aux_sym_request_tty_token1] = ACTIONS(3266),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3266),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3266),
    [aux_sym_security_key_provider_token1] = ACTIONS(3266),
    [aux_sym_send_env_token1] = ACTIONS(3266),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3266),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3266),
    [aux_sym_session_type_token1] = ACTIONS(3266),
    [aux_sym_set_env_token1] = ACTIONS(3266),
    [aux_sym_stdin_null_token1] = ACTIONS(3266),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3266),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3266),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3266),
    [aux_sym_syslog_facility_token1] = ACTIONS(3266),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3266),
    [aux_sym_keep_alive_token1] = ACTIONS(3266),
    [aux_sym_tag_token1] = ACTIONS(3266),
    [aux_sym_tunnel_token1] = ACTIONS(3268),
    [aux_sym_tunnel_device_token1] = ACTIONS(3266),
    [aux_sym_update_host_keys_token1] = ACTIONS(3266),
    [aux_sym_use_keychain_token1] = ACTIONS(3266),
    [aux_sym_use_roaming_token1] = ACTIONS(3266),
    [aux_sym_user_token1] = ACTIONS(3268),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3266),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3266),
    [aux_sym_version_addendum_token1] = ACTIONS(3266),
    [aux_sym_visual_host_key_token1] = ACTIONS(3266),
    [aux_sym_xauth_location_token1] = ACTIONS(3266),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3272),
    [aux_sym_match_token1] = ACTIONS(3270),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3270),
    [aux_sym_address_family_token1] = ACTIONS(3270),
    [aux_sym_batch_mode_token1] = ACTIONS(3270),
    [aux_sym_bind_address_token1] = ACTIONS(3270),
    [aux_sym_bind_interface_token1] = ACTIONS(3270),
    [aux_sym_canonical_domains_token1] = ACTIONS(3270),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3270),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3270),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3270),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3270),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3270),
    [aux_sym_certificate_file_token1] = ACTIONS(3270),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3270),
    [aux_sym_channel_timeout_token1] = ACTIONS(3270),
    [aux_sym_check_host_ip_token1] = ACTIONS(3270),
    [aux_sym_ciphers_token1] = ACTIONS(3270),
    [aux_sym_cipher_token1] = ACTIONS(3272),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3270),
    [aux_sym_compression_token1] = ACTIONS(3270),
    [aux_sym_connection_attempts_token1] = ACTIONS(3270),
    [aux_sym_connect_timeout_token1] = ACTIONS(3270),
    [aux_sym_control_master_token1] = ACTIONS(3270),
    [aux_sym_control_path_token1] = ACTIONS(3270),
    [aux_sym_control_persist_token1] = ACTIONS(3270),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3270),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3270),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3270),
    [aux_sym_escape_char_token1] = ACTIONS(3270),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3270),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3270),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3270),
    [aux_sym_forward_agent_token1] = ACTIONS(3270),
    [aux_sym_forward_x11_token1] = ACTIONS(3272),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3270),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3270),
    [aux_sym_gateway_ports_token1] = ACTIONS(3270),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3270),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3270),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3270),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3270),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3270),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3270),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3270),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3270),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3270),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3270),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3270),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3270),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3270),
    [aux_sym_host_key_alias_token1] = ACTIONS(3270),
    [aux_sym_hostname_token1] = ACTIONS(3270),
    [aux_sym_identities_only_token1] = ACTIONS(3270),
    [aux_sym_identity_agent_token1] = ACTIONS(3270),
    [aux_sym_identity_file_token1] = ACTIONS(3270),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3270),
    [aux_sym_include_token1] = ACTIONS(3270),
    [aux_sym_ip_qos_token1] = ACTIONS(3270),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3270),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3270),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3270),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3270),
    [aux_sym_local_command_token1] = ACTIONS(3270),
    [aux_sym_local_forward_token1] = ACTIONS(3270),
    [aux_sym_log_level_token1] = ACTIONS(3270),
    [aux_sym_log_verbose_token1] = ACTIONS(3270),
    [aux_sym_macs_token1] = ACTIONS(3270),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3270),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3270),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3270),
    [aux_sym_password_authentication_token1] = ACTIONS(3270),
    [aux_sym_permit_local_command_token1] = ACTIONS(3270),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3270),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3270),
    [aux_sym_port_token1] = ACTIONS(3270),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3270),
    [aux_sym_protocol_token1] = ACTIONS(3270),
    [aux_sym_proxy_command_token1] = ACTIONS(3270),
    [aux_sym_proxy_jump_token1] = ACTIONS(3270),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3270),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3270),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3270),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3270),
    [aux_sym_rekey_limit_token1] = ACTIONS(3270),
    [aux_sym_remote_command_token1] = ACTIONS(3270),
    [aux_sym_remote_forward_token1] = ACTIONS(3270),
    [aux_sym_request_tty_token1] = ACTIONS(3270),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3270),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3270),
    [aux_sym_security_key_provider_token1] = ACTIONS(3270),
    [aux_sym_send_env_token1] = ACTIONS(3270),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3270),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3270),
    [aux_sym_session_type_token1] = ACTIONS(3270),
    [aux_sym_set_env_token1] = ACTIONS(3270),
    [aux_sym_stdin_null_token1] = ACTIONS(3270),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3270),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3270),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3270),
    [aux_sym_syslog_facility_token1] = ACTIONS(3270),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3270),
    [aux_sym_keep_alive_token1] = ACTIONS(3270),
    [aux_sym_tag_token1] = ACTIONS(3270),
    [aux_sym_tunnel_token1] = ACTIONS(3272),
    [aux_sym_tunnel_device_token1] = ACTIONS(3270),
    [aux_sym_update_host_keys_token1] = ACTIONS(3270),
    [aux_sym_use_keychain_token1] = ACTIONS(3270),
    [aux_sym_use_roaming_token1] = ACTIONS(3270),
    [aux_sym_user_token1] = ACTIONS(3272),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3270),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3270),
    [aux_sym_version_addendum_token1] = ACTIONS(3270),
    [aux_sym_visual_host_key_token1] = ACTIONS(3270),
    [aux_sym_xauth_location_token1] = ACTIONS(3270),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3276),
    [aux_sym_match_token1] = ACTIONS(3274),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3274),
    [aux_sym_address_family_token1] = ACTIONS(3274),
    [aux_sym_batch_mode_token1] = ACTIONS(3274),
    [aux_sym_bind_address_token1] = ACTIONS(3274),
    [aux_sym_bind_interface_token1] = ACTIONS(3274),
    [aux_sym_canonical_domains_token1] = ACTIONS(3274),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3274),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3274),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3274),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3274),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3274),
    [aux_sym_certificate_file_token1] = ACTIONS(3274),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3274),
    [aux_sym_channel_timeout_token1] = ACTIONS(3274),
    [aux_sym_check_host_ip_token1] = ACTIONS(3274),
    [aux_sym_ciphers_token1] = ACTIONS(3274),
    [aux_sym_cipher_token1] = ACTIONS(3276),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3274),
    [aux_sym_compression_token1] = ACTIONS(3274),
    [aux_sym_connection_attempts_token1] = ACTIONS(3274),
    [aux_sym_connect_timeout_token1] = ACTIONS(3274),
    [aux_sym_control_master_token1] = ACTIONS(3274),
    [aux_sym_control_path_token1] = ACTIONS(3274),
    [aux_sym_control_persist_token1] = ACTIONS(3274),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3274),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3274),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3274),
    [aux_sym_escape_char_token1] = ACTIONS(3274),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3274),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3274),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3274),
    [aux_sym_forward_agent_token1] = ACTIONS(3274),
    [aux_sym_forward_x11_token1] = ACTIONS(3276),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3274),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3274),
    [aux_sym_gateway_ports_token1] = ACTIONS(3274),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3274),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3274),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3274),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3274),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3274),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3274),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3274),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3274),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3274),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3274),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3274),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3274),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3274),
    [aux_sym_host_key_alias_token1] = ACTIONS(3274),
    [aux_sym_hostname_token1] = ACTIONS(3274),
    [aux_sym_identities_only_token1] = ACTIONS(3274),
    [aux_sym_identity_agent_token1] = ACTIONS(3274),
    [aux_sym_identity_file_token1] = ACTIONS(3274),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3274),
    [aux_sym_include_token1] = ACTIONS(3274),
    [aux_sym_ip_qos_token1] = ACTIONS(3274),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3274),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3274),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3274),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3274),
    [aux_sym_local_command_token1] = ACTIONS(3274),
    [aux_sym_local_forward_token1] = ACTIONS(3274),
    [aux_sym_log_level_token1] = ACTIONS(3274),
    [aux_sym_log_verbose_token1] = ACTIONS(3274),
    [aux_sym_macs_token1] = ACTIONS(3274),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3274),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3274),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3274),
    [aux_sym_password_authentication_token1] = ACTIONS(3274),
    [aux_sym_permit_local_command_token1] = ACTIONS(3274),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3274),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3274),
    [aux_sym_port_token1] = ACTIONS(3274),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3274),
    [aux_sym_protocol_token1] = ACTIONS(3274),
    [aux_sym_proxy_command_token1] = ACTIONS(3274),
    [aux_sym_proxy_jump_token1] = ACTIONS(3274),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3274),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3274),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3274),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3274),
    [aux_sym_rekey_limit_token1] = ACTIONS(3274),
    [aux_sym_remote_command_token1] = ACTIONS(3274),
    [aux_sym_remote_forward_token1] = ACTIONS(3274),
    [aux_sym_request_tty_token1] = ACTIONS(3274),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3274),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3274),
    [aux_sym_security_key_provider_token1] = ACTIONS(3274),
    [aux_sym_send_env_token1] = ACTIONS(3274),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3274),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3274),
    [aux_sym_session_type_token1] = ACTIONS(3274),
    [aux_sym_set_env_token1] = ACTIONS(3274),
    [aux_sym_stdin_null_token1] = ACTIONS(3274),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3274),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3274),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3274),
    [aux_sym_syslog_facility_token1] = ACTIONS(3274),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3274),
    [aux_sym_keep_alive_token1] = ACTIONS(3274),
    [aux_sym_tag_token1] = ACTIONS(3274),
    [aux_sym_tunnel_token1] = ACTIONS(3276),
    [aux_sym_tunnel_device_token1] = ACTIONS(3274),
    [aux_sym_update_host_keys_token1] = ACTIONS(3274),
    [aux_sym_use_keychain_token1] = ACTIONS(3274),
    [aux_sym_use_roaming_token1] = ACTIONS(3274),
    [aux_sym_user_token1] = ACTIONS(3276),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3274),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3274),
    [aux_sym_version_addendum_token1] = ACTIONS(3274),
    [aux_sym_visual_host_key_token1] = ACTIONS(3274),
    [aux_sym_xauth_location_token1] = ACTIONS(3274),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3280),
    [aux_sym_match_token1] = ACTIONS(3278),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3278),
    [aux_sym_address_family_token1] = ACTIONS(3278),
    [aux_sym_batch_mode_token1] = ACTIONS(3278),
    [aux_sym_bind_address_token1] = ACTIONS(3278),
    [aux_sym_bind_interface_token1] = ACTIONS(3278),
    [aux_sym_canonical_domains_token1] = ACTIONS(3278),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3278),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3278),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3278),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3278),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3278),
    [aux_sym_certificate_file_token1] = ACTIONS(3278),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3278),
    [aux_sym_channel_timeout_token1] = ACTIONS(3278),
    [aux_sym_check_host_ip_token1] = ACTIONS(3278),
    [aux_sym_ciphers_token1] = ACTIONS(3278),
    [aux_sym_cipher_token1] = ACTIONS(3280),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3278),
    [aux_sym_compression_token1] = ACTIONS(3278),
    [aux_sym_connection_attempts_token1] = ACTIONS(3278),
    [aux_sym_connect_timeout_token1] = ACTIONS(3278),
    [aux_sym_control_master_token1] = ACTIONS(3278),
    [aux_sym_control_path_token1] = ACTIONS(3278),
    [aux_sym_control_persist_token1] = ACTIONS(3278),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3278),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3278),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3278),
    [aux_sym_escape_char_token1] = ACTIONS(3278),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3278),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3278),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3278),
    [aux_sym_forward_agent_token1] = ACTIONS(3278),
    [aux_sym_forward_x11_token1] = ACTIONS(3280),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3278),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3278),
    [aux_sym_gateway_ports_token1] = ACTIONS(3278),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3278),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3278),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3278),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3278),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3278),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3278),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3278),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3278),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3278),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3278),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3278),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3278),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3278),
    [aux_sym_host_key_alias_token1] = ACTIONS(3278),
    [aux_sym_hostname_token1] = ACTIONS(3278),
    [aux_sym_identities_only_token1] = ACTIONS(3278),
    [aux_sym_identity_agent_token1] = ACTIONS(3278),
    [aux_sym_identity_file_token1] = ACTIONS(3278),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3278),
    [aux_sym_include_token1] = ACTIONS(3278),
    [aux_sym_ip_qos_token1] = ACTIONS(3278),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3278),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3278),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3278),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3278),
    [aux_sym_local_command_token1] = ACTIONS(3278),
    [aux_sym_local_forward_token1] = ACTIONS(3278),
    [aux_sym_log_level_token1] = ACTIONS(3278),
    [aux_sym_log_verbose_token1] = ACTIONS(3278),
    [aux_sym_macs_token1] = ACTIONS(3278),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3278),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3278),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3278),
    [aux_sym_password_authentication_token1] = ACTIONS(3278),
    [aux_sym_permit_local_command_token1] = ACTIONS(3278),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3278),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3278),
    [aux_sym_port_token1] = ACTIONS(3278),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3278),
    [aux_sym_protocol_token1] = ACTIONS(3278),
    [aux_sym_proxy_command_token1] = ACTIONS(3278),
    [aux_sym_proxy_jump_token1] = ACTIONS(3278),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3278),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3278),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3278),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3278),
    [aux_sym_rekey_limit_token1] = ACTIONS(3278),
    [aux_sym_remote_command_token1] = ACTIONS(3278),
    [aux_sym_remote_forward_token1] = ACTIONS(3278),
    [aux_sym_request_tty_token1] = ACTIONS(3278),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3278),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3278),
    [aux_sym_security_key_provider_token1] = ACTIONS(3278),
    [aux_sym_send_env_token1] = ACTIONS(3278),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3278),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3278),
    [aux_sym_session_type_token1] = ACTIONS(3278),
    [aux_sym_set_env_token1] = ACTIONS(3278),
    [aux_sym_stdin_null_token1] = ACTIONS(3278),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3278),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3278),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3278),
    [aux_sym_syslog_facility_token1] = ACTIONS(3278),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3278),
    [aux_sym_keep_alive_token1] = ACTIONS(3278),
    [aux_sym_tag_token1] = ACTIONS(3278),
    [aux_sym_tunnel_token1] = ACTIONS(3280),
    [aux_sym_tunnel_device_token1] = ACTIONS(3278),
    [aux_sym_update_host_keys_token1] = ACTIONS(3278),
    [aux_sym_use_keychain_token1] = ACTIONS(3278),
    [aux_sym_use_roaming_token1] = ACTIONS(3278),
    [aux_sym_user_token1] = ACTIONS(3280),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3278),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3278),
    [aux_sym_version_addendum_token1] = ACTIONS(3278),
    [aux_sym_visual_host_key_token1] = ACTIONS(3278),
    [aux_sym_xauth_location_token1] = ACTIONS(3278),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3284),
    [aux_sym_match_token1] = ACTIONS(3282),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3282),
    [aux_sym_address_family_token1] = ACTIONS(3282),
    [aux_sym_batch_mode_token1] = ACTIONS(3282),
    [aux_sym_bind_address_token1] = ACTIONS(3282),
    [aux_sym_bind_interface_token1] = ACTIONS(3282),
    [aux_sym_canonical_domains_token1] = ACTIONS(3282),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3282),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3282),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3282),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3282),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3282),
    [aux_sym_certificate_file_token1] = ACTIONS(3282),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3282),
    [aux_sym_channel_timeout_token1] = ACTIONS(3282),
    [aux_sym_check_host_ip_token1] = ACTIONS(3282),
    [aux_sym_ciphers_token1] = ACTIONS(3282),
    [aux_sym_cipher_token1] = ACTIONS(3284),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3282),
    [aux_sym_compression_token1] = ACTIONS(3282),
    [aux_sym_connection_attempts_token1] = ACTIONS(3282),
    [aux_sym_connect_timeout_token1] = ACTIONS(3282),
    [aux_sym_control_master_token1] = ACTIONS(3282),
    [aux_sym_control_path_token1] = ACTIONS(3282),
    [aux_sym_control_persist_token1] = ACTIONS(3282),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3282),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3282),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3282),
    [aux_sym_escape_char_token1] = ACTIONS(3282),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3282),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3282),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3282),
    [aux_sym_forward_agent_token1] = ACTIONS(3282),
    [aux_sym_forward_x11_token1] = ACTIONS(3284),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3282),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3282),
    [aux_sym_gateway_ports_token1] = ACTIONS(3282),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3282),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3282),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3282),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3282),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3282),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3282),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3282),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3282),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3282),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3282),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3282),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3282),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3282),
    [aux_sym_host_key_alias_token1] = ACTIONS(3282),
    [aux_sym_hostname_token1] = ACTIONS(3282),
    [aux_sym_identities_only_token1] = ACTIONS(3282),
    [aux_sym_identity_agent_token1] = ACTIONS(3282),
    [aux_sym_identity_file_token1] = ACTIONS(3282),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3282),
    [aux_sym_include_token1] = ACTIONS(3282),
    [aux_sym_ip_qos_token1] = ACTIONS(3282),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3282),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3282),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3282),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3282),
    [aux_sym_local_command_token1] = ACTIONS(3282),
    [aux_sym_local_forward_token1] = ACTIONS(3282),
    [aux_sym_log_level_token1] = ACTIONS(3282),
    [aux_sym_log_verbose_token1] = ACTIONS(3282),
    [aux_sym_macs_token1] = ACTIONS(3282),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3282),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3282),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3282),
    [aux_sym_password_authentication_token1] = ACTIONS(3282),
    [aux_sym_permit_local_command_token1] = ACTIONS(3282),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3282),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3282),
    [aux_sym_port_token1] = ACTIONS(3282),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3282),
    [aux_sym_protocol_token1] = ACTIONS(3282),
    [aux_sym_proxy_command_token1] = ACTIONS(3282),
    [aux_sym_proxy_jump_token1] = ACTIONS(3282),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3282),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3282),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3282),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3282),
    [aux_sym_rekey_limit_token1] = ACTIONS(3282),
    [aux_sym_remote_command_token1] = ACTIONS(3282),
    [aux_sym_remote_forward_token1] = ACTIONS(3282),
    [aux_sym_request_tty_token1] = ACTIONS(3282),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3282),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3282),
    [aux_sym_security_key_provider_token1] = ACTIONS(3282),
    [aux_sym_send_env_token1] = ACTIONS(3282),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3282),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3282),
    [aux_sym_session_type_token1] = ACTIONS(3282),
    [aux_sym_set_env_token1] = ACTIONS(3282),
    [aux_sym_stdin_null_token1] = ACTIONS(3282),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3282),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3282),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3282),
    [aux_sym_syslog_facility_token1] = ACTIONS(3282),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3282),
    [aux_sym_keep_alive_token1] = ACTIONS(3282),
    [aux_sym_tag_token1] = ACTIONS(3282),
    [aux_sym_tunnel_token1] = ACTIONS(3284),
    [aux_sym_tunnel_device_token1] = ACTIONS(3282),
    [aux_sym_update_host_keys_token1] = ACTIONS(3282),
    [aux_sym_use_keychain_token1] = ACTIONS(3282),
    [aux_sym_use_roaming_token1] = ACTIONS(3282),
    [aux_sym_user_token1] = ACTIONS(3284),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3282),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3282),
    [aux_sym_version_addendum_token1] = ACTIONS(3282),
    [aux_sym_visual_host_key_token1] = ACTIONS(3282),
    [aux_sym_xauth_location_token1] = ACTIONS(3282),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3288),
    [aux_sym_match_token1] = ACTIONS(3286),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3286),
    [aux_sym_address_family_token1] = ACTIONS(3286),
    [aux_sym_batch_mode_token1] = ACTIONS(3286),
    [aux_sym_bind_address_token1] = ACTIONS(3286),
    [aux_sym_bind_interface_token1] = ACTIONS(3286),
    [aux_sym_canonical_domains_token1] = ACTIONS(3286),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3286),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3286),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3286),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3286),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3286),
    [aux_sym_certificate_file_token1] = ACTIONS(3286),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3286),
    [aux_sym_channel_timeout_token1] = ACTIONS(3286),
    [aux_sym_check_host_ip_token1] = ACTIONS(3286),
    [aux_sym_ciphers_token1] = ACTIONS(3286),
    [aux_sym_cipher_token1] = ACTIONS(3288),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3286),
    [aux_sym_compression_token1] = ACTIONS(3286),
    [aux_sym_connection_attempts_token1] = ACTIONS(3286),
    [aux_sym_connect_timeout_token1] = ACTIONS(3286),
    [aux_sym_control_master_token1] = ACTIONS(3286),
    [aux_sym_control_path_token1] = ACTIONS(3286),
    [aux_sym_control_persist_token1] = ACTIONS(3286),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3286),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3286),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3286),
    [aux_sym_escape_char_token1] = ACTIONS(3286),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3286),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3286),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3286),
    [aux_sym_forward_agent_token1] = ACTIONS(3286),
    [aux_sym_forward_x11_token1] = ACTIONS(3288),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3286),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3286),
    [aux_sym_gateway_ports_token1] = ACTIONS(3286),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3286),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3286),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3286),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3286),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3286),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3286),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3286),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3286),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3286),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3286),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3286),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3286),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3286),
    [aux_sym_host_key_alias_token1] = ACTIONS(3286),
    [aux_sym_hostname_token1] = ACTIONS(3286),
    [aux_sym_identities_only_token1] = ACTIONS(3286),
    [aux_sym_identity_agent_token1] = ACTIONS(3286),
    [aux_sym_identity_file_token1] = ACTIONS(3286),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3286),
    [aux_sym_include_token1] = ACTIONS(3286),
    [aux_sym_ip_qos_token1] = ACTIONS(3286),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3286),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3286),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3286),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3286),
    [aux_sym_local_command_token1] = ACTIONS(3286),
    [aux_sym_local_forward_token1] = ACTIONS(3286),
    [aux_sym_log_level_token1] = ACTIONS(3286),
    [aux_sym_log_verbose_token1] = ACTIONS(3286),
    [aux_sym_macs_token1] = ACTIONS(3286),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3286),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3286),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3286),
    [aux_sym_password_authentication_token1] = ACTIONS(3286),
    [aux_sym_permit_local_command_token1] = ACTIONS(3286),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3286),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3286),
    [aux_sym_port_token1] = ACTIONS(3286),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3286),
    [aux_sym_protocol_token1] = ACTIONS(3286),
    [aux_sym_proxy_command_token1] = ACTIONS(3286),
    [aux_sym_proxy_jump_token1] = ACTIONS(3286),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3286),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3286),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3286),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3286),
    [aux_sym_rekey_limit_token1] = ACTIONS(3286),
    [aux_sym_remote_command_token1] = ACTIONS(3286),
    [aux_sym_remote_forward_token1] = ACTIONS(3286),
    [aux_sym_request_tty_token1] = ACTIONS(3286),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3286),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3286),
    [aux_sym_security_key_provider_token1] = ACTIONS(3286),
    [aux_sym_send_env_token1] = ACTIONS(3286),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3286),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3286),
    [aux_sym_session_type_token1] = ACTIONS(3286),
    [aux_sym_set_env_token1] = ACTIONS(3286),
    [aux_sym_stdin_null_token1] = ACTIONS(3286),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3286),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3286),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3286),
    [aux_sym_syslog_facility_token1] = ACTIONS(3286),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3286),
    [aux_sym_keep_alive_token1] = ACTIONS(3286),
    [aux_sym_tag_token1] = ACTIONS(3286),
    [aux_sym_tunnel_token1] = ACTIONS(3288),
    [aux_sym_tunnel_device_token1] = ACTIONS(3286),
    [aux_sym_update_host_keys_token1] = ACTIONS(3286),
    [aux_sym_use_keychain_token1] = ACTIONS(3286),
    [aux_sym_use_roaming_token1] = ACTIONS(3286),
    [aux_sym_user_token1] = ACTIONS(3288),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3286),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3286),
    [aux_sym_version_addendum_token1] = ACTIONS(3286),
    [aux_sym_visual_host_key_token1] = ACTIONS(3286),
    [aux_sym_xauth_location_token1] = ACTIONS(3286),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3292),
    [aux_sym_match_token1] = ACTIONS(3290),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3290),
    [aux_sym_address_family_token1] = ACTIONS(3290),
    [aux_sym_batch_mode_token1] = ACTIONS(3290),
    [aux_sym_bind_address_token1] = ACTIONS(3290),
    [aux_sym_bind_interface_token1] = ACTIONS(3290),
    [aux_sym_canonical_domains_token1] = ACTIONS(3290),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3290),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3290),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3290),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3290),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3290),
    [aux_sym_certificate_file_token1] = ACTIONS(3290),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3290),
    [aux_sym_channel_timeout_token1] = ACTIONS(3290),
    [aux_sym_check_host_ip_token1] = ACTIONS(3290),
    [aux_sym_ciphers_token1] = ACTIONS(3290),
    [aux_sym_cipher_token1] = ACTIONS(3292),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3290),
    [aux_sym_compression_token1] = ACTIONS(3290),
    [aux_sym_connection_attempts_token1] = ACTIONS(3290),
    [aux_sym_connect_timeout_token1] = ACTIONS(3290),
    [aux_sym_control_master_token1] = ACTIONS(3290),
    [aux_sym_control_path_token1] = ACTIONS(3290),
    [aux_sym_control_persist_token1] = ACTIONS(3290),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3290),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3290),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3290),
    [aux_sym_escape_char_token1] = ACTIONS(3290),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3290),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3290),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3290),
    [aux_sym_forward_agent_token1] = ACTIONS(3290),
    [aux_sym_forward_x11_token1] = ACTIONS(3292),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3290),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3290),
    [aux_sym_gateway_ports_token1] = ACTIONS(3290),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3290),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3290),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3290),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3290),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3290),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3290),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3290),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3290),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3290),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3290),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3290),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3290),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3290),
    [aux_sym_host_key_alias_token1] = ACTIONS(3290),
    [aux_sym_hostname_token1] = ACTIONS(3290),
    [aux_sym_identities_only_token1] = ACTIONS(3290),
    [aux_sym_identity_agent_token1] = ACTIONS(3290),
    [aux_sym_identity_file_token1] = ACTIONS(3290),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3290),
    [aux_sym_include_token1] = ACTIONS(3290),
    [aux_sym_ip_qos_token1] = ACTIONS(3290),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3290),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3290),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3290),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3290),
    [aux_sym_local_command_token1] = ACTIONS(3290),
    [aux_sym_local_forward_token1] = ACTIONS(3290),
    [aux_sym_log_level_token1] = ACTIONS(3290),
    [aux_sym_log_verbose_token1] = ACTIONS(3290),
    [aux_sym_macs_token1] = ACTIONS(3290),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3290),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3290),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3290),
    [aux_sym_password_authentication_token1] = ACTIONS(3290),
    [aux_sym_permit_local_command_token1] = ACTIONS(3290),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3290),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3290),
    [aux_sym_port_token1] = ACTIONS(3290),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3290),
    [aux_sym_protocol_token1] = ACTIONS(3290),
    [aux_sym_proxy_command_token1] = ACTIONS(3290),
    [aux_sym_proxy_jump_token1] = ACTIONS(3290),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3290),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3290),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3290),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3290),
    [aux_sym_rekey_limit_token1] = ACTIONS(3290),
    [aux_sym_remote_command_token1] = ACTIONS(3290),
    [aux_sym_remote_forward_token1] = ACTIONS(3290),
    [aux_sym_request_tty_token1] = ACTIONS(3290),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3290),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3290),
    [aux_sym_security_key_provider_token1] = ACTIONS(3290),
    [aux_sym_send_env_token1] = ACTIONS(3290),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3290),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3290),
    [aux_sym_session_type_token1] = ACTIONS(3290),
    [aux_sym_set_env_token1] = ACTIONS(3290),
    [aux_sym_stdin_null_token1] = ACTIONS(3290),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3290),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3290),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3290),
    [aux_sym_syslog_facility_token1] = ACTIONS(3290),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3290),
    [aux_sym_keep_alive_token1] = ACTIONS(3290),
    [aux_sym_tag_token1] = ACTIONS(3290),
    [aux_sym_tunnel_token1] = ACTIONS(3292),
    [aux_sym_tunnel_device_token1] = ACTIONS(3290),
    [aux_sym_update_host_keys_token1] = ACTIONS(3290),
    [aux_sym_use_keychain_token1] = ACTIONS(3290),
    [aux_sym_use_roaming_token1] = ACTIONS(3290),
    [aux_sym_user_token1] = ACTIONS(3292),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3290),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3290),
    [aux_sym_version_addendum_token1] = ACTIONS(3290),
    [aux_sym_visual_host_key_token1] = ACTIONS(3290),
    [aux_sym_xauth_location_token1] = ACTIONS(3290),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3296),
    [aux_sym_match_token1] = ACTIONS(3294),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3294),
    [aux_sym_address_family_token1] = ACTIONS(3294),
    [aux_sym_batch_mode_token1] = ACTIONS(3294),
    [aux_sym_bind_address_token1] = ACTIONS(3294),
    [aux_sym_bind_interface_token1] = ACTIONS(3294),
    [aux_sym_canonical_domains_token1] = ACTIONS(3294),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3294),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3294),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3294),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3294),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3294),
    [aux_sym_certificate_file_token1] = ACTIONS(3294),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3294),
    [aux_sym_channel_timeout_token1] = ACTIONS(3294),
    [aux_sym_check_host_ip_token1] = ACTIONS(3294),
    [aux_sym_ciphers_token1] = ACTIONS(3294),
    [aux_sym_cipher_token1] = ACTIONS(3296),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3294),
    [aux_sym_compression_token1] = ACTIONS(3294),
    [aux_sym_connection_attempts_token1] = ACTIONS(3294),
    [aux_sym_connect_timeout_token1] = ACTIONS(3294),
    [aux_sym_control_master_token1] = ACTIONS(3294),
    [aux_sym_control_path_token1] = ACTIONS(3294),
    [aux_sym_control_persist_token1] = ACTIONS(3294),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3294),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3294),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3294),
    [aux_sym_escape_char_token1] = ACTIONS(3294),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3294),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3294),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3294),
    [aux_sym_forward_agent_token1] = ACTIONS(3294),
    [aux_sym_forward_x11_token1] = ACTIONS(3296),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3294),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3294),
    [aux_sym_gateway_ports_token1] = ACTIONS(3294),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3294),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3294),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3294),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3294),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3294),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3294),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3294),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3294),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3294),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3294),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3294),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3294),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3294),
    [aux_sym_host_key_alias_token1] = ACTIONS(3294),
    [aux_sym_hostname_token1] = ACTIONS(3294),
    [aux_sym_identities_only_token1] = ACTIONS(3294),
    [aux_sym_identity_agent_token1] = ACTIONS(3294),
    [aux_sym_identity_file_token1] = ACTIONS(3294),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3294),
    [aux_sym_include_token1] = ACTIONS(3294),
    [aux_sym_ip_qos_token1] = ACTIONS(3294),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3294),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3294),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3294),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3294),
    [aux_sym_local_command_token1] = ACTIONS(3294),
    [aux_sym_local_forward_token1] = ACTIONS(3294),
    [aux_sym_log_level_token1] = ACTIONS(3294),
    [aux_sym_log_verbose_token1] = ACTIONS(3294),
    [aux_sym_macs_token1] = ACTIONS(3294),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3294),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3294),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3294),
    [aux_sym_password_authentication_token1] = ACTIONS(3294),
    [aux_sym_permit_local_command_token1] = ACTIONS(3294),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3294),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3294),
    [aux_sym_port_token1] = ACTIONS(3294),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3294),
    [aux_sym_protocol_token1] = ACTIONS(3294),
    [aux_sym_proxy_command_token1] = ACTIONS(3294),
    [aux_sym_proxy_jump_token1] = ACTIONS(3294),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3294),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3294),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3294),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3294),
    [aux_sym_rekey_limit_token1] = ACTIONS(3294),
    [aux_sym_remote_command_token1] = ACTIONS(3294),
    [aux_sym_remote_forward_token1] = ACTIONS(3294),
    [aux_sym_request_tty_token1] = ACTIONS(3294),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3294),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3294),
    [aux_sym_security_key_provider_token1] = ACTIONS(3294),
    [aux_sym_send_env_token1] = ACTIONS(3294),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3294),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3294),
    [aux_sym_session_type_token1] = ACTIONS(3294),
    [aux_sym_set_env_token1] = ACTIONS(3294),
    [aux_sym_stdin_null_token1] = ACTIONS(3294),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3294),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3294),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3294),
    [aux_sym_syslog_facility_token1] = ACTIONS(3294),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3294),
    [aux_sym_keep_alive_token1] = ACTIONS(3294),
    [aux_sym_tag_token1] = ACTIONS(3294),
    [aux_sym_tunnel_token1] = ACTIONS(3296),
    [aux_sym_tunnel_device_token1] = ACTIONS(3294),
    [aux_sym_update_host_keys_token1] = ACTIONS(3294),
    [aux_sym_use_keychain_token1] = ACTIONS(3294),
    [aux_sym_use_roaming_token1] = ACTIONS(3294),
    [aux_sym_user_token1] = ACTIONS(3296),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3294),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3294),
    [aux_sym_version_addendum_token1] = ACTIONS(3294),
    [aux_sym_visual_host_key_token1] = ACTIONS(3294),
    [aux_sym_xauth_location_token1] = ACTIONS(3294),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3300),
    [aux_sym_match_token1] = ACTIONS(3298),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3298),
    [aux_sym_address_family_token1] = ACTIONS(3298),
    [aux_sym_batch_mode_token1] = ACTIONS(3298),
    [aux_sym_bind_address_token1] = ACTIONS(3298),
    [aux_sym_bind_interface_token1] = ACTIONS(3298),
    [aux_sym_canonical_domains_token1] = ACTIONS(3298),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3298),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3298),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3298),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3298),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3298),
    [aux_sym_certificate_file_token1] = ACTIONS(3298),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3298),
    [aux_sym_channel_timeout_token1] = ACTIONS(3298),
    [aux_sym_check_host_ip_token1] = ACTIONS(3298),
    [aux_sym_ciphers_token1] = ACTIONS(3298),
    [aux_sym_cipher_token1] = ACTIONS(3300),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3298),
    [aux_sym_compression_token1] = ACTIONS(3298),
    [aux_sym_connection_attempts_token1] = ACTIONS(3298),
    [aux_sym_connect_timeout_token1] = ACTIONS(3298),
    [aux_sym_control_master_token1] = ACTIONS(3298),
    [aux_sym_control_path_token1] = ACTIONS(3298),
    [aux_sym_control_persist_token1] = ACTIONS(3298),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3298),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3298),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3298),
    [aux_sym_escape_char_token1] = ACTIONS(3298),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3298),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3298),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3298),
    [aux_sym_forward_agent_token1] = ACTIONS(3298),
    [aux_sym_forward_x11_token1] = ACTIONS(3300),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3298),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3298),
    [aux_sym_gateway_ports_token1] = ACTIONS(3298),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3298),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3298),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3298),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3298),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3298),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3298),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3298),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3298),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3298),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3298),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3298),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3298),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3298),
    [aux_sym_host_key_alias_token1] = ACTIONS(3298),
    [aux_sym_hostname_token1] = ACTIONS(3298),
    [aux_sym_identities_only_token1] = ACTIONS(3298),
    [aux_sym_identity_agent_token1] = ACTIONS(3298),
    [aux_sym_identity_file_token1] = ACTIONS(3298),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3298),
    [aux_sym_include_token1] = ACTIONS(3298),
    [aux_sym_ip_qos_token1] = ACTIONS(3298),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3298),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3298),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3298),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3298),
    [aux_sym_local_command_token1] = ACTIONS(3298),
    [aux_sym_local_forward_token1] = ACTIONS(3298),
    [aux_sym_log_level_token1] = ACTIONS(3298),
    [aux_sym_log_verbose_token1] = ACTIONS(3298),
    [aux_sym_macs_token1] = ACTIONS(3298),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3298),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3298),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3298),
    [aux_sym_password_authentication_token1] = ACTIONS(3298),
    [aux_sym_permit_local_command_token1] = ACTIONS(3298),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3298),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3298),
    [aux_sym_port_token1] = ACTIONS(3298),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3298),
    [aux_sym_protocol_token1] = ACTIONS(3298),
    [aux_sym_proxy_command_token1] = ACTIONS(3298),
    [aux_sym_proxy_jump_token1] = ACTIONS(3298),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3298),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3298),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3298),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3298),
    [aux_sym_rekey_limit_token1] = ACTIONS(3298),
    [aux_sym_remote_command_token1] = ACTIONS(3298),
    [aux_sym_remote_forward_token1] = ACTIONS(3298),
    [aux_sym_request_tty_token1] = ACTIONS(3298),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3298),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3298),
    [aux_sym_security_key_provider_token1] = ACTIONS(3298),
    [aux_sym_send_env_token1] = ACTIONS(3298),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3298),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3298),
    [aux_sym_session_type_token1] = ACTIONS(3298),
    [aux_sym_set_env_token1] = ACTIONS(3298),
    [aux_sym_stdin_null_token1] = ACTIONS(3298),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3298),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3298),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3298),
    [aux_sym_syslog_facility_token1] = ACTIONS(3298),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3298),
    [aux_sym_keep_alive_token1] = ACTIONS(3298),
    [aux_sym_tag_token1] = ACTIONS(3298),
    [aux_sym_tunnel_token1] = ACTIONS(3300),
    [aux_sym_tunnel_device_token1] = ACTIONS(3298),
    [aux_sym_update_host_keys_token1] = ACTIONS(3298),
    [aux_sym_use_keychain_token1] = ACTIONS(3298),
    [aux_sym_use_roaming_token1] = ACTIONS(3298),
    [aux_sym_user_token1] = ACTIONS(3300),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3298),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3298),
    [aux_sym_version_addendum_token1] = ACTIONS(3298),
    [aux_sym_visual_host_key_token1] = ACTIONS(3298),
    [aux_sym_xauth_location_token1] = ACTIONS(3298),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3304),
    [aux_sym_match_token1] = ACTIONS(3302),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3302),
    [aux_sym_address_family_token1] = ACTIONS(3302),
    [aux_sym_batch_mode_token1] = ACTIONS(3302),
    [aux_sym_bind_address_token1] = ACTIONS(3302),
    [aux_sym_bind_interface_token1] = ACTIONS(3302),
    [aux_sym_canonical_domains_token1] = ACTIONS(3302),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3302),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3302),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3302),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3302),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3302),
    [aux_sym_certificate_file_token1] = ACTIONS(3302),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3302),
    [aux_sym_channel_timeout_token1] = ACTIONS(3302),
    [aux_sym_check_host_ip_token1] = ACTIONS(3302),
    [aux_sym_ciphers_token1] = ACTIONS(3302),
    [aux_sym_cipher_token1] = ACTIONS(3304),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3302),
    [aux_sym_compression_token1] = ACTIONS(3302),
    [aux_sym_connection_attempts_token1] = ACTIONS(3302),
    [aux_sym_connect_timeout_token1] = ACTIONS(3302),
    [aux_sym_control_master_token1] = ACTIONS(3302),
    [aux_sym_control_path_token1] = ACTIONS(3302),
    [aux_sym_control_persist_token1] = ACTIONS(3302),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3302),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3302),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3302),
    [aux_sym_escape_char_token1] = ACTIONS(3302),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3302),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3302),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3302),
    [aux_sym_forward_agent_token1] = ACTIONS(3302),
    [aux_sym_forward_x11_token1] = ACTIONS(3304),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3302),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3302),
    [aux_sym_gateway_ports_token1] = ACTIONS(3302),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3302),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3302),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3302),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3302),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3302),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3302),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3302),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3302),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3302),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3302),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3302),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3302),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3302),
    [aux_sym_host_key_alias_token1] = ACTIONS(3302),
    [aux_sym_hostname_token1] = ACTIONS(3302),
    [aux_sym_identities_only_token1] = ACTIONS(3302),
    [aux_sym_identity_agent_token1] = ACTIONS(3302),
    [aux_sym_identity_file_token1] = ACTIONS(3302),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3302),
    [aux_sym_include_token1] = ACTIONS(3302),
    [aux_sym_ip_qos_token1] = ACTIONS(3302),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3302),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3302),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3302),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3302),
    [aux_sym_local_command_token1] = ACTIONS(3302),
    [aux_sym_local_forward_token1] = ACTIONS(3302),
    [aux_sym_log_level_token1] = ACTIONS(3302),
    [aux_sym_log_verbose_token1] = ACTIONS(3302),
    [aux_sym_macs_token1] = ACTIONS(3302),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3302),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3302),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3302),
    [aux_sym_password_authentication_token1] = ACTIONS(3302),
    [aux_sym_permit_local_command_token1] = ACTIONS(3302),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3302),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3302),
    [aux_sym_port_token1] = ACTIONS(3302),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3302),
    [aux_sym_protocol_token1] = ACTIONS(3302),
    [aux_sym_proxy_command_token1] = ACTIONS(3302),
    [aux_sym_proxy_jump_token1] = ACTIONS(3302),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3302),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3302),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3302),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3302),
    [aux_sym_rekey_limit_token1] = ACTIONS(3302),
    [aux_sym_remote_command_token1] = ACTIONS(3302),
    [aux_sym_remote_forward_token1] = ACTIONS(3302),
    [aux_sym_request_tty_token1] = ACTIONS(3302),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3302),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3302),
    [aux_sym_security_key_provider_token1] = ACTIONS(3302),
    [aux_sym_send_env_token1] = ACTIONS(3302),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3302),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3302),
    [aux_sym_session_type_token1] = ACTIONS(3302),
    [aux_sym_set_env_token1] = ACTIONS(3302),
    [aux_sym_stdin_null_token1] = ACTIONS(3302),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3302),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3302),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3302),
    [aux_sym_syslog_facility_token1] = ACTIONS(3302),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3302),
    [aux_sym_keep_alive_token1] = ACTIONS(3302),
    [aux_sym_tag_token1] = ACTIONS(3302),
    [aux_sym_tunnel_token1] = ACTIONS(3304),
    [aux_sym_tunnel_device_token1] = ACTIONS(3302),
    [aux_sym_update_host_keys_token1] = ACTIONS(3302),
    [aux_sym_use_keychain_token1] = ACTIONS(3302),
    [aux_sym_use_roaming_token1] = ACTIONS(3302),
    [aux_sym_user_token1] = ACTIONS(3304),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3302),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3302),
    [aux_sym_version_addendum_token1] = ACTIONS(3302),
    [aux_sym_visual_host_key_token1] = ACTIONS(3302),
    [aux_sym_xauth_location_token1] = ACTIONS(3302),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3308),
    [aux_sym_match_token1] = ACTIONS(3306),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3306),
    [aux_sym_address_family_token1] = ACTIONS(3306),
    [aux_sym_batch_mode_token1] = ACTIONS(3306),
    [aux_sym_bind_address_token1] = ACTIONS(3306),
    [aux_sym_bind_interface_token1] = ACTIONS(3306),
    [aux_sym_canonical_domains_token1] = ACTIONS(3306),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3306),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3306),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3306),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3306),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3306),
    [aux_sym_certificate_file_token1] = ACTIONS(3306),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3306),
    [aux_sym_channel_timeout_token1] = ACTIONS(3306),
    [aux_sym_check_host_ip_token1] = ACTIONS(3306),
    [aux_sym_ciphers_token1] = ACTIONS(3306),
    [aux_sym_cipher_token1] = ACTIONS(3308),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3306),
    [aux_sym_compression_token1] = ACTIONS(3306),
    [aux_sym_connection_attempts_token1] = ACTIONS(3306),
    [aux_sym_connect_timeout_token1] = ACTIONS(3306),
    [aux_sym_control_master_token1] = ACTIONS(3306),
    [aux_sym_control_path_token1] = ACTIONS(3306),
    [aux_sym_control_persist_token1] = ACTIONS(3306),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3306),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3306),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3306),
    [aux_sym_escape_char_token1] = ACTIONS(3306),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3306),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3306),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3306),
    [aux_sym_forward_agent_token1] = ACTIONS(3306),
    [aux_sym_forward_x11_token1] = ACTIONS(3308),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3306),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3306),
    [aux_sym_gateway_ports_token1] = ACTIONS(3306),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3306),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3306),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3306),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3306),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3306),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3306),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3306),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3306),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3306),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3306),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3306),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3306),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3306),
    [aux_sym_host_key_alias_token1] = ACTIONS(3306),
    [aux_sym_hostname_token1] = ACTIONS(3306),
    [aux_sym_identities_only_token1] = ACTIONS(3306),
    [aux_sym_identity_agent_token1] = ACTIONS(3306),
    [aux_sym_identity_file_token1] = ACTIONS(3306),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3306),
    [aux_sym_include_token1] = ACTIONS(3306),
    [aux_sym_ip_qos_token1] = ACTIONS(3306),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3306),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3306),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3306),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3306),
    [aux_sym_local_command_token1] = ACTIONS(3306),
    [aux_sym_local_forward_token1] = ACTIONS(3306),
    [aux_sym_log_level_token1] = ACTIONS(3306),
    [aux_sym_log_verbose_token1] = ACTIONS(3306),
    [aux_sym_macs_token1] = ACTIONS(3306),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3306),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3306),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3306),
    [aux_sym_password_authentication_token1] = ACTIONS(3306),
    [aux_sym_permit_local_command_token1] = ACTIONS(3306),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3306),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3306),
    [aux_sym_port_token1] = ACTIONS(3306),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3306),
    [aux_sym_protocol_token1] = ACTIONS(3306),
    [aux_sym_proxy_command_token1] = ACTIONS(3306),
    [aux_sym_proxy_jump_token1] = ACTIONS(3306),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3306),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3306),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3306),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3306),
    [aux_sym_rekey_limit_token1] = ACTIONS(3306),
    [aux_sym_remote_command_token1] = ACTIONS(3306),
    [aux_sym_remote_forward_token1] = ACTIONS(3306),
    [aux_sym_request_tty_token1] = ACTIONS(3306),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3306),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3306),
    [aux_sym_security_key_provider_token1] = ACTIONS(3306),
    [aux_sym_send_env_token1] = ACTIONS(3306),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3306),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3306),
    [aux_sym_session_type_token1] = ACTIONS(3306),
    [aux_sym_set_env_token1] = ACTIONS(3306),
    [aux_sym_stdin_null_token1] = ACTIONS(3306),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3306),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3306),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3306),
    [aux_sym_syslog_facility_token1] = ACTIONS(3306),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3306),
    [aux_sym_keep_alive_token1] = ACTIONS(3306),
    [aux_sym_tag_token1] = ACTIONS(3306),
    [aux_sym_tunnel_token1] = ACTIONS(3308),
    [aux_sym_tunnel_device_token1] = ACTIONS(3306),
    [aux_sym_update_host_keys_token1] = ACTIONS(3306),
    [aux_sym_use_keychain_token1] = ACTIONS(3306),
    [aux_sym_use_roaming_token1] = ACTIONS(3306),
    [aux_sym_user_token1] = ACTIONS(3308),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3306),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3306),
    [aux_sym_version_addendum_token1] = ACTIONS(3306),
    [aux_sym_visual_host_key_token1] = ACTIONS(3306),
    [aux_sym_xauth_location_token1] = ACTIONS(3306),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3312),
    [aux_sym_match_token1] = ACTIONS(3310),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3310),
    [aux_sym_address_family_token1] = ACTIONS(3310),
    [aux_sym_batch_mode_token1] = ACTIONS(3310),
    [aux_sym_bind_address_token1] = ACTIONS(3310),
    [aux_sym_bind_interface_token1] = ACTIONS(3310),
    [aux_sym_canonical_domains_token1] = ACTIONS(3310),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3310),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3310),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3310),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3310),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3310),
    [aux_sym_certificate_file_token1] = ACTIONS(3310),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3310),
    [aux_sym_channel_timeout_token1] = ACTIONS(3310),
    [aux_sym_check_host_ip_token1] = ACTIONS(3310),
    [aux_sym_ciphers_token1] = ACTIONS(3310),
    [aux_sym_cipher_token1] = ACTIONS(3312),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3310),
    [aux_sym_compression_token1] = ACTIONS(3310),
    [aux_sym_connection_attempts_token1] = ACTIONS(3310),
    [aux_sym_connect_timeout_token1] = ACTIONS(3310),
    [aux_sym_control_master_token1] = ACTIONS(3310),
    [aux_sym_control_path_token1] = ACTIONS(3310),
    [aux_sym_control_persist_token1] = ACTIONS(3310),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3310),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3310),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3310),
    [aux_sym_escape_char_token1] = ACTIONS(3310),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3310),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3310),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3310),
    [aux_sym_forward_agent_token1] = ACTIONS(3310),
    [aux_sym_forward_x11_token1] = ACTIONS(3312),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3310),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3310),
    [aux_sym_gateway_ports_token1] = ACTIONS(3310),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3310),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3310),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3310),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3310),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3310),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3310),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3310),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3310),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3310),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3310),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3310),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3310),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3310),
    [aux_sym_host_key_alias_token1] = ACTIONS(3310),
    [aux_sym_hostname_token1] = ACTIONS(3310),
    [aux_sym_identities_only_token1] = ACTIONS(3310),
    [aux_sym_identity_agent_token1] = ACTIONS(3310),
    [aux_sym_identity_file_token1] = ACTIONS(3310),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3310),
    [aux_sym_include_token1] = ACTIONS(3310),
    [aux_sym_ip_qos_token1] = ACTIONS(3310),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3310),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3310),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3310),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3310),
    [aux_sym_local_command_token1] = ACTIONS(3310),
    [aux_sym_local_forward_token1] = ACTIONS(3310),
    [aux_sym_log_level_token1] = ACTIONS(3310),
    [aux_sym_log_verbose_token1] = ACTIONS(3310),
    [aux_sym_macs_token1] = ACTIONS(3310),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3310),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3310),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3310),
    [aux_sym_password_authentication_token1] = ACTIONS(3310),
    [aux_sym_permit_local_command_token1] = ACTIONS(3310),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3310),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3310),
    [aux_sym_port_token1] = ACTIONS(3310),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3310),
    [aux_sym_protocol_token1] = ACTIONS(3310),
    [aux_sym_proxy_command_token1] = ACTIONS(3310),
    [aux_sym_proxy_jump_token1] = ACTIONS(3310),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3310),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3310),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3310),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3310),
    [aux_sym_rekey_limit_token1] = ACTIONS(3310),
    [aux_sym_remote_command_token1] = ACTIONS(3310),
    [aux_sym_remote_forward_token1] = ACTIONS(3310),
    [aux_sym_request_tty_token1] = ACTIONS(3310),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3310),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3310),
    [aux_sym_security_key_provider_token1] = ACTIONS(3310),
    [aux_sym_send_env_token1] = ACTIONS(3310),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3310),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3310),
    [aux_sym_session_type_token1] = ACTIONS(3310),
    [aux_sym_set_env_token1] = ACTIONS(3310),
    [aux_sym_stdin_null_token1] = ACTIONS(3310),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3310),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3310),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3310),
    [aux_sym_syslog_facility_token1] = ACTIONS(3310),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3310),
    [aux_sym_keep_alive_token1] = ACTIONS(3310),
    [aux_sym_tag_token1] = ACTIONS(3310),
    [aux_sym_tunnel_token1] = ACTIONS(3312),
    [aux_sym_tunnel_device_token1] = ACTIONS(3310),
    [aux_sym_update_host_keys_token1] = ACTIONS(3310),
    [aux_sym_use_keychain_token1] = ACTIONS(3310),
    [aux_sym_use_roaming_token1] = ACTIONS(3310),
    [aux_sym_user_token1] = ACTIONS(3312),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3310),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3310),
    [aux_sym_version_addendum_token1] = ACTIONS(3310),
    [aux_sym_visual_host_key_token1] = ACTIONS(3310),
    [aux_sym_xauth_location_token1] = ACTIONS(3310),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(3314),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3316),
    [aux_sym_match_token1] = ACTIONS(3314),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3314),
    [aux_sym_address_family_token1] = ACTIONS(3314),
    [aux_sym_batch_mode_token1] = ACTIONS(3314),
    [aux_sym_bind_address_token1] = ACTIONS(3314),
    [aux_sym_bind_interface_token1] = ACTIONS(3314),
    [aux_sym_canonical_domains_token1] = ACTIONS(3314),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3314),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3314),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3314),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3314),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3314),
    [aux_sym_certificate_file_token1] = ACTIONS(3314),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3314),
    [aux_sym_channel_timeout_token1] = ACTIONS(3314),
    [aux_sym_check_host_ip_token1] = ACTIONS(3314),
    [aux_sym_ciphers_token1] = ACTIONS(3314),
    [aux_sym_cipher_token1] = ACTIONS(3316),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3314),
    [aux_sym_compression_token1] = ACTIONS(3314),
    [aux_sym_connection_attempts_token1] = ACTIONS(3314),
    [aux_sym_connect_timeout_token1] = ACTIONS(3314),
    [aux_sym_control_master_token1] = ACTIONS(3314),
    [aux_sym_control_path_token1] = ACTIONS(3314),
    [aux_sym_control_persist_token1] = ACTIONS(3314),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3314),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3314),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3314),
    [aux_sym_escape_char_token1] = ACTIONS(3314),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3314),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3314),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3314),
    [aux_sym_forward_agent_token1] = ACTIONS(3314),
    [aux_sym_forward_x11_token1] = ACTIONS(3316),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3314),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3314),
    [aux_sym_gateway_ports_token1] = ACTIONS(3314),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3314),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3314),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3314),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3314),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3314),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3314),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3314),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3314),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3314),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3314),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3314),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3314),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3314),
    [aux_sym_host_key_alias_token1] = ACTIONS(3314),
    [aux_sym_hostname_token1] = ACTIONS(3314),
    [aux_sym_identities_only_token1] = ACTIONS(3314),
    [aux_sym_identity_agent_token1] = ACTIONS(3314),
    [aux_sym_identity_file_token1] = ACTIONS(3314),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3314),
    [aux_sym_include_token1] = ACTIONS(3314),
    [aux_sym_ip_qos_token1] = ACTIONS(3314),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3314),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3314),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3314),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3314),
    [aux_sym_local_command_token1] = ACTIONS(3314),
    [aux_sym_local_forward_token1] = ACTIONS(3314),
    [aux_sym_log_level_token1] = ACTIONS(3314),
    [aux_sym_log_verbose_token1] = ACTIONS(3314),
    [aux_sym_macs_token1] = ACTIONS(3314),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3314),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3314),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3314),
    [aux_sym_password_authentication_token1] = ACTIONS(3314),
    [aux_sym_permit_local_command_token1] = ACTIONS(3314),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3314),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3314),
    [aux_sym_port_token1] = ACTIONS(3314),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3314),
    [aux_sym_protocol_token1] = ACTIONS(3314),
    [aux_sym_proxy_command_token1] = ACTIONS(3314),
    [aux_sym_proxy_jump_token1] = ACTIONS(3314),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3314),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3314),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3314),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3314),
    [aux_sym_rekey_limit_token1] = ACTIONS(3314),
    [aux_sym_remote_command_token1] = ACTIONS(3314),
    [aux_sym_remote_forward_token1] = ACTIONS(3314),
    [aux_sym_request_tty_token1] = ACTIONS(3314),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3314),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3314),
    [aux_sym_security_key_provider_token1] = ACTIONS(3314),
    [aux_sym_send_env_token1] = ACTIONS(3314),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3314),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3314),
    [aux_sym_session_type_token1] = ACTIONS(3314),
    [aux_sym_set_env_token1] = ACTIONS(3314),
    [aux_sym_stdin_null_token1] = ACTIONS(3314),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3314),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3314),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3314),
    [aux_sym_syslog_facility_token1] = ACTIONS(3314),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3314),
    [aux_sym_keep_alive_token1] = ACTIONS(3314),
    [aux_sym_tag_token1] = ACTIONS(3314),
    [aux_sym_tunnel_token1] = ACTIONS(3316),
    [aux_sym_tunnel_device_token1] = ACTIONS(3314),
    [aux_sym_update_host_keys_token1] = ACTIONS(3314),
    [aux_sym_use_keychain_token1] = ACTIONS(3314),
    [aux_sym_use_roaming_token1] = ACTIONS(3314),
    [aux_sym_user_token1] = ACTIONS(3316),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3314),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3314),
    [aux_sym_version_addendum_token1] = ACTIONS(3314),
    [aux_sym_visual_host_key_token1] = ACTIONS(3314),
    [aux_sym_xauth_location_token1] = ACTIONS(3314),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(3318),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3320),
    [aux_sym_match_token1] = ACTIONS(3318),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3318),
    [aux_sym_address_family_token1] = ACTIONS(3318),
    [aux_sym_batch_mode_token1] = ACTIONS(3318),
    [aux_sym_bind_address_token1] = ACTIONS(3318),
    [aux_sym_bind_interface_token1] = ACTIONS(3318),
    [aux_sym_canonical_domains_token1] = ACTIONS(3318),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3318),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3318),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3318),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3318),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3318),
    [aux_sym_certificate_file_token1] = ACTIONS(3318),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3318),
    [aux_sym_channel_timeout_token1] = ACTIONS(3318),
    [aux_sym_check_host_ip_token1] = ACTIONS(3318),
    [aux_sym_ciphers_token1] = ACTIONS(3318),
    [aux_sym_cipher_token1] = ACTIONS(3320),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3318),
    [aux_sym_compression_token1] = ACTIONS(3318),
    [aux_sym_connection_attempts_token1] = ACTIONS(3318),
    [aux_sym_connect_timeout_token1] = ACTIONS(3318),
    [aux_sym_control_master_token1] = ACTIONS(3318),
    [aux_sym_control_path_token1] = ACTIONS(3318),
    [aux_sym_control_persist_token1] = ACTIONS(3318),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3318),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3318),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3318),
    [aux_sym_escape_char_token1] = ACTIONS(3318),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3318),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3318),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3318),
    [aux_sym_forward_agent_token1] = ACTIONS(3318),
    [aux_sym_forward_x11_token1] = ACTIONS(3320),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3318),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3318),
    [aux_sym_gateway_ports_token1] = ACTIONS(3318),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3318),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3318),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3318),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3318),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3318),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3318),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3318),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3318),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3318),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3318),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3318),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3318),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3318),
    [aux_sym_host_key_alias_token1] = ACTIONS(3318),
    [aux_sym_hostname_token1] = ACTIONS(3318),
    [aux_sym_identities_only_token1] = ACTIONS(3318),
    [aux_sym_identity_agent_token1] = ACTIONS(3318),
    [aux_sym_identity_file_token1] = ACTIONS(3318),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3318),
    [aux_sym_include_token1] = ACTIONS(3318),
    [aux_sym_ip_qos_token1] = ACTIONS(3318),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3318),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3318),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3318),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3318),
    [aux_sym_local_command_token1] = ACTIONS(3318),
    [aux_sym_local_forward_token1] = ACTIONS(3318),
    [aux_sym_log_level_token1] = ACTIONS(3318),
    [aux_sym_log_verbose_token1] = ACTIONS(3318),
    [aux_sym_macs_token1] = ACTIONS(3318),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3318),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3318),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3318),
    [aux_sym_password_authentication_token1] = ACTIONS(3318),
    [aux_sym_permit_local_command_token1] = ACTIONS(3318),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3318),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3318),
    [aux_sym_port_token1] = ACTIONS(3318),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3318),
    [aux_sym_protocol_token1] = ACTIONS(3318),
    [aux_sym_proxy_command_token1] = ACTIONS(3318),
    [aux_sym_proxy_jump_token1] = ACTIONS(3318),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3318),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3318),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3318),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3318),
    [aux_sym_rekey_limit_token1] = ACTIONS(3318),
    [aux_sym_remote_command_token1] = ACTIONS(3318),
    [aux_sym_remote_forward_token1] = ACTIONS(3318),
    [aux_sym_request_tty_token1] = ACTIONS(3318),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3318),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3318),
    [aux_sym_security_key_provider_token1] = ACTIONS(3318),
    [aux_sym_send_env_token1] = ACTIONS(3318),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3318),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3318),
    [aux_sym_session_type_token1] = ACTIONS(3318),
    [aux_sym_set_env_token1] = ACTIONS(3318),
    [aux_sym_stdin_null_token1] = ACTIONS(3318),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3318),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3318),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3318),
    [aux_sym_syslog_facility_token1] = ACTIONS(3318),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3318),
    [aux_sym_keep_alive_token1] = ACTIONS(3318),
    [aux_sym_tag_token1] = ACTIONS(3318),
    [aux_sym_tunnel_token1] = ACTIONS(3320),
    [aux_sym_tunnel_device_token1] = ACTIONS(3318),
    [aux_sym_update_host_keys_token1] = ACTIONS(3318),
    [aux_sym_use_keychain_token1] = ACTIONS(3318),
    [aux_sym_use_roaming_token1] = ACTIONS(3318),
    [aux_sym_user_token1] = ACTIONS(3320),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3318),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3318),
    [aux_sym_version_addendum_token1] = ACTIONS(3318),
    [aux_sym_visual_host_key_token1] = ACTIONS(3318),
    [aux_sym_xauth_location_token1] = ACTIONS(3318),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3324),
    [aux_sym_match_token1] = ACTIONS(3322),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3322),
    [aux_sym_address_family_token1] = ACTIONS(3322),
    [aux_sym_batch_mode_token1] = ACTIONS(3322),
    [aux_sym_bind_address_token1] = ACTIONS(3322),
    [aux_sym_bind_interface_token1] = ACTIONS(3322),
    [aux_sym_canonical_domains_token1] = ACTIONS(3322),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3322),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3322),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3322),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3322),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3322),
    [aux_sym_certificate_file_token1] = ACTIONS(3322),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3322),
    [aux_sym_channel_timeout_token1] = ACTIONS(3322),
    [aux_sym_check_host_ip_token1] = ACTIONS(3322),
    [aux_sym_ciphers_token1] = ACTIONS(3322),
    [aux_sym_cipher_token1] = ACTIONS(3324),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3322),
    [aux_sym_compression_token1] = ACTIONS(3322),
    [aux_sym_connection_attempts_token1] = ACTIONS(3322),
    [aux_sym_connect_timeout_token1] = ACTIONS(3322),
    [aux_sym_control_master_token1] = ACTIONS(3322),
    [aux_sym_control_path_token1] = ACTIONS(3322),
    [aux_sym_control_persist_token1] = ACTIONS(3322),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3322),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3322),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3322),
    [aux_sym_escape_char_token1] = ACTIONS(3322),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3322),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3322),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3322),
    [aux_sym_forward_agent_token1] = ACTIONS(3322),
    [aux_sym_forward_x11_token1] = ACTIONS(3324),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3322),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3322),
    [aux_sym_gateway_ports_token1] = ACTIONS(3322),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3322),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3322),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3322),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3322),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3322),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3322),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3322),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3322),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3322),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3322),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3322),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3322),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3322),
    [aux_sym_host_key_alias_token1] = ACTIONS(3322),
    [aux_sym_hostname_token1] = ACTIONS(3322),
    [aux_sym_identities_only_token1] = ACTIONS(3322),
    [aux_sym_identity_agent_token1] = ACTIONS(3322),
    [aux_sym_identity_file_token1] = ACTIONS(3322),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3322),
    [aux_sym_include_token1] = ACTIONS(3322),
    [aux_sym_ip_qos_token1] = ACTIONS(3322),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3322),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3322),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3322),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3322),
    [aux_sym_local_command_token1] = ACTIONS(3322),
    [aux_sym_local_forward_token1] = ACTIONS(3322),
    [aux_sym_log_level_token1] = ACTIONS(3322),
    [aux_sym_log_verbose_token1] = ACTIONS(3322),
    [aux_sym_macs_token1] = ACTIONS(3322),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3322),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3322),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3322),
    [aux_sym_password_authentication_token1] = ACTIONS(3322),
    [aux_sym_permit_local_command_token1] = ACTIONS(3322),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3322),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3322),
    [aux_sym_port_token1] = ACTIONS(3322),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3322),
    [aux_sym_protocol_token1] = ACTIONS(3322),
    [aux_sym_proxy_command_token1] = ACTIONS(3322),
    [aux_sym_proxy_jump_token1] = ACTIONS(3322),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3322),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3322),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3322),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3322),
    [aux_sym_rekey_limit_token1] = ACTIONS(3322),
    [aux_sym_remote_command_token1] = ACTIONS(3322),
    [aux_sym_remote_forward_token1] = ACTIONS(3322),
    [aux_sym_request_tty_token1] = ACTIONS(3322),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3322),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3322),
    [aux_sym_security_key_provider_token1] = ACTIONS(3322),
    [aux_sym_send_env_token1] = ACTIONS(3322),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3322),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3322),
    [aux_sym_session_type_token1] = ACTIONS(3322),
    [aux_sym_set_env_token1] = ACTIONS(3322),
    [aux_sym_stdin_null_token1] = ACTIONS(3322),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3322),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3322),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3322),
    [aux_sym_syslog_facility_token1] = ACTIONS(3322),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3322),
    [aux_sym_keep_alive_token1] = ACTIONS(3322),
    [aux_sym_tag_token1] = ACTIONS(3322),
    [aux_sym_tunnel_token1] = ACTIONS(3324),
    [aux_sym_tunnel_device_token1] = ACTIONS(3322),
    [aux_sym_update_host_keys_token1] = ACTIONS(3322),
    [aux_sym_use_keychain_token1] = ACTIONS(3322),
    [aux_sym_use_roaming_token1] = ACTIONS(3322),
    [aux_sym_user_token1] = ACTIONS(3324),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3322),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3322),
    [aux_sym_version_addendum_token1] = ACTIONS(3322),
    [aux_sym_visual_host_key_token1] = ACTIONS(3322),
    [aux_sym_xauth_location_token1] = ACTIONS(3322),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3328),
    [aux_sym_match_token1] = ACTIONS(3326),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3326),
    [aux_sym_address_family_token1] = ACTIONS(3326),
    [aux_sym_batch_mode_token1] = ACTIONS(3326),
    [aux_sym_bind_address_token1] = ACTIONS(3326),
    [aux_sym_bind_interface_token1] = ACTIONS(3326),
    [aux_sym_canonical_domains_token1] = ACTIONS(3326),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3326),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3326),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3326),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3326),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3326),
    [aux_sym_certificate_file_token1] = ACTIONS(3326),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3326),
    [aux_sym_channel_timeout_token1] = ACTIONS(3326),
    [aux_sym_check_host_ip_token1] = ACTIONS(3326),
    [aux_sym_ciphers_token1] = ACTIONS(3326),
    [aux_sym_cipher_token1] = ACTIONS(3328),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3326),
    [aux_sym_compression_token1] = ACTIONS(3326),
    [aux_sym_connection_attempts_token1] = ACTIONS(3326),
    [aux_sym_connect_timeout_token1] = ACTIONS(3326),
    [aux_sym_control_master_token1] = ACTIONS(3326),
    [aux_sym_control_path_token1] = ACTIONS(3326),
    [aux_sym_control_persist_token1] = ACTIONS(3326),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3326),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3326),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3326),
    [aux_sym_escape_char_token1] = ACTIONS(3326),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3326),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3326),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3326),
    [aux_sym_forward_agent_token1] = ACTIONS(3326),
    [aux_sym_forward_x11_token1] = ACTIONS(3328),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3326),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3326),
    [aux_sym_gateway_ports_token1] = ACTIONS(3326),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3326),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3326),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3326),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3326),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3326),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3326),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3326),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3326),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3326),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3326),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3326),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3326),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3326),
    [aux_sym_host_key_alias_token1] = ACTIONS(3326),
    [aux_sym_hostname_token1] = ACTIONS(3326),
    [aux_sym_identities_only_token1] = ACTIONS(3326),
    [aux_sym_identity_agent_token1] = ACTIONS(3326),
    [aux_sym_identity_file_token1] = ACTIONS(3326),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3326),
    [aux_sym_include_token1] = ACTIONS(3326),
    [aux_sym_ip_qos_token1] = ACTIONS(3326),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3326),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3326),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3326),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3326),
    [aux_sym_local_command_token1] = ACTIONS(3326),
    [aux_sym_local_forward_token1] = ACTIONS(3326),
    [aux_sym_log_level_token1] = ACTIONS(3326),
    [aux_sym_log_verbose_token1] = ACTIONS(3326),
    [aux_sym_macs_token1] = ACTIONS(3326),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3326),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3326),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3326),
    [aux_sym_password_authentication_token1] = ACTIONS(3326),
    [aux_sym_permit_local_command_token1] = ACTIONS(3326),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3326),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3326),
    [aux_sym_port_token1] = ACTIONS(3326),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3326),
    [aux_sym_protocol_token1] = ACTIONS(3326),
    [aux_sym_proxy_command_token1] = ACTIONS(3326),
    [aux_sym_proxy_jump_token1] = ACTIONS(3326),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3326),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3326),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3326),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3326),
    [aux_sym_rekey_limit_token1] = ACTIONS(3326),
    [aux_sym_remote_command_token1] = ACTIONS(3326),
    [aux_sym_remote_forward_token1] = ACTIONS(3326),
    [aux_sym_request_tty_token1] = ACTIONS(3326),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3326),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3326),
    [aux_sym_security_key_provider_token1] = ACTIONS(3326),
    [aux_sym_send_env_token1] = ACTIONS(3326),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3326),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3326),
    [aux_sym_session_type_token1] = ACTIONS(3326),
    [aux_sym_set_env_token1] = ACTIONS(3326),
    [aux_sym_stdin_null_token1] = ACTIONS(3326),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3326),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3326),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3326),
    [aux_sym_syslog_facility_token1] = ACTIONS(3326),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3326),
    [aux_sym_keep_alive_token1] = ACTIONS(3326),
    [aux_sym_tag_token1] = ACTIONS(3326),
    [aux_sym_tunnel_token1] = ACTIONS(3328),
    [aux_sym_tunnel_device_token1] = ACTIONS(3326),
    [aux_sym_update_host_keys_token1] = ACTIONS(3326),
    [aux_sym_use_keychain_token1] = ACTIONS(3326),
    [aux_sym_use_roaming_token1] = ACTIONS(3326),
    [aux_sym_user_token1] = ACTIONS(3328),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3326),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3326),
    [aux_sym_version_addendum_token1] = ACTIONS(3326),
    [aux_sym_visual_host_key_token1] = ACTIONS(3326),
    [aux_sym_xauth_location_token1] = ACTIONS(3326),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3332),
    [aux_sym_match_token1] = ACTIONS(3330),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3330),
    [aux_sym_address_family_token1] = ACTIONS(3330),
    [aux_sym_batch_mode_token1] = ACTIONS(3330),
    [aux_sym_bind_address_token1] = ACTIONS(3330),
    [aux_sym_bind_interface_token1] = ACTIONS(3330),
    [aux_sym_canonical_domains_token1] = ACTIONS(3330),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3330),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3330),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3330),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3330),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3330),
    [aux_sym_certificate_file_token1] = ACTIONS(3330),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3330),
    [aux_sym_channel_timeout_token1] = ACTIONS(3330),
    [aux_sym_check_host_ip_token1] = ACTIONS(3330),
    [aux_sym_ciphers_token1] = ACTIONS(3330),
    [aux_sym_cipher_token1] = ACTIONS(3332),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3330),
    [aux_sym_compression_token1] = ACTIONS(3330),
    [aux_sym_connection_attempts_token1] = ACTIONS(3330),
    [aux_sym_connect_timeout_token1] = ACTIONS(3330),
    [aux_sym_control_master_token1] = ACTIONS(3330),
    [aux_sym_control_path_token1] = ACTIONS(3330),
    [aux_sym_control_persist_token1] = ACTIONS(3330),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3330),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3330),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3330),
    [aux_sym_escape_char_token1] = ACTIONS(3330),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3330),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3330),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3330),
    [aux_sym_forward_agent_token1] = ACTIONS(3330),
    [aux_sym_forward_x11_token1] = ACTIONS(3332),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3330),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3330),
    [aux_sym_gateway_ports_token1] = ACTIONS(3330),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3330),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3330),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3330),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3330),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3330),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3330),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3330),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3330),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3330),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3330),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3330),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3330),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3330),
    [aux_sym_host_key_alias_token1] = ACTIONS(3330),
    [aux_sym_hostname_token1] = ACTIONS(3330),
    [aux_sym_identities_only_token1] = ACTIONS(3330),
    [aux_sym_identity_agent_token1] = ACTIONS(3330),
    [aux_sym_identity_file_token1] = ACTIONS(3330),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3330),
    [aux_sym_include_token1] = ACTIONS(3330),
    [aux_sym_ip_qos_token1] = ACTIONS(3330),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3330),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3330),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3330),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3330),
    [aux_sym_local_command_token1] = ACTIONS(3330),
    [aux_sym_local_forward_token1] = ACTIONS(3330),
    [aux_sym_log_level_token1] = ACTIONS(3330),
    [aux_sym_log_verbose_token1] = ACTIONS(3330),
    [aux_sym_macs_token1] = ACTIONS(3330),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3330),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3330),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3330),
    [aux_sym_password_authentication_token1] = ACTIONS(3330),
    [aux_sym_permit_local_command_token1] = ACTIONS(3330),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3330),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3330),
    [aux_sym_port_token1] = ACTIONS(3330),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3330),
    [aux_sym_protocol_token1] = ACTIONS(3330),
    [aux_sym_proxy_command_token1] = ACTIONS(3330),
    [aux_sym_proxy_jump_token1] = ACTIONS(3330),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3330),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3330),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3330),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3330),
    [aux_sym_rekey_limit_token1] = ACTIONS(3330),
    [aux_sym_remote_command_token1] = ACTIONS(3330),
    [aux_sym_remote_forward_token1] = ACTIONS(3330),
    [aux_sym_request_tty_token1] = ACTIONS(3330),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3330),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3330),
    [aux_sym_security_key_provider_token1] = ACTIONS(3330),
    [aux_sym_send_env_token1] = ACTIONS(3330),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3330),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3330),
    [aux_sym_session_type_token1] = ACTIONS(3330),
    [aux_sym_set_env_token1] = ACTIONS(3330),
    [aux_sym_stdin_null_token1] = ACTIONS(3330),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3330),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3330),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3330),
    [aux_sym_syslog_facility_token1] = ACTIONS(3330),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3330),
    [aux_sym_keep_alive_token1] = ACTIONS(3330),
    [aux_sym_tag_token1] = ACTIONS(3330),
    [aux_sym_tunnel_token1] = ACTIONS(3332),
    [aux_sym_tunnel_device_token1] = ACTIONS(3330),
    [aux_sym_update_host_keys_token1] = ACTIONS(3330),
    [aux_sym_use_keychain_token1] = ACTIONS(3330),
    [aux_sym_use_roaming_token1] = ACTIONS(3330),
    [aux_sym_user_token1] = ACTIONS(3332),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3330),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3330),
    [aux_sym_version_addendum_token1] = ACTIONS(3330),
    [aux_sym_visual_host_key_token1] = ACTIONS(3330),
    [aux_sym_xauth_location_token1] = ACTIONS(3330),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(3334),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3336),
    [aux_sym_match_token1] = ACTIONS(3334),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3334),
    [aux_sym_address_family_token1] = ACTIONS(3334),
    [aux_sym_batch_mode_token1] = ACTIONS(3334),
    [aux_sym_bind_address_token1] = ACTIONS(3334),
    [aux_sym_bind_interface_token1] = ACTIONS(3334),
    [aux_sym_canonical_domains_token1] = ACTIONS(3334),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3334),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3334),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3334),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3334),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3334),
    [aux_sym_certificate_file_token1] = ACTIONS(3334),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3334),
    [aux_sym_channel_timeout_token1] = ACTIONS(3334),
    [aux_sym_check_host_ip_token1] = ACTIONS(3334),
    [aux_sym_ciphers_token1] = ACTIONS(3334),
    [aux_sym_cipher_token1] = ACTIONS(3336),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3334),
    [aux_sym_compression_token1] = ACTIONS(3334),
    [aux_sym_connection_attempts_token1] = ACTIONS(3334),
    [aux_sym_connect_timeout_token1] = ACTIONS(3334),
    [aux_sym_control_master_token1] = ACTIONS(3334),
    [aux_sym_control_path_token1] = ACTIONS(3334),
    [aux_sym_control_persist_token1] = ACTIONS(3334),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3334),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3334),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3334),
    [aux_sym_escape_char_token1] = ACTIONS(3334),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3334),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3334),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3334),
    [aux_sym_forward_agent_token1] = ACTIONS(3334),
    [aux_sym_forward_x11_token1] = ACTIONS(3336),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3334),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3334),
    [aux_sym_gateway_ports_token1] = ACTIONS(3334),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3334),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3334),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3334),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3334),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3334),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3334),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3334),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3334),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3334),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3334),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3334),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3334),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3334),
    [aux_sym_host_key_alias_token1] = ACTIONS(3334),
    [aux_sym_hostname_token1] = ACTIONS(3334),
    [aux_sym_identities_only_token1] = ACTIONS(3334),
    [aux_sym_identity_agent_token1] = ACTIONS(3334),
    [aux_sym_identity_file_token1] = ACTIONS(3334),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3334),
    [aux_sym_include_token1] = ACTIONS(3334),
    [aux_sym_ip_qos_token1] = ACTIONS(3334),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3334),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3334),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3334),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3334),
    [aux_sym_local_command_token1] = ACTIONS(3334),
    [aux_sym_local_forward_token1] = ACTIONS(3334),
    [aux_sym_log_level_token1] = ACTIONS(3334),
    [aux_sym_log_verbose_token1] = ACTIONS(3334),
    [aux_sym_macs_token1] = ACTIONS(3334),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3334),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3334),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3334),
    [aux_sym_password_authentication_token1] = ACTIONS(3334),
    [aux_sym_permit_local_command_token1] = ACTIONS(3334),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3334),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3334),
    [aux_sym_port_token1] = ACTIONS(3334),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3334),
    [aux_sym_protocol_token1] = ACTIONS(3334),
    [aux_sym_proxy_command_token1] = ACTIONS(3334),
    [aux_sym_proxy_jump_token1] = ACTIONS(3334),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3334),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3334),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3334),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3334),
    [aux_sym_rekey_limit_token1] = ACTIONS(3334),
    [aux_sym_remote_command_token1] = ACTIONS(3334),
    [aux_sym_remote_forward_token1] = ACTIONS(3334),
    [aux_sym_request_tty_token1] = ACTIONS(3334),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3334),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3334),
    [aux_sym_security_key_provider_token1] = ACTIONS(3334),
    [aux_sym_send_env_token1] = ACTIONS(3334),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3334),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3334),
    [aux_sym_session_type_token1] = ACTIONS(3334),
    [aux_sym_set_env_token1] = ACTIONS(3334),
    [aux_sym_stdin_null_token1] = ACTIONS(3334),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3334),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3334),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3334),
    [aux_sym_syslog_facility_token1] = ACTIONS(3334),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3334),
    [aux_sym_keep_alive_token1] = ACTIONS(3334),
    [aux_sym_tag_token1] = ACTIONS(3334),
    [aux_sym_tunnel_token1] = ACTIONS(3336),
    [aux_sym_tunnel_device_token1] = ACTIONS(3334),
    [aux_sym_update_host_keys_token1] = ACTIONS(3334),
    [aux_sym_use_keychain_token1] = ACTIONS(3334),
    [aux_sym_use_roaming_token1] = ACTIONS(3334),
    [aux_sym_user_token1] = ACTIONS(3336),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3334),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3334),
    [aux_sym_version_addendum_token1] = ACTIONS(3334),
    [aux_sym_visual_host_key_token1] = ACTIONS(3334),
    [aux_sym_xauth_location_token1] = ACTIONS(3334),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(3338),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3340),
    [aux_sym_match_token1] = ACTIONS(3338),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3338),
    [aux_sym_address_family_token1] = ACTIONS(3338),
    [aux_sym_batch_mode_token1] = ACTIONS(3338),
    [aux_sym_bind_address_token1] = ACTIONS(3338),
    [aux_sym_bind_interface_token1] = ACTIONS(3338),
    [aux_sym_canonical_domains_token1] = ACTIONS(3338),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3338),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3338),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3338),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3338),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3338),
    [aux_sym_certificate_file_token1] = ACTIONS(3338),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3338),
    [aux_sym_channel_timeout_token1] = ACTIONS(3338),
    [aux_sym_check_host_ip_token1] = ACTIONS(3338),
    [aux_sym_ciphers_token1] = ACTIONS(3338),
    [aux_sym_cipher_token1] = ACTIONS(3340),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3338),
    [aux_sym_compression_token1] = ACTIONS(3338),
    [aux_sym_connection_attempts_token1] = ACTIONS(3338),
    [aux_sym_connect_timeout_token1] = ACTIONS(3338),
    [aux_sym_control_master_token1] = ACTIONS(3338),
    [aux_sym_control_path_token1] = ACTIONS(3338),
    [aux_sym_control_persist_token1] = ACTIONS(3338),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3338),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3338),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3338),
    [aux_sym_escape_char_token1] = ACTIONS(3338),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3338),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3338),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3338),
    [aux_sym_forward_agent_token1] = ACTIONS(3338),
    [aux_sym_forward_x11_token1] = ACTIONS(3340),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3338),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3338),
    [aux_sym_gateway_ports_token1] = ACTIONS(3338),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3338),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3338),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3338),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3338),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3338),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3338),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3338),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3338),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3338),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3338),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3338),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3338),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3338),
    [aux_sym_host_key_alias_token1] = ACTIONS(3338),
    [aux_sym_hostname_token1] = ACTIONS(3338),
    [aux_sym_identities_only_token1] = ACTIONS(3338),
    [aux_sym_identity_agent_token1] = ACTIONS(3338),
    [aux_sym_identity_file_token1] = ACTIONS(3338),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3338),
    [aux_sym_include_token1] = ACTIONS(3338),
    [aux_sym_ip_qos_token1] = ACTIONS(3338),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3338),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3338),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3338),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3338),
    [aux_sym_local_command_token1] = ACTIONS(3338),
    [aux_sym_local_forward_token1] = ACTIONS(3338),
    [aux_sym_log_level_token1] = ACTIONS(3338),
    [aux_sym_log_verbose_token1] = ACTIONS(3338),
    [aux_sym_macs_token1] = ACTIONS(3338),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3338),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3338),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3338),
    [aux_sym_password_authentication_token1] = ACTIONS(3338),
    [aux_sym_permit_local_command_token1] = ACTIONS(3338),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3338),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3338),
    [aux_sym_port_token1] = ACTIONS(3338),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3338),
    [aux_sym_protocol_token1] = ACTIONS(3338),
    [aux_sym_proxy_command_token1] = ACTIONS(3338),
    [aux_sym_proxy_jump_token1] = ACTIONS(3338),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3338),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3338),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3338),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3338),
    [aux_sym_rekey_limit_token1] = ACTIONS(3338),
    [aux_sym_remote_command_token1] = ACTIONS(3338),
    [aux_sym_remote_forward_token1] = ACTIONS(3338),
    [aux_sym_request_tty_token1] = ACTIONS(3338),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3338),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3338),
    [aux_sym_security_key_provider_token1] = ACTIONS(3338),
    [aux_sym_send_env_token1] = ACTIONS(3338),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3338),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3338),
    [aux_sym_session_type_token1] = ACTIONS(3338),
    [aux_sym_set_env_token1] = ACTIONS(3338),
    [aux_sym_stdin_null_token1] = ACTIONS(3338),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3338),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3338),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3338),
    [aux_sym_syslog_facility_token1] = ACTIONS(3338),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3338),
    [aux_sym_keep_alive_token1] = ACTIONS(3338),
    [aux_sym_tag_token1] = ACTIONS(3338),
    [aux_sym_tunnel_token1] = ACTIONS(3340),
    [aux_sym_tunnel_device_token1] = ACTIONS(3338),
    [aux_sym_update_host_keys_token1] = ACTIONS(3338),
    [aux_sym_use_keychain_token1] = ACTIONS(3338),
    [aux_sym_use_roaming_token1] = ACTIONS(3338),
    [aux_sym_user_token1] = ACTIONS(3340),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3338),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3338),
    [aux_sym_version_addendum_token1] = ACTIONS(3338),
    [aux_sym_visual_host_key_token1] = ACTIONS(3338),
    [aux_sym_xauth_location_token1] = ACTIONS(3338),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3344),
    [aux_sym_match_token1] = ACTIONS(3342),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3342),
    [aux_sym_address_family_token1] = ACTIONS(3342),
    [aux_sym_batch_mode_token1] = ACTIONS(3342),
    [aux_sym_bind_address_token1] = ACTIONS(3342),
    [aux_sym_bind_interface_token1] = ACTIONS(3342),
    [aux_sym_canonical_domains_token1] = ACTIONS(3342),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3342),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3342),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3342),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3342),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3342),
    [aux_sym_certificate_file_token1] = ACTIONS(3342),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3342),
    [aux_sym_channel_timeout_token1] = ACTIONS(3342),
    [aux_sym_check_host_ip_token1] = ACTIONS(3342),
    [aux_sym_ciphers_token1] = ACTIONS(3342),
    [aux_sym_cipher_token1] = ACTIONS(3344),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3342),
    [aux_sym_compression_token1] = ACTIONS(3342),
    [aux_sym_connection_attempts_token1] = ACTIONS(3342),
    [aux_sym_connect_timeout_token1] = ACTIONS(3342),
    [aux_sym_control_master_token1] = ACTIONS(3342),
    [aux_sym_control_path_token1] = ACTIONS(3342),
    [aux_sym_control_persist_token1] = ACTIONS(3342),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3342),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3342),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3342),
    [aux_sym_escape_char_token1] = ACTIONS(3342),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3342),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3342),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3342),
    [aux_sym_forward_agent_token1] = ACTIONS(3342),
    [aux_sym_forward_x11_token1] = ACTIONS(3344),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3342),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3342),
    [aux_sym_gateway_ports_token1] = ACTIONS(3342),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3342),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3342),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3342),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3342),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3342),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3342),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3342),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3342),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3342),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3342),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3342),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3342),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3342),
    [aux_sym_host_key_alias_token1] = ACTIONS(3342),
    [aux_sym_hostname_token1] = ACTIONS(3342),
    [aux_sym_identities_only_token1] = ACTIONS(3342),
    [aux_sym_identity_agent_token1] = ACTIONS(3342),
    [aux_sym_identity_file_token1] = ACTIONS(3342),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3342),
    [aux_sym_include_token1] = ACTIONS(3342),
    [aux_sym_ip_qos_token1] = ACTIONS(3342),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3342),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3342),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3342),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3342),
    [aux_sym_local_command_token1] = ACTIONS(3342),
    [aux_sym_local_forward_token1] = ACTIONS(3342),
    [aux_sym_log_level_token1] = ACTIONS(3342),
    [aux_sym_log_verbose_token1] = ACTIONS(3342),
    [aux_sym_macs_token1] = ACTIONS(3342),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3342),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3342),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3342),
    [aux_sym_password_authentication_token1] = ACTIONS(3342),
    [aux_sym_permit_local_command_token1] = ACTIONS(3342),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3342),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3342),
    [aux_sym_port_token1] = ACTIONS(3342),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3342),
    [aux_sym_protocol_token1] = ACTIONS(3342),
    [aux_sym_proxy_command_token1] = ACTIONS(3342),
    [aux_sym_proxy_jump_token1] = ACTIONS(3342),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3342),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3342),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3342),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3342),
    [aux_sym_rekey_limit_token1] = ACTIONS(3342),
    [aux_sym_remote_command_token1] = ACTIONS(3342),
    [aux_sym_remote_forward_token1] = ACTIONS(3342),
    [aux_sym_request_tty_token1] = ACTIONS(3342),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3342),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3342),
    [aux_sym_security_key_provider_token1] = ACTIONS(3342),
    [aux_sym_send_env_token1] = ACTIONS(3342),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3342),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3342),
    [aux_sym_session_type_token1] = ACTIONS(3342),
    [aux_sym_set_env_token1] = ACTIONS(3342),
    [aux_sym_stdin_null_token1] = ACTIONS(3342),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3342),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3342),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3342),
    [aux_sym_syslog_facility_token1] = ACTIONS(3342),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3342),
    [aux_sym_keep_alive_token1] = ACTIONS(3342),
    [aux_sym_tag_token1] = ACTIONS(3342),
    [aux_sym_tunnel_token1] = ACTIONS(3344),
    [aux_sym_tunnel_device_token1] = ACTIONS(3342),
    [aux_sym_update_host_keys_token1] = ACTIONS(3342),
    [aux_sym_use_keychain_token1] = ACTIONS(3342),
    [aux_sym_use_roaming_token1] = ACTIONS(3342),
    [aux_sym_user_token1] = ACTIONS(3344),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3342),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3342),
    [aux_sym_version_addendum_token1] = ACTIONS(3342),
    [aux_sym_visual_host_key_token1] = ACTIONS(3342),
    [aux_sym_xauth_location_token1] = ACTIONS(3342),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3346),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3348),
    [aux_sym_match_token1] = ACTIONS(3346),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3346),
    [aux_sym_address_family_token1] = ACTIONS(3346),
    [aux_sym_batch_mode_token1] = ACTIONS(3346),
    [aux_sym_bind_address_token1] = ACTIONS(3346),
    [aux_sym_bind_interface_token1] = ACTIONS(3346),
    [aux_sym_canonical_domains_token1] = ACTIONS(3346),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3346),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3346),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3346),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3346),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3346),
    [aux_sym_certificate_file_token1] = ACTIONS(3346),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3346),
    [aux_sym_channel_timeout_token1] = ACTIONS(3346),
    [aux_sym_check_host_ip_token1] = ACTIONS(3346),
    [aux_sym_ciphers_token1] = ACTIONS(3346),
    [aux_sym_cipher_token1] = ACTIONS(3348),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3346),
    [aux_sym_compression_token1] = ACTIONS(3346),
    [aux_sym_connection_attempts_token1] = ACTIONS(3346),
    [aux_sym_connect_timeout_token1] = ACTIONS(3346),
    [aux_sym_control_master_token1] = ACTIONS(3346),
    [aux_sym_control_path_token1] = ACTIONS(3346),
    [aux_sym_control_persist_token1] = ACTIONS(3346),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3346),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3346),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3346),
    [aux_sym_escape_char_token1] = ACTIONS(3346),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3346),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3346),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3346),
    [aux_sym_forward_agent_token1] = ACTIONS(3346),
    [aux_sym_forward_x11_token1] = ACTIONS(3348),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3346),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3346),
    [aux_sym_gateway_ports_token1] = ACTIONS(3346),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3346),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3346),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3346),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3346),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3346),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3346),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3346),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3346),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3346),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3346),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3346),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3346),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3346),
    [aux_sym_host_key_alias_token1] = ACTIONS(3346),
    [aux_sym_hostname_token1] = ACTIONS(3346),
    [aux_sym_identities_only_token1] = ACTIONS(3346),
    [aux_sym_identity_agent_token1] = ACTIONS(3346),
    [aux_sym_identity_file_token1] = ACTIONS(3346),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3346),
    [aux_sym_include_token1] = ACTIONS(3346),
    [aux_sym_ip_qos_token1] = ACTIONS(3346),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3346),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3346),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3346),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3346),
    [aux_sym_local_command_token1] = ACTIONS(3346),
    [aux_sym_local_forward_token1] = ACTIONS(3346),
    [aux_sym_log_level_token1] = ACTIONS(3346),
    [aux_sym_log_verbose_token1] = ACTIONS(3346),
    [aux_sym_macs_token1] = ACTIONS(3346),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3346),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3346),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3346),
    [aux_sym_password_authentication_token1] = ACTIONS(3346),
    [aux_sym_permit_local_command_token1] = ACTIONS(3346),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3346),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3346),
    [aux_sym_port_token1] = ACTIONS(3346),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3346),
    [aux_sym_protocol_token1] = ACTIONS(3346),
    [aux_sym_proxy_command_token1] = ACTIONS(3346),
    [aux_sym_proxy_jump_token1] = ACTIONS(3346),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3346),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3346),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3346),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3346),
    [aux_sym_rekey_limit_token1] = ACTIONS(3346),
    [aux_sym_remote_command_token1] = ACTIONS(3346),
    [aux_sym_remote_forward_token1] = ACTIONS(3346),
    [aux_sym_request_tty_token1] = ACTIONS(3346),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3346),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3346),
    [aux_sym_security_key_provider_token1] = ACTIONS(3346),
    [aux_sym_send_env_token1] = ACTIONS(3346),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3346),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3346),
    [aux_sym_session_type_token1] = ACTIONS(3346),
    [aux_sym_set_env_token1] = ACTIONS(3346),
    [aux_sym_stdin_null_token1] = ACTIONS(3346),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3346),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3346),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3346),
    [aux_sym_syslog_facility_token1] = ACTIONS(3346),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3346),
    [aux_sym_keep_alive_token1] = ACTIONS(3346),
    [aux_sym_tag_token1] = ACTIONS(3346),
    [aux_sym_tunnel_token1] = ACTIONS(3348),
    [aux_sym_tunnel_device_token1] = ACTIONS(3346),
    [aux_sym_update_host_keys_token1] = ACTIONS(3346),
    [aux_sym_use_keychain_token1] = ACTIONS(3346),
    [aux_sym_use_roaming_token1] = ACTIONS(3346),
    [aux_sym_user_token1] = ACTIONS(3348),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3346),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3346),
    [aux_sym_version_addendum_token1] = ACTIONS(3346),
    [aux_sym_visual_host_key_token1] = ACTIONS(3346),
    [aux_sym_xauth_location_token1] = ACTIONS(3346),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3352),
    [aux_sym_match_token1] = ACTIONS(3350),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3350),
    [aux_sym_address_family_token1] = ACTIONS(3350),
    [aux_sym_batch_mode_token1] = ACTIONS(3350),
    [aux_sym_bind_address_token1] = ACTIONS(3350),
    [aux_sym_bind_interface_token1] = ACTIONS(3350),
    [aux_sym_canonical_domains_token1] = ACTIONS(3350),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3350),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3350),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3350),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3350),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3350),
    [aux_sym_certificate_file_token1] = ACTIONS(3350),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3350),
    [aux_sym_channel_timeout_token1] = ACTIONS(3350),
    [aux_sym_check_host_ip_token1] = ACTIONS(3350),
    [aux_sym_ciphers_token1] = ACTIONS(3350),
    [aux_sym_cipher_token1] = ACTIONS(3352),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3350),
    [aux_sym_compression_token1] = ACTIONS(3350),
    [aux_sym_connection_attempts_token1] = ACTIONS(3350),
    [aux_sym_connect_timeout_token1] = ACTIONS(3350),
    [aux_sym_control_master_token1] = ACTIONS(3350),
    [aux_sym_control_path_token1] = ACTIONS(3350),
    [aux_sym_control_persist_token1] = ACTIONS(3350),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3350),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3350),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3350),
    [aux_sym_escape_char_token1] = ACTIONS(3350),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3350),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3350),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3350),
    [aux_sym_forward_agent_token1] = ACTIONS(3350),
    [aux_sym_forward_x11_token1] = ACTIONS(3352),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3350),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3350),
    [aux_sym_gateway_ports_token1] = ACTIONS(3350),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3350),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3350),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3350),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3350),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3350),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3350),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3350),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3350),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3350),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3350),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3350),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3350),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3350),
    [aux_sym_host_key_alias_token1] = ACTIONS(3350),
    [aux_sym_hostname_token1] = ACTIONS(3350),
    [aux_sym_identities_only_token1] = ACTIONS(3350),
    [aux_sym_identity_agent_token1] = ACTIONS(3350),
    [aux_sym_identity_file_token1] = ACTIONS(3350),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3350),
    [aux_sym_include_token1] = ACTIONS(3350),
    [aux_sym_ip_qos_token1] = ACTIONS(3350),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3350),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3350),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3350),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3350),
    [aux_sym_local_command_token1] = ACTIONS(3350),
    [aux_sym_local_forward_token1] = ACTIONS(3350),
    [aux_sym_log_level_token1] = ACTIONS(3350),
    [aux_sym_log_verbose_token1] = ACTIONS(3350),
    [aux_sym_macs_token1] = ACTIONS(3350),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3350),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3350),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3350),
    [aux_sym_password_authentication_token1] = ACTIONS(3350),
    [aux_sym_permit_local_command_token1] = ACTIONS(3350),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3350),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3350),
    [aux_sym_port_token1] = ACTIONS(3350),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3350),
    [aux_sym_protocol_token1] = ACTIONS(3350),
    [aux_sym_proxy_command_token1] = ACTIONS(3350),
    [aux_sym_proxy_jump_token1] = ACTIONS(3350),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3350),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3350),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3350),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3350),
    [aux_sym_rekey_limit_token1] = ACTIONS(3350),
    [aux_sym_remote_command_token1] = ACTIONS(3350),
    [aux_sym_remote_forward_token1] = ACTIONS(3350),
    [aux_sym_request_tty_token1] = ACTIONS(3350),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3350),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3350),
    [aux_sym_security_key_provider_token1] = ACTIONS(3350),
    [aux_sym_send_env_token1] = ACTIONS(3350),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3350),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3350),
    [aux_sym_session_type_token1] = ACTIONS(3350),
    [aux_sym_set_env_token1] = ACTIONS(3350),
    [aux_sym_stdin_null_token1] = ACTIONS(3350),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3350),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3350),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3350),
    [aux_sym_syslog_facility_token1] = ACTIONS(3350),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3350),
    [aux_sym_keep_alive_token1] = ACTIONS(3350),
    [aux_sym_tag_token1] = ACTIONS(3350),
    [aux_sym_tunnel_token1] = ACTIONS(3352),
    [aux_sym_tunnel_device_token1] = ACTIONS(3350),
    [aux_sym_update_host_keys_token1] = ACTIONS(3350),
    [aux_sym_use_keychain_token1] = ACTIONS(3350),
    [aux_sym_use_roaming_token1] = ACTIONS(3350),
    [aux_sym_user_token1] = ACTIONS(3352),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3350),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3350),
    [aux_sym_version_addendum_token1] = ACTIONS(3350),
    [aux_sym_visual_host_key_token1] = ACTIONS(3350),
    [aux_sym_xauth_location_token1] = ACTIONS(3350),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3356),
    [aux_sym_match_token1] = ACTIONS(3354),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3354),
    [aux_sym_address_family_token1] = ACTIONS(3354),
    [aux_sym_batch_mode_token1] = ACTIONS(3354),
    [aux_sym_bind_address_token1] = ACTIONS(3354),
    [aux_sym_bind_interface_token1] = ACTIONS(3354),
    [aux_sym_canonical_domains_token1] = ACTIONS(3354),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3354),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3354),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3354),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3354),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3354),
    [aux_sym_certificate_file_token1] = ACTIONS(3354),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3354),
    [aux_sym_channel_timeout_token1] = ACTIONS(3354),
    [aux_sym_check_host_ip_token1] = ACTIONS(3354),
    [aux_sym_ciphers_token1] = ACTIONS(3354),
    [aux_sym_cipher_token1] = ACTIONS(3356),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3354),
    [aux_sym_compression_token1] = ACTIONS(3354),
    [aux_sym_connection_attempts_token1] = ACTIONS(3354),
    [aux_sym_connect_timeout_token1] = ACTIONS(3354),
    [aux_sym_control_master_token1] = ACTIONS(3354),
    [aux_sym_control_path_token1] = ACTIONS(3354),
    [aux_sym_control_persist_token1] = ACTIONS(3354),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3354),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3354),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3354),
    [aux_sym_escape_char_token1] = ACTIONS(3354),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3354),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3354),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3354),
    [aux_sym_forward_agent_token1] = ACTIONS(3354),
    [aux_sym_forward_x11_token1] = ACTIONS(3356),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3354),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3354),
    [aux_sym_gateway_ports_token1] = ACTIONS(3354),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3354),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3354),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3354),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3354),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3354),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3354),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3354),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3354),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3354),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3354),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3354),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3354),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3354),
    [aux_sym_host_key_alias_token1] = ACTIONS(3354),
    [aux_sym_hostname_token1] = ACTIONS(3354),
    [aux_sym_identities_only_token1] = ACTIONS(3354),
    [aux_sym_identity_agent_token1] = ACTIONS(3354),
    [aux_sym_identity_file_token1] = ACTIONS(3354),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3354),
    [aux_sym_include_token1] = ACTIONS(3354),
    [aux_sym_ip_qos_token1] = ACTIONS(3354),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3354),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3354),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3354),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3354),
    [aux_sym_local_command_token1] = ACTIONS(3354),
    [aux_sym_local_forward_token1] = ACTIONS(3354),
    [aux_sym_log_level_token1] = ACTIONS(3354),
    [aux_sym_log_verbose_token1] = ACTIONS(3354),
    [aux_sym_macs_token1] = ACTIONS(3354),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3354),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3354),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3354),
    [aux_sym_password_authentication_token1] = ACTIONS(3354),
    [aux_sym_permit_local_command_token1] = ACTIONS(3354),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3354),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3354),
    [aux_sym_port_token1] = ACTIONS(3354),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3354),
    [aux_sym_protocol_token1] = ACTIONS(3354),
    [aux_sym_proxy_command_token1] = ACTIONS(3354),
    [aux_sym_proxy_jump_token1] = ACTIONS(3354),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3354),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3354),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3354),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3354),
    [aux_sym_rekey_limit_token1] = ACTIONS(3354),
    [aux_sym_remote_command_token1] = ACTIONS(3354),
    [aux_sym_remote_forward_token1] = ACTIONS(3354),
    [aux_sym_request_tty_token1] = ACTIONS(3354),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3354),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3354),
    [aux_sym_security_key_provider_token1] = ACTIONS(3354),
    [aux_sym_send_env_token1] = ACTIONS(3354),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3354),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3354),
    [aux_sym_session_type_token1] = ACTIONS(3354),
    [aux_sym_set_env_token1] = ACTIONS(3354),
    [aux_sym_stdin_null_token1] = ACTIONS(3354),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3354),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3354),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3354),
    [aux_sym_syslog_facility_token1] = ACTIONS(3354),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3354),
    [aux_sym_keep_alive_token1] = ACTIONS(3354),
    [aux_sym_tag_token1] = ACTIONS(3354),
    [aux_sym_tunnel_token1] = ACTIONS(3356),
    [aux_sym_tunnel_device_token1] = ACTIONS(3354),
    [aux_sym_update_host_keys_token1] = ACTIONS(3354),
    [aux_sym_use_keychain_token1] = ACTIONS(3354),
    [aux_sym_use_roaming_token1] = ACTIONS(3354),
    [aux_sym_user_token1] = ACTIONS(3356),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3354),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3354),
    [aux_sym_version_addendum_token1] = ACTIONS(3354),
    [aux_sym_visual_host_key_token1] = ACTIONS(3354),
    [aux_sym_xauth_location_token1] = ACTIONS(3354),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3358),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3360),
    [aux_sym_match_token1] = ACTIONS(3358),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3358),
    [aux_sym_address_family_token1] = ACTIONS(3358),
    [aux_sym_batch_mode_token1] = ACTIONS(3358),
    [aux_sym_bind_address_token1] = ACTIONS(3358),
    [aux_sym_bind_interface_token1] = ACTIONS(3358),
    [aux_sym_canonical_domains_token1] = ACTIONS(3358),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3358),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3358),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3358),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3358),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3358),
    [aux_sym_certificate_file_token1] = ACTIONS(3358),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3358),
    [aux_sym_channel_timeout_token1] = ACTIONS(3358),
    [aux_sym_check_host_ip_token1] = ACTIONS(3358),
    [aux_sym_ciphers_token1] = ACTIONS(3358),
    [aux_sym_cipher_token1] = ACTIONS(3360),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3358),
    [aux_sym_compression_token1] = ACTIONS(3358),
    [aux_sym_connection_attempts_token1] = ACTIONS(3358),
    [aux_sym_connect_timeout_token1] = ACTIONS(3358),
    [aux_sym_control_master_token1] = ACTIONS(3358),
    [aux_sym_control_path_token1] = ACTIONS(3358),
    [aux_sym_control_persist_token1] = ACTIONS(3358),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3358),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3358),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3358),
    [aux_sym_escape_char_token1] = ACTIONS(3358),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3358),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3358),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3358),
    [aux_sym_forward_agent_token1] = ACTIONS(3358),
    [aux_sym_forward_x11_token1] = ACTIONS(3360),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3358),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3358),
    [aux_sym_gateway_ports_token1] = ACTIONS(3358),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3358),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3358),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3358),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3358),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3358),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3358),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3358),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3358),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3358),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3358),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3358),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3358),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3358),
    [aux_sym_host_key_alias_token1] = ACTIONS(3358),
    [aux_sym_hostname_token1] = ACTIONS(3358),
    [aux_sym_identities_only_token1] = ACTIONS(3358),
    [aux_sym_identity_agent_token1] = ACTIONS(3358),
    [aux_sym_identity_file_token1] = ACTIONS(3358),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3358),
    [aux_sym_include_token1] = ACTIONS(3358),
    [aux_sym_ip_qos_token1] = ACTIONS(3358),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3358),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3358),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3358),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3358),
    [aux_sym_local_command_token1] = ACTIONS(3358),
    [aux_sym_local_forward_token1] = ACTIONS(3358),
    [aux_sym_log_level_token1] = ACTIONS(3358),
    [aux_sym_log_verbose_token1] = ACTIONS(3358),
    [aux_sym_macs_token1] = ACTIONS(3358),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3358),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3358),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3358),
    [aux_sym_password_authentication_token1] = ACTIONS(3358),
    [aux_sym_permit_local_command_token1] = ACTIONS(3358),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3358),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3358),
    [aux_sym_port_token1] = ACTIONS(3358),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3358),
    [aux_sym_protocol_token1] = ACTIONS(3358),
    [aux_sym_proxy_command_token1] = ACTIONS(3358),
    [aux_sym_proxy_jump_token1] = ACTIONS(3358),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3358),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3358),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3358),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3358),
    [aux_sym_rekey_limit_token1] = ACTIONS(3358),
    [aux_sym_remote_command_token1] = ACTIONS(3358),
    [aux_sym_remote_forward_token1] = ACTIONS(3358),
    [aux_sym_request_tty_token1] = ACTIONS(3358),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3358),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3358),
    [aux_sym_security_key_provider_token1] = ACTIONS(3358),
    [aux_sym_send_env_token1] = ACTIONS(3358),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3358),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3358),
    [aux_sym_session_type_token1] = ACTIONS(3358),
    [aux_sym_set_env_token1] = ACTIONS(3358),
    [aux_sym_stdin_null_token1] = ACTIONS(3358),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3358),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3358),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3358),
    [aux_sym_syslog_facility_token1] = ACTIONS(3358),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3358),
    [aux_sym_keep_alive_token1] = ACTIONS(3358),
    [aux_sym_tag_token1] = ACTIONS(3358),
    [aux_sym_tunnel_token1] = ACTIONS(3360),
    [aux_sym_tunnel_device_token1] = ACTIONS(3358),
    [aux_sym_update_host_keys_token1] = ACTIONS(3358),
    [aux_sym_use_keychain_token1] = ACTIONS(3358),
    [aux_sym_use_roaming_token1] = ACTIONS(3358),
    [aux_sym_user_token1] = ACTIONS(3360),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3358),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3358),
    [aux_sym_version_addendum_token1] = ACTIONS(3358),
    [aux_sym_visual_host_key_token1] = ACTIONS(3358),
    [aux_sym_xauth_location_token1] = ACTIONS(3358),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3362),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3364),
    [aux_sym_match_token1] = ACTIONS(3362),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3362),
    [aux_sym_address_family_token1] = ACTIONS(3362),
    [aux_sym_batch_mode_token1] = ACTIONS(3362),
    [aux_sym_bind_address_token1] = ACTIONS(3362),
    [aux_sym_bind_interface_token1] = ACTIONS(3362),
    [aux_sym_canonical_domains_token1] = ACTIONS(3362),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3362),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3362),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3362),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3362),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3362),
    [aux_sym_certificate_file_token1] = ACTIONS(3362),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3362),
    [aux_sym_channel_timeout_token1] = ACTIONS(3362),
    [aux_sym_check_host_ip_token1] = ACTIONS(3362),
    [aux_sym_ciphers_token1] = ACTIONS(3362),
    [aux_sym_cipher_token1] = ACTIONS(3364),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3362),
    [aux_sym_compression_token1] = ACTIONS(3362),
    [aux_sym_connection_attempts_token1] = ACTIONS(3362),
    [aux_sym_connect_timeout_token1] = ACTIONS(3362),
    [aux_sym_control_master_token1] = ACTIONS(3362),
    [aux_sym_control_path_token1] = ACTIONS(3362),
    [aux_sym_control_persist_token1] = ACTIONS(3362),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3362),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3362),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3362),
    [aux_sym_escape_char_token1] = ACTIONS(3362),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3362),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3362),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3362),
    [aux_sym_forward_agent_token1] = ACTIONS(3362),
    [aux_sym_forward_x11_token1] = ACTIONS(3364),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3362),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3362),
    [aux_sym_gateway_ports_token1] = ACTIONS(3362),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3362),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3362),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3362),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3362),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3362),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3362),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3362),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3362),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3362),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3362),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3362),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3362),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3362),
    [aux_sym_host_key_alias_token1] = ACTIONS(3362),
    [aux_sym_hostname_token1] = ACTIONS(3362),
    [aux_sym_identities_only_token1] = ACTIONS(3362),
    [aux_sym_identity_agent_token1] = ACTIONS(3362),
    [aux_sym_identity_file_token1] = ACTIONS(3362),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3362),
    [aux_sym_include_token1] = ACTIONS(3362),
    [aux_sym_ip_qos_token1] = ACTIONS(3362),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3362),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3362),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3362),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3362),
    [aux_sym_local_command_token1] = ACTIONS(3362),
    [aux_sym_local_forward_token1] = ACTIONS(3362),
    [aux_sym_log_level_token1] = ACTIONS(3362),
    [aux_sym_log_verbose_token1] = ACTIONS(3362),
    [aux_sym_macs_token1] = ACTIONS(3362),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3362),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3362),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3362),
    [aux_sym_password_authentication_token1] = ACTIONS(3362),
    [aux_sym_permit_local_command_token1] = ACTIONS(3362),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3362),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3362),
    [aux_sym_port_token1] = ACTIONS(3362),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3362),
    [aux_sym_protocol_token1] = ACTIONS(3362),
    [aux_sym_proxy_command_token1] = ACTIONS(3362),
    [aux_sym_proxy_jump_token1] = ACTIONS(3362),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3362),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3362),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3362),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3362),
    [aux_sym_rekey_limit_token1] = ACTIONS(3362),
    [aux_sym_remote_command_token1] = ACTIONS(3362),
    [aux_sym_remote_forward_token1] = ACTIONS(3362),
    [aux_sym_request_tty_token1] = ACTIONS(3362),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3362),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3362),
    [aux_sym_security_key_provider_token1] = ACTIONS(3362),
    [aux_sym_send_env_token1] = ACTIONS(3362),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3362),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3362),
    [aux_sym_session_type_token1] = ACTIONS(3362),
    [aux_sym_set_env_token1] = ACTIONS(3362),
    [aux_sym_stdin_null_token1] = ACTIONS(3362),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3362),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3362),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3362),
    [aux_sym_syslog_facility_token1] = ACTIONS(3362),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3362),
    [aux_sym_keep_alive_token1] = ACTIONS(3362),
    [aux_sym_tag_token1] = ACTIONS(3362),
    [aux_sym_tunnel_token1] = ACTIONS(3364),
    [aux_sym_tunnel_device_token1] = ACTIONS(3362),
    [aux_sym_update_host_keys_token1] = ACTIONS(3362),
    [aux_sym_use_keychain_token1] = ACTIONS(3362),
    [aux_sym_use_roaming_token1] = ACTIONS(3362),
    [aux_sym_user_token1] = ACTIONS(3364),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3362),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3362),
    [aux_sym_version_addendum_token1] = ACTIONS(3362),
    [aux_sym_visual_host_key_token1] = ACTIONS(3362),
    [aux_sym_xauth_location_token1] = ACTIONS(3362),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(3366),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3368),
    [aux_sym_match_token1] = ACTIONS(3366),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3366),
    [aux_sym_address_family_token1] = ACTIONS(3366),
    [aux_sym_batch_mode_token1] = ACTIONS(3366),
    [aux_sym_bind_address_token1] = ACTIONS(3366),
    [aux_sym_bind_interface_token1] = ACTIONS(3366),
    [aux_sym_canonical_domains_token1] = ACTIONS(3366),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3366),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3366),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3366),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3366),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3366),
    [aux_sym_certificate_file_token1] = ACTIONS(3366),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3366),
    [aux_sym_channel_timeout_token1] = ACTIONS(3366),
    [aux_sym_check_host_ip_token1] = ACTIONS(3366),
    [aux_sym_ciphers_token1] = ACTIONS(3366),
    [aux_sym_cipher_token1] = ACTIONS(3368),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3366),
    [aux_sym_compression_token1] = ACTIONS(3366),
    [aux_sym_connection_attempts_token1] = ACTIONS(3366),
    [aux_sym_connect_timeout_token1] = ACTIONS(3366),
    [aux_sym_control_master_token1] = ACTIONS(3366),
    [aux_sym_control_path_token1] = ACTIONS(3366),
    [aux_sym_control_persist_token1] = ACTIONS(3366),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3366),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3366),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3366),
    [aux_sym_escape_char_token1] = ACTIONS(3366),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3366),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3366),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3366),
    [aux_sym_forward_agent_token1] = ACTIONS(3366),
    [aux_sym_forward_x11_token1] = ACTIONS(3368),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3366),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3366),
    [aux_sym_gateway_ports_token1] = ACTIONS(3366),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3366),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3366),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3366),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3366),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3366),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3366),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3366),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3366),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3366),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3366),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3366),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3366),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3366),
    [aux_sym_host_key_alias_token1] = ACTIONS(3366),
    [aux_sym_hostname_token1] = ACTIONS(3366),
    [aux_sym_identities_only_token1] = ACTIONS(3366),
    [aux_sym_identity_agent_token1] = ACTIONS(3366),
    [aux_sym_identity_file_token1] = ACTIONS(3366),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3366),
    [aux_sym_include_token1] = ACTIONS(3366),
    [aux_sym_ip_qos_token1] = ACTIONS(3366),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3366),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3366),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3366),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3366),
    [aux_sym_local_command_token1] = ACTIONS(3366),
    [aux_sym_local_forward_token1] = ACTIONS(3366),
    [aux_sym_log_level_token1] = ACTIONS(3366),
    [aux_sym_log_verbose_token1] = ACTIONS(3366),
    [aux_sym_macs_token1] = ACTIONS(3366),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3366),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3366),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3366),
    [aux_sym_password_authentication_token1] = ACTIONS(3366),
    [aux_sym_permit_local_command_token1] = ACTIONS(3366),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3366),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3366),
    [aux_sym_port_token1] = ACTIONS(3366),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3366),
    [aux_sym_protocol_token1] = ACTIONS(3366),
    [aux_sym_proxy_command_token1] = ACTIONS(3366),
    [aux_sym_proxy_jump_token1] = ACTIONS(3366),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3366),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3366),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3366),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3366),
    [aux_sym_rekey_limit_token1] = ACTIONS(3366),
    [aux_sym_remote_command_token1] = ACTIONS(3366),
    [aux_sym_remote_forward_token1] = ACTIONS(3366),
    [aux_sym_request_tty_token1] = ACTIONS(3366),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3366),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3366),
    [aux_sym_security_key_provider_token1] = ACTIONS(3366),
    [aux_sym_send_env_token1] = ACTIONS(3366),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3366),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3366),
    [aux_sym_session_type_token1] = ACTIONS(3366),
    [aux_sym_set_env_token1] = ACTIONS(3366),
    [aux_sym_stdin_null_token1] = ACTIONS(3366),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3366),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3366),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3366),
    [aux_sym_syslog_facility_token1] = ACTIONS(3366),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3366),
    [aux_sym_keep_alive_token1] = ACTIONS(3366),
    [aux_sym_tag_token1] = ACTIONS(3366),
    [aux_sym_tunnel_token1] = ACTIONS(3368),
    [aux_sym_tunnel_device_token1] = ACTIONS(3366),
    [aux_sym_update_host_keys_token1] = ACTIONS(3366),
    [aux_sym_use_keychain_token1] = ACTIONS(3366),
    [aux_sym_use_roaming_token1] = ACTIONS(3366),
    [aux_sym_user_token1] = ACTIONS(3368),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3366),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3366),
    [aux_sym_version_addendum_token1] = ACTIONS(3366),
    [aux_sym_visual_host_key_token1] = ACTIONS(3366),
    [aux_sym_xauth_location_token1] = ACTIONS(3366),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3372),
    [aux_sym_match_token1] = ACTIONS(3370),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3370),
    [aux_sym_address_family_token1] = ACTIONS(3370),
    [aux_sym_batch_mode_token1] = ACTIONS(3370),
    [aux_sym_bind_address_token1] = ACTIONS(3370),
    [aux_sym_bind_interface_token1] = ACTIONS(3370),
    [aux_sym_canonical_domains_token1] = ACTIONS(3370),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3370),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3370),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3370),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3370),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3370),
    [aux_sym_certificate_file_token1] = ACTIONS(3370),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3370),
    [aux_sym_channel_timeout_token1] = ACTIONS(3370),
    [aux_sym_check_host_ip_token1] = ACTIONS(3370),
    [aux_sym_ciphers_token1] = ACTIONS(3370),
    [aux_sym_cipher_token1] = ACTIONS(3372),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3370),
    [aux_sym_compression_token1] = ACTIONS(3370),
    [aux_sym_connection_attempts_token1] = ACTIONS(3370),
    [aux_sym_connect_timeout_token1] = ACTIONS(3370),
    [aux_sym_control_master_token1] = ACTIONS(3370),
    [aux_sym_control_path_token1] = ACTIONS(3370),
    [aux_sym_control_persist_token1] = ACTIONS(3370),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3370),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3370),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3370),
    [aux_sym_escape_char_token1] = ACTIONS(3370),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3370),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3370),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3370),
    [aux_sym_forward_agent_token1] = ACTIONS(3370),
    [aux_sym_forward_x11_token1] = ACTIONS(3372),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3370),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3370),
    [aux_sym_gateway_ports_token1] = ACTIONS(3370),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3370),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3370),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3370),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3370),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3370),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3370),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3370),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3370),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3370),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3370),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3370),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3370),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3370),
    [aux_sym_host_key_alias_token1] = ACTIONS(3370),
    [aux_sym_hostname_token1] = ACTIONS(3370),
    [aux_sym_identities_only_token1] = ACTIONS(3370),
    [aux_sym_identity_agent_token1] = ACTIONS(3370),
    [aux_sym_identity_file_token1] = ACTIONS(3370),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3370),
    [aux_sym_include_token1] = ACTIONS(3370),
    [aux_sym_ip_qos_token1] = ACTIONS(3370),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3370),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3370),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3370),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3370),
    [aux_sym_local_command_token1] = ACTIONS(3370),
    [aux_sym_local_forward_token1] = ACTIONS(3370),
    [aux_sym_log_level_token1] = ACTIONS(3370),
    [aux_sym_log_verbose_token1] = ACTIONS(3370),
    [aux_sym_macs_token1] = ACTIONS(3370),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3370),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3370),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3370),
    [aux_sym_password_authentication_token1] = ACTIONS(3370),
    [aux_sym_permit_local_command_token1] = ACTIONS(3370),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3370),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3370),
    [aux_sym_port_token1] = ACTIONS(3370),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3370),
    [aux_sym_protocol_token1] = ACTIONS(3370),
    [aux_sym_proxy_command_token1] = ACTIONS(3370),
    [aux_sym_proxy_jump_token1] = ACTIONS(3370),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3370),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3370),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3370),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3370),
    [aux_sym_rekey_limit_token1] = ACTIONS(3370),
    [aux_sym_remote_command_token1] = ACTIONS(3370),
    [aux_sym_remote_forward_token1] = ACTIONS(3370),
    [aux_sym_request_tty_token1] = ACTIONS(3370),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3370),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3370),
    [aux_sym_security_key_provider_token1] = ACTIONS(3370),
    [aux_sym_send_env_token1] = ACTIONS(3370),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3370),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3370),
    [aux_sym_session_type_token1] = ACTIONS(3370),
    [aux_sym_set_env_token1] = ACTIONS(3370),
    [aux_sym_stdin_null_token1] = ACTIONS(3370),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3370),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3370),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3370),
    [aux_sym_syslog_facility_token1] = ACTIONS(3370),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3370),
    [aux_sym_keep_alive_token1] = ACTIONS(3370),
    [aux_sym_tag_token1] = ACTIONS(3370),
    [aux_sym_tunnel_token1] = ACTIONS(3372),
    [aux_sym_tunnel_device_token1] = ACTIONS(3370),
    [aux_sym_update_host_keys_token1] = ACTIONS(3370),
    [aux_sym_use_keychain_token1] = ACTIONS(3370),
    [aux_sym_use_roaming_token1] = ACTIONS(3370),
    [aux_sym_user_token1] = ACTIONS(3372),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3370),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3370),
    [aux_sym_version_addendum_token1] = ACTIONS(3370),
    [aux_sym_visual_host_key_token1] = ACTIONS(3370),
    [aux_sym_xauth_location_token1] = ACTIONS(3370),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(3374),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3376),
    [aux_sym_match_token1] = ACTIONS(3374),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3374),
    [aux_sym_address_family_token1] = ACTIONS(3374),
    [aux_sym_batch_mode_token1] = ACTIONS(3374),
    [aux_sym_bind_address_token1] = ACTIONS(3374),
    [aux_sym_bind_interface_token1] = ACTIONS(3374),
    [aux_sym_canonical_domains_token1] = ACTIONS(3374),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3374),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3374),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3374),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3374),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3374),
    [aux_sym_certificate_file_token1] = ACTIONS(3374),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3374),
    [aux_sym_channel_timeout_token1] = ACTIONS(3374),
    [aux_sym_check_host_ip_token1] = ACTIONS(3374),
    [aux_sym_ciphers_token1] = ACTIONS(3374),
    [aux_sym_cipher_token1] = ACTIONS(3376),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3374),
    [aux_sym_compression_token1] = ACTIONS(3374),
    [aux_sym_connection_attempts_token1] = ACTIONS(3374),
    [aux_sym_connect_timeout_token1] = ACTIONS(3374),
    [aux_sym_control_master_token1] = ACTIONS(3374),
    [aux_sym_control_path_token1] = ACTIONS(3374),
    [aux_sym_control_persist_token1] = ACTIONS(3374),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3374),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3374),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3374),
    [aux_sym_escape_char_token1] = ACTIONS(3374),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3374),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3374),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3374),
    [aux_sym_forward_agent_token1] = ACTIONS(3374),
    [aux_sym_forward_x11_token1] = ACTIONS(3376),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3374),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3374),
    [aux_sym_gateway_ports_token1] = ACTIONS(3374),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3374),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3374),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3374),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3374),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3374),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3374),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3374),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3374),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3374),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3374),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3374),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3374),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3374),
    [aux_sym_host_key_alias_token1] = ACTIONS(3374),
    [aux_sym_hostname_token1] = ACTIONS(3374),
    [aux_sym_identities_only_token1] = ACTIONS(3374),
    [aux_sym_identity_agent_token1] = ACTIONS(3374),
    [aux_sym_identity_file_token1] = ACTIONS(3374),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3374),
    [aux_sym_include_token1] = ACTIONS(3374),
    [aux_sym_ip_qos_token1] = ACTIONS(3374),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3374),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3374),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3374),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3374),
    [aux_sym_local_command_token1] = ACTIONS(3374),
    [aux_sym_local_forward_token1] = ACTIONS(3374),
    [aux_sym_log_level_token1] = ACTIONS(3374),
    [aux_sym_log_verbose_token1] = ACTIONS(3374),
    [aux_sym_macs_token1] = ACTIONS(3374),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3374),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3374),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3374),
    [aux_sym_password_authentication_token1] = ACTIONS(3374),
    [aux_sym_permit_local_command_token1] = ACTIONS(3374),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3374),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3374),
    [aux_sym_port_token1] = ACTIONS(3374),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3374),
    [aux_sym_protocol_token1] = ACTIONS(3374),
    [aux_sym_proxy_command_token1] = ACTIONS(3374),
    [aux_sym_proxy_jump_token1] = ACTIONS(3374),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3374),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3374),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3374),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3374),
    [aux_sym_rekey_limit_token1] = ACTIONS(3374),
    [aux_sym_remote_command_token1] = ACTIONS(3374),
    [aux_sym_remote_forward_token1] = ACTIONS(3374),
    [aux_sym_request_tty_token1] = ACTIONS(3374),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3374),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3374),
    [aux_sym_security_key_provider_token1] = ACTIONS(3374),
    [aux_sym_send_env_token1] = ACTIONS(3374),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3374),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3374),
    [aux_sym_session_type_token1] = ACTIONS(3374),
    [aux_sym_set_env_token1] = ACTIONS(3374),
    [aux_sym_stdin_null_token1] = ACTIONS(3374),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3374),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3374),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3374),
    [aux_sym_syslog_facility_token1] = ACTIONS(3374),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3374),
    [aux_sym_keep_alive_token1] = ACTIONS(3374),
    [aux_sym_tag_token1] = ACTIONS(3374),
    [aux_sym_tunnel_token1] = ACTIONS(3376),
    [aux_sym_tunnel_device_token1] = ACTIONS(3374),
    [aux_sym_update_host_keys_token1] = ACTIONS(3374),
    [aux_sym_use_keychain_token1] = ACTIONS(3374),
    [aux_sym_use_roaming_token1] = ACTIONS(3374),
    [aux_sym_user_token1] = ACTIONS(3376),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3374),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3374),
    [aux_sym_version_addendum_token1] = ACTIONS(3374),
    [aux_sym_visual_host_key_token1] = ACTIONS(3374),
    [aux_sym_xauth_location_token1] = ACTIONS(3374),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3380),
    [aux_sym_match_token1] = ACTIONS(3378),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3378),
    [aux_sym_address_family_token1] = ACTIONS(3378),
    [aux_sym_batch_mode_token1] = ACTIONS(3378),
    [aux_sym_bind_address_token1] = ACTIONS(3378),
    [aux_sym_bind_interface_token1] = ACTIONS(3378),
    [aux_sym_canonical_domains_token1] = ACTIONS(3378),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3378),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3378),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3378),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3378),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3378),
    [aux_sym_certificate_file_token1] = ACTIONS(3378),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3378),
    [aux_sym_channel_timeout_token1] = ACTIONS(3378),
    [aux_sym_check_host_ip_token1] = ACTIONS(3378),
    [aux_sym_ciphers_token1] = ACTIONS(3378),
    [aux_sym_cipher_token1] = ACTIONS(3380),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3378),
    [aux_sym_compression_token1] = ACTIONS(3378),
    [aux_sym_connection_attempts_token1] = ACTIONS(3378),
    [aux_sym_connect_timeout_token1] = ACTIONS(3378),
    [aux_sym_control_master_token1] = ACTIONS(3378),
    [aux_sym_control_path_token1] = ACTIONS(3378),
    [aux_sym_control_persist_token1] = ACTIONS(3378),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3378),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3378),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3378),
    [aux_sym_escape_char_token1] = ACTIONS(3378),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3378),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3378),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3378),
    [aux_sym_forward_agent_token1] = ACTIONS(3378),
    [aux_sym_forward_x11_token1] = ACTIONS(3380),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3378),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3378),
    [aux_sym_gateway_ports_token1] = ACTIONS(3378),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3378),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3378),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3378),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3378),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3378),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3378),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3378),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3378),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3378),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3378),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3378),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3378),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3378),
    [aux_sym_host_key_alias_token1] = ACTIONS(3378),
    [aux_sym_hostname_token1] = ACTIONS(3378),
    [aux_sym_identities_only_token1] = ACTIONS(3378),
    [aux_sym_identity_agent_token1] = ACTIONS(3378),
    [aux_sym_identity_file_token1] = ACTIONS(3378),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3378),
    [aux_sym_include_token1] = ACTIONS(3378),
    [aux_sym_ip_qos_token1] = ACTIONS(3378),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3378),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3378),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3378),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3378),
    [aux_sym_local_command_token1] = ACTIONS(3378),
    [aux_sym_local_forward_token1] = ACTIONS(3378),
    [aux_sym_log_level_token1] = ACTIONS(3378),
    [aux_sym_log_verbose_token1] = ACTIONS(3378),
    [aux_sym_macs_token1] = ACTIONS(3378),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3378),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3378),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3378),
    [aux_sym_password_authentication_token1] = ACTIONS(3378),
    [aux_sym_permit_local_command_token1] = ACTIONS(3378),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3378),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3378),
    [aux_sym_port_token1] = ACTIONS(3378),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3378),
    [aux_sym_protocol_token1] = ACTIONS(3378),
    [aux_sym_proxy_command_token1] = ACTIONS(3378),
    [aux_sym_proxy_jump_token1] = ACTIONS(3378),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3378),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3378),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3378),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3378),
    [aux_sym_rekey_limit_token1] = ACTIONS(3378),
    [aux_sym_remote_command_token1] = ACTIONS(3378),
    [aux_sym_remote_forward_token1] = ACTIONS(3378),
    [aux_sym_request_tty_token1] = ACTIONS(3378),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3378),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3378),
    [aux_sym_security_key_provider_token1] = ACTIONS(3378),
    [aux_sym_send_env_token1] = ACTIONS(3378),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3378),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3378),
    [aux_sym_session_type_token1] = ACTIONS(3378),
    [aux_sym_set_env_token1] = ACTIONS(3378),
    [aux_sym_stdin_null_token1] = ACTIONS(3378),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3378),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3378),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3378),
    [aux_sym_syslog_facility_token1] = ACTIONS(3378),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3378),
    [aux_sym_keep_alive_token1] = ACTIONS(3378),
    [aux_sym_tag_token1] = ACTIONS(3378),
    [aux_sym_tunnel_token1] = ACTIONS(3380),
    [aux_sym_tunnel_device_token1] = ACTIONS(3378),
    [aux_sym_update_host_keys_token1] = ACTIONS(3378),
    [aux_sym_use_keychain_token1] = ACTIONS(3378),
    [aux_sym_use_roaming_token1] = ACTIONS(3378),
    [aux_sym_user_token1] = ACTIONS(3380),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3378),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3378),
    [aux_sym_version_addendum_token1] = ACTIONS(3378),
    [aux_sym_visual_host_key_token1] = ACTIONS(3378),
    [aux_sym_xauth_location_token1] = ACTIONS(3378),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3384),
    [aux_sym_match_token1] = ACTIONS(3382),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3382),
    [aux_sym_address_family_token1] = ACTIONS(3382),
    [aux_sym_batch_mode_token1] = ACTIONS(3382),
    [aux_sym_bind_address_token1] = ACTIONS(3382),
    [aux_sym_bind_interface_token1] = ACTIONS(3382),
    [aux_sym_canonical_domains_token1] = ACTIONS(3382),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3382),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3382),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3382),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3382),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3382),
    [aux_sym_certificate_file_token1] = ACTIONS(3382),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3382),
    [aux_sym_channel_timeout_token1] = ACTIONS(3382),
    [aux_sym_check_host_ip_token1] = ACTIONS(3382),
    [aux_sym_ciphers_token1] = ACTIONS(3382),
    [aux_sym_cipher_token1] = ACTIONS(3384),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3382),
    [aux_sym_compression_token1] = ACTIONS(3382),
    [aux_sym_connection_attempts_token1] = ACTIONS(3382),
    [aux_sym_connect_timeout_token1] = ACTIONS(3382),
    [aux_sym_control_master_token1] = ACTIONS(3382),
    [aux_sym_control_path_token1] = ACTIONS(3382),
    [aux_sym_control_persist_token1] = ACTIONS(3382),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3382),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3382),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3382),
    [aux_sym_escape_char_token1] = ACTIONS(3382),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3382),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3382),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3382),
    [aux_sym_forward_agent_token1] = ACTIONS(3382),
    [aux_sym_forward_x11_token1] = ACTIONS(3384),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3382),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3382),
    [aux_sym_gateway_ports_token1] = ACTIONS(3382),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3382),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3382),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3382),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3382),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3382),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3382),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3382),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3382),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3382),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3382),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3382),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3382),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3382),
    [aux_sym_host_key_alias_token1] = ACTIONS(3382),
    [aux_sym_hostname_token1] = ACTIONS(3382),
    [aux_sym_identities_only_token1] = ACTIONS(3382),
    [aux_sym_identity_agent_token1] = ACTIONS(3382),
    [aux_sym_identity_file_token1] = ACTIONS(3382),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3382),
    [aux_sym_include_token1] = ACTIONS(3382),
    [aux_sym_ip_qos_token1] = ACTIONS(3382),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3382),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3382),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3382),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3382),
    [aux_sym_local_command_token1] = ACTIONS(3382),
    [aux_sym_local_forward_token1] = ACTIONS(3382),
    [aux_sym_log_level_token1] = ACTIONS(3382),
    [aux_sym_log_verbose_token1] = ACTIONS(3382),
    [aux_sym_macs_token1] = ACTIONS(3382),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3382),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3382),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3382),
    [aux_sym_password_authentication_token1] = ACTIONS(3382),
    [aux_sym_permit_local_command_token1] = ACTIONS(3382),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3382),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3382),
    [aux_sym_port_token1] = ACTIONS(3382),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3382),
    [aux_sym_protocol_token1] = ACTIONS(3382),
    [aux_sym_proxy_command_token1] = ACTIONS(3382),
    [aux_sym_proxy_jump_token1] = ACTIONS(3382),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3382),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3382),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3382),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3382),
    [aux_sym_rekey_limit_token1] = ACTIONS(3382),
    [aux_sym_remote_command_token1] = ACTIONS(3382),
    [aux_sym_remote_forward_token1] = ACTIONS(3382),
    [aux_sym_request_tty_token1] = ACTIONS(3382),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3382),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3382),
    [aux_sym_security_key_provider_token1] = ACTIONS(3382),
    [aux_sym_send_env_token1] = ACTIONS(3382),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3382),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3382),
    [aux_sym_session_type_token1] = ACTIONS(3382),
    [aux_sym_set_env_token1] = ACTIONS(3382),
    [aux_sym_stdin_null_token1] = ACTIONS(3382),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3382),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3382),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3382),
    [aux_sym_syslog_facility_token1] = ACTIONS(3382),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3382),
    [aux_sym_keep_alive_token1] = ACTIONS(3382),
    [aux_sym_tag_token1] = ACTIONS(3382),
    [aux_sym_tunnel_token1] = ACTIONS(3384),
    [aux_sym_tunnel_device_token1] = ACTIONS(3382),
    [aux_sym_update_host_keys_token1] = ACTIONS(3382),
    [aux_sym_use_keychain_token1] = ACTIONS(3382),
    [aux_sym_use_roaming_token1] = ACTIONS(3382),
    [aux_sym_user_token1] = ACTIONS(3384),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3382),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3382),
    [aux_sym_version_addendum_token1] = ACTIONS(3382),
    [aux_sym_visual_host_key_token1] = ACTIONS(3382),
    [aux_sym_xauth_location_token1] = ACTIONS(3382),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3388),
    [aux_sym_match_token1] = ACTIONS(3386),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3386),
    [aux_sym_address_family_token1] = ACTIONS(3386),
    [aux_sym_batch_mode_token1] = ACTIONS(3386),
    [aux_sym_bind_address_token1] = ACTIONS(3386),
    [aux_sym_bind_interface_token1] = ACTIONS(3386),
    [aux_sym_canonical_domains_token1] = ACTIONS(3386),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3386),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3386),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3386),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3386),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3386),
    [aux_sym_certificate_file_token1] = ACTIONS(3386),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3386),
    [aux_sym_channel_timeout_token1] = ACTIONS(3386),
    [aux_sym_check_host_ip_token1] = ACTIONS(3386),
    [aux_sym_ciphers_token1] = ACTIONS(3386),
    [aux_sym_cipher_token1] = ACTIONS(3388),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3386),
    [aux_sym_compression_token1] = ACTIONS(3386),
    [aux_sym_connection_attempts_token1] = ACTIONS(3386),
    [aux_sym_connect_timeout_token1] = ACTIONS(3386),
    [aux_sym_control_master_token1] = ACTIONS(3386),
    [aux_sym_control_path_token1] = ACTIONS(3386),
    [aux_sym_control_persist_token1] = ACTIONS(3386),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3386),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3386),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3386),
    [aux_sym_escape_char_token1] = ACTIONS(3386),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3386),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3386),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3386),
    [aux_sym_forward_agent_token1] = ACTIONS(3386),
    [aux_sym_forward_x11_token1] = ACTIONS(3388),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3386),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3386),
    [aux_sym_gateway_ports_token1] = ACTIONS(3386),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3386),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3386),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3386),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3386),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3386),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3386),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3386),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3386),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3386),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3386),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3386),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3386),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3386),
    [aux_sym_host_key_alias_token1] = ACTIONS(3386),
    [aux_sym_hostname_token1] = ACTIONS(3386),
    [aux_sym_identities_only_token1] = ACTIONS(3386),
    [aux_sym_identity_agent_token1] = ACTIONS(3386),
    [aux_sym_identity_file_token1] = ACTIONS(3386),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3386),
    [aux_sym_include_token1] = ACTIONS(3386),
    [aux_sym_ip_qos_token1] = ACTIONS(3386),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3386),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3386),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3386),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3386),
    [aux_sym_local_command_token1] = ACTIONS(3386),
    [aux_sym_local_forward_token1] = ACTIONS(3386),
    [aux_sym_log_level_token1] = ACTIONS(3386),
    [aux_sym_log_verbose_token1] = ACTIONS(3386),
    [aux_sym_macs_token1] = ACTIONS(3386),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3386),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3386),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3386),
    [aux_sym_password_authentication_token1] = ACTIONS(3386),
    [aux_sym_permit_local_command_token1] = ACTIONS(3386),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3386),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3386),
    [aux_sym_port_token1] = ACTIONS(3386),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3386),
    [aux_sym_protocol_token1] = ACTIONS(3386),
    [aux_sym_proxy_command_token1] = ACTIONS(3386),
    [aux_sym_proxy_jump_token1] = ACTIONS(3386),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3386),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3386),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3386),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3386),
    [aux_sym_rekey_limit_token1] = ACTIONS(3386),
    [aux_sym_remote_command_token1] = ACTIONS(3386),
    [aux_sym_remote_forward_token1] = ACTIONS(3386),
    [aux_sym_request_tty_token1] = ACTIONS(3386),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3386),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3386),
    [aux_sym_security_key_provider_token1] = ACTIONS(3386),
    [aux_sym_send_env_token1] = ACTIONS(3386),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3386),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3386),
    [aux_sym_session_type_token1] = ACTIONS(3386),
    [aux_sym_set_env_token1] = ACTIONS(3386),
    [aux_sym_stdin_null_token1] = ACTIONS(3386),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3386),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3386),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3386),
    [aux_sym_syslog_facility_token1] = ACTIONS(3386),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3386),
    [aux_sym_keep_alive_token1] = ACTIONS(3386),
    [aux_sym_tag_token1] = ACTIONS(3386),
    [aux_sym_tunnel_token1] = ACTIONS(3388),
    [aux_sym_tunnel_device_token1] = ACTIONS(3386),
    [aux_sym_update_host_keys_token1] = ACTIONS(3386),
    [aux_sym_use_keychain_token1] = ACTIONS(3386),
    [aux_sym_use_roaming_token1] = ACTIONS(3386),
    [aux_sym_user_token1] = ACTIONS(3388),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3386),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3386),
    [aux_sym_version_addendum_token1] = ACTIONS(3386),
    [aux_sym_visual_host_key_token1] = ACTIONS(3386),
    [aux_sym_xauth_location_token1] = ACTIONS(3386),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3392),
    [aux_sym_match_token1] = ACTIONS(3390),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3390),
    [aux_sym_address_family_token1] = ACTIONS(3390),
    [aux_sym_batch_mode_token1] = ACTIONS(3390),
    [aux_sym_bind_address_token1] = ACTIONS(3390),
    [aux_sym_bind_interface_token1] = ACTIONS(3390),
    [aux_sym_canonical_domains_token1] = ACTIONS(3390),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3390),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3390),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3390),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3390),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3390),
    [aux_sym_certificate_file_token1] = ACTIONS(3390),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3390),
    [aux_sym_channel_timeout_token1] = ACTIONS(3390),
    [aux_sym_check_host_ip_token1] = ACTIONS(3390),
    [aux_sym_ciphers_token1] = ACTIONS(3390),
    [aux_sym_cipher_token1] = ACTIONS(3392),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3390),
    [aux_sym_compression_token1] = ACTIONS(3390),
    [aux_sym_connection_attempts_token1] = ACTIONS(3390),
    [aux_sym_connect_timeout_token1] = ACTIONS(3390),
    [aux_sym_control_master_token1] = ACTIONS(3390),
    [aux_sym_control_path_token1] = ACTIONS(3390),
    [aux_sym_control_persist_token1] = ACTIONS(3390),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3390),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3390),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3390),
    [aux_sym_escape_char_token1] = ACTIONS(3390),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3390),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3390),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3390),
    [aux_sym_forward_agent_token1] = ACTIONS(3390),
    [aux_sym_forward_x11_token1] = ACTIONS(3392),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3390),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3390),
    [aux_sym_gateway_ports_token1] = ACTIONS(3390),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3390),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3390),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3390),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3390),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3390),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3390),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3390),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3390),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3390),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3390),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3390),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3390),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3390),
    [aux_sym_host_key_alias_token1] = ACTIONS(3390),
    [aux_sym_hostname_token1] = ACTIONS(3390),
    [aux_sym_identities_only_token1] = ACTIONS(3390),
    [aux_sym_identity_agent_token1] = ACTIONS(3390),
    [aux_sym_identity_file_token1] = ACTIONS(3390),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3390),
    [aux_sym_include_token1] = ACTIONS(3390),
    [aux_sym_ip_qos_token1] = ACTIONS(3390),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3390),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3390),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3390),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3390),
    [aux_sym_local_command_token1] = ACTIONS(3390),
    [aux_sym_local_forward_token1] = ACTIONS(3390),
    [aux_sym_log_level_token1] = ACTIONS(3390),
    [aux_sym_log_verbose_token1] = ACTIONS(3390),
    [aux_sym_macs_token1] = ACTIONS(3390),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3390),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3390),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3390),
    [aux_sym_password_authentication_token1] = ACTIONS(3390),
    [aux_sym_permit_local_command_token1] = ACTIONS(3390),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3390),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3390),
    [aux_sym_port_token1] = ACTIONS(3390),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3390),
    [aux_sym_protocol_token1] = ACTIONS(3390),
    [aux_sym_proxy_command_token1] = ACTIONS(3390),
    [aux_sym_proxy_jump_token1] = ACTIONS(3390),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3390),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3390),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3390),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3390),
    [aux_sym_rekey_limit_token1] = ACTIONS(3390),
    [aux_sym_remote_command_token1] = ACTIONS(3390),
    [aux_sym_remote_forward_token1] = ACTIONS(3390),
    [aux_sym_request_tty_token1] = ACTIONS(3390),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3390),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3390),
    [aux_sym_security_key_provider_token1] = ACTIONS(3390),
    [aux_sym_send_env_token1] = ACTIONS(3390),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3390),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3390),
    [aux_sym_session_type_token1] = ACTIONS(3390),
    [aux_sym_set_env_token1] = ACTIONS(3390),
    [aux_sym_stdin_null_token1] = ACTIONS(3390),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3390),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3390),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3390),
    [aux_sym_syslog_facility_token1] = ACTIONS(3390),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3390),
    [aux_sym_keep_alive_token1] = ACTIONS(3390),
    [aux_sym_tag_token1] = ACTIONS(3390),
    [aux_sym_tunnel_token1] = ACTIONS(3392),
    [aux_sym_tunnel_device_token1] = ACTIONS(3390),
    [aux_sym_update_host_keys_token1] = ACTIONS(3390),
    [aux_sym_use_keychain_token1] = ACTIONS(3390),
    [aux_sym_use_roaming_token1] = ACTIONS(3390),
    [aux_sym_user_token1] = ACTIONS(3392),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3390),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3390),
    [aux_sym_version_addendum_token1] = ACTIONS(3390),
    [aux_sym_visual_host_key_token1] = ACTIONS(3390),
    [aux_sym_xauth_location_token1] = ACTIONS(3390),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3396),
    [aux_sym_match_token1] = ACTIONS(3394),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3394),
    [aux_sym_address_family_token1] = ACTIONS(3394),
    [aux_sym_batch_mode_token1] = ACTIONS(3394),
    [aux_sym_bind_address_token1] = ACTIONS(3394),
    [aux_sym_bind_interface_token1] = ACTIONS(3394),
    [aux_sym_canonical_domains_token1] = ACTIONS(3394),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3394),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3394),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3394),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3394),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3394),
    [aux_sym_certificate_file_token1] = ACTIONS(3394),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3394),
    [aux_sym_channel_timeout_token1] = ACTIONS(3394),
    [aux_sym_check_host_ip_token1] = ACTIONS(3394),
    [aux_sym_ciphers_token1] = ACTIONS(3394),
    [aux_sym_cipher_token1] = ACTIONS(3396),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3394),
    [aux_sym_compression_token1] = ACTIONS(3394),
    [aux_sym_connection_attempts_token1] = ACTIONS(3394),
    [aux_sym_connect_timeout_token1] = ACTIONS(3394),
    [aux_sym_control_master_token1] = ACTIONS(3394),
    [aux_sym_control_path_token1] = ACTIONS(3394),
    [aux_sym_control_persist_token1] = ACTIONS(3394),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3394),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3394),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3394),
    [aux_sym_escape_char_token1] = ACTIONS(3394),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3394),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3394),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3394),
    [aux_sym_forward_agent_token1] = ACTIONS(3394),
    [aux_sym_forward_x11_token1] = ACTIONS(3396),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3394),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3394),
    [aux_sym_gateway_ports_token1] = ACTIONS(3394),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3394),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3394),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3394),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3394),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3394),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3394),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3394),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3394),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3394),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3394),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3394),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3394),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3394),
    [aux_sym_host_key_alias_token1] = ACTIONS(3394),
    [aux_sym_hostname_token1] = ACTIONS(3394),
    [aux_sym_identities_only_token1] = ACTIONS(3394),
    [aux_sym_identity_agent_token1] = ACTIONS(3394),
    [aux_sym_identity_file_token1] = ACTIONS(3394),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3394),
    [aux_sym_include_token1] = ACTIONS(3394),
    [aux_sym_ip_qos_token1] = ACTIONS(3394),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3394),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3394),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3394),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3394),
    [aux_sym_local_command_token1] = ACTIONS(3394),
    [aux_sym_local_forward_token1] = ACTIONS(3394),
    [aux_sym_log_level_token1] = ACTIONS(3394),
    [aux_sym_log_verbose_token1] = ACTIONS(3394),
    [aux_sym_macs_token1] = ACTIONS(3394),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3394),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3394),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3394),
    [aux_sym_password_authentication_token1] = ACTIONS(3394),
    [aux_sym_permit_local_command_token1] = ACTIONS(3394),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3394),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3394),
    [aux_sym_port_token1] = ACTIONS(3394),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3394),
    [aux_sym_protocol_token1] = ACTIONS(3394),
    [aux_sym_proxy_command_token1] = ACTIONS(3394),
    [aux_sym_proxy_jump_token1] = ACTIONS(3394),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3394),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3394),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3394),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3394),
    [aux_sym_rekey_limit_token1] = ACTIONS(3394),
    [aux_sym_remote_command_token1] = ACTIONS(3394),
    [aux_sym_remote_forward_token1] = ACTIONS(3394),
    [aux_sym_request_tty_token1] = ACTIONS(3394),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3394),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3394),
    [aux_sym_security_key_provider_token1] = ACTIONS(3394),
    [aux_sym_send_env_token1] = ACTIONS(3394),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3394),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3394),
    [aux_sym_session_type_token1] = ACTIONS(3394),
    [aux_sym_set_env_token1] = ACTIONS(3394),
    [aux_sym_stdin_null_token1] = ACTIONS(3394),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3394),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3394),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3394),
    [aux_sym_syslog_facility_token1] = ACTIONS(3394),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3394),
    [aux_sym_keep_alive_token1] = ACTIONS(3394),
    [aux_sym_tag_token1] = ACTIONS(3394),
    [aux_sym_tunnel_token1] = ACTIONS(3396),
    [aux_sym_tunnel_device_token1] = ACTIONS(3394),
    [aux_sym_update_host_keys_token1] = ACTIONS(3394),
    [aux_sym_use_keychain_token1] = ACTIONS(3394),
    [aux_sym_use_roaming_token1] = ACTIONS(3394),
    [aux_sym_user_token1] = ACTIONS(3396),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3394),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3394),
    [aux_sym_version_addendum_token1] = ACTIONS(3394),
    [aux_sym_visual_host_key_token1] = ACTIONS(3394),
    [aux_sym_xauth_location_token1] = ACTIONS(3394),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3400),
    [aux_sym_match_token1] = ACTIONS(3398),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3398),
    [aux_sym_address_family_token1] = ACTIONS(3398),
    [aux_sym_batch_mode_token1] = ACTIONS(3398),
    [aux_sym_bind_address_token1] = ACTIONS(3398),
    [aux_sym_bind_interface_token1] = ACTIONS(3398),
    [aux_sym_canonical_domains_token1] = ACTIONS(3398),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3398),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3398),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3398),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3398),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3398),
    [aux_sym_certificate_file_token1] = ACTIONS(3398),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3398),
    [aux_sym_channel_timeout_token1] = ACTIONS(3398),
    [aux_sym_check_host_ip_token1] = ACTIONS(3398),
    [aux_sym_ciphers_token1] = ACTIONS(3398),
    [aux_sym_cipher_token1] = ACTIONS(3400),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3398),
    [aux_sym_compression_token1] = ACTIONS(3398),
    [aux_sym_connection_attempts_token1] = ACTIONS(3398),
    [aux_sym_connect_timeout_token1] = ACTIONS(3398),
    [aux_sym_control_master_token1] = ACTIONS(3398),
    [aux_sym_control_path_token1] = ACTIONS(3398),
    [aux_sym_control_persist_token1] = ACTIONS(3398),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3398),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3398),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3398),
    [aux_sym_escape_char_token1] = ACTIONS(3398),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3398),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3398),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3398),
    [aux_sym_forward_agent_token1] = ACTIONS(3398),
    [aux_sym_forward_x11_token1] = ACTIONS(3400),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3398),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3398),
    [aux_sym_gateway_ports_token1] = ACTIONS(3398),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3398),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3398),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3398),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3398),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3398),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3398),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3398),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3398),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3398),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3398),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3398),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3398),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3398),
    [aux_sym_host_key_alias_token1] = ACTIONS(3398),
    [aux_sym_hostname_token1] = ACTIONS(3398),
    [aux_sym_identities_only_token1] = ACTIONS(3398),
    [aux_sym_identity_agent_token1] = ACTIONS(3398),
    [aux_sym_identity_file_token1] = ACTIONS(3398),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3398),
    [aux_sym_include_token1] = ACTIONS(3398),
    [aux_sym_ip_qos_token1] = ACTIONS(3398),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3398),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3398),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3398),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3398),
    [aux_sym_local_command_token1] = ACTIONS(3398),
    [aux_sym_local_forward_token1] = ACTIONS(3398),
    [aux_sym_log_level_token1] = ACTIONS(3398),
    [aux_sym_log_verbose_token1] = ACTIONS(3398),
    [aux_sym_macs_token1] = ACTIONS(3398),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3398),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3398),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3398),
    [aux_sym_password_authentication_token1] = ACTIONS(3398),
    [aux_sym_permit_local_command_token1] = ACTIONS(3398),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3398),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3398),
    [aux_sym_port_token1] = ACTIONS(3398),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3398),
    [aux_sym_protocol_token1] = ACTIONS(3398),
    [aux_sym_proxy_command_token1] = ACTIONS(3398),
    [aux_sym_proxy_jump_token1] = ACTIONS(3398),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3398),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3398),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3398),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3398),
    [aux_sym_rekey_limit_token1] = ACTIONS(3398),
    [aux_sym_remote_command_token1] = ACTIONS(3398),
    [aux_sym_remote_forward_token1] = ACTIONS(3398),
    [aux_sym_request_tty_token1] = ACTIONS(3398),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3398),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3398),
    [aux_sym_security_key_provider_token1] = ACTIONS(3398),
    [aux_sym_send_env_token1] = ACTIONS(3398),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3398),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3398),
    [aux_sym_session_type_token1] = ACTIONS(3398),
    [aux_sym_set_env_token1] = ACTIONS(3398),
    [aux_sym_stdin_null_token1] = ACTIONS(3398),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3398),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3398),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3398),
    [aux_sym_syslog_facility_token1] = ACTIONS(3398),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3398),
    [aux_sym_keep_alive_token1] = ACTIONS(3398),
    [aux_sym_tag_token1] = ACTIONS(3398),
    [aux_sym_tunnel_token1] = ACTIONS(3400),
    [aux_sym_tunnel_device_token1] = ACTIONS(3398),
    [aux_sym_update_host_keys_token1] = ACTIONS(3398),
    [aux_sym_use_keychain_token1] = ACTIONS(3398),
    [aux_sym_use_roaming_token1] = ACTIONS(3398),
    [aux_sym_user_token1] = ACTIONS(3400),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3398),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3398),
    [aux_sym_version_addendum_token1] = ACTIONS(3398),
    [aux_sym_visual_host_key_token1] = ACTIONS(3398),
    [aux_sym_xauth_location_token1] = ACTIONS(3398),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3404),
    [aux_sym_match_token1] = ACTIONS(3402),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3402),
    [aux_sym_address_family_token1] = ACTIONS(3402),
    [aux_sym_batch_mode_token1] = ACTIONS(3402),
    [aux_sym_bind_address_token1] = ACTIONS(3402),
    [aux_sym_bind_interface_token1] = ACTIONS(3402),
    [aux_sym_canonical_domains_token1] = ACTIONS(3402),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3402),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3402),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3402),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3402),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3402),
    [aux_sym_certificate_file_token1] = ACTIONS(3402),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3402),
    [aux_sym_channel_timeout_token1] = ACTIONS(3402),
    [aux_sym_check_host_ip_token1] = ACTIONS(3402),
    [aux_sym_ciphers_token1] = ACTIONS(3402),
    [aux_sym_cipher_token1] = ACTIONS(3404),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3402),
    [aux_sym_compression_token1] = ACTIONS(3402),
    [aux_sym_connection_attempts_token1] = ACTIONS(3402),
    [aux_sym_connect_timeout_token1] = ACTIONS(3402),
    [aux_sym_control_master_token1] = ACTIONS(3402),
    [aux_sym_control_path_token1] = ACTIONS(3402),
    [aux_sym_control_persist_token1] = ACTIONS(3402),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3402),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3402),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3402),
    [aux_sym_escape_char_token1] = ACTIONS(3402),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3402),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3402),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3402),
    [aux_sym_forward_agent_token1] = ACTIONS(3402),
    [aux_sym_forward_x11_token1] = ACTIONS(3404),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3402),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3402),
    [aux_sym_gateway_ports_token1] = ACTIONS(3402),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3402),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3402),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3402),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3402),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3402),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3402),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3402),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3402),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3402),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3402),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3402),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3402),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3402),
    [aux_sym_host_key_alias_token1] = ACTIONS(3402),
    [aux_sym_hostname_token1] = ACTIONS(3402),
    [aux_sym_identities_only_token1] = ACTIONS(3402),
    [aux_sym_identity_agent_token1] = ACTIONS(3402),
    [aux_sym_identity_file_token1] = ACTIONS(3402),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3402),
    [aux_sym_include_token1] = ACTIONS(3402),
    [aux_sym_ip_qos_token1] = ACTIONS(3402),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3402),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3402),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3402),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3402),
    [aux_sym_local_command_token1] = ACTIONS(3402),
    [aux_sym_local_forward_token1] = ACTIONS(3402),
    [aux_sym_log_level_token1] = ACTIONS(3402),
    [aux_sym_log_verbose_token1] = ACTIONS(3402),
    [aux_sym_macs_token1] = ACTIONS(3402),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3402),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3402),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3402),
    [aux_sym_password_authentication_token1] = ACTIONS(3402),
    [aux_sym_permit_local_command_token1] = ACTIONS(3402),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3402),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3402),
    [aux_sym_port_token1] = ACTIONS(3402),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3402),
    [aux_sym_protocol_token1] = ACTIONS(3402),
    [aux_sym_proxy_command_token1] = ACTIONS(3402),
    [aux_sym_proxy_jump_token1] = ACTIONS(3402),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3402),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3402),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3402),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3402),
    [aux_sym_rekey_limit_token1] = ACTIONS(3402),
    [aux_sym_remote_command_token1] = ACTIONS(3402),
    [aux_sym_remote_forward_token1] = ACTIONS(3402),
    [aux_sym_request_tty_token1] = ACTIONS(3402),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3402),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3402),
    [aux_sym_security_key_provider_token1] = ACTIONS(3402),
    [aux_sym_send_env_token1] = ACTIONS(3402),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3402),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3402),
    [aux_sym_session_type_token1] = ACTIONS(3402),
    [aux_sym_set_env_token1] = ACTIONS(3402),
    [aux_sym_stdin_null_token1] = ACTIONS(3402),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3402),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3402),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3402),
    [aux_sym_syslog_facility_token1] = ACTIONS(3402),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3402),
    [aux_sym_keep_alive_token1] = ACTIONS(3402),
    [aux_sym_tag_token1] = ACTIONS(3402),
    [aux_sym_tunnel_token1] = ACTIONS(3404),
    [aux_sym_tunnel_device_token1] = ACTIONS(3402),
    [aux_sym_update_host_keys_token1] = ACTIONS(3402),
    [aux_sym_use_keychain_token1] = ACTIONS(3402),
    [aux_sym_use_roaming_token1] = ACTIONS(3402),
    [aux_sym_user_token1] = ACTIONS(3404),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3402),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3402),
    [aux_sym_version_addendum_token1] = ACTIONS(3402),
    [aux_sym_visual_host_key_token1] = ACTIONS(3402),
    [aux_sym_xauth_location_token1] = ACTIONS(3402),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3408),
    [aux_sym_match_token1] = ACTIONS(3406),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3406),
    [aux_sym_address_family_token1] = ACTIONS(3406),
    [aux_sym_batch_mode_token1] = ACTIONS(3406),
    [aux_sym_bind_address_token1] = ACTIONS(3406),
    [aux_sym_bind_interface_token1] = ACTIONS(3406),
    [aux_sym_canonical_domains_token1] = ACTIONS(3406),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3406),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3406),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3406),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3406),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3406),
    [aux_sym_certificate_file_token1] = ACTIONS(3406),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3406),
    [aux_sym_channel_timeout_token1] = ACTIONS(3406),
    [aux_sym_check_host_ip_token1] = ACTIONS(3406),
    [aux_sym_ciphers_token1] = ACTIONS(3406),
    [aux_sym_cipher_token1] = ACTIONS(3408),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3406),
    [aux_sym_compression_token1] = ACTIONS(3406),
    [aux_sym_connection_attempts_token1] = ACTIONS(3406),
    [aux_sym_connect_timeout_token1] = ACTIONS(3406),
    [aux_sym_control_master_token1] = ACTIONS(3406),
    [aux_sym_control_path_token1] = ACTIONS(3406),
    [aux_sym_control_persist_token1] = ACTIONS(3406),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3406),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3406),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3406),
    [aux_sym_escape_char_token1] = ACTIONS(3406),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3406),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3406),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3406),
    [aux_sym_forward_agent_token1] = ACTIONS(3406),
    [aux_sym_forward_x11_token1] = ACTIONS(3408),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3406),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3406),
    [aux_sym_gateway_ports_token1] = ACTIONS(3406),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3406),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3406),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3406),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3406),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3406),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3406),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3406),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3406),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3406),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3406),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3406),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3406),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3406),
    [aux_sym_host_key_alias_token1] = ACTIONS(3406),
    [aux_sym_hostname_token1] = ACTIONS(3406),
    [aux_sym_identities_only_token1] = ACTIONS(3406),
    [aux_sym_identity_agent_token1] = ACTIONS(3406),
    [aux_sym_identity_file_token1] = ACTIONS(3406),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3406),
    [aux_sym_include_token1] = ACTIONS(3406),
    [aux_sym_ip_qos_token1] = ACTIONS(3406),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3406),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3406),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3406),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3406),
    [aux_sym_local_command_token1] = ACTIONS(3406),
    [aux_sym_local_forward_token1] = ACTIONS(3406),
    [aux_sym_log_level_token1] = ACTIONS(3406),
    [aux_sym_log_verbose_token1] = ACTIONS(3406),
    [aux_sym_macs_token1] = ACTIONS(3406),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3406),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3406),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3406),
    [aux_sym_password_authentication_token1] = ACTIONS(3406),
    [aux_sym_permit_local_command_token1] = ACTIONS(3406),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3406),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3406),
    [aux_sym_port_token1] = ACTIONS(3406),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3406),
    [aux_sym_protocol_token1] = ACTIONS(3406),
    [aux_sym_proxy_command_token1] = ACTIONS(3406),
    [aux_sym_proxy_jump_token1] = ACTIONS(3406),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3406),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3406),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3406),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3406),
    [aux_sym_rekey_limit_token1] = ACTIONS(3406),
    [aux_sym_remote_command_token1] = ACTIONS(3406),
    [aux_sym_remote_forward_token1] = ACTIONS(3406),
    [aux_sym_request_tty_token1] = ACTIONS(3406),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3406),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3406),
    [aux_sym_security_key_provider_token1] = ACTIONS(3406),
    [aux_sym_send_env_token1] = ACTIONS(3406),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3406),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3406),
    [aux_sym_session_type_token1] = ACTIONS(3406),
    [aux_sym_set_env_token1] = ACTIONS(3406),
    [aux_sym_stdin_null_token1] = ACTIONS(3406),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3406),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3406),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3406),
    [aux_sym_syslog_facility_token1] = ACTIONS(3406),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3406),
    [aux_sym_keep_alive_token1] = ACTIONS(3406),
    [aux_sym_tag_token1] = ACTIONS(3406),
    [aux_sym_tunnel_token1] = ACTIONS(3408),
    [aux_sym_tunnel_device_token1] = ACTIONS(3406),
    [aux_sym_update_host_keys_token1] = ACTIONS(3406),
    [aux_sym_use_keychain_token1] = ACTIONS(3406),
    [aux_sym_use_roaming_token1] = ACTIONS(3406),
    [aux_sym_user_token1] = ACTIONS(3408),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3406),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3406),
    [aux_sym_version_addendum_token1] = ACTIONS(3406),
    [aux_sym_visual_host_key_token1] = ACTIONS(3406),
    [aux_sym_xauth_location_token1] = ACTIONS(3406),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3412),
    [aux_sym_match_token1] = ACTIONS(3410),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3410),
    [aux_sym_address_family_token1] = ACTIONS(3410),
    [aux_sym_batch_mode_token1] = ACTIONS(3410),
    [aux_sym_bind_address_token1] = ACTIONS(3410),
    [aux_sym_bind_interface_token1] = ACTIONS(3410),
    [aux_sym_canonical_domains_token1] = ACTIONS(3410),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3410),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3410),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3410),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3410),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3410),
    [aux_sym_certificate_file_token1] = ACTIONS(3410),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3410),
    [aux_sym_channel_timeout_token1] = ACTIONS(3410),
    [aux_sym_check_host_ip_token1] = ACTIONS(3410),
    [aux_sym_ciphers_token1] = ACTIONS(3410),
    [aux_sym_cipher_token1] = ACTIONS(3412),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3410),
    [aux_sym_compression_token1] = ACTIONS(3410),
    [aux_sym_connection_attempts_token1] = ACTIONS(3410),
    [aux_sym_connect_timeout_token1] = ACTIONS(3410),
    [aux_sym_control_master_token1] = ACTIONS(3410),
    [aux_sym_control_path_token1] = ACTIONS(3410),
    [aux_sym_control_persist_token1] = ACTIONS(3410),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3410),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3410),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3410),
    [aux_sym_escape_char_token1] = ACTIONS(3410),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3410),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3410),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3410),
    [aux_sym_forward_agent_token1] = ACTIONS(3410),
    [aux_sym_forward_x11_token1] = ACTIONS(3412),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3410),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3410),
    [aux_sym_gateway_ports_token1] = ACTIONS(3410),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3410),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3410),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3410),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3410),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3410),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3410),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3410),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3410),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3410),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3410),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3410),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3410),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3410),
    [aux_sym_host_key_alias_token1] = ACTIONS(3410),
    [aux_sym_hostname_token1] = ACTIONS(3410),
    [aux_sym_identities_only_token1] = ACTIONS(3410),
    [aux_sym_identity_agent_token1] = ACTIONS(3410),
    [aux_sym_identity_file_token1] = ACTIONS(3410),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3410),
    [aux_sym_include_token1] = ACTIONS(3410),
    [aux_sym_ip_qos_token1] = ACTIONS(3410),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3410),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3410),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3410),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3410),
    [aux_sym_local_command_token1] = ACTIONS(3410),
    [aux_sym_local_forward_token1] = ACTIONS(3410),
    [aux_sym_log_level_token1] = ACTIONS(3410),
    [aux_sym_log_verbose_token1] = ACTIONS(3410),
    [aux_sym_macs_token1] = ACTIONS(3410),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3410),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3410),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3410),
    [aux_sym_password_authentication_token1] = ACTIONS(3410),
    [aux_sym_permit_local_command_token1] = ACTIONS(3410),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3410),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3410),
    [aux_sym_port_token1] = ACTIONS(3410),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3410),
    [aux_sym_protocol_token1] = ACTIONS(3410),
    [aux_sym_proxy_command_token1] = ACTIONS(3410),
    [aux_sym_proxy_jump_token1] = ACTIONS(3410),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3410),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3410),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3410),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3410),
    [aux_sym_rekey_limit_token1] = ACTIONS(3410),
    [aux_sym_remote_command_token1] = ACTIONS(3410),
    [aux_sym_remote_forward_token1] = ACTIONS(3410),
    [aux_sym_request_tty_token1] = ACTIONS(3410),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3410),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3410),
    [aux_sym_security_key_provider_token1] = ACTIONS(3410),
    [aux_sym_send_env_token1] = ACTIONS(3410),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3410),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3410),
    [aux_sym_session_type_token1] = ACTIONS(3410),
    [aux_sym_set_env_token1] = ACTIONS(3410),
    [aux_sym_stdin_null_token1] = ACTIONS(3410),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3410),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3410),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3410),
    [aux_sym_syslog_facility_token1] = ACTIONS(3410),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3410),
    [aux_sym_keep_alive_token1] = ACTIONS(3410),
    [aux_sym_tag_token1] = ACTIONS(3410),
    [aux_sym_tunnel_token1] = ACTIONS(3412),
    [aux_sym_tunnel_device_token1] = ACTIONS(3410),
    [aux_sym_update_host_keys_token1] = ACTIONS(3410),
    [aux_sym_use_keychain_token1] = ACTIONS(3410),
    [aux_sym_use_roaming_token1] = ACTIONS(3410),
    [aux_sym_user_token1] = ACTIONS(3412),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3410),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3410),
    [aux_sym_version_addendum_token1] = ACTIONS(3410),
    [aux_sym_visual_host_key_token1] = ACTIONS(3410),
    [aux_sym_xauth_location_token1] = ACTIONS(3410),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3416),
    [aux_sym_match_token1] = ACTIONS(3414),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3414),
    [aux_sym_address_family_token1] = ACTIONS(3414),
    [aux_sym_batch_mode_token1] = ACTIONS(3414),
    [aux_sym_bind_address_token1] = ACTIONS(3414),
    [aux_sym_bind_interface_token1] = ACTIONS(3414),
    [aux_sym_canonical_domains_token1] = ACTIONS(3414),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3414),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3414),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3414),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3414),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3414),
    [aux_sym_certificate_file_token1] = ACTIONS(3414),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3414),
    [aux_sym_channel_timeout_token1] = ACTIONS(3414),
    [aux_sym_check_host_ip_token1] = ACTIONS(3414),
    [aux_sym_ciphers_token1] = ACTIONS(3414),
    [aux_sym_cipher_token1] = ACTIONS(3416),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3414),
    [aux_sym_compression_token1] = ACTIONS(3414),
    [aux_sym_connection_attempts_token1] = ACTIONS(3414),
    [aux_sym_connect_timeout_token1] = ACTIONS(3414),
    [aux_sym_control_master_token1] = ACTIONS(3414),
    [aux_sym_control_path_token1] = ACTIONS(3414),
    [aux_sym_control_persist_token1] = ACTIONS(3414),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3414),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3414),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3414),
    [aux_sym_escape_char_token1] = ACTIONS(3414),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3414),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3414),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3414),
    [aux_sym_forward_agent_token1] = ACTIONS(3414),
    [aux_sym_forward_x11_token1] = ACTIONS(3416),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3414),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3414),
    [aux_sym_gateway_ports_token1] = ACTIONS(3414),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3414),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3414),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3414),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3414),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3414),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3414),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3414),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3414),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3414),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3414),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3414),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3414),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3414),
    [aux_sym_host_key_alias_token1] = ACTIONS(3414),
    [aux_sym_hostname_token1] = ACTIONS(3414),
    [aux_sym_identities_only_token1] = ACTIONS(3414),
    [aux_sym_identity_agent_token1] = ACTIONS(3414),
    [aux_sym_identity_file_token1] = ACTIONS(3414),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3414),
    [aux_sym_include_token1] = ACTIONS(3414),
    [aux_sym_ip_qos_token1] = ACTIONS(3414),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3414),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3414),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3414),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3414),
    [aux_sym_local_command_token1] = ACTIONS(3414),
    [aux_sym_local_forward_token1] = ACTIONS(3414),
    [aux_sym_log_level_token1] = ACTIONS(3414),
    [aux_sym_log_verbose_token1] = ACTIONS(3414),
    [aux_sym_macs_token1] = ACTIONS(3414),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3414),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3414),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3414),
    [aux_sym_password_authentication_token1] = ACTIONS(3414),
    [aux_sym_permit_local_command_token1] = ACTIONS(3414),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3414),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3414),
    [aux_sym_port_token1] = ACTIONS(3414),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3414),
    [aux_sym_protocol_token1] = ACTIONS(3414),
    [aux_sym_proxy_command_token1] = ACTIONS(3414),
    [aux_sym_proxy_jump_token1] = ACTIONS(3414),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3414),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3414),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3414),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3414),
    [aux_sym_rekey_limit_token1] = ACTIONS(3414),
    [aux_sym_remote_command_token1] = ACTIONS(3414),
    [aux_sym_remote_forward_token1] = ACTIONS(3414),
    [aux_sym_request_tty_token1] = ACTIONS(3414),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3414),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3414),
    [aux_sym_security_key_provider_token1] = ACTIONS(3414),
    [aux_sym_send_env_token1] = ACTIONS(3414),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3414),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3414),
    [aux_sym_session_type_token1] = ACTIONS(3414),
    [aux_sym_set_env_token1] = ACTIONS(3414),
    [aux_sym_stdin_null_token1] = ACTIONS(3414),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3414),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3414),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3414),
    [aux_sym_syslog_facility_token1] = ACTIONS(3414),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3414),
    [aux_sym_keep_alive_token1] = ACTIONS(3414),
    [aux_sym_tag_token1] = ACTIONS(3414),
    [aux_sym_tunnel_token1] = ACTIONS(3416),
    [aux_sym_tunnel_device_token1] = ACTIONS(3414),
    [aux_sym_update_host_keys_token1] = ACTIONS(3414),
    [aux_sym_use_keychain_token1] = ACTIONS(3414),
    [aux_sym_use_roaming_token1] = ACTIONS(3414),
    [aux_sym_user_token1] = ACTIONS(3416),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3414),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3414),
    [aux_sym_version_addendum_token1] = ACTIONS(3414),
    [aux_sym_visual_host_key_token1] = ACTIONS(3414),
    [aux_sym_xauth_location_token1] = ACTIONS(3414),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3420),
    [aux_sym_match_token1] = ACTIONS(3418),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3418),
    [aux_sym_address_family_token1] = ACTIONS(3418),
    [aux_sym_batch_mode_token1] = ACTIONS(3418),
    [aux_sym_bind_address_token1] = ACTIONS(3418),
    [aux_sym_bind_interface_token1] = ACTIONS(3418),
    [aux_sym_canonical_domains_token1] = ACTIONS(3418),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3418),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3418),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3418),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3418),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3418),
    [aux_sym_certificate_file_token1] = ACTIONS(3418),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3418),
    [aux_sym_channel_timeout_token1] = ACTIONS(3418),
    [aux_sym_check_host_ip_token1] = ACTIONS(3418),
    [aux_sym_ciphers_token1] = ACTIONS(3418),
    [aux_sym_cipher_token1] = ACTIONS(3420),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3418),
    [aux_sym_compression_token1] = ACTIONS(3418),
    [aux_sym_connection_attempts_token1] = ACTIONS(3418),
    [aux_sym_connect_timeout_token1] = ACTIONS(3418),
    [aux_sym_control_master_token1] = ACTIONS(3418),
    [aux_sym_control_path_token1] = ACTIONS(3418),
    [aux_sym_control_persist_token1] = ACTIONS(3418),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3418),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3418),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3418),
    [aux_sym_escape_char_token1] = ACTIONS(3418),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3418),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3418),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3418),
    [aux_sym_forward_agent_token1] = ACTIONS(3418),
    [aux_sym_forward_x11_token1] = ACTIONS(3420),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3418),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3418),
    [aux_sym_gateway_ports_token1] = ACTIONS(3418),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3418),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3418),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3418),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3418),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3418),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3418),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3418),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3418),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3418),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3418),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3418),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3418),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3418),
    [aux_sym_host_key_alias_token1] = ACTIONS(3418),
    [aux_sym_hostname_token1] = ACTIONS(3418),
    [aux_sym_identities_only_token1] = ACTIONS(3418),
    [aux_sym_identity_agent_token1] = ACTIONS(3418),
    [aux_sym_identity_file_token1] = ACTIONS(3418),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3418),
    [aux_sym_include_token1] = ACTIONS(3418),
    [aux_sym_ip_qos_token1] = ACTIONS(3418),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3418),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3418),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3418),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3418),
    [aux_sym_local_command_token1] = ACTIONS(3418),
    [aux_sym_local_forward_token1] = ACTIONS(3418),
    [aux_sym_log_level_token1] = ACTIONS(3418),
    [aux_sym_log_verbose_token1] = ACTIONS(3418),
    [aux_sym_macs_token1] = ACTIONS(3418),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3418),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3418),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3418),
    [aux_sym_password_authentication_token1] = ACTIONS(3418),
    [aux_sym_permit_local_command_token1] = ACTIONS(3418),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3418),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3418),
    [aux_sym_port_token1] = ACTIONS(3418),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3418),
    [aux_sym_protocol_token1] = ACTIONS(3418),
    [aux_sym_proxy_command_token1] = ACTIONS(3418),
    [aux_sym_proxy_jump_token1] = ACTIONS(3418),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3418),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3418),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3418),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3418),
    [aux_sym_rekey_limit_token1] = ACTIONS(3418),
    [aux_sym_remote_command_token1] = ACTIONS(3418),
    [aux_sym_remote_forward_token1] = ACTIONS(3418),
    [aux_sym_request_tty_token1] = ACTIONS(3418),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3418),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3418),
    [aux_sym_security_key_provider_token1] = ACTIONS(3418),
    [aux_sym_send_env_token1] = ACTIONS(3418),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3418),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3418),
    [aux_sym_session_type_token1] = ACTIONS(3418),
    [aux_sym_set_env_token1] = ACTIONS(3418),
    [aux_sym_stdin_null_token1] = ACTIONS(3418),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3418),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3418),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3418),
    [aux_sym_syslog_facility_token1] = ACTIONS(3418),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3418),
    [aux_sym_keep_alive_token1] = ACTIONS(3418),
    [aux_sym_tag_token1] = ACTIONS(3418),
    [aux_sym_tunnel_token1] = ACTIONS(3420),
    [aux_sym_tunnel_device_token1] = ACTIONS(3418),
    [aux_sym_update_host_keys_token1] = ACTIONS(3418),
    [aux_sym_use_keychain_token1] = ACTIONS(3418),
    [aux_sym_use_roaming_token1] = ACTIONS(3418),
    [aux_sym_user_token1] = ACTIONS(3420),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3418),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3418),
    [aux_sym_version_addendum_token1] = ACTIONS(3418),
    [aux_sym_visual_host_key_token1] = ACTIONS(3418),
    [aux_sym_xauth_location_token1] = ACTIONS(3418),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3424),
    [aux_sym_match_token1] = ACTIONS(3422),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3422),
    [aux_sym_address_family_token1] = ACTIONS(3422),
    [aux_sym_batch_mode_token1] = ACTIONS(3422),
    [aux_sym_bind_address_token1] = ACTIONS(3422),
    [aux_sym_bind_interface_token1] = ACTIONS(3422),
    [aux_sym_canonical_domains_token1] = ACTIONS(3422),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3422),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3422),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3422),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3422),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3422),
    [aux_sym_certificate_file_token1] = ACTIONS(3422),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3422),
    [aux_sym_channel_timeout_token1] = ACTIONS(3422),
    [aux_sym_check_host_ip_token1] = ACTIONS(3422),
    [aux_sym_ciphers_token1] = ACTIONS(3422),
    [aux_sym_cipher_token1] = ACTIONS(3424),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3422),
    [aux_sym_compression_token1] = ACTIONS(3422),
    [aux_sym_connection_attempts_token1] = ACTIONS(3422),
    [aux_sym_connect_timeout_token1] = ACTIONS(3422),
    [aux_sym_control_master_token1] = ACTIONS(3422),
    [aux_sym_control_path_token1] = ACTIONS(3422),
    [aux_sym_control_persist_token1] = ACTIONS(3422),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3422),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3422),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3422),
    [aux_sym_escape_char_token1] = ACTIONS(3422),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3422),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3422),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3422),
    [aux_sym_forward_agent_token1] = ACTIONS(3422),
    [aux_sym_forward_x11_token1] = ACTIONS(3424),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3422),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3422),
    [aux_sym_gateway_ports_token1] = ACTIONS(3422),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3422),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3422),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3422),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3422),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3422),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3422),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3422),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3422),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3422),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3422),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3422),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3422),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3422),
    [aux_sym_host_key_alias_token1] = ACTIONS(3422),
    [aux_sym_hostname_token1] = ACTIONS(3422),
    [aux_sym_identities_only_token1] = ACTIONS(3422),
    [aux_sym_identity_agent_token1] = ACTIONS(3422),
    [aux_sym_identity_file_token1] = ACTIONS(3422),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3422),
    [aux_sym_include_token1] = ACTIONS(3422),
    [aux_sym_ip_qos_token1] = ACTIONS(3422),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3422),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3422),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3422),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3422),
    [aux_sym_local_command_token1] = ACTIONS(3422),
    [aux_sym_local_forward_token1] = ACTIONS(3422),
    [aux_sym_log_level_token1] = ACTIONS(3422),
    [aux_sym_log_verbose_token1] = ACTIONS(3422),
    [aux_sym_macs_token1] = ACTIONS(3422),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3422),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3422),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3422),
    [aux_sym_password_authentication_token1] = ACTIONS(3422),
    [aux_sym_permit_local_command_token1] = ACTIONS(3422),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3422),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3422),
    [aux_sym_port_token1] = ACTIONS(3422),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3422),
    [aux_sym_protocol_token1] = ACTIONS(3422),
    [aux_sym_proxy_command_token1] = ACTIONS(3422),
    [aux_sym_proxy_jump_token1] = ACTIONS(3422),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3422),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3422),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3422),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3422),
    [aux_sym_rekey_limit_token1] = ACTIONS(3422),
    [aux_sym_remote_command_token1] = ACTIONS(3422),
    [aux_sym_remote_forward_token1] = ACTIONS(3422),
    [aux_sym_request_tty_token1] = ACTIONS(3422),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3422),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3422),
    [aux_sym_security_key_provider_token1] = ACTIONS(3422),
    [aux_sym_send_env_token1] = ACTIONS(3422),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3422),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3422),
    [aux_sym_session_type_token1] = ACTIONS(3422),
    [aux_sym_set_env_token1] = ACTIONS(3422),
    [aux_sym_stdin_null_token1] = ACTIONS(3422),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3422),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3422),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3422),
    [aux_sym_syslog_facility_token1] = ACTIONS(3422),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3422),
    [aux_sym_keep_alive_token1] = ACTIONS(3422),
    [aux_sym_tag_token1] = ACTIONS(3422),
    [aux_sym_tunnel_token1] = ACTIONS(3424),
    [aux_sym_tunnel_device_token1] = ACTIONS(3422),
    [aux_sym_update_host_keys_token1] = ACTIONS(3422),
    [aux_sym_use_keychain_token1] = ACTIONS(3422),
    [aux_sym_use_roaming_token1] = ACTIONS(3422),
    [aux_sym_user_token1] = ACTIONS(3424),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3422),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3422),
    [aux_sym_version_addendum_token1] = ACTIONS(3422),
    [aux_sym_visual_host_key_token1] = ACTIONS(3422),
    [aux_sym_xauth_location_token1] = ACTIONS(3422),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3428),
    [aux_sym_match_token1] = ACTIONS(3426),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3426),
    [aux_sym_address_family_token1] = ACTIONS(3426),
    [aux_sym_batch_mode_token1] = ACTIONS(3426),
    [aux_sym_bind_address_token1] = ACTIONS(3426),
    [aux_sym_bind_interface_token1] = ACTIONS(3426),
    [aux_sym_canonical_domains_token1] = ACTIONS(3426),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3426),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3426),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3426),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3426),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3426),
    [aux_sym_certificate_file_token1] = ACTIONS(3426),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3426),
    [aux_sym_channel_timeout_token1] = ACTIONS(3426),
    [aux_sym_check_host_ip_token1] = ACTIONS(3426),
    [aux_sym_ciphers_token1] = ACTIONS(3426),
    [aux_sym_cipher_token1] = ACTIONS(3428),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3426),
    [aux_sym_compression_token1] = ACTIONS(3426),
    [aux_sym_connection_attempts_token1] = ACTIONS(3426),
    [aux_sym_connect_timeout_token1] = ACTIONS(3426),
    [aux_sym_control_master_token1] = ACTIONS(3426),
    [aux_sym_control_path_token1] = ACTIONS(3426),
    [aux_sym_control_persist_token1] = ACTIONS(3426),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3426),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3426),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3426),
    [aux_sym_escape_char_token1] = ACTIONS(3426),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3426),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3426),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3426),
    [aux_sym_forward_agent_token1] = ACTIONS(3426),
    [aux_sym_forward_x11_token1] = ACTIONS(3428),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3426),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3426),
    [aux_sym_gateway_ports_token1] = ACTIONS(3426),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3426),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3426),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3426),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3426),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3426),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3426),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3426),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3426),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3426),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3426),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3426),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3426),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3426),
    [aux_sym_host_key_alias_token1] = ACTIONS(3426),
    [aux_sym_hostname_token1] = ACTIONS(3426),
    [aux_sym_identities_only_token1] = ACTIONS(3426),
    [aux_sym_identity_agent_token1] = ACTIONS(3426),
    [aux_sym_identity_file_token1] = ACTIONS(3426),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3426),
    [aux_sym_include_token1] = ACTIONS(3426),
    [aux_sym_ip_qos_token1] = ACTIONS(3426),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3426),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3426),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3426),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3426),
    [aux_sym_local_command_token1] = ACTIONS(3426),
    [aux_sym_local_forward_token1] = ACTIONS(3426),
    [aux_sym_log_level_token1] = ACTIONS(3426),
    [aux_sym_log_verbose_token1] = ACTIONS(3426),
    [aux_sym_macs_token1] = ACTIONS(3426),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3426),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3426),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3426),
    [aux_sym_password_authentication_token1] = ACTIONS(3426),
    [aux_sym_permit_local_command_token1] = ACTIONS(3426),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3426),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3426),
    [aux_sym_port_token1] = ACTIONS(3426),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3426),
    [aux_sym_protocol_token1] = ACTIONS(3426),
    [aux_sym_proxy_command_token1] = ACTIONS(3426),
    [aux_sym_proxy_jump_token1] = ACTIONS(3426),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3426),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3426),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3426),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3426),
    [aux_sym_rekey_limit_token1] = ACTIONS(3426),
    [aux_sym_remote_command_token1] = ACTIONS(3426),
    [aux_sym_remote_forward_token1] = ACTIONS(3426),
    [aux_sym_request_tty_token1] = ACTIONS(3426),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3426),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3426),
    [aux_sym_security_key_provider_token1] = ACTIONS(3426),
    [aux_sym_send_env_token1] = ACTIONS(3426),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3426),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3426),
    [aux_sym_session_type_token1] = ACTIONS(3426),
    [aux_sym_set_env_token1] = ACTIONS(3426),
    [aux_sym_stdin_null_token1] = ACTIONS(3426),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3426),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3426),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3426),
    [aux_sym_syslog_facility_token1] = ACTIONS(3426),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3426),
    [aux_sym_keep_alive_token1] = ACTIONS(3426),
    [aux_sym_tag_token1] = ACTIONS(3426),
    [aux_sym_tunnel_token1] = ACTIONS(3428),
    [aux_sym_tunnel_device_token1] = ACTIONS(3426),
    [aux_sym_update_host_keys_token1] = ACTIONS(3426),
    [aux_sym_use_keychain_token1] = ACTIONS(3426),
    [aux_sym_use_roaming_token1] = ACTIONS(3426),
    [aux_sym_user_token1] = ACTIONS(3428),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3426),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3426),
    [aux_sym_version_addendum_token1] = ACTIONS(3426),
    [aux_sym_visual_host_key_token1] = ACTIONS(3426),
    [aux_sym_xauth_location_token1] = ACTIONS(3426),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3432),
    [aux_sym_match_token1] = ACTIONS(3430),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3430),
    [aux_sym_address_family_token1] = ACTIONS(3430),
    [aux_sym_batch_mode_token1] = ACTIONS(3430),
    [aux_sym_bind_address_token1] = ACTIONS(3430),
    [aux_sym_bind_interface_token1] = ACTIONS(3430),
    [aux_sym_canonical_domains_token1] = ACTIONS(3430),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3430),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3430),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3430),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3430),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3430),
    [aux_sym_certificate_file_token1] = ACTIONS(3430),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3430),
    [aux_sym_channel_timeout_token1] = ACTIONS(3430),
    [aux_sym_check_host_ip_token1] = ACTIONS(3430),
    [aux_sym_ciphers_token1] = ACTIONS(3430),
    [aux_sym_cipher_token1] = ACTIONS(3432),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3430),
    [aux_sym_compression_token1] = ACTIONS(3430),
    [aux_sym_connection_attempts_token1] = ACTIONS(3430),
    [aux_sym_connect_timeout_token1] = ACTIONS(3430),
    [aux_sym_control_master_token1] = ACTIONS(3430),
    [aux_sym_control_path_token1] = ACTIONS(3430),
    [aux_sym_control_persist_token1] = ACTIONS(3430),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3430),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3430),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3430),
    [aux_sym_escape_char_token1] = ACTIONS(3430),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3430),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3430),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3430),
    [aux_sym_forward_agent_token1] = ACTIONS(3430),
    [aux_sym_forward_x11_token1] = ACTIONS(3432),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3430),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3430),
    [aux_sym_gateway_ports_token1] = ACTIONS(3430),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3430),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3430),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3430),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3430),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3430),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3430),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3430),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3430),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3430),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3430),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3430),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3430),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3430),
    [aux_sym_host_key_alias_token1] = ACTIONS(3430),
    [aux_sym_hostname_token1] = ACTIONS(3430),
    [aux_sym_identities_only_token1] = ACTIONS(3430),
    [aux_sym_identity_agent_token1] = ACTIONS(3430),
    [aux_sym_identity_file_token1] = ACTIONS(3430),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3430),
    [aux_sym_include_token1] = ACTIONS(3430),
    [aux_sym_ip_qos_token1] = ACTIONS(3430),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3430),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3430),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3430),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3430),
    [aux_sym_local_command_token1] = ACTIONS(3430),
    [aux_sym_local_forward_token1] = ACTIONS(3430),
    [aux_sym_log_level_token1] = ACTIONS(3430),
    [aux_sym_log_verbose_token1] = ACTIONS(3430),
    [aux_sym_macs_token1] = ACTIONS(3430),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3430),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3430),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3430),
    [aux_sym_password_authentication_token1] = ACTIONS(3430),
    [aux_sym_permit_local_command_token1] = ACTIONS(3430),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3430),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3430),
    [aux_sym_port_token1] = ACTIONS(3430),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3430),
    [aux_sym_protocol_token1] = ACTIONS(3430),
    [aux_sym_proxy_command_token1] = ACTIONS(3430),
    [aux_sym_proxy_jump_token1] = ACTIONS(3430),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3430),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3430),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3430),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3430),
    [aux_sym_rekey_limit_token1] = ACTIONS(3430),
    [aux_sym_remote_command_token1] = ACTIONS(3430),
    [aux_sym_remote_forward_token1] = ACTIONS(3430),
    [aux_sym_request_tty_token1] = ACTIONS(3430),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3430),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3430),
    [aux_sym_security_key_provider_token1] = ACTIONS(3430),
    [aux_sym_send_env_token1] = ACTIONS(3430),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3430),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3430),
    [aux_sym_session_type_token1] = ACTIONS(3430),
    [aux_sym_set_env_token1] = ACTIONS(3430),
    [aux_sym_stdin_null_token1] = ACTIONS(3430),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3430),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3430),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3430),
    [aux_sym_syslog_facility_token1] = ACTIONS(3430),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3430),
    [aux_sym_keep_alive_token1] = ACTIONS(3430),
    [aux_sym_tag_token1] = ACTIONS(3430),
    [aux_sym_tunnel_token1] = ACTIONS(3432),
    [aux_sym_tunnel_device_token1] = ACTIONS(3430),
    [aux_sym_update_host_keys_token1] = ACTIONS(3430),
    [aux_sym_use_keychain_token1] = ACTIONS(3430),
    [aux_sym_use_roaming_token1] = ACTIONS(3430),
    [aux_sym_user_token1] = ACTIONS(3432),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3430),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3430),
    [aux_sym_version_addendum_token1] = ACTIONS(3430),
    [aux_sym_visual_host_key_token1] = ACTIONS(3430),
    [aux_sym_xauth_location_token1] = ACTIONS(3430),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3436),
    [aux_sym_match_token1] = ACTIONS(3434),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3434),
    [aux_sym_address_family_token1] = ACTIONS(3434),
    [aux_sym_batch_mode_token1] = ACTIONS(3434),
    [aux_sym_bind_address_token1] = ACTIONS(3434),
    [aux_sym_bind_interface_token1] = ACTIONS(3434),
    [aux_sym_canonical_domains_token1] = ACTIONS(3434),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3434),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3434),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3434),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3434),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3434),
    [aux_sym_certificate_file_token1] = ACTIONS(3434),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3434),
    [aux_sym_channel_timeout_token1] = ACTIONS(3434),
    [aux_sym_check_host_ip_token1] = ACTIONS(3434),
    [aux_sym_ciphers_token1] = ACTIONS(3434),
    [aux_sym_cipher_token1] = ACTIONS(3436),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3434),
    [aux_sym_compression_token1] = ACTIONS(3434),
    [aux_sym_connection_attempts_token1] = ACTIONS(3434),
    [aux_sym_connect_timeout_token1] = ACTIONS(3434),
    [aux_sym_control_master_token1] = ACTIONS(3434),
    [aux_sym_control_path_token1] = ACTIONS(3434),
    [aux_sym_control_persist_token1] = ACTIONS(3434),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3434),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3434),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3434),
    [aux_sym_escape_char_token1] = ACTIONS(3434),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3434),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3434),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3434),
    [aux_sym_forward_agent_token1] = ACTIONS(3434),
    [aux_sym_forward_x11_token1] = ACTIONS(3436),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3434),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3434),
    [aux_sym_gateway_ports_token1] = ACTIONS(3434),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3434),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3434),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3434),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3434),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3434),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3434),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3434),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3434),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3434),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3434),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3434),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3434),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3434),
    [aux_sym_host_key_alias_token1] = ACTIONS(3434),
    [aux_sym_hostname_token1] = ACTIONS(3434),
    [aux_sym_identities_only_token1] = ACTIONS(3434),
    [aux_sym_identity_agent_token1] = ACTIONS(3434),
    [aux_sym_identity_file_token1] = ACTIONS(3434),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3434),
    [aux_sym_include_token1] = ACTIONS(3434),
    [aux_sym_ip_qos_token1] = ACTIONS(3434),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3434),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3434),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3434),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3434),
    [aux_sym_local_command_token1] = ACTIONS(3434),
    [aux_sym_local_forward_token1] = ACTIONS(3434),
    [aux_sym_log_level_token1] = ACTIONS(3434),
    [aux_sym_log_verbose_token1] = ACTIONS(3434),
    [aux_sym_macs_token1] = ACTIONS(3434),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3434),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3434),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3434),
    [aux_sym_password_authentication_token1] = ACTIONS(3434),
    [aux_sym_permit_local_command_token1] = ACTIONS(3434),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3434),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3434),
    [aux_sym_port_token1] = ACTIONS(3434),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3434),
    [aux_sym_protocol_token1] = ACTIONS(3434),
    [aux_sym_proxy_command_token1] = ACTIONS(3434),
    [aux_sym_proxy_jump_token1] = ACTIONS(3434),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3434),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3434),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3434),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3434),
    [aux_sym_rekey_limit_token1] = ACTIONS(3434),
    [aux_sym_remote_command_token1] = ACTIONS(3434),
    [aux_sym_remote_forward_token1] = ACTIONS(3434),
    [aux_sym_request_tty_token1] = ACTIONS(3434),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3434),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3434),
    [aux_sym_security_key_provider_token1] = ACTIONS(3434),
    [aux_sym_send_env_token1] = ACTIONS(3434),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3434),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3434),
    [aux_sym_session_type_token1] = ACTIONS(3434),
    [aux_sym_set_env_token1] = ACTIONS(3434),
    [aux_sym_stdin_null_token1] = ACTIONS(3434),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3434),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3434),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3434),
    [aux_sym_syslog_facility_token1] = ACTIONS(3434),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3434),
    [aux_sym_keep_alive_token1] = ACTIONS(3434),
    [aux_sym_tag_token1] = ACTIONS(3434),
    [aux_sym_tunnel_token1] = ACTIONS(3436),
    [aux_sym_tunnel_device_token1] = ACTIONS(3434),
    [aux_sym_update_host_keys_token1] = ACTIONS(3434),
    [aux_sym_use_keychain_token1] = ACTIONS(3434),
    [aux_sym_use_roaming_token1] = ACTIONS(3434),
    [aux_sym_user_token1] = ACTIONS(3436),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3434),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3434),
    [aux_sym_version_addendum_token1] = ACTIONS(3434),
    [aux_sym_visual_host_key_token1] = ACTIONS(3434),
    [aux_sym_xauth_location_token1] = ACTIONS(3434),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3440),
    [aux_sym_match_token1] = ACTIONS(3438),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3438),
    [aux_sym_address_family_token1] = ACTIONS(3438),
    [aux_sym_batch_mode_token1] = ACTIONS(3438),
    [aux_sym_bind_address_token1] = ACTIONS(3438),
    [aux_sym_bind_interface_token1] = ACTIONS(3438),
    [aux_sym_canonical_domains_token1] = ACTIONS(3438),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3438),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3438),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3438),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3438),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3438),
    [aux_sym_certificate_file_token1] = ACTIONS(3438),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3438),
    [aux_sym_channel_timeout_token1] = ACTIONS(3438),
    [aux_sym_check_host_ip_token1] = ACTIONS(3438),
    [aux_sym_ciphers_token1] = ACTIONS(3438),
    [aux_sym_cipher_token1] = ACTIONS(3440),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3438),
    [aux_sym_compression_token1] = ACTIONS(3438),
    [aux_sym_connection_attempts_token1] = ACTIONS(3438),
    [aux_sym_connect_timeout_token1] = ACTIONS(3438),
    [aux_sym_control_master_token1] = ACTIONS(3438),
    [aux_sym_control_path_token1] = ACTIONS(3438),
    [aux_sym_control_persist_token1] = ACTIONS(3438),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3438),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3438),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3438),
    [aux_sym_escape_char_token1] = ACTIONS(3438),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3438),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3438),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3438),
    [aux_sym_forward_agent_token1] = ACTIONS(3438),
    [aux_sym_forward_x11_token1] = ACTIONS(3440),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3438),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3438),
    [aux_sym_gateway_ports_token1] = ACTIONS(3438),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3438),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3438),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3438),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3438),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3438),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3438),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3438),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3438),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3438),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3438),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3438),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3438),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3438),
    [aux_sym_host_key_alias_token1] = ACTIONS(3438),
    [aux_sym_hostname_token1] = ACTIONS(3438),
    [aux_sym_identities_only_token1] = ACTIONS(3438),
    [aux_sym_identity_agent_token1] = ACTIONS(3438),
    [aux_sym_identity_file_token1] = ACTIONS(3438),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3438),
    [aux_sym_include_token1] = ACTIONS(3438),
    [aux_sym_ip_qos_token1] = ACTIONS(3438),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3438),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3438),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3438),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3438),
    [aux_sym_local_command_token1] = ACTIONS(3438),
    [aux_sym_local_forward_token1] = ACTIONS(3438),
    [aux_sym_log_level_token1] = ACTIONS(3438),
    [aux_sym_log_verbose_token1] = ACTIONS(3438),
    [aux_sym_macs_token1] = ACTIONS(3438),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3438),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3438),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3438),
    [aux_sym_password_authentication_token1] = ACTIONS(3438),
    [aux_sym_permit_local_command_token1] = ACTIONS(3438),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3438),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3438),
    [aux_sym_port_token1] = ACTIONS(3438),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3438),
    [aux_sym_protocol_token1] = ACTIONS(3438),
    [aux_sym_proxy_command_token1] = ACTIONS(3438),
    [aux_sym_proxy_jump_token1] = ACTIONS(3438),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3438),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3438),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3438),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3438),
    [aux_sym_rekey_limit_token1] = ACTIONS(3438),
    [aux_sym_remote_command_token1] = ACTIONS(3438),
    [aux_sym_remote_forward_token1] = ACTIONS(3438),
    [aux_sym_request_tty_token1] = ACTIONS(3438),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3438),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3438),
    [aux_sym_security_key_provider_token1] = ACTIONS(3438),
    [aux_sym_send_env_token1] = ACTIONS(3438),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3438),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3438),
    [aux_sym_session_type_token1] = ACTIONS(3438),
    [aux_sym_set_env_token1] = ACTIONS(3438),
    [aux_sym_stdin_null_token1] = ACTIONS(3438),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3438),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3438),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3438),
    [aux_sym_syslog_facility_token1] = ACTIONS(3438),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3438),
    [aux_sym_keep_alive_token1] = ACTIONS(3438),
    [aux_sym_tag_token1] = ACTIONS(3438),
    [aux_sym_tunnel_token1] = ACTIONS(3440),
    [aux_sym_tunnel_device_token1] = ACTIONS(3438),
    [aux_sym_update_host_keys_token1] = ACTIONS(3438),
    [aux_sym_use_keychain_token1] = ACTIONS(3438),
    [aux_sym_use_roaming_token1] = ACTIONS(3438),
    [aux_sym_user_token1] = ACTIONS(3440),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3438),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3438),
    [aux_sym_version_addendum_token1] = ACTIONS(3438),
    [aux_sym_visual_host_key_token1] = ACTIONS(3438),
    [aux_sym_xauth_location_token1] = ACTIONS(3438),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3444),
    [aux_sym_match_token1] = ACTIONS(3442),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3442),
    [aux_sym_address_family_token1] = ACTIONS(3442),
    [aux_sym_batch_mode_token1] = ACTIONS(3442),
    [aux_sym_bind_address_token1] = ACTIONS(3442),
    [aux_sym_bind_interface_token1] = ACTIONS(3442),
    [aux_sym_canonical_domains_token1] = ACTIONS(3442),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3442),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3442),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3442),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3442),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3442),
    [aux_sym_certificate_file_token1] = ACTIONS(3442),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3442),
    [aux_sym_channel_timeout_token1] = ACTIONS(3442),
    [aux_sym_check_host_ip_token1] = ACTIONS(3442),
    [aux_sym_ciphers_token1] = ACTIONS(3442),
    [aux_sym_cipher_token1] = ACTIONS(3444),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3442),
    [aux_sym_compression_token1] = ACTIONS(3442),
    [aux_sym_connection_attempts_token1] = ACTIONS(3442),
    [aux_sym_connect_timeout_token1] = ACTIONS(3442),
    [aux_sym_control_master_token1] = ACTIONS(3442),
    [aux_sym_control_path_token1] = ACTIONS(3442),
    [aux_sym_control_persist_token1] = ACTIONS(3442),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3442),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3442),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3442),
    [aux_sym_escape_char_token1] = ACTIONS(3442),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3442),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3442),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3442),
    [aux_sym_forward_agent_token1] = ACTIONS(3442),
    [aux_sym_forward_x11_token1] = ACTIONS(3444),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3442),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3442),
    [aux_sym_gateway_ports_token1] = ACTIONS(3442),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3442),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3442),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3442),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3442),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3442),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3442),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3442),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3442),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3442),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3442),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3442),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3442),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3442),
    [aux_sym_host_key_alias_token1] = ACTIONS(3442),
    [aux_sym_hostname_token1] = ACTIONS(3442),
    [aux_sym_identities_only_token1] = ACTIONS(3442),
    [aux_sym_identity_agent_token1] = ACTIONS(3442),
    [aux_sym_identity_file_token1] = ACTIONS(3442),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3442),
    [aux_sym_include_token1] = ACTIONS(3442),
    [aux_sym_ip_qos_token1] = ACTIONS(3442),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3442),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3442),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3442),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3442),
    [aux_sym_local_command_token1] = ACTIONS(3442),
    [aux_sym_local_forward_token1] = ACTIONS(3442),
    [aux_sym_log_level_token1] = ACTIONS(3442),
    [aux_sym_log_verbose_token1] = ACTIONS(3442),
    [aux_sym_macs_token1] = ACTIONS(3442),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3442),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3442),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3442),
    [aux_sym_password_authentication_token1] = ACTIONS(3442),
    [aux_sym_permit_local_command_token1] = ACTIONS(3442),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3442),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3442),
    [aux_sym_port_token1] = ACTIONS(3442),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3442),
    [aux_sym_protocol_token1] = ACTIONS(3442),
    [aux_sym_proxy_command_token1] = ACTIONS(3442),
    [aux_sym_proxy_jump_token1] = ACTIONS(3442),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3442),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3442),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3442),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3442),
    [aux_sym_rekey_limit_token1] = ACTIONS(3442),
    [aux_sym_remote_command_token1] = ACTIONS(3442),
    [aux_sym_remote_forward_token1] = ACTIONS(3442),
    [aux_sym_request_tty_token1] = ACTIONS(3442),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3442),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3442),
    [aux_sym_security_key_provider_token1] = ACTIONS(3442),
    [aux_sym_send_env_token1] = ACTIONS(3442),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3442),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3442),
    [aux_sym_session_type_token1] = ACTIONS(3442),
    [aux_sym_set_env_token1] = ACTIONS(3442),
    [aux_sym_stdin_null_token1] = ACTIONS(3442),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3442),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3442),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3442),
    [aux_sym_syslog_facility_token1] = ACTIONS(3442),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3442),
    [aux_sym_keep_alive_token1] = ACTIONS(3442),
    [aux_sym_tag_token1] = ACTIONS(3442),
    [aux_sym_tunnel_token1] = ACTIONS(3444),
    [aux_sym_tunnel_device_token1] = ACTIONS(3442),
    [aux_sym_update_host_keys_token1] = ACTIONS(3442),
    [aux_sym_use_keychain_token1] = ACTIONS(3442),
    [aux_sym_use_roaming_token1] = ACTIONS(3442),
    [aux_sym_user_token1] = ACTIONS(3444),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3442),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3442),
    [aux_sym_version_addendum_token1] = ACTIONS(3442),
    [aux_sym_visual_host_key_token1] = ACTIONS(3442),
    [aux_sym_xauth_location_token1] = ACTIONS(3442),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3448),
    [aux_sym_match_token1] = ACTIONS(3446),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3446),
    [aux_sym_address_family_token1] = ACTIONS(3446),
    [aux_sym_batch_mode_token1] = ACTIONS(3446),
    [aux_sym_bind_address_token1] = ACTIONS(3446),
    [aux_sym_bind_interface_token1] = ACTIONS(3446),
    [aux_sym_canonical_domains_token1] = ACTIONS(3446),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3446),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3446),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3446),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3446),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3446),
    [aux_sym_certificate_file_token1] = ACTIONS(3446),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3446),
    [aux_sym_channel_timeout_token1] = ACTIONS(3446),
    [aux_sym_check_host_ip_token1] = ACTIONS(3446),
    [aux_sym_ciphers_token1] = ACTIONS(3446),
    [aux_sym_cipher_token1] = ACTIONS(3448),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3446),
    [aux_sym_compression_token1] = ACTIONS(3446),
    [aux_sym_connection_attempts_token1] = ACTIONS(3446),
    [aux_sym_connect_timeout_token1] = ACTIONS(3446),
    [aux_sym_control_master_token1] = ACTIONS(3446),
    [aux_sym_control_path_token1] = ACTIONS(3446),
    [aux_sym_control_persist_token1] = ACTIONS(3446),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3446),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3446),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3446),
    [aux_sym_escape_char_token1] = ACTIONS(3446),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3446),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3446),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3446),
    [aux_sym_forward_agent_token1] = ACTIONS(3446),
    [aux_sym_forward_x11_token1] = ACTIONS(3448),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3446),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3446),
    [aux_sym_gateway_ports_token1] = ACTIONS(3446),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3446),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3446),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3446),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3446),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3446),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3446),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3446),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3446),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3446),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3446),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3446),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3446),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3446),
    [aux_sym_host_key_alias_token1] = ACTIONS(3446),
    [aux_sym_hostname_token1] = ACTIONS(3446),
    [aux_sym_identities_only_token1] = ACTIONS(3446),
    [aux_sym_identity_agent_token1] = ACTIONS(3446),
    [aux_sym_identity_file_token1] = ACTIONS(3446),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3446),
    [aux_sym_include_token1] = ACTIONS(3446),
    [aux_sym_ip_qos_token1] = ACTIONS(3446),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3446),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3446),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3446),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3446),
    [aux_sym_local_command_token1] = ACTIONS(3446),
    [aux_sym_local_forward_token1] = ACTIONS(3446),
    [aux_sym_log_level_token1] = ACTIONS(3446),
    [aux_sym_log_verbose_token1] = ACTIONS(3446),
    [aux_sym_macs_token1] = ACTIONS(3446),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3446),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3446),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3446),
    [aux_sym_password_authentication_token1] = ACTIONS(3446),
    [aux_sym_permit_local_command_token1] = ACTIONS(3446),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3446),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3446),
    [aux_sym_port_token1] = ACTIONS(3446),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3446),
    [aux_sym_protocol_token1] = ACTIONS(3446),
    [aux_sym_proxy_command_token1] = ACTIONS(3446),
    [aux_sym_proxy_jump_token1] = ACTIONS(3446),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3446),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3446),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3446),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3446),
    [aux_sym_rekey_limit_token1] = ACTIONS(3446),
    [aux_sym_remote_command_token1] = ACTIONS(3446),
    [aux_sym_remote_forward_token1] = ACTIONS(3446),
    [aux_sym_request_tty_token1] = ACTIONS(3446),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3446),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3446),
    [aux_sym_security_key_provider_token1] = ACTIONS(3446),
    [aux_sym_send_env_token1] = ACTIONS(3446),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3446),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3446),
    [aux_sym_session_type_token1] = ACTIONS(3446),
    [aux_sym_set_env_token1] = ACTIONS(3446),
    [aux_sym_stdin_null_token1] = ACTIONS(3446),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3446),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3446),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3446),
    [aux_sym_syslog_facility_token1] = ACTIONS(3446),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3446),
    [aux_sym_keep_alive_token1] = ACTIONS(3446),
    [aux_sym_tag_token1] = ACTIONS(3446),
    [aux_sym_tunnel_token1] = ACTIONS(3448),
    [aux_sym_tunnel_device_token1] = ACTIONS(3446),
    [aux_sym_update_host_keys_token1] = ACTIONS(3446),
    [aux_sym_use_keychain_token1] = ACTIONS(3446),
    [aux_sym_use_roaming_token1] = ACTIONS(3446),
    [aux_sym_user_token1] = ACTIONS(3448),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3446),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3446),
    [aux_sym_version_addendum_token1] = ACTIONS(3446),
    [aux_sym_visual_host_key_token1] = ACTIONS(3446),
    [aux_sym_xauth_location_token1] = ACTIONS(3446),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(3450),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3452),
    [aux_sym_match_token1] = ACTIONS(3450),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3450),
    [aux_sym_address_family_token1] = ACTIONS(3450),
    [aux_sym_batch_mode_token1] = ACTIONS(3450),
    [aux_sym_bind_address_token1] = ACTIONS(3450),
    [aux_sym_bind_interface_token1] = ACTIONS(3450),
    [aux_sym_canonical_domains_token1] = ACTIONS(3450),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3450),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3450),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3450),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3450),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3450),
    [aux_sym_certificate_file_token1] = ACTIONS(3450),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3450),
    [aux_sym_channel_timeout_token1] = ACTIONS(3450),
    [aux_sym_check_host_ip_token1] = ACTIONS(3450),
    [aux_sym_ciphers_token1] = ACTIONS(3450),
    [aux_sym_cipher_token1] = ACTIONS(3452),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3450),
    [aux_sym_compression_token1] = ACTIONS(3450),
    [aux_sym_connection_attempts_token1] = ACTIONS(3450),
    [aux_sym_connect_timeout_token1] = ACTIONS(3450),
    [aux_sym_control_master_token1] = ACTIONS(3450),
    [aux_sym_control_path_token1] = ACTIONS(3450),
    [aux_sym_control_persist_token1] = ACTIONS(3450),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3450),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3450),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3450),
    [aux_sym_escape_char_token1] = ACTIONS(3450),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3450),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3450),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3450),
    [aux_sym_forward_agent_token1] = ACTIONS(3450),
    [aux_sym_forward_x11_token1] = ACTIONS(3452),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3450),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3450),
    [aux_sym_gateway_ports_token1] = ACTIONS(3450),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3450),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3450),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3450),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3450),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3450),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3450),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3450),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3450),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3450),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3450),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3450),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3450),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3450),
    [aux_sym_host_key_alias_token1] = ACTIONS(3450),
    [aux_sym_hostname_token1] = ACTIONS(3450),
    [aux_sym_identities_only_token1] = ACTIONS(3450),
    [aux_sym_identity_agent_token1] = ACTIONS(3450),
    [aux_sym_identity_file_token1] = ACTIONS(3450),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3450),
    [aux_sym_include_token1] = ACTIONS(3450),
    [aux_sym_ip_qos_token1] = ACTIONS(3450),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3450),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3450),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3450),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3450),
    [aux_sym_local_command_token1] = ACTIONS(3450),
    [aux_sym_local_forward_token1] = ACTIONS(3450),
    [aux_sym_log_level_token1] = ACTIONS(3450),
    [aux_sym_log_verbose_token1] = ACTIONS(3450),
    [aux_sym_macs_token1] = ACTIONS(3450),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3450),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3450),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3450),
    [aux_sym_password_authentication_token1] = ACTIONS(3450),
    [aux_sym_permit_local_command_token1] = ACTIONS(3450),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3450),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3450),
    [aux_sym_port_token1] = ACTIONS(3450),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3450),
    [aux_sym_protocol_token1] = ACTIONS(3450),
    [aux_sym_proxy_command_token1] = ACTIONS(3450),
    [aux_sym_proxy_jump_token1] = ACTIONS(3450),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3450),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3450),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3450),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3450),
    [aux_sym_rekey_limit_token1] = ACTIONS(3450),
    [aux_sym_remote_command_token1] = ACTIONS(3450),
    [aux_sym_remote_forward_token1] = ACTIONS(3450),
    [aux_sym_request_tty_token1] = ACTIONS(3450),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3450),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3450),
    [aux_sym_security_key_provider_token1] = ACTIONS(3450),
    [aux_sym_send_env_token1] = ACTIONS(3450),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3450),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3450),
    [aux_sym_session_type_token1] = ACTIONS(3450),
    [aux_sym_set_env_token1] = ACTIONS(3450),
    [aux_sym_stdin_null_token1] = ACTIONS(3450),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3450),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3450),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3450),
    [aux_sym_syslog_facility_token1] = ACTIONS(3450),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3450),
    [aux_sym_keep_alive_token1] = ACTIONS(3450),
    [aux_sym_tag_token1] = ACTIONS(3450),
    [aux_sym_tunnel_token1] = ACTIONS(3452),
    [aux_sym_tunnel_device_token1] = ACTIONS(3450),
    [aux_sym_update_host_keys_token1] = ACTIONS(3450),
    [aux_sym_use_keychain_token1] = ACTIONS(3450),
    [aux_sym_use_roaming_token1] = ACTIONS(3450),
    [aux_sym_user_token1] = ACTIONS(3452),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3450),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3450),
    [aux_sym_version_addendum_token1] = ACTIONS(3450),
    [aux_sym_visual_host_key_token1] = ACTIONS(3450),
    [aux_sym_xauth_location_token1] = ACTIONS(3450),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3456),
    [aux_sym_match_token1] = ACTIONS(3454),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3454),
    [aux_sym_address_family_token1] = ACTIONS(3454),
    [aux_sym_batch_mode_token1] = ACTIONS(3454),
    [aux_sym_bind_address_token1] = ACTIONS(3454),
    [aux_sym_bind_interface_token1] = ACTIONS(3454),
    [aux_sym_canonical_domains_token1] = ACTIONS(3454),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3454),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3454),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3454),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3454),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3454),
    [aux_sym_certificate_file_token1] = ACTIONS(3454),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3454),
    [aux_sym_channel_timeout_token1] = ACTIONS(3454),
    [aux_sym_check_host_ip_token1] = ACTIONS(3454),
    [aux_sym_ciphers_token1] = ACTIONS(3454),
    [aux_sym_cipher_token1] = ACTIONS(3456),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3454),
    [aux_sym_compression_token1] = ACTIONS(3454),
    [aux_sym_connection_attempts_token1] = ACTIONS(3454),
    [aux_sym_connect_timeout_token1] = ACTIONS(3454),
    [aux_sym_control_master_token1] = ACTIONS(3454),
    [aux_sym_control_path_token1] = ACTIONS(3454),
    [aux_sym_control_persist_token1] = ACTIONS(3454),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3454),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3454),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3454),
    [aux_sym_escape_char_token1] = ACTIONS(3454),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3454),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3454),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3454),
    [aux_sym_forward_agent_token1] = ACTIONS(3454),
    [aux_sym_forward_x11_token1] = ACTIONS(3456),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3454),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3454),
    [aux_sym_gateway_ports_token1] = ACTIONS(3454),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3454),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3454),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3454),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3454),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3454),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3454),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3454),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3454),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3454),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3454),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3454),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3454),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3454),
    [aux_sym_host_key_alias_token1] = ACTIONS(3454),
    [aux_sym_hostname_token1] = ACTIONS(3454),
    [aux_sym_identities_only_token1] = ACTIONS(3454),
    [aux_sym_identity_agent_token1] = ACTIONS(3454),
    [aux_sym_identity_file_token1] = ACTIONS(3454),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3454),
    [aux_sym_include_token1] = ACTIONS(3454),
    [aux_sym_ip_qos_token1] = ACTIONS(3454),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3454),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3454),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3454),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3454),
    [aux_sym_local_command_token1] = ACTIONS(3454),
    [aux_sym_local_forward_token1] = ACTIONS(3454),
    [aux_sym_log_level_token1] = ACTIONS(3454),
    [aux_sym_log_verbose_token1] = ACTIONS(3454),
    [aux_sym_macs_token1] = ACTIONS(3454),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3454),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3454),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3454),
    [aux_sym_password_authentication_token1] = ACTIONS(3454),
    [aux_sym_permit_local_command_token1] = ACTIONS(3454),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3454),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3454),
    [aux_sym_port_token1] = ACTIONS(3454),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3454),
    [aux_sym_protocol_token1] = ACTIONS(3454),
    [aux_sym_proxy_command_token1] = ACTIONS(3454),
    [aux_sym_proxy_jump_token1] = ACTIONS(3454),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3454),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3454),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3454),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3454),
    [aux_sym_rekey_limit_token1] = ACTIONS(3454),
    [aux_sym_remote_command_token1] = ACTIONS(3454),
    [aux_sym_remote_forward_token1] = ACTIONS(3454),
    [aux_sym_request_tty_token1] = ACTIONS(3454),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3454),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3454),
    [aux_sym_security_key_provider_token1] = ACTIONS(3454),
    [aux_sym_send_env_token1] = ACTIONS(3454),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3454),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3454),
    [aux_sym_session_type_token1] = ACTIONS(3454),
    [aux_sym_set_env_token1] = ACTIONS(3454),
    [aux_sym_stdin_null_token1] = ACTIONS(3454),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3454),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3454),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3454),
    [aux_sym_syslog_facility_token1] = ACTIONS(3454),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3454),
    [aux_sym_keep_alive_token1] = ACTIONS(3454),
    [aux_sym_tag_token1] = ACTIONS(3454),
    [aux_sym_tunnel_token1] = ACTIONS(3456),
    [aux_sym_tunnel_device_token1] = ACTIONS(3454),
    [aux_sym_update_host_keys_token1] = ACTIONS(3454),
    [aux_sym_use_keychain_token1] = ACTIONS(3454),
    [aux_sym_use_roaming_token1] = ACTIONS(3454),
    [aux_sym_user_token1] = ACTIONS(3456),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3454),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3454),
    [aux_sym_version_addendum_token1] = ACTIONS(3454),
    [aux_sym_visual_host_key_token1] = ACTIONS(3454),
    [aux_sym_xauth_location_token1] = ACTIONS(3454),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(3458),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3460),
    [aux_sym_match_token1] = ACTIONS(3458),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3458),
    [aux_sym_address_family_token1] = ACTIONS(3458),
    [aux_sym_batch_mode_token1] = ACTIONS(3458),
    [aux_sym_bind_address_token1] = ACTIONS(3458),
    [aux_sym_bind_interface_token1] = ACTIONS(3458),
    [aux_sym_canonical_domains_token1] = ACTIONS(3458),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3458),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3458),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3458),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3458),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3458),
    [aux_sym_certificate_file_token1] = ACTIONS(3458),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3458),
    [aux_sym_channel_timeout_token1] = ACTIONS(3458),
    [aux_sym_check_host_ip_token1] = ACTIONS(3458),
    [aux_sym_ciphers_token1] = ACTIONS(3458),
    [aux_sym_cipher_token1] = ACTIONS(3460),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3458),
    [aux_sym_compression_token1] = ACTIONS(3458),
    [aux_sym_connection_attempts_token1] = ACTIONS(3458),
    [aux_sym_connect_timeout_token1] = ACTIONS(3458),
    [aux_sym_control_master_token1] = ACTIONS(3458),
    [aux_sym_control_path_token1] = ACTIONS(3458),
    [aux_sym_control_persist_token1] = ACTIONS(3458),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3458),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3458),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3458),
    [aux_sym_escape_char_token1] = ACTIONS(3458),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3458),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3458),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3458),
    [aux_sym_forward_agent_token1] = ACTIONS(3458),
    [aux_sym_forward_x11_token1] = ACTIONS(3460),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3458),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3458),
    [aux_sym_gateway_ports_token1] = ACTIONS(3458),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3458),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3458),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3458),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3458),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3458),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3458),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3458),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3458),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3458),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3458),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3458),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3458),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3458),
    [aux_sym_host_key_alias_token1] = ACTIONS(3458),
    [aux_sym_hostname_token1] = ACTIONS(3458),
    [aux_sym_identities_only_token1] = ACTIONS(3458),
    [aux_sym_identity_agent_token1] = ACTIONS(3458),
    [aux_sym_identity_file_token1] = ACTIONS(3458),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3458),
    [aux_sym_include_token1] = ACTIONS(3458),
    [aux_sym_ip_qos_token1] = ACTIONS(3458),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3458),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3458),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3458),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3458),
    [aux_sym_local_command_token1] = ACTIONS(3458),
    [aux_sym_local_forward_token1] = ACTIONS(3458),
    [aux_sym_log_level_token1] = ACTIONS(3458),
    [aux_sym_log_verbose_token1] = ACTIONS(3458),
    [aux_sym_macs_token1] = ACTIONS(3458),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3458),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3458),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3458),
    [aux_sym_password_authentication_token1] = ACTIONS(3458),
    [aux_sym_permit_local_command_token1] = ACTIONS(3458),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3458),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3458),
    [aux_sym_port_token1] = ACTIONS(3458),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3458),
    [aux_sym_protocol_token1] = ACTIONS(3458),
    [aux_sym_proxy_command_token1] = ACTIONS(3458),
    [aux_sym_proxy_jump_token1] = ACTIONS(3458),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3458),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3458),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3458),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3458),
    [aux_sym_rekey_limit_token1] = ACTIONS(3458),
    [aux_sym_remote_command_token1] = ACTIONS(3458),
    [aux_sym_remote_forward_token1] = ACTIONS(3458),
    [aux_sym_request_tty_token1] = ACTIONS(3458),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3458),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3458),
    [aux_sym_security_key_provider_token1] = ACTIONS(3458),
    [aux_sym_send_env_token1] = ACTIONS(3458),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3458),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3458),
    [aux_sym_session_type_token1] = ACTIONS(3458),
    [aux_sym_set_env_token1] = ACTIONS(3458),
    [aux_sym_stdin_null_token1] = ACTIONS(3458),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3458),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3458),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3458),
    [aux_sym_syslog_facility_token1] = ACTIONS(3458),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3458),
    [aux_sym_keep_alive_token1] = ACTIONS(3458),
    [aux_sym_tag_token1] = ACTIONS(3458),
    [aux_sym_tunnel_token1] = ACTIONS(3460),
    [aux_sym_tunnel_device_token1] = ACTIONS(3458),
    [aux_sym_update_host_keys_token1] = ACTIONS(3458),
    [aux_sym_use_keychain_token1] = ACTIONS(3458),
    [aux_sym_use_roaming_token1] = ACTIONS(3458),
    [aux_sym_user_token1] = ACTIONS(3460),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3458),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3458),
    [aux_sym_version_addendum_token1] = ACTIONS(3458),
    [aux_sym_visual_host_key_token1] = ACTIONS(3458),
    [aux_sym_xauth_location_token1] = ACTIONS(3458),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3464),
    [aux_sym_match_token1] = ACTIONS(3462),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3462),
    [aux_sym_address_family_token1] = ACTIONS(3462),
    [aux_sym_batch_mode_token1] = ACTIONS(3462),
    [aux_sym_bind_address_token1] = ACTIONS(3462),
    [aux_sym_bind_interface_token1] = ACTIONS(3462),
    [aux_sym_canonical_domains_token1] = ACTIONS(3462),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3462),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3462),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3462),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3462),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3462),
    [aux_sym_certificate_file_token1] = ACTIONS(3462),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3462),
    [aux_sym_channel_timeout_token1] = ACTIONS(3462),
    [aux_sym_check_host_ip_token1] = ACTIONS(3462),
    [aux_sym_ciphers_token1] = ACTIONS(3462),
    [aux_sym_cipher_token1] = ACTIONS(3464),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3462),
    [aux_sym_compression_token1] = ACTIONS(3462),
    [aux_sym_connection_attempts_token1] = ACTIONS(3462),
    [aux_sym_connect_timeout_token1] = ACTIONS(3462),
    [aux_sym_control_master_token1] = ACTIONS(3462),
    [aux_sym_control_path_token1] = ACTIONS(3462),
    [aux_sym_control_persist_token1] = ACTIONS(3462),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3462),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3462),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3462),
    [aux_sym_escape_char_token1] = ACTIONS(3462),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3462),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3462),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3462),
    [aux_sym_forward_agent_token1] = ACTIONS(3462),
    [aux_sym_forward_x11_token1] = ACTIONS(3464),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3462),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3462),
    [aux_sym_gateway_ports_token1] = ACTIONS(3462),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3462),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3462),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3462),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3462),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3462),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3462),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3462),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3462),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3462),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3462),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3462),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3462),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3462),
    [aux_sym_host_key_alias_token1] = ACTIONS(3462),
    [aux_sym_hostname_token1] = ACTIONS(3462),
    [aux_sym_identities_only_token1] = ACTIONS(3462),
    [aux_sym_identity_agent_token1] = ACTIONS(3462),
    [aux_sym_identity_file_token1] = ACTIONS(3462),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3462),
    [aux_sym_include_token1] = ACTIONS(3462),
    [aux_sym_ip_qos_token1] = ACTIONS(3462),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3462),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3462),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3462),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3462),
    [aux_sym_local_command_token1] = ACTIONS(3462),
    [aux_sym_local_forward_token1] = ACTIONS(3462),
    [aux_sym_log_level_token1] = ACTIONS(3462),
    [aux_sym_log_verbose_token1] = ACTIONS(3462),
    [aux_sym_macs_token1] = ACTIONS(3462),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3462),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3462),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3462),
    [aux_sym_password_authentication_token1] = ACTIONS(3462),
    [aux_sym_permit_local_command_token1] = ACTIONS(3462),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3462),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3462),
    [aux_sym_port_token1] = ACTIONS(3462),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3462),
    [aux_sym_protocol_token1] = ACTIONS(3462),
    [aux_sym_proxy_command_token1] = ACTIONS(3462),
    [aux_sym_proxy_jump_token1] = ACTIONS(3462),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3462),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3462),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3462),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3462),
    [aux_sym_rekey_limit_token1] = ACTIONS(3462),
    [aux_sym_remote_command_token1] = ACTIONS(3462),
    [aux_sym_remote_forward_token1] = ACTIONS(3462),
    [aux_sym_request_tty_token1] = ACTIONS(3462),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3462),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3462),
    [aux_sym_security_key_provider_token1] = ACTIONS(3462),
    [aux_sym_send_env_token1] = ACTIONS(3462),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3462),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3462),
    [aux_sym_session_type_token1] = ACTIONS(3462),
    [aux_sym_set_env_token1] = ACTIONS(3462),
    [aux_sym_stdin_null_token1] = ACTIONS(3462),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3462),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3462),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3462),
    [aux_sym_syslog_facility_token1] = ACTIONS(3462),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3462),
    [aux_sym_keep_alive_token1] = ACTIONS(3462),
    [aux_sym_tag_token1] = ACTIONS(3462),
    [aux_sym_tunnel_token1] = ACTIONS(3464),
    [aux_sym_tunnel_device_token1] = ACTIONS(3462),
    [aux_sym_update_host_keys_token1] = ACTIONS(3462),
    [aux_sym_use_keychain_token1] = ACTIONS(3462),
    [aux_sym_use_roaming_token1] = ACTIONS(3462),
    [aux_sym_user_token1] = ACTIONS(3464),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3462),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3462),
    [aux_sym_version_addendum_token1] = ACTIONS(3462),
    [aux_sym_visual_host_key_token1] = ACTIONS(3462),
    [aux_sym_xauth_location_token1] = ACTIONS(3462),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3468),
    [aux_sym_match_token1] = ACTIONS(3466),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3466),
    [aux_sym_address_family_token1] = ACTIONS(3466),
    [aux_sym_batch_mode_token1] = ACTIONS(3466),
    [aux_sym_bind_address_token1] = ACTIONS(3466),
    [aux_sym_bind_interface_token1] = ACTIONS(3466),
    [aux_sym_canonical_domains_token1] = ACTIONS(3466),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3466),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3466),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3466),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3466),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3466),
    [aux_sym_certificate_file_token1] = ACTIONS(3466),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3466),
    [aux_sym_channel_timeout_token1] = ACTIONS(3466),
    [aux_sym_check_host_ip_token1] = ACTIONS(3466),
    [aux_sym_ciphers_token1] = ACTIONS(3466),
    [aux_sym_cipher_token1] = ACTIONS(3468),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3466),
    [aux_sym_compression_token1] = ACTIONS(3466),
    [aux_sym_connection_attempts_token1] = ACTIONS(3466),
    [aux_sym_connect_timeout_token1] = ACTIONS(3466),
    [aux_sym_control_master_token1] = ACTIONS(3466),
    [aux_sym_control_path_token1] = ACTIONS(3466),
    [aux_sym_control_persist_token1] = ACTIONS(3466),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3466),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3466),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3466),
    [aux_sym_escape_char_token1] = ACTIONS(3466),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3466),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3466),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3466),
    [aux_sym_forward_agent_token1] = ACTIONS(3466),
    [aux_sym_forward_x11_token1] = ACTIONS(3468),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3466),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3466),
    [aux_sym_gateway_ports_token1] = ACTIONS(3466),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3466),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3466),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3466),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3466),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3466),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3466),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3466),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3466),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3466),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3466),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3466),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3466),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3466),
    [aux_sym_host_key_alias_token1] = ACTIONS(3466),
    [aux_sym_hostname_token1] = ACTIONS(3466),
    [aux_sym_identities_only_token1] = ACTIONS(3466),
    [aux_sym_identity_agent_token1] = ACTIONS(3466),
    [aux_sym_identity_file_token1] = ACTIONS(3466),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3466),
    [aux_sym_include_token1] = ACTIONS(3466),
    [aux_sym_ip_qos_token1] = ACTIONS(3466),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3466),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3466),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3466),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3466),
    [aux_sym_local_command_token1] = ACTIONS(3466),
    [aux_sym_local_forward_token1] = ACTIONS(3466),
    [aux_sym_log_level_token1] = ACTIONS(3466),
    [aux_sym_log_verbose_token1] = ACTIONS(3466),
    [aux_sym_macs_token1] = ACTIONS(3466),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3466),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3466),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3466),
    [aux_sym_password_authentication_token1] = ACTIONS(3466),
    [aux_sym_permit_local_command_token1] = ACTIONS(3466),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3466),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3466),
    [aux_sym_port_token1] = ACTIONS(3466),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3466),
    [aux_sym_protocol_token1] = ACTIONS(3466),
    [aux_sym_proxy_command_token1] = ACTIONS(3466),
    [aux_sym_proxy_jump_token1] = ACTIONS(3466),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3466),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3466),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3466),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3466),
    [aux_sym_rekey_limit_token1] = ACTIONS(3466),
    [aux_sym_remote_command_token1] = ACTIONS(3466),
    [aux_sym_remote_forward_token1] = ACTIONS(3466),
    [aux_sym_request_tty_token1] = ACTIONS(3466),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3466),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3466),
    [aux_sym_security_key_provider_token1] = ACTIONS(3466),
    [aux_sym_send_env_token1] = ACTIONS(3466),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3466),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3466),
    [aux_sym_session_type_token1] = ACTIONS(3466),
    [aux_sym_set_env_token1] = ACTIONS(3466),
    [aux_sym_stdin_null_token1] = ACTIONS(3466),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3466),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3466),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3466),
    [aux_sym_syslog_facility_token1] = ACTIONS(3466),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3466),
    [aux_sym_keep_alive_token1] = ACTIONS(3466),
    [aux_sym_tag_token1] = ACTIONS(3466),
    [aux_sym_tunnel_token1] = ACTIONS(3468),
    [aux_sym_tunnel_device_token1] = ACTIONS(3466),
    [aux_sym_update_host_keys_token1] = ACTIONS(3466),
    [aux_sym_use_keychain_token1] = ACTIONS(3466),
    [aux_sym_use_roaming_token1] = ACTIONS(3466),
    [aux_sym_user_token1] = ACTIONS(3468),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3466),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3466),
    [aux_sym_version_addendum_token1] = ACTIONS(3466),
    [aux_sym_visual_host_key_token1] = ACTIONS(3466),
    [aux_sym_xauth_location_token1] = ACTIONS(3466),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3472),
    [aux_sym_match_token1] = ACTIONS(3470),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3470),
    [aux_sym_address_family_token1] = ACTIONS(3470),
    [aux_sym_batch_mode_token1] = ACTIONS(3470),
    [aux_sym_bind_address_token1] = ACTIONS(3470),
    [aux_sym_bind_interface_token1] = ACTIONS(3470),
    [aux_sym_canonical_domains_token1] = ACTIONS(3470),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3470),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3470),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3470),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3470),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3470),
    [aux_sym_certificate_file_token1] = ACTIONS(3470),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3470),
    [aux_sym_channel_timeout_token1] = ACTIONS(3470),
    [aux_sym_check_host_ip_token1] = ACTIONS(3470),
    [aux_sym_ciphers_token1] = ACTIONS(3470),
    [aux_sym_cipher_token1] = ACTIONS(3472),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3470),
    [aux_sym_compression_token1] = ACTIONS(3470),
    [aux_sym_connection_attempts_token1] = ACTIONS(3470),
    [aux_sym_connect_timeout_token1] = ACTIONS(3470),
    [aux_sym_control_master_token1] = ACTIONS(3470),
    [aux_sym_control_path_token1] = ACTIONS(3470),
    [aux_sym_control_persist_token1] = ACTIONS(3470),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3470),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3470),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3470),
    [aux_sym_escape_char_token1] = ACTIONS(3470),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3470),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3470),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3470),
    [aux_sym_forward_agent_token1] = ACTIONS(3470),
    [aux_sym_forward_x11_token1] = ACTIONS(3472),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3470),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3470),
    [aux_sym_gateway_ports_token1] = ACTIONS(3470),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3470),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3470),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3470),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3470),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3470),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3470),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3470),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3470),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3470),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3470),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3470),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3470),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3470),
    [aux_sym_host_key_alias_token1] = ACTIONS(3470),
    [aux_sym_hostname_token1] = ACTIONS(3470),
    [aux_sym_identities_only_token1] = ACTIONS(3470),
    [aux_sym_identity_agent_token1] = ACTIONS(3470),
    [aux_sym_identity_file_token1] = ACTIONS(3470),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3470),
    [aux_sym_include_token1] = ACTIONS(3470),
    [aux_sym_ip_qos_token1] = ACTIONS(3470),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3470),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3470),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3470),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3470),
    [aux_sym_local_command_token1] = ACTIONS(3470),
    [aux_sym_local_forward_token1] = ACTIONS(3470),
    [aux_sym_log_level_token1] = ACTIONS(3470),
    [aux_sym_log_verbose_token1] = ACTIONS(3470),
    [aux_sym_macs_token1] = ACTIONS(3470),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3470),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3470),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3470),
    [aux_sym_password_authentication_token1] = ACTIONS(3470),
    [aux_sym_permit_local_command_token1] = ACTIONS(3470),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3470),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3470),
    [aux_sym_port_token1] = ACTIONS(3470),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3470),
    [aux_sym_protocol_token1] = ACTIONS(3470),
    [aux_sym_proxy_command_token1] = ACTIONS(3470),
    [aux_sym_proxy_jump_token1] = ACTIONS(3470),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3470),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3470),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3470),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3470),
    [aux_sym_rekey_limit_token1] = ACTIONS(3470),
    [aux_sym_remote_command_token1] = ACTIONS(3470),
    [aux_sym_remote_forward_token1] = ACTIONS(3470),
    [aux_sym_request_tty_token1] = ACTIONS(3470),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3470),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3470),
    [aux_sym_security_key_provider_token1] = ACTIONS(3470),
    [aux_sym_send_env_token1] = ACTIONS(3470),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3470),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3470),
    [aux_sym_session_type_token1] = ACTIONS(3470),
    [aux_sym_set_env_token1] = ACTIONS(3470),
    [aux_sym_stdin_null_token1] = ACTIONS(3470),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3470),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3470),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3470),
    [aux_sym_syslog_facility_token1] = ACTIONS(3470),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3470),
    [aux_sym_keep_alive_token1] = ACTIONS(3470),
    [aux_sym_tag_token1] = ACTIONS(3470),
    [aux_sym_tunnel_token1] = ACTIONS(3472),
    [aux_sym_tunnel_device_token1] = ACTIONS(3470),
    [aux_sym_update_host_keys_token1] = ACTIONS(3470),
    [aux_sym_use_keychain_token1] = ACTIONS(3470),
    [aux_sym_use_roaming_token1] = ACTIONS(3470),
    [aux_sym_user_token1] = ACTIONS(3472),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3470),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3470),
    [aux_sym_version_addendum_token1] = ACTIONS(3470),
    [aux_sym_visual_host_key_token1] = ACTIONS(3470),
    [aux_sym_xauth_location_token1] = ACTIONS(3470),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3476),
    [aux_sym_match_token1] = ACTIONS(3474),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3474),
    [aux_sym_address_family_token1] = ACTIONS(3474),
    [aux_sym_batch_mode_token1] = ACTIONS(3474),
    [aux_sym_bind_address_token1] = ACTIONS(3474),
    [aux_sym_bind_interface_token1] = ACTIONS(3474),
    [aux_sym_canonical_domains_token1] = ACTIONS(3474),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3474),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3474),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3474),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3474),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3474),
    [aux_sym_certificate_file_token1] = ACTIONS(3474),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3474),
    [aux_sym_channel_timeout_token1] = ACTIONS(3474),
    [aux_sym_check_host_ip_token1] = ACTIONS(3474),
    [aux_sym_ciphers_token1] = ACTIONS(3474),
    [aux_sym_cipher_token1] = ACTIONS(3476),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3474),
    [aux_sym_compression_token1] = ACTIONS(3474),
    [aux_sym_connection_attempts_token1] = ACTIONS(3474),
    [aux_sym_connect_timeout_token1] = ACTIONS(3474),
    [aux_sym_control_master_token1] = ACTIONS(3474),
    [aux_sym_control_path_token1] = ACTIONS(3474),
    [aux_sym_control_persist_token1] = ACTIONS(3474),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3474),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3474),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3474),
    [aux_sym_escape_char_token1] = ACTIONS(3474),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3474),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3474),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3474),
    [aux_sym_forward_agent_token1] = ACTIONS(3474),
    [aux_sym_forward_x11_token1] = ACTIONS(3476),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3474),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3474),
    [aux_sym_gateway_ports_token1] = ACTIONS(3474),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3474),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3474),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3474),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3474),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3474),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3474),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3474),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3474),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3474),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3474),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3474),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3474),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3474),
    [aux_sym_host_key_alias_token1] = ACTIONS(3474),
    [aux_sym_hostname_token1] = ACTIONS(3474),
    [aux_sym_identities_only_token1] = ACTIONS(3474),
    [aux_sym_identity_agent_token1] = ACTIONS(3474),
    [aux_sym_identity_file_token1] = ACTIONS(3474),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3474),
    [aux_sym_include_token1] = ACTIONS(3474),
    [aux_sym_ip_qos_token1] = ACTIONS(3474),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3474),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3474),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3474),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3474),
    [aux_sym_local_command_token1] = ACTIONS(3474),
    [aux_sym_local_forward_token1] = ACTIONS(3474),
    [aux_sym_log_level_token1] = ACTIONS(3474),
    [aux_sym_log_verbose_token1] = ACTIONS(3474),
    [aux_sym_macs_token1] = ACTIONS(3474),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3474),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3474),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3474),
    [aux_sym_password_authentication_token1] = ACTIONS(3474),
    [aux_sym_permit_local_command_token1] = ACTIONS(3474),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3474),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3474),
    [aux_sym_port_token1] = ACTIONS(3474),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3474),
    [aux_sym_protocol_token1] = ACTIONS(3474),
    [aux_sym_proxy_command_token1] = ACTIONS(3474),
    [aux_sym_proxy_jump_token1] = ACTIONS(3474),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3474),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3474),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3474),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3474),
    [aux_sym_rekey_limit_token1] = ACTIONS(3474),
    [aux_sym_remote_command_token1] = ACTIONS(3474),
    [aux_sym_remote_forward_token1] = ACTIONS(3474),
    [aux_sym_request_tty_token1] = ACTIONS(3474),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3474),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3474),
    [aux_sym_security_key_provider_token1] = ACTIONS(3474),
    [aux_sym_send_env_token1] = ACTIONS(3474),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3474),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3474),
    [aux_sym_session_type_token1] = ACTIONS(3474),
    [aux_sym_set_env_token1] = ACTIONS(3474),
    [aux_sym_stdin_null_token1] = ACTIONS(3474),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3474),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3474),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3474),
    [aux_sym_syslog_facility_token1] = ACTIONS(3474),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3474),
    [aux_sym_keep_alive_token1] = ACTIONS(3474),
    [aux_sym_tag_token1] = ACTIONS(3474),
    [aux_sym_tunnel_token1] = ACTIONS(3476),
    [aux_sym_tunnel_device_token1] = ACTIONS(3474),
    [aux_sym_update_host_keys_token1] = ACTIONS(3474),
    [aux_sym_use_keychain_token1] = ACTIONS(3474),
    [aux_sym_use_roaming_token1] = ACTIONS(3474),
    [aux_sym_user_token1] = ACTIONS(3476),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3474),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3474),
    [aux_sym_version_addendum_token1] = ACTIONS(3474),
    [aux_sym_visual_host_key_token1] = ACTIONS(3474),
    [aux_sym_xauth_location_token1] = ACTIONS(3474),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3480),
    [aux_sym_match_token1] = ACTIONS(3478),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3478),
    [aux_sym_address_family_token1] = ACTIONS(3478),
    [aux_sym_batch_mode_token1] = ACTIONS(3478),
    [aux_sym_bind_address_token1] = ACTIONS(3478),
    [aux_sym_bind_interface_token1] = ACTIONS(3478),
    [aux_sym_canonical_domains_token1] = ACTIONS(3478),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3478),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3478),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3478),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3478),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3478),
    [aux_sym_certificate_file_token1] = ACTIONS(3478),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3478),
    [aux_sym_channel_timeout_token1] = ACTIONS(3478),
    [aux_sym_check_host_ip_token1] = ACTIONS(3478),
    [aux_sym_ciphers_token1] = ACTIONS(3478),
    [aux_sym_cipher_token1] = ACTIONS(3480),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3478),
    [aux_sym_compression_token1] = ACTIONS(3478),
    [aux_sym_connection_attempts_token1] = ACTIONS(3478),
    [aux_sym_connect_timeout_token1] = ACTIONS(3478),
    [aux_sym_control_master_token1] = ACTIONS(3478),
    [aux_sym_control_path_token1] = ACTIONS(3478),
    [aux_sym_control_persist_token1] = ACTIONS(3478),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3478),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3478),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3478),
    [aux_sym_escape_char_token1] = ACTIONS(3478),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3478),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3478),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3478),
    [aux_sym_forward_agent_token1] = ACTIONS(3478),
    [aux_sym_forward_x11_token1] = ACTIONS(3480),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3478),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3478),
    [aux_sym_gateway_ports_token1] = ACTIONS(3478),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3478),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3478),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3478),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3478),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3478),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3478),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3478),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3478),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3478),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3478),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3478),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3478),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3478),
    [aux_sym_host_key_alias_token1] = ACTIONS(3478),
    [aux_sym_hostname_token1] = ACTIONS(3478),
    [aux_sym_identities_only_token1] = ACTIONS(3478),
    [aux_sym_identity_agent_token1] = ACTIONS(3478),
    [aux_sym_identity_file_token1] = ACTIONS(3478),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3478),
    [aux_sym_include_token1] = ACTIONS(3478),
    [aux_sym_ip_qos_token1] = ACTIONS(3478),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3478),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3478),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3478),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3478),
    [aux_sym_local_command_token1] = ACTIONS(3478),
    [aux_sym_local_forward_token1] = ACTIONS(3478),
    [aux_sym_log_level_token1] = ACTIONS(3478),
    [aux_sym_log_verbose_token1] = ACTIONS(3478),
    [aux_sym_macs_token1] = ACTIONS(3478),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3478),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3478),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3478),
    [aux_sym_password_authentication_token1] = ACTIONS(3478),
    [aux_sym_permit_local_command_token1] = ACTIONS(3478),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3478),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3478),
    [aux_sym_port_token1] = ACTIONS(3478),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3478),
    [aux_sym_protocol_token1] = ACTIONS(3478),
    [aux_sym_proxy_command_token1] = ACTIONS(3478),
    [aux_sym_proxy_jump_token1] = ACTIONS(3478),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3478),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3478),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3478),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3478),
    [aux_sym_rekey_limit_token1] = ACTIONS(3478),
    [aux_sym_remote_command_token1] = ACTIONS(3478),
    [aux_sym_remote_forward_token1] = ACTIONS(3478),
    [aux_sym_request_tty_token1] = ACTIONS(3478),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3478),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3478),
    [aux_sym_security_key_provider_token1] = ACTIONS(3478),
    [aux_sym_send_env_token1] = ACTIONS(3478),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3478),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3478),
    [aux_sym_session_type_token1] = ACTIONS(3478),
    [aux_sym_set_env_token1] = ACTIONS(3478),
    [aux_sym_stdin_null_token1] = ACTIONS(3478),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3478),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3478),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3478),
    [aux_sym_syslog_facility_token1] = ACTIONS(3478),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3478),
    [aux_sym_keep_alive_token1] = ACTIONS(3478),
    [aux_sym_tag_token1] = ACTIONS(3478),
    [aux_sym_tunnel_token1] = ACTIONS(3480),
    [aux_sym_tunnel_device_token1] = ACTIONS(3478),
    [aux_sym_update_host_keys_token1] = ACTIONS(3478),
    [aux_sym_use_keychain_token1] = ACTIONS(3478),
    [aux_sym_use_roaming_token1] = ACTIONS(3478),
    [aux_sym_user_token1] = ACTIONS(3480),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3478),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3478),
    [aux_sym_version_addendum_token1] = ACTIONS(3478),
    [aux_sym_visual_host_key_token1] = ACTIONS(3478),
    [aux_sym_xauth_location_token1] = ACTIONS(3478),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3484),
    [aux_sym_match_token1] = ACTIONS(3482),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3482),
    [aux_sym_address_family_token1] = ACTIONS(3482),
    [aux_sym_batch_mode_token1] = ACTIONS(3482),
    [aux_sym_bind_address_token1] = ACTIONS(3482),
    [aux_sym_bind_interface_token1] = ACTIONS(3482),
    [aux_sym_canonical_domains_token1] = ACTIONS(3482),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3482),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3482),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3482),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3482),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3482),
    [aux_sym_certificate_file_token1] = ACTIONS(3482),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3482),
    [aux_sym_channel_timeout_token1] = ACTIONS(3482),
    [aux_sym_check_host_ip_token1] = ACTIONS(3482),
    [aux_sym_ciphers_token1] = ACTIONS(3482),
    [aux_sym_cipher_token1] = ACTIONS(3484),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3482),
    [aux_sym_compression_token1] = ACTIONS(3482),
    [aux_sym_connection_attempts_token1] = ACTIONS(3482),
    [aux_sym_connect_timeout_token1] = ACTIONS(3482),
    [aux_sym_control_master_token1] = ACTIONS(3482),
    [aux_sym_control_path_token1] = ACTIONS(3482),
    [aux_sym_control_persist_token1] = ACTIONS(3482),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3482),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3482),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3482),
    [aux_sym_escape_char_token1] = ACTIONS(3482),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3482),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3482),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3482),
    [aux_sym_forward_agent_token1] = ACTIONS(3482),
    [aux_sym_forward_x11_token1] = ACTIONS(3484),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3482),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3482),
    [aux_sym_gateway_ports_token1] = ACTIONS(3482),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3482),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3482),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3482),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3482),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3482),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3482),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3482),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3482),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3482),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3482),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3482),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3482),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3482),
    [aux_sym_host_key_alias_token1] = ACTIONS(3482),
    [aux_sym_hostname_token1] = ACTIONS(3482),
    [aux_sym_identities_only_token1] = ACTIONS(3482),
    [aux_sym_identity_agent_token1] = ACTIONS(3482),
    [aux_sym_identity_file_token1] = ACTIONS(3482),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3482),
    [aux_sym_include_token1] = ACTIONS(3482),
    [aux_sym_ip_qos_token1] = ACTIONS(3482),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3482),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3482),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3482),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3482),
    [aux_sym_local_command_token1] = ACTIONS(3482),
    [aux_sym_local_forward_token1] = ACTIONS(3482),
    [aux_sym_log_level_token1] = ACTIONS(3482),
    [aux_sym_log_verbose_token1] = ACTIONS(3482),
    [aux_sym_macs_token1] = ACTIONS(3482),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3482),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3482),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3482),
    [aux_sym_password_authentication_token1] = ACTIONS(3482),
    [aux_sym_permit_local_command_token1] = ACTIONS(3482),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3482),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3482),
    [aux_sym_port_token1] = ACTIONS(3482),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3482),
    [aux_sym_protocol_token1] = ACTIONS(3482),
    [aux_sym_proxy_command_token1] = ACTIONS(3482),
    [aux_sym_proxy_jump_token1] = ACTIONS(3482),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3482),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3482),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3482),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3482),
    [aux_sym_rekey_limit_token1] = ACTIONS(3482),
    [aux_sym_remote_command_token1] = ACTIONS(3482),
    [aux_sym_remote_forward_token1] = ACTIONS(3482),
    [aux_sym_request_tty_token1] = ACTIONS(3482),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3482),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3482),
    [aux_sym_security_key_provider_token1] = ACTIONS(3482),
    [aux_sym_send_env_token1] = ACTIONS(3482),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3482),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3482),
    [aux_sym_session_type_token1] = ACTIONS(3482),
    [aux_sym_set_env_token1] = ACTIONS(3482),
    [aux_sym_stdin_null_token1] = ACTIONS(3482),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3482),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3482),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3482),
    [aux_sym_syslog_facility_token1] = ACTIONS(3482),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3482),
    [aux_sym_keep_alive_token1] = ACTIONS(3482),
    [aux_sym_tag_token1] = ACTIONS(3482),
    [aux_sym_tunnel_token1] = ACTIONS(3484),
    [aux_sym_tunnel_device_token1] = ACTIONS(3482),
    [aux_sym_update_host_keys_token1] = ACTIONS(3482),
    [aux_sym_use_keychain_token1] = ACTIONS(3482),
    [aux_sym_use_roaming_token1] = ACTIONS(3482),
    [aux_sym_user_token1] = ACTIONS(3484),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3482),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3482),
    [aux_sym_version_addendum_token1] = ACTIONS(3482),
    [aux_sym_visual_host_key_token1] = ACTIONS(3482),
    [aux_sym_xauth_location_token1] = ACTIONS(3482),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3488),
    [aux_sym_match_token1] = ACTIONS(3486),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3486),
    [aux_sym_address_family_token1] = ACTIONS(3486),
    [aux_sym_batch_mode_token1] = ACTIONS(3486),
    [aux_sym_bind_address_token1] = ACTIONS(3486),
    [aux_sym_bind_interface_token1] = ACTIONS(3486),
    [aux_sym_canonical_domains_token1] = ACTIONS(3486),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3486),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3486),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3486),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3486),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3486),
    [aux_sym_certificate_file_token1] = ACTIONS(3486),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3486),
    [aux_sym_channel_timeout_token1] = ACTIONS(3486),
    [aux_sym_check_host_ip_token1] = ACTIONS(3486),
    [aux_sym_ciphers_token1] = ACTIONS(3486),
    [aux_sym_cipher_token1] = ACTIONS(3488),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3486),
    [aux_sym_compression_token1] = ACTIONS(3486),
    [aux_sym_connection_attempts_token1] = ACTIONS(3486),
    [aux_sym_connect_timeout_token1] = ACTIONS(3486),
    [aux_sym_control_master_token1] = ACTIONS(3486),
    [aux_sym_control_path_token1] = ACTIONS(3486),
    [aux_sym_control_persist_token1] = ACTIONS(3486),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3486),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3486),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3486),
    [aux_sym_escape_char_token1] = ACTIONS(3486),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3486),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3486),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3486),
    [aux_sym_forward_agent_token1] = ACTIONS(3486),
    [aux_sym_forward_x11_token1] = ACTIONS(3488),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3486),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3486),
    [aux_sym_gateway_ports_token1] = ACTIONS(3486),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3486),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3486),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3486),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3486),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3486),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3486),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3486),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3486),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3486),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3486),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3486),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3486),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3486),
    [aux_sym_host_key_alias_token1] = ACTIONS(3486),
    [aux_sym_hostname_token1] = ACTIONS(3486),
    [aux_sym_identities_only_token1] = ACTIONS(3486),
    [aux_sym_identity_agent_token1] = ACTIONS(3486),
    [aux_sym_identity_file_token1] = ACTIONS(3486),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3486),
    [aux_sym_include_token1] = ACTIONS(3486),
    [aux_sym_ip_qos_token1] = ACTIONS(3486),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3486),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3486),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3486),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3486),
    [aux_sym_local_command_token1] = ACTIONS(3486),
    [aux_sym_local_forward_token1] = ACTIONS(3486),
    [aux_sym_log_level_token1] = ACTIONS(3486),
    [aux_sym_log_verbose_token1] = ACTIONS(3486),
    [aux_sym_macs_token1] = ACTIONS(3486),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3486),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3486),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3486),
    [aux_sym_password_authentication_token1] = ACTIONS(3486),
    [aux_sym_permit_local_command_token1] = ACTIONS(3486),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3486),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3486),
    [aux_sym_port_token1] = ACTIONS(3486),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3486),
    [aux_sym_protocol_token1] = ACTIONS(3486),
    [aux_sym_proxy_command_token1] = ACTIONS(3486),
    [aux_sym_proxy_jump_token1] = ACTIONS(3486),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3486),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3486),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3486),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3486),
    [aux_sym_rekey_limit_token1] = ACTIONS(3486),
    [aux_sym_remote_command_token1] = ACTIONS(3486),
    [aux_sym_remote_forward_token1] = ACTIONS(3486),
    [aux_sym_request_tty_token1] = ACTIONS(3486),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3486),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3486),
    [aux_sym_security_key_provider_token1] = ACTIONS(3486),
    [aux_sym_send_env_token1] = ACTIONS(3486),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3486),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3486),
    [aux_sym_session_type_token1] = ACTIONS(3486),
    [aux_sym_set_env_token1] = ACTIONS(3486),
    [aux_sym_stdin_null_token1] = ACTIONS(3486),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3486),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3486),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3486),
    [aux_sym_syslog_facility_token1] = ACTIONS(3486),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3486),
    [aux_sym_keep_alive_token1] = ACTIONS(3486),
    [aux_sym_tag_token1] = ACTIONS(3486),
    [aux_sym_tunnel_token1] = ACTIONS(3488),
    [aux_sym_tunnel_device_token1] = ACTIONS(3486),
    [aux_sym_update_host_keys_token1] = ACTIONS(3486),
    [aux_sym_use_keychain_token1] = ACTIONS(3486),
    [aux_sym_use_roaming_token1] = ACTIONS(3486),
    [aux_sym_user_token1] = ACTIONS(3488),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3486),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3486),
    [aux_sym_version_addendum_token1] = ACTIONS(3486),
    [aux_sym_visual_host_key_token1] = ACTIONS(3486),
    [aux_sym_xauth_location_token1] = ACTIONS(3486),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3492),
    [aux_sym_match_token1] = ACTIONS(3490),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3490),
    [aux_sym_address_family_token1] = ACTIONS(3490),
    [aux_sym_batch_mode_token1] = ACTIONS(3490),
    [aux_sym_bind_address_token1] = ACTIONS(3490),
    [aux_sym_bind_interface_token1] = ACTIONS(3490),
    [aux_sym_canonical_domains_token1] = ACTIONS(3490),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3490),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3490),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3490),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3490),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3490),
    [aux_sym_certificate_file_token1] = ACTIONS(3490),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3490),
    [aux_sym_channel_timeout_token1] = ACTIONS(3490),
    [aux_sym_check_host_ip_token1] = ACTIONS(3490),
    [aux_sym_ciphers_token1] = ACTIONS(3490),
    [aux_sym_cipher_token1] = ACTIONS(3492),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3490),
    [aux_sym_compression_token1] = ACTIONS(3490),
    [aux_sym_connection_attempts_token1] = ACTIONS(3490),
    [aux_sym_connect_timeout_token1] = ACTIONS(3490),
    [aux_sym_control_master_token1] = ACTIONS(3490),
    [aux_sym_control_path_token1] = ACTIONS(3490),
    [aux_sym_control_persist_token1] = ACTIONS(3490),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3490),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3490),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3490),
    [aux_sym_escape_char_token1] = ACTIONS(3490),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3490),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3490),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3490),
    [aux_sym_forward_agent_token1] = ACTIONS(3490),
    [aux_sym_forward_x11_token1] = ACTIONS(3492),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3490),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3490),
    [aux_sym_gateway_ports_token1] = ACTIONS(3490),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3490),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3490),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3490),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3490),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3490),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3490),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3490),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3490),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3490),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3490),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3490),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3490),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3490),
    [aux_sym_host_key_alias_token1] = ACTIONS(3490),
    [aux_sym_hostname_token1] = ACTIONS(3490),
    [aux_sym_identities_only_token1] = ACTIONS(3490),
    [aux_sym_identity_agent_token1] = ACTIONS(3490),
    [aux_sym_identity_file_token1] = ACTIONS(3490),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3490),
    [aux_sym_include_token1] = ACTIONS(3490),
    [aux_sym_ip_qos_token1] = ACTIONS(3490),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3490),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3490),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3490),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3490),
    [aux_sym_local_command_token1] = ACTIONS(3490),
    [aux_sym_local_forward_token1] = ACTIONS(3490),
    [aux_sym_log_level_token1] = ACTIONS(3490),
    [aux_sym_log_verbose_token1] = ACTIONS(3490),
    [aux_sym_macs_token1] = ACTIONS(3490),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3490),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3490),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3490),
    [aux_sym_password_authentication_token1] = ACTIONS(3490),
    [aux_sym_permit_local_command_token1] = ACTIONS(3490),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3490),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3490),
    [aux_sym_port_token1] = ACTIONS(3490),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3490),
    [aux_sym_protocol_token1] = ACTIONS(3490),
    [aux_sym_proxy_command_token1] = ACTIONS(3490),
    [aux_sym_proxy_jump_token1] = ACTIONS(3490),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3490),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3490),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3490),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3490),
    [aux_sym_rekey_limit_token1] = ACTIONS(3490),
    [aux_sym_remote_command_token1] = ACTIONS(3490),
    [aux_sym_remote_forward_token1] = ACTIONS(3490),
    [aux_sym_request_tty_token1] = ACTIONS(3490),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3490),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3490),
    [aux_sym_security_key_provider_token1] = ACTIONS(3490),
    [aux_sym_send_env_token1] = ACTIONS(3490),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3490),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3490),
    [aux_sym_session_type_token1] = ACTIONS(3490),
    [aux_sym_set_env_token1] = ACTIONS(3490),
    [aux_sym_stdin_null_token1] = ACTIONS(3490),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3490),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3490),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3490),
    [aux_sym_syslog_facility_token1] = ACTIONS(3490),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3490),
    [aux_sym_keep_alive_token1] = ACTIONS(3490),
    [aux_sym_tag_token1] = ACTIONS(3490),
    [aux_sym_tunnel_token1] = ACTIONS(3492),
    [aux_sym_tunnel_device_token1] = ACTIONS(3490),
    [aux_sym_update_host_keys_token1] = ACTIONS(3490),
    [aux_sym_use_keychain_token1] = ACTIONS(3490),
    [aux_sym_use_roaming_token1] = ACTIONS(3490),
    [aux_sym_user_token1] = ACTIONS(3492),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3490),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3490),
    [aux_sym_version_addendum_token1] = ACTIONS(3490),
    [aux_sym_visual_host_key_token1] = ACTIONS(3490),
    [aux_sym_xauth_location_token1] = ACTIONS(3490),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3496),
    [aux_sym_match_token1] = ACTIONS(3494),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3494),
    [aux_sym_address_family_token1] = ACTIONS(3494),
    [aux_sym_batch_mode_token1] = ACTIONS(3494),
    [aux_sym_bind_address_token1] = ACTIONS(3494),
    [aux_sym_bind_interface_token1] = ACTIONS(3494),
    [aux_sym_canonical_domains_token1] = ACTIONS(3494),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3494),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3494),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3494),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3494),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3494),
    [aux_sym_certificate_file_token1] = ACTIONS(3494),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3494),
    [aux_sym_channel_timeout_token1] = ACTIONS(3494),
    [aux_sym_check_host_ip_token1] = ACTIONS(3494),
    [aux_sym_ciphers_token1] = ACTIONS(3494),
    [aux_sym_cipher_token1] = ACTIONS(3496),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3494),
    [aux_sym_compression_token1] = ACTIONS(3494),
    [aux_sym_connection_attempts_token1] = ACTIONS(3494),
    [aux_sym_connect_timeout_token1] = ACTIONS(3494),
    [aux_sym_control_master_token1] = ACTIONS(3494),
    [aux_sym_control_path_token1] = ACTIONS(3494),
    [aux_sym_control_persist_token1] = ACTIONS(3494),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3494),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3494),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3494),
    [aux_sym_escape_char_token1] = ACTIONS(3494),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3494),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3494),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3494),
    [aux_sym_forward_agent_token1] = ACTIONS(3494),
    [aux_sym_forward_x11_token1] = ACTIONS(3496),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3494),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3494),
    [aux_sym_gateway_ports_token1] = ACTIONS(3494),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3494),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3494),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3494),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3494),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3494),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3494),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3494),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3494),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3494),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3494),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3494),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3494),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3494),
    [aux_sym_host_key_alias_token1] = ACTIONS(3494),
    [aux_sym_hostname_token1] = ACTIONS(3494),
    [aux_sym_identities_only_token1] = ACTIONS(3494),
    [aux_sym_identity_agent_token1] = ACTIONS(3494),
    [aux_sym_identity_file_token1] = ACTIONS(3494),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3494),
    [aux_sym_include_token1] = ACTIONS(3494),
    [aux_sym_ip_qos_token1] = ACTIONS(3494),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3494),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3494),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3494),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3494),
    [aux_sym_local_command_token1] = ACTIONS(3494),
    [aux_sym_local_forward_token1] = ACTIONS(3494),
    [aux_sym_log_level_token1] = ACTIONS(3494),
    [aux_sym_log_verbose_token1] = ACTIONS(3494),
    [aux_sym_macs_token1] = ACTIONS(3494),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3494),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3494),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3494),
    [aux_sym_password_authentication_token1] = ACTIONS(3494),
    [aux_sym_permit_local_command_token1] = ACTIONS(3494),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3494),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3494),
    [aux_sym_port_token1] = ACTIONS(3494),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3494),
    [aux_sym_protocol_token1] = ACTIONS(3494),
    [aux_sym_proxy_command_token1] = ACTIONS(3494),
    [aux_sym_proxy_jump_token1] = ACTIONS(3494),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3494),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3494),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3494),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3494),
    [aux_sym_rekey_limit_token1] = ACTIONS(3494),
    [aux_sym_remote_command_token1] = ACTIONS(3494),
    [aux_sym_remote_forward_token1] = ACTIONS(3494),
    [aux_sym_request_tty_token1] = ACTIONS(3494),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3494),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3494),
    [aux_sym_security_key_provider_token1] = ACTIONS(3494),
    [aux_sym_send_env_token1] = ACTIONS(3494),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3494),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3494),
    [aux_sym_session_type_token1] = ACTIONS(3494),
    [aux_sym_set_env_token1] = ACTIONS(3494),
    [aux_sym_stdin_null_token1] = ACTIONS(3494),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3494),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3494),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3494),
    [aux_sym_syslog_facility_token1] = ACTIONS(3494),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3494),
    [aux_sym_keep_alive_token1] = ACTIONS(3494),
    [aux_sym_tag_token1] = ACTIONS(3494),
    [aux_sym_tunnel_token1] = ACTIONS(3496),
    [aux_sym_tunnel_device_token1] = ACTIONS(3494),
    [aux_sym_update_host_keys_token1] = ACTIONS(3494),
    [aux_sym_use_keychain_token1] = ACTIONS(3494),
    [aux_sym_use_roaming_token1] = ACTIONS(3494),
    [aux_sym_user_token1] = ACTIONS(3496),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3494),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3494),
    [aux_sym_version_addendum_token1] = ACTIONS(3494),
    [aux_sym_visual_host_key_token1] = ACTIONS(3494),
    [aux_sym_xauth_location_token1] = ACTIONS(3494),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3500),
    [aux_sym_match_token1] = ACTIONS(3498),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3498),
    [aux_sym_address_family_token1] = ACTIONS(3498),
    [aux_sym_batch_mode_token1] = ACTIONS(3498),
    [aux_sym_bind_address_token1] = ACTIONS(3498),
    [aux_sym_bind_interface_token1] = ACTIONS(3498),
    [aux_sym_canonical_domains_token1] = ACTIONS(3498),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3498),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3498),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3498),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3498),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3498),
    [aux_sym_certificate_file_token1] = ACTIONS(3498),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3498),
    [aux_sym_channel_timeout_token1] = ACTIONS(3498),
    [aux_sym_check_host_ip_token1] = ACTIONS(3498),
    [aux_sym_ciphers_token1] = ACTIONS(3498),
    [aux_sym_cipher_token1] = ACTIONS(3500),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3498),
    [aux_sym_compression_token1] = ACTIONS(3498),
    [aux_sym_connection_attempts_token1] = ACTIONS(3498),
    [aux_sym_connect_timeout_token1] = ACTIONS(3498),
    [aux_sym_control_master_token1] = ACTIONS(3498),
    [aux_sym_control_path_token1] = ACTIONS(3498),
    [aux_sym_control_persist_token1] = ACTIONS(3498),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3498),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3498),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3498),
    [aux_sym_escape_char_token1] = ACTIONS(3498),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3498),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3498),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3498),
    [aux_sym_forward_agent_token1] = ACTIONS(3498),
    [aux_sym_forward_x11_token1] = ACTIONS(3500),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3498),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3498),
    [aux_sym_gateway_ports_token1] = ACTIONS(3498),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3498),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3498),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3498),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3498),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3498),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3498),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3498),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3498),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3498),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3498),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3498),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3498),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3498),
    [aux_sym_host_key_alias_token1] = ACTIONS(3498),
    [aux_sym_hostname_token1] = ACTIONS(3498),
    [aux_sym_identities_only_token1] = ACTIONS(3498),
    [aux_sym_identity_agent_token1] = ACTIONS(3498),
    [aux_sym_identity_file_token1] = ACTIONS(3498),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3498),
    [aux_sym_include_token1] = ACTIONS(3498),
    [aux_sym_ip_qos_token1] = ACTIONS(3498),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3498),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3498),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3498),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3498),
    [aux_sym_local_command_token1] = ACTIONS(3498),
    [aux_sym_local_forward_token1] = ACTIONS(3498),
    [aux_sym_log_level_token1] = ACTIONS(3498),
    [aux_sym_log_verbose_token1] = ACTIONS(3498),
    [aux_sym_macs_token1] = ACTIONS(3498),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3498),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3498),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3498),
    [aux_sym_password_authentication_token1] = ACTIONS(3498),
    [aux_sym_permit_local_command_token1] = ACTIONS(3498),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3498),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3498),
    [aux_sym_port_token1] = ACTIONS(3498),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3498),
    [aux_sym_protocol_token1] = ACTIONS(3498),
    [aux_sym_proxy_command_token1] = ACTIONS(3498),
    [aux_sym_proxy_jump_token1] = ACTIONS(3498),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3498),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3498),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3498),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3498),
    [aux_sym_rekey_limit_token1] = ACTIONS(3498),
    [aux_sym_remote_command_token1] = ACTIONS(3498),
    [aux_sym_remote_forward_token1] = ACTIONS(3498),
    [aux_sym_request_tty_token1] = ACTIONS(3498),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3498),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3498),
    [aux_sym_security_key_provider_token1] = ACTIONS(3498),
    [aux_sym_send_env_token1] = ACTIONS(3498),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3498),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3498),
    [aux_sym_session_type_token1] = ACTIONS(3498),
    [aux_sym_set_env_token1] = ACTIONS(3498),
    [aux_sym_stdin_null_token1] = ACTIONS(3498),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3498),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3498),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3498),
    [aux_sym_syslog_facility_token1] = ACTIONS(3498),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3498),
    [aux_sym_keep_alive_token1] = ACTIONS(3498),
    [aux_sym_tag_token1] = ACTIONS(3498),
    [aux_sym_tunnel_token1] = ACTIONS(3500),
    [aux_sym_tunnel_device_token1] = ACTIONS(3498),
    [aux_sym_update_host_keys_token1] = ACTIONS(3498),
    [aux_sym_use_keychain_token1] = ACTIONS(3498),
    [aux_sym_use_roaming_token1] = ACTIONS(3498),
    [aux_sym_user_token1] = ACTIONS(3500),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3498),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3498),
    [aux_sym_version_addendum_token1] = ACTIONS(3498),
    [aux_sym_visual_host_key_token1] = ACTIONS(3498),
    [aux_sym_xauth_location_token1] = ACTIONS(3498),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3504),
    [aux_sym_match_token1] = ACTIONS(3502),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3502),
    [aux_sym_address_family_token1] = ACTIONS(3502),
    [aux_sym_batch_mode_token1] = ACTIONS(3502),
    [aux_sym_bind_address_token1] = ACTIONS(3502),
    [aux_sym_bind_interface_token1] = ACTIONS(3502),
    [aux_sym_canonical_domains_token1] = ACTIONS(3502),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3502),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3502),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3502),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3502),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3502),
    [aux_sym_certificate_file_token1] = ACTIONS(3502),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3502),
    [aux_sym_channel_timeout_token1] = ACTIONS(3502),
    [aux_sym_check_host_ip_token1] = ACTIONS(3502),
    [aux_sym_ciphers_token1] = ACTIONS(3502),
    [aux_sym_cipher_token1] = ACTIONS(3504),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3502),
    [aux_sym_compression_token1] = ACTIONS(3502),
    [aux_sym_connection_attempts_token1] = ACTIONS(3502),
    [aux_sym_connect_timeout_token1] = ACTIONS(3502),
    [aux_sym_control_master_token1] = ACTIONS(3502),
    [aux_sym_control_path_token1] = ACTIONS(3502),
    [aux_sym_control_persist_token1] = ACTIONS(3502),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3502),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3502),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3502),
    [aux_sym_escape_char_token1] = ACTIONS(3502),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3502),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3502),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3502),
    [aux_sym_forward_agent_token1] = ACTIONS(3502),
    [aux_sym_forward_x11_token1] = ACTIONS(3504),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3502),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3502),
    [aux_sym_gateway_ports_token1] = ACTIONS(3502),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3502),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3502),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3502),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3502),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3502),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3502),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3502),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3502),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3502),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3502),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3502),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3502),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3502),
    [aux_sym_host_key_alias_token1] = ACTIONS(3502),
    [aux_sym_hostname_token1] = ACTIONS(3502),
    [aux_sym_identities_only_token1] = ACTIONS(3502),
    [aux_sym_identity_agent_token1] = ACTIONS(3502),
    [aux_sym_identity_file_token1] = ACTIONS(3502),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3502),
    [aux_sym_include_token1] = ACTIONS(3502),
    [aux_sym_ip_qos_token1] = ACTIONS(3502),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3502),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3502),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3502),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3502),
    [aux_sym_local_command_token1] = ACTIONS(3502),
    [aux_sym_local_forward_token1] = ACTIONS(3502),
    [aux_sym_log_level_token1] = ACTIONS(3502),
    [aux_sym_log_verbose_token1] = ACTIONS(3502),
    [aux_sym_macs_token1] = ACTIONS(3502),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3502),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3502),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3502),
    [aux_sym_password_authentication_token1] = ACTIONS(3502),
    [aux_sym_permit_local_command_token1] = ACTIONS(3502),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3502),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3502),
    [aux_sym_port_token1] = ACTIONS(3502),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3502),
    [aux_sym_protocol_token1] = ACTIONS(3502),
    [aux_sym_proxy_command_token1] = ACTIONS(3502),
    [aux_sym_proxy_jump_token1] = ACTIONS(3502),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3502),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3502),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3502),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3502),
    [aux_sym_rekey_limit_token1] = ACTIONS(3502),
    [aux_sym_remote_command_token1] = ACTIONS(3502),
    [aux_sym_remote_forward_token1] = ACTIONS(3502),
    [aux_sym_request_tty_token1] = ACTIONS(3502),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3502),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3502),
    [aux_sym_security_key_provider_token1] = ACTIONS(3502),
    [aux_sym_send_env_token1] = ACTIONS(3502),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3502),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3502),
    [aux_sym_session_type_token1] = ACTIONS(3502),
    [aux_sym_set_env_token1] = ACTIONS(3502),
    [aux_sym_stdin_null_token1] = ACTIONS(3502),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3502),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3502),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3502),
    [aux_sym_syslog_facility_token1] = ACTIONS(3502),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3502),
    [aux_sym_keep_alive_token1] = ACTIONS(3502),
    [aux_sym_tag_token1] = ACTIONS(3502),
    [aux_sym_tunnel_token1] = ACTIONS(3504),
    [aux_sym_tunnel_device_token1] = ACTIONS(3502),
    [aux_sym_update_host_keys_token1] = ACTIONS(3502),
    [aux_sym_use_keychain_token1] = ACTIONS(3502),
    [aux_sym_use_roaming_token1] = ACTIONS(3502),
    [aux_sym_user_token1] = ACTIONS(3504),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3502),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3502),
    [aux_sym_version_addendum_token1] = ACTIONS(3502),
    [aux_sym_visual_host_key_token1] = ACTIONS(3502),
    [aux_sym_xauth_location_token1] = ACTIONS(3502),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3508),
    [aux_sym_match_token1] = ACTIONS(3506),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3506),
    [aux_sym_address_family_token1] = ACTIONS(3506),
    [aux_sym_batch_mode_token1] = ACTIONS(3506),
    [aux_sym_bind_address_token1] = ACTIONS(3506),
    [aux_sym_bind_interface_token1] = ACTIONS(3506),
    [aux_sym_canonical_domains_token1] = ACTIONS(3506),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3506),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3506),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3506),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3506),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3506),
    [aux_sym_certificate_file_token1] = ACTIONS(3506),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3506),
    [aux_sym_channel_timeout_token1] = ACTIONS(3506),
    [aux_sym_check_host_ip_token1] = ACTIONS(3506),
    [aux_sym_ciphers_token1] = ACTIONS(3506),
    [aux_sym_cipher_token1] = ACTIONS(3508),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3506),
    [aux_sym_compression_token1] = ACTIONS(3506),
    [aux_sym_connection_attempts_token1] = ACTIONS(3506),
    [aux_sym_connect_timeout_token1] = ACTIONS(3506),
    [aux_sym_control_master_token1] = ACTIONS(3506),
    [aux_sym_control_path_token1] = ACTIONS(3506),
    [aux_sym_control_persist_token1] = ACTIONS(3506),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3506),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3506),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3506),
    [aux_sym_escape_char_token1] = ACTIONS(3506),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3506),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3506),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3506),
    [aux_sym_forward_agent_token1] = ACTIONS(3506),
    [aux_sym_forward_x11_token1] = ACTIONS(3508),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3506),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3506),
    [aux_sym_gateway_ports_token1] = ACTIONS(3506),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3506),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3506),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3506),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3506),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3506),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3506),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3506),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3506),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3506),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3506),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3506),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3506),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3506),
    [aux_sym_host_key_alias_token1] = ACTIONS(3506),
    [aux_sym_hostname_token1] = ACTIONS(3506),
    [aux_sym_identities_only_token1] = ACTIONS(3506),
    [aux_sym_identity_agent_token1] = ACTIONS(3506),
    [aux_sym_identity_file_token1] = ACTIONS(3506),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3506),
    [aux_sym_include_token1] = ACTIONS(3506),
    [aux_sym_ip_qos_token1] = ACTIONS(3506),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3506),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3506),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3506),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3506),
    [aux_sym_local_command_token1] = ACTIONS(3506),
    [aux_sym_local_forward_token1] = ACTIONS(3506),
    [aux_sym_log_level_token1] = ACTIONS(3506),
    [aux_sym_log_verbose_token1] = ACTIONS(3506),
    [aux_sym_macs_token1] = ACTIONS(3506),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3506),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3506),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3506),
    [aux_sym_password_authentication_token1] = ACTIONS(3506),
    [aux_sym_permit_local_command_token1] = ACTIONS(3506),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3506),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3506),
    [aux_sym_port_token1] = ACTIONS(3506),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3506),
    [aux_sym_protocol_token1] = ACTIONS(3506),
    [aux_sym_proxy_command_token1] = ACTIONS(3506),
    [aux_sym_proxy_jump_token1] = ACTIONS(3506),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3506),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3506),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3506),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3506),
    [aux_sym_rekey_limit_token1] = ACTIONS(3506),
    [aux_sym_remote_command_token1] = ACTIONS(3506),
    [aux_sym_remote_forward_token1] = ACTIONS(3506),
    [aux_sym_request_tty_token1] = ACTIONS(3506),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3506),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3506),
    [aux_sym_security_key_provider_token1] = ACTIONS(3506),
    [aux_sym_send_env_token1] = ACTIONS(3506),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3506),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3506),
    [aux_sym_session_type_token1] = ACTIONS(3506),
    [aux_sym_set_env_token1] = ACTIONS(3506),
    [aux_sym_stdin_null_token1] = ACTIONS(3506),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3506),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3506),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3506),
    [aux_sym_syslog_facility_token1] = ACTIONS(3506),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3506),
    [aux_sym_keep_alive_token1] = ACTIONS(3506),
    [aux_sym_tag_token1] = ACTIONS(3506),
    [aux_sym_tunnel_token1] = ACTIONS(3508),
    [aux_sym_tunnel_device_token1] = ACTIONS(3506),
    [aux_sym_update_host_keys_token1] = ACTIONS(3506),
    [aux_sym_use_keychain_token1] = ACTIONS(3506),
    [aux_sym_use_roaming_token1] = ACTIONS(3506),
    [aux_sym_user_token1] = ACTIONS(3508),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3506),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3506),
    [aux_sym_version_addendum_token1] = ACTIONS(3506),
    [aux_sym_visual_host_key_token1] = ACTIONS(3506),
    [aux_sym_xauth_location_token1] = ACTIONS(3506),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3512),
    [aux_sym_match_token1] = ACTIONS(3510),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3510),
    [aux_sym_address_family_token1] = ACTIONS(3510),
    [aux_sym_batch_mode_token1] = ACTIONS(3510),
    [aux_sym_bind_address_token1] = ACTIONS(3510),
    [aux_sym_bind_interface_token1] = ACTIONS(3510),
    [aux_sym_canonical_domains_token1] = ACTIONS(3510),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3510),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3510),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3510),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3510),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3510),
    [aux_sym_certificate_file_token1] = ACTIONS(3510),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3510),
    [aux_sym_channel_timeout_token1] = ACTIONS(3510),
    [aux_sym_check_host_ip_token1] = ACTIONS(3510),
    [aux_sym_ciphers_token1] = ACTIONS(3510),
    [aux_sym_cipher_token1] = ACTIONS(3512),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3510),
    [aux_sym_compression_token1] = ACTIONS(3510),
    [aux_sym_connection_attempts_token1] = ACTIONS(3510),
    [aux_sym_connect_timeout_token1] = ACTIONS(3510),
    [aux_sym_control_master_token1] = ACTIONS(3510),
    [aux_sym_control_path_token1] = ACTIONS(3510),
    [aux_sym_control_persist_token1] = ACTIONS(3510),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3510),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3510),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3510),
    [aux_sym_escape_char_token1] = ACTIONS(3510),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3510),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3510),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3510),
    [aux_sym_forward_agent_token1] = ACTIONS(3510),
    [aux_sym_forward_x11_token1] = ACTIONS(3512),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3510),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3510),
    [aux_sym_gateway_ports_token1] = ACTIONS(3510),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3510),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3510),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3510),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3510),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3510),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3510),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3510),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3510),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3510),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3510),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3510),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3510),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3510),
    [aux_sym_host_key_alias_token1] = ACTIONS(3510),
    [aux_sym_hostname_token1] = ACTIONS(3510),
    [aux_sym_identities_only_token1] = ACTIONS(3510),
    [aux_sym_identity_agent_token1] = ACTIONS(3510),
    [aux_sym_identity_file_token1] = ACTIONS(3510),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3510),
    [aux_sym_include_token1] = ACTIONS(3510),
    [aux_sym_ip_qos_token1] = ACTIONS(3510),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3510),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3510),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3510),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3510),
    [aux_sym_local_command_token1] = ACTIONS(3510),
    [aux_sym_local_forward_token1] = ACTIONS(3510),
    [aux_sym_log_level_token1] = ACTIONS(3510),
    [aux_sym_log_verbose_token1] = ACTIONS(3510),
    [aux_sym_macs_token1] = ACTIONS(3510),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3510),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3510),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3510),
    [aux_sym_password_authentication_token1] = ACTIONS(3510),
    [aux_sym_permit_local_command_token1] = ACTIONS(3510),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3510),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3510),
    [aux_sym_port_token1] = ACTIONS(3510),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3510),
    [aux_sym_protocol_token1] = ACTIONS(3510),
    [aux_sym_proxy_command_token1] = ACTIONS(3510),
    [aux_sym_proxy_jump_token1] = ACTIONS(3510),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3510),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3510),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3510),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3510),
    [aux_sym_rekey_limit_token1] = ACTIONS(3510),
    [aux_sym_remote_command_token1] = ACTIONS(3510),
    [aux_sym_remote_forward_token1] = ACTIONS(3510),
    [aux_sym_request_tty_token1] = ACTIONS(3510),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3510),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3510),
    [aux_sym_security_key_provider_token1] = ACTIONS(3510),
    [aux_sym_send_env_token1] = ACTIONS(3510),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3510),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3510),
    [aux_sym_session_type_token1] = ACTIONS(3510),
    [aux_sym_set_env_token1] = ACTIONS(3510),
    [aux_sym_stdin_null_token1] = ACTIONS(3510),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3510),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3510),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3510),
    [aux_sym_syslog_facility_token1] = ACTIONS(3510),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3510),
    [aux_sym_keep_alive_token1] = ACTIONS(3510),
    [aux_sym_tag_token1] = ACTIONS(3510),
    [aux_sym_tunnel_token1] = ACTIONS(3512),
    [aux_sym_tunnel_device_token1] = ACTIONS(3510),
    [aux_sym_update_host_keys_token1] = ACTIONS(3510),
    [aux_sym_use_keychain_token1] = ACTIONS(3510),
    [aux_sym_use_roaming_token1] = ACTIONS(3510),
    [aux_sym_user_token1] = ACTIONS(3512),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3510),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3510),
    [aux_sym_version_addendum_token1] = ACTIONS(3510),
    [aux_sym_visual_host_key_token1] = ACTIONS(3510),
    [aux_sym_xauth_location_token1] = ACTIONS(3510),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3516),
    [aux_sym_match_token1] = ACTIONS(3514),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3514),
    [aux_sym_address_family_token1] = ACTIONS(3514),
    [aux_sym_batch_mode_token1] = ACTIONS(3514),
    [aux_sym_bind_address_token1] = ACTIONS(3514),
    [aux_sym_bind_interface_token1] = ACTIONS(3514),
    [aux_sym_canonical_domains_token1] = ACTIONS(3514),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3514),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3514),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3514),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3514),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3514),
    [aux_sym_certificate_file_token1] = ACTIONS(3514),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3514),
    [aux_sym_channel_timeout_token1] = ACTIONS(3514),
    [aux_sym_check_host_ip_token1] = ACTIONS(3514),
    [aux_sym_ciphers_token1] = ACTIONS(3514),
    [aux_sym_cipher_token1] = ACTIONS(3516),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3514),
    [aux_sym_compression_token1] = ACTIONS(3514),
    [aux_sym_connection_attempts_token1] = ACTIONS(3514),
    [aux_sym_connect_timeout_token1] = ACTIONS(3514),
    [aux_sym_control_master_token1] = ACTIONS(3514),
    [aux_sym_control_path_token1] = ACTIONS(3514),
    [aux_sym_control_persist_token1] = ACTIONS(3514),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3514),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3514),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3514),
    [aux_sym_escape_char_token1] = ACTIONS(3514),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3514),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3514),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3514),
    [aux_sym_forward_agent_token1] = ACTIONS(3514),
    [aux_sym_forward_x11_token1] = ACTIONS(3516),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3514),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3514),
    [aux_sym_gateway_ports_token1] = ACTIONS(3514),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3514),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3514),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3514),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3514),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3514),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3514),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3514),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3514),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3514),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3514),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3514),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3514),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3514),
    [aux_sym_host_key_alias_token1] = ACTIONS(3514),
    [aux_sym_hostname_token1] = ACTIONS(3514),
    [aux_sym_identities_only_token1] = ACTIONS(3514),
    [aux_sym_identity_agent_token1] = ACTIONS(3514),
    [aux_sym_identity_file_token1] = ACTIONS(3514),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3514),
    [aux_sym_include_token1] = ACTIONS(3514),
    [aux_sym_ip_qos_token1] = ACTIONS(3514),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3514),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3514),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3514),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3514),
    [aux_sym_local_command_token1] = ACTIONS(3514),
    [aux_sym_local_forward_token1] = ACTIONS(3514),
    [aux_sym_log_level_token1] = ACTIONS(3514),
    [aux_sym_log_verbose_token1] = ACTIONS(3514),
    [aux_sym_macs_token1] = ACTIONS(3514),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3514),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3514),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3514),
    [aux_sym_password_authentication_token1] = ACTIONS(3514),
    [aux_sym_permit_local_command_token1] = ACTIONS(3514),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3514),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3514),
    [aux_sym_port_token1] = ACTIONS(3514),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3514),
    [aux_sym_protocol_token1] = ACTIONS(3514),
    [aux_sym_proxy_command_token1] = ACTIONS(3514),
    [aux_sym_proxy_jump_token1] = ACTIONS(3514),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3514),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3514),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3514),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3514),
    [aux_sym_rekey_limit_token1] = ACTIONS(3514),
    [aux_sym_remote_command_token1] = ACTIONS(3514),
    [aux_sym_remote_forward_token1] = ACTIONS(3514),
    [aux_sym_request_tty_token1] = ACTIONS(3514),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3514),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3514),
    [aux_sym_security_key_provider_token1] = ACTIONS(3514),
    [aux_sym_send_env_token1] = ACTIONS(3514),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3514),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3514),
    [aux_sym_session_type_token1] = ACTIONS(3514),
    [aux_sym_set_env_token1] = ACTIONS(3514),
    [aux_sym_stdin_null_token1] = ACTIONS(3514),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3514),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3514),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3514),
    [aux_sym_syslog_facility_token1] = ACTIONS(3514),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3514),
    [aux_sym_keep_alive_token1] = ACTIONS(3514),
    [aux_sym_tag_token1] = ACTIONS(3514),
    [aux_sym_tunnel_token1] = ACTIONS(3516),
    [aux_sym_tunnel_device_token1] = ACTIONS(3514),
    [aux_sym_update_host_keys_token1] = ACTIONS(3514),
    [aux_sym_use_keychain_token1] = ACTIONS(3514),
    [aux_sym_use_roaming_token1] = ACTIONS(3514),
    [aux_sym_user_token1] = ACTIONS(3516),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3514),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3514),
    [aux_sym_version_addendum_token1] = ACTIONS(3514),
    [aux_sym_visual_host_key_token1] = ACTIONS(3514),
    [aux_sym_xauth_location_token1] = ACTIONS(3514),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3520),
    [aux_sym_match_token1] = ACTIONS(3518),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3518),
    [aux_sym_address_family_token1] = ACTIONS(3518),
    [aux_sym_batch_mode_token1] = ACTIONS(3518),
    [aux_sym_bind_address_token1] = ACTIONS(3518),
    [aux_sym_bind_interface_token1] = ACTIONS(3518),
    [aux_sym_canonical_domains_token1] = ACTIONS(3518),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3518),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3518),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3518),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3518),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3518),
    [aux_sym_certificate_file_token1] = ACTIONS(3518),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3518),
    [aux_sym_channel_timeout_token1] = ACTIONS(3518),
    [aux_sym_check_host_ip_token1] = ACTIONS(3518),
    [aux_sym_ciphers_token1] = ACTIONS(3518),
    [aux_sym_cipher_token1] = ACTIONS(3520),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3518),
    [aux_sym_compression_token1] = ACTIONS(3518),
    [aux_sym_connection_attempts_token1] = ACTIONS(3518),
    [aux_sym_connect_timeout_token1] = ACTIONS(3518),
    [aux_sym_control_master_token1] = ACTIONS(3518),
    [aux_sym_control_path_token1] = ACTIONS(3518),
    [aux_sym_control_persist_token1] = ACTIONS(3518),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3518),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3518),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3518),
    [aux_sym_escape_char_token1] = ACTIONS(3518),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3518),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3518),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3518),
    [aux_sym_forward_agent_token1] = ACTIONS(3518),
    [aux_sym_forward_x11_token1] = ACTIONS(3520),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3518),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3518),
    [aux_sym_gateway_ports_token1] = ACTIONS(3518),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3518),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3518),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3518),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3518),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3518),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3518),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3518),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3518),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3518),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3518),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3518),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3518),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3518),
    [aux_sym_host_key_alias_token1] = ACTIONS(3518),
    [aux_sym_hostname_token1] = ACTIONS(3518),
    [aux_sym_identities_only_token1] = ACTIONS(3518),
    [aux_sym_identity_agent_token1] = ACTIONS(3518),
    [aux_sym_identity_file_token1] = ACTIONS(3518),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3518),
    [aux_sym_include_token1] = ACTIONS(3518),
    [aux_sym_ip_qos_token1] = ACTIONS(3518),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3518),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3518),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3518),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3518),
    [aux_sym_local_command_token1] = ACTIONS(3518),
    [aux_sym_local_forward_token1] = ACTIONS(3518),
    [aux_sym_log_level_token1] = ACTIONS(3518),
    [aux_sym_log_verbose_token1] = ACTIONS(3518),
    [aux_sym_macs_token1] = ACTIONS(3518),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3518),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3518),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3518),
    [aux_sym_password_authentication_token1] = ACTIONS(3518),
    [aux_sym_permit_local_command_token1] = ACTIONS(3518),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3518),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3518),
    [aux_sym_port_token1] = ACTIONS(3518),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3518),
    [aux_sym_protocol_token1] = ACTIONS(3518),
    [aux_sym_proxy_command_token1] = ACTIONS(3518),
    [aux_sym_proxy_jump_token1] = ACTIONS(3518),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3518),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3518),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3518),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3518),
    [aux_sym_rekey_limit_token1] = ACTIONS(3518),
    [aux_sym_remote_command_token1] = ACTIONS(3518),
    [aux_sym_remote_forward_token1] = ACTIONS(3518),
    [aux_sym_request_tty_token1] = ACTIONS(3518),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3518),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3518),
    [aux_sym_security_key_provider_token1] = ACTIONS(3518),
    [aux_sym_send_env_token1] = ACTIONS(3518),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3518),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3518),
    [aux_sym_session_type_token1] = ACTIONS(3518),
    [aux_sym_set_env_token1] = ACTIONS(3518),
    [aux_sym_stdin_null_token1] = ACTIONS(3518),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3518),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3518),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3518),
    [aux_sym_syslog_facility_token1] = ACTIONS(3518),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3518),
    [aux_sym_keep_alive_token1] = ACTIONS(3518),
    [aux_sym_tag_token1] = ACTIONS(3518),
    [aux_sym_tunnel_token1] = ACTIONS(3520),
    [aux_sym_tunnel_device_token1] = ACTIONS(3518),
    [aux_sym_update_host_keys_token1] = ACTIONS(3518),
    [aux_sym_use_keychain_token1] = ACTIONS(3518),
    [aux_sym_use_roaming_token1] = ACTIONS(3518),
    [aux_sym_user_token1] = ACTIONS(3520),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3518),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3518),
    [aux_sym_version_addendum_token1] = ACTIONS(3518),
    [aux_sym_visual_host_key_token1] = ACTIONS(3518),
    [aux_sym_xauth_location_token1] = ACTIONS(3518),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(3522),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3524),
    [aux_sym_match_token1] = ACTIONS(3522),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3522),
    [aux_sym_address_family_token1] = ACTIONS(3522),
    [aux_sym_batch_mode_token1] = ACTIONS(3522),
    [aux_sym_bind_address_token1] = ACTIONS(3522),
    [aux_sym_bind_interface_token1] = ACTIONS(3522),
    [aux_sym_canonical_domains_token1] = ACTIONS(3522),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3522),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3522),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3522),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3522),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3522),
    [aux_sym_certificate_file_token1] = ACTIONS(3522),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3522),
    [aux_sym_channel_timeout_token1] = ACTIONS(3522),
    [aux_sym_check_host_ip_token1] = ACTIONS(3522),
    [aux_sym_ciphers_token1] = ACTIONS(3522),
    [aux_sym_cipher_token1] = ACTIONS(3524),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3522),
    [aux_sym_compression_token1] = ACTIONS(3522),
    [aux_sym_connection_attempts_token1] = ACTIONS(3522),
    [aux_sym_connect_timeout_token1] = ACTIONS(3522),
    [aux_sym_control_master_token1] = ACTIONS(3522),
    [aux_sym_control_path_token1] = ACTIONS(3522),
    [aux_sym_control_persist_token1] = ACTIONS(3522),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3522),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3522),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3522),
    [aux_sym_escape_char_token1] = ACTIONS(3522),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3522),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3522),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3522),
    [aux_sym_forward_agent_token1] = ACTIONS(3522),
    [aux_sym_forward_x11_token1] = ACTIONS(3524),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3522),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3522),
    [aux_sym_gateway_ports_token1] = ACTIONS(3522),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3522),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3522),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3522),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3522),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3522),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3522),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3522),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3522),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3522),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3522),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3522),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3522),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3522),
    [aux_sym_host_key_alias_token1] = ACTIONS(3522),
    [aux_sym_hostname_token1] = ACTIONS(3522),
    [aux_sym_identities_only_token1] = ACTIONS(3522),
    [aux_sym_identity_agent_token1] = ACTIONS(3522),
    [aux_sym_identity_file_token1] = ACTIONS(3522),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3522),
    [aux_sym_include_token1] = ACTIONS(3522),
    [aux_sym_ip_qos_token1] = ACTIONS(3522),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3522),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3522),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3522),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3522),
    [aux_sym_local_command_token1] = ACTIONS(3522),
    [aux_sym_local_forward_token1] = ACTIONS(3522),
    [aux_sym_log_level_token1] = ACTIONS(3522),
    [aux_sym_log_verbose_token1] = ACTIONS(3522),
    [aux_sym_macs_token1] = ACTIONS(3522),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3522),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3522),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3522),
    [aux_sym_password_authentication_token1] = ACTIONS(3522),
    [aux_sym_permit_local_command_token1] = ACTIONS(3522),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3522),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3522),
    [aux_sym_port_token1] = ACTIONS(3522),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3522),
    [aux_sym_protocol_token1] = ACTIONS(3522),
    [aux_sym_proxy_command_token1] = ACTIONS(3522),
    [aux_sym_proxy_jump_token1] = ACTIONS(3522),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3522),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3522),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3522),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3522),
    [aux_sym_rekey_limit_token1] = ACTIONS(3522),
    [aux_sym_remote_command_token1] = ACTIONS(3522),
    [aux_sym_remote_forward_token1] = ACTIONS(3522),
    [aux_sym_request_tty_token1] = ACTIONS(3522),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3522),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3522),
    [aux_sym_security_key_provider_token1] = ACTIONS(3522),
    [aux_sym_send_env_token1] = ACTIONS(3522),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3522),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3522),
    [aux_sym_session_type_token1] = ACTIONS(3522),
    [aux_sym_set_env_token1] = ACTIONS(3522),
    [aux_sym_stdin_null_token1] = ACTIONS(3522),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3522),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3522),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3522),
    [aux_sym_syslog_facility_token1] = ACTIONS(3522),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3522),
    [aux_sym_keep_alive_token1] = ACTIONS(3522),
    [aux_sym_tag_token1] = ACTIONS(3522),
    [aux_sym_tunnel_token1] = ACTIONS(3524),
    [aux_sym_tunnel_device_token1] = ACTIONS(3522),
    [aux_sym_update_host_keys_token1] = ACTIONS(3522),
    [aux_sym_use_keychain_token1] = ACTIONS(3522),
    [aux_sym_use_roaming_token1] = ACTIONS(3522),
    [aux_sym_user_token1] = ACTIONS(3524),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3522),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3522),
    [aux_sym_version_addendum_token1] = ACTIONS(3522),
    [aux_sym_visual_host_key_token1] = ACTIONS(3522),
    [aux_sym_xauth_location_token1] = ACTIONS(3522),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3528),
    [aux_sym_match_token1] = ACTIONS(3526),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3526),
    [aux_sym_address_family_token1] = ACTIONS(3526),
    [aux_sym_batch_mode_token1] = ACTIONS(3526),
    [aux_sym_bind_address_token1] = ACTIONS(3526),
    [aux_sym_bind_interface_token1] = ACTIONS(3526),
    [aux_sym_canonical_domains_token1] = ACTIONS(3526),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3526),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3526),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3526),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3526),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3526),
    [aux_sym_certificate_file_token1] = ACTIONS(3526),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3526),
    [aux_sym_channel_timeout_token1] = ACTIONS(3526),
    [aux_sym_check_host_ip_token1] = ACTIONS(3526),
    [aux_sym_ciphers_token1] = ACTIONS(3526),
    [aux_sym_cipher_token1] = ACTIONS(3528),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3526),
    [aux_sym_compression_token1] = ACTIONS(3526),
    [aux_sym_connection_attempts_token1] = ACTIONS(3526),
    [aux_sym_connect_timeout_token1] = ACTIONS(3526),
    [aux_sym_control_master_token1] = ACTIONS(3526),
    [aux_sym_control_path_token1] = ACTIONS(3526),
    [aux_sym_control_persist_token1] = ACTIONS(3526),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3526),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3526),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3526),
    [aux_sym_escape_char_token1] = ACTIONS(3526),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3526),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3526),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3526),
    [aux_sym_forward_agent_token1] = ACTIONS(3526),
    [aux_sym_forward_x11_token1] = ACTIONS(3528),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3526),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3526),
    [aux_sym_gateway_ports_token1] = ACTIONS(3526),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3526),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3526),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3526),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3526),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3526),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3526),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3526),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3526),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3526),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3526),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3526),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3526),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3526),
    [aux_sym_host_key_alias_token1] = ACTIONS(3526),
    [aux_sym_hostname_token1] = ACTIONS(3526),
    [aux_sym_identities_only_token1] = ACTIONS(3526),
    [aux_sym_identity_agent_token1] = ACTIONS(3526),
    [aux_sym_identity_file_token1] = ACTIONS(3526),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3526),
    [aux_sym_include_token1] = ACTIONS(3526),
    [aux_sym_ip_qos_token1] = ACTIONS(3526),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3526),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3526),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3526),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3526),
    [aux_sym_local_command_token1] = ACTIONS(3526),
    [aux_sym_local_forward_token1] = ACTIONS(3526),
    [aux_sym_log_level_token1] = ACTIONS(3526),
    [aux_sym_log_verbose_token1] = ACTIONS(3526),
    [aux_sym_macs_token1] = ACTIONS(3526),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3526),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3526),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3526),
    [aux_sym_password_authentication_token1] = ACTIONS(3526),
    [aux_sym_permit_local_command_token1] = ACTIONS(3526),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3526),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3526),
    [aux_sym_port_token1] = ACTIONS(3526),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3526),
    [aux_sym_protocol_token1] = ACTIONS(3526),
    [aux_sym_proxy_command_token1] = ACTIONS(3526),
    [aux_sym_proxy_jump_token1] = ACTIONS(3526),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3526),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3526),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3526),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3526),
    [aux_sym_rekey_limit_token1] = ACTIONS(3526),
    [aux_sym_remote_command_token1] = ACTIONS(3526),
    [aux_sym_remote_forward_token1] = ACTIONS(3526),
    [aux_sym_request_tty_token1] = ACTIONS(3526),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3526),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3526),
    [aux_sym_security_key_provider_token1] = ACTIONS(3526),
    [aux_sym_send_env_token1] = ACTIONS(3526),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3526),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3526),
    [aux_sym_session_type_token1] = ACTIONS(3526),
    [aux_sym_set_env_token1] = ACTIONS(3526),
    [aux_sym_stdin_null_token1] = ACTIONS(3526),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3526),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3526),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3526),
    [aux_sym_syslog_facility_token1] = ACTIONS(3526),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3526),
    [aux_sym_keep_alive_token1] = ACTIONS(3526),
    [aux_sym_tag_token1] = ACTIONS(3526),
    [aux_sym_tunnel_token1] = ACTIONS(3528),
    [aux_sym_tunnel_device_token1] = ACTIONS(3526),
    [aux_sym_update_host_keys_token1] = ACTIONS(3526),
    [aux_sym_use_keychain_token1] = ACTIONS(3526),
    [aux_sym_use_roaming_token1] = ACTIONS(3526),
    [aux_sym_user_token1] = ACTIONS(3528),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3526),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3526),
    [aux_sym_version_addendum_token1] = ACTIONS(3526),
    [aux_sym_visual_host_key_token1] = ACTIONS(3526),
    [aux_sym_xauth_location_token1] = ACTIONS(3526),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3532),
    [aux_sym_match_token1] = ACTIONS(3530),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3530),
    [aux_sym_address_family_token1] = ACTIONS(3530),
    [aux_sym_batch_mode_token1] = ACTIONS(3530),
    [aux_sym_bind_address_token1] = ACTIONS(3530),
    [aux_sym_bind_interface_token1] = ACTIONS(3530),
    [aux_sym_canonical_domains_token1] = ACTIONS(3530),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3530),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3530),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3530),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3530),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3530),
    [aux_sym_certificate_file_token1] = ACTIONS(3530),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3530),
    [aux_sym_channel_timeout_token1] = ACTIONS(3530),
    [aux_sym_check_host_ip_token1] = ACTIONS(3530),
    [aux_sym_ciphers_token1] = ACTIONS(3530),
    [aux_sym_cipher_token1] = ACTIONS(3532),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3530),
    [aux_sym_compression_token1] = ACTIONS(3530),
    [aux_sym_connection_attempts_token1] = ACTIONS(3530),
    [aux_sym_connect_timeout_token1] = ACTIONS(3530),
    [aux_sym_control_master_token1] = ACTIONS(3530),
    [aux_sym_control_path_token1] = ACTIONS(3530),
    [aux_sym_control_persist_token1] = ACTIONS(3530),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3530),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3530),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3530),
    [aux_sym_escape_char_token1] = ACTIONS(3530),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3530),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3530),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3530),
    [aux_sym_forward_agent_token1] = ACTIONS(3530),
    [aux_sym_forward_x11_token1] = ACTIONS(3532),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3530),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3530),
    [aux_sym_gateway_ports_token1] = ACTIONS(3530),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3530),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3530),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3530),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3530),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3530),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3530),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3530),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3530),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3530),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3530),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3530),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3530),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3530),
    [aux_sym_host_key_alias_token1] = ACTIONS(3530),
    [aux_sym_hostname_token1] = ACTIONS(3530),
    [aux_sym_identities_only_token1] = ACTIONS(3530),
    [aux_sym_identity_agent_token1] = ACTIONS(3530),
    [aux_sym_identity_file_token1] = ACTIONS(3530),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3530),
    [aux_sym_include_token1] = ACTIONS(3530),
    [aux_sym_ip_qos_token1] = ACTIONS(3530),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3530),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3530),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3530),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3530),
    [aux_sym_local_command_token1] = ACTIONS(3530),
    [aux_sym_local_forward_token1] = ACTIONS(3530),
    [aux_sym_log_level_token1] = ACTIONS(3530),
    [aux_sym_log_verbose_token1] = ACTIONS(3530),
    [aux_sym_macs_token1] = ACTIONS(3530),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3530),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3530),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3530),
    [aux_sym_password_authentication_token1] = ACTIONS(3530),
    [aux_sym_permit_local_command_token1] = ACTIONS(3530),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3530),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3530),
    [aux_sym_port_token1] = ACTIONS(3530),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3530),
    [aux_sym_protocol_token1] = ACTIONS(3530),
    [aux_sym_proxy_command_token1] = ACTIONS(3530),
    [aux_sym_proxy_jump_token1] = ACTIONS(3530),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3530),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3530),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3530),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3530),
    [aux_sym_rekey_limit_token1] = ACTIONS(3530),
    [aux_sym_remote_command_token1] = ACTIONS(3530),
    [aux_sym_remote_forward_token1] = ACTIONS(3530),
    [aux_sym_request_tty_token1] = ACTIONS(3530),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3530),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3530),
    [aux_sym_security_key_provider_token1] = ACTIONS(3530),
    [aux_sym_send_env_token1] = ACTIONS(3530),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3530),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3530),
    [aux_sym_session_type_token1] = ACTIONS(3530),
    [aux_sym_set_env_token1] = ACTIONS(3530),
    [aux_sym_stdin_null_token1] = ACTIONS(3530),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3530),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3530),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3530),
    [aux_sym_syslog_facility_token1] = ACTIONS(3530),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3530),
    [aux_sym_keep_alive_token1] = ACTIONS(3530),
    [aux_sym_tag_token1] = ACTIONS(3530),
    [aux_sym_tunnel_token1] = ACTIONS(3532),
    [aux_sym_tunnel_device_token1] = ACTIONS(3530),
    [aux_sym_update_host_keys_token1] = ACTIONS(3530),
    [aux_sym_use_keychain_token1] = ACTIONS(3530),
    [aux_sym_use_roaming_token1] = ACTIONS(3530),
    [aux_sym_user_token1] = ACTIONS(3532),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3530),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3530),
    [aux_sym_version_addendum_token1] = ACTIONS(3530),
    [aux_sym_visual_host_key_token1] = ACTIONS(3530),
    [aux_sym_xauth_location_token1] = ACTIONS(3530),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3536),
    [aux_sym_match_token1] = ACTIONS(3534),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3534),
    [aux_sym_address_family_token1] = ACTIONS(3534),
    [aux_sym_batch_mode_token1] = ACTIONS(3534),
    [aux_sym_bind_address_token1] = ACTIONS(3534),
    [aux_sym_bind_interface_token1] = ACTIONS(3534),
    [aux_sym_canonical_domains_token1] = ACTIONS(3534),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3534),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3534),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3534),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3534),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3534),
    [aux_sym_certificate_file_token1] = ACTIONS(3534),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3534),
    [aux_sym_channel_timeout_token1] = ACTIONS(3534),
    [aux_sym_check_host_ip_token1] = ACTIONS(3534),
    [aux_sym_ciphers_token1] = ACTIONS(3534),
    [aux_sym_cipher_token1] = ACTIONS(3536),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3534),
    [aux_sym_compression_token1] = ACTIONS(3534),
    [aux_sym_connection_attempts_token1] = ACTIONS(3534),
    [aux_sym_connect_timeout_token1] = ACTIONS(3534),
    [aux_sym_control_master_token1] = ACTIONS(3534),
    [aux_sym_control_path_token1] = ACTIONS(3534),
    [aux_sym_control_persist_token1] = ACTIONS(3534),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3534),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3534),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3534),
    [aux_sym_escape_char_token1] = ACTIONS(3534),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3534),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3534),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3534),
    [aux_sym_forward_agent_token1] = ACTIONS(3534),
    [aux_sym_forward_x11_token1] = ACTIONS(3536),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3534),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3534),
    [aux_sym_gateway_ports_token1] = ACTIONS(3534),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3534),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3534),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3534),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3534),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3534),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3534),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3534),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3534),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3534),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3534),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3534),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3534),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3534),
    [aux_sym_host_key_alias_token1] = ACTIONS(3534),
    [aux_sym_hostname_token1] = ACTIONS(3534),
    [aux_sym_identities_only_token1] = ACTIONS(3534),
    [aux_sym_identity_agent_token1] = ACTIONS(3534),
    [aux_sym_identity_file_token1] = ACTIONS(3534),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3534),
    [aux_sym_include_token1] = ACTIONS(3534),
    [aux_sym_ip_qos_token1] = ACTIONS(3534),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3534),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3534),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3534),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3534),
    [aux_sym_local_command_token1] = ACTIONS(3534),
    [aux_sym_local_forward_token1] = ACTIONS(3534),
    [aux_sym_log_level_token1] = ACTIONS(3534),
    [aux_sym_log_verbose_token1] = ACTIONS(3534),
    [aux_sym_macs_token1] = ACTIONS(3534),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3534),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3534),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3534),
    [aux_sym_password_authentication_token1] = ACTIONS(3534),
    [aux_sym_permit_local_command_token1] = ACTIONS(3534),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3534),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3534),
    [aux_sym_port_token1] = ACTIONS(3534),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3534),
    [aux_sym_protocol_token1] = ACTIONS(3534),
    [aux_sym_proxy_command_token1] = ACTIONS(3534),
    [aux_sym_proxy_jump_token1] = ACTIONS(3534),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3534),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3534),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3534),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3534),
    [aux_sym_rekey_limit_token1] = ACTIONS(3534),
    [aux_sym_remote_command_token1] = ACTIONS(3534),
    [aux_sym_remote_forward_token1] = ACTIONS(3534),
    [aux_sym_request_tty_token1] = ACTIONS(3534),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3534),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3534),
    [aux_sym_security_key_provider_token1] = ACTIONS(3534),
    [aux_sym_send_env_token1] = ACTIONS(3534),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3534),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3534),
    [aux_sym_session_type_token1] = ACTIONS(3534),
    [aux_sym_set_env_token1] = ACTIONS(3534),
    [aux_sym_stdin_null_token1] = ACTIONS(3534),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3534),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3534),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3534),
    [aux_sym_syslog_facility_token1] = ACTIONS(3534),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3534),
    [aux_sym_keep_alive_token1] = ACTIONS(3534),
    [aux_sym_tag_token1] = ACTIONS(3534),
    [aux_sym_tunnel_token1] = ACTIONS(3536),
    [aux_sym_tunnel_device_token1] = ACTIONS(3534),
    [aux_sym_update_host_keys_token1] = ACTIONS(3534),
    [aux_sym_use_keychain_token1] = ACTIONS(3534),
    [aux_sym_use_roaming_token1] = ACTIONS(3534),
    [aux_sym_user_token1] = ACTIONS(3536),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3534),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3534),
    [aux_sym_version_addendum_token1] = ACTIONS(3534),
    [aux_sym_visual_host_key_token1] = ACTIONS(3534),
    [aux_sym_xauth_location_token1] = ACTIONS(3534),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3540),
    [aux_sym_match_token1] = ACTIONS(3538),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3538),
    [aux_sym_address_family_token1] = ACTIONS(3538),
    [aux_sym_batch_mode_token1] = ACTIONS(3538),
    [aux_sym_bind_address_token1] = ACTIONS(3538),
    [aux_sym_bind_interface_token1] = ACTIONS(3538),
    [aux_sym_canonical_domains_token1] = ACTIONS(3538),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3538),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3538),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3538),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3538),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3538),
    [aux_sym_certificate_file_token1] = ACTIONS(3538),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3538),
    [aux_sym_channel_timeout_token1] = ACTIONS(3538),
    [aux_sym_check_host_ip_token1] = ACTIONS(3538),
    [aux_sym_ciphers_token1] = ACTIONS(3538),
    [aux_sym_cipher_token1] = ACTIONS(3540),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3538),
    [aux_sym_compression_token1] = ACTIONS(3538),
    [aux_sym_connection_attempts_token1] = ACTIONS(3538),
    [aux_sym_connect_timeout_token1] = ACTIONS(3538),
    [aux_sym_control_master_token1] = ACTIONS(3538),
    [aux_sym_control_path_token1] = ACTIONS(3538),
    [aux_sym_control_persist_token1] = ACTIONS(3538),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3538),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3538),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3538),
    [aux_sym_escape_char_token1] = ACTIONS(3538),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3538),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3538),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3538),
    [aux_sym_forward_agent_token1] = ACTIONS(3538),
    [aux_sym_forward_x11_token1] = ACTIONS(3540),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3538),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3538),
    [aux_sym_gateway_ports_token1] = ACTIONS(3538),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3538),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3538),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3538),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3538),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3538),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3538),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3538),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3538),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3538),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3538),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3538),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3538),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3538),
    [aux_sym_host_key_alias_token1] = ACTIONS(3538),
    [aux_sym_hostname_token1] = ACTIONS(3538),
    [aux_sym_identities_only_token1] = ACTIONS(3538),
    [aux_sym_identity_agent_token1] = ACTIONS(3538),
    [aux_sym_identity_file_token1] = ACTIONS(3538),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3538),
    [aux_sym_include_token1] = ACTIONS(3538),
    [aux_sym_ip_qos_token1] = ACTIONS(3538),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3538),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3538),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3538),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3538),
    [aux_sym_local_command_token1] = ACTIONS(3538),
    [aux_sym_local_forward_token1] = ACTIONS(3538),
    [aux_sym_log_level_token1] = ACTIONS(3538),
    [aux_sym_log_verbose_token1] = ACTIONS(3538),
    [aux_sym_macs_token1] = ACTIONS(3538),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3538),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3538),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3538),
    [aux_sym_password_authentication_token1] = ACTIONS(3538),
    [aux_sym_permit_local_command_token1] = ACTIONS(3538),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3538),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3538),
    [aux_sym_port_token1] = ACTIONS(3538),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3538),
    [aux_sym_protocol_token1] = ACTIONS(3538),
    [aux_sym_proxy_command_token1] = ACTIONS(3538),
    [aux_sym_proxy_jump_token1] = ACTIONS(3538),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3538),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3538),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3538),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3538),
    [aux_sym_rekey_limit_token1] = ACTIONS(3538),
    [aux_sym_remote_command_token1] = ACTIONS(3538),
    [aux_sym_remote_forward_token1] = ACTIONS(3538),
    [aux_sym_request_tty_token1] = ACTIONS(3538),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3538),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3538),
    [aux_sym_security_key_provider_token1] = ACTIONS(3538),
    [aux_sym_send_env_token1] = ACTIONS(3538),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3538),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3538),
    [aux_sym_session_type_token1] = ACTIONS(3538),
    [aux_sym_set_env_token1] = ACTIONS(3538),
    [aux_sym_stdin_null_token1] = ACTIONS(3538),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3538),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3538),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3538),
    [aux_sym_syslog_facility_token1] = ACTIONS(3538),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3538),
    [aux_sym_keep_alive_token1] = ACTIONS(3538),
    [aux_sym_tag_token1] = ACTIONS(3538),
    [aux_sym_tunnel_token1] = ACTIONS(3540),
    [aux_sym_tunnel_device_token1] = ACTIONS(3538),
    [aux_sym_update_host_keys_token1] = ACTIONS(3538),
    [aux_sym_use_keychain_token1] = ACTIONS(3538),
    [aux_sym_use_roaming_token1] = ACTIONS(3538),
    [aux_sym_user_token1] = ACTIONS(3540),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3538),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3538),
    [aux_sym_version_addendum_token1] = ACTIONS(3538),
    [aux_sym_visual_host_key_token1] = ACTIONS(3538),
    [aux_sym_xauth_location_token1] = ACTIONS(3538),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3544),
    [aux_sym_match_token1] = ACTIONS(3542),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3542),
    [aux_sym_address_family_token1] = ACTIONS(3542),
    [aux_sym_batch_mode_token1] = ACTIONS(3542),
    [aux_sym_bind_address_token1] = ACTIONS(3542),
    [aux_sym_bind_interface_token1] = ACTIONS(3542),
    [aux_sym_canonical_domains_token1] = ACTIONS(3542),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3542),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3542),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3542),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3542),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3542),
    [aux_sym_certificate_file_token1] = ACTIONS(3542),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3542),
    [aux_sym_channel_timeout_token1] = ACTIONS(3542),
    [aux_sym_check_host_ip_token1] = ACTIONS(3542),
    [aux_sym_ciphers_token1] = ACTIONS(3542),
    [aux_sym_cipher_token1] = ACTIONS(3544),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3542),
    [aux_sym_compression_token1] = ACTIONS(3542),
    [aux_sym_connection_attempts_token1] = ACTIONS(3542),
    [aux_sym_connect_timeout_token1] = ACTIONS(3542),
    [aux_sym_control_master_token1] = ACTIONS(3542),
    [aux_sym_control_path_token1] = ACTIONS(3542),
    [aux_sym_control_persist_token1] = ACTIONS(3542),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3542),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3542),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3542),
    [aux_sym_escape_char_token1] = ACTIONS(3542),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3542),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3542),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3542),
    [aux_sym_forward_agent_token1] = ACTIONS(3542),
    [aux_sym_forward_x11_token1] = ACTIONS(3544),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3542),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3542),
    [aux_sym_gateway_ports_token1] = ACTIONS(3542),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3542),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3542),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3542),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3542),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3542),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3542),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3542),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3542),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3542),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3542),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3542),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3542),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3542),
    [aux_sym_host_key_alias_token1] = ACTIONS(3542),
    [aux_sym_hostname_token1] = ACTIONS(3542),
    [aux_sym_identities_only_token1] = ACTIONS(3542),
    [aux_sym_identity_agent_token1] = ACTIONS(3542),
    [aux_sym_identity_file_token1] = ACTIONS(3542),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3542),
    [aux_sym_include_token1] = ACTIONS(3542),
    [aux_sym_ip_qos_token1] = ACTIONS(3542),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3542),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3542),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3542),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3542),
    [aux_sym_local_command_token1] = ACTIONS(3542),
    [aux_sym_local_forward_token1] = ACTIONS(3542),
    [aux_sym_log_level_token1] = ACTIONS(3542),
    [aux_sym_log_verbose_token1] = ACTIONS(3542),
    [aux_sym_macs_token1] = ACTIONS(3542),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3542),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3542),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3542),
    [aux_sym_password_authentication_token1] = ACTIONS(3542),
    [aux_sym_permit_local_command_token1] = ACTIONS(3542),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3542),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3542),
    [aux_sym_port_token1] = ACTIONS(3542),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3542),
    [aux_sym_protocol_token1] = ACTIONS(3542),
    [aux_sym_proxy_command_token1] = ACTIONS(3542),
    [aux_sym_proxy_jump_token1] = ACTIONS(3542),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3542),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3542),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3542),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3542),
    [aux_sym_rekey_limit_token1] = ACTIONS(3542),
    [aux_sym_remote_command_token1] = ACTIONS(3542),
    [aux_sym_remote_forward_token1] = ACTIONS(3542),
    [aux_sym_request_tty_token1] = ACTIONS(3542),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3542),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3542),
    [aux_sym_security_key_provider_token1] = ACTIONS(3542),
    [aux_sym_send_env_token1] = ACTIONS(3542),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3542),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3542),
    [aux_sym_session_type_token1] = ACTIONS(3542),
    [aux_sym_set_env_token1] = ACTIONS(3542),
    [aux_sym_stdin_null_token1] = ACTIONS(3542),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3542),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3542),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3542),
    [aux_sym_syslog_facility_token1] = ACTIONS(3542),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3542),
    [aux_sym_keep_alive_token1] = ACTIONS(3542),
    [aux_sym_tag_token1] = ACTIONS(3542),
    [aux_sym_tunnel_token1] = ACTIONS(3544),
    [aux_sym_tunnel_device_token1] = ACTIONS(3542),
    [aux_sym_update_host_keys_token1] = ACTIONS(3542),
    [aux_sym_use_keychain_token1] = ACTIONS(3542),
    [aux_sym_use_roaming_token1] = ACTIONS(3542),
    [aux_sym_user_token1] = ACTIONS(3544),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3542),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3542),
    [aux_sym_version_addendum_token1] = ACTIONS(3542),
    [aux_sym_visual_host_key_token1] = ACTIONS(3542),
    [aux_sym_xauth_location_token1] = ACTIONS(3542),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(3546),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3548),
    [aux_sym_match_token1] = ACTIONS(3546),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3546),
    [aux_sym_address_family_token1] = ACTIONS(3546),
    [aux_sym_batch_mode_token1] = ACTIONS(3546),
    [aux_sym_bind_address_token1] = ACTIONS(3546),
    [aux_sym_bind_interface_token1] = ACTIONS(3546),
    [aux_sym_canonical_domains_token1] = ACTIONS(3546),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3546),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3546),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3546),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3546),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3546),
    [aux_sym_certificate_file_token1] = ACTIONS(3546),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3546),
    [aux_sym_channel_timeout_token1] = ACTIONS(3546),
    [aux_sym_check_host_ip_token1] = ACTIONS(3546),
    [aux_sym_ciphers_token1] = ACTIONS(3546),
    [aux_sym_cipher_token1] = ACTIONS(3548),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3546),
    [aux_sym_compression_token1] = ACTIONS(3546),
    [aux_sym_connection_attempts_token1] = ACTIONS(3546),
    [aux_sym_connect_timeout_token1] = ACTIONS(3546),
    [aux_sym_control_master_token1] = ACTIONS(3546),
    [aux_sym_control_path_token1] = ACTIONS(3546),
    [aux_sym_control_persist_token1] = ACTIONS(3546),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3546),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3546),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3546),
    [aux_sym_escape_char_token1] = ACTIONS(3546),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3546),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3546),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3546),
    [aux_sym_forward_agent_token1] = ACTIONS(3546),
    [aux_sym_forward_x11_token1] = ACTIONS(3548),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3546),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3546),
    [aux_sym_gateway_ports_token1] = ACTIONS(3546),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3546),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3546),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3546),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3546),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3546),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3546),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3546),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3546),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3546),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3546),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3546),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3546),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3546),
    [aux_sym_host_key_alias_token1] = ACTIONS(3546),
    [aux_sym_hostname_token1] = ACTIONS(3546),
    [aux_sym_identities_only_token1] = ACTIONS(3546),
    [aux_sym_identity_agent_token1] = ACTIONS(3546),
    [aux_sym_identity_file_token1] = ACTIONS(3546),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3546),
    [aux_sym_include_token1] = ACTIONS(3546),
    [aux_sym_ip_qos_token1] = ACTIONS(3546),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3546),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3546),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3546),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3546),
    [aux_sym_local_command_token1] = ACTIONS(3546),
    [aux_sym_local_forward_token1] = ACTIONS(3546),
    [aux_sym_log_level_token1] = ACTIONS(3546),
    [aux_sym_log_verbose_token1] = ACTIONS(3546),
    [aux_sym_macs_token1] = ACTIONS(3546),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3546),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3546),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3546),
    [aux_sym_password_authentication_token1] = ACTIONS(3546),
    [aux_sym_permit_local_command_token1] = ACTIONS(3546),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3546),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3546),
    [aux_sym_port_token1] = ACTIONS(3546),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3546),
    [aux_sym_protocol_token1] = ACTIONS(3546),
    [aux_sym_proxy_command_token1] = ACTIONS(3546),
    [aux_sym_proxy_jump_token1] = ACTIONS(3546),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3546),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3546),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3546),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3546),
    [aux_sym_rekey_limit_token1] = ACTIONS(3546),
    [aux_sym_remote_command_token1] = ACTIONS(3546),
    [aux_sym_remote_forward_token1] = ACTIONS(3546),
    [aux_sym_request_tty_token1] = ACTIONS(3546),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3546),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3546),
    [aux_sym_security_key_provider_token1] = ACTIONS(3546),
    [aux_sym_send_env_token1] = ACTIONS(3546),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3546),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3546),
    [aux_sym_session_type_token1] = ACTIONS(3546),
    [aux_sym_set_env_token1] = ACTIONS(3546),
    [aux_sym_stdin_null_token1] = ACTIONS(3546),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3546),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3546),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3546),
    [aux_sym_syslog_facility_token1] = ACTIONS(3546),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3546),
    [aux_sym_keep_alive_token1] = ACTIONS(3546),
    [aux_sym_tag_token1] = ACTIONS(3546),
    [aux_sym_tunnel_token1] = ACTIONS(3548),
    [aux_sym_tunnel_device_token1] = ACTIONS(3546),
    [aux_sym_update_host_keys_token1] = ACTIONS(3546),
    [aux_sym_use_keychain_token1] = ACTIONS(3546),
    [aux_sym_use_roaming_token1] = ACTIONS(3546),
    [aux_sym_user_token1] = ACTIONS(3548),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3546),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3546),
    [aux_sym_version_addendum_token1] = ACTIONS(3546),
    [aux_sym_visual_host_key_token1] = ACTIONS(3546),
    [aux_sym_xauth_location_token1] = ACTIONS(3546),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(3550),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3552),
    [aux_sym_match_token1] = ACTIONS(3550),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3550),
    [aux_sym_address_family_token1] = ACTIONS(3550),
    [aux_sym_batch_mode_token1] = ACTIONS(3550),
    [aux_sym_bind_address_token1] = ACTIONS(3550),
    [aux_sym_bind_interface_token1] = ACTIONS(3550),
    [aux_sym_canonical_domains_token1] = ACTIONS(3550),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3550),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3550),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3550),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3550),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3550),
    [aux_sym_certificate_file_token1] = ACTIONS(3550),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3550),
    [aux_sym_channel_timeout_token1] = ACTIONS(3550),
    [aux_sym_check_host_ip_token1] = ACTIONS(3550),
    [aux_sym_ciphers_token1] = ACTIONS(3550),
    [aux_sym_cipher_token1] = ACTIONS(3552),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3550),
    [aux_sym_compression_token1] = ACTIONS(3550),
    [aux_sym_connection_attempts_token1] = ACTIONS(3550),
    [aux_sym_connect_timeout_token1] = ACTIONS(3550),
    [aux_sym_control_master_token1] = ACTIONS(3550),
    [aux_sym_control_path_token1] = ACTIONS(3550),
    [aux_sym_control_persist_token1] = ACTIONS(3550),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3550),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3550),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3550),
    [aux_sym_escape_char_token1] = ACTIONS(3550),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3550),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3550),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3550),
    [aux_sym_forward_agent_token1] = ACTIONS(3550),
    [aux_sym_forward_x11_token1] = ACTIONS(3552),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3550),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3550),
    [aux_sym_gateway_ports_token1] = ACTIONS(3550),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3550),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3550),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3550),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3550),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3550),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3550),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3550),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3550),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3550),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3550),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3550),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3550),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3550),
    [aux_sym_host_key_alias_token1] = ACTIONS(3550),
    [aux_sym_hostname_token1] = ACTIONS(3550),
    [aux_sym_identities_only_token1] = ACTIONS(3550),
    [aux_sym_identity_agent_token1] = ACTIONS(3550),
    [aux_sym_identity_file_token1] = ACTIONS(3550),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3550),
    [aux_sym_include_token1] = ACTIONS(3550),
    [aux_sym_ip_qos_token1] = ACTIONS(3550),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3550),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3550),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3550),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3550),
    [aux_sym_local_command_token1] = ACTIONS(3550),
    [aux_sym_local_forward_token1] = ACTIONS(3550),
    [aux_sym_log_level_token1] = ACTIONS(3550),
    [aux_sym_log_verbose_token1] = ACTIONS(3550),
    [aux_sym_macs_token1] = ACTIONS(3550),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3550),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3550),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3550),
    [aux_sym_password_authentication_token1] = ACTIONS(3550),
    [aux_sym_permit_local_command_token1] = ACTIONS(3550),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3550),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3550),
    [aux_sym_port_token1] = ACTIONS(3550),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3550),
    [aux_sym_protocol_token1] = ACTIONS(3550),
    [aux_sym_proxy_command_token1] = ACTIONS(3550),
    [aux_sym_proxy_jump_token1] = ACTIONS(3550),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3550),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3550),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3550),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3550),
    [aux_sym_rekey_limit_token1] = ACTIONS(3550),
    [aux_sym_remote_command_token1] = ACTIONS(3550),
    [aux_sym_remote_forward_token1] = ACTIONS(3550),
    [aux_sym_request_tty_token1] = ACTIONS(3550),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3550),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3550),
    [aux_sym_security_key_provider_token1] = ACTIONS(3550),
    [aux_sym_send_env_token1] = ACTIONS(3550),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3550),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3550),
    [aux_sym_session_type_token1] = ACTIONS(3550),
    [aux_sym_set_env_token1] = ACTIONS(3550),
    [aux_sym_stdin_null_token1] = ACTIONS(3550),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3550),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3550),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3550),
    [aux_sym_syslog_facility_token1] = ACTIONS(3550),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3550),
    [aux_sym_keep_alive_token1] = ACTIONS(3550),
    [aux_sym_tag_token1] = ACTIONS(3550),
    [aux_sym_tunnel_token1] = ACTIONS(3552),
    [aux_sym_tunnel_device_token1] = ACTIONS(3550),
    [aux_sym_update_host_keys_token1] = ACTIONS(3550),
    [aux_sym_use_keychain_token1] = ACTIONS(3550),
    [aux_sym_use_roaming_token1] = ACTIONS(3550),
    [aux_sym_user_token1] = ACTIONS(3552),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3550),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3550),
    [aux_sym_version_addendum_token1] = ACTIONS(3550),
    [aux_sym_visual_host_key_token1] = ACTIONS(3550),
    [aux_sym_xauth_location_token1] = ACTIONS(3550),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(3554),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3556),
    [aux_sym_match_token1] = ACTIONS(3554),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3554),
    [aux_sym_address_family_token1] = ACTIONS(3554),
    [aux_sym_batch_mode_token1] = ACTIONS(3554),
    [aux_sym_bind_address_token1] = ACTIONS(3554),
    [aux_sym_bind_interface_token1] = ACTIONS(3554),
    [aux_sym_canonical_domains_token1] = ACTIONS(3554),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3554),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3554),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3554),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3554),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3554),
    [aux_sym_certificate_file_token1] = ACTIONS(3554),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3554),
    [aux_sym_channel_timeout_token1] = ACTIONS(3554),
    [aux_sym_check_host_ip_token1] = ACTIONS(3554),
    [aux_sym_ciphers_token1] = ACTIONS(3554),
    [aux_sym_cipher_token1] = ACTIONS(3556),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3554),
    [aux_sym_compression_token1] = ACTIONS(3554),
    [aux_sym_connection_attempts_token1] = ACTIONS(3554),
    [aux_sym_connect_timeout_token1] = ACTIONS(3554),
    [aux_sym_control_master_token1] = ACTIONS(3554),
    [aux_sym_control_path_token1] = ACTIONS(3554),
    [aux_sym_control_persist_token1] = ACTIONS(3554),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3554),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3554),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3554),
    [aux_sym_escape_char_token1] = ACTIONS(3554),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3554),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3554),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3554),
    [aux_sym_forward_agent_token1] = ACTIONS(3554),
    [aux_sym_forward_x11_token1] = ACTIONS(3556),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3554),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3554),
    [aux_sym_gateway_ports_token1] = ACTIONS(3554),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3554),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3554),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3554),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3554),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3554),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3554),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3554),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3554),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3554),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3554),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3554),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3554),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3554),
    [aux_sym_host_key_alias_token1] = ACTIONS(3554),
    [aux_sym_hostname_token1] = ACTIONS(3554),
    [aux_sym_identities_only_token1] = ACTIONS(3554),
    [aux_sym_identity_agent_token1] = ACTIONS(3554),
    [aux_sym_identity_file_token1] = ACTIONS(3554),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3554),
    [aux_sym_include_token1] = ACTIONS(3554),
    [aux_sym_ip_qos_token1] = ACTIONS(3554),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3554),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3554),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3554),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3554),
    [aux_sym_local_command_token1] = ACTIONS(3554),
    [aux_sym_local_forward_token1] = ACTIONS(3554),
    [aux_sym_log_level_token1] = ACTIONS(3554),
    [aux_sym_log_verbose_token1] = ACTIONS(3554),
    [aux_sym_macs_token1] = ACTIONS(3554),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3554),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3554),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3554),
    [aux_sym_password_authentication_token1] = ACTIONS(3554),
    [aux_sym_permit_local_command_token1] = ACTIONS(3554),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3554),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3554),
    [aux_sym_port_token1] = ACTIONS(3554),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3554),
    [aux_sym_protocol_token1] = ACTIONS(3554),
    [aux_sym_proxy_command_token1] = ACTIONS(3554),
    [aux_sym_proxy_jump_token1] = ACTIONS(3554),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3554),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3554),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3554),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3554),
    [aux_sym_rekey_limit_token1] = ACTIONS(3554),
    [aux_sym_remote_command_token1] = ACTIONS(3554),
    [aux_sym_remote_forward_token1] = ACTIONS(3554),
    [aux_sym_request_tty_token1] = ACTIONS(3554),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3554),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3554),
    [aux_sym_security_key_provider_token1] = ACTIONS(3554),
    [aux_sym_send_env_token1] = ACTIONS(3554),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3554),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3554),
    [aux_sym_session_type_token1] = ACTIONS(3554),
    [aux_sym_set_env_token1] = ACTIONS(3554),
    [aux_sym_stdin_null_token1] = ACTIONS(3554),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3554),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3554),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3554),
    [aux_sym_syslog_facility_token1] = ACTIONS(3554),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3554),
    [aux_sym_keep_alive_token1] = ACTIONS(3554),
    [aux_sym_tag_token1] = ACTIONS(3554),
    [aux_sym_tunnel_token1] = ACTIONS(3556),
    [aux_sym_tunnel_device_token1] = ACTIONS(3554),
    [aux_sym_update_host_keys_token1] = ACTIONS(3554),
    [aux_sym_use_keychain_token1] = ACTIONS(3554),
    [aux_sym_use_roaming_token1] = ACTIONS(3554),
    [aux_sym_user_token1] = ACTIONS(3556),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3554),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3554),
    [aux_sym_version_addendum_token1] = ACTIONS(3554),
    [aux_sym_visual_host_key_token1] = ACTIONS(3554),
    [aux_sym_xauth_location_token1] = ACTIONS(3554),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(3558),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3560),
    [aux_sym_match_token1] = ACTIONS(3558),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3558),
    [aux_sym_address_family_token1] = ACTIONS(3558),
    [aux_sym_batch_mode_token1] = ACTIONS(3558),
    [aux_sym_bind_address_token1] = ACTIONS(3558),
    [aux_sym_bind_interface_token1] = ACTIONS(3558),
    [aux_sym_canonical_domains_token1] = ACTIONS(3558),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3558),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3558),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3558),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3558),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3558),
    [aux_sym_certificate_file_token1] = ACTIONS(3558),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3558),
    [aux_sym_channel_timeout_token1] = ACTIONS(3558),
    [aux_sym_check_host_ip_token1] = ACTIONS(3558),
    [aux_sym_ciphers_token1] = ACTIONS(3558),
    [aux_sym_cipher_token1] = ACTIONS(3560),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3558),
    [aux_sym_compression_token1] = ACTIONS(3558),
    [aux_sym_connection_attempts_token1] = ACTIONS(3558),
    [aux_sym_connect_timeout_token1] = ACTIONS(3558),
    [aux_sym_control_master_token1] = ACTIONS(3558),
    [aux_sym_control_path_token1] = ACTIONS(3558),
    [aux_sym_control_persist_token1] = ACTIONS(3558),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3558),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3558),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3558),
    [aux_sym_escape_char_token1] = ACTIONS(3558),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3558),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3558),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3558),
    [aux_sym_forward_agent_token1] = ACTIONS(3558),
    [aux_sym_forward_x11_token1] = ACTIONS(3560),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3558),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3558),
    [aux_sym_gateway_ports_token1] = ACTIONS(3558),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3558),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3558),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3558),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3558),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3558),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3558),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3558),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3558),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3558),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3558),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3558),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3558),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3558),
    [aux_sym_host_key_alias_token1] = ACTIONS(3558),
    [aux_sym_hostname_token1] = ACTIONS(3558),
    [aux_sym_identities_only_token1] = ACTIONS(3558),
    [aux_sym_identity_agent_token1] = ACTIONS(3558),
    [aux_sym_identity_file_token1] = ACTIONS(3558),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3558),
    [aux_sym_include_token1] = ACTIONS(3558),
    [aux_sym_ip_qos_token1] = ACTIONS(3558),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3558),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3558),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3558),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3558),
    [aux_sym_local_command_token1] = ACTIONS(3558),
    [aux_sym_local_forward_token1] = ACTIONS(3558),
    [aux_sym_log_level_token1] = ACTIONS(3558),
    [aux_sym_log_verbose_token1] = ACTIONS(3558),
    [aux_sym_macs_token1] = ACTIONS(3558),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3558),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3558),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3558),
    [aux_sym_password_authentication_token1] = ACTIONS(3558),
    [aux_sym_permit_local_command_token1] = ACTIONS(3558),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3558),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3558),
    [aux_sym_port_token1] = ACTIONS(3558),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3558),
    [aux_sym_protocol_token1] = ACTIONS(3558),
    [aux_sym_proxy_command_token1] = ACTIONS(3558),
    [aux_sym_proxy_jump_token1] = ACTIONS(3558),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3558),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3558),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3558),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3558),
    [aux_sym_rekey_limit_token1] = ACTIONS(3558),
    [aux_sym_remote_command_token1] = ACTIONS(3558),
    [aux_sym_remote_forward_token1] = ACTIONS(3558),
    [aux_sym_request_tty_token1] = ACTIONS(3558),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3558),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3558),
    [aux_sym_security_key_provider_token1] = ACTIONS(3558),
    [aux_sym_send_env_token1] = ACTIONS(3558),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3558),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3558),
    [aux_sym_session_type_token1] = ACTIONS(3558),
    [aux_sym_set_env_token1] = ACTIONS(3558),
    [aux_sym_stdin_null_token1] = ACTIONS(3558),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3558),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3558),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3558),
    [aux_sym_syslog_facility_token1] = ACTIONS(3558),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3558),
    [aux_sym_keep_alive_token1] = ACTIONS(3558),
    [aux_sym_tag_token1] = ACTIONS(3558),
    [aux_sym_tunnel_token1] = ACTIONS(3560),
    [aux_sym_tunnel_device_token1] = ACTIONS(3558),
    [aux_sym_update_host_keys_token1] = ACTIONS(3558),
    [aux_sym_use_keychain_token1] = ACTIONS(3558),
    [aux_sym_use_roaming_token1] = ACTIONS(3558),
    [aux_sym_user_token1] = ACTIONS(3560),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3558),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3558),
    [aux_sym_version_addendum_token1] = ACTIONS(3558),
    [aux_sym_visual_host_key_token1] = ACTIONS(3558),
    [aux_sym_xauth_location_token1] = ACTIONS(3558),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(3562),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3564),
    [aux_sym_match_token1] = ACTIONS(3562),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3562),
    [aux_sym_address_family_token1] = ACTIONS(3562),
    [aux_sym_batch_mode_token1] = ACTIONS(3562),
    [aux_sym_bind_address_token1] = ACTIONS(3562),
    [aux_sym_bind_interface_token1] = ACTIONS(3562),
    [aux_sym_canonical_domains_token1] = ACTIONS(3562),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3562),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3562),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3562),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3562),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3562),
    [aux_sym_certificate_file_token1] = ACTIONS(3562),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3562),
    [aux_sym_channel_timeout_token1] = ACTIONS(3562),
    [aux_sym_check_host_ip_token1] = ACTIONS(3562),
    [aux_sym_ciphers_token1] = ACTIONS(3562),
    [aux_sym_cipher_token1] = ACTIONS(3564),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3562),
    [aux_sym_compression_token1] = ACTIONS(3562),
    [aux_sym_connection_attempts_token1] = ACTIONS(3562),
    [aux_sym_connect_timeout_token1] = ACTIONS(3562),
    [aux_sym_control_master_token1] = ACTIONS(3562),
    [aux_sym_control_path_token1] = ACTIONS(3562),
    [aux_sym_control_persist_token1] = ACTIONS(3562),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3562),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3562),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3562),
    [aux_sym_escape_char_token1] = ACTIONS(3562),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3562),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3562),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3562),
    [aux_sym_forward_agent_token1] = ACTIONS(3562),
    [aux_sym_forward_x11_token1] = ACTIONS(3564),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3562),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3562),
    [aux_sym_gateway_ports_token1] = ACTIONS(3562),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3562),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3562),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3562),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3562),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3562),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3562),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3562),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3562),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3562),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3562),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3562),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3562),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3562),
    [aux_sym_host_key_alias_token1] = ACTIONS(3562),
    [aux_sym_hostname_token1] = ACTIONS(3562),
    [aux_sym_identities_only_token1] = ACTIONS(3562),
    [aux_sym_identity_agent_token1] = ACTIONS(3562),
    [aux_sym_identity_file_token1] = ACTIONS(3562),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3562),
    [aux_sym_include_token1] = ACTIONS(3562),
    [aux_sym_ip_qos_token1] = ACTIONS(3562),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3562),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3562),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3562),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3562),
    [aux_sym_local_command_token1] = ACTIONS(3562),
    [aux_sym_local_forward_token1] = ACTIONS(3562),
    [aux_sym_log_level_token1] = ACTIONS(3562),
    [aux_sym_log_verbose_token1] = ACTIONS(3562),
    [aux_sym_macs_token1] = ACTIONS(3562),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3562),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3562),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3562),
    [aux_sym_password_authentication_token1] = ACTIONS(3562),
    [aux_sym_permit_local_command_token1] = ACTIONS(3562),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3562),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3562),
    [aux_sym_port_token1] = ACTIONS(3562),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3562),
    [aux_sym_protocol_token1] = ACTIONS(3562),
    [aux_sym_proxy_command_token1] = ACTIONS(3562),
    [aux_sym_proxy_jump_token1] = ACTIONS(3562),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3562),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3562),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3562),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3562),
    [aux_sym_rekey_limit_token1] = ACTIONS(3562),
    [aux_sym_remote_command_token1] = ACTIONS(3562),
    [aux_sym_remote_forward_token1] = ACTIONS(3562),
    [aux_sym_request_tty_token1] = ACTIONS(3562),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3562),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3562),
    [aux_sym_security_key_provider_token1] = ACTIONS(3562),
    [aux_sym_send_env_token1] = ACTIONS(3562),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3562),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3562),
    [aux_sym_session_type_token1] = ACTIONS(3562),
    [aux_sym_set_env_token1] = ACTIONS(3562),
    [aux_sym_stdin_null_token1] = ACTIONS(3562),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3562),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3562),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3562),
    [aux_sym_syslog_facility_token1] = ACTIONS(3562),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3562),
    [aux_sym_keep_alive_token1] = ACTIONS(3562),
    [aux_sym_tag_token1] = ACTIONS(3562),
    [aux_sym_tunnel_token1] = ACTIONS(3564),
    [aux_sym_tunnel_device_token1] = ACTIONS(3562),
    [aux_sym_update_host_keys_token1] = ACTIONS(3562),
    [aux_sym_use_keychain_token1] = ACTIONS(3562),
    [aux_sym_use_roaming_token1] = ACTIONS(3562),
    [aux_sym_user_token1] = ACTIONS(3564),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3562),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3562),
    [aux_sym_version_addendum_token1] = ACTIONS(3562),
    [aux_sym_visual_host_key_token1] = ACTIONS(3562),
    [aux_sym_xauth_location_token1] = ACTIONS(3562),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(3566),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3568),
    [aux_sym_match_token1] = ACTIONS(3566),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3566),
    [aux_sym_address_family_token1] = ACTIONS(3566),
    [aux_sym_batch_mode_token1] = ACTIONS(3566),
    [aux_sym_bind_address_token1] = ACTIONS(3566),
    [aux_sym_bind_interface_token1] = ACTIONS(3566),
    [aux_sym_canonical_domains_token1] = ACTIONS(3566),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3566),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3566),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3566),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3566),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3566),
    [aux_sym_certificate_file_token1] = ACTIONS(3566),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3566),
    [aux_sym_channel_timeout_token1] = ACTIONS(3566),
    [aux_sym_check_host_ip_token1] = ACTIONS(3566),
    [aux_sym_ciphers_token1] = ACTIONS(3566),
    [aux_sym_cipher_token1] = ACTIONS(3568),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3566),
    [aux_sym_compression_token1] = ACTIONS(3566),
    [aux_sym_connection_attempts_token1] = ACTIONS(3566),
    [aux_sym_connect_timeout_token1] = ACTIONS(3566),
    [aux_sym_control_master_token1] = ACTIONS(3566),
    [aux_sym_control_path_token1] = ACTIONS(3566),
    [aux_sym_control_persist_token1] = ACTIONS(3566),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3566),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3566),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3566),
    [aux_sym_escape_char_token1] = ACTIONS(3566),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3566),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3566),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3566),
    [aux_sym_forward_agent_token1] = ACTIONS(3566),
    [aux_sym_forward_x11_token1] = ACTIONS(3568),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3566),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3566),
    [aux_sym_gateway_ports_token1] = ACTIONS(3566),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3566),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3566),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3566),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3566),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3566),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3566),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3566),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3566),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3566),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3566),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3566),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3566),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3566),
    [aux_sym_host_key_alias_token1] = ACTIONS(3566),
    [aux_sym_hostname_token1] = ACTIONS(3566),
    [aux_sym_identities_only_token1] = ACTIONS(3566),
    [aux_sym_identity_agent_token1] = ACTIONS(3566),
    [aux_sym_identity_file_token1] = ACTIONS(3566),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3566),
    [aux_sym_include_token1] = ACTIONS(3566),
    [aux_sym_ip_qos_token1] = ACTIONS(3566),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3566),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3566),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3566),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3566),
    [aux_sym_local_command_token1] = ACTIONS(3566),
    [aux_sym_local_forward_token1] = ACTIONS(3566),
    [aux_sym_log_level_token1] = ACTIONS(3566),
    [aux_sym_log_verbose_token1] = ACTIONS(3566),
    [aux_sym_macs_token1] = ACTIONS(3566),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3566),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3566),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3566),
    [aux_sym_password_authentication_token1] = ACTIONS(3566),
    [aux_sym_permit_local_command_token1] = ACTIONS(3566),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3566),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3566),
    [aux_sym_port_token1] = ACTIONS(3566),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3566),
    [aux_sym_protocol_token1] = ACTIONS(3566),
    [aux_sym_proxy_command_token1] = ACTIONS(3566),
    [aux_sym_proxy_jump_token1] = ACTIONS(3566),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3566),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3566),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3566),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3566),
    [aux_sym_rekey_limit_token1] = ACTIONS(3566),
    [aux_sym_remote_command_token1] = ACTIONS(3566),
    [aux_sym_remote_forward_token1] = ACTIONS(3566),
    [aux_sym_request_tty_token1] = ACTIONS(3566),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3566),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3566),
    [aux_sym_security_key_provider_token1] = ACTIONS(3566),
    [aux_sym_send_env_token1] = ACTIONS(3566),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3566),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3566),
    [aux_sym_session_type_token1] = ACTIONS(3566),
    [aux_sym_set_env_token1] = ACTIONS(3566),
    [aux_sym_stdin_null_token1] = ACTIONS(3566),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3566),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3566),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3566),
    [aux_sym_syslog_facility_token1] = ACTIONS(3566),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3566),
    [aux_sym_keep_alive_token1] = ACTIONS(3566),
    [aux_sym_tag_token1] = ACTIONS(3566),
    [aux_sym_tunnel_token1] = ACTIONS(3568),
    [aux_sym_tunnel_device_token1] = ACTIONS(3566),
    [aux_sym_update_host_keys_token1] = ACTIONS(3566),
    [aux_sym_use_keychain_token1] = ACTIONS(3566),
    [aux_sym_use_roaming_token1] = ACTIONS(3566),
    [aux_sym_user_token1] = ACTIONS(3568),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3566),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3566),
    [aux_sym_version_addendum_token1] = ACTIONS(3566),
    [aux_sym_visual_host_key_token1] = ACTIONS(3566),
    [aux_sym_xauth_location_token1] = ACTIONS(3566),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(3570),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3572),
    [aux_sym_match_token1] = ACTIONS(3570),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3570),
    [aux_sym_address_family_token1] = ACTIONS(3570),
    [aux_sym_batch_mode_token1] = ACTIONS(3570),
    [aux_sym_bind_address_token1] = ACTIONS(3570),
    [aux_sym_bind_interface_token1] = ACTIONS(3570),
    [aux_sym_canonical_domains_token1] = ACTIONS(3570),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3570),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3570),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3570),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3570),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3570),
    [aux_sym_certificate_file_token1] = ACTIONS(3570),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3570),
    [aux_sym_channel_timeout_token1] = ACTIONS(3570),
    [aux_sym_check_host_ip_token1] = ACTIONS(3570),
    [aux_sym_ciphers_token1] = ACTIONS(3570),
    [aux_sym_cipher_token1] = ACTIONS(3572),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3570),
    [aux_sym_compression_token1] = ACTIONS(3570),
    [aux_sym_connection_attempts_token1] = ACTIONS(3570),
    [aux_sym_connect_timeout_token1] = ACTIONS(3570),
    [aux_sym_control_master_token1] = ACTIONS(3570),
    [aux_sym_control_path_token1] = ACTIONS(3570),
    [aux_sym_control_persist_token1] = ACTIONS(3570),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3570),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3570),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3570),
    [aux_sym_escape_char_token1] = ACTIONS(3570),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3570),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3570),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3570),
    [aux_sym_forward_agent_token1] = ACTIONS(3570),
    [aux_sym_forward_x11_token1] = ACTIONS(3572),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3570),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3570),
    [aux_sym_gateway_ports_token1] = ACTIONS(3570),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3570),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3570),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3570),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3570),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3570),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3570),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3570),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3570),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3570),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3570),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3570),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3570),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3570),
    [aux_sym_host_key_alias_token1] = ACTIONS(3570),
    [aux_sym_hostname_token1] = ACTIONS(3570),
    [aux_sym_identities_only_token1] = ACTIONS(3570),
    [aux_sym_identity_agent_token1] = ACTIONS(3570),
    [aux_sym_identity_file_token1] = ACTIONS(3570),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3570),
    [aux_sym_include_token1] = ACTIONS(3570),
    [aux_sym_ip_qos_token1] = ACTIONS(3570),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3570),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3570),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3570),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3570),
    [aux_sym_local_command_token1] = ACTIONS(3570),
    [aux_sym_local_forward_token1] = ACTIONS(3570),
    [aux_sym_log_level_token1] = ACTIONS(3570),
    [aux_sym_log_verbose_token1] = ACTIONS(3570),
    [aux_sym_macs_token1] = ACTIONS(3570),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3570),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3570),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3570),
    [aux_sym_password_authentication_token1] = ACTIONS(3570),
    [aux_sym_permit_local_command_token1] = ACTIONS(3570),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3570),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3570),
    [aux_sym_port_token1] = ACTIONS(3570),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3570),
    [aux_sym_protocol_token1] = ACTIONS(3570),
    [aux_sym_proxy_command_token1] = ACTIONS(3570),
    [aux_sym_proxy_jump_token1] = ACTIONS(3570),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3570),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3570),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3570),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3570),
    [aux_sym_rekey_limit_token1] = ACTIONS(3570),
    [aux_sym_remote_command_token1] = ACTIONS(3570),
    [aux_sym_remote_forward_token1] = ACTIONS(3570),
    [aux_sym_request_tty_token1] = ACTIONS(3570),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3570),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3570),
    [aux_sym_security_key_provider_token1] = ACTIONS(3570),
    [aux_sym_send_env_token1] = ACTIONS(3570),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3570),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3570),
    [aux_sym_session_type_token1] = ACTIONS(3570),
    [aux_sym_set_env_token1] = ACTIONS(3570),
    [aux_sym_stdin_null_token1] = ACTIONS(3570),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3570),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3570),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3570),
    [aux_sym_syslog_facility_token1] = ACTIONS(3570),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3570),
    [aux_sym_keep_alive_token1] = ACTIONS(3570),
    [aux_sym_tag_token1] = ACTIONS(3570),
    [aux_sym_tunnel_token1] = ACTIONS(3572),
    [aux_sym_tunnel_device_token1] = ACTIONS(3570),
    [aux_sym_update_host_keys_token1] = ACTIONS(3570),
    [aux_sym_use_keychain_token1] = ACTIONS(3570),
    [aux_sym_use_roaming_token1] = ACTIONS(3570),
    [aux_sym_user_token1] = ACTIONS(3572),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3570),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3570),
    [aux_sym_version_addendum_token1] = ACTIONS(3570),
    [aux_sym_visual_host_key_token1] = ACTIONS(3570),
    [aux_sym_xauth_location_token1] = ACTIONS(3570),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(3574),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3576),
    [aux_sym_match_token1] = ACTIONS(3574),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3574),
    [aux_sym_address_family_token1] = ACTIONS(3574),
    [aux_sym_batch_mode_token1] = ACTIONS(3574),
    [aux_sym_bind_address_token1] = ACTIONS(3574),
    [aux_sym_bind_interface_token1] = ACTIONS(3574),
    [aux_sym_canonical_domains_token1] = ACTIONS(3574),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3574),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3574),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3574),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3574),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3574),
    [aux_sym_certificate_file_token1] = ACTIONS(3574),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3574),
    [aux_sym_channel_timeout_token1] = ACTIONS(3574),
    [aux_sym_check_host_ip_token1] = ACTIONS(3574),
    [aux_sym_ciphers_token1] = ACTIONS(3574),
    [aux_sym_cipher_token1] = ACTIONS(3576),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3574),
    [aux_sym_compression_token1] = ACTIONS(3574),
    [aux_sym_connection_attempts_token1] = ACTIONS(3574),
    [aux_sym_connect_timeout_token1] = ACTIONS(3574),
    [aux_sym_control_master_token1] = ACTIONS(3574),
    [aux_sym_control_path_token1] = ACTIONS(3574),
    [aux_sym_control_persist_token1] = ACTIONS(3574),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3574),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3574),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3574),
    [aux_sym_escape_char_token1] = ACTIONS(3574),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3574),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3574),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3574),
    [aux_sym_forward_agent_token1] = ACTIONS(3574),
    [aux_sym_forward_x11_token1] = ACTIONS(3576),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3574),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3574),
    [aux_sym_gateway_ports_token1] = ACTIONS(3574),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3574),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3574),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3574),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3574),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3574),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3574),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3574),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3574),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3574),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3574),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3574),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3574),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3574),
    [aux_sym_host_key_alias_token1] = ACTIONS(3574),
    [aux_sym_hostname_token1] = ACTIONS(3574),
    [aux_sym_identities_only_token1] = ACTIONS(3574),
    [aux_sym_identity_agent_token1] = ACTIONS(3574),
    [aux_sym_identity_file_token1] = ACTIONS(3574),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3574),
    [aux_sym_include_token1] = ACTIONS(3574),
    [aux_sym_ip_qos_token1] = ACTIONS(3574),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3574),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3574),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3574),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3574),
    [aux_sym_local_command_token1] = ACTIONS(3574),
    [aux_sym_local_forward_token1] = ACTIONS(3574),
    [aux_sym_log_level_token1] = ACTIONS(3574),
    [aux_sym_log_verbose_token1] = ACTIONS(3574),
    [aux_sym_macs_token1] = ACTIONS(3574),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3574),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3574),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3574),
    [aux_sym_password_authentication_token1] = ACTIONS(3574),
    [aux_sym_permit_local_command_token1] = ACTIONS(3574),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3574),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3574),
    [aux_sym_port_token1] = ACTIONS(3574),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3574),
    [aux_sym_protocol_token1] = ACTIONS(3574),
    [aux_sym_proxy_command_token1] = ACTIONS(3574),
    [aux_sym_proxy_jump_token1] = ACTIONS(3574),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3574),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3574),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3574),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3574),
    [aux_sym_rekey_limit_token1] = ACTIONS(3574),
    [aux_sym_remote_command_token1] = ACTIONS(3574),
    [aux_sym_remote_forward_token1] = ACTIONS(3574),
    [aux_sym_request_tty_token1] = ACTIONS(3574),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3574),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3574),
    [aux_sym_security_key_provider_token1] = ACTIONS(3574),
    [aux_sym_send_env_token1] = ACTIONS(3574),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3574),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3574),
    [aux_sym_session_type_token1] = ACTIONS(3574),
    [aux_sym_set_env_token1] = ACTIONS(3574),
    [aux_sym_stdin_null_token1] = ACTIONS(3574),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3574),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3574),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3574),
    [aux_sym_syslog_facility_token1] = ACTIONS(3574),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3574),
    [aux_sym_keep_alive_token1] = ACTIONS(3574),
    [aux_sym_tag_token1] = ACTIONS(3574),
    [aux_sym_tunnel_token1] = ACTIONS(3576),
    [aux_sym_tunnel_device_token1] = ACTIONS(3574),
    [aux_sym_update_host_keys_token1] = ACTIONS(3574),
    [aux_sym_use_keychain_token1] = ACTIONS(3574),
    [aux_sym_use_roaming_token1] = ACTIONS(3574),
    [aux_sym_user_token1] = ACTIONS(3576),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3574),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3574),
    [aux_sym_version_addendum_token1] = ACTIONS(3574),
    [aux_sym_visual_host_key_token1] = ACTIONS(3574),
    [aux_sym_xauth_location_token1] = ACTIONS(3574),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(3578),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3580),
    [aux_sym_match_token1] = ACTIONS(3578),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3578),
    [aux_sym_address_family_token1] = ACTIONS(3578),
    [aux_sym_batch_mode_token1] = ACTIONS(3578),
    [aux_sym_bind_address_token1] = ACTIONS(3578),
    [aux_sym_bind_interface_token1] = ACTIONS(3578),
    [aux_sym_canonical_domains_token1] = ACTIONS(3578),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3578),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3578),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3578),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3578),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3578),
    [aux_sym_certificate_file_token1] = ACTIONS(3578),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3578),
    [aux_sym_channel_timeout_token1] = ACTIONS(3578),
    [aux_sym_check_host_ip_token1] = ACTIONS(3578),
    [aux_sym_ciphers_token1] = ACTIONS(3578),
    [aux_sym_cipher_token1] = ACTIONS(3580),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3578),
    [aux_sym_compression_token1] = ACTIONS(3578),
    [aux_sym_connection_attempts_token1] = ACTIONS(3578),
    [aux_sym_connect_timeout_token1] = ACTIONS(3578),
    [aux_sym_control_master_token1] = ACTIONS(3578),
    [aux_sym_control_path_token1] = ACTIONS(3578),
    [aux_sym_control_persist_token1] = ACTIONS(3578),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3578),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3578),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3578),
    [aux_sym_escape_char_token1] = ACTIONS(3578),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3578),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3578),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3578),
    [aux_sym_forward_agent_token1] = ACTIONS(3578),
    [aux_sym_forward_x11_token1] = ACTIONS(3580),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3578),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3578),
    [aux_sym_gateway_ports_token1] = ACTIONS(3578),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3578),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3578),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3578),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3578),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3578),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3578),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3578),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3578),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3578),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3578),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3578),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3578),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3578),
    [aux_sym_host_key_alias_token1] = ACTIONS(3578),
    [aux_sym_hostname_token1] = ACTIONS(3578),
    [aux_sym_identities_only_token1] = ACTIONS(3578),
    [aux_sym_identity_agent_token1] = ACTIONS(3578),
    [aux_sym_identity_file_token1] = ACTIONS(3578),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3578),
    [aux_sym_include_token1] = ACTIONS(3578),
    [aux_sym_ip_qos_token1] = ACTIONS(3578),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3578),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3578),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3578),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3578),
    [aux_sym_local_command_token1] = ACTIONS(3578),
    [aux_sym_local_forward_token1] = ACTIONS(3578),
    [aux_sym_log_level_token1] = ACTIONS(3578),
    [aux_sym_log_verbose_token1] = ACTIONS(3578),
    [aux_sym_macs_token1] = ACTIONS(3578),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3578),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3578),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3578),
    [aux_sym_password_authentication_token1] = ACTIONS(3578),
    [aux_sym_permit_local_command_token1] = ACTIONS(3578),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3578),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3578),
    [aux_sym_port_token1] = ACTIONS(3578),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3578),
    [aux_sym_protocol_token1] = ACTIONS(3578),
    [aux_sym_proxy_command_token1] = ACTIONS(3578),
    [aux_sym_proxy_jump_token1] = ACTIONS(3578),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3578),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3578),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3578),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3578),
    [aux_sym_rekey_limit_token1] = ACTIONS(3578),
    [aux_sym_remote_command_token1] = ACTIONS(3578),
    [aux_sym_remote_forward_token1] = ACTIONS(3578),
    [aux_sym_request_tty_token1] = ACTIONS(3578),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3578),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3578),
    [aux_sym_security_key_provider_token1] = ACTIONS(3578),
    [aux_sym_send_env_token1] = ACTIONS(3578),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3578),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3578),
    [aux_sym_session_type_token1] = ACTIONS(3578),
    [aux_sym_set_env_token1] = ACTIONS(3578),
    [aux_sym_stdin_null_token1] = ACTIONS(3578),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3578),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3578),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3578),
    [aux_sym_syslog_facility_token1] = ACTIONS(3578),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3578),
    [aux_sym_keep_alive_token1] = ACTIONS(3578),
    [aux_sym_tag_token1] = ACTIONS(3578),
    [aux_sym_tunnel_token1] = ACTIONS(3580),
    [aux_sym_tunnel_device_token1] = ACTIONS(3578),
    [aux_sym_update_host_keys_token1] = ACTIONS(3578),
    [aux_sym_use_keychain_token1] = ACTIONS(3578),
    [aux_sym_use_roaming_token1] = ACTIONS(3578),
    [aux_sym_user_token1] = ACTIONS(3580),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3578),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3578),
    [aux_sym_version_addendum_token1] = ACTIONS(3578),
    [aux_sym_visual_host_key_token1] = ACTIONS(3578),
    [aux_sym_xauth_location_token1] = ACTIONS(3578),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(3582),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3584),
    [aux_sym_match_token1] = ACTIONS(3582),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3582),
    [aux_sym_address_family_token1] = ACTIONS(3582),
    [aux_sym_batch_mode_token1] = ACTIONS(3582),
    [aux_sym_bind_address_token1] = ACTIONS(3582),
    [aux_sym_bind_interface_token1] = ACTIONS(3582),
    [aux_sym_canonical_domains_token1] = ACTIONS(3582),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3582),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3582),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3582),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3582),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3582),
    [aux_sym_certificate_file_token1] = ACTIONS(3582),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3582),
    [aux_sym_channel_timeout_token1] = ACTIONS(3582),
    [aux_sym_check_host_ip_token1] = ACTIONS(3582),
    [aux_sym_ciphers_token1] = ACTIONS(3582),
    [aux_sym_cipher_token1] = ACTIONS(3584),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3582),
    [aux_sym_compression_token1] = ACTIONS(3582),
    [aux_sym_connection_attempts_token1] = ACTIONS(3582),
    [aux_sym_connect_timeout_token1] = ACTIONS(3582),
    [aux_sym_control_master_token1] = ACTIONS(3582),
    [aux_sym_control_path_token1] = ACTIONS(3582),
    [aux_sym_control_persist_token1] = ACTIONS(3582),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3582),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3582),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3582),
    [aux_sym_escape_char_token1] = ACTIONS(3582),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3582),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3582),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3582),
    [aux_sym_forward_agent_token1] = ACTIONS(3582),
    [aux_sym_forward_x11_token1] = ACTIONS(3584),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3582),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3582),
    [aux_sym_gateway_ports_token1] = ACTIONS(3582),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3582),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3582),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3582),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3582),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3582),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3582),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3582),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3582),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3582),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3582),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3582),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3582),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3582),
    [aux_sym_host_key_alias_token1] = ACTIONS(3582),
    [aux_sym_hostname_token1] = ACTIONS(3582),
    [aux_sym_identities_only_token1] = ACTIONS(3582),
    [aux_sym_identity_agent_token1] = ACTIONS(3582),
    [aux_sym_identity_file_token1] = ACTIONS(3582),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3582),
    [aux_sym_include_token1] = ACTIONS(3582),
    [aux_sym_ip_qos_token1] = ACTIONS(3582),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3582),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3582),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3582),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3582),
    [aux_sym_local_command_token1] = ACTIONS(3582),
    [aux_sym_local_forward_token1] = ACTIONS(3582),
    [aux_sym_log_level_token1] = ACTIONS(3582),
    [aux_sym_log_verbose_token1] = ACTIONS(3582),
    [aux_sym_macs_token1] = ACTIONS(3582),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3582),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3582),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3582),
    [aux_sym_password_authentication_token1] = ACTIONS(3582),
    [aux_sym_permit_local_command_token1] = ACTIONS(3582),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3582),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3582),
    [aux_sym_port_token1] = ACTIONS(3582),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3582),
    [aux_sym_protocol_token1] = ACTIONS(3582),
    [aux_sym_proxy_command_token1] = ACTIONS(3582),
    [aux_sym_proxy_jump_token1] = ACTIONS(3582),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3582),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3582),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3582),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3582),
    [aux_sym_rekey_limit_token1] = ACTIONS(3582),
    [aux_sym_remote_command_token1] = ACTIONS(3582),
    [aux_sym_remote_forward_token1] = ACTIONS(3582),
    [aux_sym_request_tty_token1] = ACTIONS(3582),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3582),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3582),
    [aux_sym_security_key_provider_token1] = ACTIONS(3582),
    [aux_sym_send_env_token1] = ACTIONS(3582),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3582),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3582),
    [aux_sym_session_type_token1] = ACTIONS(3582),
    [aux_sym_set_env_token1] = ACTIONS(3582),
    [aux_sym_stdin_null_token1] = ACTIONS(3582),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3582),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3582),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3582),
    [aux_sym_syslog_facility_token1] = ACTIONS(3582),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3582),
    [aux_sym_keep_alive_token1] = ACTIONS(3582),
    [aux_sym_tag_token1] = ACTIONS(3582),
    [aux_sym_tunnel_token1] = ACTIONS(3584),
    [aux_sym_tunnel_device_token1] = ACTIONS(3582),
    [aux_sym_update_host_keys_token1] = ACTIONS(3582),
    [aux_sym_use_keychain_token1] = ACTIONS(3582),
    [aux_sym_use_roaming_token1] = ACTIONS(3582),
    [aux_sym_user_token1] = ACTIONS(3584),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3582),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3582),
    [aux_sym_version_addendum_token1] = ACTIONS(3582),
    [aux_sym_visual_host_key_token1] = ACTIONS(3582),
    [aux_sym_xauth_location_token1] = ACTIONS(3582),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(3586),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3588),
    [aux_sym_match_token1] = ACTIONS(3586),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3586),
    [aux_sym_address_family_token1] = ACTIONS(3586),
    [aux_sym_batch_mode_token1] = ACTIONS(3586),
    [aux_sym_bind_address_token1] = ACTIONS(3586),
    [aux_sym_bind_interface_token1] = ACTIONS(3586),
    [aux_sym_canonical_domains_token1] = ACTIONS(3586),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3586),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3586),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3586),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3586),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3586),
    [aux_sym_certificate_file_token1] = ACTIONS(3586),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3586),
    [aux_sym_channel_timeout_token1] = ACTIONS(3586),
    [aux_sym_check_host_ip_token1] = ACTIONS(3586),
    [aux_sym_ciphers_token1] = ACTIONS(3586),
    [aux_sym_cipher_token1] = ACTIONS(3588),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3586),
    [aux_sym_compression_token1] = ACTIONS(3586),
    [aux_sym_connection_attempts_token1] = ACTIONS(3586),
    [aux_sym_connect_timeout_token1] = ACTIONS(3586),
    [aux_sym_control_master_token1] = ACTIONS(3586),
    [aux_sym_control_path_token1] = ACTIONS(3586),
    [aux_sym_control_persist_token1] = ACTIONS(3586),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3586),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3586),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3586),
    [aux_sym_escape_char_token1] = ACTIONS(3586),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3586),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3586),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3586),
    [aux_sym_forward_agent_token1] = ACTIONS(3586),
    [aux_sym_forward_x11_token1] = ACTIONS(3588),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3586),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3586),
    [aux_sym_gateway_ports_token1] = ACTIONS(3586),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3586),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3586),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3586),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3586),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3586),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3586),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3586),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3586),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3586),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3586),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3586),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3586),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3586),
    [aux_sym_host_key_alias_token1] = ACTIONS(3586),
    [aux_sym_hostname_token1] = ACTIONS(3586),
    [aux_sym_identities_only_token1] = ACTIONS(3586),
    [aux_sym_identity_agent_token1] = ACTIONS(3586),
    [aux_sym_identity_file_token1] = ACTIONS(3586),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3586),
    [aux_sym_include_token1] = ACTIONS(3586),
    [aux_sym_ip_qos_token1] = ACTIONS(3586),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3586),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3586),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3586),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3586),
    [aux_sym_local_command_token1] = ACTIONS(3586),
    [aux_sym_local_forward_token1] = ACTIONS(3586),
    [aux_sym_log_level_token1] = ACTIONS(3586),
    [aux_sym_log_verbose_token1] = ACTIONS(3586),
    [aux_sym_macs_token1] = ACTIONS(3586),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3586),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3586),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3586),
    [aux_sym_password_authentication_token1] = ACTIONS(3586),
    [aux_sym_permit_local_command_token1] = ACTIONS(3586),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3586),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3586),
    [aux_sym_port_token1] = ACTIONS(3586),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3586),
    [aux_sym_protocol_token1] = ACTIONS(3586),
    [aux_sym_proxy_command_token1] = ACTIONS(3586),
    [aux_sym_proxy_jump_token1] = ACTIONS(3586),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3586),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3586),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3586),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3586),
    [aux_sym_rekey_limit_token1] = ACTIONS(3586),
    [aux_sym_remote_command_token1] = ACTIONS(3586),
    [aux_sym_remote_forward_token1] = ACTIONS(3586),
    [aux_sym_request_tty_token1] = ACTIONS(3586),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3586),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3586),
    [aux_sym_security_key_provider_token1] = ACTIONS(3586),
    [aux_sym_send_env_token1] = ACTIONS(3586),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3586),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3586),
    [aux_sym_session_type_token1] = ACTIONS(3586),
    [aux_sym_set_env_token1] = ACTIONS(3586),
    [aux_sym_stdin_null_token1] = ACTIONS(3586),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3586),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3586),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3586),
    [aux_sym_syslog_facility_token1] = ACTIONS(3586),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3586),
    [aux_sym_keep_alive_token1] = ACTIONS(3586),
    [aux_sym_tag_token1] = ACTIONS(3586),
    [aux_sym_tunnel_token1] = ACTIONS(3588),
    [aux_sym_tunnel_device_token1] = ACTIONS(3586),
    [aux_sym_update_host_keys_token1] = ACTIONS(3586),
    [aux_sym_use_keychain_token1] = ACTIONS(3586),
    [aux_sym_use_roaming_token1] = ACTIONS(3586),
    [aux_sym_user_token1] = ACTIONS(3588),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3586),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3586),
    [aux_sym_version_addendum_token1] = ACTIONS(3586),
    [aux_sym_visual_host_key_token1] = ACTIONS(3586),
    [aux_sym_xauth_location_token1] = ACTIONS(3586),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3592),
    [aux_sym_match_token1] = ACTIONS(3590),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3590),
    [aux_sym_address_family_token1] = ACTIONS(3590),
    [aux_sym_batch_mode_token1] = ACTIONS(3590),
    [aux_sym_bind_address_token1] = ACTIONS(3590),
    [aux_sym_bind_interface_token1] = ACTIONS(3590),
    [aux_sym_canonical_domains_token1] = ACTIONS(3590),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3590),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3590),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3590),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3590),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3590),
    [aux_sym_certificate_file_token1] = ACTIONS(3590),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3590),
    [aux_sym_channel_timeout_token1] = ACTIONS(3590),
    [aux_sym_check_host_ip_token1] = ACTIONS(3590),
    [aux_sym_ciphers_token1] = ACTIONS(3590),
    [aux_sym_cipher_token1] = ACTIONS(3592),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3590),
    [aux_sym_compression_token1] = ACTIONS(3590),
    [aux_sym_connection_attempts_token1] = ACTIONS(3590),
    [aux_sym_connect_timeout_token1] = ACTIONS(3590),
    [aux_sym_control_master_token1] = ACTIONS(3590),
    [aux_sym_control_path_token1] = ACTIONS(3590),
    [aux_sym_control_persist_token1] = ACTIONS(3590),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3590),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3590),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3590),
    [aux_sym_escape_char_token1] = ACTIONS(3590),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3590),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3590),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3590),
    [aux_sym_forward_agent_token1] = ACTIONS(3590),
    [aux_sym_forward_x11_token1] = ACTIONS(3592),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3590),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3590),
    [aux_sym_gateway_ports_token1] = ACTIONS(3590),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3590),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3590),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3590),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3590),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3590),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3590),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3590),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3590),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3590),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3590),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3590),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3590),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3590),
    [aux_sym_host_key_alias_token1] = ACTIONS(3590),
    [aux_sym_hostname_token1] = ACTIONS(3590),
    [aux_sym_identities_only_token1] = ACTIONS(3590),
    [aux_sym_identity_agent_token1] = ACTIONS(3590),
    [aux_sym_identity_file_token1] = ACTIONS(3590),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3590),
    [aux_sym_include_token1] = ACTIONS(3590),
    [aux_sym_ip_qos_token1] = ACTIONS(3590),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3590),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3590),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3590),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3590),
    [aux_sym_local_command_token1] = ACTIONS(3590),
    [aux_sym_local_forward_token1] = ACTIONS(3590),
    [aux_sym_log_level_token1] = ACTIONS(3590),
    [aux_sym_log_verbose_token1] = ACTIONS(3590),
    [aux_sym_macs_token1] = ACTIONS(3590),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3590),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3590),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3590),
    [aux_sym_password_authentication_token1] = ACTIONS(3590),
    [aux_sym_permit_local_command_token1] = ACTIONS(3590),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3590),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3590),
    [aux_sym_port_token1] = ACTIONS(3590),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3590),
    [aux_sym_protocol_token1] = ACTIONS(3590),
    [aux_sym_proxy_command_token1] = ACTIONS(3590),
    [aux_sym_proxy_jump_token1] = ACTIONS(3590),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3590),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3590),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3590),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3590),
    [aux_sym_rekey_limit_token1] = ACTIONS(3590),
    [aux_sym_remote_command_token1] = ACTIONS(3590),
    [aux_sym_remote_forward_token1] = ACTIONS(3590),
    [aux_sym_request_tty_token1] = ACTIONS(3590),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3590),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3590),
    [aux_sym_security_key_provider_token1] = ACTIONS(3590),
    [aux_sym_send_env_token1] = ACTIONS(3590),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3590),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3590),
    [aux_sym_session_type_token1] = ACTIONS(3590),
    [aux_sym_set_env_token1] = ACTIONS(3590),
    [aux_sym_stdin_null_token1] = ACTIONS(3590),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3590),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3590),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3590),
    [aux_sym_syslog_facility_token1] = ACTIONS(3590),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3590),
    [aux_sym_keep_alive_token1] = ACTIONS(3590),
    [aux_sym_tag_token1] = ACTIONS(3590),
    [aux_sym_tunnel_token1] = ACTIONS(3592),
    [aux_sym_tunnel_device_token1] = ACTIONS(3590),
    [aux_sym_update_host_keys_token1] = ACTIONS(3590),
    [aux_sym_use_keychain_token1] = ACTIONS(3590),
    [aux_sym_use_roaming_token1] = ACTIONS(3590),
    [aux_sym_user_token1] = ACTIONS(3592),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3590),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3590),
    [aux_sym_version_addendum_token1] = ACTIONS(3590),
    [aux_sym_visual_host_key_token1] = ACTIONS(3590),
    [aux_sym_xauth_location_token1] = ACTIONS(3590),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(3594),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3596),
    [aux_sym_match_token1] = ACTIONS(3594),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3594),
    [aux_sym_address_family_token1] = ACTIONS(3594),
    [aux_sym_batch_mode_token1] = ACTIONS(3594),
    [aux_sym_bind_address_token1] = ACTIONS(3594),
    [aux_sym_bind_interface_token1] = ACTIONS(3594),
    [aux_sym_canonical_domains_token1] = ACTIONS(3594),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3594),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3594),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3594),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3594),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3594),
    [aux_sym_certificate_file_token1] = ACTIONS(3594),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3594),
    [aux_sym_channel_timeout_token1] = ACTIONS(3594),
    [aux_sym_check_host_ip_token1] = ACTIONS(3594),
    [aux_sym_ciphers_token1] = ACTIONS(3594),
    [aux_sym_cipher_token1] = ACTIONS(3596),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3594),
    [aux_sym_compression_token1] = ACTIONS(3594),
    [aux_sym_connection_attempts_token1] = ACTIONS(3594),
    [aux_sym_connect_timeout_token1] = ACTIONS(3594),
    [aux_sym_control_master_token1] = ACTIONS(3594),
    [aux_sym_control_path_token1] = ACTIONS(3594),
    [aux_sym_control_persist_token1] = ACTIONS(3594),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3594),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3594),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3594),
    [aux_sym_escape_char_token1] = ACTIONS(3594),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3594),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3594),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3594),
    [aux_sym_forward_agent_token1] = ACTIONS(3594),
    [aux_sym_forward_x11_token1] = ACTIONS(3596),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3594),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3594),
    [aux_sym_gateway_ports_token1] = ACTIONS(3594),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3594),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3594),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3594),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3594),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3594),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3594),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3594),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3594),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3594),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3594),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3594),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3594),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3594),
    [aux_sym_host_key_alias_token1] = ACTIONS(3594),
    [aux_sym_hostname_token1] = ACTIONS(3594),
    [aux_sym_identities_only_token1] = ACTIONS(3594),
    [aux_sym_identity_agent_token1] = ACTIONS(3594),
    [aux_sym_identity_file_token1] = ACTIONS(3594),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3594),
    [aux_sym_include_token1] = ACTIONS(3594),
    [aux_sym_ip_qos_token1] = ACTIONS(3594),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3594),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3594),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3594),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3594),
    [aux_sym_local_command_token1] = ACTIONS(3594),
    [aux_sym_local_forward_token1] = ACTIONS(3594),
    [aux_sym_log_level_token1] = ACTIONS(3594),
    [aux_sym_log_verbose_token1] = ACTIONS(3594),
    [aux_sym_macs_token1] = ACTIONS(3594),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3594),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3594),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3594),
    [aux_sym_password_authentication_token1] = ACTIONS(3594),
    [aux_sym_permit_local_command_token1] = ACTIONS(3594),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3594),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3594),
    [aux_sym_port_token1] = ACTIONS(3594),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3594),
    [aux_sym_protocol_token1] = ACTIONS(3594),
    [aux_sym_proxy_command_token1] = ACTIONS(3594),
    [aux_sym_proxy_jump_token1] = ACTIONS(3594),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3594),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3594),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3594),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3594),
    [aux_sym_rekey_limit_token1] = ACTIONS(3594),
    [aux_sym_remote_command_token1] = ACTIONS(3594),
    [aux_sym_remote_forward_token1] = ACTIONS(3594),
    [aux_sym_request_tty_token1] = ACTIONS(3594),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3594),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3594),
    [aux_sym_security_key_provider_token1] = ACTIONS(3594),
    [aux_sym_send_env_token1] = ACTIONS(3594),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3594),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3594),
    [aux_sym_session_type_token1] = ACTIONS(3594),
    [aux_sym_set_env_token1] = ACTIONS(3594),
    [aux_sym_stdin_null_token1] = ACTIONS(3594),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3594),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3594),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3594),
    [aux_sym_syslog_facility_token1] = ACTIONS(3594),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3594),
    [aux_sym_keep_alive_token1] = ACTIONS(3594),
    [aux_sym_tag_token1] = ACTIONS(3594),
    [aux_sym_tunnel_token1] = ACTIONS(3596),
    [aux_sym_tunnel_device_token1] = ACTIONS(3594),
    [aux_sym_update_host_keys_token1] = ACTIONS(3594),
    [aux_sym_use_keychain_token1] = ACTIONS(3594),
    [aux_sym_use_roaming_token1] = ACTIONS(3594),
    [aux_sym_user_token1] = ACTIONS(3596),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3594),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3594),
    [aux_sym_version_addendum_token1] = ACTIONS(3594),
    [aux_sym_visual_host_key_token1] = ACTIONS(3594),
    [aux_sym_xauth_location_token1] = ACTIONS(3594),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2216),
    [aux_sym_match_token1] = ACTIONS(2214),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2214),
    [aux_sym_address_family_token1] = ACTIONS(2214),
    [aux_sym_batch_mode_token1] = ACTIONS(2214),
    [aux_sym_bind_address_token1] = ACTIONS(2214),
    [aux_sym_bind_interface_token1] = ACTIONS(2214),
    [aux_sym_canonical_domains_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2214),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2214),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2214),
    [aux_sym_certificate_file_token1] = ACTIONS(2214),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2214),
    [aux_sym_channel_timeout_token1] = ACTIONS(2214),
    [aux_sym_check_host_ip_token1] = ACTIONS(2214),
    [aux_sym_ciphers_token1] = ACTIONS(2214),
    [aux_sym_cipher_token1] = ACTIONS(2216),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2214),
    [aux_sym_compression_token1] = ACTIONS(2214),
    [aux_sym_connection_attempts_token1] = ACTIONS(2214),
    [aux_sym_connect_timeout_token1] = ACTIONS(2214),
    [aux_sym_control_master_token1] = ACTIONS(2214),
    [aux_sym_control_path_token1] = ACTIONS(2214),
    [aux_sym_control_persist_token1] = ACTIONS(2214),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2214),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2214),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2214),
    [aux_sym_escape_char_token1] = ACTIONS(2214),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2214),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2214),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2214),
    [aux_sym_forward_agent_token1] = ACTIONS(2214),
    [aux_sym_forward_x11_token1] = ACTIONS(2216),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2214),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2214),
    [aux_sym_gateway_ports_token1] = ACTIONS(2214),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2214),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2214),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2214),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2214),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2214),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2214),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2214),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2214),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2214),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2214),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2214),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2214),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2214),
    [aux_sym_host_key_alias_token1] = ACTIONS(2214),
    [aux_sym_hostname_token1] = ACTIONS(2214),
    [aux_sym_identities_only_token1] = ACTIONS(2214),
    [aux_sym_identity_agent_token1] = ACTIONS(2214),
    [aux_sym_identity_file_token1] = ACTIONS(2214),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2214),
    [aux_sym_include_token1] = ACTIONS(2214),
    [aux_sym_ip_qos_token1] = ACTIONS(2214),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2214),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2214),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2214),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2214),
    [aux_sym_local_command_token1] = ACTIONS(2214),
    [aux_sym_local_forward_token1] = ACTIONS(2214),
    [aux_sym_log_level_token1] = ACTIONS(2214),
    [aux_sym_log_verbose_token1] = ACTIONS(2214),
    [aux_sym_macs_token1] = ACTIONS(2214),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2214),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2214),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2214),
    [aux_sym_password_authentication_token1] = ACTIONS(2214),
    [aux_sym_permit_local_command_token1] = ACTIONS(2214),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2214),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2214),
    [aux_sym_port_token1] = ACTIONS(2214),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2214),
    [aux_sym_protocol_token1] = ACTIONS(2214),
    [aux_sym_proxy_command_token1] = ACTIONS(2214),
    [aux_sym_proxy_jump_token1] = ACTIONS(2214),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2214),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2214),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2214),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2214),
    [aux_sym_rekey_limit_token1] = ACTIONS(2214),
    [aux_sym_remote_command_token1] = ACTIONS(2214),
    [aux_sym_remote_forward_token1] = ACTIONS(2214),
    [aux_sym_request_tty_token1] = ACTIONS(2214),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2214),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2214),
    [aux_sym_security_key_provider_token1] = ACTIONS(2214),
    [aux_sym_send_env_token1] = ACTIONS(2214),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2214),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2214),
    [aux_sym_session_type_token1] = ACTIONS(2214),
    [aux_sym_set_env_token1] = ACTIONS(2214),
    [aux_sym_stdin_null_token1] = ACTIONS(2214),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2214),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2214),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2214),
    [aux_sym_syslog_facility_token1] = ACTIONS(2214),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2214),
    [aux_sym_keep_alive_token1] = ACTIONS(2214),
    [aux_sym_tag_token1] = ACTIONS(2214),
    [aux_sym_tunnel_token1] = ACTIONS(2216),
    [aux_sym_tunnel_device_token1] = ACTIONS(2214),
    [aux_sym_update_host_keys_token1] = ACTIONS(2214),
    [aux_sym_use_keychain_token1] = ACTIONS(2214),
    [aux_sym_use_roaming_token1] = ACTIONS(2214),
    [aux_sym_user_token1] = ACTIONS(2216),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2214),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2214),
    [aux_sym_version_addendum_token1] = ACTIONS(2214),
    [aux_sym_visual_host_key_token1] = ACTIONS(2214),
    [aux_sym_xauth_location_token1] = ACTIONS(2214),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_EQ,
    ACTIONS(3602), 1,
      anon_sym_DQUOTE,
    STATE(126), 1,
      sym_ip_qos_value,
    ACTIONS(3598), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [42] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_DQUOTE,
    STATE(296), 1,
      sym_ip_qos_value,
    ACTIONS(3598), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [81] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(296), 1,
      sym_ip_qos_value,
    ACTIONS(3598), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(410), 1,
      sym_ip_qos_value,
    ACTIONS(3598), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_EQ,
    ACTIONS(3608), 1,
      anon_sym_DQUOTE,
    STATE(210), 1,
      sym_syslog_facility_value,
    ACTIONS(3610), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_DQUOTE,
    STATE(338), 1,
      sym_syslog_facility_value,
    ACTIONS(3610), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_EQ,
    ACTIONS(3616), 1,
      anon_sym_DQUOTE,
    STATE(4), 1,
      aux_sym__channel_timeout_value,
    STATE(1388), 1,
      sym_channel_timeout_type,
    ACTIONS(592), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_EQ,
    ACTIONS(3620), 1,
      anon_sym_DQUOTE,
    ACTIONS(3624), 1,
      aux_sym_log_level_value_token6,
    STATE(140), 1,
      sym_log_level_value,
    ACTIONS(3622), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(338), 1,
      sym_syslog_facility_value,
    ACTIONS(3610), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(452), 1,
      sym_syslog_facility_value,
    ACTIONS(3610), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      aux_sym_log_level_value_token6,
    ACTIONS(3626), 1,
      anon_sym_DQUOTE,
    STATE(303), 1,
      sym_log_level_value,
    ACTIONS(3622), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_DQUOTE,
    STATE(5), 1,
      aux_sym__channel_timeout_value,
    STATE(1388), 1,
      sym_channel_timeout_type,
    ACTIONS(592), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(3634), 1,
      anon_sym_DQUOTE,
    ACTIONS(3636), 1,
      aux_sym_control_master_value_token2,
    STATE(56), 1,
      sym_control_master_value,
    ACTIONS(3630), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      aux_sym_log_level_value_token6,
    STATE(417), 1,
      sym_log_level_value,
    ACTIONS(3622), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5), 1,
      aux_sym__channel_timeout_value,
    STATE(1388), 1,
      sym_channel_timeout_type,
    ACTIONS(592), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7), 1,
      aux_sym__channel_timeout_value,
    STATE(1388), 1,
      sym_channel_timeout_type,
    ACTIONS(592), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      aux_sym_log_level_value_token6,
    STATE(303), 1,
      sym_log_level_value,
    ACTIONS(3622), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3642), 1,
      anon_sym_DQUOTE,
    STATE(208), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3638), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      sym_time_format,
    ACTIONS(3648), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_DQUOTE,
    STATE(59), 1,
      sym_boolean,
    STATE(60), 1,
      sym_control_persist_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3654), 1,
      anon_sym_EQ,
    ACTIONS(3656), 1,
      anon_sym_DQUOTE,
    STATE(184), 1,
      sym_request_tty_value,
    ACTIONS(3652), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      aux_sym_control_master_value_token2,
    ACTIONS(3658), 1,
      anon_sym_DQUOTE,
    STATE(261), 1,
      sym_control_master_value,
    ACTIONS(3630), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_DQUOTE,
    STATE(337), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3638), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym_boolean_token3,
    ACTIONS(3666), 1,
      anon_sym_EQ,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    STATE(30), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3662), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_EQ,
    ACTIONS(3674), 1,
      anon_sym_DQUOTE,
    STATE(176), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3670), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_EQ,
    ACTIONS(3678), 1,
      anon_sym_DQUOTE,
    STATE(63), 1,
      sym_boolean,
    STATE(64), 1,
      sym_enable_escape_commandline_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_EQ,
    ACTIONS(3682), 1,
      anon_sym_DQUOTE,
    STATE(145), 1,
      sym_boolean,
    STATE(146), 1,
      sym_no_host_authentication_for_localhost_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_EQ,
    ACTIONS(3686), 1,
      anon_sym_DQUOTE,
    STATE(27), 1,
      sym_boolean,
    STATE(28), 1,
      sym_canonicalize_fallback_local_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      sym_time_format,
    ACTIONS(3688), 1,
      anon_sym_DQUOTE,
    STATE(59), 1,
      sym_boolean,
    STATE(263), 1,
      sym_control_persist_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym_boolean_token3,
    ACTIONS(3690), 1,
      anon_sym_DQUOTE,
    STATE(248), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3662), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_EQ,
    ACTIONS(3694), 1,
      anon_sym_DQUOTE,
    STATE(49), 1,
      sym_boolean,
    STATE(50), 1,
      sym_compression_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_EQ,
    ACTIONS(3698), 1,
      anon_sym_DQUOTE,
    STATE(225), 1,
      sym_boolean,
    STATE(226), 1,
      sym_use_roaming_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_EQ,
    ACTIONS(3702), 1,
      anon_sym_DQUOTE,
    STATE(73), 1,
      sym_boolean,
    STATE(74), 1,
      sym_fork_after_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_DQUOTE,
    STATE(325), 1,
      sym_request_tty_value,
    ACTIONS(3652), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_DQUOTE,
    STATE(232), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3706), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3712), 1,
      anon_sym_EQ,
    ACTIONS(3714), 1,
      anon_sym_DQUOTE,
    STATE(213), 1,
      sym_boolean,
    STATE(214), 1,
      sym_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_EQ,
    ACTIONS(3718), 1,
      anon_sym_DQUOTE,
    STATE(151), 1,
      sym_boolean,
    STATE(152), 1,
      sym_password_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_EQ,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      sym_boolean,
    STATE(78), 1,
      sym_forward_x11_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_EQ,
    ACTIONS(3726), 1,
      anon_sym_DQUOTE,
    STATE(115), 1,
      sym_boolean,
    STATE(116), 1,
      sym_identities_only_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [896] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      anon_sym_EQ,
    ACTIONS(3730), 1,
      anon_sym_DQUOTE,
    STATE(235), 1,
      sym_boolean,
    STATE(236), 1,
      sym_visual_host_key_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_EQ,
    ACTIONS(3734), 1,
      anon_sym_DQUOTE,
    STATE(153), 1,
      sym_boolean,
    STATE(154), 1,
      sym_permit_local_command_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      aux_sym_control_master_value_token2,
    STATE(261), 1,
      sym_control_master_value,
    ACTIONS(3630), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_EQ,
    ACTIONS(3738), 1,
      anon_sym_DQUOTE,
    STATE(223), 1,
      sym_boolean,
    STATE(224), 1,
      sym_use_keychain_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_EQ,
    ACTIONS(3742), 1,
      anon_sym_DQUOTE,
    STATE(107), 1,
      sym_boolean,
    STATE(108), 1,
      sym_hostbased_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_EQ,
    ACTIONS(3746), 1,
      anon_sym_DQUOTE,
    STATE(91), 1,
      sym_boolean,
    STATE(92), 1,
      sym_gssapi_delegate_credentials_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_EQ,
    ACTIONS(3750), 1,
      anon_sym_DQUOTE,
    STATE(19), 1,
      sym_boolean,
    STATE(20), 1,
      sym_batch_mode_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3638), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [1062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      anon_sym_DQUOTE,
    STATE(81), 1,
      sym_boolean,
    STATE(82), 1,
      sym_forward_x11_trusted_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_EQ,
    ACTIONS(3758), 1,
      anon_sym_DQUOTE,
    STATE(93), 1,
      sym_boolean,
    STATE(94), 1,
      sym_gssapi_key_exchange_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_EQ,
    ACTIONS(3762), 1,
      anon_sym_DQUOTE,
    STATE(169), 1,
      sym_boolean,
    STATE(170), 1,
      sym_proxy_use_fdpass_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_EQ,
    ACTIONS(3766), 1,
      anon_sym_DQUOTE,
    STATE(201), 1,
      sym_boolean,
    STATE(202), 1,
      sym_stdin_null_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_EQ,
    ACTIONS(3770), 1,
      anon_sym_DQUOTE,
    STATE(83), 1,
      sym_boolean,
    STATE(84), 1,
      sym_gateway_ports_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_EQ,
    ACTIONS(3774), 1,
      anon_sym_DQUOTE,
    STATE(65), 1,
      sym_boolean,
    STATE(66), 1,
      sym_enable_ssh_keysign_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_EQ,
    ACTIONS(3778), 1,
      anon_sym_DQUOTE,
    STATE(95), 1,
      sym_boolean,
    STATE(96), 1,
      sym_gssapi_renewal_forces_rekey_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1216] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_EQ,
    ACTIONS(3782), 1,
      anon_sym_DQUOTE,
    STATE(205), 1,
      sym_boolean,
    STATE(206), 1,
      sym_stream_local_bind_unlink_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_EQ,
    ACTIONS(3786), 1,
      anon_sym_DQUOTE,
    STATE(87), 1,
      sym_boolean,
    STATE(88), 1,
      sym_gssapi_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_DQUOTE,
    STATE(321), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3670), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [1278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    ACTIONS(3792), 1,
      anon_sym_DQUOTE,
    STATE(127), 1,
      sym_boolean,
    STATE(128), 1,
      sym_kbd_interactive_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      aux_sym_control_master_value_token2,
    STATE(375), 1,
      sym_control_master_value,
    ACTIONS(3630), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [1318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_EQ,
    ACTIONS(3796), 1,
      anon_sym_DQUOTE,
    STATE(41), 1,
      sym_boolean,
    STATE(42), 1,
      sym_check_host_ip_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_EQ,
    ACTIONS(3800), 1,
      anon_sym_DQUOTE,
    STATE(16), 1,
      sym_boolean,
    STATE(17), 1,
      sym_add_keys_to_agent_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    STATE(99), 1,
      sym_boolean,
    STATE(100), 1,
      sym_gssapi_trust_dns_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_EQ,
    ACTIONS(3808), 1,
      anon_sym_DQUOTE,
    STATE(47), 1,
      sym_boolean,
    STATE(48), 1,
      sym_clear_all_forwardings_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      anon_sym_EQ,
    ACTIONS(3812), 1,
      anon_sym_DQUOTE,
    STATE(211), 1,
      sym_boolean,
    STATE(212), 1,
      sym_tcp_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_EQ,
    ACTIONS(3818), 1,
      anon_sym_DQUOTE,
    STATE(222), 1,
      sym_update_host_keys_value,
    ACTIONS(3814), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [1448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_EQ,
    ACTIONS(3822), 1,
      anon_sym_DQUOTE,
    STATE(69), 1,
      sym_boolean,
    STATE(70), 1,
      sym_exit_on_forward_failure_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_EQ,
    ACTIONS(3826), 1,
      anon_sym_DQUOTE,
    STATE(103), 1,
      sym_boolean,
    STATE(104), 1,
      sym_hash_known_hosts_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_EQ,
    ACTIONS(3830), 1,
      anon_sym_DQUOTE,
    STATE(39), 1,
      sym_boolean,
    STATE(40), 1,
      sym_challenge_response_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(337), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3638), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [1530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    STATE(205), 1,
      sym_boolean,
    STATE(336), 1,
      sym_stream_local_bind_unlink_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(325), 1,
      sym_request_tty_value,
    ACTIONS(3652), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [1564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(439), 1,
      sym_request_tty_value,
    ACTIONS(3652), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [1579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(321), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3670), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [1594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_DQUOTE,
    STATE(41), 1,
      sym_boolean,
    STATE(254), 1,
      sym_check_host_ip_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_DQUOTE,
    STATE(201), 1,
      sym_boolean,
    STATE(334), 1,
      sym_stdin_null_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_DQUOTE,
    STATE(99), 1,
      sym_boolean,
    STATE(283), 1,
      sym_gssapi_trust_dns_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_DQUOTE,
    STATE(115), 1,
      sym_boolean,
    STATE(291), 1,
      sym_identities_only_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_EQ,
    ACTIONS(3846), 1,
      anon_sym_DQUOTE,
    STATE(218), 1,
      sym_tunnel_value,
    ACTIONS(3842), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [1689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_DQUOTE,
    STATE(16), 1,
      sym_boolean,
    STATE(241), 1,
      sym_add_keys_to_agent_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym_boolean_token3,
    STATE(362), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3662), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [1725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_DQUOTE,
    STATE(145), 1,
      sym_boolean,
    STATE(306), 1,
      sym_no_host_authentication_for_localhost_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_DQUOTE,
    STATE(19), 1,
      sym_boolean,
    STATE(243), 1,
      sym_batch_mode_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    STATE(225), 1,
      sym_boolean,
    STATE(346), 1,
      sym_use_roaming_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_DQUOTE,
    STATE(39), 1,
      sym_boolean,
    STATE(253), 1,
      sym_challenge_response_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_DQUOTE,
    STATE(49), 1,
      sym_boolean,
    STATE(258), 1,
      sym_compression_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_DQUOTE,
    STATE(349), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3706), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [1837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_DQUOTE,
    STATE(235), 1,
      sym_boolean,
    STATE(351), 1,
      sym_visual_host_key_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      sym_time_format,
    STATE(59), 1,
      sym_boolean,
    STATE(377), 1,
      sym_control_persist_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_DQUOTE,
    STATE(47), 1,
      sym_boolean,
    STATE(257), 1,
      sym_clear_all_forwardings_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_DQUOTE,
    STATE(95), 1,
      sym_boolean,
    STATE(281), 1,
      sym_gssapi_renewal_forces_rekey_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_DQUOTE,
    STATE(69), 1,
      sym_boolean,
    STATE(268), 1,
      sym_exit_on_forward_failure_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym_DQUOTE,
    STATE(83), 1,
      sym_boolean,
    STATE(275), 1,
      sym_gateway_ports_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_DQUOTE,
    STATE(27), 1,
      sym_boolean,
    STATE(247), 1,
      sym_canonicalize_fallback_local_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_DQUOTE,
    STATE(93), 1,
      sym_boolean,
    STATE(280), 1,
      sym_gssapi_key_exchange_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    STATE(153), 1,
      sym_boolean,
    STATE(310), 1,
      sym_permit_local_command_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_DQUOTE,
    STATE(87), 1,
      sym_boolean,
    STATE(277), 1,
      sym_gssapi_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_DQUOTE,
    STATE(103), 1,
      sym_boolean,
    STATE(285), 1,
      sym_hash_known_hosts_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_DQUOTE,
    STATE(223), 1,
      sym_boolean,
    STATE(345), 1,
      sym_use_keychain_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_DQUOTE,
    STATE(63), 1,
      sym_boolean,
    STATE(466), 1,
      sym_enable_escape_commandline_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_DQUOTE,
    STATE(73), 1,
      sym_boolean,
    STATE(270), 1,
      sym_fork_after_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      sym_time_format,
    STATE(59), 1,
      sym_boolean,
    STATE(263), 1,
      sym_control_persist_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      sym_boolean,
    STATE(272), 1,
      sym_forward_x11_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_DQUOTE,
    STATE(127), 1,
      sym_boolean,
    STATE(297), 1,
      sym_kbd_interactive_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_DQUOTE,
    STATE(81), 1,
      sym_boolean,
    STATE(274), 1,
      sym_forward_x11_trusted_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 1,
      anon_sym_DQUOTE,
    STATE(65), 1,
      sym_boolean,
    STATE(266), 1,
      sym_enable_ssh_keysign_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_DQUOTE,
    STATE(91), 1,
      sym_boolean,
    STATE(279), 1,
      sym_gssapi_delegate_credentials_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_DQUOTE,
    STATE(344), 1,
      sym_update_host_keys_value,
    ACTIONS(3814), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3900), 1,
      anon_sym_DQUOTE,
    STATE(169), 1,
      sym_boolean,
    STATE(318), 1,
      sym_proxy_use_fdpass_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym_boolean_token3,
    STATE(248), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3662), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [2270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_DQUOTE,
    STATE(211), 1,
      sym_boolean,
    STATE(339), 1,
      sym_tcp_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_DQUOTE,
    STATE(151), 1,
      sym_boolean,
    STATE(309), 1,
      sym_password_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(435), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3670), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [2323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_DQUOTE,
    STATE(107), 1,
      sym_boolean,
    STATE(287), 1,
      sym_hostbased_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_DQUOTE,
    STATE(213), 1,
      sym_boolean,
    STATE(340), 1,
      sym_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(107), 1,
      sym_boolean,
    STATE(401), 1,
      sym_hostbased_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(169), 1,
      sym_boolean,
    STATE(432), 1,
      sym_proxy_use_fdpass_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(145), 1,
      sym_boolean,
    STATE(306), 1,
      sym_no_host_authentication_for_localhost_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(151), 1,
      sym_boolean,
    STATE(309), 1,
      sym_password_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(153), 1,
      sym_boolean,
    STATE(310), 1,
      sym_permit_local_command_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(201), 1,
      sym_boolean,
    STATE(448), 1,
      sym_stdin_null_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(205), 1,
      sym_boolean,
    STATE(450), 1,
      sym_stream_local_bind_unlink_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16), 1,
      sym_boolean,
    STATE(241), 1,
      sym_add_keys_to_agent_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(211), 1,
      sym_boolean,
    STATE(453), 1,
      sym_tcp_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(213), 1,
      sym_boolean,
    STATE(454), 1,
      sym_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(169), 1,
      sym_boolean,
    STATE(318), 1,
      sym_proxy_use_fdpass_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(458), 1,
      sym_update_host_keys_value,
    ACTIONS(3814), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(223), 1,
      sym_boolean,
    STATE(459), 1,
      sym_use_keychain_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(19), 1,
      sym_boolean,
    STATE(243), 1,
      sym_batch_mode_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(225), 1,
      sym_boolean,
    STATE(460), 1,
      sym_use_roaming_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(463), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3706), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(235), 1,
      sym_boolean,
    STATE(465), 1,
      sym_visual_host_key_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(27), 1,
      sym_boolean,
    STATE(247), 1,
      sym_canonicalize_fallback_local_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(201), 1,
      sym_boolean,
    STATE(334), 1,
      sym_stdin_null_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(205), 1,
      sym_boolean,
    STATE(336), 1,
      sym_stream_local_bind_unlink_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(39), 1,
      sym_boolean,
    STATE(253), 1,
      sym_challenge_response_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(41), 1,
      sym_boolean,
    STATE(254), 1,
      sym_check_host_ip_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(211), 1,
      sym_boolean,
    STATE(339), 1,
      sym_tcp_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(213), 1,
      sym_boolean,
    STATE(340), 1,
      sym_keep_alive_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_DQUOTE,
    STATE(342), 1,
      sym_tunnel_value,
    ACTIONS(3842), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [2757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(47), 1,
      sym_boolean,
    STATE(257), 1,
      sym_clear_all_forwardings_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(344), 1,
      sym_update_host_keys_value,
    ACTIONS(3814), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(223), 1,
      sym_boolean,
    STATE(345), 1,
      sym_use_keychain_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(49), 1,
      sym_boolean,
    STATE(258), 1,
      sym_compression_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(225), 1,
      sym_boolean,
    STATE(346), 1,
      sym_use_roaming_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(349), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3706), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(235), 1,
      sym_boolean,
    STATE(351), 1,
      sym_visual_host_key_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16), 1,
      sym_boolean,
    STATE(355), 1,
      sym_add_keys_to_agent_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(19), 1,
      sym_boolean,
    STATE(357), 1,
      sym_batch_mode_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(63), 1,
      sym_boolean,
    STATE(466), 1,
      sym_enable_escape_commandline_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_EQ,
    ACTIONS(3914), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      aux_sym_address_family_value_token2,
    STATE(9), 1,
      sym_address_family_value,
    ACTIONS(3916), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [2933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(65), 1,
      sym_boolean,
    STATE(266), 1,
      sym_enable_ssh_keysign_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      anon_sym_EQ,
    ACTIONS(3922), 1,
      anon_sym_DQUOTE,
    STATE(198), 1,
      sym_session_type_value,
    ACTIONS(3924), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [2967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(69), 1,
      sym_boolean,
    STATE(268), 1,
      sym_exit_on_forward_failure_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(39), 1,
      sym_boolean,
    STATE(367), 1,
      sym_challenge_response_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(73), 1,
      sym_boolean,
    STATE(270), 1,
      sym_fork_after_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(41), 1,
      sym_boolean,
    STATE(368), 1,
      sym_check_host_ip_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(77), 1,
      sym_boolean,
    STATE(272), 1,
      sym_forward_x11_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(47), 1,
      sym_boolean,
    STATE(371), 1,
      sym_clear_all_forwardings_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(49), 1,
      sym_boolean,
    STATE(372), 1,
      sym_compression_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(81), 1,
      sym_boolean,
    STATE(274), 1,
      sym_forward_x11_trusted_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(83), 1,
      sym_boolean,
    STATE(275), 1,
      sym_gateway_ports_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(87), 1,
      sym_boolean,
    STATE(277), 1,
      sym_gssapi_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(63), 1,
      sym_boolean,
    STATE(379), 1,
      sym_enable_escape_commandline_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(65), 1,
      sym_boolean,
    STATE(380), 1,
      sym_enable_ssh_keysign_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(69), 1,
      sym_boolean,
    STATE(382), 1,
      sym_exit_on_forward_failure_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(91), 1,
      sym_boolean,
    STATE(279), 1,
      sym_gssapi_delegate_credentials_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(73), 1,
      sym_boolean,
    STATE(384), 1,
      sym_fork_after_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(93), 1,
      sym_boolean,
    STATE(280), 1,
      sym_gssapi_key_exchange_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(77), 1,
      sym_boolean,
    STATE(386), 1,
      sym_forward_x11_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(95), 1,
      sym_boolean,
    STATE(281), 1,
      sym_gssapi_renewal_forces_rekey_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(81), 1,
      sym_boolean,
    STATE(388), 1,
      sym_forward_x11_trusted_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(83), 1,
      sym_boolean,
    STATE(389), 1,
      sym_gateway_ports_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(99), 1,
      sym_boolean,
    STATE(283), 1,
      sym_gssapi_trust_dns_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(87), 1,
      sym_boolean,
    STATE(391), 1,
      sym_gssapi_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(91), 1,
      sym_boolean,
    STATE(393), 1,
      sym_gssapi_delegate_credentials_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(93), 1,
      sym_boolean,
    STATE(394), 1,
      sym_gssapi_key_exchange_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(103), 1,
      sym_boolean,
    STATE(285), 1,
      sym_hash_known_hosts_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(95), 1,
      sym_boolean,
    STATE(395), 1,
      sym_gssapi_renewal_forces_rekey_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(99), 1,
      sym_boolean,
    STATE(397), 1,
      sym_gssapi_trust_dns_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(107), 1,
      sym_boolean,
    STATE(287), 1,
      sym_hostbased_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(103), 1,
      sym_boolean,
    STATE(399), 1,
      sym_hash_known_hosts_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(115), 1,
      sym_boolean,
    STATE(405), 1,
      sym_identities_only_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(115), 1,
      sym_boolean,
    STATE(291), 1,
      sym_identities_only_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_EQ,
    ACTIONS(3930), 1,
      anon_sym_DQUOTE,
    STATE(150), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3926), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [3481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(127), 1,
      sym_boolean,
    STATE(411), 1,
      sym_kbd_interactive_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(127), 1,
      sym_boolean,
    STATE(297), 1,
      sym_kbd_interactive_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(145), 1,
      sym_boolean,
    STATE(420), 1,
      sym_no_host_authentication_for_localhost_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(151), 1,
      sym_boolean,
    STATE(423), 1,
      sym_password_authentication_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(153), 1,
      sym_boolean,
    STATE(424), 1,
      sym_permit_local_command_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(27), 1,
      sym_boolean,
    STATE(361), 1,
      sym_canonicalize_fallback_local_value,
    ACTIONS(3644), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(342), 1,
      sym_tunnel_value,
    ACTIONS(3842), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [3590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    STATE(332), 1,
      sym_session_type_value,
    ACTIONS(3924), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [3605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(456), 1,
      sym_tunnel_value,
    ACTIONS(3842), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [3618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 1,
      anon_sym_DQUOTE,
    STATE(308), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3926), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [3633] = 6,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3938), 1,
      aux_sym_pattern_token1,
    ACTIONS(3940), 1,
      anon_sym_EQ,
    ACTIONS(3942), 1,
      anon_sym_DQUOTE,
    STATE(11), 1,
      sym_pattern,
    STATE(12), 1,
      sym_host_value,
  [3652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    STATE(164), 1,
      sym_protocol_value,
    ACTIONS(3948), 2,
      anon_sym_1,
      anon_sym_2,
  [3669] = 6,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3938), 1,
      aux_sym_pattern_token1,
    ACTIONS(3950), 1,
      anon_sym_EQ,
    ACTIONS(3952), 1,
      anon_sym_DQUOTE,
    STATE(13), 1,
      sym_pattern,
    STATE(14), 1,
      sym_match_value,
  [3688] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_EQ,
    ACTIONS(3956), 1,
      anon_sym_DQUOTE,
    STATE(68), 1,
      sym_escape_char_value,
    ACTIONS(3958), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [3705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_EQ,
    ACTIONS(3962), 1,
      anon_sym_DQUOTE,
    STATE(72), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3964), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [3722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 1,
      aux_sym_address_family_value_token2,
    ACTIONS(3966), 1,
      anon_sym_DQUOTE,
    STATE(242), 1,
      sym_address_family_value,
    ACTIONS(3916), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [3739] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3968), 1,
      aux_sym_pattern_token1,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_DQUOTE,
    STATE(188), 1,
      sym_revoked_host_keys_value,
  [3755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(308), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3926), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [3767] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3974), 1,
      aux_sym_pattern_token1,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(3978), 1,
      anon_sym_DQUOTE,
    STATE(22), 1,
      sym_bind_address_value,
  [3783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 1,
      sym_time_format,
    ACTIONS(3982), 1,
      anon_sym_EQ,
    ACTIONS(3984), 1,
      anon_sym_DQUOTE,
    STATE(80), 1,
      sym_forward_x11_timeout_value,
  [3799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_DQUOTE,
    STATE(315), 1,
      sym_protocol_value,
    ACTIONS(3948), 2,
      anon_sym_1,
      anon_sym_2,
  [3813] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3988), 1,
      aux_sym_pattern_token1,
    ACTIONS(3990), 1,
      anon_sym_EQ,
    ACTIONS(3992), 1,
      anon_sym_DQUOTE,
    STATE(86), 1,
      sym_global_known_hosts_file_value,
  [3829] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3994), 1,
      aux_sym_pattern_token1,
    ACTIONS(3996), 1,
      anon_sym_EQ,
    ACTIONS(3998), 1,
      anon_sym_DQUOTE,
    STATE(24), 1,
      sym_bind_interface_value,
  [3845] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4000), 1,
      aux_sym_pattern_token1,
    ACTIONS(4002), 1,
      anon_sym_EQ,
    ACTIONS(4004), 1,
      anon_sym_DQUOTE,
    STATE(26), 1,
      sym_canonical_domains_value,
  [3861] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4006), 1,
      aux_sym_pattern_token1,
    ACTIONS(4008), 1,
      anon_sym_EQ,
    ACTIONS(4010), 1,
      anon_sym_DQUOTE,
    STATE(90), 1,
      sym_gssapi_client_identity_value,
  [3877] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4012), 1,
      aux_sym_pattern_token1,
    ACTIONS(4014), 1,
      anon_sym_EQ,
    ACTIONS(4016), 1,
      anon_sym_DQUOTE,
    STATE(230), 1,
      sym_user_known_hosts_file_value,
  [3893] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_DQUOTE,
    STATE(267), 1,
      sym_escape_char_value,
    ACTIONS(3958), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [3907] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4020), 1,
      aux_sym_pattern_token1,
    ACTIONS(4022), 1,
      anon_sym_EQ,
    ACTIONS(4024), 1,
      anon_sym_DQUOTE,
    STATE(98), 1,
      sym_gssapi_server_identity_value,
  [3923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_number,
    ACTIONS(4028), 1,
      anon_sym_EQ,
    ACTIONS(4030), 1,
      anon_sym_DQUOTE,
    STATE(32), 1,
      sym_canonicalize_max_dots_value,
  [3939] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4032), 1,
      aux_sym_pattern_token1,
    ACTIONS(4034), 1,
      anon_sym_EQ,
    ACTIONS(4036), 1,
      anon_sym_DQUOTE,
    STATE(220), 1,
      sym_tunnel_device_value,
  [3955] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4038), 1,
      aux_sym_pattern_token1,
    ACTIONS(4040), 1,
      anon_sym_EQ,
    ACTIONS(4042), 1,
      anon_sym_DQUOTE,
    STATE(102), 1,
      sym_gssapi_kex_algorithms_value,
  [3971] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4044), 1,
      aux_sym_pattern_token1,
    ACTIONS(4046), 1,
      anon_sym_EQ,
    ACTIONS(4048), 1,
      anon_sym_DQUOTE,
    STATE(34), 1,
      sym_canonicalize_permitted_cnames_value,
  [3987] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4050), 1,
      aux_sym_pattern_token1,
    ACTIONS(4052), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      anon_sym_DQUOTE,
    STATE(36), 1,
      sym_ca_signature_algorithms_value,
  [4003] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4056), 1,
      aux_sym_pattern_token1,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    ACTIONS(4060), 1,
      anon_sym_DQUOTE,
    STATE(106), 1,
      sym_hostbased_accepted_algorithms_value,
  [4019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_DQUOTE,
    STATE(269), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3964), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [4033] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4064), 1,
      aux_sym_pattern_token1,
    ACTIONS(4066), 1,
      anon_sym_EQ,
    ACTIONS(4068), 1,
      anon_sym_DQUOTE,
    STATE(110), 1,
      sym_host_key_algorithms_value,
  [4049] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4070), 1,
      aux_sym_pattern_token1,
    ACTIONS(4072), 1,
      anon_sym_EQ,
    ACTIONS(4074), 1,
      anon_sym_DQUOTE,
    STATE(38), 1,
      sym_certificate_file_value,
  [4065] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4076), 1,
      aux_sym_pattern_token1,
    ACTIONS(4078), 1,
      anon_sym_EQ,
    ACTIONS(4080), 1,
      anon_sym_DQUOTE,
    STATE(112), 1,
      sym_host_key_alias_value,
  [4081] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4082), 1,
      aux_sym_pattern_token1,
    ACTIONS(4084), 1,
      anon_sym_EQ,
    ACTIONS(4086), 1,
      anon_sym_DQUOTE,
    STATE(114), 1,
      sym_hostname_value,
  [4097] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_pattern_token1,
    ACTIONS(4090), 1,
      anon_sym_EQ,
    ACTIONS(4092), 1,
      anon_sym_DQUOTE,
    STATE(234), 1,
      sym_version_addendum_value,
  [4113] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4094), 1,
      aux_sym_pattern_token1,
    ACTIONS(4096), 1,
      anon_sym_EQ,
    ACTIONS(4098), 1,
      anon_sym_DQUOTE,
    STATE(118), 1,
      sym_identity_agent_value,
  [4129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(332), 1,
      sym_session_type_value,
    ACTIONS(3924), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [4141] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4100), 1,
      aux_sym_pattern_token1,
    ACTIONS(4102), 1,
      anon_sym_EQ,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    STATE(44), 1,
      sym_ciphers_value,
  [4157] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4106), 1,
      aux_sym_pattern_token1,
    ACTIONS(4108), 1,
      anon_sym_EQ,
    ACTIONS(4110), 1,
      anon_sym_DQUOTE,
    STATE(120), 1,
      sym_identity_file_value,
  [4173] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4112), 1,
      aux_sym_pattern_token1,
    ACTIONS(4114), 1,
      anon_sym_EQ,
    ACTIONS(4116), 1,
      anon_sym_DQUOTE,
    STATE(46), 1,
      sym_cipher_value,
  [4189] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4118), 1,
      aux_sym_pattern_token1,
    ACTIONS(4120), 1,
      anon_sym_EQ,
    ACTIONS(4122), 1,
      anon_sym_DQUOTE,
    STATE(122), 1,
      sym_ignore_unknown_value,
  [4205] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4124), 1,
      aux_sym_pattern_token1,
    ACTIONS(4126), 1,
      anon_sym_EQ,
    ACTIONS(4128), 1,
      anon_sym_DQUOTE,
    STATE(124), 1,
      sym_include_value,
  [4221] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4130), 1,
      aux_sym_pattern_token1,
    ACTIONS(4132), 1,
      anon_sym_EQ,
    ACTIONS(4134), 1,
      anon_sym_DQUOTE,
    STATE(238), 1,
      sym_xauth_location_value,
  [4237] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4136), 1,
      aux_sym_pattern_token1,
    ACTIONS(4138), 1,
      anon_sym_EQ,
    ACTIONS(4140), 1,
      anon_sym_DQUOTE,
    STATE(228), 1,
      sym_user_value,
  [4253] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4142), 1,
      aux_sym_pattern_token1,
    ACTIONS(4144), 1,
      anon_sym_EQ,
    ACTIONS(4146), 1,
      anon_sym_DQUOTE,
    STATE(130), 1,
      sym_kbd_interactive_devices_value,
  [4269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 1,
      sym_number,
    ACTIONS(4150), 1,
      anon_sym_EQ,
    ACTIONS(4152), 1,
      anon_sym_DQUOTE,
    STATE(52), 1,
      sym_connection_attempts_value,
  [4285] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4154), 1,
      aux_sym_pattern_token1,
    ACTIONS(4156), 1,
      anon_sym_EQ,
    ACTIONS(4158), 1,
      anon_sym_DQUOTE,
    STATE(132), 1,
      sym_kex_algorithms_value,
  [4301] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4160), 1,
      aux_sym_pattern_token1,
    ACTIONS(4162), 1,
      anon_sym_EQ,
    ACTIONS(4164), 1,
      anon_sym_DQUOTE,
    STATE(204), 1,
      sym_stream_local_bind_mask_value,
  [4317] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_pattern_token1,
    ACTIONS(4168), 1,
      anon_sym_EQ,
    ACTIONS(4170), 1,
      anon_sym_DQUOTE,
    STATE(136), 1,
      sym_local_command_value,
  [4333] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4172), 1,
      aux_sym_pattern_token1,
    ACTIONS(4174), 1,
      anon_sym_EQ,
    ACTIONS(4176), 1,
      anon_sym_DQUOTE,
    STATE(138), 1,
      sym_local_forward_value,
  [4349] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4178), 1,
      aux_sym_pattern_token1,
    ACTIONS(4180), 1,
      anon_sym_EQ,
    ACTIONS(4182), 1,
      anon_sym_DQUOTE,
    STATE(142), 1,
      sym_log_verbose_value,
  [4365] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4184), 1,
      aux_sym_pattern_token1,
    ACTIONS(4186), 1,
      anon_sym_EQ,
    ACTIONS(4188), 1,
      anon_sym_DQUOTE,
    STATE(144), 1,
      sym_macs_value,
  [4381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      sym_number,
    ACTIONS(4192), 1,
      anon_sym_EQ,
    ACTIONS(4194), 1,
      anon_sym_DQUOTE,
    STATE(54), 1,
      sym_connect_timeout_value,
  [4397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 1,
      aux_sym_address_family_value_token2,
    STATE(242), 1,
      sym_address_family_value,
    ACTIONS(3916), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [4411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 1,
      sym_number,
    ACTIONS(4198), 1,
      anon_sym_EQ,
    ACTIONS(4200), 1,
      anon_sym_DQUOTE,
    STATE(148), 1,
      sym_number_of_password_prompts_value,
  [4427] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3938), 1,
      aux_sym_pattern_token1,
    ACTIONS(4202), 1,
      anon_sym_DQUOTE,
    STATE(11), 1,
      sym_pattern,
    STATE(239), 1,
      sym_host_value,
  [4443] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4204), 1,
      aux_sym_pattern_token1,
    ACTIONS(4206), 1,
      anon_sym_EQ,
    ACTIONS(4208), 1,
      anon_sym_DQUOTE,
    STATE(156), 1,
      sym_permit_remote_open_value,
  [4459] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4210), 1,
      aux_sym_pattern_token1,
    ACTIONS(4212), 1,
      anon_sym_EQ,
    ACTIONS(4214), 1,
      anon_sym_DQUOTE,
    STATE(158), 1,
      sym_pkcs11_provider_value,
  [4475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_number,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    ACTIONS(4220), 1,
      anon_sym_DQUOTE,
    STATE(160), 1,
      sym_port_value,
  [4491] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4222), 1,
      aux_sym_pattern_token1,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    ACTIONS(4226), 1,
      anon_sym_DQUOTE,
    STATE(58), 1,
      sym_control_path_value,
  [4507] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4228), 1,
      aux_sym_pattern_token1,
    ACTIONS(4230), 1,
      anon_sym_EQ,
    ACTIONS(4232), 1,
      anon_sym_DQUOTE,
    STATE(162), 1,
      sym_preferred_authentications_value,
  [4523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 1,
      aux_sym_address_family_value_token2,
    STATE(356), 1,
      sym_address_family_value,
    ACTIONS(3916), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [4537] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4234), 1,
      aux_sym_pattern_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(4238), 1,
      anon_sym_DQUOTE,
    STATE(166), 1,
      sym_proxy_command_value,
  [4553] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4240), 1,
      aux_sym_pattern_token1,
    ACTIONS(4242), 1,
      anon_sym_EQ,
    ACTIONS(4244), 1,
      anon_sym_DQUOTE,
    STATE(168), 1,
      sym_proxy_jump_value,
  [4569] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4246), 1,
      aux_sym_pattern_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(4250), 1,
      anon_sym_DQUOTE,
    STATE(172), 1,
      sym_pubkey_accepted_algorithms_value,
  [4585] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4252), 1,
      aux_sym_pattern_token1,
    ACTIONS(4254), 1,
      anon_sym_EQ,
    ACTIONS(4256), 1,
      anon_sym_DQUOTE,
    STATE(174), 1,
      sym_pubkey_accepted_key_types_value,
  [4601] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4258), 1,
      aux_sym_pattern_token1,
    ACTIONS(4260), 1,
      anon_sym_EQ,
    ACTIONS(4262), 1,
      anon_sym_DQUOTE,
    STATE(62), 1,
      sym_dynamic_forward_value,
  [4617] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4264), 1,
      aux_sym_pattern_token1,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4268), 1,
      anon_sym_DQUOTE,
    STATE(178), 1,
      sym_rekey_limit_value,
  [4633] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4270), 1,
      aux_sym_pattern_token1,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_DQUOTE,
    STATE(180), 1,
      sym_remote_command_value,
  [4649] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4276), 1,
      aux_sym_pattern_token1,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    ACTIONS(4280), 1,
      anon_sym_DQUOTE,
    STATE(182), 1,
      sym_remote_forward_value,
  [4665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(446), 1,
      sym_session_type_value,
    ACTIONS(3924), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [4677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym_number,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4286), 1,
      anon_sym_DQUOTE,
    STATE(186), 1,
      sym_required_rsa_size_value,
  [4693] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4288), 1,
      aux_sym_pattern_token1,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_DQUOTE,
    STATE(200), 1,
      sym_set_env_value,
  [4709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(422), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3926), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [4721] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4294), 1,
      aux_sym_pattern_token1,
    ACTIONS(4296), 1,
      anon_sym_EQ,
    ACTIONS(4298), 1,
      anon_sym_DQUOTE,
    STATE(190), 1,
      sym_security_key_provider_value,
  [4737] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3938), 1,
      aux_sym_pattern_token1,
    ACTIONS(4300), 1,
      anon_sym_DQUOTE,
    STATE(13), 1,
      sym_pattern,
    STATE(240), 1,
      sym_match_value,
  [4753] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4302), 1,
      aux_sym_pattern_token1,
    ACTIONS(4304), 1,
      anon_sym_EQ,
    ACTIONS(4306), 1,
      anon_sym_DQUOTE,
    STATE(192), 1,
      sym_send_env_value,
  [4769] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4308), 1,
      aux_sym_pattern_token1,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    ACTIONS(4312), 1,
      anon_sym_DQUOTE,
    STATE(216), 1,
      sym_tag_value,
  [4785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      sym_number,
    ACTIONS(4316), 1,
      anon_sym_EQ,
    ACTIONS(4318), 1,
      anon_sym_DQUOTE,
    STATE(194), 1,
      sym_server_alive_count_max_value,
  [4801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      sym_number,
    ACTIONS(4322), 1,
      anon_sym_EQ,
    ACTIONS(4324), 1,
      anon_sym_DQUOTE,
    STATE(196), 1,
      sym_server_alive_interval_value,
  [4817] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4326), 1,
      aux_sym_pattern_token1,
    ACTIONS(4328), 1,
      anon_sym_EQ,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(76), 1,
      sym_forward_agent_value,
  [4833] = 5,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4332), 1,
      aux_sym_pattern_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ,
    ACTIONS(4336), 1,
      anon_sym_DQUOTE,
    STATE(134), 1,
      sym_known_hosts_command_value,
  [4849] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4222), 1,
      aux_sym_pattern_token1,
    ACTIONS(4338), 1,
      anon_sym_DQUOTE,
    STATE(262), 1,
      sym_control_path_value,
  [4862] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4050), 1,
      aux_sym_pattern_token1,
    ACTIONS(4340), 1,
      anon_sym_DQUOTE,
    STATE(251), 1,
      sym_ca_signature_algorithms_value,
  [4875] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4070), 1,
      aux_sym_pattern_token1,
    ACTIONS(4342), 1,
      anon_sym_DQUOTE,
    STATE(252), 1,
      sym_certificate_file_value,
  [4888] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4160), 1,
      aux_sym_pattern_token1,
    ACTIONS(4344), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym_stream_local_bind_mask_value,
  [4901] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4100), 1,
      aux_sym_pattern_token1,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(255), 1,
      sym_ciphers_value,
  [4914] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4308), 1,
      aux_sym_pattern_token1,
    ACTIONS(4348), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym_tag_value,
  [4927] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4112), 1,
      aux_sym_pattern_token1,
    ACTIONS(4350), 1,
      anon_sym_DQUOTE,
    STATE(256), 1,
      sym_cipher_value,
  [4940] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4032), 1,
      aux_sym_pattern_token1,
    ACTIONS(4352), 1,
      anon_sym_DQUOTE,
    STATE(343), 1,
      sym_tunnel_device_value,
  [4953] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4204), 1,
      aux_sym_pattern_token1,
    ACTIONS(4354), 1,
      anon_sym_DQUOTE,
    STATE(311), 1,
      sym_permit_remote_open_value,
  [4966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 1,
      sym_number,
    ACTIONS(4356), 1,
      anon_sym_DQUOTE,
    STATE(259), 1,
      sym_connection_attempts_value,
  [4979] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4136), 1,
      aux_sym_pattern_token1,
    ACTIONS(4358), 1,
      anon_sym_DQUOTE,
    STATE(347), 1,
      sym_user_value,
  [4992] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4012), 1,
      aux_sym_pattern_token1,
    ACTIONS(4360), 1,
      anon_sym_DQUOTE,
    STATE(348), 1,
      sym_user_known_hosts_file_value,
  [5005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      sym_number,
    ACTIONS(4362), 1,
      anon_sym_DQUOTE,
    STATE(260), 1,
      sym_connect_timeout_value,
  [5018] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_pattern_token1,
    ACTIONS(4364), 1,
      anon_sym_DQUOTE,
    STATE(350), 1,
      sym_version_addendum_value,
  [5031] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4130), 1,
      aux_sym_pattern_token1,
    ACTIONS(4366), 1,
      anon_sym_DQUOTE,
    STATE(352), 1,
      sym_xauth_location_value,
  [5044] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_pattern_token1,
    STATE(11), 1,
      sym_pattern,
    STATE(353), 1,
      sym_host_value,
  [5057] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_pattern_token1,
    STATE(13), 1,
      sym_pattern,
    STATE(354), 1,
      sym_match_value,
  [5070] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_pattern_token1,
    STATE(11), 1,
      sym_pattern,
    STATE(239), 1,
      sym_host_value,
  [5083] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4258), 1,
      aux_sym_pattern_token1,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    STATE(264), 1,
      sym_dynamic_forward_value,
  [5096] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4210), 1,
      aux_sym_pattern_token1,
    ACTIONS(4372), 1,
      anon_sym_DQUOTE,
    STATE(312), 1,
      sym_pkcs11_provider_value,
  [5109] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4184), 1,
      aux_sym_pattern_token1,
    ACTIONS(4374), 1,
      anon_sym_DQUOTE,
    STATE(305), 1,
      sym_macs_value,
  [5122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_number,
    ACTIONS(4376), 1,
      anon_sym_DQUOTE,
    STATE(313), 1,
      sym_port_value,
  [5135] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_pattern_token1,
    STATE(13), 1,
      sym_pattern,
    STATE(240), 1,
      sym_match_value,
  [5148] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    STATE(267), 1,
      sym_escape_char_value,
    ACTIONS(3958), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [5159] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4228), 1,
      aux_sym_pattern_token1,
    ACTIONS(4378), 1,
      anon_sym_DQUOTE,
    STATE(314), 1,
      sym_preferred_authentications_value,
  [5172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(269), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3964), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [5183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(315), 1,
      sym_protocol_value,
    ACTIONS(3948), 2,
      anon_sym_1,
      anon_sym_2,
  [5194] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4326), 1,
      aux_sym_pattern_token1,
    ACTIONS(4380), 1,
      anon_sym_DQUOTE,
    STATE(271), 1,
      sym_forward_agent_value,
  [5207] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4234), 1,
      aux_sym_pattern_token1,
    ACTIONS(4382), 1,
      anon_sym_DQUOTE,
    STATE(316), 1,
      sym_proxy_command_value,
  [5220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(429), 1,
      sym_protocol_value,
    ACTIONS(3948), 2,
      anon_sym_1,
      anon_sym_2,
  [5231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 1,
      sym_time_format,
    ACTIONS(4384), 1,
      anon_sym_DQUOTE,
    STATE(273), 1,
      sym_forward_x11_timeout_value,
  [5244] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4240), 1,
      aux_sym_pattern_token1,
    ACTIONS(4386), 1,
      anon_sym_DQUOTE,
    STATE(317), 1,
      sym_proxy_jump_value,
  [5257] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3988), 1,
      aux_sym_pattern_token1,
    ACTIONS(4388), 1,
      anon_sym_DQUOTE,
    STATE(276), 1,
      sym_global_known_hosts_file_value,
  [5270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 1,
      sym_number,
    ACTIONS(4390), 1,
      anon_sym_DQUOTE,
    STATE(307), 1,
      sym_number_of_password_prompts_value,
  [5283] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4006), 1,
      aux_sym_pattern_token1,
    ACTIONS(4392), 1,
      anon_sym_DQUOTE,
    STATE(278), 1,
      sym_gssapi_client_identity_value,
  [5296] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    STATE(381), 1,
      sym_escape_char_value,
    ACTIONS(3958), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [5307] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4288), 1,
      aux_sym_pattern_token1,
    ACTIONS(4394), 1,
      anon_sym_DQUOTE,
    STATE(333), 1,
      sym_set_env_value,
  [5320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(383), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3964), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [5331] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4252), 1,
      aux_sym_pattern_token1,
    ACTIONS(4396), 1,
      anon_sym_DQUOTE,
    STATE(320), 1,
      sym_pubkey_accepted_key_types_value,
  [5344] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4020), 1,
      aux_sym_pattern_token1,
    ACTIONS(4398), 1,
      anon_sym_DQUOTE,
    STATE(282), 1,
      sym_gssapi_server_identity_value,
  [5357] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3974), 1,
      aux_sym_pattern_token1,
    ACTIONS(4400), 1,
      anon_sym_DQUOTE,
    STATE(244), 1,
      sym_bind_address_value,
  [5370] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4038), 1,
      aux_sym_pattern_token1,
    ACTIONS(4402), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym_gssapi_kex_algorithms_value,
  [5383] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4264), 1,
      aux_sym_pattern_token1,
    ACTIONS(4404), 1,
      anon_sym_DQUOTE,
    STATE(322), 1,
      sym_rekey_limit_value,
  [5396] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3994), 1,
      aux_sym_pattern_token1,
    ACTIONS(4406), 1,
      anon_sym_DQUOTE,
    STATE(245), 1,
      sym_bind_interface_value,
  [5409] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4056), 1,
      aux_sym_pattern_token1,
    ACTIONS(4408), 1,
      anon_sym_DQUOTE,
    STATE(286), 1,
      sym_hostbased_accepted_algorithms_value,
  [5422] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4270), 1,
      aux_sym_pattern_token1,
    ACTIONS(4410), 1,
      anon_sym_DQUOTE,
    STATE(323), 1,
      sym_remote_command_value,
  [5435] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4276), 1,
      aux_sym_pattern_token1,
    ACTIONS(4412), 1,
      anon_sym_DQUOTE,
    STATE(324), 1,
      sym_remote_forward_value,
  [5448] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4064), 1,
      aux_sym_pattern_token1,
    ACTIONS(4414), 1,
      anon_sym_DQUOTE,
    STATE(288), 1,
      sym_host_key_algorithms_value,
  [5461] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4000), 1,
      aux_sym_pattern_token1,
    ACTIONS(4416), 1,
      anon_sym_DQUOTE,
    STATE(246), 1,
      sym_canonical_domains_value,
  [5474] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4076), 1,
      aux_sym_pattern_token1,
    ACTIONS(4418), 1,
      anon_sym_DQUOTE,
    STATE(289), 1,
      sym_host_key_alias_value,
  [5487] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4082), 1,
      aux_sym_pattern_token1,
    ACTIONS(4420), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym_hostname_value,
  [5500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym_number,
    ACTIONS(4422), 1,
      anon_sym_DQUOTE,
    STATE(326), 1,
      sym_required_rsa_size_value,
  [5513] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4094), 1,
      aux_sym_pattern_token1,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym_identity_agent_value,
  [5526] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4106), 1,
      aux_sym_pattern_token1,
    ACTIONS(4426), 1,
      anon_sym_DQUOTE,
    STATE(293), 1,
      sym_identity_file_value,
  [5539] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(3968), 1,
      aux_sym_pattern_token1,
    ACTIONS(4428), 1,
      anon_sym_DQUOTE,
    STATE(327), 1,
      sym_revoked_host_keys_value,
  [5552] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4118), 1,
      aux_sym_pattern_token1,
    ACTIONS(4430), 1,
      anon_sym_DQUOTE,
    STATE(294), 1,
      sym_ignore_unknown_value,
  [5565] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4124), 1,
      aux_sym_pattern_token1,
    ACTIONS(4432), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym_include_value,
  [5578] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4294), 1,
      aux_sym_pattern_token1,
    ACTIONS(4434), 1,
      anon_sym_DQUOTE,
    STATE(328), 1,
      sym_security_key_provider_value,
  [5591] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4302), 1,
      aux_sym_pattern_token1,
    ACTIONS(4436), 1,
      anon_sym_DQUOTE,
    STATE(329), 1,
      sym_send_env_value,
  [5604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_number,
    ACTIONS(4438), 1,
      anon_sym_DQUOTE,
    STATE(249), 1,
      sym_canonicalize_max_dots_value,
  [5617] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4142), 1,
      aux_sym_pattern_token1,
    ACTIONS(4440), 1,
      anon_sym_DQUOTE,
    STATE(298), 1,
      sym_kbd_interactive_devices_value,
  [5630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      sym_number,
    ACTIONS(4442), 1,
      anon_sym_DQUOTE,
    STATE(330), 1,
      sym_server_alive_count_max_value,
  [5643] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4154), 1,
      aux_sym_pattern_token1,
    ACTIONS(4444), 1,
      anon_sym_DQUOTE,
    STATE(299), 1,
      sym_kex_algorithms_value,
  [5656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      sym_number,
    ACTIONS(4446), 1,
      anon_sym_DQUOTE,
    STATE(331), 1,
      sym_server_alive_interval_value,
  [5669] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4332), 1,
      aux_sym_pattern_token1,
    ACTIONS(4448), 1,
      anon_sym_DQUOTE,
    STATE(300), 1,
      sym_known_hosts_command_value,
  [5682] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4044), 1,
      aux_sym_pattern_token1,
    ACTIONS(4450), 1,
      anon_sym_DQUOTE,
    STATE(250), 1,
      sym_canonicalize_permitted_cnames_value,
  [5695] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4178), 1,
      aux_sym_pattern_token1,
    ACTIONS(4452), 1,
      anon_sym_DQUOTE,
    STATE(304), 1,
      sym_log_verbose_value,
  [5708] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_pattern_token1,
    ACTIONS(4454), 1,
      anon_sym_DQUOTE,
    STATE(301), 1,
      sym_local_command_value,
  [5721] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4172), 1,
      aux_sym_pattern_token1,
    ACTIONS(4456), 1,
      anon_sym_DQUOTE,
    STATE(302), 1,
      sym_local_forward_value,
  [5734] = 4,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4246), 1,
      aux_sym_pattern_token1,
    ACTIONS(4458), 1,
      anon_sym_DQUOTE,
    STATE(319), 1,
      sym_pubkey_accepted_algorithms_value,
  [5747] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4460), 1,
      aux_sym_pattern_token1,
    STATE(278), 1,
      sym_gssapi_client_identity_value,
  [5757] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_host_token2,
    ACTIONS(4464), 1,
      anon_sym_EQ,
  [5767] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_host_token2,
    ACTIONS(4468), 1,
      anon_sym_EQ,
  [5777] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_pattern_token1,
    STATE(311), 1,
      sym_permit_remote_open_value,
  [5787] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4472), 1,
      aux_sym_host_token2,
    ACTIONS(4474), 1,
      anon_sym_EQ,
  [5797] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4476), 1,
      aux_sym_pattern_token1,
    STATE(302), 1,
      sym_local_forward_value,
  [5807] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_pattern_token1,
    STATE(262), 1,
      sym_control_path_value,
  [5817] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4480), 1,
      aux_sym_pattern_token1,
    STATE(304), 1,
      sym_log_verbose_value,
  [5827] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_pattern_token1,
    STATE(352), 1,
      sym_xauth_location_value,
  [5837] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4484), 1,
      aux_sym_host_token2,
    ACTIONS(4486), 1,
      anon_sym_EQ,
  [5847] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym_host_token2,
    ACTIONS(4490), 1,
      anon_sym_EQ,
  [5857] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4492), 1,
      aux_sym_host_token2,
    ACTIONS(4494), 1,
      anon_sym_EQ,
  [5867] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_host_token2,
    ACTIONS(4498), 1,
      anon_sym_EQ,
  [5877] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4500), 1,
      aux_sym_host_token2,
    ACTIONS(4502), 1,
      anon_sym_EQ,
  [5887] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4504), 1,
      aux_sym_host_token2,
    ACTIONS(4506), 1,
      anon_sym_EQ,
  [5897] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4508), 1,
      aux_sym_host_token2,
    ACTIONS(4510), 1,
      anon_sym_EQ,
  [5907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      sym_number,
    STATE(445), 1,
      sym_server_alive_interval_value,
  [5917] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4512), 1,
      aux_sym_host_token2,
    ACTIONS(4514), 1,
      anon_sym_EQ,
  [5927] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4516), 1,
      aux_sym_host_token2,
    ACTIONS(4518), 1,
      anon_sym_EQ,
  [5937] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym_pattern_token1,
    STATE(264), 1,
      sym_dynamic_forward_value,
  [5947] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4522), 1,
      aux_sym_host_token2,
    ACTIONS(4524), 1,
      anon_sym_EQ,
  [5957] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4526), 1,
      aux_sym_pattern_token1,
    STATE(312), 1,
      sym_pkcs11_provider_value,
  [5967] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4528), 1,
      aux_sym_pattern_token1,
    STATE(358), 1,
      sym_bind_address_value,
  [5977] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4530), 1,
      aux_sym_host_token2,
    ACTIONS(4532), 1,
      anon_sym_EQ,
  [5987] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4534), 1,
      aux_sym_host_token2,
    ACTIONS(4536), 1,
      anon_sym_EQ,
  [5997] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4538), 1,
      aux_sym_pattern_token1,
    STATE(359), 1,
      sym_bind_interface_value,
  [6007] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4540), 1,
      aux_sym_pattern_token1,
    STATE(447), 1,
      sym_set_env_value,
  [6017] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4542), 1,
      aux_sym_pattern_token1,
    STATE(433), 1,
      sym_pubkey_accepted_algorithms_value,
  [6027] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4544), 1,
      aux_sym_pattern_token1,
    STATE(360), 1,
      sym_canonical_domains_value,
  [6037] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4546), 1,
      aux_sym_host_token2,
    ACTIONS(4548), 1,
      anon_sym_EQ,
  [6047] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4550), 1,
      aux_sym_pattern_token1,
    STATE(305), 1,
      sym_macs_value,
  [6057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_number,
    STATE(313), 1,
      sym_port_value,
  [6067] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4552), 1,
      aux_sym_host_token2,
    ACTIONS(4554), 1,
      anon_sym_EQ,
  [6077] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4556), 1,
      aux_sym_host_token2,
    ACTIONS(4558), 1,
      anon_sym_EQ,
  [6087] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_host_token2,
    ACTIONS(4562), 1,
      anon_sym_EQ,
  [6097] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4564), 1,
      aux_sym_host_token2,
    ACTIONS(4566), 1,
      anon_sym_EQ,
  [6107] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4568), 1,
      aux_sym_pattern_token1,
    STATE(449), 1,
      sym_stream_local_bind_mask_value,
  [6117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_number,
    STATE(363), 1,
      sym_canonicalize_max_dots_value,
  [6127] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4570), 1,
      aux_sym_host_token2,
    ACTIONS(4572), 1,
      anon_sym_EQ,
  [6137] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4574), 1,
      aux_sym_pattern_token1,
    STATE(441), 1,
      sym_revoked_host_keys_value,
  [6147] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4576), 1,
      aux_sym_pattern_token1,
    STATE(364), 1,
      sym_canonicalize_permitted_cnames_value,
  [6157] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4578), 1,
      aux_sym_pattern_token1,
    STATE(428), 1,
      sym_preferred_authentications_value,
  [6167] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4578), 1,
      aux_sym_pattern_token1,
    STATE(314), 1,
      sym_preferred_authentications_value,
  [6177] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4580), 1,
      aux_sym_pattern_token1,
    STATE(365), 1,
      sym_ca_signature_algorithms_value,
  [6187] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4582), 1,
      aux_sym_host_token2,
    ACTIONS(4584), 1,
      anon_sym_EQ,
  [6197] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4586), 1,
      aux_sym_host_token2,
    ACTIONS(4588), 1,
      anon_sym_EQ,
  [6207] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4590), 1,
      aux_sym_pattern_token1,
    STATE(366), 1,
      sym_certificate_file_value,
  [6217] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4592), 1,
      aux_sym_host_token2,
    ACTIONS(4594), 1,
      anon_sym_EQ,
  [6227] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4596), 1,
      aux_sym_host_token2,
    ACTIONS(4598), 1,
      anon_sym_EQ,
  [6237] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4600), 1,
      aux_sym_pattern_token1,
    STATE(434), 1,
      sym_pubkey_accepted_key_types_value,
  [6247] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_host_token2,
    ACTIONS(4604), 1,
      anon_sym_EQ,
  [6257] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4606), 1,
      aux_sym_host_token2,
    ACTIONS(4608), 1,
      anon_sym_EQ,
  [6267] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4610), 1,
      aux_sym_host_token2,
    ACTIONS(4612), 1,
      anon_sym_EQ,
  [6277] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4614), 1,
      aux_sym_host_token2,
    ACTIONS(4616), 1,
      anon_sym_EQ,
  [6287] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_host_token2,
    ACTIONS(4620), 1,
      anon_sym_EQ,
  [6297] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_pattern_token1,
    STATE(271), 1,
      sym_forward_agent_value,
  [6307] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4624), 1,
      aux_sym_host_token2,
    ACTIONS(4626), 1,
      anon_sym_EQ,
  [6317] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4628), 1,
      aux_sym_host_token2,
    ACTIONS(4630), 1,
      anon_sym_EQ,
  [6327] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4632), 1,
      aux_sym_host_token2,
    ACTIONS(4634), 1,
      anon_sym_EQ,
  [6337] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4636), 1,
      aux_sym_pattern_token1,
    STATE(369), 1,
      sym_ciphers_value,
  [6347] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4638), 1,
      aux_sym_host_token2,
    ACTIONS(4640), 1,
      anon_sym_EQ,
  [6357] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_pattern_token1,
    STATE(431), 1,
      sym_proxy_jump_value,
  [6367] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4644), 1,
      aux_sym_pattern_token1,
    STATE(370), 1,
      sym_cipher_value,
  [6377] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_pattern_token1,
    STATE(316), 1,
      sym_proxy_command_value,
  [6387] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4648), 1,
      aux_sym_host_token2,
    ACTIONS(4650), 1,
      anon_sym_EQ,
  [6397] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_host_token2,
    ACTIONS(4654), 1,
      anon_sym_EQ,
  [6407] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4636), 1,
      aux_sym_pattern_token1,
    STATE(255), 1,
      sym_ciphers_value,
  [6417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 1,
      sym_time_format,
    STATE(273), 1,
      sym_forward_x11_timeout_value,
  [6427] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4656), 1,
      aux_sym_host_token2,
    ACTIONS(4658), 1,
      anon_sym_EQ,
  [6437] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4660), 1,
      aux_sym_host_token2,
    ACTIONS(4662), 1,
      anon_sym_EQ,
  [6447] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_host_token2,
    ACTIONS(4666), 1,
      anon_sym_EQ,
  [6457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 1,
      sym_number,
    STATE(373), 1,
      sym_connection_attempts_value,
  [6467] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4668), 1,
      aux_sym_host_token2,
    ACTIONS(4670), 1,
      anon_sym_EQ,
  [6477] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4672), 1,
      aux_sym_pattern_token1,
    STATE(455), 1,
      sym_tag_value,
  [6487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      sym_number,
    STATE(374), 1,
      sym_connect_timeout_value,
  [6497] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4674), 1,
      aux_sym_host_token2,
    ACTIONS(4676), 1,
      anon_sym_EQ,
  [6507] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4678), 1,
      aux_sym_host_token2,
    ACTIONS(4680), 1,
      anon_sym_EQ,
  [6517] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_pattern_token1,
    STATE(317), 1,
      sym_proxy_jump_value,
  [6527] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_host_token2,
    ACTIONS(4684), 1,
      anon_sym_EQ,
  [6537] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_host_token2,
    ACTIONS(4688), 1,
      anon_sym_EQ,
  [6547] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_pattern_token1,
    STATE(376), 1,
      sym_control_path_value,
  [6557] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4690), 1,
      aux_sym_host_token2,
    ACTIONS(4692), 1,
      anon_sym_EQ,
  [6567] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4694), 1,
      aux_sym_host_token2,
    ACTIONS(4696), 1,
      anon_sym_EQ,
  [6577] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4698), 1,
      aux_sym_pattern_token1,
    STATE(276), 1,
      sym_global_known_hosts_file_value,
  [6587] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4700), 1,
      aux_sym_host_token2,
    ACTIONS(4702), 1,
      anon_sym_EQ,
  [6597] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_pattern_token1,
    STATE(436), 1,
      sym_rekey_limit_value,
  [6607] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym_pattern_token1,
    STATE(378), 1,
      sym_dynamic_forward_value,
  [6617] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4672), 1,
      aux_sym_pattern_token1,
    STATE(341), 1,
      sym_tag_value,
  [6627] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4706), 1,
      aux_sym_host_token2,
    ACTIONS(4708), 1,
      anon_sym_EQ,
  [6637] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4710), 1,
      aux_sym_pattern_token1,
    STATE(457), 1,
      sym_tunnel_device_value,
  [6647] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym_host_token2,
    ACTIONS(4714), 1,
      anon_sym_EQ,
  [6657] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4716), 1,
      aux_sym_host_token2,
    ACTIONS(4718), 1,
      anon_sym_EQ,
  [6667] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4720), 1,
      aux_sym_host_token2,
    ACTIONS(4722), 1,
      anon_sym_EQ,
  [6677] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4724), 1,
      aux_sym_host_token2,
    ACTIONS(4726), 1,
      anon_sym_EQ,
  [6687] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4728), 1,
      aux_sym_host_token2,
    ACTIONS(4730), 1,
      anon_sym_EQ,
  [6697] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4732), 1,
      aux_sym_host_token2,
    ACTIONS(4734), 1,
      anon_sym_EQ,
  [6707] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4736), 1,
      aux_sym_host_token2,
    ACTIONS(4738), 1,
      anon_sym_EQ,
  [6717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 1,
      sym_number,
    STATE(307), 1,
      sym_number_of_password_prompts_value,
  [6727] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4740), 1,
      aux_sym_host_token2,
    ACTIONS(4742), 1,
      anon_sym_EQ,
  [6737] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4744), 1,
      aux_sym_host_token2,
    ACTIONS(4746), 1,
      anon_sym_EQ,
  [6747] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4748), 1,
      aux_sym_host_token2,
    ACTIONS(4750), 1,
      anon_sym_EQ,
  [6757] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4752), 1,
      aux_sym_pattern_token1,
    STATE(442), 1,
      sym_security_key_provider_value,
  [6767] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_pattern_token1,
    STATE(437), 1,
      sym_remote_command_value,
  [6777] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_host_token2,
    ACTIONS(4758), 1,
      anon_sym_EQ,
  [6787] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4542), 1,
      aux_sym_pattern_token1,
    STATE(319), 1,
      sym_pubkey_accepted_algorithms_value,
  [6797] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4760), 1,
      aux_sym_host_token2,
    ACTIONS(4762), 1,
      anon_sym_EQ,
  [6807] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4764), 1,
      aux_sym_host_token2,
    ACTIONS(4766), 1,
      anon_sym_EQ,
  [6817] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_pattern_token1,
    STATE(385), 1,
      sym_forward_agent_value,
  [6827] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4768), 1,
      aux_sym_host_token2,
    ACTIONS(4770), 1,
      anon_sym_EQ,
  [6837] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4772), 1,
      aux_sym_host_token2,
    ACTIONS(4774), 1,
      anon_sym_EQ,
  [6847] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4776), 1,
      aux_sym_host_token2,
    ACTIONS(4778), 1,
      anon_sym_EQ,
  [6857] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4644), 1,
      aux_sym_pattern_token1,
    STATE(256), 1,
      sym_cipher_value,
  [6867] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4780), 1,
      aux_sym_host_token2,
    ACTIONS(4782), 1,
      anon_sym_EQ,
  [6877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 1,
      sym_time_format,
    STATE(387), 1,
      sym_forward_x11_timeout_value,
  [6887] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4784), 1,
      aux_sym_pattern_token1,
    STATE(461), 1,
      sym_user_value,
  [6897] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4786), 1,
      aux_sym_host_token2,
    ACTIONS(4788), 1,
      anon_sym_EQ,
  [6907] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4600), 1,
      aux_sym_pattern_token1,
    STATE(320), 1,
      sym_pubkey_accepted_key_types_value,
  [6917] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4790), 1,
      aux_sym_host_token2,
    ACTIONS(4792), 1,
      anon_sym_EQ,
  [6927] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_pattern_token1,
    STATE(282), 1,
      sym_gssapi_server_identity_value,
  [6937] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4796), 1,
      aux_sym_host_token2,
    ACTIONS(4798), 1,
      anon_sym_EQ,
  [6947] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4800), 1,
      aux_sym_pattern_token1,
    STATE(462), 1,
      sym_user_known_hosts_file_value,
  [6957] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4802), 1,
      aux_sym_host_token2,
    ACTIONS(4804), 1,
      anon_sym_EQ,
  [6967] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4698), 1,
      aux_sym_pattern_token1,
    STATE(390), 1,
      sym_global_known_hosts_file_value,
  [6977] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4806), 1,
      aux_sym_host_token2,
    ACTIONS(4808), 1,
      anon_sym_EQ,
  [6987] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4810), 1,
      aux_sym_pattern_token1,
    STATE(350), 1,
      sym_version_addendum_value,
  [6997] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4812), 1,
      aux_sym_pattern_token1,
    STATE(438), 1,
      sym_remote_forward_value,
  [7007] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4528), 1,
      aux_sym_pattern_token1,
    STATE(244), 1,
      sym_bind_address_value,
  [7017] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4814), 1,
      aux_sym_host_token2,
    ACTIONS(4816), 1,
      anon_sym_EQ,
  [7027] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4460), 1,
      aux_sym_pattern_token1,
    STATE(392), 1,
      sym_gssapi_client_identity_value,
  [7037] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4710), 1,
      aux_sym_pattern_token1,
    STATE(343), 1,
      sym_tunnel_device_value,
  [7047] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4818), 1,
      aux_sym_pattern_token1,
    STATE(284), 1,
      sym_gssapi_kex_algorithms_value,
  [7057] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4810), 1,
      aux_sym_pattern_token1,
    STATE(464), 1,
      sym_version_addendum_value,
  [7067] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4820), 1,
      aux_sym_host_token2,
    ACTIONS(4822), 1,
      anon_sym_EQ,
  [7077] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4824), 1,
      aux_sym_host_token2,
    ACTIONS(4826), 1,
      anon_sym_EQ,
  [7087] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4828), 1,
      aux_sym_host_token2,
    ACTIONS(4830), 1,
      anon_sym_EQ,
  [7097] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_pattern_token1,
    STATE(430), 1,
      sym_proxy_command_value,
  [7107] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_pattern_token1,
    STATE(322), 1,
      sym_rekey_limit_value,
  [7117] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4832), 1,
      aux_sym_host_token2,
    ACTIONS(4834), 1,
      anon_sym_EQ,
  [7127] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_pattern_token1,
    STATE(265), 1,
      sym_xauth_location_value,
  [7137] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4538), 1,
      aux_sym_pattern_token1,
    STATE(245), 1,
      sym_bind_interface_value,
  [7147] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_pattern_token1,
    STATE(396), 1,
      sym_gssapi_server_identity_value,
  [7157] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4836), 1,
      aux_sym_host_token2,
    ACTIONS(4838), 1,
      anon_sym_EQ,
  [7167] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4840), 1,
      aux_sym_pattern_token1,
    STATE(286), 1,
      sym_hostbased_accepted_algorithms_value,
  [7177] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4842), 1,
      aux_sym_host_token2,
    ACTIONS(4844), 1,
      anon_sym_EQ,
  [7187] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4846), 1,
      aux_sym_host_token2,
    ACTIONS(4848), 1,
      anon_sym_EQ,
  [7197] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4850), 1,
      aux_sym_host_token2,
    ACTIONS(4852), 1,
      anon_sym_EQ,
  [7207] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4818), 1,
      aux_sym_pattern_token1,
    STATE(398), 1,
      sym_gssapi_kex_algorithms_value,
  [7217] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_pattern_token1,
    STATE(323), 1,
      sym_remote_command_value,
  [7227] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4854), 1,
      aux_sym_host_token2,
    ACTIONS(4856), 1,
      anon_sym_EQ,
  [7237] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4858), 1,
      aux_sym_host_token2,
    ACTIONS(4860), 1,
      anon_sym_EQ,
  [7247] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4862), 1,
      aux_sym_host_token2,
    ACTIONS(4864), 1,
      anon_sym_EQ,
  [7257] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4812), 1,
      aux_sym_pattern_token1,
    STATE(324), 1,
      sym_remote_forward_value,
  [7267] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4840), 1,
      aux_sym_pattern_token1,
    STATE(400), 1,
      sym_hostbased_accepted_algorithms_value,
  [7277] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4866), 1,
      aux_sym_host_token2,
    ACTIONS(4868), 1,
      anon_sym_EQ,
  [7287] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_pattern_token1,
    STATE(288), 1,
      sym_host_key_algorithms_value,
  [7297] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4872), 1,
      aux_sym_pattern_token1,
    STATE(443), 1,
      sym_send_env_value,
  [7307] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4544), 1,
      aux_sym_pattern_token1,
    STATE(246), 1,
      sym_canonical_domains_value,
  [7317] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_host_token2,
    ACTIONS(4876), 1,
      anon_sym_EQ,
  [7327] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_pattern_token1,
    STATE(402), 1,
      sym_host_key_algorithms_value,
  [7337] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym_pattern_token1,
    STATE(289), 1,
      sym_host_key_alias_value,
  [7347] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4880), 1,
      aux_sym_host_token2,
    ACTIONS(4882), 1,
      anon_sym_EQ,
  [7357] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym_pattern_token1,
    STATE(403), 1,
      sym_host_key_alias_value,
  [7367] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4884), 1,
      aux_sym_host_token2,
    ACTIONS(4886), 1,
      anon_sym_EQ,
  [7377] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4888), 1,
      aux_sym_host_token2,
    ACTIONS(4890), 1,
      anon_sym_EQ,
  [7387] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4892), 1,
      aux_sym_pattern_token1,
    STATE(404), 1,
      sym_hostname_value,
  [7397] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4892), 1,
      aux_sym_pattern_token1,
    STATE(290), 1,
      sym_hostname_value,
  [7407] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4894), 1,
      aux_sym_host_token2,
    ACTIONS(4896), 1,
      anon_sym_EQ,
  [7417] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4898), 1,
      aux_sym_host_token2,
    ACTIONS(4900), 1,
      anon_sym_EQ,
  [7427] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4902), 1,
      aux_sym_host_token2,
    ACTIONS(4904), 1,
      anon_sym_EQ,
  [7437] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4906), 1,
      aux_sym_host_token2,
    ACTIONS(4908), 1,
      anon_sym_EQ,
  [7447] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4910), 1,
      aux_sym_pattern_token1,
    STATE(406), 1,
      sym_identity_agent_value,
  [7457] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4912), 1,
      aux_sym_host_token2,
    ACTIONS(4914), 1,
      anon_sym_EQ,
  [7467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym_number,
    STATE(326), 1,
      sym_required_rsa_size_value,
  [7477] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4916), 1,
      aux_sym_pattern_token1,
    STATE(407), 1,
      sym_identity_file_value,
  [7487] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4918), 1,
      aux_sym_host_token2,
    ACTIONS(4920), 1,
      anon_sym_EQ,
  [7497] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4580), 1,
      aux_sym_pattern_token1,
    STATE(251), 1,
      sym_ca_signature_algorithms_value,
  [7507] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4922), 1,
      aux_sym_pattern_token1,
    STATE(408), 1,
      sym_ignore_unknown_value,
  [7517] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4910), 1,
      aux_sym_pattern_token1,
    STATE(292), 1,
      sym_identity_agent_value,
  [7527] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_host_token2,
    ACTIONS(4926), 1,
      anon_sym_EQ,
  [7537] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4928), 1,
      aux_sym_pattern_token1,
    STATE(409), 1,
      sym_include_value,
  [7547] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4930), 1,
      aux_sym_host_token2,
    ACTIONS(4932), 1,
      anon_sym_EQ,
  [7557] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4934), 1,
      aux_sym_host_token2,
    ACTIONS(4936), 1,
      anon_sym_EQ,
  [7567] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4916), 1,
      aux_sym_pattern_token1,
    STATE(293), 1,
      sym_identity_file_value,
  [7577] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4938), 1,
      aux_sym_host_token2,
    ACTIONS(4940), 1,
      anon_sym_EQ,
  [7587] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4568), 1,
      aux_sym_pattern_token1,
    STATE(335), 1,
      sym_stream_local_bind_mask_value,
  [7597] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4574), 1,
      aux_sym_pattern_token1,
    STATE(327), 1,
      sym_revoked_host_keys_value,
  [7607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 1,
      sym_number,
    STATE(259), 1,
      sym_connection_attempts_value,
  [7617] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4922), 1,
      aux_sym_pattern_token1,
    STATE(294), 1,
      sym_ignore_unknown_value,
  [7627] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4942), 1,
      aux_sym_pattern_token1,
    STATE(412), 1,
      sym_kbd_interactive_devices_value,
  [7637] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4944), 1,
      aux_sym_host_token2,
    ACTIONS(4946), 1,
      anon_sym_EQ,
  [7647] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4948), 1,
      aux_sym_host_token2,
    ACTIONS(4950), 1,
      anon_sym_EQ,
  [7657] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4952), 1,
      aux_sym_pattern_token1,
    STATE(413), 1,
      sym_kex_algorithms_value,
  [7667] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4590), 1,
      aux_sym_pattern_token1,
    STATE(252), 1,
      sym_certificate_file_value,
  [7677] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4928), 1,
      aux_sym_pattern_token1,
    STATE(295), 1,
      sym_include_value,
  [7687] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4954), 1,
      aux_sym_pattern_token1,
    STATE(414), 1,
      sym_known_hosts_command_value,
  [7697] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4784), 1,
      aux_sym_pattern_token1,
    STATE(347), 1,
      sym_user_value,
  [7707] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4752), 1,
      aux_sym_pattern_token1,
    STATE(328), 1,
      sym_security_key_provider_value,
  [7717] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4956), 1,
      aux_sym_pattern_token1,
    STATE(415), 1,
      sym_local_command_value,
  [7727] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4958), 1,
      aux_sym_host_token2,
    ACTIONS(4960), 1,
      anon_sym_EQ,
  [7737] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4962), 1,
      aux_sym_host_token2,
    ACTIONS(4964), 1,
      anon_sym_EQ,
  [7747] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4476), 1,
      aux_sym_pattern_token1,
    STATE(416), 1,
      sym_local_forward_value,
  [7757] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4966), 1,
      aux_sym_host_token2,
    ACTIONS(4968), 1,
      anon_sym_EQ,
  [7767] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4970), 1,
      aux_sym_host_token2,
    ACTIONS(4972), 1,
      anon_sym_EQ,
  [7777] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4974), 1,
      aux_sym_host_token2,
    ACTIONS(4976), 1,
      anon_sym_EQ,
  [7787] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4872), 1,
      aux_sym_pattern_token1,
    STATE(329), 1,
      sym_send_env_value,
  [7797] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4978), 1,
      aux_sym_host_token2,
    ACTIONS(4980), 1,
      anon_sym_EQ,
  [7807] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4480), 1,
      aux_sym_pattern_token1,
    STATE(418), 1,
      sym_log_verbose_value,
  [7817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_number,
    STATE(249), 1,
      sym_canonicalize_max_dots_value,
  [7827] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4982), 1,
      aux_sym_host_token2,
    ACTIONS(4984), 1,
      anon_sym_EQ,
  [7837] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4550), 1,
      aux_sym_pattern_token1,
    STATE(419), 1,
      sym_macs_value,
  [7847] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4942), 1,
      aux_sym_pattern_token1,
    STATE(298), 1,
      sym_kbd_interactive_devices_value,
  [7857] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4986), 1,
      aux_sym_host_token2,
    ACTIONS(4988), 1,
      anon_sym_EQ,
  [7867] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4800), 1,
      aux_sym_pattern_token1,
    STATE(348), 1,
      sym_user_known_hosts_file_value,
  [7877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      sym_number,
    STATE(330), 1,
      sym_server_alive_count_max_value,
  [7887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym_number,
    STATE(440), 1,
      sym_required_rsa_size_value,
  [7897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 1,
      sym_number,
    STATE(421), 1,
      sym_number_of_password_prompts_value,
  [7907] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4952), 1,
      aux_sym_pattern_token1,
    STATE(299), 1,
      sym_kex_algorithms_value,
  [7917] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4990), 1,
      aux_sym_host_token2,
    ACTIONS(4992), 1,
      anon_sym_EQ,
  [7927] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4994), 1,
      aux_sym_host_token2,
    ACTIONS(4996), 1,
      anon_sym_EQ,
  [7937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      sym_number,
    STATE(260), 1,
      sym_connect_timeout_value,
  [7947] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4998), 1,
      aux_sym_host_token2,
    ACTIONS(5000), 1,
      anon_sym_EQ,
  [7957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      sym_number,
    STATE(331), 1,
      sym_server_alive_interval_value,
  [7967] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4954), 1,
      aux_sym_pattern_token1,
    STATE(300), 1,
      sym_known_hosts_command_value,
  [7977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      sym_number,
    STATE(444), 1,
      sym_server_alive_count_max_value,
  [7987] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(5002), 1,
      aux_sym_host_token2,
    ACTIONS(5004), 1,
      anon_sym_EQ,
  [7997] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(5006), 1,
      aux_sym_host_token2,
    ACTIONS(5008), 1,
      anon_sym_EQ,
  [8007] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(5010), 1,
      aux_sym_host_token2,
    ACTIONS(5012), 1,
      anon_sym_EQ,
  [8017] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_pattern_token1,
    STATE(425), 1,
      sym_permit_remote_open_value,
  [8027] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4956), 1,
      aux_sym_pattern_token1,
    STATE(301), 1,
      sym_local_command_value,
  [8037] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4576), 1,
      aux_sym_pattern_token1,
    STATE(250), 1,
      sym_canonicalize_permitted_cnames_value,
  [8047] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4526), 1,
      aux_sym_pattern_token1,
    STATE(426), 1,
      sym_pkcs11_provider_value,
  [8057] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(5014), 1,
      aux_sym_host_token2,
    ACTIONS(5016), 1,
      anon_sym_EQ,
  [8067] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(5018), 1,
      aux_sym_host_token2,
    ACTIONS(5020), 1,
      anon_sym_EQ,
  [8077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_number,
    STATE(427), 1,
      sym_port_value,
  [8087] = 3,
    ACTIONS(3936), 1,
      sym_comment,
    ACTIONS(4540), 1,
      aux_sym_pattern_token1,
    STATE(333), 1,
      sym_set_env_value,
  [8097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_EQ,
  [8104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_EQ,
  [8111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      ts_builtin_sym_end,
  [8118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      sym_time_format,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(812)] = 0,
  [SMALL_STATE(813)] = 42,
  [SMALL_STATE(814)] = 81,
  [SMALL_STATE(815)] = 117,
  [SMALL_STATE(816)] = 153,
  [SMALL_STATE(817)] = 179,
  [SMALL_STATE(818)] = 202,
  [SMALL_STATE(819)] = 228,
  [SMALL_STATE(820)] = 254,
  [SMALL_STATE(821)] = 274,
  [SMALL_STATE(822)] = 294,
  [SMALL_STATE(823)] = 317,
  [SMALL_STATE(824)] = 340,
  [SMALL_STATE(825)] = 364,
  [SMALL_STATE(826)] = 384,
  [SMALL_STATE(827)] = 404,
  [SMALL_STATE(828)] = 424,
  [SMALL_STATE(829)] = 444,
  [SMALL_STATE(830)] = 466,
  [SMALL_STATE(831)] = 491,
  [SMALL_STATE(832)] = 512,
  [SMALL_STATE(833)] = 533,
  [SMALL_STATE(834)] = 552,
  [SMALL_STATE(835)] = 575,
  [SMALL_STATE(836)] = 596,
  [SMALL_STATE(837)] = 618,
  [SMALL_STATE(838)] = 640,
  [SMALL_STATE(839)] = 662,
  [SMALL_STATE(840)] = 684,
  [SMALL_STATE(841)] = 704,
  [SMALL_STATE(842)] = 726,
  [SMALL_STATE(843)] = 748,
  [SMALL_STATE(844)] = 770,
  [SMALL_STATE(845)] = 788,
  [SMALL_STATE(846)] = 808,
  [SMALL_STATE(847)] = 830,
  [SMALL_STATE(848)] = 852,
  [SMALL_STATE(849)] = 874,
  [SMALL_STATE(850)] = 896,
  [SMALL_STATE(851)] = 918,
  [SMALL_STATE(852)] = 940,
  [SMALL_STATE(853)] = 958,
  [SMALL_STATE(854)] = 980,
  [SMALL_STATE(855)] = 1002,
  [SMALL_STATE(856)] = 1024,
  [SMALL_STATE(857)] = 1046,
  [SMALL_STATE(858)] = 1062,
  [SMALL_STATE(859)] = 1084,
  [SMALL_STATE(860)] = 1106,
  [SMALL_STATE(861)] = 1128,
  [SMALL_STATE(862)] = 1150,
  [SMALL_STATE(863)] = 1172,
  [SMALL_STATE(864)] = 1194,
  [SMALL_STATE(865)] = 1216,
  [SMALL_STATE(866)] = 1238,
  [SMALL_STATE(867)] = 1260,
  [SMALL_STATE(868)] = 1278,
  [SMALL_STATE(869)] = 1300,
  [SMALL_STATE(870)] = 1318,
  [SMALL_STATE(871)] = 1340,
  [SMALL_STATE(872)] = 1362,
  [SMALL_STATE(873)] = 1384,
  [SMALL_STATE(874)] = 1406,
  [SMALL_STATE(875)] = 1428,
  [SMALL_STATE(876)] = 1448,
  [SMALL_STATE(877)] = 1470,
  [SMALL_STATE(878)] = 1492,
  [SMALL_STATE(879)] = 1514,
  [SMALL_STATE(880)] = 1530,
  [SMALL_STATE(881)] = 1549,
  [SMALL_STATE(882)] = 1564,
  [SMALL_STATE(883)] = 1579,
  [SMALL_STATE(884)] = 1594,
  [SMALL_STATE(885)] = 1613,
  [SMALL_STATE(886)] = 1632,
  [SMALL_STATE(887)] = 1651,
  [SMALL_STATE(888)] = 1670,
  [SMALL_STATE(889)] = 1689,
  [SMALL_STATE(890)] = 1708,
  [SMALL_STATE(891)] = 1725,
  [SMALL_STATE(892)] = 1744,
  [SMALL_STATE(893)] = 1763,
  [SMALL_STATE(894)] = 1782,
  [SMALL_STATE(895)] = 1801,
  [SMALL_STATE(896)] = 1820,
  [SMALL_STATE(897)] = 1837,
  [SMALL_STATE(898)] = 1856,
  [SMALL_STATE(899)] = 1875,
  [SMALL_STATE(900)] = 1894,
  [SMALL_STATE(901)] = 1913,
  [SMALL_STATE(902)] = 1932,
  [SMALL_STATE(903)] = 1951,
  [SMALL_STATE(904)] = 1970,
  [SMALL_STATE(905)] = 1989,
  [SMALL_STATE(906)] = 2008,
  [SMALL_STATE(907)] = 2027,
  [SMALL_STATE(908)] = 2046,
  [SMALL_STATE(909)] = 2065,
  [SMALL_STATE(910)] = 2084,
  [SMALL_STATE(911)] = 2103,
  [SMALL_STATE(912)] = 2122,
  [SMALL_STATE(913)] = 2141,
  [SMALL_STATE(914)] = 2160,
  [SMALL_STATE(915)] = 2179,
  [SMALL_STATE(916)] = 2198,
  [SMALL_STATE(917)] = 2217,
  [SMALL_STATE(918)] = 2234,
  [SMALL_STATE(919)] = 2253,
  [SMALL_STATE(920)] = 2270,
  [SMALL_STATE(921)] = 2289,
  [SMALL_STATE(922)] = 2308,
  [SMALL_STATE(923)] = 2323,
  [SMALL_STATE(924)] = 2342,
  [SMALL_STATE(925)] = 2361,
  [SMALL_STATE(926)] = 2377,
  [SMALL_STATE(927)] = 2393,
  [SMALL_STATE(928)] = 2409,
  [SMALL_STATE(929)] = 2425,
  [SMALL_STATE(930)] = 2441,
  [SMALL_STATE(931)] = 2457,
  [SMALL_STATE(932)] = 2473,
  [SMALL_STATE(933)] = 2489,
  [SMALL_STATE(934)] = 2505,
  [SMALL_STATE(935)] = 2521,
  [SMALL_STATE(936)] = 2537,
  [SMALL_STATE(937)] = 2551,
  [SMALL_STATE(938)] = 2567,
  [SMALL_STATE(939)] = 2583,
  [SMALL_STATE(940)] = 2599,
  [SMALL_STATE(941)] = 2613,
  [SMALL_STATE(942)] = 2629,
  [SMALL_STATE(943)] = 2645,
  [SMALL_STATE(944)] = 2661,
  [SMALL_STATE(945)] = 2677,
  [SMALL_STATE(946)] = 2693,
  [SMALL_STATE(947)] = 2709,
  [SMALL_STATE(948)] = 2725,
  [SMALL_STATE(949)] = 2741,
  [SMALL_STATE(950)] = 2757,
  [SMALL_STATE(951)] = 2773,
  [SMALL_STATE(952)] = 2787,
  [SMALL_STATE(953)] = 2803,
  [SMALL_STATE(954)] = 2819,
  [SMALL_STATE(955)] = 2835,
  [SMALL_STATE(956)] = 2849,
  [SMALL_STATE(957)] = 2865,
  [SMALL_STATE(958)] = 2881,
  [SMALL_STATE(959)] = 2897,
  [SMALL_STATE(960)] = 2913,
  [SMALL_STATE(961)] = 2933,
  [SMALL_STATE(962)] = 2949,
  [SMALL_STATE(963)] = 2967,
  [SMALL_STATE(964)] = 2983,
  [SMALL_STATE(965)] = 2999,
  [SMALL_STATE(966)] = 3015,
  [SMALL_STATE(967)] = 3031,
  [SMALL_STATE(968)] = 3047,
  [SMALL_STATE(969)] = 3063,
  [SMALL_STATE(970)] = 3079,
  [SMALL_STATE(971)] = 3095,
  [SMALL_STATE(972)] = 3111,
  [SMALL_STATE(973)] = 3127,
  [SMALL_STATE(974)] = 3143,
  [SMALL_STATE(975)] = 3159,
  [SMALL_STATE(976)] = 3175,
  [SMALL_STATE(977)] = 3191,
  [SMALL_STATE(978)] = 3207,
  [SMALL_STATE(979)] = 3223,
  [SMALL_STATE(980)] = 3239,
  [SMALL_STATE(981)] = 3255,
  [SMALL_STATE(982)] = 3271,
  [SMALL_STATE(983)] = 3287,
  [SMALL_STATE(984)] = 3303,
  [SMALL_STATE(985)] = 3319,
  [SMALL_STATE(986)] = 3335,
  [SMALL_STATE(987)] = 3351,
  [SMALL_STATE(988)] = 3367,
  [SMALL_STATE(989)] = 3383,
  [SMALL_STATE(990)] = 3399,
  [SMALL_STATE(991)] = 3415,
  [SMALL_STATE(992)] = 3431,
  [SMALL_STATE(993)] = 3447,
  [SMALL_STATE(994)] = 3463,
  [SMALL_STATE(995)] = 3481,
  [SMALL_STATE(996)] = 3497,
  [SMALL_STATE(997)] = 3513,
  [SMALL_STATE(998)] = 3529,
  [SMALL_STATE(999)] = 3545,
  [SMALL_STATE(1000)] = 3561,
  [SMALL_STATE(1001)] = 3577,
  [SMALL_STATE(1002)] = 3590,
  [SMALL_STATE(1003)] = 3605,
  [SMALL_STATE(1004)] = 3618,
  [SMALL_STATE(1005)] = 3633,
  [SMALL_STATE(1006)] = 3652,
  [SMALL_STATE(1007)] = 3669,
  [SMALL_STATE(1008)] = 3688,
  [SMALL_STATE(1009)] = 3705,
  [SMALL_STATE(1010)] = 3722,
  [SMALL_STATE(1011)] = 3739,
  [SMALL_STATE(1012)] = 3755,
  [SMALL_STATE(1013)] = 3767,
  [SMALL_STATE(1014)] = 3783,
  [SMALL_STATE(1015)] = 3799,
  [SMALL_STATE(1016)] = 3813,
  [SMALL_STATE(1017)] = 3829,
  [SMALL_STATE(1018)] = 3845,
  [SMALL_STATE(1019)] = 3861,
  [SMALL_STATE(1020)] = 3877,
  [SMALL_STATE(1021)] = 3893,
  [SMALL_STATE(1022)] = 3907,
  [SMALL_STATE(1023)] = 3923,
  [SMALL_STATE(1024)] = 3939,
  [SMALL_STATE(1025)] = 3955,
  [SMALL_STATE(1026)] = 3971,
  [SMALL_STATE(1027)] = 3987,
  [SMALL_STATE(1028)] = 4003,
  [SMALL_STATE(1029)] = 4019,
  [SMALL_STATE(1030)] = 4033,
  [SMALL_STATE(1031)] = 4049,
  [SMALL_STATE(1032)] = 4065,
  [SMALL_STATE(1033)] = 4081,
  [SMALL_STATE(1034)] = 4097,
  [SMALL_STATE(1035)] = 4113,
  [SMALL_STATE(1036)] = 4129,
  [SMALL_STATE(1037)] = 4141,
  [SMALL_STATE(1038)] = 4157,
  [SMALL_STATE(1039)] = 4173,
  [SMALL_STATE(1040)] = 4189,
  [SMALL_STATE(1041)] = 4205,
  [SMALL_STATE(1042)] = 4221,
  [SMALL_STATE(1043)] = 4237,
  [SMALL_STATE(1044)] = 4253,
  [SMALL_STATE(1045)] = 4269,
  [SMALL_STATE(1046)] = 4285,
  [SMALL_STATE(1047)] = 4301,
  [SMALL_STATE(1048)] = 4317,
  [SMALL_STATE(1049)] = 4333,
  [SMALL_STATE(1050)] = 4349,
  [SMALL_STATE(1051)] = 4365,
  [SMALL_STATE(1052)] = 4381,
  [SMALL_STATE(1053)] = 4397,
  [SMALL_STATE(1054)] = 4411,
  [SMALL_STATE(1055)] = 4427,
  [SMALL_STATE(1056)] = 4443,
  [SMALL_STATE(1057)] = 4459,
  [SMALL_STATE(1058)] = 4475,
  [SMALL_STATE(1059)] = 4491,
  [SMALL_STATE(1060)] = 4507,
  [SMALL_STATE(1061)] = 4523,
  [SMALL_STATE(1062)] = 4537,
  [SMALL_STATE(1063)] = 4553,
  [SMALL_STATE(1064)] = 4569,
  [SMALL_STATE(1065)] = 4585,
  [SMALL_STATE(1066)] = 4601,
  [SMALL_STATE(1067)] = 4617,
  [SMALL_STATE(1068)] = 4633,
  [SMALL_STATE(1069)] = 4649,
  [SMALL_STATE(1070)] = 4665,
  [SMALL_STATE(1071)] = 4677,
  [SMALL_STATE(1072)] = 4693,
  [SMALL_STATE(1073)] = 4709,
  [SMALL_STATE(1074)] = 4721,
  [SMALL_STATE(1075)] = 4737,
  [SMALL_STATE(1076)] = 4753,
  [SMALL_STATE(1077)] = 4769,
  [SMALL_STATE(1078)] = 4785,
  [SMALL_STATE(1079)] = 4801,
  [SMALL_STATE(1080)] = 4817,
  [SMALL_STATE(1081)] = 4833,
  [SMALL_STATE(1082)] = 4849,
  [SMALL_STATE(1083)] = 4862,
  [SMALL_STATE(1084)] = 4875,
  [SMALL_STATE(1085)] = 4888,
  [SMALL_STATE(1086)] = 4901,
  [SMALL_STATE(1087)] = 4914,
  [SMALL_STATE(1088)] = 4927,
  [SMALL_STATE(1089)] = 4940,
  [SMALL_STATE(1090)] = 4953,
  [SMALL_STATE(1091)] = 4966,
  [SMALL_STATE(1092)] = 4979,
  [SMALL_STATE(1093)] = 4992,
  [SMALL_STATE(1094)] = 5005,
  [SMALL_STATE(1095)] = 5018,
  [SMALL_STATE(1096)] = 5031,
  [SMALL_STATE(1097)] = 5044,
  [SMALL_STATE(1098)] = 5057,
  [SMALL_STATE(1099)] = 5070,
  [SMALL_STATE(1100)] = 5083,
  [SMALL_STATE(1101)] = 5096,
  [SMALL_STATE(1102)] = 5109,
  [SMALL_STATE(1103)] = 5122,
  [SMALL_STATE(1104)] = 5135,
  [SMALL_STATE(1105)] = 5148,
  [SMALL_STATE(1106)] = 5159,
  [SMALL_STATE(1107)] = 5172,
  [SMALL_STATE(1108)] = 5183,
  [SMALL_STATE(1109)] = 5194,
  [SMALL_STATE(1110)] = 5207,
  [SMALL_STATE(1111)] = 5220,
  [SMALL_STATE(1112)] = 5231,
  [SMALL_STATE(1113)] = 5244,
  [SMALL_STATE(1114)] = 5257,
  [SMALL_STATE(1115)] = 5270,
  [SMALL_STATE(1116)] = 5283,
  [SMALL_STATE(1117)] = 5296,
  [SMALL_STATE(1118)] = 5307,
  [SMALL_STATE(1119)] = 5320,
  [SMALL_STATE(1120)] = 5331,
  [SMALL_STATE(1121)] = 5344,
  [SMALL_STATE(1122)] = 5357,
  [SMALL_STATE(1123)] = 5370,
  [SMALL_STATE(1124)] = 5383,
  [SMALL_STATE(1125)] = 5396,
  [SMALL_STATE(1126)] = 5409,
  [SMALL_STATE(1127)] = 5422,
  [SMALL_STATE(1128)] = 5435,
  [SMALL_STATE(1129)] = 5448,
  [SMALL_STATE(1130)] = 5461,
  [SMALL_STATE(1131)] = 5474,
  [SMALL_STATE(1132)] = 5487,
  [SMALL_STATE(1133)] = 5500,
  [SMALL_STATE(1134)] = 5513,
  [SMALL_STATE(1135)] = 5526,
  [SMALL_STATE(1136)] = 5539,
  [SMALL_STATE(1137)] = 5552,
  [SMALL_STATE(1138)] = 5565,
  [SMALL_STATE(1139)] = 5578,
  [SMALL_STATE(1140)] = 5591,
  [SMALL_STATE(1141)] = 5604,
  [SMALL_STATE(1142)] = 5617,
  [SMALL_STATE(1143)] = 5630,
  [SMALL_STATE(1144)] = 5643,
  [SMALL_STATE(1145)] = 5656,
  [SMALL_STATE(1146)] = 5669,
  [SMALL_STATE(1147)] = 5682,
  [SMALL_STATE(1148)] = 5695,
  [SMALL_STATE(1149)] = 5708,
  [SMALL_STATE(1150)] = 5721,
  [SMALL_STATE(1151)] = 5734,
  [SMALL_STATE(1152)] = 5747,
  [SMALL_STATE(1153)] = 5757,
  [SMALL_STATE(1154)] = 5767,
  [SMALL_STATE(1155)] = 5777,
  [SMALL_STATE(1156)] = 5787,
  [SMALL_STATE(1157)] = 5797,
  [SMALL_STATE(1158)] = 5807,
  [SMALL_STATE(1159)] = 5817,
  [SMALL_STATE(1160)] = 5827,
  [SMALL_STATE(1161)] = 5837,
  [SMALL_STATE(1162)] = 5847,
  [SMALL_STATE(1163)] = 5857,
  [SMALL_STATE(1164)] = 5867,
  [SMALL_STATE(1165)] = 5877,
  [SMALL_STATE(1166)] = 5887,
  [SMALL_STATE(1167)] = 5897,
  [SMALL_STATE(1168)] = 5907,
  [SMALL_STATE(1169)] = 5917,
  [SMALL_STATE(1170)] = 5927,
  [SMALL_STATE(1171)] = 5937,
  [SMALL_STATE(1172)] = 5947,
  [SMALL_STATE(1173)] = 5957,
  [SMALL_STATE(1174)] = 5967,
  [SMALL_STATE(1175)] = 5977,
  [SMALL_STATE(1176)] = 5987,
  [SMALL_STATE(1177)] = 5997,
  [SMALL_STATE(1178)] = 6007,
  [SMALL_STATE(1179)] = 6017,
  [SMALL_STATE(1180)] = 6027,
  [SMALL_STATE(1181)] = 6037,
  [SMALL_STATE(1182)] = 6047,
  [SMALL_STATE(1183)] = 6057,
  [SMALL_STATE(1184)] = 6067,
  [SMALL_STATE(1185)] = 6077,
  [SMALL_STATE(1186)] = 6087,
  [SMALL_STATE(1187)] = 6097,
  [SMALL_STATE(1188)] = 6107,
  [SMALL_STATE(1189)] = 6117,
  [SMALL_STATE(1190)] = 6127,
  [SMALL_STATE(1191)] = 6137,
  [SMALL_STATE(1192)] = 6147,
  [SMALL_STATE(1193)] = 6157,
  [SMALL_STATE(1194)] = 6167,
  [SMALL_STATE(1195)] = 6177,
  [SMALL_STATE(1196)] = 6187,
  [SMALL_STATE(1197)] = 6197,
  [SMALL_STATE(1198)] = 6207,
  [SMALL_STATE(1199)] = 6217,
  [SMALL_STATE(1200)] = 6227,
  [SMALL_STATE(1201)] = 6237,
  [SMALL_STATE(1202)] = 6247,
  [SMALL_STATE(1203)] = 6257,
  [SMALL_STATE(1204)] = 6267,
  [SMALL_STATE(1205)] = 6277,
  [SMALL_STATE(1206)] = 6287,
  [SMALL_STATE(1207)] = 6297,
  [SMALL_STATE(1208)] = 6307,
  [SMALL_STATE(1209)] = 6317,
  [SMALL_STATE(1210)] = 6327,
  [SMALL_STATE(1211)] = 6337,
  [SMALL_STATE(1212)] = 6347,
  [SMALL_STATE(1213)] = 6357,
  [SMALL_STATE(1214)] = 6367,
  [SMALL_STATE(1215)] = 6377,
  [SMALL_STATE(1216)] = 6387,
  [SMALL_STATE(1217)] = 6397,
  [SMALL_STATE(1218)] = 6407,
  [SMALL_STATE(1219)] = 6417,
  [SMALL_STATE(1220)] = 6427,
  [SMALL_STATE(1221)] = 6437,
  [SMALL_STATE(1222)] = 6447,
  [SMALL_STATE(1223)] = 6457,
  [SMALL_STATE(1224)] = 6467,
  [SMALL_STATE(1225)] = 6477,
  [SMALL_STATE(1226)] = 6487,
  [SMALL_STATE(1227)] = 6497,
  [SMALL_STATE(1228)] = 6507,
  [SMALL_STATE(1229)] = 6517,
  [SMALL_STATE(1230)] = 6527,
  [SMALL_STATE(1231)] = 6537,
  [SMALL_STATE(1232)] = 6547,
  [SMALL_STATE(1233)] = 6557,
  [SMALL_STATE(1234)] = 6567,
  [SMALL_STATE(1235)] = 6577,
  [SMALL_STATE(1236)] = 6587,
  [SMALL_STATE(1237)] = 6597,
  [SMALL_STATE(1238)] = 6607,
  [SMALL_STATE(1239)] = 6617,
  [SMALL_STATE(1240)] = 6627,
  [SMALL_STATE(1241)] = 6637,
  [SMALL_STATE(1242)] = 6647,
  [SMALL_STATE(1243)] = 6657,
  [SMALL_STATE(1244)] = 6667,
  [SMALL_STATE(1245)] = 6677,
  [SMALL_STATE(1246)] = 6687,
  [SMALL_STATE(1247)] = 6697,
  [SMALL_STATE(1248)] = 6707,
  [SMALL_STATE(1249)] = 6717,
  [SMALL_STATE(1250)] = 6727,
  [SMALL_STATE(1251)] = 6737,
  [SMALL_STATE(1252)] = 6747,
  [SMALL_STATE(1253)] = 6757,
  [SMALL_STATE(1254)] = 6767,
  [SMALL_STATE(1255)] = 6777,
  [SMALL_STATE(1256)] = 6787,
  [SMALL_STATE(1257)] = 6797,
  [SMALL_STATE(1258)] = 6807,
  [SMALL_STATE(1259)] = 6817,
  [SMALL_STATE(1260)] = 6827,
  [SMALL_STATE(1261)] = 6837,
  [SMALL_STATE(1262)] = 6847,
  [SMALL_STATE(1263)] = 6857,
  [SMALL_STATE(1264)] = 6867,
  [SMALL_STATE(1265)] = 6877,
  [SMALL_STATE(1266)] = 6887,
  [SMALL_STATE(1267)] = 6897,
  [SMALL_STATE(1268)] = 6907,
  [SMALL_STATE(1269)] = 6917,
  [SMALL_STATE(1270)] = 6927,
  [SMALL_STATE(1271)] = 6937,
  [SMALL_STATE(1272)] = 6947,
  [SMALL_STATE(1273)] = 6957,
  [SMALL_STATE(1274)] = 6967,
  [SMALL_STATE(1275)] = 6977,
  [SMALL_STATE(1276)] = 6987,
  [SMALL_STATE(1277)] = 6997,
  [SMALL_STATE(1278)] = 7007,
  [SMALL_STATE(1279)] = 7017,
  [SMALL_STATE(1280)] = 7027,
  [SMALL_STATE(1281)] = 7037,
  [SMALL_STATE(1282)] = 7047,
  [SMALL_STATE(1283)] = 7057,
  [SMALL_STATE(1284)] = 7067,
  [SMALL_STATE(1285)] = 7077,
  [SMALL_STATE(1286)] = 7087,
  [SMALL_STATE(1287)] = 7097,
  [SMALL_STATE(1288)] = 7107,
  [SMALL_STATE(1289)] = 7117,
  [SMALL_STATE(1290)] = 7127,
  [SMALL_STATE(1291)] = 7137,
  [SMALL_STATE(1292)] = 7147,
  [SMALL_STATE(1293)] = 7157,
  [SMALL_STATE(1294)] = 7167,
  [SMALL_STATE(1295)] = 7177,
  [SMALL_STATE(1296)] = 7187,
  [SMALL_STATE(1297)] = 7197,
  [SMALL_STATE(1298)] = 7207,
  [SMALL_STATE(1299)] = 7217,
  [SMALL_STATE(1300)] = 7227,
  [SMALL_STATE(1301)] = 7237,
  [SMALL_STATE(1302)] = 7247,
  [SMALL_STATE(1303)] = 7257,
  [SMALL_STATE(1304)] = 7267,
  [SMALL_STATE(1305)] = 7277,
  [SMALL_STATE(1306)] = 7287,
  [SMALL_STATE(1307)] = 7297,
  [SMALL_STATE(1308)] = 7307,
  [SMALL_STATE(1309)] = 7317,
  [SMALL_STATE(1310)] = 7327,
  [SMALL_STATE(1311)] = 7337,
  [SMALL_STATE(1312)] = 7347,
  [SMALL_STATE(1313)] = 7357,
  [SMALL_STATE(1314)] = 7367,
  [SMALL_STATE(1315)] = 7377,
  [SMALL_STATE(1316)] = 7387,
  [SMALL_STATE(1317)] = 7397,
  [SMALL_STATE(1318)] = 7407,
  [SMALL_STATE(1319)] = 7417,
  [SMALL_STATE(1320)] = 7427,
  [SMALL_STATE(1321)] = 7437,
  [SMALL_STATE(1322)] = 7447,
  [SMALL_STATE(1323)] = 7457,
  [SMALL_STATE(1324)] = 7467,
  [SMALL_STATE(1325)] = 7477,
  [SMALL_STATE(1326)] = 7487,
  [SMALL_STATE(1327)] = 7497,
  [SMALL_STATE(1328)] = 7507,
  [SMALL_STATE(1329)] = 7517,
  [SMALL_STATE(1330)] = 7527,
  [SMALL_STATE(1331)] = 7537,
  [SMALL_STATE(1332)] = 7547,
  [SMALL_STATE(1333)] = 7557,
  [SMALL_STATE(1334)] = 7567,
  [SMALL_STATE(1335)] = 7577,
  [SMALL_STATE(1336)] = 7587,
  [SMALL_STATE(1337)] = 7597,
  [SMALL_STATE(1338)] = 7607,
  [SMALL_STATE(1339)] = 7617,
  [SMALL_STATE(1340)] = 7627,
  [SMALL_STATE(1341)] = 7637,
  [SMALL_STATE(1342)] = 7647,
  [SMALL_STATE(1343)] = 7657,
  [SMALL_STATE(1344)] = 7667,
  [SMALL_STATE(1345)] = 7677,
  [SMALL_STATE(1346)] = 7687,
  [SMALL_STATE(1347)] = 7697,
  [SMALL_STATE(1348)] = 7707,
  [SMALL_STATE(1349)] = 7717,
  [SMALL_STATE(1350)] = 7727,
  [SMALL_STATE(1351)] = 7737,
  [SMALL_STATE(1352)] = 7747,
  [SMALL_STATE(1353)] = 7757,
  [SMALL_STATE(1354)] = 7767,
  [SMALL_STATE(1355)] = 7777,
  [SMALL_STATE(1356)] = 7787,
  [SMALL_STATE(1357)] = 7797,
  [SMALL_STATE(1358)] = 7807,
  [SMALL_STATE(1359)] = 7817,
  [SMALL_STATE(1360)] = 7827,
  [SMALL_STATE(1361)] = 7837,
  [SMALL_STATE(1362)] = 7847,
  [SMALL_STATE(1363)] = 7857,
  [SMALL_STATE(1364)] = 7867,
  [SMALL_STATE(1365)] = 7877,
  [SMALL_STATE(1366)] = 7887,
  [SMALL_STATE(1367)] = 7897,
  [SMALL_STATE(1368)] = 7907,
  [SMALL_STATE(1369)] = 7917,
  [SMALL_STATE(1370)] = 7927,
  [SMALL_STATE(1371)] = 7937,
  [SMALL_STATE(1372)] = 7947,
  [SMALL_STATE(1373)] = 7957,
  [SMALL_STATE(1374)] = 7967,
  [SMALL_STATE(1375)] = 7977,
  [SMALL_STATE(1376)] = 7987,
  [SMALL_STATE(1377)] = 7997,
  [SMALL_STATE(1378)] = 8007,
  [SMALL_STATE(1379)] = 8017,
  [SMALL_STATE(1380)] = 8027,
  [SMALL_STATE(1381)] = 8037,
  [SMALL_STATE(1382)] = 8047,
  [SMALL_STATE(1383)] = 8057,
  [SMALL_STATE(1384)] = 8067,
  [SMALL_STATE(1385)] = 8077,
  [SMALL_STATE(1386)] = 8087,
  [SMALL_STATE(1387)] = 8097,
  [SMALL_STATE(1388)] = 8104,
  [SMALL_STATE(1389)] = 8111,
  [SMALL_STATE(1390)] = 8118,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_client_config, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_client_config, 1, 0, 0),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1172),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1176),
  [250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1216),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1222),
  [277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1236),
  [289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1248),
  [298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1255),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1258),
  [307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1264),
  [313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1273),
  [319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1297),
  [328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1354),
  [346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1261),
  [358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1212),
  [364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1309),
  [367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1208),
  [370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1230),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1257),
  [379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1175),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1190),
  [400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1204),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1205),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1217),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1221),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1244),
  [421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1250),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1262),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1275),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1279),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1300),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1301),
  [445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1314),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1369),
  [475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1383),
  [481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1246),
  [484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1181),
  [511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1196),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1202),
  [520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1206),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1224),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1269),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1154),
  [574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 3, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 3, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 4, 0, 0),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 4, 0, 0),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0),
  [606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0), SHIFT_REPEAT(1387),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0), SHIFT_REPEAT(1387),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 5, 0, 0),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 5, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__channel_timeout_value, 3, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__channel_timeout_value, 3, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 3, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 3, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_value, 1, 0, 0),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_value, 1, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 3, 0, 0),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 3, 0, 0),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_value, 1, 0, 1),
  [644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_value, 1, 0, 1),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 3, 0, 0),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 3, 0, 0),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent_value, 1, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent_value, 1, 0, 0),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 3, 0, 0),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 3, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family_value, 1, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family_value, 1, 0, 0),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode_value, 1, 0, 2),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode_value, 1, 0, 2),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 3, 0, 0),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 3, 0, 0),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address_value, 1, 0, 0),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address_value, 1, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 3, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 3, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface_value, 1, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface_value, 1, 0, 0),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 3, 0, 0),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 3, 0, 0),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains_value, 1, 0, 0),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains_value, 1, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 3, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 3, 0, 0),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local_value, 1, 0, 3),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local_value, 1, 0, 3),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 3, 0, 0),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 3, 0, 0),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname_value, 1, 0, 0),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname_value, 1, 0, 0),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 3, 0, 0),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 3, 0, 0),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots_value, 1, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots_value, 1, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 3, 0, 0),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 3, 0, 0),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames_value, 1, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames_value, 1, 0, 0),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 3, 0, 0),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 3, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms_value, 1, 0, 0),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms_value, 1, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 3, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 3, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file_value, 1, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file_value, 1, 0, 0),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 3, 0, 0),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 3, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication_value, 1, 0, 4),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication_value, 1, 0, 4),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 3, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 3, 0, 0),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip_value, 1, 0, 5),
  [782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip_value, 1, 0, 5),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 3, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 3, 0, 0),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers_value, 1, 0, 0),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers_value, 1, 0, 0),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 3, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 3, 0, 0),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher_value, 1, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher_value, 1, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 3, 0, 0),
  [806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 3, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings_value, 1, 0, 6),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings_value, 1, 0, 6),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 3, 0, 0),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 3, 0, 0),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression_value, 1, 0, 7),
  [822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression_value, 1, 0, 7),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 3, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 3, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts_value, 1, 0, 8),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts_value, 1, 0, 8),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 3, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 3, 0, 0),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout_value, 1, 0, 9),
  [842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout_value, 1, 0, 9),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 3, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 3, 0, 0),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master_value, 1, 0, 0),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master_value, 1, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 3, 0, 0),
  [856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 3, 0, 0),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path_value, 1, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path_value, 1, 0, 0),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 3, 0, 0),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 3, 0, 0),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist_value, 1, 0, 10),
  [872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist_value, 1, 0, 10),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 3, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 3, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward_value, 1, 0, 0),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward_value, 1, 0, 0),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 3, 0, 0),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 3, 0, 0),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline_value, 1, 0, 11),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline_value, 1, 0, 11),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 3, 0, 0),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 3, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign_value, 1, 0, 12),
  [902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign_value, 1, 0, 12),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 3, 0, 0),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 3, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char_value, 1, 0, 0),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char_value, 1, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 3, 0, 0),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 3, 0, 0),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure_value, 1, 0, 13),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure_value, 1, 0, 13),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 3, 0, 0),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 3, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash_value, 1, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash_value, 1, 0, 0),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 3, 0, 0),
  [936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 3, 0, 0),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication_value, 1, 0, 14),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication_value, 1, 0, 14),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 3, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 3, 0, 0),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent_value, 1, 0, 0),
  [952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent_value, 1, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 3, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 3, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_value, 1, 0, 15),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_value, 1, 0, 15),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 3, 0, 0),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 3, 0, 0),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout_value, 1, 0, 16),
  [972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout_value, 1, 0, 16),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 3, 0, 0),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 3, 0, 0),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted_value, 1, 0, 17),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted_value, 1, 0, 17),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 3, 0, 0),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 3, 0, 0),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports_value, 1, 0, 18),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports_value, 1, 0, 18),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 3, 0, 0),
  [996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 3, 0, 0),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file_value, 1, 0, 0),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file_value, 1, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 3, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 3, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication_value, 1, 0, 19),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication_value, 1, 0, 19),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 3, 0, 0),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 3, 0, 0),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity_value, 1, 0, 0),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity_value, 1, 0, 0),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 3, 0, 0),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 3, 0, 0),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials_value, 1, 0, 20),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials_value, 1, 0, 20),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 3, 0, 0),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 3, 0, 0),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange_value, 1, 0, 21),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange_value, 1, 0, 21),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 3, 0, 0),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 3, 0, 0),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey_value, 1, 0, 22),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey_value, 1, 0, 22),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 3, 0, 0),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 3, 0, 0),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity_value, 1, 0, 0),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity_value, 1, 0, 0),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 3, 0, 0),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 3, 0, 0),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns_value, 1, 0, 23),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns_value, 1, 0, 23),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 3, 0, 0),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 3, 0, 0),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms_value, 1, 0, 0),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms_value, 1, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 3, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 3, 0, 0),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts_value, 1, 0, 24),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts_value, 1, 0, 24),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 3, 0, 0),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 3, 0, 0),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms_value, 1, 0, 0),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms_value, 1, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 3, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 3, 0, 0),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication_value, 1, 0, 25),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication_value, 1, 0, 25),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 3, 0, 0),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 3, 0, 0),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms_value, 1, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms_value, 1, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 3, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 3, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias_value, 1, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias_value, 1, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 3, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 3, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname_value, 1, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname_value, 1, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 3, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 3, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only_value, 1, 0, 26),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only_value, 1, 0, 26),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 3, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 3, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent_value, 1, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent_value, 1, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 3, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 3, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file_value, 1, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file_value, 1, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 3, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 3, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown_value, 1, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown_value, 1, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 3, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 3, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_value, 1, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_value, 1, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 3, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 3, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos_value, 1, 0, 27),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos_value, 1, 0, 27),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 3, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 3, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication_value, 1, 0, 28),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication_value, 1, 0, 28),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 3, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 3, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices_value, 1, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices_value, 1, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 3, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 3, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms_value, 1, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms_value, 1, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 3, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 3, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command_value, 1, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command_value, 1, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 3, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 3, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command_value, 1, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command_value, 1, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 3, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 3, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward_value, 1, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward_value, 1, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 3, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 3, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level_value, 1, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level_value, 1, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 3, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 3, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose_value, 1, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose_value, 1, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 3, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 3, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs_value, 1, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs_value, 1, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 3, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 3, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost_value, 1, 0, 29),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost_value, 1, 0, 29),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 3, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 3, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts_value, 1, 0, 30),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts_value, 1, 0, 30),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 3, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 3, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing_value, 1, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing_value, 1, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 3, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 3, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication_value, 1, 0, 31),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication_value, 1, 0, 31),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 3, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 3, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command_value, 1, 0, 32),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command_value, 1, 0, 32),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 3, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 3, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open_value, 1, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open_value, 1, 0, 0),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 3, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 3, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider_value, 1, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider_value, 1, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 3, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 3, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port_value, 1, 0, 33),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port_value, 1, 0, 33),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 3, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 3, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications_value, 1, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications_value, 1, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 3, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 3, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_value, 1, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_value, 1, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 3, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 3, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command_value, 1, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command_value, 1, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 3, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump_value, 1, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump_value, 1, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 3, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 3, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass_value, 1, 0, 34),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass_value, 1, 0, 34),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms_value, 1, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms_value, 1, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 3, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types_value, 1, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types_value, 1, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 3, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 3, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication_value, 1, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication_value, 1, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 3, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 3, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit_value, 1, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit_value, 1, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 3, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 3, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command_value, 1, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command_value, 1, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 3, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward_value, 1, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward_value, 1, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 3, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty_value, 1, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty_value, 1, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 3, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 3, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size_value, 1, 0, 35),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size_value, 1, 0, 35),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 3, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 3, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys_value, 1, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys_value, 1, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 3, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 3, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider_value, 1, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider_value, 1, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 3, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 3, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env_value, 1, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env_value, 1, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max_value, 1, 0, 36),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max_value, 1, 0, 36),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 3, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 3, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval_value, 1, 0, 37),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval_value, 1, 0, 37),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type_value, 1, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type_value, 1, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env_value, 1, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env_value, 1, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 3, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 3, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null_value, 1, 0, 38),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null_value, 1, 0, 38),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 3, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 3, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask_value, 1, 0, 0),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask_value, 1, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 3, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink_value, 1, 0, 39),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink_value, 1, 0, 39),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 3, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 3, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking_value, 1, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking_value, 1, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 3, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 3, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility_value, 1, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility_value, 1, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 3, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 3, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive_value, 1, 0, 40),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive_value, 1, 0, 40),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 3, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 3, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive_value, 1, 0, 41),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive_value, 1, 0, 41),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 3, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 3, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_value, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_value, 1, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 3, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 3, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_value, 1, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_value, 1, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 3, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 3, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device_value, 1, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device_value, 1, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 3, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 3, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys_value, 1, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys_value, 1, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 3, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 3, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain_value, 1, 0, 42),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain_value, 1, 0, 42),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 3, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 3, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming_value, 1, 0, 43),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming_value, 1, 0, 43),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 3, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 3, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_value, 1, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_value, 1, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 3, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 3, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file_value, 1, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file_value, 1, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 3, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 3, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns_value, 1, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns_value, 1, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 3, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 3, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_addendum_value, 1, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_addendum_value, 1, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_addendum, 3, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_addendum, 3, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key_value, 1, 0, 44),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key_value, 1, 0, 44),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 3, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 3, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location_value, 1, 0, 0),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location_value, 1, 0, 0),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 3, 0, 0),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 3, 0, 0),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 4, 0, 0),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 4, 0, 0),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 4, 0, 0),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 4, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 4, 0, 0),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 4, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 4, 0, 0),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 4, 0, 0),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 4, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 4, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 4, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 4, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 4, 0, 0),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 4, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 4, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 4, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 4, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 4, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 4, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 4, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 4, 0, 0),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 4, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 4, 0, 0),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 4, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 4, 0, 0),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 4, 0, 0),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 4, 0, 0),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 4, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 4, 0, 0),
  [1856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 4, 0, 0),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 4, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 4, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 4, 0, 0),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 4, 0, 0),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 4, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 4, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 4, 0, 0),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 4, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 4, 0, 0),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 4, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 4, 0, 0),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 4, 0, 0),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 4, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 4, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 4, 0, 0),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 4, 0, 0),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 4, 0, 0),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 4, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 4, 0, 0),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 4, 0, 0),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 4, 0, 0),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 4, 0, 0),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 5, 0, 0),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 5, 0, 0),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 4, 0, 0),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 4, 0, 0),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 4, 0, 0),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 4, 0, 0),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 4, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 4, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 4, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 4, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 4, 0, 0),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 4, 0, 0),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 4, 0, 0),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 4, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 4, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 4, 0, 0),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 4, 0, 0),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 4, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 4, 0, 0),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 4, 0, 0),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 4, 0, 0),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 4, 0, 0),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 4, 0, 0),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 4, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 4, 0, 0),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 4, 0, 0),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 4, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 4, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 4, 0, 0),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 4, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 4, 0, 0),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 4, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 4, 0, 0),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 4, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 4, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 4, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 4, 0, 0),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 4, 0, 0),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 4, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 4, 0, 0),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 4, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 4, 0, 0),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 4, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 4, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 4, 0, 0),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 4, 0, 0),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 4, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 4, 0, 0),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 4, 0, 0),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 4, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 4, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 4, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 4, 0, 0),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 4, 0, 0),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 4, 0, 0),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 4, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 4, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 4, 0, 0),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 4, 0, 0),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 4, 0, 0),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 4, 0, 0),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 4, 0, 0),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 4, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 4, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 4, 0, 0),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 4, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 4, 0, 0),
  [2126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 4, 0, 0),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 4, 0, 0),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 4, 0, 0),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 4, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 4, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 4, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 4, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 4, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 4, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 4, 0, 0),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 4, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 4, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 4, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 4, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 4, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 4, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 4, 0, 0),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 4, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 4, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 4, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 4, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 4, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 4, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 4, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 4, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 4, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 4, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 4, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 4, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 4, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 4, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 4, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 4, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 4, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 4, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 4, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 4, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 4, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 4, 0, 0),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 4, 0, 0),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 4, 0, 0),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 4, 0, 0),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 4, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 4, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 4, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 4, 0, 0),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 4, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 4, 0, 0),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 4, 0, 0),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 4, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 4, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 4, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 4, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 4, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 4, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 4, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 4, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 4, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 4, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 4, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 4, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 4, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 4, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 4, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 4, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 4, 0, 0),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 4, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 4, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 4, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 4, 0, 0),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 4, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 4, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 4, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 4, 0, 0),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 4, 0, 0),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 4, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 4, 0, 0),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 4, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 4, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 4, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 4, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 4, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 4, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 4, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 4, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 4, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 4, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 4, 0, 0),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 4, 0, 0),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 4, 0, 0),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 4, 0, 0),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 4, 0, 0),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 4, 0, 0),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 4, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 4, 0, 0),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 4, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 4, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 4, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 4, 0, 0),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 4, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 4, 0, 0),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 4, 0, 0),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 4, 0, 0),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_addendum, 4, 0, 0),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_addendum, 4, 0, 0),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 4, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 4, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 4, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 4, 0, 0),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 5, 0, 0),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 5, 0, 0),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 5, 0, 0),
  [2462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 5, 0, 0),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 5, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 5, 0, 0),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 5, 0, 0),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 5, 0, 0),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 5, 0, 0),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 5, 0, 0),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 5, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 5, 0, 0),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 5, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 5, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 5, 0, 0),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 5, 0, 0),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 5, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 5, 0, 0),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 5, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 5, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 5, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 5, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 5, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 5, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 5, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 5, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 5, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 5, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 5, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 5, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 5, 0, 0),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 5, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 5, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 5, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 5, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 5, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 5, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 5, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 5, 0, 0),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 5, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 5, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 5, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 5, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 5, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 5, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 5, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 5, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 5, 0, 0),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 5, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 5, 0, 0),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 5, 0, 0),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 5, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 5, 0, 0),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 5, 0, 0),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 5, 0, 0),
  [2618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 5, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 5, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 5, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 5, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 5, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 5, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 5, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 5, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 5, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 5, 0, 0),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 5, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 5, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 5, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 5, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 5, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 5, 0, 0),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 5, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 5, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 5, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 5, 0, 0),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 5, 0, 0),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 5, 0, 0),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 5, 0, 0),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 5, 0, 0),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 5, 0, 0),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 5, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 5, 0, 0),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 5, 0, 0),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 5, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 5, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 5, 0, 0),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 5, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 5, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 5, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 5, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 5, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 5, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 5, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 5, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 5, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 5, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 5, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 5, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 5, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 5, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 5, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 5, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 5, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 5, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 5, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 5, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 5, 0, 0),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 5, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 5, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 5, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 5, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 5, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 5, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 5, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 5, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 5, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 5, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 5, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 5, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 5, 0, 0),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 5, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 5, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 5, 0, 0),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 5, 0, 0),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 5, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 5, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 5, 0, 0),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 5, 0, 0),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 5, 0, 0),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 5, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 5, 0, 0),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 5, 0, 0),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 5, 0, 0),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 5, 0, 0),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 5, 0, 0),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 5, 0, 0),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 5, 0, 0),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 5, 0, 0),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 5, 0, 0),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 5, 0, 0),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 5, 0, 0),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 5, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 5, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 5, 0, 0),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 5, 0, 0),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 5, 0, 0),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 5, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 5, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 5, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 5, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 5, 0, 0),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 5, 0, 0),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 5, 0, 0),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 5, 0, 0),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 5, 0, 0),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 5, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 5, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 5, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 5, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 5, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 5, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 5, 0, 0),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 5, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 5, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 5, 0, 0),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 5, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 5, 0, 0),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 5, 0, 0),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 5, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 5, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 5, 0, 0),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 5, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 5, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 5, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 5, 0, 0),
  [2978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 5, 0, 0),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 5, 0, 0),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 5, 0, 0),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 5, 0, 0),
  [2990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 5, 0, 0),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 5, 0, 0),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 5, 0, 0),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 5, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 5, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 5, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 5, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 5, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 5, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 5, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 5, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 5, 0, 0),
  [3026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 5, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 5, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 5, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 5, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 5, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 5, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 5, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 5, 0, 0),
  [3050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 5, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 5, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 5, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 5, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 5, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 5, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 5, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 5, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 5, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 5, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 5, 0, 0),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 5, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 5, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 5, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 5, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 5, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 5, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 5, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 5, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 5, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 5, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 5, 0, 0),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 5, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_addendum, 5, 0, 0),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_addendum, 5, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 5, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 5, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 4, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 4, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 6, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 6, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 6, 0, 0),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 6, 0, 0),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 6, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 6, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 6, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 6, 0, 0),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 6, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 6, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 6, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 6, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 6, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 6, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 6, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 6, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 6, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 6, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 6, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 6, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 6, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 6, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 6, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 6, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 6, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 6, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 6, 0, 0),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 6, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 6, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 6, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 6, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 6, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 6, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 6, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 6, 0, 0),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 6, 0, 0),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 6, 0, 0),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 6, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 6, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 6, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 6, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 6, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 6, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 6, 0, 0),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 6, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 6, 0, 0),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 6, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 6, 0, 0),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 6, 0, 0),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 6, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 6, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 6, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 6, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 6, 0, 0),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 6, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 6, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 6, 0, 0),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 6, 0, 0),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 6, 0, 0),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 6, 0, 0),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 6, 0, 0),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 6, 0, 0),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 6, 0, 0),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 6, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 6, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 6, 0, 0),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 6, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 6, 0, 0),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 6, 0, 0),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 6, 0, 0),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 6, 0, 0),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 6, 0, 0),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 6, 0, 0),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 6, 0, 0),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 6, 0, 0),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 6, 0, 0),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 6, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 6, 0, 0),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 6, 0, 0),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 6, 0, 0),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 6, 0, 0),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 6, 0, 0),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 6, 0, 0),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 6, 0, 0),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 6, 0, 0),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 6, 0, 0),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 6, 0, 0),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 6, 0, 0),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 6, 0, 0),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 6, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 6, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 6, 0, 0),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 6, 0, 0),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 6, 0, 0),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 6, 0, 0),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 6, 0, 0),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 6, 0, 0),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 6, 0, 0),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 6, 0, 0),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 6, 0, 0),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 6, 0, 0),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 6, 0, 0),
  [3342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 6, 0, 0),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 6, 0, 0),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 6, 0, 0),
  [3348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 6, 0, 0),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 6, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 6, 0, 0),
  [3354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 6, 0, 0),
  [3356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 6, 0, 0),
  [3358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 6, 0, 0),
  [3360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 6, 0, 0),
  [3362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 6, 0, 0),
  [3364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 6, 0, 0),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 6, 0, 0),
  [3368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 6, 0, 0),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 6, 0, 0),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 6, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 6, 0, 0),
  [3376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 6, 0, 0),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 6, 0, 0),
  [3380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 6, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 6, 0, 0),
  [3384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 6, 0, 0),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 6, 0, 0),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 6, 0, 0),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 6, 0, 0),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 6, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 6, 0, 0),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 6, 0, 0),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 6, 0, 0),
  [3400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 6, 0, 0),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 6, 0, 0),
  [3404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 6, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 6, 0, 0),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 6, 0, 0),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 6, 0, 0),
  [3412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 6, 0, 0),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 6, 0, 0),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 6, 0, 0),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 6, 0, 0),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 6, 0, 0),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 6, 0, 0),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 6, 0, 0),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 6, 0, 0),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 6, 0, 0),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 6, 0, 0),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 6, 0, 0),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 6, 0, 0),
  [3436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 6, 0, 0),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 6, 0, 0),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 6, 0, 0),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 6, 0, 0),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 6, 0, 0),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 6, 0, 0),
  [3448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 6, 0, 0),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 6, 0, 0),
  [3452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 6, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 6, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 6, 0, 0),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 6, 0, 0),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 6, 0, 0),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 6, 0, 0),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 6, 0, 0),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 6, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 6, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 6, 0, 0),
  [3472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 6, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 6, 0, 0),
  [3476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 6, 0, 0),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 6, 0, 0),
  [3480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 6, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 6, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 6, 0, 0),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 6, 0, 0),
  [3488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 6, 0, 0),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 6, 0, 0),
  [3492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 6, 0, 0),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 6, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 6, 0, 0),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 6, 0, 0),
  [3500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 6, 0, 0),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 6, 0, 0),
  [3504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 6, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 6, 0, 0),
  [3508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 6, 0, 0),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 6, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 6, 0, 0),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 6, 0, 0),
  [3516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 6, 0, 0),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 6, 0, 0),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 6, 0, 0),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 6, 0, 0),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 6, 0, 0),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 6, 0, 0),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 6, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 6, 0, 0),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 6, 0, 0),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 6, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 6, 0, 0),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 6, 0, 0),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 6, 0, 0),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 6, 0, 0),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 6, 0, 0),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 6, 0, 0),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 6, 0, 0),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 6, 0, 0),
  [3552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 6, 0, 0),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 6, 0, 0),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 6, 0, 0),
  [3558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 6, 0, 0),
  [3560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 6, 0, 0),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 6, 0, 0),
  [3564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 6, 0, 0),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 6, 0, 0),
  [3568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 6, 0, 0),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 6, 0, 0),
  [3572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 6, 0, 0),
  [3574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 6, 0, 0),
  [3576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 6, 0, 0),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 6, 0, 0),
  [3580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 6, 0, 0),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 6, 0, 0),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 6, 0, 0),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_addendum, 6, 0, 0),
  [3588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_addendum, 6, 0, 0),
  [3590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 6, 0, 0),
  [3592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 6, 0, 0),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 6, 0, 0),
  [3596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 6, 0, 0),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout_type, 1, 0, 0),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [5026] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ssh_client_config(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
